/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ne=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/base/common/async","vs/platform/instantiation/common/instantiation","vs/base/common/uri","vs/platform/log/common/log","vs/base/common/errors","vs/base/common/path","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/platform/environment/common/environment","vs/platform/files/common/files","vs/base/common/types","vs/base/common/arrays","vs/base/common/buffer","vs/base/common/network","vs/base/common/resources","vs/platform/configuration/common/configuration","vs/platform/telemetry/common/telemetry","vs/base/node/pfs","vs/platform/storage/common/storage","vs/platform/userDataSync/common/userDataSync","vs/base/common/cancellation","vs/platform/product/common/productService","vs/base/common/strings","vs/base/common/objects","vs/base/common/uuid","vs/platform/extensionManagement/common/extensionManagement","vs/base/common/process","os","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/json","vs/base/parts/ipc/common/ipc","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/base/common/map","vs/base/common/stream","vs/base/common/extpath","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/telemetry/common/telemetryUtils","child_process","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/userDataSync/common/abstractSynchronizer","vs/base/common/codicons","vs/base/common/jsonFormatter","fs","vs/platform/instantiation/common/descriptors","vs/platform/userDataSync/common/content","vs/base/common/decorators","vs/base/common/iterator","net","vs/base/common/date","vs/base/parts/ipc/node/ipc.cp","vs/platform/files/common/watcher","vs/platform/localizations/common/localizations","vs/platform/native/electron-sandbox/native","vs/base/common/semver/semver","vs/platform/remote/common/tunnel","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/collections","vs/base/common/functional","vs/base/common/jsonEdit","vs/base/common/hash","vs/base/common/normalization","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.net","electron","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/platform/environment/common/environmentService","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","crypto","vs/platform/files/common/io","vs/platform/instantiation/common/serviceCollection","vs/platform/log/common/logIpc","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/extensions/common/extensions","vs/platform/sharedProcess/common/sharedProcessWorkerService","vs/platform/sign/common/sign","vs/platform/extensionManagement/common/extensionStorage","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/theme/common/themeService","vs/platform/userDataSync/common/ignoredExtensions","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/mime","vs/base/common/processes","vs/base/common/skipList","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/node/decoder","vs/base/node/macAddress","vs/base/node/id","vs/base/node/extpath","vs/base/node/ports","vs/base/node/ps","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","vs/base/parts/request/browser/request","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/environment/node/shellEnv","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/assignment/common/assignment","vs/platform/environment/node/argv","vs/platform/environment/node/userDataPath","path","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/code/electron-browser/sharedProcess/contrib/extensionsCleaner","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/checksum/node/checksumService","vs/platform/environment/node/argvHelper","vs/platform/environment/node/shellEnv","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/parcel/parcelWatcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/code/electron-browser/sharedProcess/contrib/codeCacheCleaner","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/profiling/common/profiling","vs/platform/profiling/node/profilingService","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/localizations/node/localizations","vs/platform/remote/common/sharedProcessTunnelService","vs/platform/remote/node/sharedProcessTunnelService","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/sharedProcess/electron-browser/sharedProcessWorker","vs/platform/sharedProcess/electron-browser/sharedProcessWorkerService","vs/platform/sharedProcess/node/sharedProcessEnvironmentService","vs/platform/sign/node/signService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/storage/common/storageIpc","vs/platform/storage/electron-sandbox/storageService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/assignment/common/assignmentService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/common/requestStore","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/userData/common/fileUserDataProvider","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncEnablementService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataAutoSyncService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/base/parts/ipc/node/ipc.net","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/tunnelService","string_decoder","util","minimist","assert","graceful-fs","yauzl","yazl","zlib","vs/code/electron-browser/sharedProcess/sharedProcessMain"],ie=function(J){for(var e=[],T=0,n=J.length;T<n;T++)e[T]=ne[J[T]];return e};define(ne[99],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function T(n,k){if(!n)throw new Error(k?`Assertion failed (${k})`:"Assertion Failed")}e.ok=T}),define(ne[48],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function T(L){return L?L.replace(/\$\((.*?)\)/g,(R,C)=>` ${C} `).trim():""}e.getCodiconAriaLabel=T;class n{constructor(R,C,E){this.id=R,this.definition=C,this.description=E,n._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return n._allCodicons}}e.Codicon=n,n._allCodicons=[],n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",n.add.definition),n.gistNew=new n("gist-new",n.add.definition),n.repoCreate=new n("repo-create",n.add.definition),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eba4"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolCustomColor=new n("symbol-customcolor",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnspecified=new n("workspace-unspecified",{fontCharacter:"\\ebc3"}),n.terminalCmd=new n("terminal-cmd",{fontCharacter:"\\ebc4"}),n.terminalDebian=new n("terminal-debian",{fontCharacter:"\\ebc5"}),n.terminalLinux=new n("terminal-linux",{fontCharacter:"\\ebc6"}),n.terminalPowershell=new n("terminal-powershell",{fontCharacter:"\\ebc7"}),n.terminalTmux=new n("terminal-tmux",{fontCharacter:"\\ebc8"}),n.terminalUbuntu=new n("terminal-ubuntu",{fontCharacter:"\\ebc9"}),n.terminalBash=new n("terminal-bash",{fontCharacter:"\\ebca"}),n.arrowSwap=new n("arrow-swap",{fontCharacter:"\\ebcb"}),n.copy=new n("copy",{fontCharacter:"\\ebcc"}),n.personAdd=new n("person-add",{fontCharacter:"\\ebcd"}),n.filterFilled=new n("filter-filled",{fontCharacter:"\\ebce"}),n.wand=new n("wand",{fontCharacter:"\\ebcf"}),n.debugLineByLine=new n("debug-line-by-line",{fontCharacter:"\\ebd0"}),n.inspect=new n("inspect",{fontCharacter:"\\ebd1"}),n.layers=new n("layers",{fontCharacter:"\\ebd2"}),n.layersDot=new n("layers-dot",{fontCharacter:"\\ebd3"}),n.layersActive=new n("layers-active",{fontCharacter:"\\ebd4"}),n.compass=new n("compass",{fontCharacter:"\\ebd5"}),n.compassDot=new n("compass-dot",{fontCharacter:"\\ebd6"}),n.compassActive=new n("compass-active",{fontCharacter:"\\ebd7"}),n.azure=new n("azure",{fontCharacter:"\\ebd8"}),n.issueDraft=new n("issue-draft",{fontCharacter:"\\ebd9"}),n.gitPullRequestClosed=new n("git-pull-request-closed",{fontCharacter:"\\ebda"}),n.gitPullRequestDraft=new n("git-pull-request-draft",{fontCharacter:"\\ebdb"}),n.debugAll=new n("debug-all",{fontCharacter:"\\ebdc"}),n.debugCoverage=new n("debug-coverage",{fontCharacter:"\\ebdd"}),n.runErrors=new n("run-errors",{fontCharacter:"\\ebde"}),n.folderLibrary=new n("folder-library",{fontCharacter:"\\ebdf"}),n.debugContinueSmall=new n("debug-continue-small",{fontCharacter:"\\ebe0"}),n.beakerStop=new n("beaker-stop",{fontCharacter:"\\ebe1"}),n.graphLine=new n("graph-line",{fontCharacter:"\\ebe2"}),n.graphScatter=new n("graph-scatter",{fontCharacter:"\\ebe3"}),n.pieChart=new n("pie-chart",{fontCharacter:"\\ebe4"}),n.bracket=new n("bracket",n.json.definition),n.bracketDot=new n("bracket-dot",{fontCharacter:"\\ebe5"}),n.bracketError=new n("bracket-error",{fontCharacter:"\\ebe6"}),n.lockSmall=new n("lock-small",{fontCharacter:"\\ebe7"}),n.azureDevops=new n("azure-devops",{fontCharacter:"\\ebe8"}),n.verifiedFilled=new n("verified-filled",{fontCharacter:"\\ebe9"}),n.newLine=new n("newline",{fontCharacter:"\\ebea"}),n.layout=new n("layout",{fontCharacter:"\\ebeb"}),n.dialogError=new n("dialog-error",n.error.definition),n.dialogWarning=new n("dialog-warning",n.warning.definition),n.dialogInfo=new n("dialog-info",n.info.definition),n.dialogClose=new n("dialog-close",n.close.definition),n.treeItemExpanded=new n("tree-item-expanded",n.chevronDown.definition),n.treeFilterOnTypeOn=new n("tree-filter-on-type-on",n.listFilter.definition),n.treeFilterOnTypeOff=new n("tree-filter-on-type-off",n.listSelection.definition),n.treeFilterClear=new n("tree-filter-clear",n.close.definition),n.treeItemLoading=new n("tree-item-loading",n.loading.definition),n.menuSelection=new n("menu-selection",n.check.definition),n.menuSubmenu=new n("menu-submenu",n.chevronRight.definition),n.menuBarMore=new n("menubar-more",n.more.definition),n.scrollbarButtonLeft=new n("scrollbar-button-left",n.triangleLeft.definition),n.scrollbarButtonRight=new n("scrollbar-button-right",n.triangleRight.definition),n.scrollbarButtonUp=new n("scrollbar-button-up",n.triangleUp.definition),n.scrollbarButtonDown=new n("scrollbar-button-down",n.triangleDown.definition),n.toolBarMore=new n("toolbar-more",n.more.definition),n.quickInputBack=new n("quick-input-back",n.arrowLeft.definition);function k(L,R){const C=["codicon","codicon-"+L];return R&&C.push("codicon-modifier-"+R),C}e.getClassNamesArray=k;var _;(function(L){L.iconNameSegment="[A-Za-z0-9]+",L.iconNameExpression="[A-Za-z0-9-]+",L.iconModifierExpression="~[A-Za-z]+",L.iconNameCharacter="[A-Za-z0-9~-]";const R=new RegExp(`^(${L.iconNameExpression})(${L.iconModifierExpression})?$`);function C(b){if(b instanceof n)return["codicon","codicon-"+b.id];const f=R.exec(b.id);if(!f)return C(n.error);let[,p,d]=f;const w=["codicon","codicon-"+p];return d&&w.push("codicon-modifier-"+d.substr(1)),w}L.asClassNameArray=C;function E(b){return C(b).join(" ")}L.asClassName=E;function P(b){return"."+C(b).join(".")}L.asCSSSelector=P})(_=e.CSSIcon||(e.CSSIcon={}))}),define(ne[66],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const T=Object.prototype.hasOwnProperty;function n(P){const b=[];for(let f in P)T.call(P,f)&&b.push(P[f]);return b}e.values=n;function k(P,b){for(let f in P)if(T.call(P,f)&&b({key:f,value:P[f]},function(){delete P[f]})===!1)return}e.forEach=k;function _(P,b){const f=Object.create(null);for(const p of P){const d=b(p);let w=f[d];w||(w=f[d]=[]),w.push(p)}return f}e.groupBy=_;function L(P){const b=Object.create(null);return P&&P.forEach((f,p)=>{b[p]=f}),b}e.fromMap=L;function R(P,b){const f=[],p=[];for(let d of P)b.has(d)||f.push(d);for(let d of b)P.has(d)||p.push(d);return{removed:f,added:p}}e.diffSets=R;function C(P,b){const f=[],p=[];for(let[d,w]of P)b.has(d)||f.push(w);for(let[d,w]of b)P.has(d)||p.push(w);return{removed:f,added:p}}e.diffMaps=C;class E{constructor(){this.map=new Map}add(b,f){let p=this.map.get(b);p||(p=new Set,this.map.set(b,p)),p.add(f)}delete(b,f){const p=this.map.get(b);!p||(p.delete(f),p.size===0&&this.map.delete(b))}forEach(b,f){const p=this.map.get(b);!p||p.forEach(f)}}e.SetMap=E}),define(ne[53],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function T(L){return(R,C,E)=>{let P=null,b=null;if(typeof E.value=="function"?(P="value",b=E.value):typeof E.get=="function"&&(P="get",b=E.get),!b)throw new Error("not supported");E[P]=L(b,C)}}e.createDecorator=T;function n(L,R,C){let E=null,P=null;if(typeof C.value=="function"?(E="value",P=C.value,P.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof C.get=="function"&&(E="get",P=C.get),!P)throw new Error("not supported");const b=`$memoize$${R}`;C[E]=function(...f){return this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!1,enumerable:!1,writable:!1,value:P.apply(this,f)}),this[b]}}e.memoize=n;function k(L,R,C){return T((E,P)=>{const b=`$debounce$${P}`,f=`$debounce$result$${P}`;return function(...p){this[f]||(this[f]=C?C():void 0),clearTimeout(this[b]),R&&(this[f]=R(this[f],...p),p=[this[f]]),this[b]=setTimeout(()=>{E.apply(this,p),this[f]=C?C():void 0},L)}})}e.debounce=k;function _(L,R,C){return T((E,P)=>{const b=`$throttle$timer$${P}`,f=`$throttle$result$${P}`,p=`$throttle$lastRun$${P}`,d=`$throttle$pending$${P}`;return function(...w){if(this[f]||(this[f]=C?C():void 0),(this[p]===null||this[p]===void 0)&&(this[p]=-Number.MAX_VALUE),R&&(this[f]=R(this[f],...w)),this[d])return;const S=this[p]+L;S<=Date.now()?(this[p]=Date.now(),E.apply(this,[this[f]]),this[f]=C?C():void 0):(this[d]=!0,this[b]=setTimeout(()=>{this[d]=!1,this[p]=Date.now(),E.apply(this,[this[f]]),this[f]=C?C():void 0},S-Date.now()))}})}e.throttle=_}),define(ne[9],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class T{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(r){setTimeout(()=>{throw r.stack?new Error(r.message+`

`+r.stack):r},0)}}addListener(r){return this.listeners.push(r),()=>{this._removeListener(r)}}emit(r){this.listeners.forEach(a=>{a(r)})}_removeListener(r){this.listeners.splice(this.listeners.indexOf(r),1)}setUnexpectedErrorHandler(r){this.unexpectedErrorHandler=r}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(r){this.unexpectedErrorHandler(r),this.emit(r)}onUnexpectedExternalError(r){this.unexpectedErrorHandler(r)}}e.ErrorHandler=T,e.errorHandler=new T;function n(l){e.errorHandler.setUnexpectedErrorHandler(l)}e.setUnexpectedErrorHandler=n;function k(l){C(l)||e.errorHandler.onUnexpectedError(l)}e.onUnexpectedError=k;function _(l){C(l)||e.errorHandler.onUnexpectedExternalError(l)}e.onUnexpectedExternalError=_;function L(l){if(l instanceof Error){let{name:r,message:a}=l;const i=l.stacktrace||l.stack;return{$isError:!0,name:r,message:a,stack:i}}return l}e.transformErrorForSerialization=L;const R="Canceled";function C(l){return l instanceof Error&&l.name===R&&l.message===R}e.isPromiseCanceledError=C;class E extends Error{constructor(){super(R);this.name=this.message}}e.CancellationError=E;function P(){const l=new Error(R);return l.name=l.message,l}e.canceled=P;function b(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}e.illegalArgument=b;function f(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}e.illegalState=f;function p(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=p;function d(l){const r=new Error(`${l} has been disposed`);return r.name="DISPOSED",r}e.disposed=d;function w(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}e.getErrorMessage=w;class S extends Error{constructor(r){super("NotImplemented");r&&(this.message=r)}}e.NotImplementedError=S;class h extends Error{constructor(r){super("NotSupported");r&&(this.message=r)}}e.NotSupportedError=h;class y extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=y;function g(l){const r=l;return r instanceof Error&&Array.isArray(r.actions)}e.isErrorWithActions=g;function v(l,r=Object.create(null)){const a=new Error(l);return r.actions&&(a.actions=r.actions),a}e.createErrorWithActions=v}),define(ne[16],ie([0,1,9]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function n(U,j=0){return U[U.length-(1+j)]}e.tail=n;function k(U){if(U.length===0)throw new Error("Invalid tail call");return[U.slice(0,U.length-1),U[U.length-1]]}e.tail2=k;function _(U,j,V=(q,x)=>q===x){if(U===j)return!0;if(!U||!j||U.length!==j.length)return!1;for(let q=0,x=U.length;q<x;q++)if(!V(U[q],j[q]))return!1;return!0}e.equals=_;function L(U,j,V){let q=0,x=U.length-1;for(;q<=x;){const re=(q+x)/2|0,se=V(U[re],j);if(se<0)q=re+1;else if(se>0)x=re-1;else return re}return-(q+1)}e.binarySearch=L;function R(U,j){let V=0,q=U.length;if(q===0)return 0;for(;V<q;){const x=Math.floor((V+q)/2);j(U[x])?q=x:V=x+1}return V}e.findFirstInSorted=R;function C(U,j,V){if(U=U|0,U>=j.length)throw new TypeError("invalid index");let q=j[Math.floor(j.length*Math.random())],x=[],re=[],se=[];for(let ce of j){const he=V(ce,q);he<0?x.push(ce):he>0?re.push(ce):se.push(ce)}return U<x.length?C(U,x,V):U<x.length+se.length?se[0]:C(U-(x.length+se.length),re,V)}e.quickSelect=C;function E(U,j){const V=[];let q;for(const x of U.slice(0).sort(j))!q||j(q[0],x)!==0?(q=[x],V.push(q)):q.push(x);return V}e.groupBy=E;function P(U,j,V){const q=[];function x(ce,he,Se){if(he===0&&Se.length===0)return;const ge=q[q.length-1];ge&&ge.start+ge.deleteCount===ce?(ge.deleteCount+=he,ge.toInsert.push(...Se)):q.push({start:ce,deleteCount:he,toInsert:Se})}let re=0,se=0;for(;;){if(re===U.length){x(re,0,j.slice(se));break}if(se===j.length){x(re,U.length-re,[]);break}const ce=U[re],he=j[se],Se=V(ce,he);Se===0?(re+=1,se+=1):Se<0?(x(re,1,[]),re+=1):Se>0&&(x(re,0,[he]),se+=1)}return q}e.sortedDiff=P;function b(U,j,V){const q=P(U,j,V),x=[],re=[];for(const se of q)x.push(...U.slice(se.start,se.start+se.deleteCount)),re.push(...se.toInsert);return{removed:x,added:re}}e.delta=b;function f(U,j,V){if(V===0)return[];const q=U.slice(0,V).sort(j);return d(U,j,q,V,U.length),q}e.top=f;function p(U,j,V,q,x){return V===0?Promise.resolve([]):new Promise((re,se)=>{(async()=>{const ce=U.length,he=U.slice(0,V).sort(j);for(let Se=V,ge=Math.min(V+q,ce);Se<ce;Se=ge,ge=Math.min(ge+q,ce)){if(Se>V&&await new Promise(ye=>setTimeout(ye)),x&&x.isCancellationRequested)throw(0,T.canceled)();d(U,j,he,Se,ge)}return he})().then(re,se)})}e.topAsync=p;function d(U,j,V,q,x){for(const re=V.length;q<x;q++){const se=U[q];if(j(se,V[re-1])<0){V.pop();const ce=R(V,he=>j(se,he)<0);V.splice(ce,0,se)}}}function w(U){return U.filter(j=>!!j)}e.coalesce=w;function S(U){let j=0;for(let V=0;V<U.length;V++)U[V]&&(U[j]=U[V],j+=1);U.length=j}e.coalesceInPlace=S;function h(U,j,V){U.splice(V,0,U.splice(j,1)[0])}e.move=h;function y(U){return!Array.isArray(U)||U.length===0}e.isFalsyOrEmpty=y;function g(U){return Array.isArray(U)&&U.length>0}e.isNonEmptyArray=g;function v(U,j=V=>V){const V=new Set;return U.filter(q=>{const x=j(q);return V.has(x)?!1:(V.add(x),!0)})}e.distinct=v;function l(U){const j=new Set;return V=>{const q=U(V);return j.has(q)?!1:(j.add(q),!0)}}e.uniqueFilter=l;function r(U,j){const V=a(U,j);if(V!==-1)return U[V]}e.findLast=r;function a(U,j){for(let V=U.length-1;V>=0;V--){const q=U[V];if(j(q))return V}return-1}e.lastIndex=a;function i(U,j){return U.length>0?U[0]:j}e.firstOrDefault=i;function t(U,j,V=(q,x)=>q===x){let q=0;for(let x=0,re=Math.min(U.length,j.length);x<re&&V(U[x],j[x]);x++)q++;return q}e.commonPrefixLength=t;function s(U){return[].concat(...U)}e.flatten=s;function o(U,j){let V=typeof j=="number"?U:0;typeof j=="number"?V=U:(V=0,j=U);const q=[];if(V<=j)for(let x=V;x<j;x++)q.push(x);else for(let x=V;x>j;x--)q.push(x);return q}e.range=o;function c(U,j,V){return U.reduce((q,x)=>(q[j(x)]=V?V(x):x,q),Object.create(null))}e.index=c;function u(U,j){return U.push(j),()=>m(U,j)}e.insert=u;function m(U,j){const V=U.indexOf(j);if(V>-1)return U.splice(V,1),j}e.remove=m;function I(U,j,V){const q=U.slice(0,j),x=U.slice(j);return q.concat(V,x)}e.arrayInsert=I;function A(U,j){let V;if(typeof j=="number"){let q=j;V=()=>{const x=Math.sin(q++)*179426549;return x-Math.floor(x)}}else V=Math.random;for(let q=U.length-1;q>0;q-=1){const x=Math.floor(V()*(q+1)),re=U[q];U[q]=U[x],U[x]=re}}e.shuffle=A;function O(U,j){const V=U.indexOf(j);V>-1&&(U.splice(V,1),U.unshift(j))}e.pushToStart=O;function N(U,j){const V=U.indexOf(j);V>-1&&(U.splice(V,1),U.push(j))}e.pushToEnd=N;function $(U,j){return Array.isArray(U)?U.map(j):j(U)}e.mapArrayOrNot=$;function D(U){return Array.isArray(U)?U:[U]}e.asArray=D;function M(U){return U[Math.floor(Math.random()*U.length)]}e.getRandomElement=M;function W(U,j){for(const V of U){const q=j(V);if(q!==void 0)return q}}e.mapFind=W;function F(U,j,V){const q=Y(U,j),x=U.length,re=V.length;U.length=x+re;for(let se=x-1;se>=q;se--)U[se+re]=U[se];for(let se=0;se<re;se++)U[se+q]=V[se]}e.insertInto=F;function H(U,j,V,q){const x=Y(U,j),re=U.splice(x,V);return F(U,x,q),re}e.splice=H;function Y(U,j){return j<0?Math.max(j+U.length,0):Math.min(j,U.length)}function B(U,j){return(V,q)=>j(U(V),U(q))}e.compareBy=B;const z=(U,j)=>U-j;e.numberComparator=z;function Q(U,j){if(U.length===0)return;let V=U[0];for(let q=1;q<U.length;q++){const x=U[q];j(x,V)>0&&(V=x)}return V}e.findMaxBy=Q;function G(U,j){if(U.length===0)return;let V=U[0];for(let q=1;q<U.length;q++){const x=U[q];j(x,V)>=0&&(V=x)}return V}e.findLastMaxBy=G;function ee(U,j){return Q(U,(V,q)=>-j(V,q))}e.findMinBy=ee;class K{constructor(j){this.items=j,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(j){let V=this.firstIdx;for(;V<this.items.length&&j(this.items[V]);)V++;const q=V===this.firstIdx?null:this.items.slice(this.firstIdx,V);return this.firstIdx=V,q}takeFromEndWhile(j){let V=this.lastIdx;for(;V>=0&&j(this.items[V]);)V--;const q=V===this.lastIdx?null:this.items.slice(V+1,this.lastIdx+1);return this.lastIdx=V,q}peek(){return this.items[this.firstIdx]}dequeue(){const j=this.items[this.firstIdx];return this.firstIdx++,j}takeCount(j){const V=this.items.slice(this.firstIdx,this.firstIdx+j);return this.firstIdx+=j,V}}e.ArrayQueue=K}),define(ne[67],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function T(n){const k=this;let _=!1,L;return function(){return _||(_=!0,L=n.apply(k,arguments)),L}}e.once=T}),define(ne[54],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var T;(function(n){function k(l){return l&&typeof l=="object"&&typeof l[Symbol.iterator]=="function"}n.is=k;const _=Object.freeze([]);function L(){return _}n.empty=L;function*R(l){yield l}n.single=R;function C(l){return l||_}n.from=C;function E(l){return!l||l[Symbol.iterator]().next().done===!0}n.isEmpty=E;function P(l){return l[Symbol.iterator]().next().value}n.first=P;function b(l,r){for(const a of l)if(r(a))return!0;return!1}n.some=b;function f(l,r){for(const a of l)if(r(a))return a}n.find=f;function*p(l,r){for(const a of l)r(a)&&(yield a)}n.filter=p;function*d(l,r){let a=0;for(const i of l)yield r(i,a++)}n.map=d;function*w(...l){for(const r of l)for(const a of r)yield a}n.concat=w;function*S(l){for(const r of l)for(const a of r)yield a}n.concatNested=S;function h(l,r,a){let i=a;for(const t of l)i=r(i,t);return i}n.reduce=h;function*y(l,r,a=l.length){for(r<0&&(r+=l.length),a<0?a+=l.length:a>l.length&&(a=l.length);r<a;r++)yield l[r]}n.slice=y;function g(l,r=Number.POSITIVE_INFINITY){const a=[];if(r===0)return[a,l];const i=l[Symbol.iterator]();for(let t=0;t<r;t++){const s=i.next();if(s.done)return[a,n.empty()];a.push(s.value)}return[a,{[Symbol.iterator](){return i}}]}n.consume=g;function v(l,r,a=(i,t)=>i===t){const i=l[Symbol.iterator](),t=r[Symbol.iterator]();for(;;){const s=i.next(),o=t.next();if(s.done!==o.done)return!1;if(s.done)return!0;if(!a(s.value,o.value))return!1}}n.equals=v})(T=e.Iterable||(e.Iterable={}))}),define(ne[35],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var T;(function(r){r[r.None=0]="None",r[r.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=2]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",r[r.InvalidUnicode=4]="InvalidUnicode",r[r.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",r[r.InvalidCharacter=6]="InvalidCharacter"})(T=e.ScanError||(e.ScanError={}));var n;(function(r){r[r.OpenBraceToken=1]="OpenBraceToken",r[r.CloseBraceToken=2]="CloseBraceToken",r[r.OpenBracketToken=3]="OpenBracketToken",r[r.CloseBracketToken=4]="CloseBracketToken",r[r.CommaToken=5]="CommaToken",r[r.ColonToken=6]="ColonToken",r[r.NullKeyword=7]="NullKeyword",r[r.TrueKeyword=8]="TrueKeyword",r[r.FalseKeyword=9]="FalseKeyword",r[r.StringLiteral=10]="StringLiteral",r[r.NumericLiteral=11]="NumericLiteral",r[r.LineCommentTrivia=12]="LineCommentTrivia",r[r.BlockCommentTrivia=13]="BlockCommentTrivia",r[r.LineBreakTrivia=14]="LineBreakTrivia",r[r.Trivia=15]="Trivia",r[r.Unknown=16]="Unknown",r[r.EOF=17]="EOF"})(n=e.SyntaxKind||(e.SyntaxKind={}));var k;(function(r){r[r.InvalidSymbol=1]="InvalidSymbol",r[r.InvalidNumberFormat=2]="InvalidNumberFormat",r[r.PropertyNameExpected=3]="PropertyNameExpected",r[r.ValueExpected=4]="ValueExpected",r[r.ColonExpected=5]="ColonExpected",r[r.CommaExpected=6]="CommaExpected",r[r.CloseBraceExpected=7]="CloseBraceExpected",r[r.CloseBracketExpected=8]="CloseBracketExpected",r[r.EndOfFileExpected=9]="EndOfFileExpected",r[r.InvalidCommentToken=10]="InvalidCommentToken",r[r.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=12]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",r[r.InvalidUnicode=14]="InvalidUnicode",r[r.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",r[r.InvalidCharacter=16]="InvalidCharacter"})(k=e.ParseErrorCode||(e.ParseErrorCode={}));var _;(function(r){r.DEFAULT={allowTrailingComma:!0}})(_=e.ParseOptions||(e.ParseOptions={}));function L(r,a=!1){let i=0,t=r.length,s="",o=0,c=16,u=0;function m(M){let W=0,F=0;for(;W<M;){const H=r.charCodeAt(i);if(H>=48&&H<=57)F=F*16+H-48;else if(H>=65&&H<=70)F=F*16+H-65+10;else if(H>=97&&H<=102)F=F*16+H-97+10;else break;i++,W++}return W<M&&(F=-1),F}function I(M){i=M,s="",o=0,c=16,u=0}function A(){const M=i;if(r.charCodeAt(i)===48)i++;else for(i++;i<r.length&&E(r.charCodeAt(i));)i++;if(i<r.length&&r.charCodeAt(i)===46)if(i++,i<r.length&&E(r.charCodeAt(i)))for(i++;i<r.length&&E(r.charCodeAt(i));)i++;else return u=3,r.substring(M,i);let W=i;if(i<r.length&&(r.charCodeAt(i)===69||r.charCodeAt(i)===101))if(i++,(i<r.length&&r.charCodeAt(i)===43||r.charCodeAt(i)===45)&&i++,i<r.length&&E(r.charCodeAt(i))){for(i++;i<r.length&&E(r.charCodeAt(i));)i++;W=i}else u=3;return r.substring(M,W)}function O(){let M="",W=i;for(;;){if(i>=t){M+=r.substring(W,i),u=2;break}const F=r.charCodeAt(i);if(F===34){M+=r.substring(W,i),i++;break}if(F===92){if(M+=r.substring(W,i),i++,i>=t){u=2;break}switch(r.charCodeAt(i++)){case 34:M+='"';break;case 92:M+="\\";break;case 47:M+="/";break;case 98:M+="\b";break;case 102:M+="\f";break;case 110:M+=`
`;break;case 114:M+="\r";break;case 116:M+="	";break;case 117:{const Y=m(4);Y>=0?M+=String.fromCharCode(Y):u=4;break}default:u=5}W=i;continue}if(F>=0&&F<=31)if(C(F)){M+=r.substring(W,i),u=2;break}else u=6;i++}return M}function N(){if(s="",u=0,o=i,i>=t)return o=t,c=17;let M=r.charCodeAt(i);if(R(M)){do i++,s+=String.fromCharCode(M),M=r.charCodeAt(i);while(R(M));return c=15}if(C(M))return i++,s+=String.fromCharCode(M),M===13&&r.charCodeAt(i)===10&&(i++,s+=`
`),c=14;switch(M){case 123:return i++,c=1;case 125:return i++,c=2;case 91:return i++,c=3;case 93:return i++,c=4;case 58:return i++,c=6;case 44:return i++,c=5;case 34:return i++,s=O(),c=10;case 47:{const W=i-1;if(r.charCodeAt(i+1)===47){for(i+=2;i<t&&!C(r.charCodeAt(i));)i++;return s=r.substring(W,i),c=12}if(r.charCodeAt(i+1)===42){i+=2;const F=t-1;let H=!1;for(;i<F;){if(r.charCodeAt(i)===42&&r.charCodeAt(i+1)===47){i+=2,H=!0;break}i++}return H||(i++,u=1),s=r.substring(W,i),c=13}return s+=String.fromCharCode(M),i++,c=16}case 45:if(s+=String.fromCharCode(M),i++,i===t||!E(r.charCodeAt(i)))return c=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=A(),c=11;default:for(;i<t&&$(M);)i++,M=r.charCodeAt(i);if(o!==i){switch(s=r.substring(o,i),s){case"true":return c=8;case"false":return c=9;case"null":return c=7}return c=16}return s+=String.fromCharCode(M),i++,c=16}}function $(M){if(R(M)||C(M))return!1;switch(M){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function D(){let M;do M=N();while(M>=12&&M<=15);return M}return{setPosition:I,getPosition:()=>i,scan:a?D:N,getToken:()=>c,getTokenValue:()=>s,getTokenOffset:()=>o,getTokenLength:()=>i-o,getTokenError:()=>u}}e.createScanner=L;function R(r){return r===32||r===9||r===11||r===12||r===160||r===5760||r>=8192&&r<=8203||r===8239||r===8287||r===12288||r===65279}function C(r){return r===10||r===13||r===8232||r===8233}function E(r){return r>=48&&r<=57}var P;(function(r){r[r.nullCharacter=0]="nullCharacter",r[r.maxAsciiCharacter=127]="maxAsciiCharacter",r[r.lineFeed=10]="lineFeed",r[r.carriageReturn=13]="carriageReturn",r[r.lineSeparator=8232]="lineSeparator",r[r.paragraphSeparator=8233]="paragraphSeparator",r[r.nextLine=133]="nextLine",r[r.space=32]="space",r[r.nonBreakingSpace=160]="nonBreakingSpace",r[r.enQuad=8192]="enQuad",r[r.emQuad=8193]="emQuad",r[r.enSpace=8194]="enSpace",r[r.emSpace=8195]="emSpace",r[r.threePerEmSpace=8196]="threePerEmSpace",r[r.fourPerEmSpace=8197]="fourPerEmSpace",r[r.sixPerEmSpace=8198]="sixPerEmSpace",r[r.figureSpace=8199]="figureSpace",r[r.punctuationSpace=8200]="punctuationSpace",r[r.thinSpace=8201]="thinSpace",r[r.hairSpace=8202]="hairSpace",r[r.zeroWidthSpace=8203]="zeroWidthSpace",r[r.narrowNoBreakSpace=8239]="narrowNoBreakSpace",r[r.ideographicSpace=12288]="ideographicSpace",r[r.mathematicalSpace=8287]="mathematicalSpace",r[r.ogham=5760]="ogham",r[r._=95]="_",r[r.$=36]="$",r[r._0=48]="_0",r[r._1=49]="_1",r[r._2=50]="_2",r[r._3=51]="_3",r[r._4=52]="_4",r[r._5=53]="_5",r[r._6=54]="_6",r[r._7=55]="_7",r[r._8=56]="_8",r[r._9=57]="_9",r[r.a=97]="a",r[r.b=98]="b",r[r.c=99]="c",r[r.d=100]="d",r[r.e=101]="e",r[r.f=102]="f",r[r.g=103]="g",r[r.h=104]="h",r[r.i=105]="i",r[r.j=106]="j",r[r.k=107]="k",r[r.l=108]="l",r[r.m=109]="m",r[r.n=110]="n",r[r.o=111]="o",r[r.p=112]="p",r[r.q=113]="q",r[r.r=114]="r",r[r.s=115]="s",r[r.t=116]="t",r[r.u=117]="u",r[r.v=118]="v",r[r.w=119]="w",r[r.x=120]="x",r[r.y=121]="y",r[r.z=122]="z",r[r.A=65]="A",r[r.B=66]="B",r[r.C=67]="C",r[r.D=68]="D",r[r.E=69]="E",r[r.F=70]="F",r[r.G=71]="G",r[r.H=72]="H",r[r.I=73]="I",r[r.J=74]="J",r[r.K=75]="K",r[r.L=76]="L",r[r.M=77]="M",r[r.N=78]="N",r[r.O=79]="O",r[r.P=80]="P",r[r.Q=81]="Q",r[r.R=82]="R",r[r.S=83]="S",r[r.T=84]="T",r[r.U=85]="U",r[r.V=86]="V",r[r.W=87]="W",r[r.X=88]="X",r[r.Y=89]="Y",r[r.Z=90]="Z",r[r.ampersand=38]="ampersand",r[r.asterisk=42]="asterisk",r[r.at=64]="at",r[r.backslash=92]="backslash",r[r.bar=124]="bar",r[r.caret=94]="caret",r[r.closeBrace=125]="closeBrace",r[r.closeBracket=93]="closeBracket",r[r.closeParen=41]="closeParen",r[r.colon=58]="colon",r[r.comma=44]="comma",r[r.dot=46]="dot",r[r.doubleQuote=34]="doubleQuote",r[r.equals=61]="equals",r[r.exclamation=33]="exclamation",r[r.greaterThan=62]="greaterThan",r[r.lessThan=60]="lessThan",r[r.minus=45]="minus",r[r.openBrace=123]="openBrace",r[r.openBracket=91]="openBracket",r[r.openParen=40]="openParen",r[r.percent=37]="percent",r[r.plus=43]="plus",r[r.question=63]="question",r[r.semicolon=59]="semicolon",r[r.singleQuote=39]="singleQuote",r[r.slash=47]="slash",r[r.tilde=126]="tilde",r[r.backspace=8]="backspace",r[r.formFeed=12]="formFeed",r[r.byteOrderMark=65279]="byteOrderMark",r[r.tab=9]="tab",r[r.verticalTab=11]="verticalTab"})(P||(P={}));function b(r,a){const i=[],t=new Object;let s;const o={value:{},offset:0,length:0,type:"object",parent:void 0};let c=!1;function u(m,I,A,O){o.value=m,o.offset=I,o.length=A,o.type=O,o.colonOffset=void 0,s=o}try{g(r,{onObjectBegin:(m,I)=>{if(a<=m)throw t;s=void 0,c=a>m,i.push("")},onObjectProperty:(m,I,A)=>{if(a<I||(u(m,I,A,"property"),i[i.length-1]=m,a<=I+A))throw t},onObjectEnd:(m,I)=>{if(a<=m)throw t;s=void 0,i.pop()},onArrayBegin:(m,I)=>{if(a<=m)throw t;s=void 0,i.push(0)},onArrayEnd:(m,I)=>{if(a<=m)throw t;s=void 0,i.pop()},onLiteralValue:(m,I,A)=>{if(a<I||(u(m,I,A,l(m)),a<=I+A))throw t},onSeparator:(m,I,A)=>{if(a<=I)throw t;if(m===":"&&s&&s.type==="property")s.colonOffset=I,c=!1,s=void 0;else if(m===","){const O=i[i.length-1];typeof O=="number"?i[i.length-1]=O+1:(c=!0,i[i.length-1]=""),s=void 0}}})}catch(m){if(m!==t)throw m}return{path:i,previousNode:s,isAtPropertyKey:c,matches:m=>{let I=0;for(let A=0;I<m.length&&A<i.length;A++)if(m[I]===i[A]||m[I]==="*")I++;else if(m[I]!=="**")return!1;return I===m.length}}}e.getLocation=b;function f(r,a=[],i=_.DEFAULT){let t=null,s=[];const o=[];function c(m){Array.isArray(s)?s.push(m):t!==null&&(s[t]=m)}return g(r,{onObjectBegin:()=>{const m={};c(m),o.push(s),s=m,t=null},onObjectProperty:m=>{t=m},onObjectEnd:()=>{s=o.pop()},onArrayBegin:()=>{const m=[];c(m),o.push(s),s=m,t=null},onArrayEnd:()=>{s=o.pop()},onLiteralValue:c,onError:(m,I,A)=>{a.push({error:m,offset:I,length:A})}},i),s[0]}e.parse=f;function p(r,a=[],i=_.DEFAULT){let t={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(m){t.type==="property"&&(t.length=m-t.offset,t=t.parent)}function o(m){return t.children.push(m),m}g(r,{onObjectBegin:m=>{t=o({type:"object",offset:m,length:-1,parent:t,children:[]})},onObjectProperty:(m,I,A)=>{t=o({type:"property",offset:I,length:-1,parent:t,children:[]}),t.children.push({type:"string",value:m,offset:I,length:A,parent:t})},onObjectEnd:(m,I)=>{t.length=m+I-t.offset,t=t.parent,s(m+I)},onArrayBegin:(m,I)=>{t=o({type:"array",offset:m,length:-1,parent:t,children:[]})},onArrayEnd:(m,I)=>{t.length=m+I-t.offset,t=t.parent,s(m+I)},onLiteralValue:(m,I,A)=>{o({type:l(m),offset:I,length:A,parent:t,value:m}),s(I+A)},onSeparator:(m,I,A)=>{t.type==="property"&&(m===":"?t.colonOffset=I:m===","&&s(I))},onError:(m,I,A)=>{a.push({error:m,offset:I,length:A})}},i);const u=t.children[0];return u&&delete u.parent,u}e.parseTree=p;function d(r,a){if(!r)return;let i=r;for(let t of a)if(typeof t=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let s=!1;for(const o of i.children)if(Array.isArray(o.children)&&o.children[0].value===t){i=o.children[1],s=!0;break}if(!s)return}else{const s=t;if(i.type!=="array"||s<0||!Array.isArray(i.children)||s>=i.children.length)return;i=i.children[s]}return i}e.findNodeAtLocation=d;function w(r){if(!r.parent||!r.parent.children)return[];const a=w(r.parent);if(r.parent.type==="property"){const i=r.parent.children[0].value;a.push(i)}else if(r.parent.type==="array"){const i=r.parent.children.indexOf(r);i!==-1&&a.push(i)}return a}e.getNodePath=w;function S(r){switch(r.type){case"array":return r.children.map(S);case"object":{const a=Object.create(null);for(let i of r.children){const t=i.children[1];t&&(a[i.children[0].value]=S(t))}return a}case"null":case"string":case"number":case"boolean":return r.value;default:return}}e.getNodeValue=S;function h(r,a,i=!1){return a>=r.offset&&a<r.offset+r.length||i&&a===r.offset+r.length}e.contains=h;function y(r,a,i=!1){if(h(r,a,i)){const t=r.children;if(Array.isArray(t))for(let s=0;s<t.length&&t[s].offset<=a;s++){const o=y(t[s],a,i);if(o)return o}return r}}e.findNodeAtOffset=y;function g(r,a,i=_.DEFAULT){const t=L(r,!1);function s(K){return K?()=>K(t.getTokenOffset(),t.getTokenLength()):()=>!0}function o(K){return K?U=>K(U,t.getTokenOffset(),t.getTokenLength()):()=>!0}const c=s(a.onObjectBegin),u=o(a.onObjectProperty),m=s(a.onObjectEnd),I=s(a.onArrayBegin),A=s(a.onArrayEnd),O=o(a.onLiteralValue),N=o(a.onSeparator),$=s(a.onComment),D=o(a.onError),M=i&&i.disallowComments,W=i&&i.allowTrailingComma;function F(){for(;;){const K=t.scan();switch(t.getTokenError()){case 4:H(14);break;case 5:H(15);break;case 3:H(13);break;case 1:M||H(11);break;case 2:H(12);break;case 6:H(16);break}switch(K){case 12:case 13:M?H(10):$();break;case 16:H(1);break;case 15:case 14:break;default:return K}}}function H(K,U=[],j=[]){if(D(K),U.length+j.length>0){let V=t.getToken();for(;V!==17;){if(U.indexOf(V)!==-1){F();break}else if(j.indexOf(V)!==-1)break;V=F()}}}function Y(K){const U=t.getTokenValue();return K?O(U):u(U),F(),!0}function B(){switch(t.getToken()){case 11:{let K=0;try{K=JSON.parse(t.getTokenValue()),typeof K!="number"&&(H(2),K=0)}catch{H(2)}O(K);break}case 7:O(null);break;case 8:O(!0);break;case 9:O(!1);break;default:return!1}return F(),!0}function z(){return t.getToken()!==10?(H(3,[],[2,5]),!1):(Y(!1),t.getToken()===6?(N(":"),F(),ee()||H(4,[],[2,5])):H(5,[],[2,5]),!0)}function Q(){c(),F();let K=!1;for(;t.getToken()!==2&&t.getToken()!==17;){if(t.getToken()===5){if(K||H(4,[],[]),N(","),F(),t.getToken()===2&&W)break}else K&&H(6,[],[]);z()||H(4,[],[2,5]),K=!0}return m(),t.getToken()!==2?H(7,[2],[]):F(),!0}function G(){I(),F();let K=!1;for(;t.getToken()!==4&&t.getToken()!==17;){if(t.getToken()===5){if(K||H(4,[],[]),N(","),F(),t.getToken()===4&&W)break}else K&&H(6,[],[]);ee()||H(4,[],[4,5]),K=!0}return A(),t.getToken()!==4?H(8,[4],[]):F(),!0}function ee(){switch(t.getToken()){case 3:return G();case 1:return Q();case 10:return Y(!0);default:return B()}}return F(),t.getToken()===17?i.allowEmptyContent?!0:(H(4,[],[]),!1):ee()?(t.getToken()!==17&&H(9,[],[]),!0):(H(4,[],[]),!1)}e.visit=g;function v(r,a){let i=L(r),t=[],s,o=0,c;do switch(c=i.getPosition(),s=i.scan(),s){case 12:case 13:case 17:o!==c&&t.push(r.substring(o,c)),a!==void 0&&t.push(i.getTokenValue().replace(/[^\r\n]/g,a)),o=i.getPosition();break}while(s!==17);return t.join("")}e.stripComments=v;function l(r){switch(typeof r){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(r){if(Array.isArray(r))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=l}),define(ne[49],ie([0,1,35]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function n(E,P,b){let f,p,d,w,S;if(P){for(w=P.offset,S=w+P.length,d=w;d>0&&!C(E,d-1);)d--;let c=S;for(;c<E.length&&!C(E,c);)c++;p=E.substring(d,c),f=L(p,b)}else p=E,f=0,d=0,w=0,S=E.length;const h=R(b,E);let y=!1,g=0,v;b.insertSpaces?v=_(" ",b.tabSize||4):v="	";const l=(0,T.createScanner)(p,!1);let r=!1;function a(){return h+_(v,f+g)}function i(){let c=l.scan();for(y=!1;c===15||c===14;)y=y||c===14,c=l.scan();return r=c===16||l.getTokenError()!==0,c}const t=[];function s(c,u,m){!r&&u<S&&m>w&&E.substring(u,m)!==c&&t.push({offset:u,length:m-u,content:c})}let o=i();if(o!==17){const c=l.getTokenOffset()+d,u=_(v,f);s(u,d,c)}for(;o!==17;){let c=l.getTokenOffset()+l.getTokenLength()+d,u=i(),m="";for(;!y&&(u===12||u===13);){const A=l.getTokenOffset()+d;s(" ",c,A),c=l.getTokenOffset()+l.getTokenLength()+d,m=u===12?a():"",u=i()}if(u===2)o!==1&&(g--,m=a());else if(u===4)o!==3&&(g--,m=a());else{switch(o){case 3:case 1:g++,m=a();break;case 5:case 12:m=a();break;case 13:y?m=a():m=" ";break;case 6:m=" ";break;case 10:if(u===6){m="";break}case 7:case 8:case 9:case 11:case 2:case 4:u===12||u===13?m=" ":u!==5&&u!==17&&(r=!0);break;case 16:r=!0;break}y&&(u===12||u===13)&&(m=a())}const I=l.getTokenOffset()+d;s(m,c,I),o=u}return t}e.format=n;function k(E,P){const b=JSON.stringify(E,void 0,P.insertSpaces?P.tabSize||4:"	");return P.eol!==void 0?b.replace(/\r\n|\r|\n/g,P.eol):b}e.toFormattedString=k;function _(E,P){let b="";for(let f=0;f<P;f++)b+=E;return b}function L(E,P){let b=0,f=0;const p=P.tabSize||4;for(;b<E.length;){const d=E.charAt(b);if(d===" ")f++;else if(d==="	")f+=p;else break;b++}return Math.floor(f/p)}function R(E,P){for(let b=0;b<P.length;b++){const f=P.charAt(b);if(f==="\r")return b+1<P.length&&P.charAt(b+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return E&&E.eol||`
`}e.getEOL=R;function C(E,P){return`\r
`.indexOf(E.charAt(P))!==-1}e.isEOL=C}),define(ne[68],ie([0,1,35,49]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function k(E,P,b){return _(E,P,void 0,b)}e.removeProperty=k;function _(E,P,b,f,p){const d=P.slice(),w=[],S=(0,T.parseTree)(E,w);let h,y;for(;d.length>0&&(y=d.pop(),h=(0,T.findNodeAtLocation)(S,d),h===void 0&&b!==void 0);)typeof y=="string"?b={[y]:b}:b=[b];if(h)if(h.type==="object"&&typeof y=="string"&&Array.isArray(h.children)){const g=(0,T.findNodeAtLocation)(h,[y]);if(g!==void 0)if(b===void 0){if(!g.parent)throw new Error("Malformed AST");const v=h.children.indexOf(g.parent);let l,r=g.parent.offset+g.parent.length;if(v>0){const a=h.children[v-1];l=a.offset+a.length}else l=h.offset+1,h.children.length>1&&(r=h.children[1].offset);return L(E,{offset:l,length:r-l,content:""},f)}else return L(E,{offset:g.offset,length:g.length,content:JSON.stringify(b)},f);else{if(b===void 0)return[];const v=`${JSON.stringify(y)}: ${JSON.stringify(b)}`,l=p?p(h.children.map(a=>a.children[0].value)):h.children.length;let r;if(l>0){const a=h.children[l-1];r={offset:a.offset+a.length,length:0,content:","+v}}else h.children.length===0?r={offset:h.offset+1,length:0,content:v}:r={offset:h.offset+1,length:0,content:v+","};return L(E,r,f)}}else if(h.type==="array"&&typeof y=="number"&&Array.isArray(h.children))if(b!==void 0){const g=`${JSON.stringify(b)}`;let v;if(h.children.length===0||y===0)v={offset:h.offset+1,length:0,content:h.children.length===0?g:g+","};else{const l=y===-1||y>h.children.length?h.children.length:y,r=h.children[l-1];v={offset:r.offset+r.length,length:0,content:","+g}}return L(E,v,f)}else{const g=y,v=h.children[g];let l;if(h.children.length===1)l={offset:h.offset+1,length:h.length-2,content:""};else if(h.children.length-1===g){const r=h.children[g-1],a=r.offset+r.length,i=h.offset+h.length;l={offset:a,length:i-2-a,content:""}}else l={offset:v.offset,length:h.children[g+1].offset-v.offset,content:""};return L(E,l,f)}else throw new Error(`Can not add ${typeof y!="number"?"index":"property"} to parent of type ${h.type}`);else{if(b===void 0)throw new Error("Can not delete in empty document");return L(E,{offset:S?S.offset:0,length:S?S.length:0,content:JSON.stringify(b)},f)}}e.setProperty=_;function L(E,P,b){let f=R(E,P),p=P.offset,d=P.offset+P.content.length;if(P.length===0||P.content.length===0){for(;p>0&&!(0,n.isEOL)(f,p-1);)p--;for(;d<f.length&&!(0,n.isEOL)(f,d);)d++}const w=(0,n.format)(f,{offset:p,length:d-p},b);for(let h=w.length-1;h>=0;h--){const y=w[h];f=R(f,y),p=Math.min(p,y.offset),d=Math.max(d,y.offset+y.length),d+=y.content.length-y.length}const S=E.length-(f.length-d)-p;return[{offset:p,length:S,content:f.substring(p,d)}]}e.withFormatting=L;function R(E,P){return E.substring(0,P.offset)+P.content+E.substring(P.offset+P.length)}e.applyEdit=R;function C(E,P){let b=P.slice(0).sort((p,d)=>{const w=p.offset-d.offset;return w===0?p.length-d.length:w}),f=E.length;for(let p=b.length-1;p>=0;p--){let d=b[p];if(d.offset+d.length<=f)E=R(E,d);else throw new Error("Overlapping edit");f=d.offset}return E}e.applyEdits=C}),define(ne[100],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class T{constructor(k){this.executor=k,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(k){this._error=k}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(k){return new T(()=>k(this.getValue()))}}e.Lazy=T}),define(ne[2],ie([0,1,67,54]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const k=!1;let _=null;function L(t){_=t}if(e.setDisposableTracker=L,k){const t="__is_disposable_tracked__";L(new class{trackDisposable(s){const o=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[t]||console.log(o)},3e3)}setParent(s,o){if(s&&s!==y.None)try{s[t]=!0}catch{}}markAsDisposed(s){if(s&&s!==y.None)try{s[t]=!0}catch{}}markAsSingleton(s){}})}function R(t){return _?.trackDisposable(t),t}function C(t){_?.markAsDisposed(t)}function E(t,s){_?.setParent(t,s)}function P(t,s){if(!!_)for(const o of t)_.setParent(o,s)}function b(t){return _?.markAsSingleton(t),t}e.markAsSingleton=b;class f extends Error{constructor(s){super(`Encountered errors while disposing of store. Errors: [${s.join(", ")}]`);this.errors=s}}e.MultiDisposeError=f;function p(t){return typeof t.dispose=="function"&&t.dispose.length===0}e.isDisposable=p;function d(t){if(n.Iterable.is(t)){let s=[];for(const o of t)if(o)try{o.dispose()}catch(c){s.push(c)}if(s.length===1)throw s[0];if(s.length>1)throw new f(s);return Array.isArray(t)?[]:t}else if(t)return t.dispose(),t}e.dispose=d;function w(...t){const s=S(()=>d(t));return P(t,s),s}e.combinedDisposable=w;function S(t){const s=R({dispose:(0,T.once)(()=>{C(s),t()})});return s}e.toDisposable=S;class h{constructor(){this._toDispose=new Set,this._isDisposed=!1,R(this)}dispose(){this._isDisposed||(C(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{d(this._toDispose.values())}finally{this._toDispose.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return E(s,this),this._isDisposed?h.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(s),s}}e.DisposableStore=h,h.DISABLE_DISPOSED_WARNING=!1;class y{constructor(){this._store=new h,R(this),E(this._store,this)}dispose(){C(this),this._store.dispose()}_register(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(s)}}e.Disposable=y,y.None=Object.freeze({dispose(){}});class g{constructor(){this._isDisposed=!1,R(this)}get value(){return this._isDisposed?void 0:this._value}set value(s){this._isDisposed||s===this._value||(this._value?.dispose(),s&&E(s,this),this._value=s)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,C(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const s=this._value;return this._value=void 0,s&&E(s,null),s}}e.MutableDisposable=g;class v{constructor(s){this._disposable=s,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=v;class l{constructor(){this.references=new Map}acquire(s,...o){let c=this.references.get(s);c||(c={counter:0,object:this.createReferencedObject(s,...o)},this.references.set(s,c));const{object:u}=c,m=(0,T.once)(()=>{--c.counter==0&&(this.destroyReferencedObject(s,c.object),this.references.delete(s))});return c.counter++,{object:u,dispose:m}}}e.ReferenceCollection=l;class r{constructor(s){this.referenceCollection=s}async acquire(s,...o){const c=this.referenceCollection.acquire(s,...o);try{return{object:await c.object,dispose:()=>c.dispose()}}catch(u){throw c.dispose(),u}}}e.AsyncReferenceCollection=r;class a{constructor(s){this.object=s}dispose(){}}e.ImmortalReference=a;function i(t){const s=new h;try{t(s)}finally{s.dispose()}}e.disposeOnReturn=i}),define(ne[101],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class T{constructor(_){this.element=_,this.next=T.Undefined,this.prev=T.Undefined}}T.Undefined=new T(void 0);class n{constructor(){this._first=T.Undefined,this._last=T.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===T.Undefined}clear(){let _=this._first;for(;_!==T.Undefined;){const L=_.next;_.prev=T.Undefined,_.next=T.Undefined,_=L}this._first=T.Undefined,this._last=T.Undefined,this._size=0}unshift(_){return this._insert(_,!1)}push(_){return this._insert(_,!0)}_insert(_,L){const R=new T(_);if(this._first===T.Undefined)this._first=R,this._last=R;else if(L){const E=this._last;this._last=R,R.prev=E,E.next=R}else{const E=this._first;this._first=R,R.next=E,E.prev=R}this._size+=1;let C=!1;return()=>{C||(C=!0,this._remove(R))}}shift(){if(this._first!==T.Undefined){const _=this._first.element;return this._remove(this._first),_}}pop(){if(this._last!==T.Undefined){const _=this._last.element;return this._remove(this._last),_}}_remove(_){if(_.prev!==T.Undefined&&_.next!==T.Undefined){const L=_.prev;L.next=_.next,_.next.prev=L}else _.prev===T.Undefined&&_.next===T.Undefined?(this._first=T.Undefined,this._last=T.Undefined):_.next===T.Undefined?(this._last=this._last.prev,this._last.next=T.Undefined):_.prev===T.Undefined&&(this._first=this._first.next,this._first.prev=T.Undefined);this._size-=1}*[Symbol.iterator](){let _=this._first;for(;_!==T.Undefined;)yield _.element,_=_.next}}e.LinkedList=n}),function(){function J(k){const _=[];typeof k=="number"&&_.push("code/timeOrigin",k);function L(C){_.push(C,Date.now())}function R(){const C=[];for(let E=0;E<_.length;E+=2)C.push({name:_[E],startTime:_[E+1]});return C}return{mark:L,getMarks:R}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?J():{mark(k){performance.mark(k)},getMarks(){let k=performance.timeOrigin;typeof k!="number"&&(k=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const _=[{name:"code/timeOrigin",startTime:Math.round(k)}];for(const L of performance.getEntriesByType("mark"))_.push({name:L.name,startTime:Math.round(k+L.startTime)});return _}};if(typeof process=="object"){const k=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return J(k)}else return console.trace("perf-util loaded in UNKNOWN environment"),J()}function T(k){return k.MonacoPerformanceMarks||(k.MonacoPerformanceMarks=e()),k.MonacoPerformanceMarks}var n;typeof global=="object"?n=global:typeof self=="object"?n=self:n={},typeof define=="function"?define("vs/base/common/performance",[],function(){return T(n)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=T(n):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),n.perf=T(n))}(),define(ne[4],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const T="en";let n=!1,k=!1,_=!1,L=!1,R=!1,C=!1,E=!1,P=!1,b,f=T,p,d;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let w;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?w=e.globals.vscode.process:typeof process!="undefined"&&(w=process);const S=typeof w?.versions?.electron=="string",h=S&&w?.type==="renderer";if(e.isElectronSandboxed=h&&w?.sandboxed,typeof navigator=="object"&&!h)d=navigator.userAgent,n=d.indexOf("Windows")>=0,k=d.indexOf("Macintosh")>=0,P=(d.indexOf("Macintosh")>=0||d.indexOf("iPad")>=0||d.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,_=d.indexOf("Linux")>=0,C=!0,b=navigator.language,f=b;else if(typeof w=="object"){n=w.platform==="win32",k=w.platform==="darwin",_=w.platform==="linux",L=_&&!!w.env.SNAP&&!!w.env.SNAP_REVISION,E=S,b=T,f=T;const s=w.env.VSCODE_NLS_CONFIG;if(s)try{const o=JSON.parse(s),c=o.availableLanguages["*"];b=o.locale,f=c||T,p=o._translationsConfigFile}catch{}R=!0}else console.error("Unable to resolve platform.");var y;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(y=e.Platform||(e.Platform={}));function g(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=g;let v=0;k?v=1:n?v=3:_&&(v=2),e.isWindows=n,e.isMacintosh=k,e.isLinux=_,e.isLinuxSnap=L,e.isNative=R,e.isElectron=E,e.isWeb=C,e.isIOS=P,e.platform=v,e.userAgent=d,e.language=f;var l;(function(s){function o(){return e.language}s.value=o;function c(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=c;function u(){return e.language==="en"}s.isDefault=u})(l=e.Language||(e.Language={})),e.locale=b,e.translationsConfigFile=p,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let s=[];e.globals.addEventListener("message",c=>{if(c.data&&c.data.vscodeScheduleAsyncWork)for(let u=0,m=s.length;u<m;u++){const I=s[u];if(I.id===c.data.vscodeScheduleAsyncWork){s.splice(u,1),I.callback();return}}});let o=0;return c=>{const u=++o;s.push({id:u,callback:c}),e.globals.postMessage({vscodeScheduleAsyncWork:u},"*")}}return s=>setTimeout(s)})();var r;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(r=e.OperatingSystem||(e.OperatingSystem={})),e.OS=k||P?2:n?1:3;let a=!0,i=!1;function t(){if(!i){i=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,a=new Uint16Array(s.buffer)[0]===(2<<8)+1}return a}e.isLittleEndian=t}),define(ne[31],ie([0,1,4]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let n;if(typeof T.globals.vscode!="undefined"&&typeof T.globals.vscode.process!="undefined"){const k=T.globals.vscode.process;n={get platform(){return k.platform},get arch(){return k.arch},get env(){return k.env},cwd(){return k.cwd()}}}else typeof process!="undefined"?n={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:n={get platform(){return T.isWindows?"win32":T.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=n.cwd,e.env=n.env,e.platform=n.platform,e.arch=n.arch}),define(ne[10],ie([0,1,31]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const n=65,k=97,_=90,L=122,R=46,C=47,E=92,P=58,b=63;class f extends Error{constructor(v,l,r){let a;typeof l=="string"&&l.indexOf("not ")===0?(a="must not be",l=l.replace(/^not /,"")):a="must be";const i=v.indexOf(".")!==-1?"property":"argument";let t=`The "${v}" ${i} ${a} of type ${l}`;t+=`. Received type ${typeof r}`;super(t);this.code="ERR_INVALID_ARG_TYPE"}}function p(g,v){if(typeof g!="string")throw new f(v,"string",g)}function d(g){return g===C||g===E}function w(g){return g===C}function S(g){return g>=n&&g<=_||g>=k&&g<=L}function h(g,v,l,r){let a="",i=0,t=-1,s=0,o=0;for(let c=0;c<=g.length;++c){if(c<g.length)o=g.charCodeAt(c);else{if(r(o))break;o=C}if(r(o)){if(!(t===c-1||s===1))if(s===2){if(a.length<2||i!==2||a.charCodeAt(a.length-1)!==R||a.charCodeAt(a.length-2)!==R){if(a.length>2){const u=a.lastIndexOf(l);u===-1?(a="",i=0):(a=a.slice(0,u),i=a.length-1-a.lastIndexOf(l)),t=c,s=0;continue}else if(a.length!==0){a="",i=0,t=c,s=0;continue}}v&&(a+=a.length>0?`${l}..`:"..",i=2)}else a.length>0?a+=`${l}${g.slice(t+1,c)}`:a=g.slice(t+1,c),i=c-t-1;t=c,s=0}else o===R&&s!==-1?++s:s=-1}return a}function y(g,v){if(v===null||typeof v!="object")throw new f("pathObject","Object",v);const l=v.dir||v.root,r=v.base||`${v.name||""}${v.ext||""}`;return l?l===v.root?`${l}${r}`:`${l}${g}${r}`:r}e.win32={resolve(...g){let v="",l="",r=!1;for(let a=g.length-1;a>=-1;a--){let i;if(a>=0){if(i=g[a],p(i,"path"),i.length===0)continue}else v.length===0?i=T.cwd():(i=T.env[`=${v}`]||T.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==v.toLowerCase()&&i.charCodeAt(2)===E)&&(i=`${v}\\`));const t=i.length;let s=0,o="",c=!1;const u=i.charCodeAt(0);if(t===1)d(u)&&(s=1,c=!0);else if(d(u))if(c=!0,d(i.charCodeAt(1))){let m=2,I=m;for(;m<t&&!d(i.charCodeAt(m));)m++;if(m<t&&m!==I){const A=i.slice(I,m);for(I=m;m<t&&d(i.charCodeAt(m));)m++;if(m<t&&m!==I){for(I=m;m<t&&!d(i.charCodeAt(m));)m++;(m===t||m!==I)&&(o=`\\\\${A}\\${i.slice(I,m)}`,s=m)}}}else s=1;else S(u)&&i.charCodeAt(1)===P&&(o=i.slice(0,2),s=2,t>2&&d(i.charCodeAt(2))&&(c=!0,s=3));if(o.length>0)if(v.length>0){if(o.toLowerCase()!==v.toLowerCase())continue}else v=o;if(r){if(v.length>0)break}else if(l=`${i.slice(s)}\\${l}`,r=c,c&&v.length>0)break}return l=h(l,!r,"\\",d),r?`${v}\\${l}`:`${v}${l}`||"."},normalize(g){p(g,"path");const v=g.length;if(v===0)return".";let l=0,r,a=!1;const i=g.charCodeAt(0);if(v===1)return w(i)?"\\":g;if(d(i))if(a=!0,d(g.charCodeAt(1))){let s=2,o=s;for(;s<v&&!d(g.charCodeAt(s));)s++;if(s<v&&s!==o){const c=g.slice(o,s);for(o=s;s<v&&d(g.charCodeAt(s));)s++;if(s<v&&s!==o){for(o=s;s<v&&!d(g.charCodeAt(s));)s++;if(s===v)return`\\\\${c}\\${g.slice(o)}\\`;s!==o&&(r=`\\\\${c}\\${g.slice(o,s)}`,l=s)}}}else l=1;else S(i)&&g.charCodeAt(1)===P&&(r=g.slice(0,2),l=2,v>2&&d(g.charCodeAt(2))&&(a=!0,l=3));let t=l<v?h(g.slice(l),!a,"\\",d):"";return t.length===0&&!a&&(t="."),t.length>0&&d(g.charCodeAt(v-1))&&(t+="\\"),r===void 0?a?`\\${t}`:t:a?`${r}\\${t}`:`${r}${t}`},isAbsolute(g){p(g,"path");const v=g.length;if(v===0)return!1;const l=g.charCodeAt(0);return d(l)||v>2&&S(l)&&g.charCodeAt(1)===P&&d(g.charCodeAt(2))},join(...g){if(g.length===0)return".";let v,l;for(let i=0;i<g.length;++i){const t=g[i];p(t,"path"),t.length>0&&(v===void 0?v=l=t:v+=`\\${t}`)}if(v===void 0)return".";let r=!0,a=0;if(typeof l=="string"&&d(l.charCodeAt(0))){++a;const i=l.length;i>1&&d(l.charCodeAt(1))&&(++a,i>2&&(d(l.charCodeAt(2))?++a:r=!1))}if(r){for(;a<v.length&&d(v.charCodeAt(a));)a++;a>=2&&(v=`\\${v.slice(a)}`)}return e.win32.normalize(v)},relative(g,v){if(p(g,"from"),p(v,"to"),g===v)return"";const l=e.win32.resolve(g),r=e.win32.resolve(v);if(l===r||(g=l.toLowerCase(),v=r.toLowerCase(),g===v))return"";let a=0;for(;a<g.length&&g.charCodeAt(a)===E;)a++;let i=g.length;for(;i-1>a&&g.charCodeAt(i-1)===E;)i--;const t=i-a;let s=0;for(;s<v.length&&v.charCodeAt(s)===E;)s++;let o=v.length;for(;o-1>s&&v.charCodeAt(o-1)===E;)o--;const c=o-s,u=t<c?t:c;let m=-1,I=0;for(;I<u;I++){const O=g.charCodeAt(a+I);if(O!==v.charCodeAt(s+I))break;O===E&&(m=I)}if(I!==u){if(m===-1)return r}else{if(c>u){if(v.charCodeAt(s+I)===E)return r.slice(s+I+1);if(I===2)return r.slice(s+I)}t>u&&(g.charCodeAt(a+I)===E?m=I:I===2&&(m=3)),m===-1&&(m=0)}let A="";for(I=a+m+1;I<=i;++I)(I===i||g.charCodeAt(I)===E)&&(A+=A.length===0?"..":"\\..");return s+=m,A.length>0?`${A}${r.slice(s,o)}`:(r.charCodeAt(s)===E&&++s,r.slice(s,o))},toNamespacedPath(g){if(typeof g!="string")return g;if(g.length===0)return"";const v=e.win32.resolve(g);if(v.length<=2)return g;if(v.charCodeAt(0)===E){if(v.charCodeAt(1)===E){const l=v.charCodeAt(2);if(l!==b&&l!==R)return`\\\\?\\UNC\\${v.slice(2)}`}}else if(S(v.charCodeAt(0))&&v.charCodeAt(1)===P&&v.charCodeAt(2)===E)return`\\\\?\\${v}`;return g},dirname(g){p(g,"path");const v=g.length;if(v===0)return".";let l=-1,r=0;const a=g.charCodeAt(0);if(v===1)return d(a)?g:".";if(d(a)){if(l=r=1,d(g.charCodeAt(1))){let s=2,o=s;for(;s<v&&!d(g.charCodeAt(s));)s++;if(s<v&&s!==o){for(o=s;s<v&&d(g.charCodeAt(s));)s++;if(s<v&&s!==o){for(o=s;s<v&&!d(g.charCodeAt(s));)s++;if(s===v)return g;s!==o&&(l=r=s+1)}}}}else S(a)&&g.charCodeAt(1)===P&&(l=v>2&&d(g.charCodeAt(2))?3:2,r=l);let i=-1,t=!0;for(let s=v-1;s>=r;--s)if(d(g.charCodeAt(s))){if(!t){i=s;break}}else t=!1;if(i===-1){if(l===-1)return".";i=l}return g.slice(0,i)},basename(g,v){v!==void 0&&p(v,"ext"),p(g,"path");let l=0,r=-1,a=!0,i;if(g.length>=2&&S(g.charCodeAt(0))&&g.charCodeAt(1)===P&&(l=2),v!==void 0&&v.length>0&&v.length<=g.length){if(v===g)return"";let t=v.length-1,s=-1;for(i=g.length-1;i>=l;--i){const o=g.charCodeAt(i);if(d(o)){if(!a){l=i+1;break}}else s===-1&&(a=!1,s=i+1),t>=0&&(o===v.charCodeAt(t)?--t==-1&&(r=i):(t=-1,r=s))}return l===r?r=s:r===-1&&(r=g.length),g.slice(l,r)}for(i=g.length-1;i>=l;--i)if(d(g.charCodeAt(i))){if(!a){l=i+1;break}}else r===-1&&(a=!1,r=i+1);return r===-1?"":g.slice(l,r)},extname(g){p(g,"path");let v=0,l=-1,r=0,a=-1,i=!0,t=0;g.length>=2&&g.charCodeAt(1)===P&&S(g.charCodeAt(0))&&(v=r=2);for(let s=g.length-1;s>=v;--s){const o=g.charCodeAt(s);if(d(o)){if(!i){r=s+1;break}continue}a===-1&&(i=!1,a=s+1),o===R?l===-1?l=s:t!==1&&(t=1):l!==-1&&(t=-1)}return l===-1||a===-1||t===0||t===1&&l===a-1&&l===r+1?"":g.slice(l,a)},format:y.bind(null,"\\"),parse(g){p(g,"path");const v={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return v;const l=g.length;let r=0,a=g.charCodeAt(0);if(l===1)return d(a)?(v.root=v.dir=g,v):(v.base=v.name=g,v);if(d(a)){if(r=1,d(g.charCodeAt(1))){let m=2,I=m;for(;m<l&&!d(g.charCodeAt(m));)m++;if(m<l&&m!==I){for(I=m;m<l&&d(g.charCodeAt(m));)m++;if(m<l&&m!==I){for(I=m;m<l&&!d(g.charCodeAt(m));)m++;m===l?r=m:m!==I&&(r=m+1)}}}}else if(S(a)&&g.charCodeAt(1)===P){if(l<=2)return v.root=v.dir=g,v;if(r=2,d(g.charCodeAt(2))){if(l===3)return v.root=v.dir=g,v;r=3}}r>0&&(v.root=g.slice(0,r));let i=-1,t=r,s=-1,o=!0,c=g.length-1,u=0;for(;c>=r;--c){if(a=g.charCodeAt(c),d(a)){if(!o){t=c+1;break}continue}s===-1&&(o=!1,s=c+1),a===R?i===-1?i=c:u!==1&&(u=1):i!==-1&&(u=-1)}return s!==-1&&(i===-1||u===0||u===1&&i===s-1&&i===t+1?v.base=v.name=g.slice(t,s):(v.name=g.slice(t,i),v.base=g.slice(t,s),v.ext=g.slice(i,s))),t>0&&t!==r?v.dir=g.slice(0,t-1):v.dir=v.root,v},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...g){let v="",l=!1;for(let r=g.length-1;r>=-1&&!l;r--){const a=r>=0?g[r]:T.cwd();p(a,"path"),a.length!==0&&(v=`${a}/${v}`,l=a.charCodeAt(0)===C)}return v=h(v,!l,"/",w),l?`/${v}`:v.length>0?v:"."},normalize(g){if(p(g,"path"),g.length===0)return".";const v=g.charCodeAt(0)===C,l=g.charCodeAt(g.length-1)===C;return g=h(g,!v,"/",w),g.length===0?v?"/":l?"./":".":(l&&(g+="/"),v?`/${g}`:g)},isAbsolute(g){return p(g,"path"),g.length>0&&g.charCodeAt(0)===C},join(...g){if(g.length===0)return".";let v;for(let l=0;l<g.length;++l){const r=g[l];p(r,"path"),r.length>0&&(v===void 0?v=r:v+=`/${r}`)}return v===void 0?".":e.posix.normalize(v)},relative(g,v){if(p(g,"from"),p(v,"to"),g===v||(g=e.posix.resolve(g),v=e.posix.resolve(v),g===v))return"";const l=1,r=g.length,a=r-l,i=1,t=v.length-i,s=a<t?a:t;let o=-1,c=0;for(;c<s;c++){const m=g.charCodeAt(l+c);if(m!==v.charCodeAt(i+c))break;m===C&&(o=c)}if(c===s)if(t>s){if(v.charCodeAt(i+c)===C)return v.slice(i+c+1);if(c===0)return v.slice(i+c)}else a>s&&(g.charCodeAt(l+c)===C?o=c:c===0&&(o=0));let u="";for(c=l+o+1;c<=r;++c)(c===r||g.charCodeAt(c)===C)&&(u+=u.length===0?"..":"/..");return`${u}${v.slice(i+o)}`},toNamespacedPath(g){return g},dirname(g){if(p(g,"path"),g.length===0)return".";const v=g.charCodeAt(0)===C;let l=-1,r=!0;for(let a=g.length-1;a>=1;--a)if(g.charCodeAt(a)===C){if(!r){l=a;break}}else r=!1;return l===-1?v?"/":".":v&&l===1?"//":g.slice(0,l)},basename(g,v){v!==void 0&&p(v,"ext"),p(g,"path");let l=0,r=-1,a=!0,i;if(v!==void 0&&v.length>0&&v.length<=g.length){if(v===g)return"";let t=v.length-1,s=-1;for(i=g.length-1;i>=0;--i){const o=g.charCodeAt(i);if(o===C){if(!a){l=i+1;break}}else s===-1&&(a=!1,s=i+1),t>=0&&(o===v.charCodeAt(t)?--t==-1&&(r=i):(t=-1,r=s))}return l===r?r=s:r===-1&&(r=g.length),g.slice(l,r)}for(i=g.length-1;i>=0;--i)if(g.charCodeAt(i)===C){if(!a){l=i+1;break}}else r===-1&&(a=!1,r=i+1);return r===-1?"":g.slice(l,r)},extname(g){p(g,"path");let v=-1,l=0,r=-1,a=!0,i=0;for(let t=g.length-1;t>=0;--t){const s=g.charCodeAt(t);if(s===C){if(!a){l=t+1;break}continue}r===-1&&(a=!1,r=t+1),s===R?v===-1?v=t:i!==1&&(i=1):v!==-1&&(i=-1)}return v===-1||r===-1||i===0||i===1&&v===r-1&&v===l+1?"":g.slice(v,r)},format:y.bind(null,"/"),parse(g){p(g,"path");const v={root:"",dir:"",base:"",ext:"",name:""};if(g.length===0)return v;const l=g.charCodeAt(0)===C;let r;l?(v.root="/",r=1):r=0;let a=-1,i=0,t=-1,s=!0,o=g.length-1,c=0;for(;o>=r;--o){const u=g.charCodeAt(o);if(u===C){if(!s){i=o+1;break}continue}t===-1&&(s=!1,t=o+1),u===R?a===-1?a=o:c!==1&&(c=1):a!==-1&&(c=-1)}if(t!==-1){const u=i===0&&l?1:i;a===-1||c===0||c===1&&a===t-1&&a===i+1?v.base=v.name=g.slice(u,t):(v.name=g.slice(u,a),v.base=g.slice(u,t),v.ext=g.slice(a,t))}return i>0?v.dir=g.slice(0,i-1):l&&(v.dir="/"),v},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=T.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=T.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=T.platform==="win32"?e.win32.join:e.posix.join,e.resolve=T.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=T.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=T.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=T.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=T.platform==="win32"?e.win32.extname:e.posix.extname,e.format=T.platform==="win32"?e.win32.format:e.posix.format,e.parse=T.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=T.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=T.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=T.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(ne[102],ie([0,1,10]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var n;(function(b){b.text="text/plain",b.binary="application/octet-stream",b.unknown="application/unknown",b.markdown="text/markdown",b.latex="text/latex"})(n=e.Mimes||(e.Mimes={}));const k={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},_={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function L(b){const f=(0,T.extname)(b),p=k[f.toLowerCase()];return p!==void 0?p:R(b)}e.getMediaOrTextMime=L;function R(b){const f=(0,T.extname)(b);return _[f.toLowerCase()]}e.getMediaMime=R;function C(b){for(const f in _)if(_[f]===b)return f}e.getExtensionForMimeType=C;const E=/^(.+)\/(.+?)(;.+)?$/;function P(b,f){const p=E.exec(b);return p?`${p[1].toLowerCase()}/${p[2].toLowerCase()}${p[3]??""}`:f?void 0:b}e.normalizeMimeType=P}),define(ne[103],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var T;(function(_){_[_.stdout=0]="stdout",_[_.stderr=1]="stderr"})(T=e.Source||(e.Source={}));var n;(function(_){_[_.Success=0]="Success",_[_.Unknown=1]="Unknown",_[_.AccessDenied=2]="AccessDenied",_[_.ProcessNotFound=3]="ProcessNotFound"})(n=e.TerminateResponseCode||(e.TerminateResponseCode={}));function k(_,...L){const R=L.reduce((P,b)=>(P[b]=!0,P),{}),C=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(_).filter(P=>!R[P]).forEach(P=>{for(let b=0;b<C.length;b++)if(P.search(C[b])!==-1){delete _[P];break}})}e.sanitizeProcessEnvironment=k}),function(J,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var T=e();for(var n in T)(typeof exports=="object"?exports:J)[n]=T[n]}}(typeof self!="undefined"?self:this,function(){return function(J){var e={};function T(n){if(e[n])return e[n].exports;var k=e[n]={i:n,l:!1,exports:{}};return J[n].call(k.exports,k,k.exports,T),k.l=!0,k.exports}return T.m=J,T.c=e,T.d=function(n,k,_){T.o(n,k)||Object.defineProperty(n,k,{enumerable:!0,get:_})},T.r=function(n){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(n,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(n,"__esModule",{value:!0})},T.t=function(n,k){if(1&k&&(n=T(n)),8&k||4&k&&typeof n=="object"&&n&&n.__esModule)return n;var _=Object.create(null);if(T.r(_),Object.defineProperty(_,"default",{enumerable:!0,value:n}),2&k&&typeof n!="string")for(var L in n)T.d(_,L,function(R){return n[R]}.bind(null,L));return _},T.n=function(n){var k=n&&n.__esModule?function(){return n.default}:function(){return n};return T.d(k,"a",k),k},T.o=function(n,k){return Object.prototype.hasOwnProperty.call(n,k)},T.p="",T(T.s=0)}([function(J,e,T){(function(n){var k;e=J.exports=j,k=typeof n=="object"&&n.env&&n.env.NODE_DEBUG&&/\bsemver\b/i.test(n.env.NODE_DEBUG)?function(){var te=Array.prototype.slice.call(arguments,0);te.unshift("SEMVER"),console.log.apply(console,te)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var _=256,L=Number.MAX_SAFE_INTEGER||9007199254740991,R=e.re=[],C=e.src=[],E=0,P=E++;C[P]="0|[1-9]\\d*";var b=E++;C[b]="[0-9]+";var f=E++;C[f]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var p=E++;C[p]="("+C[P]+")\\.("+C[P]+")\\.("+C[P]+")";var d=E++;C[d]="("+C[b]+")\\.("+C[b]+")\\.("+C[b]+")";var w=E++;C[w]="(?:"+C[P]+"|"+C[f]+")";var S=E++;C[S]="(?:"+C[b]+"|"+C[f]+")";var h=E++;C[h]="(?:-("+C[w]+"(?:\\."+C[w]+")*))";var y=E++;C[y]="(?:-?("+C[S]+"(?:\\."+C[S]+")*))";var g=E++;C[g]="[0-9A-Za-z-]+";var v=E++;C[v]="(?:\\+("+C[g]+"(?:\\."+C[g]+")*))";var l=E++,r="v?"+C[p]+C[h]+"?"+C[v]+"?";C[l]="^"+r+"$";var a="[v=\\s]*"+C[d]+C[y]+"?"+C[v]+"?",i=E++;C[i]="^"+a+"$";var t=E++;C[t]="((?:<|>)?=?)";var s=E++;C[s]=C[b]+"|x|X|\\*";var o=E++;C[o]=C[P]+"|x|X|\\*";var c=E++;C[c]="[v=\\s]*("+C[o]+")(?:\\.("+C[o]+")(?:\\.("+C[o]+")(?:"+C[h]+")?"+C[v]+"?)?)?";var u=E++;C[u]="[v=\\s]*("+C[s]+")(?:\\.("+C[s]+")(?:\\.("+C[s]+")(?:"+C[y]+")?"+C[v]+"?)?)?";var m=E++;C[m]="^"+C[t]+"\\s*"+C[c]+"$";var I=E++;C[I]="^"+C[t]+"\\s*"+C[u]+"$";var A=E++;C[A]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var O=E++;C[O]="(?:~>?)";var N=E++;C[N]="(\\s*)"+C[O]+"\\s+",R[N]=new RegExp(C[N],"g");var $=E++;C[$]="^"+C[O]+C[c]+"$";var D=E++;C[D]="^"+C[O]+C[u]+"$";var M=E++;C[M]="(?:\\^)";var W=E++;C[W]="(\\s*)"+C[M]+"\\s+",R[W]=new RegExp(C[W],"g");var F=E++;C[F]="^"+C[M]+C[c]+"$";var H=E++;C[H]="^"+C[M]+C[u]+"$";var Y=E++;C[Y]="^"+C[t]+"\\s*("+a+")$|^$";var B=E++;C[B]="^"+C[t]+"\\s*("+r+")$|^$";var z=E++;C[z]="(\\s*)"+C[t]+"\\s*("+a+"|"+C[c]+")",R[z]=new RegExp(C[z],"g");var Q=E++;C[Q]="^\\s*("+C[c]+")\\s+-\\s+("+C[c]+")\\s*$";var G=E++;C[G]="^\\s*("+C[u]+")\\s+-\\s+("+C[u]+")\\s*$";var ee=E++;C[ee]="(<|>)?=?\\s*\\*";for(var K=0;K<35;K++)k(K,C[K]),R[K]||(R[K]=new RegExp(C[K]));function U(te,ae){if(te instanceof j)return te;if(typeof te!="string"||te.length>_||!(ae?R[i]:R[l]).test(te))return null;try{return new j(te,ae)}catch{return null}}function j(te,ae){if(te instanceof j){if(te.loose===ae)return te;te=te.version}else if(typeof te!="string")throw new TypeError("Invalid Version: "+te);if(te.length>_)throw new TypeError("version is longer than "+_+" characters");if(!(this instanceof j))return new j(te,ae);k("SemVer",te,ae),this.loose=ae;var ue=te.trim().match(ae?R[i]:R[l]);if(!ue)throw new TypeError("Invalid Version: "+te);if(this.raw=te,this.major=+ue[1],this.minor=+ue[2],this.patch=+ue[3],this.major>L||this.major<0)throw new TypeError("Invalid major version");if(this.minor>L||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>L||this.patch<0)throw new TypeError("Invalid patch version");ue[4]?this.prerelease=ue[4].split(".").map(function(be){if(/^[0-9]+$/.test(be)){var Ce=+be;if(Ce>=0&&Ce<L)return Ce}return be}):this.prerelease=[],this.build=ue[5]?ue[5].split("."):[],this.format()}e.parse=U,e.valid=function(te,ae){var ue=U(te,ae);return ue?ue.version:null},e.clean=function(te,ae){var ue=U(te.trim().replace(/^[=v]+/,""),ae);return ue?ue.version:null},e.SemVer=j,j.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},j.prototype.toString=function(){return this.version},j.prototype.compare=function(te){return k("SemVer.compare",this.version,this.loose,te),te instanceof j||(te=new j(te,this.loose)),this.compareMain(te)||this.comparePre(te)},j.prototype.compareMain=function(te){return te instanceof j||(te=new j(te,this.loose)),q(this.major,te.major)||q(this.minor,te.minor)||q(this.patch,te.patch)},j.prototype.comparePre=function(te){if(te instanceof j||(te=new j(te,this.loose)),this.prerelease.length&&!te.prerelease.length)return-1;if(!this.prerelease.length&&te.prerelease.length)return 1;if(!this.prerelease.length&&!te.prerelease.length)return 0;var ae=0;do{var ue=this.prerelease[ae],be=te.prerelease[ae];if(k("prerelease compare",ae,ue,be),ue===void 0&&be===void 0)return 0;if(be===void 0)return 1;if(ue===void 0)return-1;if(ue!==be)return q(ue,be)}while(++ae)},j.prototype.inc=function(te,ae){switch(te){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ae);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ae);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ae),this.inc("pre",ae);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ae),this.inc("pre",ae);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var ue=this.prerelease.length;--ue>=0;)typeof this.prerelease[ue]=="number"&&(this.prerelease[ue]++,ue=-2);ue===-1&&this.prerelease.push(0)}ae&&(this.prerelease[0]===ae?isNaN(this.prerelease[1])&&(this.prerelease=[ae,0]):this.prerelease=[ae,0]);break;default:throw new Error("invalid increment argument: "+te)}return this.format(),this.raw=this.version,this},e.inc=function(te,ae,ue,be){typeof ue=="string"&&(be=ue,ue=void 0);try{return new j(te,ue).inc(ae,be).version}catch{return null}},e.diff=function(te,ae){if(ce(te,ae))return null;var ue=U(te),be=U(ae);if(ue.prerelease.length||be.prerelease.length){for(var Ce in ue)if((Ce==="major"||Ce==="minor"||Ce==="patch")&&ue[Ce]!==be[Ce])return"pre"+Ce;return"prerelease"}for(var Ce in ue)if((Ce==="major"||Ce==="minor"||Ce==="patch")&&ue[Ce]!==be[Ce])return Ce},e.compareIdentifiers=q;var V=/^[0-9]+$/;function q(te,ae){var ue=V.test(te),be=V.test(ae);return ue&&be&&(te=+te,ae=+ae),ue&&!be?-1:be&&!ue?1:te<ae?-1:te>ae?1:0}function x(te,ae,ue){return new j(te,ue).compare(new j(ae,ue))}function re(te,ae,ue){return x(te,ae,ue)>0}function se(te,ae,ue){return x(te,ae,ue)<0}function ce(te,ae,ue){return x(te,ae,ue)===0}function he(te,ae,ue){return x(te,ae,ue)!==0}function Se(te,ae,ue){return x(te,ae,ue)>=0}function ge(te,ae,ue){return x(te,ae,ue)<=0}function ye(te,ae,ue,be){var Ce;switch(ae){case"===":typeof te=="object"&&(te=te.version),typeof ue=="object"&&(ue=ue.version),Ce=te===ue;break;case"!==":typeof te=="object"&&(te=te.version),typeof ue=="object"&&(ue=ue.version),Ce=te!==ue;break;case"":case"=":case"==":Ce=ce(te,ue,be);break;case"!=":Ce=he(te,ue,be);break;case">":Ce=re(te,ue,be);break;case">=":Ce=Se(te,ue,be);break;case"<":Ce=se(te,ue,be);break;case"<=":Ce=ge(te,ue,be);break;default:throw new TypeError("Invalid operator: "+ae)}return Ce}function pe(te,ae){if(te instanceof pe){if(te.loose===ae)return te;te=te.value}if(!(this instanceof pe))return new pe(te,ae);k("comparator",te,ae),this.loose=ae,this.parse(te),this.semver===Ie?this.value="":this.value=this.operator+this.semver.version,k("comp",this)}e.rcompareIdentifiers=function(te,ae){return q(ae,te)},e.major=function(te,ae){return new j(te,ae).major},e.minor=function(te,ae){return new j(te,ae).minor},e.patch=function(te,ae){return new j(te,ae).patch},e.compare=x,e.compareLoose=function(te,ae){return x(te,ae,!0)},e.rcompare=function(te,ae,ue){return x(ae,te,ue)},e.sort=function(te,ae){return te.sort(function(ue,be){return e.compare(ue,be,ae)})},e.rsort=function(te,ae){return te.sort(function(ue,be){return e.rcompare(ue,be,ae)})},e.gt=re,e.lt=se,e.eq=ce,e.neq=he,e.gte=Se,e.lte=ge,e.cmp=ye,e.Comparator=pe;var Ie={};function Ee(te,ae){if(te instanceof Ee)return te.loose===ae?te:new Ee(te.raw,ae);if(te instanceof pe)return new Ee(te.value,ae);if(!(this instanceof Ee))return new Ee(te,ae);if(this.loose=ae,this.raw=te,this.set=te.split(/\s*\|\|\s*/).map(function(ue){return this.parseRange(ue.trim())},this).filter(function(ue){return ue.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+te);this.format()}function De(te){return!te||te.toLowerCase()==="x"||te==="*"}function Fe(te,ae,ue,be,Ce,$e,Te,Oe,Ae,Z,oe,le,fe){return((ae=De(ue)?"":De(be)?">="+ue+".0.0":De(Ce)?">="+ue+"."+be+".0":">="+ae)+" "+(Oe=De(Ae)?"":De(Z)?"<"+(+Ae+1)+".0.0":De(oe)?"<"+Ae+"."+(+Z+1)+".0":le?"<="+Ae+"."+Z+"."+oe+"-"+le:"<="+Oe)).trim()}function Ue(te,ae){for(var ue=0;ue<te.length;ue++)if(!te[ue].test(ae))return!1;if(ae.prerelease.length){for(ue=0;ue<te.length;ue++)if(k(te[ue].semver),te[ue].semver!==Ie&&te[ue].semver.prerelease.length>0){var be=te[ue].semver;if(be.major===ae.major&&be.minor===ae.minor&&be.patch===ae.patch)return!0}return!1}return!0}function Ne(te,ae,ue){try{ae=new Ee(ae,ue)}catch{return!1}return ae.test(te)}function ze(te,ae,ue,be){var Ce,$e,Te,Oe,Ae;switch(te=new j(te,be),ae=new Ee(ae,be),ue){case">":Ce=re,$e=ge,Te=se,Oe=">",Ae=">=";break;case"<":Ce=se,$e=Se,Te=re,Oe="<",Ae="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ne(te,ae,be))return!1;for(var Z=0;Z<ae.set.length;++Z){var oe=ae.set[Z],le=null,fe=null;if(oe.forEach(function(me){me.semver===Ie&&(me=new pe(">=0.0.0")),le=le||me,fe=fe||me,Ce(me.semver,le.semver,be)?le=me:Te(me.semver,fe.semver,be)&&(fe=me)}),le.operator===Oe||le.operator===Ae||(!fe.operator||fe.operator===Oe)&&$e(te,fe.semver)||fe.operator===Ae&&Te(te,fe.semver))return!1}return!0}pe.prototype.parse=function(te){var ae=this.loose?R[Y]:R[B],ue=te.match(ae);if(!ue)throw new TypeError("Invalid comparator: "+te);this.operator=ue[1],this.operator==="="&&(this.operator=""),ue[2]?this.semver=new j(ue[2],this.loose):this.semver=Ie},pe.prototype.toString=function(){return this.value},pe.prototype.test=function(te){return k("Comparator.test",te,this.loose),this.semver===Ie||(typeof te=="string"&&(te=new j(te,this.loose)),ye(te,this.operator,this.semver,this.loose))},pe.prototype.intersects=function(te,ae){if(!(te instanceof pe))throw new TypeError("a Comparator is required");var ue;if(this.operator==="")return ue=new Ee(te.value,ae),Ne(this.value,ue,ae);if(te.operator==="")return ue=new Ee(this.value,ae),Ne(te.semver,ue,ae);var be=!(this.operator!==">="&&this.operator!==">"||te.operator!==">="&&te.operator!==">"),Ce=!(this.operator!=="<="&&this.operator!=="<"||te.operator!=="<="&&te.operator!=="<"),$e=this.semver.version===te.semver.version,Te=!(this.operator!==">="&&this.operator!=="<="||te.operator!==">="&&te.operator!=="<="),Oe=ye(this.semver,"<",te.semver,ae)&&(this.operator===">="||this.operator===">")&&(te.operator==="<="||te.operator==="<"),Ae=ye(this.semver,">",te.semver,ae)&&(this.operator==="<="||this.operator==="<")&&(te.operator===">="||te.operator===">");return be||Ce||$e&&Te||Oe||Ae},e.Range=Ee,Ee.prototype.format=function(){return this.range=this.set.map(function(te){return te.join(" ").trim()}).join("||").trim(),this.range},Ee.prototype.toString=function(){return this.range},Ee.prototype.parseRange=function(te){var ae=this.loose;te=te.trim(),k("range",te,ae);var ue=ae?R[G]:R[Q];te=te.replace(ue,Fe),k("hyphen replace",te),te=te.replace(R[z],"$1$2$3"),k("comparator trim",te,R[z]),te=(te=(te=te.replace(R[N],"$1~")).replace(R[W],"$1^")).split(/\s+/).join(" ");var be=ae?R[Y]:R[B],Ce=te.split(" ").map(function($e){return function(Te,Oe){return k("comp",Te),Te=function(Ae,Z){return Ae.trim().split(/\s+/).map(function(oe){return function(le,fe){k("caret",le,fe);var me=fe?R[H]:R[F];return le.replace(me,function(Le,we,Re,ke,Pe){var _e;return k("caret",le,Le,we,Re,ke,Pe),De(we)?_e="":De(Re)?_e=">="+we+".0.0 <"+(+we+1)+".0.0":De(ke)?_e=we==="0"?">="+we+"."+Re+".0 <"+we+"."+(+Re+1)+".0":">="+we+"."+Re+".0 <"+(+we+1)+".0.0":Pe?(k("replaceCaret pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),_e=we==="0"?Re==="0"?">="+we+"."+Re+"."+ke+Pe+" <"+we+"."+Re+"."+(+ke+1):">="+we+"."+Re+"."+ke+Pe+" <"+we+"."+(+Re+1)+".0":">="+we+"."+Re+"."+ke+Pe+" <"+(+we+1)+".0.0"):(k("no pr"),_e=we==="0"?Re==="0"?">="+we+"."+Re+"."+ke+" <"+we+"."+Re+"."+(+ke+1):">="+we+"."+Re+"."+ke+" <"+we+"."+(+Re+1)+".0":">="+we+"."+Re+"."+ke+" <"+(+we+1)+".0.0"),k("caret return",_e),_e})}(oe,Z)}).join(" ")}(Te,Oe),k("caret",Te),Te=function(Ae,Z){return Ae.trim().split(/\s+/).map(function(oe){return function(le,fe){var me=fe?R[D]:R[$];return le.replace(me,function(Le,we,Re,ke,Pe){var _e;return k("tilde",le,Le,we,Re,ke,Pe),De(we)?_e="":De(Re)?_e=">="+we+".0.0 <"+(+we+1)+".0.0":De(ke)?_e=">="+we+"."+Re+".0 <"+we+"."+(+Re+1)+".0":Pe?(k("replaceTilde pr",Pe),Pe.charAt(0)!=="-"&&(Pe="-"+Pe),_e=">="+we+"."+Re+"."+ke+Pe+" <"+we+"."+(+Re+1)+".0"):_e=">="+we+"."+Re+"."+ke+" <"+we+"."+(+Re+1)+".0",k("tilde return",_e),_e})}(oe,Z)}).join(" ")}(Te,Oe),k("tildes",Te),Te=function(Ae,Z){return k("replaceXRanges",Ae,Z),Ae.split(/\s+/).map(function(oe){return function(le,fe){le=le.trim();var me=fe?R[I]:R[m];return le.replace(me,function(Le,we,Re,ke,Pe,_e){k("xRange",le,Le,we,Re,ke,Pe,_e);var qe=De(Re),Be=qe||De(ke),xe=Be||De(Pe);return we==="="&&xe&&(we=""),qe?Le=we===">"||we==="<"?"<0.0.0":"*":we&&xe?(Be&&(ke=0),xe&&(Pe=0),we===">"?(we=">=",Be?(Re=+Re+1,ke=0,Pe=0):xe&&(ke=+ke+1,Pe=0)):we==="<="&&(we="<",Be?Re=+Re+1:ke=+ke+1),Le=we+Re+"."+ke+"."+Pe):Be?Le=">="+Re+".0.0 <"+(+Re+1)+".0.0":xe&&(Le=">="+Re+"."+ke+".0 <"+Re+"."+(+ke+1)+".0"),k("xRange return",Le),Le})}(oe,Z)}).join(" ")}(Te,Oe),k("xrange",Te),Te=function(Ae,Z){return k("replaceStars",Ae,Z),Ae.trim().replace(R[ee],"")}(Te,Oe),k("stars",Te),Te}($e,ae)}).join(" ").split(/\s+/);return this.loose&&(Ce=Ce.filter(function($e){return!!$e.match(be)})),Ce=Ce.map(function($e){return new pe($e,ae)})},Ee.prototype.intersects=function(te,ae){if(!(te instanceof Ee))throw new TypeError("a Range is required");return this.set.some(function(ue){return ue.every(function(be){return te.set.some(function(Ce){return Ce.every(function($e){return be.intersects($e,ae)})})})})},e.toComparators=function(te,ae){return new Ee(te,ae).set.map(function(ue){return ue.map(function(be){return be.value}).join(" ").trim().split(" ")})},Ee.prototype.test=function(te){if(!te)return!1;typeof te=="string"&&(te=new j(te,this.loose));for(var ae=0;ae<this.set.length;ae++)if(Ue(this.set[ae],te))return!0;return!1},e.satisfies=Ne,e.maxSatisfying=function(te,ae,ue){var be=null,Ce=null;try{var $e=new Ee(ae,ue)}catch{return null}return te.forEach(function(Te){$e.test(Te)&&(be&&Ce.compare(Te)!==-1||(Ce=new j(be=Te,ue)))}),be},e.minSatisfying=function(te,ae,ue){var be=null,Ce=null;try{var $e=new Ee(ae,ue)}catch{return null}return te.forEach(function(Te){$e.test(Te)&&(be&&Ce.compare(Te)!==1||(Ce=new j(be=Te,ue)))}),be},e.validRange=function(te,ae){try{return new Ee(te,ae).range||"*"}catch{return null}},e.ltr=function(te,ae,ue){return ze(te,ae,"<",ue)},e.gtr=function(te,ae,ue){return ze(te,ae,">",ue)},e.outside=ze,e.prerelease=function(te,ae){var ue=U(te,ae);return ue&&ue.prerelease.length?ue.prerelease:null},e.intersects=function(te,ae,ue){return te=new Ee(te,ue),ae=new Ee(ae,ue),te.intersects(ae)},e.coerce=function(te){if(te instanceof j)return te;if(typeof te!="string")return null;var ae=te.match(R[A]);return ae==null?null:U((ae[1]||"0")+"."+(ae[2]||"0")+"."+(ae[3]||"0"))}}).call(this,T(1))},function(J,e){var T,n,k=J.exports={};function _(){throw new Error("setTimeout has not been defined")}function L(){throw new Error("clearTimeout has not been defined")}function R(S){if(T===setTimeout)return setTimeout(S,0);if((T===_||!T)&&setTimeout)return T=setTimeout,setTimeout(S,0);try{return T(S,0)}catch{try{return T.call(null,S,0)}catch{return T.call(this,S,0)}}}(function(){try{T=typeof setTimeout=="function"?setTimeout:_}catch{T=_}try{n=typeof clearTimeout=="function"?clearTimeout:L}catch{n=L}})();var C,E=[],P=!1,b=-1;function f(){P&&C&&(P=!1,C.length?E=C.concat(E):b=-1,E.length&&p())}function p(){if(!P){var S=R(f);P=!0;for(var h=E.length;h;){for(C=E,E=[];++b<h;)C&&C[b].run();b=-1,h=E.length}C=null,P=!1,function(y){if(n===clearTimeout)return clearTimeout(y);if((n===L||!n)&&clearTimeout)return n=clearTimeout,clearTimeout(y);try{n(y)}catch{try{return n.call(null,y)}catch{return n.call(this,y)}}}(S)}}function d(S,h){this.fun=S,this.array=h}function w(){}k.nextTick=function(S){var h=new Array(arguments.length-1);if(arguments.length>1)for(var y=1;y<arguments.length;y++)h[y-1]=arguments[y];E.push(new d(S,h)),E.length!==1||P||R(p)},d.prototype.run=function(){this.fun.apply(null,this.array)},k.title="browser",k.browser=!0,k.env={},k.argv=[],k.version="",k.versions={},k.on=w,k.addListener=w,k.once=w,k.off=w,k.removeListener=w,k.removeAllListeners=w,k.emit=w,k.prependListener=w,k.prependOnceListener=w,k.listeners=function(S){return[]},k.binding=function(S){throw new Error("process.binding is not supported")},k.cwd=function(){return"/"},k.chdir=function(S){throw new Error("process.chdir is not supported")},k.umask=function(){return 0}}])}),define(ne[104],ie([0,1]),function(J,e){"use strict";var T;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class n{constructor(R,C,E){this.level=R,this.key=C,this.value=E,this.forward=[]}}const k=void 0;class _{constructor(R,C=2**16){this.comparator=R,this[T]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(C)|0),this._header=new n(this._maxLevel,k,k)}get size(){return this._size}clear(){this._header=new n(this._maxLevel,k,k)}has(R){return Boolean(_._search(this,R,this.comparator))}get(R){return _._search(this,R,this.comparator)?.value}set(R,C){return _._insert(this,R,C,this.comparator)&&(this._size+=1),this}delete(R){const C=_._delete(this,R,this.comparator);return C&&(this._size-=1),C}forEach(R,C){let E=this._header.forward[0];for(;E;)R.call(C,E.value,E.key,this),E=E.forward[0]}[(T=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let R=this._header.forward[0];for(;R;)yield[R.key,R.value],R=R.forward[0]}*keys(){let R=this._header.forward[0];for(;R;)yield R.key,R=R.forward[0]}*values(){let R=this._header.forward[0];for(;R;)yield R.value,R=R.forward[0]}toString(){let R="[SkipList]:",C=this._header.forward[0];for(;C;)R+=`node(${C.key}, ${C.value}, lvl:${C.level})`,C=C.forward[0];return R}static _search(R,C,E){let P=R._header;for(let b=R._level-1;b>=0;b--)for(;P.forward[b]&&E(P.forward[b].key,C)<0;)P=P.forward[b];if(P=P.forward[0],P&&E(P.key,C)===0)return P}static _insert(R,C,E,P){let b=[],f=R._header;for(let p=R._level-1;p>=0;p--){for(;f.forward[p]&&P(f.forward[p].key,C)<0;)f=f.forward[p];b[p]=f}if(f=f.forward[0],f&&P(f.key,C)===0)return f.value=E,!1;{let p=_._randomLevel(R);if(p>R._level){for(let d=R._level;d<p;d++)b[d]=R._header;R._level=p}f=new n(p,C,E);for(let d=0;d<p;d++)f.forward[d]=b[d].forward[d],b[d].forward[d]=f;return!0}}static _randomLevel(R,C=.5){let E=1;for(;Math.random()<C&&E<R._maxLevel;)E+=1;return E}static _delete(R,C,E){let P=[],b=R._header;for(let f=R._level-1;f>=0;f--){for(;b.forward[f]&&E(b.forward[f].key,C)<0;)b=b.forward[f];P[f]=b}if(b=b.forward[0],!b||E(b.key,C)!==0)return!1;for(let f=0;f<R._level&&P[f].forward[f]===b;f++)P[f].forward[f]=b.forward[f];for(;R._level>0&&R._header.forward[R._level-1]===k;)R._level-=1;return!0}}e.SkipList=_}),define(ne[105],ie([0,1,4]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const n=T.globals.performance&&typeof T.globals.performance.now=="function";class k{constructor(L){this._highResolution=n&&L,this._startTime=this._now(),this._stopTime=-1}static create(L=!0){return new k(L)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?T.globals.performance.now():Date.now()}}e.StopWatch=k}),define(ne[3],ie([0,1,9,67,2,101,105]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var R;(function(v){v.None=()=>k.Disposable.None;function l(Y){return(B,z=null,Q)=>{let G=!1,ee;return ee=Y(K=>{if(!G)return ee?ee.dispose():G=!0,B.call(z,K)},null,Q),G&&ee.dispose(),ee}}v.once=l;function r(Y,B){return c((z,Q=null,G)=>Y(ee=>z.call(Q,B(ee)),null,G))}v.map=r;function a(Y,B){return c((z,Q=null,G)=>Y(ee=>{B(ee),z.call(Q,ee)},null,G))}v.forEach=a;function i(Y,B){return c((z,Q=null,G)=>Y(ee=>B(ee)&&z.call(Q,ee),null,G))}v.filter=i;function t(Y){return Y}v.signal=t;function s(...Y){return(B,z=null,Q)=>(0,k.combinedDisposable)(...Y.map(G=>G(ee=>B.call(z,ee),null,Q)))}v.any=s;function o(Y,B,z){let Q=z;return r(Y,G=>(Q=B(Q,G),Q))}v.reduce=o;function c(Y){let B;const z=new f({onFirstListenerAdd(){B=Y(z.fire,z)},onLastListenerRemove(){B.dispose()}});return z.event}function u(Y,B,z,Q=100,G=!1){let ee,K,U=0;return Y(j=>{U++,ee=z(ee,j),G&&!K&&(B(ee),ee=void 0),clearTimeout(K),K=setTimeout(()=>{const V=ee;ee=void 0,K=void 0,(!G||U>1)&&B(V),U=0},Q)})}v.debouncedListener=u;function m(Y,B,z=100,Q=!1,G){let ee,K,U,j=0;const V=new f({leakWarningThreshold:G,onFirstListenerAdd(){ee=Y(q=>{j++,K=B(K,q),Q&&!U&&(V.fire(K),K=void 0),clearTimeout(U),U=setTimeout(()=>{const x=K;K=void 0,U=void 0,(!Q||j>1)&&V.fire(x),j=0},z)})},onLastListenerRemove(){ee.dispose()}});return V.event}v.debounce=m;function I(Y,B=(z,Q)=>z===Q){let z=!0,Q;return i(Y,G=>{const ee=z||!B(G,Q);return z=!1,Q=G,ee})}v.latch=I;function A(Y,B){return[v.filter(Y,B),v.filter(Y,z=>!B(z))]}v.split=A;function O(Y,B=!1,z=[]){let Q=z.slice(),G=Y(U=>{Q?Q.push(U):K.fire(U)});const ee=()=>{Q&&Q.forEach(U=>K.fire(U)),Q=null},K=new f({onFirstListenerAdd(){G||(G=Y(U=>K.fire(U)))},onFirstListenerDidAdd(){Q&&(B?setTimeout(ee):ee())},onLastListenerRemove(){G&&G.dispose(),G=null}});return K.event}v.buffer=O;class N{constructor(B){this.event=B}map(B){return new N(r(this.event,B))}forEach(B){return new N(a(this.event,B))}filter(B){return new N(i(this.event,B))}reduce(B,z){return new N(o(this.event,B,z))}latch(){return new N(I(this.event))}debounce(B,z=100,Q=!1,G){return new N(m(this.event,B,z,Q,G))}on(B,z,Q){return this.event(B,z,Q)}once(B,z,Q){return l(this.event)(B,z,Q)}}function $(Y){return new N(Y)}v.chain=$;function D(Y,B,z=Q=>Q){const Q=(...U)=>K.fire(z(...U)),G=()=>Y.on(B,Q),ee=()=>Y.removeListener(B,Q),K=new f({onFirstListenerAdd:G,onLastListenerRemove:ee});return K.event}v.fromNodeEventEmitter=D;function M(Y,B,z=Q=>Q){const Q=(...U)=>K.fire(z(...U)),G=()=>Y.addEventListener(B,Q),ee=()=>Y.removeEventListener(B,Q),K=new f({onFirstListenerAdd:G,onLastListenerRemove:ee});return K.event}v.fromDOMEventEmitter=M;function W(Y){return new Promise(B=>l(Y)(B))}v.toPromise=W;function F(Y,B){return B(void 0),Y(z=>B(z))}v.runAndSubscribe=F;function H(Y,B){let z=null;function Q(ee){z?.dispose(),z=new k.DisposableStore,B(ee,z)}Q(void 0);const G=Y(ee=>Q(ee));return(0,k.toDisposable)(()=>{G.dispose(),z?.dispose()})}v.runAndSubscribeWithStore=H})(R=e.Event||(e.Event={}));class C{constructor(l){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${l}_${C._idPool++}`}start(l){this._stopWatch=new L.StopWatch(!0),this._listenerCount=l}stop(){if(this._stopWatch){const l=this._stopWatch.elapsed();this._elapsedOverall+=l,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${l.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}C._idPool=0;let E=-1;function P(v){const l=E;return E=v,{dispose(){E=l}}}e.setGlobalLeakWarningThreshold=P;class b{constructor(l,r=Math.random().toString(18).slice(2,5)){this.customThreshold=l,this.name=r,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(l){let r=E;if(typeof this.customThreshold=="number"&&(r=this.customThreshold),r<=0||l<r)return;this._stacks||(this._stacks=new Map);const a=new Error().stack.split(`
`).slice(3).join(`
`),i=this._stacks.get(a)||0;if(this._stacks.set(a,i+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=r*.5;let t,s=0;for(const[o,c]of this._stacks)(!t||s<c)&&(t=o,s=c);console.warn(`[${this.name}] potential listener LEAK detected, having ${l} listeners already. MOST frequent listener (${s}):`),console.warn(t)}return()=>{const t=this._stacks.get(a)||0;this._stacks.set(a,t-1)}}}class f{constructor(l){this._disposed=!1,this._options=l,this._leakageMon=E>0?new b(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new C(this._options._profName):void 0}get event(){return this._event||(this._event=(l,r,a)=>{this._listeners||(this._listeners=new _.LinkedList);const i=this._listeners.isEmpty();i&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const t=this._listeners.push(r?[l,r]:l);i&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,l,r);const s=this._leakageMon?.check(this._listeners.size),o=(0,k.toDisposable)(()=>{s&&s(),this._disposed||(t(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return a instanceof k.DisposableStore?a.add(o):Array.isArray(a)&&a.push(o),o}),this._event}fire(l){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new _.LinkedList);for(let r of this._listeners)this._deliveryQueue.push([r,l]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[r,a]=this._deliveryQueue.shift();try{typeof r=="function"?r.call(void 0,a):r[0].call(r[1],a)}catch(i){(0,T.onUnexpectedError)(i)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=f;class p extends f{async fireAsync(l,r,a){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new _.LinkedList);for(const i of this._listeners)this._asyncDeliveryQueue.push([i,l]);for(;this._asyncDeliveryQueue.size>0&&!r.isCancellationRequested;){const[i,t]=this._asyncDeliveryQueue.shift(),s=[],o={...t,token:r,waitUntil:c=>{if(Object.isFrozen(s))throw new Error("waitUntil can NOT be called asynchronous");a&&(c=a(c,typeof i=="function"?i:i[0])),s.push(c)}};try{typeof i=="function"?i.call(void 0,o):i[0].call(i[1],o)}catch(c){(0,T.onUnexpectedError)(c);continue}Object.freeze(s),await Promise.allSettled(s).then(c=>{for(const u of c)u.status==="rejected"&&(0,T.onUnexpectedError)(u.reason)})}}}}e.AsyncEmitter=p;class d extends f{constructor(l){super(l);this._isPaused=0,this._eventQueue=new _.LinkedList,this._mergeFn=l?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const l=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(l))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(l){this._listeners&&(this._isPaused!==0?this._eventQueue.push(l):super.fire(l))}}e.PauseableEmitter=d;class w extends d{constructor(l){super(l);this._delay=l.delay??100}fire(l){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(l)}}e.DebounceEmitter=w;class S extends f{constructor(l){super(l);this._queuedEvents=[],this._mergeFn=l?.merge}fire(l){this._queuedEvents.push(l),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(r=>super.fire(r)),this._queuedEvents=[]})}}e.MicrotaskEmitter=S;class h{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new f({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(l){const r={event:l,listener:null};this.events.push(r),this.hasListeners&&this.hook(r);const a=()=>{this.hasListeners&&this.unhook(r);const i=this.events.indexOf(r);this.events.splice(i,1)};return(0,k.toDisposable)((0,n.once)(a))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(l=>this.hook(l))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(l=>this.unhook(l))}hook(l){l.listener=l.event(r=>this.emitter.fire(r))}unhook(l){l.listener&&l.listener.dispose(),l.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=h;class y{constructor(){this.buffers=[]}wrapEvent(l){return(r,a,i)=>l(t=>{const s=this.buffers[this.buffers.length-1];s?s.push(()=>r.call(a,t)):r.call(a,t)},void 0,i)}bufferEvents(l){const r=[];this.buffers.push(r);const a=l();return this.buffers.pop(),r.forEach(i=>i()),a}}e.EventBufferer=y;class g{constructor(){this.listening=!1,this.inputEvent=R.None,this.inputEventListener=k.Disposable.None,this.emitter=new f({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(l){this.inputEvent=l,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=l(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=g}),define(ne[25],ie([0,1,3]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const n=Object.freeze(function(R,C){const E=setTimeout(R.bind(C),0);return{dispose(){clearTimeout(E)}}});var k;(function(R){function C(E){return E===R.None||E===R.Cancelled||E instanceof _?!0:!E||typeof E!="object"?!1:typeof E.isCancellationRequested=="boolean"&&typeof E.onCancellationRequested=="function"}R.isCancellationToken=C,R.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:T.Event.None}),R.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n})})(k=e.CancellationToken||(e.CancellationToken={}));class _{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?n:(this._emitter||(this._emitter=new T.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class L{constructor(C){this._token=void 0,this._parentListener=void 0,this._parentListener=C&&C.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new _),this._token}cancel(){this._token?this._token instanceof _&&this._token.cancel():this._token=k.Cancelled}dispose(C=!1){C&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof _&&this._token.dispose():this._token=k.None}}e.CancellationTokenSource=L}),define(ne[106],ie([0,1,25]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class n{constructor(L){this.task=L,this.result=null}get(){if(this.result)return this.result;const L=new T.CancellationTokenSource,R=this.task(L.token);return this.result={promise:R,dispose:()=>{this.result=null,L.cancel(),L.dispose()}},this.result}}e.Cache=n;class k{constructor(L){this.computeFn=L,this.lastCache=void 0,this.lastArgKey=void 0}get(L){const R=JSON.stringify(L);return this.lastArgKey!==R&&(this.lastArgKey=R,this.lastCache=this.computeFn(L)),this.lastCache}}e.LRUCachedComputed=k}),define(ne[40],ie([0,1,9,2]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function k(g){const v=g;return v?[v.on,v.pause,v.resume,v.destroy].every(l=>typeof l=="function"):!1}e.isReadableStream=k;function _(g){const v=g;return v?k(v.stream)&&Array.isArray(v.buffer)&&typeof v.ended=="boolean":!1}e.isReadableBufferedStream=_;function L(g,v){return new R(g,v)}e.newWriteableStream=L;class R{constructor(v,l){this.reducer=v,this.options=l,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(v){if(!this.state.destroyed){if(this.state.flowing)this.emitData(v);else if(this.buffer.data.push(v),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(l=>this.pendingWritePromises.push(l))}}error(v){this.state.destroyed||(this.state.flowing?this.emitError(v):this.buffer.error.push(v))}end(v){this.state.destroyed||(typeof v!="undefined"&&this.write(v),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(v){this.listeners.data.slice(0).forEach(l=>l(v))}emitError(v){this.listeners.error.length===0?(0,T.onUnexpectedError)(v):this.listeners.error.slice(0).forEach(l=>l(v))}emitEnd(){this.listeners.end.slice(0).forEach(v=>v())}on(v,l){if(!this.state.destroyed)switch(v){case"data":this.listeners.data.push(l),this.resume();break;case"end":this.listeners.end.push(l),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(l),this.state.flowing&&this.flowErrors();break}}removeListener(v,l){if(this.state.destroyed)return;let r;switch(v){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const a=r.indexOf(l);a>=0&&r.splice(a,1)}}flowData(){if(this.buffer.data.length>0){const v=this.reducer(this.buffer.data);this.emitData(v),this.buffer.data.length=0;const l=[...this.pendingWritePromises];this.pendingWritePromises.length=0,l.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const v of this.buffer.error)this.emitError(v);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function C(g,v){const l=[];let r;for(;(r=g.read())!==null;)l.push(r);return v(l)}e.consumeReadable=C;function E(g,v,l){const r=[];let a;for(;(a=g.read())!==null&&r.length<l;)r.push(a);return a===null&&r.length>0?v(r):{read:()=>{if(r.length>0)return r.shift();if(typeof a!="undefined"){const i=a;return a=void 0,i}return g.read()}}}e.peekReadable=E;function P(g,v){return new Promise((l,r)=>{const a=[];b(g,{onData:i=>{v&&a.push(i)},onError:i=>{v?r(i):l(void 0)},onEnd:()=>{l(v?v(a):void 0)}})})}e.consumeStream=P;function b(g,v){let l=!1;return g.on("error",r=>{l||v.onError(r)}),g.on("end",()=>{l||v.onEnd()}),g.on("data",r=>{l||v.onData(r)}),(0,n.toDisposable)(()=>l=!0)}e.listenStream=b;function f(g,v){return new Promise((l,r)=>{const a=new n.DisposableStore,i=[],t=c=>{if(i.push(c),i.length>v)return a.dispose(),g.pause(),l({stream:g,buffer:i,ended:!1})},s=c=>r(c),o=()=>l({stream:g,buffer:i,ended:!0});a.add((0,n.toDisposable)(()=>g.removeListener("error",s))),g.on("error",s),a.add((0,n.toDisposable)(()=>g.removeListener("end",o))),g.on("end",o),a.add((0,n.toDisposable)(()=>g.removeListener("data",t))),g.on("data",t)})}e.peekStream=f;function p(g,v){const l=L(v);return l.end(g),l}e.toStream=p;function d(){const g=L(()=>{throw new Error("not supported")});return g.end(),g}e.emptyStream=d;function w(g){let v=!1;return{read:()=>v?null:(v=!0,g)}}e.toReadable=w;function S(g,v,l){const r=L(l);return b(g,{onData:a=>r.write(v.data(a)),onError:a=>r.error(v.error?v.error(a):a),onEnd:()=>r.end()}),r}e.transform=S;function h(g,v,l){let r=!1;return{read:()=>{const a=v.read();return r?a:(r=!0,a!==null?l([g,a]):g)}}}e.prefixedReadable=h;function y(g,v,l){let r=!1;const a=L(l);return b(v,{onData:i=>r?a.write(i):(r=!0,a.write(l([g,i]))),onError:i=>a.error(i),onEnd:()=>{r||(r=!0,a.write(g)),a.end()}}),a}e.prefixedStream=y}),define(ne[17],ie([0,1,40]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const n=typeof Buffer!="undefined";let k,_;class L{constructor(u){this.buffer=u,this.byteLength=this.buffer.byteLength}static alloc(u){return n?new L(Buffer.allocUnsafe(u)):new L(new Uint8Array(u))}static wrap(u){return n&&!Buffer.isBuffer(u)&&(u=Buffer.from(u.buffer,u.byteOffset,u.byteLength)),new L(u)}static fromString(u,m){return!(m?.dontUseNodeBuffer||!1)&&n?new L(Buffer.from(u)):(k||(k=new TextEncoder),new L(k.encode(u)))}static fromByteArray(u){const m=L.alloc(u.length);for(let I=0,A=u.length;I<A;I++)m.buffer[I]=u[I];return m}static concat(u,m){if(typeof m=="undefined"){m=0;for(let O=0,N=u.length;O<N;O++)m+=u[O].byteLength}const I=L.alloc(m);let A=0;for(let O=0,N=u.length;O<N;O++){const $=u[O];I.set($,A),A+=$.byteLength}return I}clone(){const u=L.alloc(this.byteLength);return u.set(this),u}toString(){return n?this.buffer.toString():(_||(_=new TextDecoder),_.decode(this.buffer))}slice(u,m){return new L(this.buffer.subarray(u,m))}set(u,m){if(u instanceof L)this.buffer.set(u.buffer,m);else if(u instanceof Uint8Array)this.buffer.set(u,m);else if(u instanceof ArrayBuffer)this.buffer.set(new Uint8Array(u),m);else if(ArrayBuffer.isView(u))this.buffer.set(new Uint8Array(u.buffer,u.byteOffset,u.byteLength),m);else throw new Error("Unkown argument 'array'")}readUInt32BE(u){return E(this.buffer,u)}writeUInt32BE(u,m){P(this.buffer,u,m)}readUInt32LE(u){return b(this.buffer,u)}writeUInt32LE(u,m){f(this.buffer,u,m)}readUInt8(u){return p(this.buffer,u)}writeUInt8(u,m){d(this.buffer,u,m)}}e.VSBuffer=L;function R(c,u){return c[u+0]<<0>>>0|c[u+1]<<8>>>0}e.readUInt16LE=R;function C(c,u,m){c[m+0]=u&255,u=u>>>8,c[m+1]=u&255}e.writeUInt16LE=C;function E(c,u){return c[u]*2**24+c[u+1]*2**16+c[u+2]*2**8+c[u+3]}e.readUInt32BE=E;function P(c,u,m){c[m+3]=u,u=u>>>8,c[m+2]=u,u=u>>>8,c[m+1]=u,u=u>>>8,c[m]=u}e.writeUInt32BE=P;function b(c,u){return c[u+0]<<0>>>0|c[u+1]<<8>>>0|c[u+2]<<16>>>0|c[u+3]<<24>>>0}e.readUInt32LE=b;function f(c,u,m){c[m+0]=u&255,u=u>>>8,c[m+1]=u&255,u=u>>>8,c[m+2]=u&255,u=u>>>8,c[m+3]=u&255}e.writeUInt32LE=f;function p(c,u){return c[u]}e.readUInt8=p;function d(c,u,m){c[m]=u}e.writeUInt8=d;function w(c){return T.consumeReadable(c,u=>L.concat(u))}e.readableToBuffer=w;function S(c){return T.toReadable(c)}e.bufferToReadable=S;function h(c){return T.consumeStream(c,u=>L.concat(u))}e.streamToBuffer=h;async function y(c){return c.ended?L.concat(c.buffer):L.concat([...c.buffer,await h(c.stream)])}e.bufferedStreamToBuffer=y;function g(c){return T.toStream(c,u=>L.concat(u))}e.bufferToStream=g;function v(c){return T.transform(c,{data:u=>typeof u=="string"?L.fromString(u):L.wrap(u)},u=>L.concat(u))}e.streamToBufferReadableStream=v;function l(c){return T.newWriteableStream(u=>L.concat(u),c)}e.newWriteableBufferStream=l;function r(c,u){return T.prefixedReadable(c,u,m=>L.concat(m))}e.prefixedBufferReadable=r;function a(c,u){return T.prefixedStream(c,u,m=>L.concat(m))}e.prefixedBufferStream=a;function i(c){let u=0,m=0,I=0;const A=new Uint8Array(Math.floor(c.length/4*3)),O=$=>{switch(m){case 3:A[I++]=u|$,m=0;break;case 2:A[I++]=u|$>>>2,u=$<<6,m=3;break;case 1:A[I++]=u|$>>>4,u=$<<4,m=2;break;default:u=$<<2,m=1}};for(let $=0;$<c.length;$++){const D=c.charCodeAt($);if(D>=65&&D<=90)O(D-65);else if(D>=97&&D<=122)O(D-97+26);else if(D>=48&&D<=57)O(D-48+52);else if(D===43||D===45)O(62);else if(D===47||D===95)O(63);else{if(D===61)break;throw new SyntaxError(`Unexpected base64 character ${c[$]}`)}}const N=I;for(;m>0;)O(0);return L.wrap(A).slice(0,N)}e.decodeBase64=i;const t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function o({buffer:c},u=!0,m=!1){const I=m?s:t;let A="";const O=c.byteLength%3;let N=0;for(;N<c.byteLength-O;N+=3){const $=c[N+0],D=c[N+1],M=c[N+2];A+=I[$>>>2],A+=I[($<<4|D>>>4)&63],A+=I[(D<<2|M>>>6)&63],A+=I[M&63]}if(O===1){const $=c[N+0];A+=I[$>>>2],A+=I[$<<4&63],u&&(A+="==")}else if(O===2){const $=c[N+0],D=c[N+1];A+=I[$>>>2],A+=I[($<<4|D>>>4)&63],A+=I[D<<2&63],u&&(A+="=")}return A}e.encodeBase64=o}),define(ne[27],ie([0,1,106,100]),function(J,e,T,n){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function _(Z){return!Z||typeof Z!="string"?!0:Z.trim().length===0}e.isFalsyOrWhitespace=_;const L=/{(\d+)}/g;function R(Z,...oe){return oe.length===0?Z:Z.replace(L,function(le,fe){const me=parseInt(fe,10);return isNaN(me)||me<0||me>=oe.length?le:oe[me]})}e.format=R;const C=/{([^}]+)}/g;function E(Z,oe){return Z.replace(C,(le,fe)=>oe[fe]??le)}e.format2=E;function P(Z){return Z.replace(/[<>&]/g,function(oe){switch(oe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return oe}})}e.escape=P;function b(Z){return Z.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=b;function f(Z,oe){let le=0;const fe=oe.charCodeAt(0);for(let me=Z.length-1;me>=0;me--)Z.charCodeAt(me)===fe&&le++;return le}e.count=f;function p(Z,oe,le="\u2026"){return Z.length<=oe?Z:`${Z.substr(0,oe)}${le}`}e.truncate=p;function d(Z,oe=" "){const le=w(Z,oe);return S(le,oe)}e.trim=d;function w(Z,oe){if(!Z||!oe)return Z;const le=oe.length;if(le===0||Z.length===0)return Z;let fe=0;for(;Z.indexOf(oe,fe)===fe;)fe=fe+le;return Z.substring(fe)}e.ltrim=w;function S(Z,oe){if(!Z||!oe)return Z;const le=oe.length,fe=Z.length;if(le===0||fe===0)return Z;let me=fe,Le=-1;for(;Le=Z.lastIndexOf(oe,me-1),!(Le===-1||Le+le!==me);){if(Le===0)return"";me=Le}return Z.substring(0,me)}e.rtrim=S;function h(Z){return Z.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=h;function y(Z){return Z.replace(/\*/g,"")}e.stripWildcards=y;function g(Z,oe,le={}){if(!Z)throw new Error("Cannot create regex from empty string");oe||(Z=b(Z)),le.wholeWord&&(/\B/.test(Z.charAt(0))||(Z="\\b"+Z),/\B/.test(Z.charAt(Z.length-1))||(Z=Z+"\\b"));let fe="";return le.global&&(fe+="g"),le.matchCase||(fe+="i"),le.multiline&&(fe+="m"),le.unicode&&(fe+="u"),new RegExp(Z,fe)}e.createRegExp=g;function v(Z){return Z.source==="^"||Z.source==="^$"||Z.source==="$"||Z.source==="^\\s*$"?!1:!!(Z.exec("")&&Z.lastIndex===0)}e.regExpLeadsToEndlessLoop=v;function l(Z){return!!Z.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=l;function r(Z){return(Z.global?"g":"")+(Z.ignoreCase?"i":"")+(Z.multiline?"m":"")+(Z.unicode?"u":"")}e.regExpFlags=r;function a(Z){return Z.split(/\r\n|\r|\n/)}e.splitLines=a;function i(Z){for(let oe=0,le=Z.length;oe<le;oe++){const fe=Z.charCodeAt(oe);if(fe!==32&&fe!==9)return oe}return-1}e.firstNonWhitespaceIndex=i;function t(Z,oe=0,le=Z.length){for(let fe=oe;fe<le;fe++){const me=Z.charCodeAt(fe);if(me!==32&&me!==9)return Z.substring(oe,fe)}return Z.substring(oe,le)}e.getLeadingWhitespace=t;function s(Z,oe=Z.length-1){for(let le=oe;le>=0;le--){const fe=Z.charCodeAt(le);if(fe!==32&&fe!==9)return le}return-1}e.lastNonWhitespaceIndex=s;function o(Z,oe){return Z<oe?-1:Z>oe?1:0}e.compare=o;function c(Z,oe,le=0,fe=Z.length,me=0,Le=oe.length){for(;le<fe&&me<Le;le++,me++){let ke=Z.charCodeAt(le),Pe=oe.charCodeAt(me);if(ke<Pe)return-1;if(ke>Pe)return 1}const we=fe-le,Re=Le-me;return we<Re?-1:we>Re?1:0}e.compareSubstring=c;function u(Z,oe){return m(Z,oe,0,Z.length,0,oe.length)}e.compareIgnoreCase=u;function m(Z,oe,le=0,fe=Z.length,me=0,Le=oe.length){for(;le<fe&&me<Le;le++,me++){let ke=Z.charCodeAt(le),Pe=oe.charCodeAt(me);if(ke===Pe)continue;if(ke>=128||Pe>=128)return c(Z.toLowerCase(),oe.toLowerCase(),le,fe,me,Le);I(ke)&&(ke-=32),I(Pe)&&(Pe-=32);const _e=ke-Pe;if(_e!==0)return _e}const we=fe-le,Re=Le-me;return we<Re?-1:we>Re?1:0}e.compareSubstringIgnoreCase=m;function I(Z){return Z>=97&&Z<=122}e.isLowerAsciiLetter=I;function A(Z){return Z>=65&&Z<=90}e.isUpperAsciiLetter=A;function O(Z,oe){return Z.length===oe.length&&m(Z,oe)===0}e.equalsIgnoreCase=O;function N(Z,oe){const le=oe.length;return oe.length>Z.length?!1:m(Z,oe,0,le)===0}e.startsWithIgnoreCase=N;function $(Z,oe){let le,fe=Math.min(Z.length,oe.length);for(le=0;le<fe;le++)if(Z.charCodeAt(le)!==oe.charCodeAt(le))return le;return fe}e.commonPrefixLength=$;function D(Z,oe){let le,fe=Math.min(Z.length,oe.length);const me=Z.length-1,Le=oe.length-1;for(le=0;le<fe;le++)if(Z.charCodeAt(me-le)!==oe.charCodeAt(Le-le))return le;return fe}e.commonSuffixLength=D;function M(Z){return 55296<=Z&&Z<=56319}e.isHighSurrogate=M;function W(Z){return 56320<=Z&&Z<=57343}e.isLowSurrogate=W;function F(Z,oe){return(Z-55296<<10)+(oe-56320)+65536}e.computeCodePoint=F;function H(Z,oe,le){const fe=Z.charCodeAt(le);if(M(fe)&&le+1<oe){const me=Z.charCodeAt(le+1);if(W(me))return F(fe,me)}return fe}e.getNextCodePoint=H;function Y(Z,oe){const le=Z.charCodeAt(oe-1);if(W(le)&&oe>1){const fe=Z.charCodeAt(oe-2);if(M(fe))return F(fe,le)}return le}class B{constructor(oe,le=0){this._str=oe,this._len=oe.length,this._offset=le}get offset(){return this._offset}setOffset(oe){this._offset=oe}prevCodePoint(){const oe=Y(this._str,this._offset);return this._offset-=oe>=65536?2:1,oe}nextCodePoint(){const oe=H(this._str,this._len,this._offset);return this._offset+=oe>=65536?2:1,oe}eol(){return this._offset>=this._len}}e.CodePointIterator=B;class z{constructor(oe,le=0){this._iterator=new B(oe,le)}get offset(){return this._iterator.offset}nextGraphemeLength(){const oe=ae.getInstance(),le=this._iterator,fe=le.offset;let me=oe.getGraphemeBreakType(le.nextCodePoint());for(;!le.eol();){const Le=le.offset,we=oe.getGraphemeBreakType(le.nextCodePoint());if(ze(me,we)){le.setOffset(Le);break}me=we}return le.offset-fe}prevGraphemeLength(){const oe=ae.getInstance(),le=this._iterator,fe=le.offset;let me=oe.getGraphemeBreakType(le.prevCodePoint());for(;le.offset>0;){const Le=le.offset,we=oe.getGraphemeBreakType(le.prevCodePoint());if(ze(we,me)){le.setOffset(Le);break}me=we}return fe-le.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=z;function Q(Z,oe){return new z(Z,oe).nextGraphemeLength()}e.nextCharLength=Q;function G(Z,oe){return new z(Z,oe).prevGraphemeLength()}e.prevCharLength=G;function ee(Z,oe){oe>0&&W(Z.charCodeAt(oe))&&oe--;const le=oe+Q(Z,oe);return[le-G(Z,le),le]}e.getCharContainingOffset=ee;const K=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function U(Z){return K.test(Z)}e.containsRTL=U;const j=/^[\t\n\r\x20-\x7E]*$/;function V(Z){return j.test(Z)}e.isBasicASCII=V,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function q(Z){return e.UNUSUAL_LINE_TERMINATORS.test(Z)}e.containsUnusualLineTerminators=q;function x(Z){return Z>=11904&&Z<=55215||Z>=63744&&Z<=64255||Z>=65281&&Z<=65374}e.isFullWidthCharacter=x;function re(Z){return Z>=127462&&Z<=127487||Z===8986||Z===8987||Z===9200||Z===9203||Z>=9728&&Z<=10175||Z===11088||Z===11093||Z>=127744&&Z<=128591||Z>=128640&&Z<=128764||Z>=128992&&Z<=129008||Z>=129280&&Z<=129535||Z>=129648&&Z<=129782}e.isEmojiImprecise=re;function se(Z,oe){if(Z.length<oe)return Z;const le=/\b/g;let fe=0;for(;le.test(Z)&&!(Z.length-le.lastIndex<oe);)fe=le.lastIndex,le.lastIndex+=1;return Z.substring(fe).replace(/^\s/,"")}e.lcut=se;const ce=/\x1B\x5B[12]?K/g,he=/\x1b\[\d+m/g,Se=/\x1b\[0?m/g;function ge(Z){return Z&&(Z=Z.replace(ce,""),Z=Z.replace(he,""),Z=Z.replace(Se,"")),Z}e.removeAnsiEscapeCodes=ge,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ye(Z){return!!(Z&&Z.length>0&&Z.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ye;function pe(Z){return ye(Z)?Z.substr(1):Z}e.stripUTF8BOM=pe;function Ie(Z,oe){if(!Z||!oe||Z.length<oe.length)return!1;const le=oe.length,fe=Z.toLowerCase();let me=0,Le=-1;for(;me<le;){const we=fe.indexOf(oe[me],Le+1);if(we<0)return!1;Le=we,me++}return!0}e.fuzzyContains=Ie;function Ee(Z,oe=!1){return Z?(oe&&(Z=Z.replace(/\\./g,"")),Z.toLowerCase()!==Z):!1}e.containsUppercaseCharacter=Ee;function De(Z){return Z.charAt(0).toUpperCase()+Z.slice(1)}e.uppercaseFirstLetter=De;function Fe(Z,oe=1){if(oe===0)return"";let le=-1;do le=Z.indexOf(`
`,le+1),oe--;while(oe>0&&le>=0);return le===-1?Z:(Z[le-1]==="\r"&&le--,Z.substr(0,le))}e.getNLines=Fe;function Ue(Z){const oe=90-65+1;return Z=Z%(2*oe),Z<oe?String.fromCharCode(97+Z):String.fromCharCode(65+Z-oe)}e.singleLetterHash=Ue;function Ne(Z){return ae.getInstance().getGraphemeBreakType(Z)}e.getGraphemeBreakType=Ne;function ze(Z,oe){return Z===0?oe!==5&&oe!==7:Z===2&&oe===3?!1:Z===4||Z===2||Z===3||oe===4||oe===2||oe===3?!0:!(Z===8&&(oe===8||oe===9||oe===11||oe===12)||(Z===11||Z===9)&&(oe===9||oe===10)||(Z===12||Z===10)&&oe===10||oe===5||oe===13||oe===7||Z===1||Z===13&&oe===14||Z===6&&oe===6)}var te;(function(Z){Z[Z.Other=0]="Other",Z[Z.Prepend=1]="Prepend",Z[Z.CR=2]="CR",Z[Z.LF=3]="LF",Z[Z.Control=4]="Control",Z[Z.Extend=5]="Extend",Z[Z.Regional_Indicator=6]="Regional_Indicator",Z[Z.SpacingMark=7]="SpacingMark",Z[Z.L=8]="L",Z[Z.V=9]="V",Z[Z.T=10]="T",Z[Z.LV=11]="LV",Z[Z.LVT=12]="LVT",Z[Z.ZWJ=13]="ZWJ",Z[Z.Extended_Pictographic=14]="Extended_Pictographic"})(te=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ae{constructor(){this._data=ue()}static getInstance(){return ae._INSTANCE||(ae._INSTANCE=new ae),ae._INSTANCE}getGraphemeBreakType(oe){if(oe<32)return oe===10?3:oe===13?2:4;if(oe<127)return 0;const le=this._data,fe=le.length/3;let me=1;for(;me<=fe;)if(oe<le[3*me])me=2*me;else if(oe>le[3*me+1])me=2*me+1;else return le[3*me+2];return 0}}ae._INSTANCE=null;function ue(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function be(Z,oe){if(Z===0)return 0;const le=Ce(Z,oe);if(le!==void 0)return le;const fe=new B(oe,Z);return fe.prevCodePoint(),fe.offset}e.getLeftDeleteOffset=be;function Ce(Z,oe){const le=new B(oe,Z);let fe=le.prevCodePoint();for(;$e(fe)||fe===65039||fe===8419;){if(le.offset===0)return;fe=le.prevCodePoint()}if(!re(fe))return;let me=le.offset;return me>0&&le.prevCodePoint()===8205&&(me=le.offset),me}function $e(Z){return 127995<=Z&&Z<=127999}var Te;(function(Z){Z[Z.zwj=8205]="zwj",Z[Z.emojiVariantSelector=65039]="emojiVariantSelector",Z[Z.enclosingKeyCap=8419]="enclosingKeyCap"})(Te||(Te={})),e.noBreakWhitespace="\xA0";class Oe{constructor(oe){this.confusableDictionary=oe}static getInstance(oe){return Oe.cache.get(Array.from(oe))}static getLocales(){return Oe._locales.getValue()}isAmbiguous(oe){return this.confusableDictionary.has(oe)}getPrimaryConfusable(oe){return this.confusableDictionary.get(oe)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=Oe,k=Oe,Oe.ambiguousCharacterData=new n.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Oe.cache=new T.LRUCachedComputed(Z=>{function oe(Pe){const _e=new Map;for(let qe=0;qe<Pe.length;qe+=2)_e.set(Pe[qe],Pe[qe+1]);return _e}function le(Pe,_e){const qe=new Map(Pe);for(const[Be,xe]of _e)qe.set(Be,xe);return qe}function fe(Pe,_e){if(!Pe)return _e;const qe=new Map;for(const[Be,xe]of Pe)_e.has(Be)&&qe.set(Be,xe);return qe}const me=k.ambiguousCharacterData.getValue();let Le=Z.filter(Pe=>!Pe.startsWith("_")&&Pe in me);Le.length===0&&(Le=["_default"]);let we;for(const Pe of Le){const _e=oe(me[Pe]);we=fe(we,_e)}const Re=oe(me._common),ke=le(Re,we);return new Oe(ke)}),Oe._locales=new n.Lazy(()=>Object.keys(Oe.ambiguousCharacterData.getValue()).filter(Z=>!Z.startsWith("_")));class Ae{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Ae.getRawData())),this._data}static isInvisibleCharacter(oe){return Ae.getData().has(oe)}static get codePoints(){return Ae.getData()}}e.InvisibleCharacters=Ae,Ae._data=void 0}),define(ne[69],ie([0,1,27]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function n(h){return k(h,0)}e.hash=n;function k(h,y){switch(typeof h){case"object":return h===null?_(349,y):Array.isArray(h)?C(h,y):E(h,y);case"string":return R(h,y);case"boolean":return L(h,y);case"number":return _(h,y);case"undefined":return _(937,y);default:return _(617,y)}}e.doHash=k;function _(h,y){return(y<<5)-y+h|0}e.numberHash=_;function L(h,y){return _(h?433:863,y)}function R(h,y){y=_(149417,y);for(let g=0,v=h.length;g<v;g++)y=_(h.charCodeAt(g),y);return y}e.stringHash=R;function C(h,y){return y=_(104579,y),h.reduce((g,v)=>k(v,g),y)}function E(h,y){return y=_(181387,y),Object.keys(h).sort().reduce((g,v)=>(g=R(v,g),k(h[v],g)),y)}class P{constructor(){this._value=0}get value(){return this._value}hash(y){return this._value=k(y,this._value),this._value}}e.Hasher=P;var b;(function(h){h[h.BLOCK_SIZE=64]="BLOCK_SIZE",h[h.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(b||(b={}));function f(h,y,g=32){const v=g-y,l=~((1<<v)-1);return(h<<y|(l&h)>>>v)>>>0}function p(h,y=0,g=h.byteLength,v=0){for(let l=0;l<g;l++)h[y+l]=v}function d(h,y,g="0"){for(;h.length<y;)h=g+h;return h}function w(h,y=32){return h instanceof ArrayBuffer?Array.from(new Uint8Array(h)).map(g=>g.toString(16).padStart(2,"0")).join(""):d((h>>>0).toString(16),y/4)}e.toHexString=w;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(y){const g=y.length;if(g===0)return;const v=this._buff;let l=this._buffLen,r=this._leftoverHighSurrogate,a,i;for(r!==0?(a=r,i=-1,r=0):(a=y.charCodeAt(0),i=0);;){let t=a;if(T.isHighSurrogate(a))if(i+1<g){const s=y.charCodeAt(i+1);T.isLowSurrogate(s)?(i++,t=T.computeCodePoint(a,s)):t=65533}else{r=a;break}else T.isLowSurrogate(a)&&(t=65533);if(l=this._push(v,l,t),i++,i<g)a=y.charCodeAt(i);else break}this._buffLen=l,this._leftoverHighSurrogate=r}_push(y,g,v){return v<128?y[g++]=v:v<2048?(y[g++]=192|(v&1984)>>>6,y[g++]=128|(v&63)>>>0):v<65536?(y[g++]=224|(v&61440)>>>12,y[g++]=128|(v&4032)>>>6,y[g++]=128|(v&63)>>>0):(y[g++]=240|(v&1835008)>>>18,y[g++]=128|(v&258048)>>>12,y[g++]=128|(v&4032)>>>6,y[g++]=128|(v&63)>>>0),g>=64&&(this._step(),g-=64,this._totalLen+=64,y[0]=y[64+0],y[1]=y[64+1],y[2]=y[64+2]),g}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),w(this._h0)+w(this._h1)+w(this._h2)+w(this._h3)+w(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,p(this._buff,this._buffLen),this._buffLen>56&&(this._step(),p(this._buff));const y=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(y/4294967296),!1),this._buffDV.setUint32(60,y%4294967296,!1),this._step()}_step(){const y=S._bigBlock32,g=this._buffDV;for(let c=0;c<64;c+=4)y.setUint32(c,g.getUint32(c,!1),!1);for(let c=64;c<320;c+=4)y.setUint32(c,f(y.getUint32(c-12,!1)^y.getUint32(c-32,!1)^y.getUint32(c-56,!1)^y.getUint32(c-64,!1),1),!1);let v=this._h0,l=this._h1,r=this._h2,a=this._h3,i=this._h4,t,s,o;for(let c=0;c<80;c++)c<20?(t=l&r|~l&a,s=1518500249):c<40?(t=l^r^a,s=1859775393):c<60?(t=l&r|l&a|r&a,s=2400959708):(t=l^r^a,s=3395469782),o=f(v,5)+t+i+s+y.getUint32(c*4,!1)&4294967295,i=a,a=r,r=f(l,30),l=v,v=o;this._h0=this._h0+v&4294967295,this._h1=this._h1+l&4294967295,this._h2=this._h2+r&4294967295,this._h3=this._h3+a&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))});var It=this&&this.__classPrivateFieldSet||function(J,e,T,n,k){if(n==="m")throw new TypeError("Private method is not writable");if(n==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?J!==e||!k:!e.has(J))throw new TypeError("Cannot write private member to an object whose class did not declare it");return n==="a"?k.call(J,T):k?k.value=T:e.set(J,T),T},Ke=this&&this.__classPrivateFieldGet||function(J,e,T,n){if(T==="a"&&!n)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?J!==e||!n:!e.has(J))throw new TypeError("Cannot read private member from an object whose class did not declare it");return T==="m"?n:T==="a"?n.call(J):n?n.value:e.get(J)};define(ne[39],ie([0,1,16,27]),function(J,e,T,n){"use strict";var k,_,L;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function R(i,t,s){let o=i.get(t);return o===void 0&&(o=s,i.set(t,o)),o}e.getOrSet=R;function C(i){const t=[];return i.forEach((s,o)=>{t.push(`${o} => ${s}`)}),`Map(${i.size}) {${t.join(", ")}}`}e.mapToString=C;function E(i){const t=[];return i.forEach(s=>{t.push(s)}),`Set(${i.size}) {${t.join(", ")}}`}e.setToString=E;class P{constructor(){this._value="",this._pos=0}reset(t){return this._value=t,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(t){const s=t.charCodeAt(0),o=this._value.charCodeAt(this._pos);return s-o}value(){return this._value[this._pos]}}e.StringIterator=P;class b{constructor(t=!0){this._caseSensitive=t}reset(t){return this._value=t,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let t=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(t)this._from++;else break;else t=!1;return this}cmp(t){return this._caseSensitive?(0,n.compareSubstring)(t,this._value,0,t.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(t,this._value,0,t.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=b;class f{constructor(t=!0,s=!0){this._splitOnBackslash=t,this._caseSensitive=s}reset(t){this._from=0,this._to=0,this._value=t,this._valueLen=t.length;for(let s=t.length-1;s>=0;s--,this._valueLen--){const o=this._value.charCodeAt(s);if(!(o===47||this._splitOnBackslash&&o===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let t=!0;for(;this._to<this._valueLen;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(t)this._from++;else break;else t=!1}return this}cmp(t){return this._caseSensitive?(0,n.compareSubstring)(t,this._value,0,t.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(t,this._value,0,t.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=f;var p;(function(i){i[i.Scheme=1]="Scheme",i[i.Authority=2]="Authority",i[i.Path=3]="Path",i[i.Query=4]="Query",i[i.Fragment=5]="Fragment"})(p||(p={}));class d{constructor(t){this._ignorePathCasing=t,this._states=[],this._stateIdx=0}reset(t){return this._value=t,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new f(!1,!this._ignorePathCasing(t)),this._pathIterator.reset(t.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(t){if(this._states[this._stateIdx]===1)return(0,n.compareIgnoreCase)(t,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,n.compareIgnoreCase)(t,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(t);if(this._states[this._stateIdx]===4)return(0,n.compare)(t,this._value.query);if(this._states[this._stateIdx]===5)return(0,n.compare)(t,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=d;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const t=this.right;return this.right=t.left,t.left=this,this.updateHeight(),t.updateHeight(),t}rotateRight(){const t=this.left;return this.left=t.right,t.right=this,this.updateHeight(),t.updateHeight(),t}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var S;(function(i){i[i.Left=-1]="Left",i[i.Mid=0]="Mid",i[i.Right=1]="Right"})(S||(S={}));class h{constructor(t){this._iter=t}static forUris(t=()=>!1){return new h(new d(t))}static forPaths(t=!1){return new h(new f(void 0,!t))}static forStrings(){return new h(new P)}static forConfigKeys(){return new h(new b)}clear(){this._root=void 0}fill(t,s){if(s){const o=s.slice(0);(0,T.shuffle)(o);for(let c of o)this.set(c,t)}else{const o=t.slice(0);(0,T.shuffle)(o);for(let c of o)this.set(c[0],c[1])}}set(t,s){const o=this._iter.reset(t);let c;this._root||(this._root=new w,this._root.segment=o.value());const u=[];for(c=this._root;;){const I=o.cmp(c.segment);if(I>0)c.left||(c.left=new w,c.left.segment=o.value()),u.push([-1,c]),c=c.left;else if(I<0)c.right||(c.right=new w,c.right.segment=o.value()),u.push([1,c]),c=c.right;else if(o.hasNext())o.next(),c.mid||(c.mid=new w,c.mid.segment=o.value()),u.push([0,c]),c=c.mid;else break}const m=c.value;c.value=s,c.key=t;for(let I=u.length-1;I>=0;I--){const A=u[I][1];A.updateHeight();const O=A.balanceFactor();if(O<-1||O>1){const N=u[I][0],$=u[I+1][0];if(N===1&&$===1)u[I][1]=A.rotateLeft();else if(N===-1&&$===-1)u[I][1]=A.rotateRight();else if(N===1&&$===-1)A.right=u[I+1][1]=u[I+1][1].rotateRight(),u[I][1]=A.rotateLeft();else if(N===-1&&$===1)A.left=u[I+1][1]=u[I+1][1].rotateLeft(),u[I][1]=A.rotateRight();else throw new Error;if(I>0)switch(u[I-1][0]){case-1:u[I-1][1].left=u[I][1];break;case 1:u[I-1][1].right=u[I][1];break;case 0:u[I-1][1].mid=u[I][1];break}else this._root=u[0][1]}}return m}get(t){return this._getNode(t)?.value}_getNode(t){const s=this._iter.reset(t);let o=this._root;for(;o;){const c=s.cmp(o.segment);if(c>0)o=o.left;else if(c<0)o=o.right;else if(s.hasNext())s.next(),o=o.mid;else break}return o}has(t){const s=this._getNode(t);return!(s?.value===void 0&&s?.mid===void 0)}delete(t){return this._delete(t,!1)}deleteSuperstr(t){return this._delete(t,!0)}_delete(t,s){const o=this._iter.reset(t),c=[];let u=this._root;for(;u;){const m=o.cmp(u.segment);if(m>0)c.push([-1,u]),u=u.left;else if(m<0)c.push([1,u]),u=u.right;else if(o.hasNext())o.next(),c.push([0,u]),u=u.mid;else break}if(!!u){if(s?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const m=this._min(u.right),{key:I,value:A,segment:O}=m;this._delete(m.key,!1),u.key=I,u.value=A,u.segment=O}else{const m=u.left??u.right;if(c.length>0){const[I,A]=c[c.length-1];switch(I){case-1:A.left=m;break;case 0:A.mid=m;break;case 1:A.right=m;break}}else this._root=m}for(let m=c.length-1;m>=0;m--){const I=c[m][1];I.updateHeight();const A=I.balanceFactor();if(A>1?(I.right.balanceFactor()>=0||(I.right=I.right.rotateRight()),c[m][1]=I.rotateLeft()):A<-1&&(I.left.balanceFactor()<=0||(I.left=I.left.rotateLeft()),c[m][1]=I.rotateRight()),m>0)switch(c[m-1][0]){case-1:c[m-1][1].left=c[m][1];break;case 1:c[m-1][1].right=c[m][1];break;case 0:c[m-1][1].mid=c[m][1];break}else this._root=c[0][1]}}}_min(t){for(;t.left;)t=t.left;return t}findSubstr(t){const s=this._iter.reset(t);let o=this._root,c;for(;o;){const u=s.cmp(o.segment);if(u>0)o=o.left;else if(u<0)o=o.right;else if(s.hasNext())s.next(),c=o.value||c,o=o.mid;else break}return o&&o.value||c}findSuperstr(t){const s=this._iter.reset(t);let o=this._root;for(;o;){const c=s.cmp(o.segment);if(c>0)o=o.left;else if(c<0)o=o.right;else if(s.hasNext())s.next(),o=o.mid;else return o.mid?this._entries(o.mid):void 0}}forEach(t){for(const[s,o]of this)t(o,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(t){!t||(t.left&&(yield*this._entries(t.left)),t.value&&(yield[t.key,t.value]),t.mid&&(yield*this._entries(t.mid)),t.right&&(yield*this._entries(t.right)))}_isBalanced(){const t=s=>{if(!s)return!0;const o=s.balanceFactor();return o<-1||o>1?!1:t(s.left)&&t(s.right)};return t(this._root)}}e.TernarySearchTree=h;class y{constructor(t,s){this.uri=t,this.value=s}}class g{constructor(t,s){this[k]="ResourceMap",t instanceof g?(this.map=new Map(t.map),this.toKey=s??g.defaultToKey):(this.map=new Map,this.toKey=t??g.defaultToKey)}set(t,s){return this.map.set(this.toKey(t),new y(t,s)),this}get(t){return this.map.get(this.toKey(t))?.value}has(t){return this.map.has(this.toKey(t))}get size(){return this.map.size}clear(){this.map.clear()}delete(t){return this.map.delete(this.toKey(t))}forEach(t,s){typeof s!="undefined"&&(t=t.bind(s));for(let[o,c]of this.map)t(c.value,c.uri,this)}*values(){for(let t of this.map.values())yield t.value}*keys(){for(let t of this.map.values())yield t.uri}*entries(){for(let t of this.map.values())yield[t.uri,t.value]}*[(k=Symbol.toStringTag,Symbol.iterator)](){for(let[,t]of this.map)yield[t.uri,t.value]}}e.ResourceMap=g,g.defaultToKey=i=>i.toString();var v;(function(i){i[i.None=0]="None",i[i.AsOld=1]="AsOld",i[i.AsNew=2]="AsNew"})(v=e.Touch||(e.Touch={}));class l{constructor(){this[_]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(t){return this._map.has(t)}get(t,s=0){const o=this._map.get(t);if(!!o)return s!==0&&this.touch(o,s),o.value}set(t,s,o=0){let c=this._map.get(t);if(c)c.value=s,o!==0&&this.touch(c,o);else{switch(c={key:t,value:s,next:void 0,previous:void 0},o){case 0:this.addItemLast(c);break;case 1:this.addItemFirst(c);break;case 2:this.addItemLast(c);break;default:this.addItemLast(c);break}this._map.set(t,c),this._size++}return this}delete(t){return!!this.remove(t)}remove(t){const s=this._map.get(t);if(!!s)return this._map.delete(t),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const t=this._head;return this._map.delete(t.key),this.removeItem(t),this._size--,t.value}forEach(t,s){const o=this._state;let c=this._head;for(;c;){if(s?t.bind(s)(c.value,c.key,this):t(c.value,c.key,this),this._state!==o)throw new Error("LinkedMap got modified during iteration.");c=c.next}}keys(){const t=this,s=this._state;let o=this._head;const c={[Symbol.iterator](){return c},next(){if(t._state!==s)throw new Error("LinkedMap got modified during iteration.");if(o){const u={value:o.key,done:!1};return o=o.next,u}else return{value:void 0,done:!0}}};return c}values(){const t=this,s=this._state;let o=this._head;const c={[Symbol.iterator](){return c},next(){if(t._state!==s)throw new Error("LinkedMap got modified during iteration.");if(o){const u={value:o.value,done:!1};return o=o.next,u}else return{value:void 0,done:!0}}};return c}entries(){const t=this,s=this._state;let o=this._head;const c={[Symbol.iterator](){return c},next(){if(t._state!==s)throw new Error("LinkedMap got modified during iteration.");if(o){const u={value:[o.key,o.value],done:!1};return o=o.next,u}else return{value:void 0,done:!0}}};return c}[(_=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(t){if(t>=this.size)return;if(t===0){this.clear();return}let s=this._head,o=this.size;for(;s&&o>t;)this._map.delete(s.key),s=s.next,o--;this._head=s,this._size=o,s&&(s.previous=void 0),this._state++}addItemFirst(t){if(!this._head&&!this._tail)this._tail=t;else if(this._head)t.next=this._head,this._head.previous=t;else throw new Error("Invalid list");this._head=t,this._state++}addItemLast(t){if(!this._head&&!this._tail)this._head=t;else if(this._tail)t.previous=this._tail,this._tail.next=t;else throw new Error("Invalid list");this._tail=t,this._state++}removeItem(t){if(t===this._head&&t===this._tail)this._head=void 0,this._tail=void 0;else if(t===this._head){if(!t.next)throw new Error("Invalid list");t.next.previous=void 0,this._head=t.next}else if(t===this._tail){if(!t.previous)throw new Error("Invalid list");t.previous.next=void 0,this._tail=t.previous}else{const s=t.next,o=t.previous;if(!s||!o)throw new Error("Invalid list");s.previous=o,o.next=s}t.next=void 0,t.previous=void 0,this._state++}touch(t,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(t===this._head)return;const o=t.next,c=t.previous;t===this._tail?(c.next=void 0,this._tail=c):(o.previous=c,c.next=o),t.previous=void 0,t.next=this._head,this._head.previous=t,this._head=t,this._state++}else if(s===2){if(t===this._tail)return;const o=t.next,c=t.previous;t===this._head?(o.previous=void 0,this._head=o):(o.previous=c,c.next=o),t.next=void 0,t.previous=this._tail,this._tail.next=t,this._tail=t,this._state++}}}toJSON(){const t=[];return this.forEach((s,o)=>{t.push([o,s])}),t}fromJSON(t){this.clear();for(const[s,o]of t)this.set(s,o)}}e.LinkedMap=l;class r extends l{constructor(t,s=1){super();this._limit=t,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(t){this._limit=t,this.checkTrim()}get ratio(){return this._ratio}set ratio(t){this._ratio=Math.min(Math.max(0,t),1),this.checkTrim()}get(t,s=2){return super.get(t,s)}peek(t){return super.get(t,0)}set(t,s){return super.set(t,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=r;class a{constructor(t){L.set(this,void 0),It(this,L,t,"f")}get size(){return Ke(this,L,"f").size}forEach(t,s){Ke(this,L,"f").forEach(t,s)}get(t){return Ke(this,L,"f").get(t)}has(t){return Ke(this,L,"f").has(t)}entries(){return Ke(this,L,"f").entries()}keys(){return Ke(this,L,"f").keys()}values(){return Ke(this,L,"f").values()}[(L=new WeakMap,Symbol.iterator)](){return Ke(this,L,"f").entries()}}e.ReadonlyMapView=a}),define(ne[70],ie([0,1,39]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const n=new T.LRUCache(1e4);function k(E){return C(E,"NFC",n)}e.normalizeNFC=k;const _=new T.LRUCache(1e4);function L(E){return C(E,"NFD",_)}e.normalizeNFD=L;const R=/[^\u0000-\u0080]/;function C(E,P,b){if(!E)return E;const f=b.get(E);if(f)return f;let p;return R.test(E)?p=E.normalize(P):p=E,b.set(E,p),p}e.removeAccents=function(){const E=/[\u0300-\u036f]/g;return function(P){return L(P).replace(E,"")}}()}),define(ne[15],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPromise=e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function T(u){return Array.isArray(u)}e.isArray=T;function n(u){return typeof u=="string"}e.isString=n;function k(u){return Array.isArray(u)&&u.every(m=>n(m))}e.isStringArray=k;function _(u){return typeof u=="object"&&u!==null&&!Array.isArray(u)&&!(u instanceof RegExp)&&!(u instanceof Date)}e.isObject=_;function L(u){return typeof u=="number"&&!isNaN(u)}e.isNumber=L;function R(u){return!!u&&typeof u[Symbol.iterator]=="function"}e.isIterable=R;function C(u){return u===!0||u===!1}e.isBoolean=C;function E(u){return typeof u=="undefined"}e.isUndefined=E;function P(u){return!b(u)}e.isDefined=P;function b(u){return E(u)||u===null}e.isUndefinedOrNull=b;function f(u,m){if(!u)throw new Error(m?`Unexpected type, expected '${m}'`:"Unexpected type")}e.assertType=f;function p(u){if(b(u))throw new Error("Assertion Failed: argument is undefined or null");return u}e.assertIsDefined=p;function d(...u){const m=[];for(let I=0;I<u.length;I++){const A=u[I];if(b(A))throw new Error(`Assertion Failed: argument at index ${I} is undefined or null`);m.push(A)}return m}e.assertAllDefined=d;const w=Object.prototype.hasOwnProperty;function S(u){if(!_(u))return!1;for(let m in u)if(w.call(u,m))return!1;return!0}e.isEmptyObject=S;function h(u){return typeof u=="function"}e.isFunction=h;function y(...u){return u.length>0&&u.every(h)}e.areFunctions=y;function g(u,m){const I=Math.min(u.length,m.length);for(let A=0;A<I;A++)v(u[A],m[A])}e.validateConstraints=g;function v(u,m){if(n(m)){if(typeof u!==m)throw new Error(`argument does not match constraint: typeof ${m}`)}else if(h(m)){try{if(u instanceof m)return}catch{}if(!b(u)&&u.constructor===m||m.length===1&&m.call(void 0,u)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=v;function l(u){let m=[],I=Object.getPrototypeOf(u);for(;Object.prototype!==I;)m=m.concat(Object.getOwnPropertyNames(I)),I=Object.getPrototypeOf(I);return m}e.getAllPropertyNames=l;function r(u){const m=[];for(const I of l(u))typeof u[I]=="function"&&m.push(I);return m}e.getAllMethodNames=r;function a(u,m){const I=O=>function(){const N=Array.prototype.slice.call(arguments,0);return m(O,N)};let A={};for(const O of u)A[O]=I(O);return A}e.createProxyObject=a;function i(u){return u===null?void 0:u}e.withNullAsUndefined=i;function t(u){return typeof u=="undefined"?null:u}e.withUndefinedAsNull=t;function s(u){return class{constructor(){return new Proxy({},{get(m,I){if(m[I])return m[I];throw new Error(`Not Implemented: ${u}->${String(I)}`)}})}}}e.NotImplementedProxy=s;function o(u,m="Unreachable"){throw new Error(m)}e.assertNever=o;function c(u){return!!u&&typeof u.then=="function"&&typeof u.catch=="function"}e.isPromise=c}),define(ne[41],ie([0,1,10,4,27,15]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function L(s){return s===47||s===92}e.isPathSeparator=L;function R(s){return s.replace(/[\\/]/g,T.posix.sep)}e.toSlashes=R;function C(s){return s.indexOf("/")===-1&&(s=R(s)),/^[a-zA-Z]:(\/|$)/.test(s)&&(s="/"+s),s}e.toPosixPath=C;function E(s,o=T.posix.sep){if(!s)return"";const c=s.length,u=s.charCodeAt(0);if(L(u)){if(L(s.charCodeAt(1))&&!L(s.charCodeAt(2))){let I=3;const A=I;for(;I<c&&!L(s.charCodeAt(I));I++);if(A!==I&&!L(s.charCodeAt(I+1))){for(I+=1;I<c;I++)if(L(s.charCodeAt(I)))return s.slice(0,I+1).replace(/[\\/]/g,o)}}return o}else if(h(u)&&s.charCodeAt(1)===58)return L(s.charCodeAt(2))?s.slice(0,2)+o:s.slice(0,2);let m=s.indexOf("://");if(m!==-1){for(m+=3;m<c;m++)if(L(s.charCodeAt(m)))return s.slice(0,m+1)}return""}e.getRoot=E;function P(s){if(!n.isWindows||!s||s.length<5)return!1;let o=s.charCodeAt(0);if(o!==92||(o=s.charCodeAt(1),o!==92))return!1;let c=2;const u=c;for(;c<s.length&&(o=s.charCodeAt(c),o!==92);c++);return!(u===c||(o=s.charCodeAt(c+1),isNaN(o)||o===92))}e.isUNC=P;const b=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function d(s,o=n.isWindows){const c=o?b:f;return!(!s||s.length===0||/^\s+$/.test(s)||(c.lastIndex=0,c.test(s))||o&&p.test(s)||s==="."||s===".."||o&&s[s.length-1]==="."||o&&s.length!==s.trim().length||s.length>255)}e.isValidBasename=d;function w(s,o,c){const u=s===o;return!c||u?u:!s||!o?!1:(0,k.equalsIgnoreCase)(s,o)}e.isEqual=w;function S(s,o,c,u=T.sep){if(s===o)return!0;if(!s||!o||o.length>s.length)return!1;if(c){if(!(0,k.startsWithIgnoreCase)(s,o))return!1;if(o.length===s.length)return!0;let I=o.length;return o.charAt(o.length-1)===u&&I--,s.charAt(I)===u}return o.charAt(o.length-1)!==u&&(o+=u),s.indexOf(o)===0}e.isEqualOrParent=S;function h(s){return s>=65&&s<=90||s>=97&&s<=122}e.isWindowsDriveLetter=h;function y(s,o){return n.isWindows&&s.endsWith(":")&&(s+=T.sep),(0,T.isAbsolute)(s)||(s=(0,T.join)(o,s)),s=(0,T.normalize)(s),n.isWindows?(s=(0,k.rtrim)(s,T.sep),s.endsWith(":")&&(s+=T.sep)):(s=(0,k.rtrim)(s,T.sep),s||(s=T.sep)),s}e.sanitizeFilePath=y;function g(s){const o=(0,T.normalize)(s);return n.isWindows?s.length>3?!1:v(o)&&(s.length===2||o.charCodeAt(2)===92):o===T.posix.sep}e.isRootOrDriveLetter=g;function v(s,o){return(o!==void 0?o:n.isWindows)?h(s.charCodeAt(0))&&s.charCodeAt(1)===58:!1}e.hasDriveLetter=v;function l(s){return v(s)?s[0]:void 0}e.getDriveLetter=l;function r(s,o,c){return o.length>s.length?-1:s===o?0:(c&&(s=s.toLowerCase(),o=o.toLowerCase()),s.indexOf(o))}e.indexOfPath=r;function a(s){const o=s.split(":");let c,u,m;for(const I of o){const A=Number(I);(0,_.isNumber)(A)?u===void 0?u=A:m===void 0&&(m=A):c=c?[c,I].join(":"):I}if(!c)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:c,line:u!==void 0?u:void 0,column:m!==void 0?m:u!==void 0?1:void 0}}e.parseLineAndColumnAware=a;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function t(s,o,c=8){let u="";for(let I=0;I<c;I++)u+=i.charAt(Math.floor(Math.random()*i.length));let m;return o?m=`${o}-${u}`:m=u,s?(0,T.join)(s,m):m}e.randomPath=t}),define(ne[28],ie([0,1,15]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function n(w){if(!w||typeof w!="object"||w instanceof RegExp)return w;const S=Array.isArray(w)?[]:{};return Object.keys(w).forEach(h=>{w[h]&&typeof w[h]=="object"?S[h]=n(w[h]):S[h]=w[h]}),S}e.deepClone=n;function k(w){if(!w||typeof w!="object")return w;const S=[w];for(;S.length>0;){const h=S.shift();Object.freeze(h);for(const y in h)if(_.call(h,y)){const g=h[y];typeof g=="object"&&!Object.isFrozen(g)&&S.push(g)}}return w}e.deepFreeze=k;const _=Object.prototype.hasOwnProperty;function L(w,S){return R(w,S,new Set)}e.cloneAndChange=L;function R(w,S,h){if((0,T.isUndefinedOrNull)(w))return w;const y=S(w);if(typeof y!="undefined")return y;if((0,T.isArray)(w)){const g=[];for(const v of w)g.push(R(v,S,h));return g}if((0,T.isObject)(w)){if(h.has(w))throw new Error("Cannot clone recursive data-structure");h.add(w);const g={};for(let v in w)_.call(w,v)&&(g[v]=R(w[v],S,h));return h.delete(w),g}return w}function C(w,S,h=!0){return(0,T.isObject)(w)?((0,T.isObject)(S)&&Object.keys(S).forEach(y=>{y in w?h&&((0,T.isObject)(w[y])&&(0,T.isObject)(S[y])?C(w[y],S[y],h):w[y]=S[y]):w[y]=S[y]}),w):S}e.mixin=C;function E(w,S){if(w===S)return!0;if(w==null||S===null||S===void 0||typeof w!=typeof S||typeof w!="object"||Array.isArray(w)!==Array.isArray(S))return!1;let h,y;if(Array.isArray(w)){if(w.length!==S.length)return!1;for(h=0;h<w.length;h++)if(!E(w[h],S[h]))return!1}else{const g=[];for(y in w)g.push(y);g.sort();const v=[];for(y in S)v.push(y);if(v.sort(),!E(g,v))return!1;for(h=0;h<g.length;h++)if(!E(w[g[h]],S[g[h]]))return!1}return!0}e.equals=E;function P(w){const S=new Set;return JSON.stringify(w,(h,y)=>{if((0,T.isObject)(y)||Array.isArray(y)){if(S.has(y))return"[Circular]";S.add(y)}return y})}e.safeStringify=P;function b(w,S,h){const y=S(w);return typeof y=="undefined"?h:y}e.getOrDefault=b;function f(w,S){const h=Object.create(null);return!w||!S||Object.keys(S).forEach(g=>{const v=w[g],l=S[g];E(v,l)||(h[g]=l)}),h}e.distinct=f;function p(w,S){const h=S.toLowerCase(),y=Object.keys(w).find(g=>g.toLowerCase()===h);return y?w[y]:w[S]}e.getCaseInsensitive=p;function d(w,S){const h=Object.create(null);for(const[y,g]of Object.entries(w))S(y,g)&&(h[y]=g);return h}e.filter=d}),define(ne[7],ie([0,1,10,4]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const k=/^\w[\w\d+.-]*$/,_=/^\//,L=/^\/\//;function R(i,t){if(!i.scheme&&t)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!k.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!_.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(L.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function C(i,t){return!i&&!t?"file":i}function E(i,t){switch(i){case"https":case"http":case"file":t?t[0]!==b&&(t=b+t):t=b;break}return t}const P="",b="/",f=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class p{constructor(t,s,o,c,u,m=!1){typeof t=="object"?(this.scheme=t.scheme||P,this.authority=t.authority||P,this.path=t.path||P,this.query=t.query||P,this.fragment=t.fragment||P):(this.scheme=C(t,m),this.authority=s||P,this.path=E(this.scheme,o||P),this.query=c||P,this.fragment=u||P,R(this,m))}static isUri(t){return t instanceof p?!0:t?typeof t.authority=="string"&&typeof t.fragment=="string"&&typeof t.path=="string"&&typeof t.query=="string"&&typeof t.scheme=="string"&&typeof t.fsPath=="string"&&typeof t.with=="function"&&typeof t.toString=="function":!1}get fsPath(){return g(this,!1)}with(t){if(!t)return this;let{scheme:s,authority:o,path:c,query:u,fragment:m}=t;return s===void 0?s=this.scheme:s===null&&(s=P),o===void 0?o=this.authority:o===null&&(o=P),c===void 0?c=this.path:c===null&&(c=P),u===void 0?u=this.query:u===null&&(u=P),m===void 0?m=this.fragment:m===null&&(m=P),s===this.scheme&&o===this.authority&&c===this.path&&u===this.query&&m===this.fragment?this:new w(s,o,c,u,m)}static parse(t,s=!1){const o=f.exec(t);return o?new w(o[2]||P,a(o[4]||P),a(o[5]||P),a(o[7]||P),a(o[9]||P),s):new w(P,P,P,P,P)}static file(t){let s=P;if(n.isWindows&&(t=t.replace(/\\/g,b)),t[0]===b&&t[1]===b){const o=t.indexOf(b,2);o===-1?(s=t.substring(2),t=b):(s=t.substring(2,o),t=t.substring(o)||b)}return new w("file",s,t,P,P)}static from(t){const s=new w(t.scheme,t.authority,t.path,t.query,t.fragment);return R(s,!0),s}static joinPath(t,...s){if(!t.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let o;return n.isWindows&&t.scheme==="file"?o=p.file(T.win32.join(g(t,!0),...s)).path:o=T.posix.join(t.path,...s),t.with({path:o})}toString(t=!1){return v(this,t)}toJSON(){return this}static revive(t){if(t){if(t instanceof p)return t;{const s=new w(t);return s._formatted=t.external,s._fsPath=t._sep===d?t.fsPath:null,s}}else return t}}e.URI=p;const d=n.isWindows?1:void 0;class w extends p{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=g(this,!1)),this._fsPath}toString(t=!1){return t?v(this,!0):(this._formatted||(this._formatted=v(this,!1)),this._formatted)}toJSON(){const t={$mid:1};return this._fsPath&&(t.fsPath=this._fsPath,t._sep=d),this._formatted&&(t.external=this._formatted),this.path&&(t.path=this.path),this.scheme&&(t.scheme=this.scheme),this.authority&&(t.authority=this.authority),this.query&&(t.query=this.query),this.fragment&&(t.fragment=this.fragment),t}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function h(i,t){let s,o=-1;for(let c=0;c<i.length;c++){const u=i.charCodeAt(c);if(u>=97&&u<=122||u>=65&&u<=90||u>=48&&u<=57||u===45||u===46||u===95||u===126||t&&u===47)o!==-1&&(s+=encodeURIComponent(i.substring(o,c)),o=-1),s!==void 0&&(s+=i.charAt(c));else{s===void 0&&(s=i.substr(0,c));const m=S[u];m!==void 0?(o!==-1&&(s+=encodeURIComponent(i.substring(o,c)),o=-1),s+=m):o===-1&&(o=c)}}return o!==-1&&(s+=encodeURIComponent(i.substring(o))),s!==void 0?s:i}function y(i){let t;for(let s=0;s<i.length;s++){const o=i.charCodeAt(s);o===35||o===63?(t===void 0&&(t=i.substr(0,s)),t+=S[o]):t!==void 0&&(t+=i[s])}return t!==void 0?t:i}function g(i,t){let s;return i.authority&&i.path.length>1&&i.scheme==="file"?s=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?t?s=i.path.substr(1):s=i.path[1].toLowerCase()+i.path.substr(2):s=i.path,n.isWindows&&(s=s.replace(/\//g,"\\")),s}e.uriToFsPath=g;function v(i,t){const s=t?y:h;let o="",{scheme:c,authority:u,path:m,query:I,fragment:A}=i;if(c&&(o+=c,o+=":"),(u||c==="file")&&(o+=b,o+=b),u){let O=u.indexOf("@");if(O!==-1){const N=u.substr(0,O);u=u.substr(O+1),O=N.indexOf(":"),O===-1?o+=s(N,!1):(o+=s(N.substr(0,O),!1),o+=":",o+=s(N.substr(O+1),!1)),o+="@"}u=u.toLowerCase(),O=u.indexOf(":"),O===-1?o+=s(u,!1):(o+=s(u.substr(0,O),!1),o+=u.substr(O))}if(m){if(m.length>=3&&m.charCodeAt(0)===47&&m.charCodeAt(2)===58){const O=m.charCodeAt(1);O>=65&&O<=90&&(m=`/${String.fromCharCode(O+32)}:${m.substr(3)}`)}else if(m.length>=2&&m.charCodeAt(1)===58){const O=m.charCodeAt(0);O>=65&&O<=90&&(m=`${String.fromCharCode(O+32)}:${m.substr(2)}`)}o+=s(m,!0)}return I&&(o+="?",o+=s(I,!1)),A&&(o+="#",o+=t?A:h(A,!1)),o}function l(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+l(i.substr(3)):i}}const r=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function a(i){return i.match(r)?i.replace(r,t=>l(t)):i}}),define(ne[107],ie([0,1,7]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function n(E){const P=E;return P&&typeof P.type=="string"&&typeof P.severity=="string"}e.isRemoteConsoleLog=n;function k(E){const P=[];let b;try{const f=JSON.parse(E.arguments),p=f[f.length-1];p&&p.__$stack&&(f.pop(),b=p.__$stack),P.push(...f)}catch{P.push("Unable to log remote console arguments",E.arguments)}return{args:P,stack:b}}e.parse=k;function _(E){if(typeof E!="string")return _(k(E).stack);const P=E;if(P){const b=L(P),f=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(b||"");if(f&&f.length===4)return{uri:T.URI.file(f[1]),line:Number(f[2]),column:Number(f[3])}}}e.getFirstFrame=_;function L(E){if(!E)return E;const P=E.indexOf(`
`);return P===-1?E:E.substring(0,P)}function R(E,P){const{args:b,stack:f}=k(E),p=typeof b[0]=="string"&&b.length===1;let d=L(f);d&&(d=`(${d.trim()})`);let w=[];if(typeof b[0]=="string"?d&&p?w=[`%c[${P}] %c${b[0]} %c${d}`,C("blue"),C(""),C("grey")]:w=[`%c[${P}] %c${b[0]}`,C("blue"),C(""),...b.slice(1)]:w=[`%c[${P}]%`,C("blue"),...b],d&&!p&&w.push(d),typeof console[E.severity]!="function")throw new Error("Unknown console method");console[E.severity].apply(console,w)}e.log=R;function C(E){return`color: ${E}`}}),define(ne[108],ie([0,1,17,27,7]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function _(P){return JSON.stringify(P,C)}e.stringify=_;function L(P){let b=JSON.parse(P);return b=E(b),b}e.parse=L;var R;(function(P){P[P.Uri=1]="Uri",P[P.Regexp=2]="Regexp",P[P.ScmResource=3]="ScmResource",P[P.ScmResourceGroup=4]="ScmResourceGroup",P[P.ScmProvider=5]="ScmProvider",P[P.CommentController=6]="CommentController",P[P.CommentThread=7]="CommentThread",P[P.CommentThreadReply=8]="CommentThreadReply",P[P.CommentNode=9]="CommentNode",P[P.CommentThreadNode=10]="CommentThreadNode",P[P.TimelineActionContext=11]="TimelineActionContext",P[P.NotebookCellActionContext=12]="NotebookCellActionContext",P[P.TestItemContext=13]="TestItemContext"})(R=e.MarshalledId||(e.MarshalledId={}));function C(P,b){return b instanceof RegExp?{$mid:2,source:b.source,flags:(0,n.regExpFlags)(b)}:b}function E(P,b=0){if(!P||b>200)return P;if(typeof P=="object"){switch(P.$mid){case 1:return k.URI.revive(P);case 2:return new RegExp(P.source,P.flags)}if(P instanceof T.VSBuffer||P instanceof Uint8Array)return P;if(Array.isArray(P))for(let f=0;f<P.length;++f)P[f]=E(P[f],b+1);else for(const f in P)Object.hasOwnProperty.call(P,f)&&(P[f]=E(P[f],b+1))}return P}e.revive=E}),define(ne[18],ie([0,1,4,7]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var k;(function(R){R.inMemory="inmemory",R.vscode="vscode",R.internal="private",R.walkThrough="walkThrough",R.walkThroughSnippet="walkThroughSnippet",R.http="http",R.https="https",R.file="file",R.mailto="mailto",R.untitled="untitled",R.data="data",R.command="command",R.vscodeRemote="vscode-remote",R.vscodeRemoteResource="vscode-remote-resource",R.userData="vscode-userdata",R.vscodeCustomEditor="vscode-custom-editor",R.vscodeNotebook="vscode-notebook",R.vscodeNotebookCell="vscode-notebook-cell",R.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",R.vscodeNotebookCellOutput="vscode-notebook-cell-output",R.vscodeInteractive="vscode-interactive",R.vscodeInteractiveInput="vscode-interactive-input",R.vscodeSettings="vscode-settings",R.vscodeWorkspaceTrust="vscode-workspace-trust",R.vscodeTerminal="vscode-terminal",R.webviewPanel="webview-panel",R.vscodeWebview="vscode-webview",R.extension="extension",R.vscodeFileResource="vscode-file",R.tmp="tmp",R.vsls="vsls"})(k=e.Schemas||(e.Schemas={}));class _{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(C){this._preferredWebSchema=C}setDelegate(C){this._delegate=C}set(C,E,P){this._hosts[C]=E,this._ports[C]=P}setConnectionToken(C,E){this._connectionTokens[C]=E}rewrite(C){if(this._delegate)return this._delegate(C);const E=C.authority;let P=this._hosts[E];P&&P.indexOf(":")!==-1&&(P=`[${P}]`);const b=this._ports[E],f=this._connectionTokens[E];let p=`path=${encodeURIComponent(C.path)}`;return typeof f=="string"&&(p+=`&tkn=${encodeURIComponent(f)}`),n.URI.from({scheme:T.isWeb?this._preferredWebSchema:k.vscodeRemoteResource,authority:`${P}:${b}`,path:"/vscode-remote-resource",query:p})}}e.RemoteAuthorities=new _;class L{asBrowserUri(C,E){const P=this.toUri(C,E);return P.scheme===k.vscodeRemote?e.RemoteAuthorities.rewrite(P):P.scheme===k.file&&(T.isNative||typeof T.globals.importScripts=="function"&&T.globals.origin===`${k.vscodeFileResource}://${L.FALLBACK_AUTHORITY}`)?P.with({scheme:k.vscodeFileResource,authority:P.authority||L.FALLBACK_AUTHORITY,query:null,fragment:null}):P}asFileUri(C,E){const P=this.toUri(C,E);return P.scheme===k.vscodeFileResource?P.with({scheme:k.file,authority:P.authority!==L.FALLBACK_AUTHORITY?P.authority:null,query:null,fragment:null}):P}toUri(C,E){return n.URI.isUri(C)?C:n.URI.parse(E.toUrl(C))}}L.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new L}),define(ne[19],ie([0,1,41,18,10,4,27,7]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function C(p){return(0,R.uriToFsPath)(p,!0)}e.originalFSPath=C;class E{constructor(d){this._ignorePathCasing=d}compare(d,w,S=!1){return d===w?0:(0,L.compare)(this.getComparisonKey(d,S),this.getComparisonKey(w,S))}isEqual(d,w,S=!1){return d===w?!0:!d||!w?!1:this.getComparisonKey(d,S)===this.getComparisonKey(w,S)}getComparisonKey(d,w=!1){return d.with({path:this._ignorePathCasing(d)?d.path.toLowerCase():void 0,fragment:w?null:void 0}).toString()}ignorePathCasing(d){return this._ignorePathCasing(d)}isEqualOrParent(d,w,S=!1){if(d.scheme===w.scheme){if(d.scheme===n.Schemas.file)return T.isEqualOrParent(C(d),C(w),this._ignorePathCasing(d))&&d.query===w.query&&(S||d.fragment===w.fragment);if((0,e.isEqualAuthority)(d.authority,w.authority))return T.isEqualOrParent(d.path,w.path,this._ignorePathCasing(d),"/")&&d.query===w.query&&(S||d.fragment===w.fragment)}return!1}joinPath(d,...w){return R.URI.joinPath(d,...w)}basenameOrAuthority(d){return(0,e.basename)(d)||d.authority}basename(d){return k.posix.basename(d.path)}extname(d){return k.posix.extname(d.path)}dirname(d){if(d.path.length===0)return d;let w;return d.scheme===n.Schemas.file?w=R.URI.file(k.dirname(C(d))).path:(w=k.posix.dirname(d.path),d.authority&&w.length&&w.charCodeAt(0)!==47&&(console.error(`dirname("${d.toString})) resulted in a relative path`),w="/")),d.with({path:w})}normalizePath(d){if(!d.path.length)return d;let w;return d.scheme===n.Schemas.file?w=R.URI.file(k.normalize(C(d))).path:w=k.posix.normalize(d.path),d.with({path:w})}relativePath(d,w){if(d.scheme!==w.scheme||!(0,e.isEqualAuthority)(d.authority,w.authority))return;if(d.scheme===n.Schemas.file){const y=k.relative(C(d),C(w));return _.isWindows?T.toSlashes(y):y}let S=d.path||"/",h=w.path||"/";if(this._ignorePathCasing(d)){let y=0;for(const g=Math.min(S.length,h.length);y<g&&!(S.charCodeAt(y)!==h.charCodeAt(y)&&S.charAt(y).toLowerCase()!==h.charAt(y).toLowerCase());y++);S=h.substr(0,y)+S.substr(y)}return k.posix.relative(S,h)}resolvePath(d,w){if(d.scheme===n.Schemas.file){const S=R.URI.file(k.resolve(C(d),w));return d.with({authority:S.authority,path:S.path})}return w=T.toPosixPath(w),d.with({path:k.posix.resolve(d.path,w)})}isAbsolutePath(d){return!!d.path&&d.path[0]==="/"}isEqualAuthority(d,w){return d===w||d!==void 0&&w!==void 0&&(0,L.equalsIgnoreCase)(d,w)}hasTrailingPathSeparator(d,w=k.sep){if(d.scheme===n.Schemas.file){const S=C(d);return S.length>T.getRoot(S).length&&S[S.length-1]===w}else{const S=d.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(d.fsPath)}}removeTrailingPathSeparator(d,w=k.sep){return(0,e.hasTrailingPathSeparator)(d,w)?d.with({path:d.path.substr(0,d.path.length-1)}):d}addTrailingPathSeparator(d,w=k.sep){let S=!1;if(d.scheme===n.Schemas.file){const h=C(d);S=h!==void 0&&h.length===T.getRoot(h).length&&h[h.length-1]===w}else{w="/";const h=d.path;S=h.length===1&&h.charCodeAt(h.length-1)===47}return!S&&!(0,e.hasTrailingPathSeparator)(d,w)?d.with({path:d.path+"/"}):d}}e.ExtUri=E,e.extUri=new E(()=>!1),e.extUriBiasedIgnorePathCase=new E(p=>p.scheme===n.Schemas.file?!_.isLinux:!0),e.extUriIgnorePathCase=new E(p=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function P(p,d){const w=[];for(let S=0;S<p.length;S++){const h=d(p[S]);p.some((y,g)=>g===S?!1:(0,e.isEqualOrParent)(h,d(y)))||w.push(p[S])}return w}e.distinctParents=P;var b;(function(p){p.META_DATA_LABEL="label",p.META_DATA_DESCRIPTION="description",p.META_DATA_SIZE="size",p.META_DATA_MIME="mime";function d(w){const S=new Map;w.path.substring(w.path.indexOf(";")+1,w.path.lastIndexOf(";")).split(";").forEach(g=>{const[v,l]=g.split(":");v&&l&&S.set(v,l)});const y=w.path.substring(0,w.path.indexOf(";"));return y&&S.set(p.META_DATA_MIME,y),S}p.parseMetaData=d})(b=e.DataUri||(e.DataUri={}));function f(p,d,w){if(d){let S=p.path;return S&&S[0]!==k.posix.sep&&(S=k.posix.sep+S),p.with({scheme:w,authority:d,path:S})}return p.with({scheme:w})}e.toLocalResource=f}),define(ne[5],ie([0,1,25,9,3,2,19,4]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function C(K){return!!K&&typeof K.then=="function"}e.isThenable=C;function E(K){const U=new T.CancellationTokenSource,j=K(U.token),V=new Promise((q,x)=>{const re=U.token.onCancellationRequested(()=>{re.dispose(),U.dispose(),x((0,n.canceled)())});Promise.resolve(j).then(se=>{re.dispose(),U.dispose(),q(se)},se=>{re.dispose(),U.dispose(),x(se)})});return new class{cancel(){U.cancel()}then(q,x){return V.then(q,x)}catch(q){return this.then(void 0,q)}finally(q){return V.finally(q)}}}e.createCancelablePromise=E;function P(K,U,j){return Promise.race([K,new Promise(V=>U.onCancellationRequested(()=>V(j)))])}e.raceCancellation=P;async function b(K){let U=-1;const j=K.map((q,x)=>q.then(re=>(U=x,re))),V=await Promise.race(j);return K.forEach((q,x)=>{x!==U&&q.cancel()}),V}e.raceCancellablePromises=b;function f(K,U,j){let V;const q=setTimeout(()=>{V?.(void 0),j?.()},U);return Promise.race([K.finally(()=>clearTimeout(q)),new Promise(x=>V=x)])}e.raceTimeout=f;function p(K){return new Promise((U,j)=>{const V=K();C(V)?V.then(U,j):U(V)})}e.asPromise=p;class d{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(U){if(this.activePromise){if(this.queuedPromiseFactory=U,!this.queuedPromise){const j=()=>{this.queuedPromise=null;const V=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,V};this.queuedPromise=new Promise(V=>{this.activePromise.then(j,j).then(V)})}return new Promise((j,V)=>{this.queuedPromise.then(j,V)})}return this.activePromise=U(),new Promise((j,V)=>{this.activePromise.then(q=>{this.activePromise=null,j(q)},q=>{this.activePromise=null,V(q)})})}}e.Throttler=d;class w{constructor(){this.current=Promise.resolve(null)}queue(U){return this.current=this.current.then(()=>U(),()=>U())}}e.Sequencer=w;class S{constructor(){this.promiseMap=new Map}queue(U,j){const q=(this.promiseMap.get(U)??Promise.resolve()).catch(()=>{}).then(j).finally(()=>{this.promiseMap.get(U)===q&&this.promiseMap.delete(U)});return this.promiseMap.set(U,q),q}}e.SequencerByKey=S;const h=(K,U)=>{let j=!0;const V=setTimeout(()=>{j=!1,U()},K);return{isTriggered:()=>j,dispose:()=>{clearTimeout(V),j=!1}}},y=K=>{let U=!0;return queueMicrotask(()=>{U&&(U=!1,K())}),{isTriggered:()=>U,dispose:()=>{U=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class g{constructor(U){this.defaultDelay=U,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(U,j=this.defaultDelay){this.task=U,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((q,x)=>{this.doResolve=q,this.doReject=x}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const q=this.task;return this.task=null,q()}}));const V=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=j===e.MicrotaskDelay?y(V):h(j,V),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,n.canceled)()),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=g;class v{constructor(U){this.delayer=new g(U),this.throttler=new d}trigger(U,j){return this.delayer.trigger(()=>this.throttler.queue(U),j)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=v;class l{constructor(){this._isOpen=!1,this._promise=new Promise((U,j)=>{this._completePromise=U})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=l;class r extends l{constructor(U){super();this._timeout=setTimeout(()=>this.open(),U)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=r;function a(K,U){return U?new Promise((j,V)=>{const q=setTimeout(()=>{x.dispose(),j()},K),x=U.onCancellationRequested(()=>{clearTimeout(q),x.dispose(),V((0,n.canceled)())})}):E(j=>a(K,j))}e.timeout=a;function i(K,U=0){const j=setTimeout(K,U);return(0,_.toDisposable)(()=>clearTimeout(j))}e.disposableTimeout=i;function t(K){const U=[];let j=0;const V=K.length;function q(){return j<V?K[j++]():null}function x(re){re!=null&&U.push(re);const se=q();return se?se.then(x):Promise.resolve(U)}return Promise.resolve(null).then(x)}e.sequence=t;function s(K,U=V=>!!V,j=null){let V=0;const q=K.length,x=()=>{if(V>=q)return Promise.resolve(j);const re=K[V++];return Promise.resolve(re()).then(ce=>U(ce)?Promise.resolve(ce):x())};return x()}e.first=s;function o(K,U=V=>!!V,j=null){if(K.length===0)return Promise.resolve(j);let V=K.length;const q=()=>{V=-1;for(const x of K)x.cancel?.()};return new Promise((x,re)=>{for(const se of K)se.then(ce=>{--V>=0&&U(ce)?(q(),x(ce)):V===0&&x(j)}).catch(ce=>{--V>=0&&(q(),re(ce))})})}e.firstParallel=o;class c{constructor(U){this._size=0,this.maxDegreeOfParalellism=U,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new k.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(U){return this._size++,new Promise((j,V)=>{this.outstandingPromises.push({factory:U,c:j,e:V}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const U=this.outstandingPromises.shift();this.runningPromises++;const j=U.factory();j.then(U.c,U.e),j.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=c;class u extends c{constructor(){super(1)}}e.Queue=u;class m{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const U=new Y;return this.drainers.add(U),U.p}isDrained(){for(const[,U]of this.queues)if(U.size>0)return!1;return!0}queueFor(U,j=L.extUri){const V=j.getComparisonKey(U);let q=this.queues.get(V);return q||(q=new u,k.Event.once(q.onFinished)(()=>{q?.dispose(),this.queues.delete(V),this.onDidQueueFinish()}),this.queues.set(V,q)),q}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const U of this.drainers)U.complete();this.drainers.clear()}dispose(){for(const[,U]of this.queues)U.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=m;class I{constructor(U,j){this._token=-1,typeof U=="function"&&typeof j=="number"&&this.setIfNotSet(U,j)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(U,j){this.cancel(),this._token=setTimeout(()=>{this._token=-1,U()},j)}setIfNotSet(U,j){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,U()},j))}}e.TimeoutTimer=I;class A{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(U,j){this.cancel(),this._token=setInterval(()=>{U()},j)}}e.IntervalTimer=A;class O{constructor(U,j){this.timeoutToken=-1,this.runner=U,this.timeout=j,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(U=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,U)}get delay(){return this.timeout}set delay(U){this.timeout=U}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=O;class N{constructor(U,j){j%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${j}ms is not a multiple of 1000ms.`),this.runner=U,this.timeout=j,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(U=this.timeout){U%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${U}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(U/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=N;class $ extends O{constructor(U,j){super(U,j);this.units=[]}work(U){this.units.push(U),this.isScheduled()||this.schedule()}doRun(){const U=this.units;this.units=[],this.runner&&this.runner(U)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=$;class D extends _.Disposable{constructor(U,j){super();this.options=U,this.handler=j,this.pendingWork=[],this.throttler=this._register(new _.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(U){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+U.length>this.options.maxBufferedWork)return!1}else if(this.pending+U.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...U),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new O(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=D,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=K=>{(0,R.setTimeout0)(()=>{if(U)return;const j=Date.now()+15;K(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,j-Date.now())}}))});let U=!1;return{dispose(){U||(U=!0)}}}:e.runWhenIdle=(K,U)=>{const j=requestIdleCallback(K,typeof U=="number"?{timeout:U}:void 0);let V=!1;return{dispose(){V||(V=!0,cancelIdleCallback(j))}}}}();class M{constructor(U){this._didRun=!1,this._executor=()=>{try{this._value=U()}catch(j){this._error=j}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=M;async function W(K,U,j){let V;for(let q=0;q<j;q++)try{return await K()}catch(x){V=x,await a(U)}throw V}e.retry=W;class F{hasPending(U){return this._pending?typeof U=="number"?this._pending.taskId===U:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(U,j,V){return this._pending={taskId:U,cancel:()=>V?.(),promise:j},j.then(()=>this.donePending(U),()=>this.donePending(U)),j}donePending(U){this._pending&&U===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const U=this._next;this._next=void 0,U.run().then(U.promiseResolve,U.promiseReject)}}setNext(U){if(this._next)this._next.run=U;else{let j,V;const q=new Promise((x,re)=>{j=x,V=re});this._next={run:U,promise:q,promiseResolve:j,promiseReject:V}}return this._next.promise}}e.TaskSequentializer=F;class H{constructor(U,j=()=>Date.now()){this.interval=U,this.nowFn=j,this.lastIncrementTime=0,this.value=0}increment(){const U=this.nowFn();return U-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=U,this.value=0),this.value++,this.value}}e.IntervalCounter=H;class Y{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((U,j)=>{this.completeCallback=U,this.errorCallback=j})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(U){return new Promise(j=>{this.completeCallback(U),this.resolved=!0,j()})}error(U){return new Promise(j=>{this.errorCallback(U),this.rejected=!0,j()})}cancel(){new Promise(U=>{this.errorCallback((0,n.canceled)()),this.rejected=!0,U()})}}e.DeferredPromise=Y;var B;(function(K){async function U(V){let q;const x=await Promise.all(V.map(re=>re.then(se=>se,se=>{q||(q=se)})));if(typeof q!="undefined")throw q;return x}K.settled=U;function j(V){return new Promise(async(q,x)=>{try{await V(q,x)}catch(re){x(re)}})}K.withAsyncBody=j})(B=e.Promises||(e.Promises={}));var z;(function(K){K[K.Initial=0]="Initial",K[K.DoneOK=1]="DoneOK",K[K.DoneError=2]="DoneError"})(z||(z={}));class Q{constructor(U){this._state=0,this._results=[],this._error=null,this._onStateChanged=new k.Emitter,queueMicrotask(async()=>{const j={emitOne:V=>this.emitOne(V),emitMany:V=>this.emitMany(V),reject:V=>this.reject(V)};try{await Promise.resolve(U(j)),this.resolve()}catch(V){this.reject(V)}finally{j.emitOne=void 0,j.emitMany=void 0,j.reject=void 0}})}static fromArray(U){return new Q(j=>{j.emitMany(U)})}static fromPromise(U){return new Q(async j=>{j.emitMany(await U)})}static fromPromises(U){return new Q(async j=>{await Promise.all(U.map(async V=>j.emitOne(await V)))})}static merge(U){return new Q(async j=>{await Promise.all(U.map(async V=>{for await(const q of V)j.emitOne(q)}))})}[Symbol.asyncIterator](){let U=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(U<this._results.length)return{done:!1,value:this._results[U++]};if(this._state===1)return{done:!0,value:void 0};await k.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(U,j){return new Q(async V=>{for await(const q of U)V.emitOne(j(q))})}map(U){return Q.map(this,U)}static filter(U,j){return new Q(async V=>{for await(const q of U)j(q)&&V.emitOne(q)})}filter(U){return Q.filter(this,U)}static coalesce(U){return Q.filter(U,j=>!!j)}coalesce(){return Q.coalesce(this)}static async toPromise(U){const j=[];for await(const V of U)j.push(V);return j}toPromise(){return Q.toPromise(this)}emitOne(U){this._state===0&&(this._results.push(U),this._onStateChanged.fire())}emitMany(U){this._state===0&&(this._results=this._results.concat(U),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(U){this._state===0&&(this._state=2,this._error=U,this._onStateChanged.fire())}}e.AsyncIterableObject=Q,Q.EMPTY=Q.fromArray([]);class G extends Q{constructor(U,j){super(j);this._source=U}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=G;function ee(K){const U=new T.CancellationTokenSource,j=K(U.token);return new G(U,async V=>{const q=U.token.onCancellationRequested(()=>{q.dispose(),U.dispose(),V.reject((0,n.canceled)())});try{for await(const x of j){if(U.token.isCancellationRequested)return;V.emitOne(x)}q.dispose(),U.dispose()}catch(x){q.dispose(),U.dispose(),V.reject(x)}})}e.createCancelableAsyncIterable=ee}),define(ne[109],ie([0,1,5,41,39,10,27]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function R(){return Object.create(null)}e.getEmptyExpression=R,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const C="[/\\\\]",E="[^/\\\\]",P=/\//g;function b(Y){switch(Y){case 0:return"";case 1:return`${E}*?`;default:return`(?:${C}|${E}+${C}|${C}${E}+)*?`}}function f(Y,B){if(!Y)return[];const z=[];let Q=!1,G=!1,ee="";for(const K of Y){switch(K){case B:if(!Q&&!G){z.push(ee),ee="";continue}break;case"{":Q=!0;break;case"}":Q=!1;break;case"[":G=!0;break;case"]":G=!1;break}ee+=K}return ee&&z.push(ee),z}e.splitGlobAware=f;function p(Y){if(!Y)return"";let B="";const z=f(Y,e.GLOB_SPLIT);if(z.every(Q=>Q===e.GLOBSTAR))B=".*";else{let Q=!1;z.forEach((G,ee)=>{if(G===e.GLOBSTAR){Q||(B+=b(2),Q=!0);return}let K=!1,U="",j=!1,V="";for(const q of G){if(q!=="}"&&K){U+=q;continue}if(j&&(q!=="]"||!V)){let x;q==="-"?x=q:(q==="^"||q==="!")&&!V?x="^":q===e.GLOB_SPLIT?x="":x=L.escapeRegExpCharacters(q),V+=x;continue}switch(q){case"{":K=!0;continue;case"[":j=!0;continue;case"}":{B+=`(?:${f(U,",").map(se=>p(se)).join("|")})`,K=!1,U="";break}case"]":B+="["+V+"]",j=!1,V="";break;case"?":B+=E;continue;case"*":B+=b(1);continue;default:B+=L.escapeRegExpCharacters(q)}}ee<z.length-1&&(z[ee+1]!==e.GLOBSTAR||ee+2<z.length)&&(B+=C),Q=!1})}return B}const d=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,S=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,h=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,y=/^\*\*((\/[\w\.-]+)+)\/?$/,g=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,v=new k.LRUCache(1e4),l=function(){return!1},r=function(){return null};function a(Y,B){if(!Y)return r;let z;typeof Y!="string"?z=Y.pattern:z=Y,z=z.trim();const Q=`${z}_${!!B.trimForExclusions}`;let G=v.get(Q);if(G)return i(G,Y);let ee;if(d.test(z)){const K=z.substr(4);G=function(U,j){return typeof U=="string"&&U.endsWith(K)?z:null}}else(ee=w.exec(t(z,B)))?G=s(ee[1],z):(B.trimForExclusions?h:S).test(z)?G=o(z,B):(ee=y.exec(t(z,B)))?G=c(ee[1].substr(1),z,!0):(ee=g.exec(t(z,B)))?G=c(ee[1],z,!1):G=u(z);return v.set(Q,G),i(G,Y)}function i(Y,B){return typeof B=="string"?Y:function(z,Q){return n.isEqualOrParent(z,B.base)?Y(_.relative(B.base,z),Q):null}}function t(Y,B){return B.trimForExclusions&&Y.endsWith("/**")?Y.substr(0,Y.length-2):Y}function s(Y,B){const z=`/${Y}`,Q=`\\${Y}`,G=function(K,U){return typeof K!="string"?null:U?U===Y?B:null:K===Y||K.endsWith(z)||K.endsWith(Q)?B:null},ee=[Y];return G.basenames=ee,G.patterns=[B],G.allBasenames=ee,G}function o(Y,B){const z=H(Y.slice(1,-1).split(",").map(U=>a(U,B)).filter(U=>U!==r),Y),Q=z.length;if(!Q)return r;if(Q===1)return z[0];const G=function(U,j){for(let V=0,q=z.length;V<q;V++)if(z[V](U,j))return Y;return null},ee=z.find(U=>!!U.allBasenames);ee&&(G.allBasenames=ee.allBasenames);const K=z.reduce((U,j)=>j.allPaths?U.concat(j.allPaths):U,[]);return K.length&&(G.allPaths=K),G}function c(Y,B,z){const Q=_.sep===_.posix.sep,G=Q?Y:Y.replace(P,_.sep),ee=_.sep+G,K=_.posix.sep+Y,U=z?function(j,V){return typeof j=="string"&&(j===G||j.endsWith(ee)||!Q&&(j===Y||j.endsWith(K)))?B:null}:function(j,V){return typeof j=="string"&&(j===G||!Q&&j===Y)?B:null};return U.allPaths=[(z?"*/":"./")+Y],U}function u(Y){try{const B=new RegExp(`^${p(Y)}$`);return function(z){return B.lastIndex=0,typeof z=="string"&&B.test(z)?Y:null}}catch{return r}}function m(Y,B,z){return!Y||typeof B!="string"?!1:I(Y)(B,void 0,z)}e.match=m;function I(Y,B={}){if(!Y)return l;if(typeof Y=="string"||$(Y)){const z=a(Y,B);if(z===r)return l;const Q=function(G,ee){return!!z(G,ee)};return z.allBasenames&&(Q.allBasenames=z.allBasenames),z.allPaths&&(Q.allPaths=z.allPaths),Q}return W(Y,B)}e.parse=I;function A(Y){if(!Y)return;let B;return z=>(B||(B=(Y()||Promise.resolve([])).then(Q=>Q?N(Q):{})),B.then(Q=>!!Q[z]))}e.hasSiblingPromiseFn=A;function O(Y){if(!Y)return;let B;return z=>{if(!B){const Q=Y();B=Q?N(Q):{}}return!!B[z]}}e.hasSiblingFn=O;function N(Y){const B={};for(const z of Y)B[z]=!0;return B}function $(Y){const B=Y;return B&&typeof B.base=="string"&&typeof B.pattern=="string"}e.isRelativePattern=$;function D(Y){return Y.allBasenames||[]}e.getBasenameTerms=D;function M(Y){return Y.allPaths||[]}e.getPathTerms=M;function W(Y,B){const z=H(Object.getOwnPropertyNames(Y).map(U=>F(U,Y[U],B)).filter(U=>U!==r)),Q=z.length;if(!Q)return r;if(!z.some(U=>!!U.requiresSiblings)){if(Q===1)return z[0];const U=function(q,x){for(let re=0,se=z.length;re<se;re++){const ce=z[re](q,x);if(ce)return ce}return null},j=z.find(q=>!!q.allBasenames);j&&(U.allBasenames=j.allBasenames);const V=z.reduce((q,x)=>x.allPaths?q.concat(x.allPaths):q,[]);return V.length&&(U.allPaths=V),U}const G=function(U,j,V){let q;for(let x=0,re=z.length;x<re;x++){const se=z[x];se.requiresSiblings&&V&&(j||(j=_.basename(U)),q||(q=j.substr(0,j.length-_.extname(U).length)));const ce=se(U,j,q,V);if(ce)return ce}return null},ee=z.find(U=>!!U.allBasenames);ee&&(G.allBasenames=ee.allBasenames);const K=z.reduce((U,j)=>j.allPaths?U.concat(j.allPaths):U,[]);return K.length&&(G.allPaths=K),G}function F(Y,B,z){if(B===!1)return r;const Q=a(Y,z);if(Q===r)return r;if(typeof B=="boolean")return Q;if(B){const G=B.when;if(typeof G=="string"){const ee=(K,U,j,V)=>{if(!V||!Q(K,U))return null;const q=G.replace("$(basename)",j),x=V(q);return(0,T.isThenable)(x)?x.then(re=>re?Y:null):x?Y:null};return ee.requiresSiblings=!0,ee}}return Q}function H(Y,B){const z=Y.filter(U=>!!U.basenames);if(z.length<2)return Y;const Q=z.reduce((U,j)=>{const V=j.basenames;return V?U.concat(V):U},[]);let G;if(B){G=[];for(let U=0,j=Q.length;U<j;U++)G.push(B)}else G=z.reduce((U,j)=>{const V=j.patterns;return V?U.concat(V):U},[]);const ee=function(U,j){if(typeof U!="string")return null;if(!j){let q;for(q=U.length;q>0;q--){const x=U.charCodeAt(q-1);if(x===47||x===92)break}j=U.substr(q)}const V=Q.indexOf(j);return V!==-1?G[V]:null};ee.basenames=Q,ee.patterns=G,ee.allBasenames=Q;const K=Y.filter(U=>!U.basenames);return K.push(ee),K}}),define(ne[110],ie([0,1,7]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function n(P){return P.toJSON()}class k{constructor(b){this._uriTransformer=b}transformIncoming(b){const f=this._uriTransformer.transformIncoming(b);return f===b?b:n(T.URI.from(f))}transformOutgoing(b){const f=this._uriTransformer.transformOutgoing(b);return f===b?b:n(T.URI.from(f))}transformOutgoingURI(b){const f=this._uriTransformer.transformOutgoing(b);return f===b?b:T.URI.from(f)}transformOutgoingScheme(b){return this._uriTransformer.transformOutgoingScheme(b)}}e.URITransformer=k,e.DefaultURITransformer=new class{transformIncoming(P){return P}transformOutgoing(P){return P}transformOutgoingURI(P){return P}transformOutgoingScheme(P){return P}};function _(P,b,f){if(!P||f>200)return null;if(typeof P=="object"){if(P instanceof T.URI)return b.transformOutgoing(P);for(let p in P)if(Object.hasOwnProperty.call(P,p)){const d=_(P[p],b,f+1);d!==null&&(P[p]=d)}}return null}function L(P,b){const f=_(P,b,0);return f===null?P:f}e.transformOutgoingURIs=L;function R(P,b,f,p){if(!P||p>200)return null;if(typeof P=="object"){if(P.$mid===1)return f?T.URI.revive(b.transformIncoming(P)):b.transformIncoming(P);for(let d in P)if(Object.hasOwnProperty.call(P,d)){const w=R(P[d],b,f,p+1);w!==null&&(P[d]=w)}}return null}function C(P,b){const f=R(P,b,!1,0);return f===null?P:f}e.transformIncomingURIs=C;function E(P,b){const f=R(P,b,!0,0);return f===null?P:f}e.transformAndReviveIncomingURIs=E}),define(ne[29],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const T=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function n(C){return T.test(C)}e.isUUID=n;const k=new Uint8Array(16),_=[];for(let C=0;C<256;C++)_.push(C.toString(16).padStart(2,"0"));let L;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?L=crypto.getRandomValues.bind(crypto):L=function(C){for(let E=0;E<C.length;E++)C[E]=Math.floor(Math.random()*256);return C};function R(){L(k),k[6]=k[6]&15|64,k[8]=k[8]&63|128;let C=0,E="";return E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E+="-",E+=_[k[C++]],E+=_[k[C++]],E+="-",E+=_[k[C++]],E+=_[k[C++]],E+="-",E+=_[k[C++]],E+=_[k[C++]],E+="-",E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E+=_[k[C++]],E}e.generateUuid=R}),define(ne[111],ie([0,1,247]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class n{constructor(_="utf8"){this.stringDecoder=new T.StringDecoder(_),this.remaining=null}write(_){const L=[],R=this.remaining?this.remaining+this.stringDecoder.write(_):this.stringDecoder.write(_);if(R.length<1)return L;let C=0,E,P=C;for(;P<R.length;)if(E=R.charCodeAt(P),E===13||E===10){if(L.push(R.substring(C,P)),P++,P<R.length){const b=E;E=R.charCodeAt(P),(b===13&&E===10||b===10&&E===13)&&P++}C=P}else P++;return this.remaining=C<R.length?R.substr(C):null,L}end(){return this.remaining}}e.LineDecoder=n}),define(ne[112],ie([0,1,32]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const n=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function k(L){const R=L.replace(/\-/g,":").toLowerCase();return!n.has(R)}function _(){const L=(0,T.networkInterfaces)();for(let R in L){const C=L[R];if(C){for(const{mac:E}of C)if(k(E))return E}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=_}),define(ne[113],ie([0,1,32,9,39,29,112]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(P){return this._virtualMachineOUIs||(this._virtualMachineOUIs=k.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(P)}value(){if(this._value===void 0){let P=0,b=0;const f=(0,T.networkInterfaces)();for(let p in f){const d=f[p];if(d)for(const{mac:w,internal:S}of d)S||(b+=1,this._isVirtualMachineMacAddress(w.toUpperCase())&&(P+=1))}this._value=b>0?P/b:0}return this._value}};let R;async function C(){return R||(R=(async()=>await E()||_.generateUuid())()),R}e.getMachineId=C;async function E(){try{const P=await new Promise((f,p)=>{J(["crypto"],f,p)}),b=(0,L.getMac)();return P.createHash("sha256").update(b,"utf8").digest("hex")}catch(P){n.onUnexpectedError(P);return}}}),define(ne[22],ie([0,1,50,32,248,5,41,70,10,4,19,7]),function(J,e,T,n,k,_,L,R,C,E,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var f;(function(M){M[M.UNLINK=0]="UNLINK",M[M.MOVE=1]="MOVE"})(f=e.RimRafMode||(e.RimRafMode={}));async function p(M,W=f.UNLINK){if((0,L.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");return W===f.UNLINK?w(M):d(M)}async function d(M){try{const W=(0,L.randomPath)((0,n.tmpdir)());try{await T.promises.rename(M,W)}catch{return w(M)}w(W).catch(F=>{})}catch(W){if(W.code!=="ENOENT")throw W}}async function w(M){return e.Promises.rmdir(M,{recursive:!0,maxRetries:3})}function S(M){if((0,L.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");T.rmdirSync(M,{recursive:!0})}e.rimrafSync=S;async function h(M,W){return v(await(W?y(M):(0,k.promisify)(T.readdir)(M)))}async function y(M){try{return await(0,k.promisify)(T.readdir)(M,{withFileTypes:!0})}catch(H){console.warn("[node.js fs] readdir with filetypes failed with error: ",H)}const W=[],F=await h(M);for(const H of F){let Y=!1,B=!1,z=!1;try{const Q=await e.Promises.lstat((0,C.join)(M,H));Y=Q.isFile(),B=Q.isDirectory(),z=Q.isSymbolicLink()}catch(Q){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Q)}W.push({name:H,isFile:()=>Y,isDirectory:()=>B,isSymbolicLink:()=>z})}return W}function g(M){return v(T.readdirSync(M))}e.readdirSync=g;function v(M){return M.map(W=>typeof W=="string"?E.isMacintosh?(0,R.normalizeNFC)(W):W:(W.name=E.isMacintosh?(0,R.normalizeNFC)(W.name):W.name,W))}async function l(M){const W=await h(M),F=[];for(const H of W)await a.existsDirectory((0,C.join)(M,H))&&F.push(H);return F}function r(M,W=1e3){return new Promise(F=>{let H=!1;const Y=setInterval(()=>{H||(H=!0,T.access(M,B=>{H=!1,B&&(clearInterval(Y),F(void 0))}))},W)})}e.whenDeleted=r;var a;(function(M){async function W(Y){let B;try{if(B=await e.Promises.lstat(Y),!B.isSymbolicLink())return{stat:B}}catch{}try{return{stat:await e.Promises.stat(Y),symbolicLink:B?.isSymbolicLink()?{dangling:!1}:void 0}}catch(z){if(z.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};if(E.isWindows&&z.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(Y)),symbolicLink:{dangling:!1}}}catch(Q){if(Q.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};throw Q}throw z}}M.stat=W;async function F(Y){try{const{stat:B,symbolicLink:z}=await M.stat(Y);return B.isFile()&&z?.dangling!==!0}catch{}return!1}M.existsFile=F;async function H(Y){try{const{stat:B,symbolicLink:z}=await M.stat(Y);return B.isDirectory()&&z?.dangling!==!0}catch{}return!1}M.existsDirectory=H})(a=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new _.ResourceQueue;function t(M,W,F){return i.queueFor(b.URI.file(M),P.extUriBiasedIgnorePathCase).queue(()=>{const H=u(F);return new Promise((Y,B)=>o(M,W,H,z=>z?B(z):Y()))})}let s=!0;function o(M,W,F,H){if(!s)return T.writeFile(M,W,{mode:F.mode,flag:F.flag},H);T.open(M,F.flag,F.mode,(Y,B)=>{if(Y)return H(Y);T.writeFile(B,W,z=>{if(z)return T.close(B,()=>H(z));T.fdatasync(B,Q=>(Q&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Q),s=!1),T.close(B,G=>H(G))))})})}function c(M,W,F){const H=u(F);if(!s)return T.writeFileSync(M,W,{mode:H.mode,flag:H.flag});const Y=T.openSync(M,H.flag,H.mode);try{T.writeFileSync(Y,W);try{T.fdatasyncSync(Y)}catch(B){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",B),s=!1}}finally{T.closeSync(Y)}}e.writeFileSync=c;function u(M){return M?{mode:typeof M.mode=="number"?M.mode:438,flag:typeof M.flag=="string"?M.flag:"w"}:{mode:438,flag:"w"}}async function m(M,W){if(M===W)return;async function F(H){try{const Y=await e.Promises.lstat(H);if(Y.isDirectory()||Y.isSymbolicLink())return;await e.Promises.utimes(H,Y.atime,new Date)}catch{}}try{await e.Promises.rename(M,W),await F(W)}catch(H){if(M.toLowerCase()!==W.toLowerCase()&&H.code==="EXDEV"||M.endsWith("."))await I(M,W,{preserveSymlinks:!1}),await p(M,f.MOVE),await F(W);else throw H}}async function I(M,W,F){return O(M,W,{root:{source:M,target:W},options:F,handledSourcePaths:new Set})}const A=511;async function O(M,W,F){if(F.handledSourcePaths.has(M))return;F.handledSourcePaths.add(M);const{stat:H,symbolicLink:Y}=await a.stat(M);if(Y){if(F.options.preserveSymlinks)try{return await D(M,W,F)}catch(B){console.warn("[node.js fs] copy of symlink failed: ",B)}if(Y.dangling)return}return H.isDirectory()?N(M,W,H.mode&A,F):$(M,W,H.mode&A)}async function N(M,W,F,H){await e.Promises.mkdir(W,{recursive:!0,mode:F});const Y=await h(M);for(const B of Y)await O((0,C.join)(M,B),(0,C.join)(W,B),H)}async function $(M,W,F){await e.Promises.copyFile(M,W),await e.Promises.chmod(W,F)}async function D(M,W,F){let H=await e.Promises.readlink(M);(0,L.isEqualOrParent)(H,F.root.source,!E.isLinux)&&(H=(0,C.join)(F.root.target,H.substr(F.root.source.length+1))),await e.Promises.symlink(H,W)}e.Promises=new class{get access(){return(0,k.promisify)(T.access)}get stat(){return(0,k.promisify)(T.stat)}get lstat(){return(0,k.promisify)(T.lstat)}get utimes(){return(0,k.promisify)(T.utimes)}get read(){return(0,k.promisify)(T.read)}get readFile(){return(0,k.promisify)(T.readFile)}get write(){return(0,k.promisify)(T.write)}get appendFile(){return(0,k.promisify)(T.appendFile)}get fdatasync(){return(0,k.promisify)(T.fdatasync)}get truncate(){return(0,k.promisify)(T.truncate)}get rename(){return(0,k.promisify)(T.rename)}get copyFile(){return(0,k.promisify)(T.copyFile)}get open(){return(0,k.promisify)(T.open)}get close(){return(0,k.promisify)(T.close)}get symlink(){return(0,k.promisify)(T.symlink)}get readlink(){return(0,k.promisify)(T.readlink)}get chmod(){return(0,k.promisify)(T.chmod)}get mkdir(){return(0,k.promisify)(T.mkdir)}get unlink(){return(0,k.promisify)(T.unlink)}get rmdir(){return(0,k.promisify)(T.rmdir)}get realpath(){return(0,k.promisify)(T.realpath)}async exists(M){try{return await e.Promises.access(M),!0}catch{return!1}}get readdir(){return h}get readDirsInDir(){return l}get writeFile(){return t}get rm(){return p}get move(){return m}get copy(){return I}}}),define(ne[114],ie([0,1,50,10,4,27,22]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function R(f){if(k.isLinux)return f;const p=(0,n.dirname)(f);if(f===p)return f;const d=((0,n.basename)(f)||f).toLowerCase();try{const S=(0,L.readdirSync)(p).filter(h=>h.toLowerCase()===d);if(S.length===1){const h=R(p);if(h)return(0,n.join)(h,S[0])}else if(S.length>1){const h=S.indexOf(d);if(h>=0){const y=R(p);if(y)return(0,n.join)(y,S[h])}}}catch{}return null}e.realcaseSync=R;async function C(f){if(k.isLinux)return f;const p=(0,n.dirname)(f);if(f===p)return f;const d=((0,n.basename)(f)||f).toLowerCase();try{const S=(await L.Promises.readdir(p)).filter(h=>h.toLowerCase()===d);if(S.length===1){const h=await C(p);if(h)return(0,n.join)(h,S[0])}else if(S.length>1){const h=S.indexOf(d);if(h>=0){const y=await C(p);if(y)return(0,n.join)(y,S[h])}}}catch{}return null}e.realcase=C;async function E(f){try{return await L.Promises.realpath(f)}catch{const d=b(f);return await L.Promises.access(d,T.constants.R_OK),d}}e.realpath=E;function P(f){try{return T.realpathSync(f)}catch{const d=b(f);return T.accessSync(d,T.constants.R_OK),d}}e.realpathSync=P;function b(f){return(0,_.rtrim)((0,n.normalize)(f),n.sep)}}),define(ne[115],ie([0,1,55]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function n(R,C,E,P=1){let b=!1;return new Promise(f=>{const p=setTimeout(()=>{if(!b)return b=!0,f(0)},E);k(R,C,P,d=>{if(!b)return b=!0,clearTimeout(p),f(d)})})}e.findFreePort=n;function k(R,C,E,P){if(C===0)return P(0);const b=new T.Socket;b.once("connect",()=>(L(b),k(R+E,C-1,E,P))),b.once("data",()=>{}),b.once("error",f=>(L(b),f.code!=="ECONNREFUSED"?k(R+E,C-1,E,P):P(R))),b.connect(R,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function _(R,C,E){let P=!1,b,f=1;const p=T.createServer({pauseOnConnect:!0});function d(w,S){P||(P=!0,p.removeAllListeners(),p.close(),b&&clearTimeout(b),S(w))}return new Promise(w=>{b=setTimeout(()=>{d(0,w)},E),p.on("listening",()=>{d(R,w)}),p.on("error",S=>{S&&(S.code==="EADDRINUSE"||S.code==="EACCES")&&f<C?(R++,f++,p.listen(R,"127.0.0.1")):d(0,w)}),p.on("close",()=>{d(0,w)}),p.listen(R,"127.0.0.1")})}e.findFreePortFaster=_;function L(R){try{R.removeAllListeners("connect"),R.removeAllListeners("error"),R.end(),R.destroy(),R.unref()}catch(C){console.error(C)}}}),define(ne[71],ie([0,1,32,10,22]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const _=/^\d+$/,L=/^Microsoft.PowerShell_.*/,R=/^Microsoft.PowerShellPreview_.*/;var C;(function(v){v[v.x64=0]="x64",v[v.x86=1]="x86",v[v.ARM=2]="ARM"})(C||(C={}));let E;switch(process.arch){case"ia32":case"x32":E=1;break;case"arm":case"arm64":E=2;break;default:E=0;break}let P;process.env.PROCESSOR_ARCHITEW6432?P=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?P=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?P=1:P=0;class b{constructor(l,r,a){this.exePath=l,this.displayName=r,this.knownToExist=a}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await k.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function f({useAlternateBitness:v=!1}={}){return v?E===0?process.env["ProgramFiles(x86)"]||null:P===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function p({useAlternateBitness:v=!1,findPreview:l=!1}={}){const r=f({useAlternateBitness:v});if(!r)return null;const a=n.join(r,"PowerShell");if(!await k.SymlinkSupport.existsDirectory(a))return null;let i=-1,t=null;for(const c of await k.Promises.readdir(a)){let u=-1;if(l){const I=c.indexOf("-");if(I<0)continue;const A=c.substring(0,I);if(!_.test(A)||c.substring(I+1)!=="preview")continue;u=parseInt(A,10)}else{if(!_.test(c))continue;u=parseInt(c,10)}if(u<=i)continue;const m=n.join(a,c,"pwsh.exe");!await k.SymlinkSupport.existsFile(m)||(t=m,i=u)}if(!t)return null;const s=r.includes("x86")?" (x86)":"",o=l?" Preview":"";return new b(t,`PowerShell${o}${s}`,!0)}async function d({findPreview:v}={}){if(!process.env.LOCALAPPDATA)return null;const l=n.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await k.SymlinkSupport.existsDirectory(l))return null;const{pwshMsixDirRegex:r,pwshMsixName:a}=v?{pwshMsixDirRegex:R,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:L,pwshMsixName:"PowerShell (Store)"};for(const i of await k.Promises.readdir(l))if(r.test(i)){const t=n.join(l,i,"pwsh.exe");return new b(t,a)}return null}function w(){const v=n.join(T.homedir(),".dotnet","tools","pwsh.exe");return new b(v,".NET Core PowerShell Global Tool")}function S(){const v=n.join(process.env.windir,E===1&&P!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(v,"Windows PowerShell",!0)}async function*h(){let v=await p();v&&(yield v),v=await p({useAlternateBitness:!0}),v&&(yield v),v=await d(),v&&(yield v),v=w(),v&&(yield v),v=await p({findPreview:!0}),v&&(yield v),v=await d({findPreview:!0}),v&&(yield v),v=await p({useAlternateBitness:!0,findPreview:!0}),v&&(yield v),v=S(),v&&(yield v)}async function*y(){for await(const v of h())await v.exists()&&(yield v)}e.enumeratePowerShellInstallations=y;async function g(){for await(const v of y())return v;return null}e.getFirstAvailablePowerShellInstallation=g}),define(ne[116],ie([0,1,45,18]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function k(L){return new Promise((R,C)=>{let E;const P=new Map;function b(p,d,w,S,h){const y=P.get(d);if(p===L||y){const g={name:f(w),cmd:w,pid:p,ppid:d,load:S,mem:h};P.set(p,g),p===L&&(E=g),y&&(y.children||(y.children=[]),y.children.push(g),y.children.length>1&&(y.children=y.children.sort((v,l)=>v.pid-l.pid)))}}function f(p){const d=/--vscode-window-kind=shared-process/,w=/--vscode-window-kind=issue-reporter/,S=/--vscode-window-kind=process-explorer/,h=/--utility-sub-type=network/,y=/--crashes-directory/,g=/\\pipe\\winpty-control/,v=/conhost\.exe/,l=/--type=([a-zA-Z-]+)/;if(y.exec(p))return"electron-crash-reporter";if(g.exec(p))return"winpty-process";if(v.exec(p))return"console-window-host (Windows internal process)";let r=l.exec(p);if(r&&r.length===2)return r[1]==="renderer"?d.exec(p)?"shared-process":w.exec(p)?"issue-reporter":S.exec(p)?"process-explorer":"window":r[1]==="utility"&&h.exec(p)?"utility-network-service":r[1];const a=/[a-zA-Z-]+\.js/g;let i="";do r=a.exec(p),r&&(i+=r+" ");while(r);return i&&p.indexOf("node ")<0&&p.indexOf("node.exe")<0?`electron_node ${i}`:p}if(process.platform==="win32"){const p=d=>d.indexOf("\\\\?\\")===0||d.indexOf("\\??\\")===0?d.substr(4):d.indexOf('"\\\\?\\')===0||d.indexOf('"\\??\\')===0?'"'+d.substr(5):d;new Promise((d,w)=>{J(["windows-process-tree"],d,w)}).then(d=>{d.getProcessList(L,w=>{d.getProcessCpuUsage(w,S=>{const h=new Map;S.forEach(y=>{const g=p(y.commandLine||"");h.set(y.pid,{name:f(g),cmd:g,pid:y.pid,ppid:y.ppid,load:y.cpu||0,mem:y.memory||0})}),E=h.get(L),E?(h.forEach(y=>{const g=h.get(y.ppid);g&&(g.children||(g.children=[]),g.children.push(y))}),h.forEach(y=>{y.children&&(y.children=y.children.sort((g,v)=>g.pid-v.pid))}),R(E)):C(new Error(`Root process ${L} not found`))})},d.ProcessDataFlag.CommandLine|d.ProcessDataFlag.Memory)})}else{let p=function(){let d=[E];const w=[];for(;d.length;){const h=d.shift();h&&(w.push(h.pid),h.children&&(d=d.concat(h.children)))}let S=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",J).fsPath);S+=" "+w.join(" "),(0,T.exec)(S,{},(h,y,g)=>{if(h||g)C(h||new Error(g.toString()));else{const v=y.toString().split(`
`);for(let l=0;l<w.length;l++){const r=P.get(w[l]);r.load=parseFloat(v[l])}if(!E){C(new Error(`Root process ${L} not found`));return}R(E)}})};(0,T.exec)("which ps",{},(d,w,S)=>{if(d||S)if(process.platform!=="linux")C(d||new Error(S.toString()));else{const h=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/ps.sh",J).fsPath);(0,T.exec)(h,{},(y,g,v)=>{y||v?C(y||new Error(v.toString())):(_(g,b),p())})}else{const h=w.toString().trim(),y="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,T.exec)(`${h} ${y}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(g,v,l)=>{g||l&&!l.includes("screen size is bogus")?C(g||new Error(l.toString())):(_(v,b),process.platform==="linux"?p():E?R(E):C(new Error(`Root process ${L} not found`)))})}})}})}e.listProcesses=k;function _(L,R){const C=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,E=L.toString().split(`
`);for(const P of E){const b=C.exec(P.trim());b&&b.length===6&&R(parseInt(b[1]),parseInt(b[2]),b[5],parseFloat(b[3]),parseFloat(b[4]))}}});var de=this&&this.__decorate||function(J,e,T,n){var k=arguments.length,_=k<3?e:n===null?n=Object.getOwnPropertyDescriptor(e,T):n,L;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")_=Reflect.decorate(J,e,T,n);else for(var R=J.length-1;R>=0;R--)(L=J[R])&&(_=(k<3?L(_):k>3?L(e,T,_):L(e,T))||_);return k>3&&_&&Object.defineProperty(e,T,_),_};define(ne[36],ie([0,1,16,5,17,25,53,9,3,2,108,27,15]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var p;(function(B){B[B.Promise=100]="Promise",B[B.PromiseCancel=101]="PromiseCancel",B[B.EventListen=102]="EventListen",B[B.EventDispose=103]="EventDispose"})(p=e.RequestType||(e.RequestType={}));function d(B){switch(B){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var w;(function(B){B[B.Initialize=200]="Initialize",B[B.PromiseSuccess=201]="PromiseSuccess",B[B.PromiseError=202]="PromiseError",B[B.PromiseErrorObj=203]="PromiseErrorObj",B[B.EventFire=204]="EventFire"})(w=e.ResponseType||(e.ResponseType={}));function S(B){switch(B){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var h;(function(B){B[B.Uninitialized=0]="Uninitialized",B[B.Idle=1]="Idle"})(h||(h={}));class y{constructor(z){this.buffer=z,this.pos=0}read(z){const Q=this.buffer.slice(this.pos,this.pos+z);return this.pos+=Q.byteLength,Q}}class g{constructor(){this.buffers=[]}get buffer(){return k.VSBuffer.concat(this.buffers)}write(z){this.buffers.push(z)}}var v;(function(B){B[B.Undefined=0]="Undefined",B[B.String=1]="String",B[B.Buffer=2]="Buffer",B[B.VSBuffer=3]="VSBuffer",B[B.Array=4]="Array",B[B.Object=5]="Object"})(v||(v={}));function l(B){const z=k.VSBuffer.alloc(4);return z.writeUInt32BE(B,0),z}function r(B){return B.read(4).readUInt32BE(0)}function a(B){const z=k.VSBuffer.alloc(1);return z.writeUInt8(B,0),z}const i={Undefined:a(v.Undefined),String:a(v.String),Buffer:a(v.Buffer),VSBuffer:a(v.VSBuffer),Array:a(v.Array),Object:a(v.Object)},t=typeof Buffer!="undefined";function s(B,z){if(typeof z=="undefined")B.write(i.Undefined);else if(typeof z=="string"){const Q=k.VSBuffer.fromString(z);B.write(i.String),B.write(l(Q.byteLength)),B.write(Q)}else if(t&&Buffer.isBuffer(z)){const Q=k.VSBuffer.wrap(z);B.write(i.Buffer),B.write(l(Q.byteLength)),B.write(Q)}else if(z instanceof k.VSBuffer)B.write(i.VSBuffer),B.write(l(z.byteLength)),B.write(z);else if(Array.isArray(z)){B.write(i.Array),B.write(l(z.length));for(const Q of z)s(B,Q)}else{const Q=k.VSBuffer.fromString(JSON.stringify(z));B.write(i.Object),B.write(l(Q.byteLength)),B.write(Q)}}function o(B){switch(B.read(1).readUInt8(0)){case v.Undefined:return;case v.String:return B.read(r(B)).toString();case v.Buffer:return B.read(r(B)).buffer;case v.VSBuffer:return B.read(r(B));case v.Array:{const Q=r(B),G=[];for(let ee=0;ee<Q;ee++)G.push(o(B));return G}case v.Object:return JSON.parse(B.read(r(B)).toString())}}class c{constructor(z,Q,G=null,ee=1e3){this.protocol=z,this.ctx=Q,this.logger=G,this.timeoutDelay=ee,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(K=>this.onRawMessage(K)),this.sendResponse({type:200})}registerChannel(z,Q){this.channels.set(z,Q),setTimeout(()=>this.flushPendingRequests(z),0)}sendResponse(z){switch(z.type){case 200:{const Q=this.send([z.type]);this.logger&&this.logger.logOutgoing(Q,0,1,S(z.type));return}case 201:case 202:case 204:case 203:{const Q=this.send([z.type,z.id],z.data);this.logger&&this.logger.logOutgoing(Q,z.id,1,S(z.type),z.data);return}}}send(z,Q=void 0){const G=new g;return s(G,z),s(G,Q),this.sendBuffer(G.buffer)}sendBuffer(z){try{return this.protocol.send(z),z.byteLength}catch{return 0}}onRawMessage(z){const Q=new y(z),G=o(Q),ee=o(Q),K=G[0];switch(K){case 100:return this.logger&&this.logger.logIncoming(z.byteLength,G[1],1,`${d(K)}: ${G[2]}.${G[3]}`,ee),this.onPromise({type:K,id:G[1],channelName:G[2],name:G[3],arg:ee});case 102:return this.logger&&this.logger.logIncoming(z.byteLength,G[1],1,`${d(K)}: ${G[2]}.${G[3]}`,ee),this.onEventListen({type:K,id:G[1],channelName:G[2],name:G[3],arg:ee});case 101:return this.logger&&this.logger.logIncoming(z.byteLength,G[1],1,`${d(K)}`),this.disposeActiveRequest({type:K,id:G[1]});case 103:return this.logger&&this.logger.logIncoming(z.byteLength,G[1],1,`${d(K)}`),this.disposeActiveRequest({type:K,id:G[1]})}}onPromise(z){const Q=this.channels.get(z.channelName);if(!Q){this.collectPendingRequest(z);return}const G=new _.CancellationTokenSource;let ee;try{ee=Q.call(this.ctx,z.name,z.arg,G.token)}catch(j){ee=Promise.reject(j)}const K=z.id;ee.then(j=>{this.sendResponse({id:K,data:j,type:201}),this.activeRequests.delete(z.id)},j=>{j instanceof Error?this.sendResponse({id:K,data:{message:j.message,name:j.name,stack:j.stack?j.stack.split?j.stack.split(`
`):j.stack:void 0},type:202}):this.sendResponse({id:K,data:j,type:203}),this.activeRequests.delete(z.id)});const U=(0,E.toDisposable)(()=>G.cancel());this.activeRequests.set(z.id,U)}onEventListen(z){const Q=this.channels.get(z.channelName);if(!Q){this.collectPendingRequest(z);return}const G=z.id,K=Q.listen(this.ctx,z.name,z.arg)(U=>this.sendResponse({id:G,data:U,type:204}));this.activeRequests.set(z.id,K)}disposeActiveRequest(z){const Q=this.activeRequests.get(z.id);Q&&(Q.dispose(),this.activeRequests.delete(z.id))}collectPendingRequest(z){let Q=this.pendingRequests.get(z.channelName);Q||(Q=[],this.pendingRequests.set(z.channelName,Q));const G=setTimeout(()=>{console.error(`Unknown channel: ${z.channelName}`),z.type===100&&this.sendResponse({id:z.id,data:{name:"Unknown channel",message:`Channel name '${z.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);Q.push({request:z,timeoutTimer:G})}flushPendingRequests(z){const Q=this.pendingRequests.get(z);if(Q){for(const G of Q)switch(clearTimeout(G.timeoutTimer),G.request.type){case 100:this.onPromise(G.request);break;case 102:this.onEventListen(G.request);break}this.pendingRequests.delete(z)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(z=>z.dispose()),this.activeRequests.clear()}}e.ChannelServer=c;var u;(function(B){B[B.LocalSide=0]="LocalSide",B[B.OtherSide=1]="OtherSide"})(u=e.RequestInitiator||(e.RequestInitiator={}));class m{constructor(z,Q=null){this.protocol=z,this.isDisposed=!1,this.state=h.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new C.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(G=>this.onBuffer(G)),this.logger=Q}getChannel(z){const Q=this;return{call(G,ee,K){return Q.isDisposed?Promise.reject(R.canceled()):Q.requestPromise(z,G,ee,K)},listen(G,ee){return Q.isDisposed?Promise.reject(R.canceled()):Q.requestEvent(z,G,ee)}}}requestPromise(z,Q,G,ee=_.CancellationToken.None){const K=this.lastRequestId++,j={id:K,type:100,channelName:z,name:Q,arg:G};if(ee.isCancellationRequested)return Promise.reject(R.canceled());let V;return new Promise((x,re)=>{if(ee.isCancellationRequested)return re(R.canceled());const se=()=>{const ge=ye=>{switch(ye.type){case 201:this.handlers.delete(K),x(ye.data);break;case 202:{this.handlers.delete(K);const pe=new Error(ye.data.message);pe.stack=ye.data.stack,pe.name=ye.data.name,re(pe);break}case 203:this.handlers.delete(K),re(ye.data);break}};this.handlers.set(K,ge),this.sendRequest(j)};let ce=null;this.state===h.Idle?se():(ce=(0,n.createCancelablePromise)(ge=>this.whenInitialized()),ce.then(()=>{ce=null,se()}));const he=()=>{ce?(ce.cancel(),ce=null):this.sendRequest({id:K,type:101}),re(R.canceled())},Se=ee.onCancellationRequested(he);V=(0,E.combinedDisposable)((0,E.toDisposable)(he),Se),this.activeRequests.add(V)}).finally(()=>{this.activeRequests.delete(V)})}requestEvent(z,Q,G){const ee=this.lastRequestId++,U={id:ee,type:102,channelName:z,name:Q,arg:G};let j=null;const V=new C.Emitter({onFirstListenerAdd:()=>{j=(0,n.createCancelablePromise)(x=>this.whenInitialized()),j.then(()=>{j=null,this.activeRequests.add(V),this.sendRequest(U)})},onLastListenerRemove:()=>{j?(j.cancel(),j=null):(this.activeRequests.delete(V),this.sendRequest({id:ee,type:103}))}}),q=x=>V.fire(x.data);return this.handlers.set(ee,q),V.event}sendRequest(z){switch(z.type){case 100:case 102:{const Q=this.send([z.type,z.id,z.channelName,z.name],z.arg);this.logger&&this.logger.logOutgoing(Q,z.id,0,`${d(z.type)}: ${z.channelName}.${z.name}`,z.arg);return}case 101:case 103:{const Q=this.send([z.type,z.id]);this.logger&&this.logger.logOutgoing(Q,z.id,0,d(z.type));return}}}send(z,Q=void 0){const G=new g;return s(G,z),s(G,Q),this.sendBuffer(G.buffer)}sendBuffer(z){try{return this.protocol.send(z),z.byteLength}catch{return 0}}onBuffer(z){const Q=new y(z),G=o(Q),ee=o(Q),K=G[0];switch(K){case 200:return this.logger&&this.logger.logIncoming(z.byteLength,0,0,S(K)),this.onResponse({type:G[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(z.byteLength,G[1],0,S(K),ee),this.onResponse({type:G[0],id:G[1],data:ee})}}onResponse(z){if(z.type===200){this.state=h.Idle,this._onDidInitialize.fire();return}const Q=this.handlers.get(z.id);Q&&Q(z)}get onDidInitializePromise(){return C.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===h.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(z=>z.dispose()),this.activeRequests.clear()}}de([L.memoize],m.prototype,"onDidInitializePromise",null),e.ChannelClient=m;class I{constructor(z){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new C.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new C.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,z(({protocol:Q,onDidClientDisconnect:G})=>{C.Event.once(Q.onMessage)(K=>{const U=new y(K),j=o(U),V=new c(Q,j),q=new m(Q);this.channels.forEach((re,se)=>V.registerChannel(se,re));const x={channelServer:V,channelClient:q,ctx:j};this._connections.add(x),this._onDidAddConnection.fire(x),G(()=>{V.dispose(),q.dispose(),this._connections.delete(x),this._onDidRemoveConnection.fire(x)})})})}get connections(){const z=[];return this._connections.forEach(Q=>z.push(Q)),z}getChannel(z,Q){const G=this;return{call(ee,K,U){let j;if((0,f.isFunction)(Q)){let q=(0,T.getRandomElement)(G.connections.filter(Q));j=q?Promise.resolve(q):C.Event.toPromise(C.Event.filter(G.onDidAddConnection,Q))}else j=Q.routeCall(G,ee,K);const V=j.then(q=>q.channelClient.getChannel(z));return O(V).call(ee,K,U)},listen(ee,K){if((0,f.isFunction)(Q))return G.getMulticastEvent(z,Q,ee,K);const U=Q.routeEvent(G,ee,K).then(j=>j.channelClient.getChannel(z));return O(U).listen(ee,K)}}}getMulticastEvent(z,Q,G,ee){const K=this;let U=new E.DisposableStore;const j=new C.Emitter({onFirstListenerAdd:()=>{U=new E.DisposableStore;const V=new C.EventMultiplexer,q=new Map,x=se=>{const he=se.channelClient.getChannel(z).listen(G,ee),Se=V.add(he);q.set(se,Se)},re=se=>{const ce=q.get(se);!ce||(ce.dispose(),q.delete(se))};K.connections.filter(Q).forEach(x),C.Event.filter(K.onDidAddConnection,Q)(x,void 0,U),K.onDidRemoveConnection(re,void 0,U),V.event(j.fire,j,U),U.add(V)},onLastListenerRemove:()=>{U.dispose()}});return j.event}registerChannel(z,Q){this.channels.set(z,Q),this._connections.forEach(G=>{G.channelServer.registerChannel(z,Q)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=I;class A{constructor(z,Q,G=null){const ee=new g;s(ee,Q),z.send(ee.buffer),this.channelClient=new m(z,G),this.channelServer=new c(z,Q,G)}getChannel(z){return this.channelClient.getChannel(z)}registerChannel(z,Q){this.channelServer.registerChannel(z,Q)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=A;function O(B){return{call(z,Q,G){return B.then(ee=>ee.call(z,Q,G))},listen(z,Q){const G=new C.Relay;return B.then(ee=>G.input=ee.listen(z,Q)),G.event}}}e.getDelayedChannel=O;function N(B){let z=!1;return{call(Q,G,ee){return z?B.call(Q,G,ee):(0,n.timeout)(0).then(()=>z=!0).then(()=>B.call(Q,G,ee))},listen(Q,G){if(z)return B.listen(Q,G);const ee=new C.Relay;return(0,n.timeout)(0).then(()=>z=!0).then(()=>ee.input=B.listen(Q,G)),ee.event}}}e.getNextTickChannel=N;class ${constructor(z){this.fn=z}routeCall(z){return this.route(z)}routeEvent(z){return this.route(z)}async route(z){for(const Q of z.connections)if(await Promise.resolve(this.fn(Q.ctx)))return Promise.resolve(Q);return await C.Event.toPromise(z.onDidAddConnection),await this.route(z)}}e.StaticRouter=$;var D;(function(B){function z(K,U){const j=K,V=U&&U.disableMarshalling,q=new Map;for(const x in j)G(x)&&q.set(x,C.Event.buffer(j[x],!0));return new class{listen(x,re,se){const ce=q.get(re);if(ce)return ce;if(ee(re)){const he=j[re];if(typeof he=="function")return he.call(j,se)}throw new Error(`Event not found: ${re}`)}call(x,re,se){const ce=j[re];if(typeof ce=="function"){if(!V&&Array.isArray(se))for(let he=0;he<se.length;he++)se[he]=(0,P.revive)(se[he]);return ce.apply(j,se)}throw new Error(`Method not found: ${re}`)}}}B.fromService=z;function Q(K,U){const j=U&&U.disableMarshalling;return new Proxy({},{get(V,q){if(typeof q=="string")return U?.properties?.has(q)?U.properties.get(q):ee(q)?function(x){return K.listen(q,x)}:G(q)?K.listen(q):async function(...x){let re;U&&!(0,f.isUndefinedOrNull)(U.context)?re=[U.context,...x]:re=x;const se=await K.call(q,re);return j?se:(0,P.revive)(se)};throw new Error(`Property not found: ${String(q)}`)}})}B.toService=Q;function G(K){return K[0]==="o"&&K[1]==="n"&&b.isUpperAsciiLetter(K.charCodeAt(2))}function ee(K){return/^onDynamic/.test(K)&&b.isUpperAsciiLetter(K.charCodeAt(9))}})(D=e.ProxyChannel||(e.ProxyChannel={}));const M=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function W(B){if(Array.isArray(B))return B;if(B&&typeof B=="object"&&typeof B.toString=="function"){let z=B.toString();if(z!=="[object Object]")return z}return B}function F(B){return Array.isArray(B)?B.map(W):W(B)}function H(B,z,Q,G,ee,K,U){U=F(U);const j=M[ee],V=j[G%j.length];let q=[`%c[${B}]%c[${String(z).padStart(7," ")}]%c[len: ${String(Q).padStart(5," ")}]%c${String(G).padStart(5," ")} - ${K}`,"color: darkgreen","color: grey","color: grey",`color: ${V}`];/\($/.test(K)?(q=q.concat(U),q.push(")")):q.push(U),console.log.apply(console,q)}e.logWithColors=H;class Y{constructor(z,Q){this._outgoingPrefix=z,this._incomingPrefix=Q,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(z,Q,G,ee,K){this._totalOutgoing+=z,H(this._outgoingPrefix,this._totalOutgoing,z,Q,G,ee,K)}logIncoming(z,Q,G,ee,K){this._totalIncoming+=z,H(this._incomingPrefix,this._totalIncoming,z,Q,G,ee,K)}}e.IPCLogger=Y}),define(ne[117],ie([0,1,17,3,36]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class _{constructor(C){this.port=C,this.onMessage=n.Event.fromDOMEventEmitter(this.port,"message",E=>T.VSBuffer.wrap(E.data)),C.start()}send(C){this.port.postMessage(C.buffer)}disconnect(){this.port.close()}}e.Protocol=_;class L extends k.IPCClient{constructor(C,E){const P=new _(C);super(P,E);this.protocol=P}dispose(){this.protocol.disconnect()}}e.Client=L}),define(ne[72],ie([0,1,17,3,2,36]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var L;(function(t){t.Created="created",t.Read="read",t.Write="write",t.Open="open",t.Error="error",t.Close="close",t.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",t.NodeEndReceived="nodeEndReceived",t.NodeEndSent="nodeEndSent",t.NodeDrainBegin="nodeDrainBegin",t.NodeDrainEnd="nodeDrainEnd",t.zlibInflateError="zlibInflateError",t.zlibInflateData="zlibInflateData",t.zlibInflateInitialWrite="zlibInflateInitialWrite",t.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",t.zlibInflateWrite="zlibInflateWrite",t.zlibInflateFlushFired="zlibInflateFlushFired",t.zlibDeflateError="zlibDeflateError",t.zlibDeflateData="zlibDeflateData",t.zlibDeflateWrite="zlibDeflateWrite",t.zlibDeflateFlushFired="zlibDeflateFlushFired",t.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",t.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",t.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",t.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",t.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",t.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",t.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",t.ProtocolHeaderRead="protocolHeaderRead",t.ProtocolMessageRead="protocolMessageRead",t.ProtocolHeaderWrite="protocolHeaderWrite",t.ProtocolMessageWrite="protocolMessageWrite",t.ProtocolWrite="protocolWrite"})(L=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var R;(function(t){t.enableDiagnostics=!1,t.records=[];const s=new WeakMap;let o=0;function c(m,I){if(!s.has(m)){const A=String(++o);s.set(m,A)}return s.get(m)}function u(m,I,A,O){if(!t.enableDiagnostics)return;const N=c(m,I);if(O instanceof T.VSBuffer||O instanceof Uint8Array||O instanceof ArrayBuffer||ArrayBuffer.isView(O)){const $=T.VSBuffer.alloc(O.byteLength);$.set(O),t.records.push({timestamp:Date.now(),id:N,label:I,type:A,buff:$})}else t.records.push({timestamp:Date.now(),id:N,label:I,type:A,data:O})}t.traceSocketEvent=u})(R=e.SocketDiagnostics||(e.SocketDiagnostics={}));var C;(function(t){t[t.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",t[t.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(C=e.SocketCloseEventType||(e.SocketCloseEventType={}));let E=null;function P(){return E||(E=T.VSBuffer.alloc(0)),E}class b{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,o){if(s===0)return P();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const I=this._chunks[0];return o&&(this._chunks.shift(),this._totalLength-=s),I}if(this._chunks[0].byteLength>s){const I=this._chunks[0].slice(0,s);return o&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),I}let c=T.VSBuffer.alloc(s),u=0,m=0;for(;s>0;){const I=this._chunks[m];if(I.byteLength>s){const A=I.slice(0,s);c.set(A,u),u+=s,o&&(this._chunks[m]=I.slice(s),this._totalLength-=s),s-=s}else c.set(I,u),u+=I.byteLength,o?(this._chunks.shift(),this._totalLength-=I.byteLength):m++,s-=I.byteLength}return c}}e.ChunkStream=b;var f;(function(t){t[t.None=0]="None",t[t.Regular=1]="Regular",t[t.Control=2]="Control",t[t.Ack=3]="Ack",t[t.Disconnect=5]="Disconnect",t[t.ReplayRequest=6]="ReplayRequest",t[t.Pause=7]="Pause",t[t.Resume=8]="Resume"})(f||(f={}));function p(t){switch(t){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var d;(function(t){t[t.HeaderLength=13]="HeaderLength",t[t.AcknowledgeTime=2e3]="AcknowledgeTime",t[t.TimeoutTime=2e4]="TimeoutTime",t[t.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",t[t.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(d=e.ProtocolConstants||(e.ProtocolConstants={}));class w{constructor(s,o,c,u){this.type=s,this.id=o,this.ack=c,this.data=u,this.writtenTime=0}get size(){return this.data.byteLength}}class S extends k.Disposable{constructor(s){super();this._onMessage=this._register(new n.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new b,this._register(this._socket.onData(o=>this.acceptChunk(o))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const o=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=o.readUInt32BE(9),this._state.messageType=o.readUInt8(0),this._state.id=o.readUInt32BE(1),this._state.ack=o.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:p(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const c=this._state.messageType,u=this._state.id,m=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",o),this._onMessage.fire(new w(c,u,m,o)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class h{constructor(s){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(s){if(this._isDisposed)return;s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const o=T.VSBuffer.alloc(13);o.writeUInt8(s.type,0),o.writeUInt32BE(s.id,1),o.writeUInt32BE(s.ack,5),o.writeUInt32BE(s.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:p(s.type),id:s.id,ack:s.ack,messageSize:s.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",s.data),this._writeSoon(o,s.data)}_bufferAdd(s,o){const c=this._totalLength===0;return this._data.push(s,o),this._totalLength+=s.byteLength+o.byteLength,c}_bufferTake(){const s=T.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,o){this._bufferAdd(s,o)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const s=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:s.byteLength}),this._socket.write(s)}}class y extends k.Disposable{constructor(s){super();this._onMessage=new n.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new n.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new h(this._socket)),this._socketReader=this._register(new S(this._socket)),this._register(this._socketReader.onMessage(o=>{o.type===1&&this._onMessage.fire(o.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new w(1,0,0,s))}}e.Protocol=y;class g extends _.IPCClient{constructor(s,o,c=null){super(s,o,c);this.protocol=s}static fromSocket(s,o){return new g(new y(s),o)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=g;class v{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new n.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=v;class l{constructor(s){this.data=s,this.next=null}}class r{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let s=[],o=0,c=this._first;for(;c;)s[o++]=c.data,c=c.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const o=new l(s);if(!this._first){this._first=o,this._last=o;return}this._last.next=o,this._last=o}}class a{constructor(){this.lastRuns=[];const s=Date.now();for(let o=0;o<a._HISTORY_LENGTH;o++)this.lastRuns[o]=s-1e3*o;setInterval(()=>{for(let o=a._HISTORY_LENGTH;o>=1;o--)this.lastRuns[o]=this.lastRuns[o-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return a._INSTANCE||(a._INSTANCE=new a),a._INSTANCE}load(){const s=Date.now(),o=(1+a._HISTORY_LENGTH)*1e3;let c=0;for(let u=0;u<a._HISTORY_LENGTH;u++)s-this.lastRuns[u]<=o&&c++;return 1-c/a._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}a._HISTORY_LENGTH=10,a._INSTANCE=null;class i{constructor(s,o=null,c=a.getInstance()){this._onControlMessage=new v,this.onControlMessage=this._onControlMessage.event,this._onMessage=new v,this.onMessage=this._onMessage.event,this._onDidDispose=new v,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new v,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new v,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=c,this._isReconnecting=!1,this._outgoingUnackMsg=new r,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=s,this._socketWriter=new h(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new S(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(u=>this._onSocketClose.fire(u))),o&&this._socketReader.acceptChunk(o)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,k.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new w(5,0,0,P());this._socketWriter.write(s),this._socketWriter.flush()}sendPause(){const s=new w(7,0,0,P());this._socketWriter.write(s)}sendResume(){const s=new w(8,0,0,P());this._socketWriter.write(s)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,o){this._isReconnecting=!0,this._socketDisposables=(0,k.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=s,this._socketWriter=new h(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new S(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(c=>this._receiveMessage(c))),this._socketDisposables.push(this._socket.onClose(c=>this._onSocketClose.fire(c))),this._socketReader.acceptChunk(o)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const s=new w(3,0,this._incomingAckId,P());this._socketWriter.write(s);const o=this._outgoingUnackMsg.toArray();for(let c=0,u=o.length;c<u;c++)this._socketWriter.write(o[c]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const o=this._outgoingUnackMsg.peek();if(o&&o.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(s.type){case 0:break;case 1:{if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const o=Date.now();o-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=o,this._socketWriter.write(new w(6,0,0,P())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data);break}case 2:{this._onControlMessage.fire(s.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const o=this._outgoingUnackMsg.toArray();for(let c=0,u=o.length;c<u;c++)this._socketWriter.write(o[c]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const o=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const c=new w(1,o,this._incomingAckId,s);this._outgoingUnackMsg.push(c),this._isReconnecting||(this._socketWriter.write(c),this._recvAckCheck())}sendControl(s){const o=new w(2,0,0,s);this._socketWriter.write(o)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const s=this._outgoingUnackMsg.peek(),o=Date.now()-s.writtenTime,c=Date.now()-this._socketReader.lastReadTime,u=Date.now()-this._lastSocketTimeoutTime;if(o>=2e4&&c>=2e4&&u>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const m=Math.max(2e4-o,2e4-c,2e4-u,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},m)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const s=new w(3,0,this._incomingAckId,P());this._socketWriter.write(s)}}e.PersistentProtocol=i}),define(ne[118],ie([0,1,73,3,36,117]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class L extends k.IPCServer{static getOnDidClientConnect(){const C=n.Event.fromNodeEventEmitter(T.ipcRenderer,"vscode:createMessageChannel",(E,P)=>P);return n.Event.map(C,E=>{const{port1:P,port2:b}=new MessageChannel,p={protocol:new _.Protocol(P),onDidClientDisconnect:n.Event.fromDOMEventEmitter(P,"close")};return T.ipcRenderer.postMessage("vscode:createMessageChannelResult",E,[b]),p})}constructor(){super(L.getOnDidClientConnect())}}e.Server=L}),define(ne[119],ie([0,1,17,9]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function k(R,C){R.proxyAuthorization&&(R.headers={...R.headers||{},"Proxy-Authorization":R.proxyAuthorization});const E=new XMLHttpRequest;return new Promise((P,b)=>{E.open(R.type||"GET",R.url||"",!0,R.user,R.password),_(E,R),E.responseType="arraybuffer",E.onerror=f=>b(new Error(E.statusText&&"XHR failed: "+E.statusText||"XHR failed")),E.onload=f=>{P({res:{statusCode:E.status,headers:L(E)},stream:(0,T.bufferToStream)(T.VSBuffer.wrap(new Uint8Array(E.response)))})},E.ontimeout=f=>b(new Error(`XHR timeout: ${R.timeout}ms`)),R.timeout&&(E.timeout=R.timeout),E.send(R.data),C.onCancellationRequested(()=>{E.abort(),b((0,n.canceled)())})})}e.request=k;function _(R,C){if(C.headers){e:for(let E in C.headers){switch(E){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}R.setRequestHeader(E,C.headers[E])}}}function L(R){const C=Object.create(null);for(const E of R.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(E){const P=E.indexOf(":");C[E.substr(0,P).trim().toLowerCase()]=E.substr(P+1).trim()}return C}}),define(ne[74],ie([0,1,5,3,2,15]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var L;(function(b){b[b.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(L=e.StorageHint||(e.StorageHint={}));function R(b){const f=b;return f?.changed instanceof Map||f?.deleted instanceof Set}e.isStorageItemsChangeEvent=R;var C;(function(b){b[b.None=0]="None",b[b.Initialized=1]="Initialized",b[b.Closed=2]="Closed"})(C||(C={}));class E extends k.Disposable{constructor(f,p=Object.create(null)){super();this.database=f,this.options=p,this._onDidChangeStorage=this._register(new n.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=C.None,this.cache=new Map,this.flushDelayer=new T.ThrottledDelayer(E.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){f.changed?.forEach((p,d)=>this.accept(d,p)),f.deleted?.forEach(p=>this.accept(p,void 0))}accept(f,p){if(this.state===C.Closed)return;let d=!1;(0,_.isUndefinedOrNull)(p)?d=this.cache.delete(f):this.cache.get(f)!==p&&(this.cache.set(f,p),d=!0),d&&this._onDidChangeStorage.fire(f)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===C.None&&(this.state=C.Initialized,this.options.hint!==L.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,p){const d=this.cache.get(f);return(0,_.isUndefinedOrNull)(d)?p:d}getBoolean(f,p){const d=this.get(f);return(0,_.isUndefinedOrNull)(d)?p:d==="true"}getNumber(f,p){const d=this.get(f);return(0,_.isUndefinedOrNull)(d)?p:parseInt(d,10)}async set(f,p){if(this.state===C.Closed)return;if((0,_.isUndefinedOrNull)(p))return this.delete(f);const d=String(p);if(this.cache.get(f)!==d)return this.cache.set(f,d),this.pendingInserts.set(f,d),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.doFlush()}async delete(f){if(!(this.state===C.Closed||!this.cache.delete(f)))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=C.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(f){if(!!this.hasPending)return this.doFlush(f)}async doFlush(f){return this.flushDelayer.trigger(()=>this.flushPending(),f)}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=E,E.DEFAULT_FLUSH_DELAY=100;class P{constructor(){this.onDidChangeItemsExternal=n.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((p,d)=>this.items.set(d,p)),f.delete&&f.delete.forEach(p=>this.items.delete(p))}async close(){}}e.InMemoryStorageDatabase=P}),define(ne[120],ie([11,12]),function(J,e){return J.create("vs/base/common/date",e)}),define(ne[56],ie([0,1,120]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const n=60,k=n*60,_=k*24,L=_*7,R=_*30,C=_*365;function E(b,f){typeof b!="number"&&(b=b.getTime());const p=Math.round((new Date().getTime()-b)/1e3);if(p<-30)return(0,T.localize)(0,null,E(new Date().getTime()+p*1e3,!1));if(p<30)return(0,T.localize)(1,null);let d;return p<n?(d=p,f?d===1?(0,T.localize)(2,null,d):(0,T.localize)(3,null,d):d===1?(0,T.localize)(4,null,d):(0,T.localize)(5,null,d)):p<k?(d=Math.floor(p/n),f?d===1?(0,T.localize)(6,null,d):(0,T.localize)(7,null,d):d===1?(0,T.localize)(8,null,d):(0,T.localize)(9,null,d)):p<_?(d=Math.floor(p/k),f?d===1?(0,T.localize)(10,null,d):(0,T.localize)(11,null,d):d===1?(0,T.localize)(12,null,d):(0,T.localize)(13,null,d)):p<L?(d=Math.floor(p/_),f?d===1?(0,T.localize)(14,null,d):(0,T.localize)(15,null,d):d===1?(0,T.localize)(16,null,d):(0,T.localize)(17,null,d)):p<R?(d=Math.floor(p/L),f?d===1?(0,T.localize)(18,null,d):(0,T.localize)(19,null,d):d===1?(0,T.localize)(20,null,d):(0,T.localize)(21,null,d)):p<C?(d=Math.floor(p/R),f?d===1?(0,T.localize)(22,null,d):(0,T.localize)(23,null,d):d===1?(0,T.localize)(24,null,d):(0,T.localize)(25,null,d)):(d=Math.floor(p/C),f?d===1?(0,T.localize)(26,null,d):(0,T.localize)(27,null,d):d===1?(0,T.localize)(28,null,d):(0,T.localize)(29,null,d))}e.fromNow=E;function P(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=P}),define(ne[121],ie([11,12]),function(J,e){return J.create("vs/base/common/errorMessage",e)}),define(ne[37],ie([0,1,16,15,121]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function _(E,P){return P&&(E.stack||E.stacktrace)?k.localize(0,null,R(E),L(E.stack)||L(E.stacktrace)):R(E)}function L(E){return Array.isArray(E)?E.join(`
`):E}function R(E){return typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?k.localize(1,null,E.message):E.message||k.localize(2,null)}function C(E=null,P=!1){if(!E)return k.localize(3,null);if(Array.isArray(E)){const b=T.coalesce(E),f=C(b[0],P);return b.length>1?k.localize(4,null,f,b.length):f}if(n.isString(E))return E;if(E.detail){const b=E.detail;if(b.error)return _(b.error,P);if(b.exception)return _(b.exception,P)}return E.stack?_(E,P):E.message?E.message:k.localize(5,null)}e.toErrorMessage=C}),define(ne[122],ie([11,12]),function(J,e){return J.create("vs/base/node/processes",e)}),define(ne[75],ie([0,1,45,41,18,28,10,4,31,103,15,111,22,122]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return E.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return E.TerminateResponseCode}});function d(r){switch(r){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function w(r,a){if(R.isWindows)try{const i={stdio:["pipe","pipe","ignore"]};a&&(i.cwd=a);const t=T.execFile("taskkill",["/T","/F","/PID",r.pid.toString()],i);return new Promise(s=>{t.once("error",o=>{s({success:!1,error:o})}),t.once("exit",(o,c)=>{s(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(i){return Promise.resolve({success:!1,error:i,code:i.status?d(i.status):1})}else if(R.isLinux||R.isMacintosh)try{const i=k.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",J).fsPath;return new Promise(t=>{T.execFile(i,[r.pid.toString()],{encoding:"utf8",shell:!0},(s,o,c)=>{t(s?{success:!1,error:s}:{success:!0})})})}catch(i){return Promise.resolve({success:!1,error:i})}else r.kill("SIGKILL");return Promise.resolve({success:!0})}function S(r){!r||(delete r.DEBUG,R.isMacintosh&&delete r.DYLD_LIBRARY_PATH,R.isLinux&&delete r.LD_PRELOAD)}e.removeDangerousEnvVariables=S;function h(r=C.env){return r.comspec||"cmd.exe"}e.getWindowsShell=h;class y{constructor(a,i,t,s){if(i!==void 0&&t!==void 0&&s!==void 0)this.cmd=a,this.args=i,this.shell=t,this.options=s;else{const o=a;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(C.env).forEach(c=>{o[c]=C.env[c]}),Object.keys(this.options.env).forEach(c=>{o[c]=this.options.env[c]}),this.options.env=o}}getSanitizedCommand(){let a=this.cmd.toLowerCase();const i=a.lastIndexOf(L.sep);return i!==-1&&(a=a.substring(i+1)),y.WellKnowCommands[a]?a:"other"}start(a){return R.isWindows&&(this.options&&this.options.cwd&&n.isUNC(this.options.cwd)||!this.options&&n.isUNC(C.cwd()))?Promise.reject(new Error(p.localize(0,null))):this.useExec().then(i=>{let t,s;const o=new Promise((c,u)=>{t=c,s=u});if(i){let c=this.cmd;this.args&&(c=c+" "+this.args.join(" ")),this.childProcess=T.exec(c,this.options,(u,m,I)=>{this.childProcess=null;const A=u;A&&A.killed?s({killed:this.terminateRequested,stdout:m.toString(),stderr:I.toString()}):this.handleExec(t,a,u,m,I)})}else{let c=null;const u=m=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(m,t,a,s);const I={terminated:this.terminateRequested};P.isNumber(m)&&(I.cmdCode=m),t(I)};if(this.shell&&R.isWindows){const m=_.deepClone(this.options);m.windowsVerbatimArguments=!0,m.detached=!1;let I=!1,A=!1;const O=[];let N=this.ensureQuotes(this.cmd);O.push(N.value),I=N.quoted,this.args&&this.args.forEach(D=>{N=this.ensureQuotes(D),O.push(N.value),A=A&&N.quoted});const $=["/s","/c"];I?A?$.push('"'+O.join(" ")+'"'):O.length>1?$.push('"'+O[0]+'" '+O.slice(1).join(" ")):$.push('"'+O[0]+'"'):$.push(O.join(" ")),c=T.spawn(h(),$,m)}else this.cmd&&(c=T.spawn(this.cmd,this.args,this.options));c&&(this.childProcess=c,this.childProcessPromise=Promise.resolve(c),this.pidResolve&&(this.pidResolve(P.isNumber(c.pid)?c.pid:-1),this.pidResolve=void 0),c.on("error",m=>{this.childProcess=null,s({terminated:this.terminateRequested,error:m})}),c.pid&&(this.childProcess.on("close",u),this.handleSpawn(c,t,a,s,!0)))}return o})}handleClose(a,i,t,s){}ensureQuotes(a){return y.regexp.test(a)?{value:'"'+a+'"',quoted:!0}:{value:a,quoted:a.length>0&&a[0]==='"'&&a[a.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(a=>a.pid,a=>-1):new Promise(a=>{this.pidResolve=a})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(a=>(this.terminateRequested=!0,w(a,this.options.cwd).then(i=>(i.success&&(this.childProcess=null),i))),a=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(a=>{if(!this.shell||!R.isWindows)return a(!1);const i=T.spawn(h(),["/s","/c"]);i.on("error",t=>a(!0)),i.on("exit",t=>a(!1))})}}e.AbstractProcess=y,y.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},y.regexp=/^[^"].* .*[^"]/;class g extends y{constructor(a,i,t,s){super(a,i,t,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(a,i,t,s,o){[s,o].forEach((c,u)=>{const m=new b.LineDecoder;m.write(c).forEach(O=>{i({line:O,source:u===0?0:1})});const A=m.end();A&&i({line:A,source:u===0?0:1})}),a({terminated:this.terminateRequested,error:t})}handleSpawn(a,i,t,s,o){const c=new b.LineDecoder,u=new b.LineDecoder;a.stdout.on("data",m=>{c.write(m).forEach(A=>t({line:A,source:0}))}),a.stderr.on("data",m=>{u.write(m).forEach(A=>t({line:A,source:1}))}),this.stdoutLineDecoder=c,this.stderrLineDecoder=u}handleClose(a,i,t,s){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&t({line:o,source:0});const c=this.stderrLineDecoder?this.stderrLineDecoder.end():null;c&&t({line:c,source:1})}}e.LineProcess=g;function v(r){let a=[],i=!1;const t=function(s){if(i){a.push(s);return}(!r.send(s,c=>{if(c&&console.error(c),i=!1,a.length>0){const u=a.slice(0);a=[],u.forEach(m=>t(m))}})||R.isWindows)&&(i=!0)};return{send:t}}e.createQueuedSender=v;var l;(function(r){async function a(i,t,s){if(L.isAbsolute(i))return i;if(t===void 0&&(t=C.cwd()),L.dirname(i)!=="."||(s===void 0&&P.isString(C.env.PATH)&&(s=C.env.PATH.split(L.delimiter)),s===void 0||s.length===0))return L.join(t,i);async function c(u){if(await f.Promises.exists(u)){let m;try{m=await f.Promises.stat(u)}catch(I){I.message.startsWith("EACCES")&&(m=await f.Promises.lstat(u))}return m?!m.isDirectory():!1}return!1}for(let u of s){let m;if(L.isAbsolute(u)?m=L.join(u,i):m=L.join(t,u,i),await c(m))return m;let I=m+".com";if(await c(I)||(I=m+".exe",await c(I)))return I}return L.join(t,i)}r.findExecutable=a})(l=e.win32||(e.win32={}))}),define(ne[123],ie([0,1,32,4,71,75]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function L(p,d){return p===1?n.isWindows?b():_.getWindowsShell(d):E(p,d)}e.getSystemShell=L;function R(p,d){return p===1?n.isWindows?f(d):_.getWindowsShell(d):E(p,d)}e.getSystemShellSync=R;let C=null;function E(p,d){if(n.isLinux&&p===2||n.isMacintosh&&p===3)return"/bin/bash";if(!C){let w;if(n.isWindows)w="/bin/bash";else{if(w=d.SHELL,!w)try{w=(0,T.userInfo)().shell}catch{}w||(w="sh"),w==="/bin/false"&&(w="/bin/bash")}C=w}return C}let P=null;async function b(){return P||(P=(await(0,k.getFirstAvailablePowerShellInstallation)()).exePath),P}function f(p){if(P)return P;const d=n.isWindows&&parseFloat((0,T.release)())>=10,w=p.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${p.windir}\\${w?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return d?S:_.getWindowsShell(p)}}),define(ne[57],ie([0,1,45,5,17,25,107,9,3,2,28,75,36]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class p extends f.ChannelServer{constructor(S){super({send:h=>{try{process.send&&process.send(h.buffer.toString("base64"))}catch{}},onMessage:C.Event.fromNodeEventEmitter(process,"message",h=>k.VSBuffer.wrap(Buffer.from(h,"base64")))},S);process.once("disconnect",()=>this.dispose())}}e.Server=p;class d{constructor(S,h){this.modulePath=S,this.options=h,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new C.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const y=h&&h.timeout?h.timeout:6e4;this.disposeDelayer=new n.Delayer(y),this.child=null,this._client=null}getChannel(S){const h=this;return{call(y,g,v){return h.requestPromise(S,y,g,v)},listen(y,g){return h.requestEvent(S,y,g)}}}requestPromise(S,h,y,g=_.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(g.isCancellationRequested)return Promise.reject(R.canceled());this.disposeDelayer.cancel();const v=this.getCachedChannel(S),l=(0,n.createCancelablePromise)(i=>v.call(h,y,i)),r=g.onCancellationRequested(()=>l.cancel()),a=(0,E.toDisposable)(()=>l.cancel());return this.activeRequests.add(a),l.finally(()=>{r.dispose(),this.activeRequests.delete(a),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),l}requestEvent(S,h,y){if(!this.disposeDelayer)return C.Event.None;this.disposeDelayer.cancel();let g;const v=new C.Emitter({onFirstListenerAdd:()=>{g=this.getCachedChannel(S).listen(h,y)(v.fire,v),this.activeRequests.add(g)},onLastListenerRemove:()=>{this.activeRequests.delete(g),g.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return v.event}get client(){if(!this._client){const S=this.options&&this.options.args?this.options.args:[],h=Object.create(null);h.env={...(0,P.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(h.env={...h.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(h.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(h.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(h.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),h.execArgv===void 0&&(h.execArgv=process.execArgv.filter(t=>!/^--inspect(-brk)?=/.test(t))),(0,b.removeDangerousEnvVariables)(h.env),this.child=(0,T.fork)(this.modulePath,S,h);const y=new C.Emitter;C.Event.fromNodeEventEmitter(this.child,"message",t=>t)(t=>{if((0,L.isRemoteConsoleLog)(t)){(0,L.log)(t,`IPC Library: ${this.options.serverName}`);return}y.fire(k.VSBuffer.wrap(Buffer.from(t,"base64")))});const v=this.options.useQueue?(0,b.createQueuedSender)(this.child):this.child,l=t=>this.child&&this.child.connected&&v.send(t.buffer.toString("base64")),r=y.event,a={send:l,onMessage:r};this._client=new f.ChannelClient(a);const i=()=>this.disposeClient();process.once("exit",i),this.child.on("error",t=>console.warn('IPC "'+this.options.serverName+'" errored with '+t)),this.child.on("exit",(t,s)=>{process.removeListener("exit",i),this.activeRequests.forEach(o=>(0,E.dispose)(o)),this.activeRequests.clear(),t!==0&&s!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+t+" and signal "+s),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:t,signal:s})})}return this._client}getCachedChannel(S){let h=this.channels.get(S);return h||(h=this.client.getChannel(S),this.channels.set(S,h)),h}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=d}),define(ne[124],ie([11,12]),function(J,e){return J.create("vs/base/node/zip",e)}),define(ne[125],ie([11,12]),function(J,e){return J.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ne[126],ie([11,12]),function(J,e){return J.create("vs/platform/environment/node/argv",e)}),define(ne[127],ie([11,12]),function(J,e){return J.create("vs/platform/environment/node/argvHelper",e)}),define(ne[128],ie([11,12]),function(J,e){return J.create("vs/platform/environment/node/shellEnv",e)}),define(ne[129],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(ne[130],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ne[131],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(ne[132],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(ne[133],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(ne[134],ie([11,12]),function(J,e){return J.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(ne[135],ie([11,12]),function(J,e){return J.create("vs/platform/extensions/common/extensionValidator",e)}),define(ne[136],ie([11,12]),function(J,e){return J.create("vs/platform/files/common/fileService",e)}),define(ne[137],ie([11,12]),function(J,e){return J.create("vs/platform/files/common/files",e)}),define(ne[138],ie([11,12]),function(J,e){return J.create("vs/platform/files/common/io",e)}),define(ne[139],ie([11,12]),function(J,e){return J.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(ne[140],ie([11,12]),function(J,e){return J.create("vs/platform/request/common/request",e)}),define(ne[141],ie([11,12]),function(J,e){return J.create("vs/platform/telemetry/common/telemetryService",e)}),define(ne[142],ie([11,12]),function(J,e){return J.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(ne[143],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(ne[144],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(ne[145],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/settingsSync",e)}),define(ne[146],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(ne[147],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataSync",e)}),define(ne[148],ie([11,12]),function(J,e){return J.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(ne[149],ie([0,1,4]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AssignmentFilterProvider=e.Filters=e.TargetPopulation=e.ASSIGNMENT_REFETCH_INTERVAL=e.ASSIGNMENT_STORAGE_KEY=void 0,e.ASSIGNMENT_STORAGE_KEY="VSCode.ABExp.FeatureData",e.ASSIGNMENT_REFETCH_INTERVAL=0;var n;(function(L){L.Team="team",L.Internal="internal",L.Insiders="insider",L.Public="public"})(n=e.TargetPopulation||(e.TargetPopulation={}));var k;(function(L){L.Market="X-MSEdge-Market",L.CorpNet="X-FD-Corpnet",L.ApplicationVersion="X-VSCode-AppVersion",L.Build="X-VSCode-Build",L.ClientId="X-MSEdge-ClientId",L.ExtensionName="X-VSCode-ExtensionName",L.Language="X-VSCode-Language",L.TargetPopulation="X-VSCode-TargetPopulation"})(k=e.Filters||(e.Filters={}));class _{constructor(R,C,E,P){this.version=R,this.appName=C,this.machineId=E,this.targetPopulation=P}getFilterValue(R){switch(R){case k.ApplicationVersion:return this.version;case k.Build:return this.appName;case k.ClientId:return this.machineId;case k.Language:return T.language;case k.ExtensionName:return"vscode-core";case k.TargetPopulation:return this.targetPopulation;default:return""}}getFilters(){let R=new Map,C=Object.values(k);for(let E of C)R.set(E,this.getFilterValue(E));return R}}e.AssignmentFilterProvider=_}),define(ne[76],ie([0,1,56,53,18,10,31,19,7]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class E{constructor(w,S,h){this._args=w,this.paths=S,this.productService=h}get appRoot(){return(0,_.dirname)(k.FileAccess.asFileUri("",J).fsPath)}get userHome(){return C.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return C.URI.file((0,_.join)(this.userDataPath,"User"))}get tmpDir(){return C.URI.file(this.paths.tmpDir)}get cacheHome(){return C.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,R.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const w=(0,T.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,_.join)(this.userDataPath,"logs",w)}return this.args.logsPath}get userDataSyncLogResource(){return C.URI.file((0,_.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,R.joinPath)(C.URI.file((0,_.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return C.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return C.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,R.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const w=L.env.VSCODE_PORTABLE;return w?C.URI.file((0,_.join)(w,"argv.json")):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,R.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return C.URI.file((0,_.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,_.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const w=this.args["builtin-extensions-dir"];return w?(0,_.resolve)(w):(0,_.normalize)((0,_.join)(k.FileAccess.asFileUri("",J).fsPath,"..","extensions"))}get extensionsDownloadPath(){const w=this.args["extensions-download-dir"];return w?(0,_.resolve)(w):(0,_.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const w=this.args["extensions-dir"];if(w)return(0,_.resolve)(w);const S=L.env.VSCODE_EXTENSIONS;if(S)return S;const h=L.env.VSCODE_PORTABLE;return h?(0,_.join)(h,"extensions"):(0,R.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const w=this.args.extensionDevelopmentPath;if(Array.isArray(w))return w.map(S=>/^[^:/?#]+?:\/\//.test(S)?C.URI.parse(S):C.URI.file((0,_.normalize)(S)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(w=>w==="ui"||w==="workspace"||w==="web"?w:"workspace")}get extensionTestsLocationURI(){const w=this.args.extensionTestsPath;if(w)return/^[^:/?#]+?:\/\//.test(w)?C.URI.parse(w):C.URI.file((0,_.normalize)(w))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const w=this.args["disable-extension"];if(w){if(typeof w=="string")return[w];if(Array.isArray(w)&&w.length>0)return w}return!1}get debugExtensionHost(){return P(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!L.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,R.joinPath)(C.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return C.URI.file((0,_.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}de([n.memoize],E.prototype,"appRoot",null),de([n.memoize],E.prototype,"userHome",null),de([n.memoize],E.prototype,"userDataPath",null),de([n.memoize],E.prototype,"appSettingsHome",null),de([n.memoize],E.prototype,"tmpDir",null),de([n.memoize],E.prototype,"cacheHome",null),de([n.memoize],E.prototype,"userRoamingDataHome",null),de([n.memoize],E.prototype,"settingsResource",null),de([n.memoize],E.prototype,"userDataSyncHome",null),de([n.memoize],E.prototype,"userDataSyncLogResource",null),de([n.memoize],E.prototype,"sync",null),de([n.memoize],E.prototype,"machineSettingsResource",null),de([n.memoize],E.prototype,"globalStorageHome",null),de([n.memoize],E.prototype,"workspaceStorageHome",null),de([n.memoize],E.prototype,"keybindingsResource",null),de([n.memoize],E.prototype,"keyboardLayoutResource",null),de([n.memoize],E.prototype,"argvResource",null),de([n.memoize],E.prototype,"snippetsHome",null),de([n.memoize],E.prototype,"isExtensionDevelopment",null),de([n.memoize],E.prototype,"untitledWorkspacesHome",null),de([n.memoize],E.prototype,"installSourcePath",null),de([n.memoize],E.prototype,"builtinExtensionsPath",null),de([n.memoize],E.prototype,"extensionsPath",null),de([n.memoize],E.prototype,"extensionDevelopmentLocationURI",null),de([n.memoize],E.prototype,"extensionDevelopmentKind",null),de([n.memoize],E.prototype,"extensionTestsLocationURI",null),de([n.memoize],E.prototype,"debugExtensionHost",null),de([n.memoize],E.prototype,"serviceMachineIdResource",null),de([n.memoize],E.prototype,"telemetryLogResource",null),de([n.memoize],E.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=E;function P(d,w){return p(d["inspect-extensions"],d["inspect-brk-extensions"],5870,w,d.debugId,d.extensionEnvironment)}e.parseExtensionHostPort=P;function b(d,w){return p(d["inspect-search"],d["inspect-brk-search"],5876,w,d.extensionEnvironment)}e.parseSearchPort=b;function f(d,w){return p(d["inspect-ptyhost"],d["inspect-brk-ptyhost"],5877,w,d.extensionEnvironment)}e.parsePtyHostPort=f;function p(d,w,S,h,y,g){const l=Number(w||d)||(h?null:S),r=l?Boolean(!!w):!1;let a;if(g)try{a=JSON.parse(g)}catch{}return{port:l,break:r,debugId:y,env:a}}}),define(ne[150],ie([0,1,249,4,126]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const _={o:(0,k.localize)(0,null),e:(0,k.localize)(1,null),t:(0,k.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,k.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,k.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,k.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,k.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,k.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,k.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,k.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,k.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,k.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,k.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,k.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,k.localize)(14,null)},category:{type:"string",cat:"e",description:(0,k.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"extension-id[@version] | path-to-vsix",description:(0,k.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,k.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"extension-id",description:(0,k.localize)(18,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"extension-id",description:(0,k.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,k.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,k.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,k.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,k.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,k.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,k.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"extension-id",description:(0,k.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,k.localize)(27,null),args:["on","off"]},"inspect-extensions":{type:"string",deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,k.localize)(28,null)},"inspect-brk-extensions":{type:"string",deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,k.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,k.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,k.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,k.localize)(32,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string"},"inspect-brk-ptyhost":{type:"string"},"inspect-search":{type:"string",deprecates:["debugSearch"]},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"]},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},_:{type:"string[]"}};const L={onUnknownOption:()=>{},onMultipleValues:()=>{},onDeprecatedOption:()=>{}};function R(d,w,S=L){const h={},y=[],g=[];for(let a in w){const i=w[a];i.alias&&(h[a]=i.alias),i.type==="string"||i.type==="string[]"?(y.push(a),i.deprecates&&y.push(...i.deprecates)):i.type==="boolean"&&(g.push(a),i.deprecates&&g.push(...i.deprecates))}const v=T(d,{string:y,boolean:g,alias:h}),l={},r=v;l._=v._.map(a=>String(a)).filter(a=>a.length>0),delete r._;for(let a in w){const i=w[a];i.alias&&delete r[i.alias];let t=r[a];if(i.deprecates)for(const s of i.deprecates)r.hasOwnProperty(s)&&(t||(t=r[s],t&&S.onDeprecatedOption(s,i.deprecationMessage||(0,k.localize)(33,null))),delete r[s]);typeof t!="undefined"&&(i.type==="string[]"?t&&!Array.isArray(t)&&(t=[t]):i.type==="string"&&Array.isArray(t)&&(t=t.pop(),S.onMultipleValues(a,t)),l[a]=t,i.deprecationMessage&&S.onDeprecatedOption(a,i.deprecationMessage)),delete r[a]}for(let a in r)S.onUnknownOption(a);return l}e.parseArgs=R;function C(d,w){let S="";return w.args&&(Array.isArray(w.args)?S=` <${w.args.join("> <")}>`:S=` <${w.args}>`),w.alias?`-${w.alias} --${d}${S}`:`--${d}${S}`}function E(d,w){let S=0,h=[];for(const l in d){const r=d[l],a=C(l,r);S=Math.max(S,a.length),h.push([a,r.description])}let y=S+2+1;if(w-y<25)return h.reduce((l,r)=>l.concat([`  ${r[0]}`,`      ${r[1]}`]),[]);let g=w-y-1,v=[];for(const l of h){let r=l[0],a=b(l[1],g),i=P(y-r.length-2);v.push("  "+r+i+a[0]);for(let t=1;t<a.length;t++)v.push(P(y)+a[t])}return v}e.formatOptions=E;function P(d){return" ".repeat(d)}function b(d,w){let S=[];for(;d.length;){let h=d.length<w?d.length:d.lastIndexOf(" ",w),y=d.slice(0,h).trim();d=d.slice(h),S.push(y)}return S}function f(d,w,S,h,y){const g=process.stdout.isTTY&&process.stdout.columns||80,v=y?.noInputFiles!==!0?`[${(0,k.localize)(34,null)}...]`:"",l=[`${d} ${S}`];l.push(""),l.push(`${(0,k.localize)(35,null)}: ${w} [${(0,k.localize)(36,null)}]${v}`),l.push(""),y?.noPipe!==!0&&(n.isWindows?l.push((0,k.localize)(37,null,w)):l.push((0,k.localize)(38,null,w)),l.push(""));const r={};for(const a in h){const i=h[a];if(i.description&&i.cat){let t=r[i.cat];t||(r[i.cat]=t={}),t[a]=i}}for(let a in r){const i=a;let t=r[i];t&&(l.push(_[i]),l.push(...E(t,g)),l.push(""))}return l.join(`
`)}e.buildHelpMessage=f;function p(d,w){return`${d||(0,k.localize)(39,null)}
${w||(0,k.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=p}),function(){"use strict";function J(e,T,n,k){function _(R){const C=L(R),E=[C];return e.isAbsolute(C)||E.unshift(k),e.resolve(...E)}function L(R){const C=process.env.VSCODE_PORTABLE;if(C)return e.join(C,"user-data");let E=process.env.VSCODE_APPDATA;if(E)return e.join(E,n);const P=R["user-data-dir"];if(P)return P;switch(process.platform){case"win32":if(E=process.env.APPDATA,!E){const b=process.env.USERPROFILE;if(typeof b!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");E=e.join(b,"AppData","Roaming")}break;case"darwin":E=e.join(T.homedir(),"Library","Application Support");break;case"linux":E=process.env.XDG_CONFIG_HOME||e.join(T.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(E,n)}return{getUserDataPath:_}}if(typeof define=="function")define(ne[151],ie([0,152,32,18,19,31]),function(e,T,n,k,_,L){const R=_.dirname(k.FileAccess.asFileUri("",e)),C=e.__$__nodeRequire(_.joinPath(R,"package.json").fsPath);return J(T,n,C.name,L.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),T=require("path"),n=require("os");module.exports=J(T,n,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(ne[153],ie([0,1,32,76,151]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class _ extends n.AbstractNativeEnvironmentService{constructor(R,C){super(R,{homeDir:(0,T.homedir)(),tmpDir:(0,T.tmpdir)(),userDataDir:(0,k.getUserDataPath)(R)},C)}}e.NativeEnvironmentService=_}),define(ne[154],ie([0,1,7]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const n=/^([^@:]+@)?([^:]+):/,k=/^([^@:]+@)?([^:]+):(.+)$/,_=/^([^@]+@)?([^:]+)(:\d+)?$/,L=/([^@:.]+\.[^@:.]+)(:\d+)?$/,R=/^\s*url\s*=\s*(.+\S)\s*$/mg,C=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function E(S){const h=S.match(L);return h?h[1]:null}function P(S){if(S.indexOf("://")===-1){const h=S.match(n);return h?E(h[2]):null}try{const h=T.URI.parse(S);if(h.authority)return E(h.authority)}catch{}return null}function b(S,h){const y=new Set;let g;for(;g=R.exec(S);){const l=P(g[1]);l&&y.add(l)}const v=new Set(h);return Array.from(y).map(l=>v.has(l)?l:l.replace(C,"a"))}e.getDomainsOfRemotes=b;function f(S){const h=S.match(_);return h?h[2]:null}function p(S,h,y){return S&&h?(y&&h.endsWith(".git")&&(h=h.substr(0,h.length-4)),h.indexOf("/")===0?`${S}${h}`:`${S}/${h}`):null}function d(S,h){if(S.indexOf("://")===-1){const y=S.match(k);if(y)return p(y[2],y[3],h)}try{const y=T.URI.parse(S);if(y.authority)return p(f(y.authority),y.path,h)}catch{}return null}function w(S,h=!1){const y=[];let g;for(;g=R.exec(S);){const v=d(g[1],h);v&&y.push(v)}return y}e.getRemotes=w}),define(ne[155],ie([0,1,28]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const n=/^%([\w\d.-]+)%$/i;function k(_,L){const R=C=>{if(typeof C!="string")return;const E=n.exec(C);if(!E)return;const P=L[E[1]]??C;return typeof P=="string"?P:typeof P.message=="string"?P.message:C};return(0,T.cloneAndChange)(_,R)}e.localizeManifest=k}),define(ne[156],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class T{constructor(_){this.channel=_}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(_,L,R,C){return this.channel.call("promptImportantExtensionsInstallNotification",[_,L,R,C])}promptWorkspaceRecommendations(_){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=T;class n{constructor(_){this.service=_}listen(_,L){throw new Error(`Event not found: ${L}`)}call(_,L,R){switch(L){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(R[0],R[1],R[2],R[3])}throw new Error(`Call not found: ${L}`)}}e.ExtensionRecommendationNotificationServiceChannel=n}),define(ne[77],ie([0,1,135]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const n=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,k=/^-(\d{4})(\d{2})(\d{2})$/;function _(f){return f=f.trim(),f==="*"||n.test(f)}e.isValidVersionStr=_;function L(f){if(!_(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let p=f.match(n);return p?{hasCaret:p[1]==="^",hasGreaterEquals:p[1]===">=",majorBase:p[2]==="x"?0:parseInt(p[2],10),majorMustEqual:p[2]!=="x",minorBase:p[4]==="x"?0:parseInt(p[4],10),minorMustEqual:p[4]!=="x",patchBase:p[6]==="x"?0:parseInt(p[6],10),patchMustEqual:p[6]!=="x",preRelease:p[8]||null}:null}e.parseVersion=L;function R(f){if(!f)return null;let p=f.majorBase,d=f.majorMustEqual,w=f.minorBase,S=f.minorMustEqual,h=f.patchBase,y=f.patchMustEqual;f.hasCaret&&(p===0||(S=!1),y=!1);let g=0;if(f.preRelease){const v=k.exec(f.preRelease);if(v){const[,l,r,a]=v;g=Date.UTC(Number(l),Number(r)-1,Number(a))}}return{majorBase:p,majorMustEqual:d,minorBase:w,minorMustEqual:S,patchBase:h,patchMustEqual:y,isMinimum:f.hasGreaterEquals,notBefore:g}}e.normalizeVersion=R;function C(f,p,d){let w;typeof f=="string"?w=R(L(f)):w=f;let S;p instanceof Date?S=p.getTime():typeof p=="string"&&(S=new Date(p).getTime());let h;if(typeof d=="string"?h=R(L(d)):h=d,!w||!h)return!1;let y=w.majorBase,g=w.minorBase,v=w.patchBase,l=h.majorBase,r=h.minorBase,a=h.patchBase,i=h.notBefore,t=h.majorMustEqual,s=h.minorMustEqual,o=h.patchMustEqual;return h.isMinimum?y>l?!0:y<l?!1:g>r?!0:g<r||S&&S<i?!1:v>=a:(y===1&&l===0&&(!t||!s||!o)&&(l=1,r=0,a=0,t=!0,s=!1,o=!1),y<l?!1:y>l?!t:g<r?!1:g>r?!s:v<a?!1:v>a?!o:!(S&&S<i))}e.isValidVersion=C;function E(f,p,d,w){return d.isBuiltin||typeof d.main=="undefined"?!0:b(f,p,d.engines.vscode,w)}e.isValidExtensionVersion=E;function P(f,p,d){return f==="*"||b(p,d,f)}e.isEngineValid=P;function b(f,p,d,w=[]){let S=R(L(d));if(!S)return w.push(T.localize(0,null,d)),!1;if(S.majorBase===0){if(!S.majorMustEqual||!S.minorMustEqual)return w.push(T.localize(1,null,d)),!1}else if(!S.majorMustEqual)return w.push(T.localize(2,null,d)),!1;return C(f,p,S)?!0:(w.push(T.localize(3,null,f,d)),!1)}}),define(ne[51],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class T{constructor(k,_=[],L=!1){this.ctor=k,this.staticArguments=_,this.supportsDelayedInstantiation=L}}e.SyncDescriptor=T}),define(ne[78],ie([0,1,51]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const n=[];function k(L,R,C){R instanceof T.SyncDescriptor||(R=new T.SyncDescriptor(R,[],C)),n.push([L,R])}e.registerSingleton=k;function _(){return n}e.getSingletonServiceDescriptors=_}),define(ne[157],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class T{constructor(_){this.incoming=new Map,this.outgoing=new Map,this.data=_}}e.Node=T;class n{constructor(_){this._hashFn=_,this._nodes=new Map}roots(){const _=[];for(let L of this._nodes.values())L.outgoing.size===0&&_.push(L);return _}insertEdge(_,L){const R=this.lookupOrInsertNode(_),C=this.lookupOrInsertNode(L);R.outgoing.set(this._hashFn(L),C),C.incoming.set(this._hashFn(_),R)}removeNode(_){const L=this._hashFn(_);this._nodes.delete(L);for(let R of this._nodes.values())R.outgoing.delete(L),R.incoming.delete(L)}lookupOrInsertNode(_){const L=this._hashFn(_);let R=this._nodes.get(L);return R||(R=new T(_),this._nodes.set(L,R)),R}lookup(_){return this._nodes.get(this._hashFn(_))}isEmpty(){return this._nodes.size===0}toString(){let _=[];for(let[L,R]of this._nodes)_.push(`${L}, (incoming)[${[...R.incoming.keys()].join(", ")}], (outgoing)[${[...R.outgoing.keys()].join(",")}]`);return _.join(`
`)}findCycleSlow(){for(let[_,L]of this._nodes){const R=new Set([_]),C=this._findCycle(L,R);if(C)return C}}_findCycle(_,L){for(let[R,C]of _.outgoing){if(L.has(R))return[...L,R].join(" -> ");L.add(R);const E=this._findCycle(C,L);if(E)return E;L.delete(R)}}}e.Graph=n}),define(ne[6],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var T;(function(L){L.serviceIds=new Map,L.DI_TARGET="$di$target",L.DI_DEPENDENCIES="$di$dependencies";function R(C){return C[L.DI_DEPENDENCIES]||[]}L.getServiceDependencies=R})(T=e._util||(e._util={})),e.IInstantiationService=k("instantiationService");function n(L,R,C,E){R[T.DI_TARGET]===R?R[T.DI_DEPENDENCIES].push({id:L,index:C,optional:E}):(R[T.DI_DEPENDENCIES]=[{id:L,index:C,optional:E}],R[T.DI_TARGET]=R)}function k(L){if(T.serviceIds.has(L))return T.serviceIds.get(L);const R=function(C,E,P){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(R,C,P,!1)};return R.toString=()=>L,T.serviceIds.set(L,R),R}e.createDecorator=k;function _(L){return L}e.refineServiceDecorator=_}),define(ne[158],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,T.createDecorator)("checksumService")}),define(ne[20],ie([0,1,15,7,6]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,k.createDecorator)("configurationService");function _(S){return S&&typeof S=="object"&&(!S.overrideIdentifier||typeof S.overrideIdentifier=="string")&&(!S.resource||S.resource instanceof n.URI)}e.isConfigurationOverrides=_;function L(S){return S&&typeof S=="object"&&(!S.overrideIdentifiers||T.isArray(S.overrideIdentifiers))&&!S.overrideIdentifier&&(!S.resource||S.resource instanceof n.URI)}e.isConfigurationUpdateOverrides=L;var R;(function(S){S[S.USER=1]="USER",S[S.USER_LOCAL=2]="USER_LOCAL",S[S.USER_REMOTE=3]="USER_REMOTE",S[S.WORKSPACE=4]="WORKSPACE",S[S.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",S[S.DEFAULT=6]="DEFAULT",S[S.MEMORY=7]="MEMORY"})(R=e.ConfigurationTarget||(e.ConfigurationTarget={}));function C(S){switch(S){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=C;function E(S,h){const y=Object.create(null);for(let g in S)P(y,g,S[g],h);return y}e.toValuesTree=E;function P(S,h,y,g){const v=h.split("."),l=v.pop();let r=S;for(let a=0;a<v.length;a++){let i=v[a],t=r[i];switch(typeof t){case"undefined":t=r[i]=Object.create(null);break;case"object":break;default:g(`Ignoring ${h} as ${v.slice(0,a+1).join(".")} is ${JSON.stringify(t)}`);return}r=t}if(typeof r=="object"&&r!==null)try{r[l]=y}catch{g(`Ignoring ${h} as ${v.join(".")} is ${JSON.stringify(r)}`)}else g(`Ignoring ${h} as ${v.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=P;function b(S,h){const y=h.split(".");f(S,y)}e.removeFromValueTree=b;function f(S,h){const y=h.shift();if(h.length===0){delete S[y];return}if(Object.keys(S).indexOf(y)!==-1){const g=S[y];typeof g=="object"&&!Array.isArray(g)&&(f(g,h),Object.keys(g).length===0&&delete S[y])}}function p(S,h,y){function g(r,a){let i=r;for(const t of a){if(typeof i!="object"||i===null)return;i=i[t]}return i}const v=h.split("."),l=g(S,v);return typeof l=="undefined"?y:l}e.getConfigurationValue=p;function d(S,h,y){Object.keys(h).forEach(g=>{g!=="__proto__"&&(g in S?T.isObject(S[g])&&T.isObject(h[g])?d(S[g],h[g],y):y&&(S[g]=h[g]):S[g]=h[g])})}e.merge=d;function w(S,h,y){const g=S.inspect(h),v=S.inspect(y);return typeof g.userValue!="undefined"||typeof g.workspaceValue!="undefined"||typeof g.workspaceFolderValue!="undefined"?g.value:typeof v.userValue!="undefined"||typeof v.workspaceValue!="undefined"||typeof v.workspaceFolderValue!="undefined"?v.value:g.defaultValue}e.getMigratedSettingValue=w}),define(ne[159],ie([0,1,4,27,6]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let _=T.userAgent||"";const L=new Map;L.set("false",!1),L.set("true",!0),L.set("isMac",T.isMacintosh),L.set("isLinux",T.isLinux),L.set("isWindows",T.isWindows),L.set("isWeb",T.isWeb),L.set("isMacNative",T.isMacintosh&&!T.isWeb),L.set("isEdge",_.indexOf("Edg/")>=0),L.set("isFirefox",_.indexOf("Firefox")>=0),L.set("isChrome",_.indexOf("Chrome")>=0),L.set("isSafari",_.indexOf("Safari")>=0);const R=Object.prototype.hasOwnProperty;var C;(function($){$[$.False=0]="False",$[$.True=1]="True",$[$.Defined=2]="Defined",$[$.Not=3]="Not",$[$.Equals=4]="Equals",$[$.NotEquals=5]="NotEquals",$[$.And=6]="And",$[$.Regex=7]="Regex",$[$.NotRegex=8]="NotRegex",$[$.Or=9]="Or",$[$.In=10]="In",$[$.NotIn=11]="NotIn",$[$.Greater=12]="Greater",$[$.GreaterEquals=13]="GreaterEquals",$[$.Smaller=14]="Smaller",$[$.SmallerEquals=15]="SmallerEquals"})(C=e.ContextKeyExprType||(e.ContextKeyExprType={}));class E{static false(){return f.INSTANCE}static true(){return p.INSTANCE}static has(D){return d.create(D)}static equals(D,M){return w.create(D,M)}static notEquals(D,M){return y.create(D,M)}static regex(D,M){return t.create(D,M)}static in(D,M){return S.create(D,M)}static not(D){return g.create(D)}static and(...D){return c.create(D,null)}static or(...D){return u.create(D,null,!0)}static greater(D,M){return l.create(D,M)}static greaterEquals(D,M){return r.create(D,M)}static smaller(D,M){return a.create(D,M)}static smallerEquals(D,M){return i.create(D,M)}static deserialize(D,M=!1){if(!!D)return this._deserializeOrExpression(D,M)}static _deserializeOrExpression(D,M){let W=D.split("||");return u.create(W.map(F=>this._deserializeAndExpression(F,M)),null,!0)}static _deserializeAndExpression(D,M){let W=D.split("&&");return c.create(W.map(F=>this._deserializeOne(F,M)),null)}static _deserializeOne(D,M){if(D=D.trim(),D.indexOf("!=")>=0){let W=D.split("!=");return y.create(W[0].trim(),this._deserializeValue(W[1],M))}if(D.indexOf("==")>=0){let W=D.split("==");return w.create(W[0].trim(),this._deserializeValue(W[1],M))}if(D.indexOf("=~")>=0){let W=D.split("=~");return t.create(W[0].trim(),this._deserializeRegexValue(W[1],M))}if(D.indexOf(" in ")>=0){let W=D.split(" in ");return S.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(D)){const W=D.split(">=");return r.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(D)){const W=D.split(">");return l.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(D)){const W=D.split("<=");return i.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(D)){const W=D.split("<");return a.create(W[0].trim(),W[1].trim())}return/^\!\s*/.test(D)?g.create(D.substr(1).trim()):d.create(D)}static _deserializeValue(D,M){if(D=D.trim(),D==="true")return!0;if(D==="false")return!1;let W=/^'([^']*)'$/.exec(D);return W?W[1].trim():D}static _deserializeRegexValue(D,M){if((0,n.isFalsyOrWhitespace)(D)){if(M)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let W=D.indexOf("/"),F=D.lastIndexOf("/");if(W===F||W<0){if(M)throw new Error(`bad regexp-value '${D}', missing /-enclosure`);return console.warn(`bad regexp-value '${D}', missing /-enclosure`),null}let H=D.slice(W+1,F),Y=D[F+1]==="i"?"i":"";try{return new RegExp(H,Y)}catch(B){if(M)throw new Error(`bad regexp-value '${D}', parse error: ${B}`);return console.warn(`bad regexp-value '${D}', parse error: ${B}`),null}}}e.ContextKeyExpr=E;function P($,D){const M=$?$.substituteConstants():void 0,W=D?D.substituteConstants():void 0;return!M&&!W?!0:!M||!W?!1:M.equals(W)}e.expressionsAreEqualWithConstantSubstitution=P;function b($,D){return $.cmp(D)}class f{constructor(){this.type=0}cmp(D){return this.type-D.type}equals(D){return D.type===this.type}substituteConstants(){return this}evaluate(D){return!1}serialize(){return"false"}keys(){return[]}map(D){return this}negate(){return p.INSTANCE}}e.ContextKeyFalseExpr=f,f.INSTANCE=new f;class p{constructor(){this.type=1}cmp(D){return this.type-D.type}equals(D){return D.type===this.type}substituteConstants(){return this}evaluate(D){return!0}serialize(){return"true"}keys(){return[]}map(D){return this}negate(){return f.INSTANCE}}e.ContextKeyTrueExpr=p,p.INSTANCE=new p;class d{constructor(D,M){this.key=D,this.negated=M,this.type=2}static create(D,M=null){const W=L.get(D);return typeof W=="boolean"?W?p.INSTANCE:f.INSTANCE:new d(D,M)}cmp(D){return D.type!==this.type?this.type-D.type:I(this.key,D.key)}equals(D){return D.type===this.type?this.key===D.key:!1}substituteConstants(){const D=L.get(this.key);return typeof D=="boolean"?D?p.INSTANCE:f.INSTANCE:this}evaluate(D){return!!D.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(D){return D.mapDefined(this.key)}negate(){return this.negated||(this.negated=g.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=d;class w{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=4}static create(D,M,W=null){if(typeof M=="boolean")return M?d.create(D,W):g.create(D,W);const F=L.get(D);return typeof F=="boolean"?M===(F?"true":"false")?p.INSTANCE:f.INSTANCE:new w(D,M,W)}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){const D=L.get(this.key);if(typeof D=="boolean"){const M=D?"true":"false";return this.value===M?p.INSTANCE:f.INSTANCE}return this}evaluate(D){return D.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(D){return D.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=y.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=w;class S{constructor(D,M){this.key=D,this.valueKey=M,this.type=10,this.negated=null}static create(D,M){return new S(D,M)}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.valueKey,D.key,D.valueKey)}equals(D){return D.type===this.type?this.key===D.key&&this.valueKey===D.valueKey:!1}substituteConstants(){return this}evaluate(D){const M=D.getValue(this.valueKey),W=D.getValue(this.key);return Array.isArray(M)?M.indexOf(W)>=0:typeof W=="string"&&typeof M=="object"&&M!==null?R.call(M,W):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(D){return D.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=h.create(this)),this.negated}}e.ContextKeyInExpr=S;class h{constructor(D){this._actual=D,this.type=11}static create(D){return new h(D)}cmp(D){return D.type!==this.type?this.type-D.type:this._actual.cmp(D._actual)}equals(D){return D.type===this.type?this._actual.equals(D._actual):!1}substituteConstants(){return this}evaluate(D){return!this._actual.evaluate(D)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(D){return new h(this._actual.map(D))}negate(){return this._actual}}e.ContextKeyNotInExpr=h;class y{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=5}static create(D,M,W=null){if(typeof M=="boolean")return M?g.create(D,W):d.create(D,W);const F=L.get(D);return typeof F=="boolean"?M===(F?"true":"false")?f.INSTANCE:p.INSTANCE:new y(D,M,W)}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){const D=L.get(this.key);if(typeof D=="boolean"){const M=D?"true":"false";return this.value===M?f.INSTANCE:p.INSTANCE}return this}evaluate(D){return D.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(D){return D.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=w.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=y;class g{constructor(D,M){this.key=D,this.negated=M,this.type=3}static create(D,M=null){const W=L.get(D);return typeof W=="boolean"?W?f.INSTANCE:p.INSTANCE:new g(D,M)}cmp(D){return D.type!==this.type?this.type-D.type:I(this.key,D.key)}equals(D){return D.type===this.type?this.key===D.key:!1}substituteConstants(){const D=L.get(this.key);return typeof D=="boolean"?D?f.INSTANCE:p.INSTANCE:this}evaluate(D){return!D.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(D){return D.mapNot(this.key)}negate(){return this.negated||(this.negated=d.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=g;function v($,D){if(typeof $=="string"){const M=parseFloat($);isNaN(M)||($=M)}return typeof $=="string"||typeof $=="number"?D($):f.INSTANCE}class l{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=12}static create(D,M,W=null){return v(M,F=>new l(D,F,W))}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(D){return D.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=i.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=l;class r{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=13}static create(D,M,W=null){return v(M,F=>new r(D,F,W))}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(D){return D.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=a.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=r;class a{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=14}static create(D,M,W=null){return v(M,F=>new a(D,F,W))}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(D){return D.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=a;class i{constructor(D,M,W){this.key=D,this.value=M,this.negated=W,this.type=15}static create(D,M,W=null){return v(M,F=>new i(D,F,W))}cmp(D){return D.type!==this.type?this.type-D.type:A(this.key,this.value,D.key,D.value)}equals(D){return D.type===this.type?this.key===D.key&&this.value===D.value:!1}substituteConstants(){return this}evaluate(D){return typeof this.value=="string"?!1:parseFloat(D.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(D){return D.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=l.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=i;class t{constructor(D,M){this.key=D,this.regexp=M,this.type=7,this.negated=null}static create(D,M){return new t(D,M)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.key<D.key)return-1;if(this.key>D.key)return 1;const M=this.regexp?this.regexp.source:"",W=D.regexp?D.regexp.source:"";return M<W?-1:M>W?1:0}equals(D){if(D.type===this.type){const M=this.regexp?this.regexp.source:"",W=D.regexp?D.regexp.source:"";return this.key===D.key&&M===W}return!1}substituteConstants(){return this}evaluate(D){let M=D.getValue(this.key);return this.regexp?this.regexp.test(M):!1}serialize(){const D=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${D}`}keys(){return[this.key]}map(D){return D.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=s.create(this)),this.negated}}e.ContextKeyRegexExpr=t;class s{constructor(D){this._actual=D,this.type=8}static create(D){return new s(D)}cmp(D){return D.type!==this.type?this.type-D.type:this._actual.cmp(D._actual)}equals(D){return D.type===this.type?this._actual.equals(D._actual):!1}substituteConstants(){return this}evaluate(D){return!this._actual.evaluate(D)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(D){return new s(this._actual.map(D))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;function o($){let D=null;for(let M=0,W=$.length;M<W;M++){const F=$[M].substituteConstants();if($[M]!==F&&D===null){D=[];for(let H=0;H<M;H++)D[H]=$[H]}D!==null&&(D[M]=F)}return D===null?$:D}class c{constructor(D,M){this.expr=D,this.negated=M,this.type=6}static create(D,M){return c._normalizeArr(D,M)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.expr.length<D.expr.length)return-1;if(this.expr.length>D.expr.length)return 1;for(let M=0,W=this.expr.length;M<W;M++){const F=b(this.expr[M],D.expr[M]);if(F!==0)return F}return 0}equals(D){if(D.type===this.type){if(this.expr.length!==D.expr.length)return!1;for(let M=0,W=this.expr.length;M<W;M++)if(!this.expr[M].equals(D.expr[M]))return!1;return!0}return!1}substituteConstants(){const D=o(this.expr);return D===this.expr?this:c.create(D,this.negated)}evaluate(D){for(let M=0,W=this.expr.length;M<W;M++)if(!this.expr[M].evaluate(D))return!1;return!0}static _normalizeArr(D,M){const W=[];let F=!1;for(const H of D)if(!!H){if(H.type===1){F=!0;continue}if(H.type===0)return f.INSTANCE;if(H.type===6){W.push(...H.expr);continue}W.push(H)}if(W.length===0&&F)return p.INSTANCE;if(W.length!==0){if(W.length===1)return W[0];W.sort(b);for(let H=1;H<W.length;H++)W[H-1].equals(W[H])&&(W.splice(H,1),H--);if(W.length===1)return W[0];for(;W.length>1;){const H=W[W.length-1];if(H.type!==9)break;W.pop();const Y=W.pop(),B=W.length===0,z=u.create(H.expr.map(Q=>c.create([Q,Y],null)),null,B);z&&(W.push(z),W.sort(b))}return W.length===1?W[0]:new c(W,M)}}serialize(){return this.expr.map(D=>D.serialize()).join(" && ")}keys(){const D=[];for(let M of this.expr)D.push(...M.keys());return D}map(D){return new c(this.expr.map(M=>M.map(D)),null)}negate(){if(!this.negated){const D=[];for(let M of this.expr)D.push(M.negate());this.negated=u.create(D,this,!0)}return this.negated}}class u{constructor(D,M){this.expr=D,this.negated=M,this.type=9}static create(D,M,W){return u._normalizeArr(D,M,W)}cmp(D){if(D.type!==this.type)return this.type-D.type;if(this.expr.length<D.expr.length)return-1;if(this.expr.length>D.expr.length)return 1;for(let M=0,W=this.expr.length;M<W;M++){const F=b(this.expr[M],D.expr[M]);if(F!==0)return F}return 0}equals(D){if(D.type===this.type){if(this.expr.length!==D.expr.length)return!1;for(let M=0,W=this.expr.length;M<W;M++)if(!this.expr[M].equals(D.expr[M]))return!1;return!0}return!1}substituteConstants(){const D=o(this.expr);return D===this.expr?this:u.create(D,this.negated,!1)}evaluate(D){for(let M=0,W=this.expr.length;M<W;M++)if(this.expr[M].evaluate(D))return!0;return!1}static _normalizeArr(D,M,W){let F=[],H=!1;if(D){for(let Y=0,B=D.length;Y<B;Y++){const z=D[Y];if(!!z){if(z.type===0){H=!0;continue}if(z.type===1)return p.INSTANCE;if(z.type===9){F=F.concat(z.expr);continue}F.push(z)}}if(F.length===0&&H)return f.INSTANCE;F.sort(b)}if(F.length!==0){if(F.length===1)return F[0];for(let Y=1;Y<F.length;Y++)F[Y-1].equals(F[Y])&&(F.splice(Y,1),Y--);if(F.length===1)return F[0];if(W){for(let Y=0;Y<F.length;Y++)for(let B=Y+1;B<F.length;B++)O(F[Y],F[B])&&(F.splice(B,1),B--);if(F.length===1)return F[0]}return new u(F,M)}}serialize(){return this.expr.map(D=>D.serialize()).join(" || ")}keys(){const D=[];for(let M of this.expr)D.push(...M.keys());return D}map(D){return new u(this.expr.map(M=>M.map(D)),null)}negate(){if(!this.negated){let D=[];for(let M of this.expr)D.push(M.negate());for(;D.length>1;){const M=D.shift(),W=D.shift(),F=[];for(const Y of N(M))for(const B of N(W))F.push(c.create([Y,B],null));const H=D.length===0;D.unshift(u.create(F,null,H))}this.negated=D[0]}return this.negated}}class m extends d{constructor(D,M,W){super(D,null);this._defaultValue=M,typeof W=="object"?m._info.push({...W,key:D}):W!==!0&&m._info.push({key:D,description:W,type:M!=null?typeof M:void 0})}static all(){return m._info.values()}bindTo(D){return D.createKey(this.key,this._defaultValue)}getValue(D){return D.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(D){return w.create(this.key,D)}notEqualsTo(D){return y.create(this.key,D)}}e.RawContextKey=m,m._info=[],e.IContextKeyService=(0,k.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function I($,D){return $<D?-1:$>D?1:0}function A($,D,M,W){return $<M?-1:$>M?1:D<W?-1:D>W?1:0}function O($,D){if(D.type===6&&$.type!==9&&$.type!==6){for(const F of D.expr)if($.equals(F))return!0}const M=$.negate(),W=N(M).concat(N(D));W.sort(b);for(let F=0;F<W.length;F++){const Y=W[F].negate();for(let B=F+1;B<W.length;B++){const z=W[B];if(Y.equals(z))return!0}}return!1}e.implies=O;function N($){return $.type===9?$.expr:[$]}}),define(ne[79],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,T.createDecorator)(e.ID);function n(k){return!!k.hostName&&!!k.errorMessage}e.isRemoteDiagnosticError=n}),define(ne[80],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,T.createDecorator)("downloadService")}),define(ne[13],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,T.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,T.refineServiceDecorator)(e.IEnvironmentService)}),define(ne[30],ie([0,1,18,130,6]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";var _;(function(g){g.WIN32_X64="win32-x64",g.WIN32_IA32="win32-ia32",g.WIN32_ARM64="win32-arm64",g.LINUX_X64="linux-x64",g.LINUX_ARM64="linux-arm64",g.LINUX_ARMHF="linux-armhf",g.ALPINE_X64="alpine-x64",g.ALPINE_ARM64="alpine-arm64",g.DARWIN_X64="darwin-x64",g.DARWIN_ARM64="darwin-arm64",g.WEB="web",g.UNIVERSAL="universal",g.UNKNOWN="unknown",g.UNDEFINED="undefined"})(_=e.TargetPlatform||(e.TargetPlatform={}));function L(g){switch(g){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=L;function R(g){switch(g){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=R;function C(g,v){switch(g){case 3:return v==="x64"?"win32-x64":v==="ia32"?"win32-ia32":v==="arm64"?"win32-arm64":"unknown";case 2:return v==="x64"?"linux-x64":v==="arm64"?"linux-arm64":v==="arm"?"linux-armhf":"unknown";case"alpine":return v==="x64"?"alpine-x64":v==="arm64"?"alpine-arm64":"unknown";case 1:return v==="x64"?"darwin-x64":v==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=C;function E(g,v){return v==="web"&&!g.includes("web")}e.isNotWebExtensionInWebTargetPlatform=E;function P(g,v,l){return E(v,l)?!1:g==="undefined"||g==="universal"?!0:g==="unknown"?!1:g===l?!0:b(l).includes(g)}e.isTargetPlatformCompatible=P;function b(g){switch(g){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=b;function f(g){return g&&typeof g=="object"&&typeof g.id=="string"&&(!g.uuid||typeof g.uuid=="string")}e.isIExtensionIdentifier=f;var p;(function(g){g[g.NoneOrRelevance=0]="NoneOrRelevance",g[g.LastUpdatedDate=1]="LastUpdatedDate",g[g.Title=2]="Title",g[g.PublisherName=3]="PublisherName",g[g.InstallCount=4]="InstallCount",g[g.PublishedDate=10]="PublishedDate",g[g.AverageRating=6]="AverageRating",g[g.WeightedRating=12]="WeightedRating"})(p=e.SortBy||(e.SortBy={}));var d;(function(g){g[g.Default=0]="Default",g[g.Ascending=1]="Ascending",g[g.Descending=2]="Descending"})(d=e.SortOrder||(e.SortOrder={}));var w;(function(g){g.Install="install",g.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var S;(function(g){g[g.None=1]="None",g[g.Install=2]="Install",g[g.Update=3]="Update",g[g.Migrate=4]="Migrate"})(S=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,k.createDecorator)("extensionGalleryService");var h;(function(g){g.Unsupported="Unsupported",g.UnsupportedPreRelease="UnsupportedPreRelease",g.Malicious="Malicious",g.Incompatible="Incompatible",g.IncompatiblePreRelease="IncompatiblePreRelease",g.IncompatibleTargetPlatform="IncompatibleTargetPlatform",g.Invalid="Invalid",g.Download="Download",g.Extract="Extract",g.Delete="Delete",g.Rename="Rename",g.CorruptZip="CorruptZip",g.IncompleteZip="IncompleteZip",g.Internal="Internal"})(h=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class y extends Error{constructor(v,l){super(v);this.code=l,this.name=l}}e.ExtensionManagementError=y,e.IExtensionManagementService=(0,k.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,k.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,k.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=T.FileAccess.asBrowserUri("./media/defaultIcon.png",J).toString(!0),e.ExtensionsLabel=(0,n.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,n.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,k.createDecorator)("IExtensionManagementCLIService")});var X=this&&this.__param||function(J,e){return function(T,n){e(T,n,J)}};define(ne[160],ie([0,1,2,30]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsCleaner=void 0;let k=class extends T.Disposable{constructor(L){super();L.removeDeprecatedExtensions(),L.migrateUnsupportedExtensions()}};k=de([X(0,n.IExtensionManagementService)],k),e.ExtensionsCleaner=k}),define(ne[161],ie([0,1,3,2,28,7,110,30]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function C(w,S){return _.URI.revive(S?S.transformIncoming(w):w)}function E(w,S){return S?S.transformOutgoingURI(w):w}function P(w,S){S=S||L.DefaultURITransformer;const h=w.manifest;return{...(0,L.transformAndReviveIncomingURIs)({...w,manifest:void 0},S),manifest:h}}function b(w,S){return S?(0,k.cloneAndChange)(w,h=>h instanceof _.URI?S.transformOutgoingURI(h):void 0):w}class f{constructor(S,h){this.service=S,this.getUriTransformer=h,this.onInstallExtension=T.Event.buffer(S.onInstallExtension,!0),this.onDidInstallExtensions=T.Event.buffer(S.onDidInstallExtensions,!0),this.onUninstallExtension=T.Event.buffer(S.onUninstallExtension,!0),this.onDidUninstallExtension=T.Event.buffer(S.onDidUninstallExtension,!0)}listen(S,h){const y=this.getUriTransformer(S);switch(h){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtensions":return T.Event.map(this.onDidInstallExtensions,g=>g.map(v=>({...v,local:v.local?b(v.local,y):v.local})));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(S,h,y){const g=this.getUriTransformer(S);switch(h){case"zip":return this.service.zip(P(y[0],g)).then(v=>E(v,g));case"unzip":return this.service.unzip(C(y[0],g));case"install":return this.service.install(C(y[0],g),y[1]);case"getManifest":return this.service.getManifest(C(y[0],g));case"getTargetPlatform":return this.service.getTargetPlatform();case"canInstall":return this.service.canInstall(y[0]);case"installFromGallery":return this.service.installFromGallery(y[0],y[1]);case"uninstall":return this.service.uninstall(P(y[0],g),y[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(P(y[0],g));case"getInstalled":return this.service.getInstalled(y[0]).then(v=>v.map(l=>b(l,g)));case"updateMetadata":return this.service.updateMetadata(P(y[0],g),y[1]).then(v=>b(v,g));case"updateExtensionScope":return this.service.updateExtensionScope(P(y[0],g),y[1]).then(v=>b(v,g));case"getExtensionsControlManifest":return this.service.getExtensionsControlManifest()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=f;class p extends n.Disposable{constructor(S){super();this.channel=S,this._onInstallExtension=this._register(new T.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new T.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new T.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new T.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(h=>this._onInstallExtension.fire({identifier:h.identifier,source:this.isUriComponents(h.source)?_.URI.revive(h.source):h.source}))),this._register(this.channel.listen("onDidInstallExtensions")(h=>this._onDidInstallExtensions.fire(h.map(y=>({...y,local:y.local?P(y.local,null):y.local,source:this.isUriComponents(y.source)?_.URI.revive(y.source):y.source}))))),this._register(this.channel.listen("onUninstallExtension")(h=>this._onUninstallExtension.fire(h))),this._register(this.channel.listen("onDidUninstallExtension")(h=>this._onDidUninstallExtension.fire(h)))}isUriComponents(S){return S?typeof S.path=="string"&&typeof S.scheme=="string":!1}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=this.channel.call("getTargetPlatform")),this._targetPlatformPromise}async canInstall(S){const h=await this.getTargetPlatform();return S.allTargetPlatforms.some(y=>(0,R.isTargetPlatformCompatible)(y,S.allTargetPlatforms,h))}zip(S){return Promise.resolve(this.channel.call("zip",[S]).then(h=>_.URI.revive(h)))}unzip(S){return Promise.resolve(this.channel.call("unzip",[S]))}install(S,h){return Promise.resolve(this.channel.call("install",[S,h])).then(y=>P(y,null))}getManifest(S){return Promise.resolve(this.channel.call("getManifest",[S]))}installFromGallery(S,h){return Promise.resolve(this.channel.call("installFromGallery",[S,h])).then(y=>P(y,null))}uninstall(S,h){return Promise.resolve(this.channel.call("uninstall",[S,h]))}reinstallFromGallery(S){return Promise.resolve(this.channel.call("reinstallFromGallery",[S]))}getInstalled(S=null){return Promise.resolve(this.channel.call("getInstalled",[S])).then(h=>h.map(y=>P(y,null)))}updateMetadata(S,h){return Promise.resolve(this.channel.call("updateMetadata",[S,h])).then(y=>P(y,null))}updateExtensionScope(S,h){return Promise.resolve(this.channel.call("updateExtensionScope",[S,h])).then(y=>P(y,null))}getExtensionsControlManifest(){return Promise.resolve(this.channel.call("getExtensionsControlManifest"))}registerParticipant(){throw new Error("Not Supported")}}e.ExtensionManagementChannelClient=p;class d{constructor(S){this.service=S}listen(S,h){throw new Error("Invalid listen")}call(S,h,y){switch(h){case"getConfigBasedTips":return this.service.getConfigBasedTips(_.URI.revive(y[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=d}),define(ne[81],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var n;(function(L){L[L.FILE=1]="FILE",L[L.WORKSPACE=2]="WORKSPACE",L[L.EXE=3]="EXE"})(n=e.RecommendationSource||(e.RecommendationSource={}));function k(L){switch(L){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=k;var _;(function(L){L.Ignored="ignored",L.Cancelled="cancelled",L.TooMany="toomany",L.IncompatibleWindow="incompatibleWindow",L.Accepted="reacted"})(_=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,T.createDecorator)("IExtensionRecommendationNotificationService")}),define(ne[14],ie([0,1,39,10,27,15,7,137,6]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,C.createDecorator)("fileService");function E(F){return F.create===!0}e.isFileOpenForWriteOptions=E;var P;(function(F){F[F.Unknown=0]="Unknown",F[F.File=1]="File",F[F.Directory=2]="Directory",F[F.SymbolicLink=64]="SymbolicLink"})(P=e.FileType||(e.FileType={}));var b;(function(F){F[F.Readonly=1]="Readonly"})(b=e.FilePermission||(e.FilePermission={}));var f;(function(F){F[F.FileReadWrite=2]="FileReadWrite",F[F.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",F[F.FileReadStream=16]="FileReadStream",F[F.FileFolderCopy=8]="FileFolderCopy",F[F.PathCaseSensitive=1024]="PathCaseSensitive",F[F.Readonly=2048]="Readonly",F[F.Trash=4096]="Trash",F[F.FileWriteUnlock=8192]="FileWriteUnlock",F[F.FileAtomicRead=16384]="FileAtomicRead"})(f=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function p(F){return!!(F.capabilities&2)}e.hasReadWriteCapability=p;function d(F){return!!(F.capabilities&8)}e.hasFileFolderCopyCapability=d;function w(F){return!!(F.capabilities&4)}e.hasOpenReadWriteCloseCapability=w;function S(F){return!!(F.capabilities&16)}e.hasFileReadStreamCapability=S;function h(F){return p(F)?!!(F.capabilities&16384):!1}e.hasFileAtomicReadCapability=h;var y;(function(F){F.FileExists="EntryExists",F.FileNotFound="EntryNotFound",F.FileNotADirectory="EntryNotADirectory",F.FileIsADirectory="EntryIsADirectory",F.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",F.FileTooLarge="EntryTooLarge",F.FileWriteLocked="EntryWriteLocked",F.NoPermissions="NoPermissions",F.Unavailable="Unavailable",F.Unknown="Unknown"})(y=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class g extends Error{constructor(H,Y){super(H);this.code=Y}}e.FileSystemProviderError=g;function v(F,H){const Y=new g(F.toString(),H);return r(Y,H),Y}e.createFileSystemProviderError=v;function l(F){return F||v((0,R.localize)(0,null),y.Unknown)}e.ensureFileSystemProviderError=l;function r(F,H){return F.name=H?`${H} (FileSystemError)`:"FileSystemError",F}e.markAsFileSystemProviderError=r;function a(F){if(!F)return y.Unknown;if(F instanceof g)return F.code;const H=/^(.+) \(FileSystemError\)$/.exec(F.name);if(!H)return y.Unknown;switch(H[1]){case y.FileExists:return y.FileExists;case y.FileIsADirectory:return y.FileIsADirectory;case y.FileNotADirectory:return y.FileNotADirectory;case y.FileNotFound:return y.FileNotFound;case y.FileExceedsMemoryLimit:return y.FileExceedsMemoryLimit;case y.FileTooLarge:return y.FileTooLarge;case y.FileWriteLocked:return y.FileWriteLocked;case y.NoPermissions:return y.NoPermissions;case y.Unavailable:return y.Unavailable}return y.Unknown}e.toFileSystemProviderErrorCode=a;function i(F){if(F instanceof m)return F.fileOperationResult;switch(a(F)){case y.FileNotFound:return 1;case y.FileIsADirectory:return 0;case y.FileNotADirectory:return 10;case y.FileWriteLocked:return 5;case y.NoPermissions:return 6;case y.FileExists:return 4;case y.FileExceedsMemoryLimit:return 9;case y.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=i;var t;(function(F){F[F.CREATE=0]="CREATE",F[F.DELETE=1]="DELETE",F[F.MOVE=2]="MOVE",F[F.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class s{constructor(H,Y,B){this.resource=H,this.operation=Y,this.target=B}isOperation(H){return this.operation===H}}e.FileOperationEvent=s;var o;(function(F){F[F.UPDATED=0]="UPDATED",F[F.ADDED=1]="ADDED",F[F.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class c{constructor(H,Y){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=H;const B=new Map;for(const z of H){const Q=B.get(z.type);switch(Q?Q.push([z.resource,z]):B.set(z.type,[[z.resource,z]]),z.type){case 1:this.rawAdded.push(z.resource);break;case 0:this.rawUpdated.push(z.resource);break;case 2:this.rawDeleted.push(z.resource);break}}for(const[z,Q]of B)switch(z){case 1:this.added=T.TernarySearchTree.forUris(()=>Y),this.added.fill(Q);break;case 0:this.updated=T.TernarySearchTree.forUris(()=>Y),this.updated.fill(Q);break;case 2:this.deleted=T.TernarySearchTree.forUris(()=>Y),this.deleted.fill(Q);break}}contains(H,...Y){return this.doContains(H,{includeChildren:!1},...Y)}affects(H,...Y){return this.doContains(H,{includeChildren:!0},...Y)}doContains(H,Y,...B){if(!H)return!1;const z=B.length>0;return!!((!z||B.includes(1))&&(this.added?.get(H)||Y.includeChildren&&this.added?.findSuperstr(H))||(!z||B.includes(0))&&(this.updated?.get(H)||Y.includeChildren&&this.updated?.findSuperstr(H))||(!z||B.includes(2))&&(this.deleted?.findSubstr(H)||Y.includeChildren&&this.deleted?.findSuperstr(H)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=c;function u(F,H,Y){return!F||!H||F===H||H.length>F.length?!1:(H.charAt(H.length-1)!==n.sep&&(H+=n.sep),Y?(0,k.startsWithIgnoreCase)(F,H):F.indexOf(H)===0)}e.isParent=u;class m extends Error{constructor(H,Y,B){super(H);this.fileOperationResult=Y,this.options=B}}e.FileOperationError=m;class I extends m{constructor(H,Y,B){super(H,2,B);this.stat=Y}}e.NotModifiedSinceFileOperationError=I;var A;(function(F){F[F.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",F[F.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",F[F.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",F[F.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",F[F.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",F[F.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",F[F.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",F[F.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",F[F.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",F[F.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",F[F.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",F[F.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(A=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var O;(function(F){F[F.FILE=0]="FILE",F[F.FOLDER=1]="FOLDER",F[F.ROOT_FOLDER=2]="ROOT_FOLDER"})(O=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function N(F){if(!(typeof F.size!="number"||typeof F.mtime!="number"))return F.mtime.toString(29)+F.size.toString(31)}e.etag=N;async function $(F,H){if(!H.hasProvider(L.URI.from({scheme:F.scheme})))return new Promise(Y=>{const B=H.onDidChangeFileSystemProviderRegistrations(z=>{z.scheme===F.scheme&&z.added&&(B.dispose(),Y())})})}e.whenProviderRegistered=$,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class D{static formatSize(H){return(0,_.isNumber)(H)||(H=0),H<D.KB?(0,R.localize)(1,null,H.toFixed(0)):H<D.MB?(0,R.localize)(2,null,(H/D.KB).toFixed(2)):H<D.GB?(0,R.localize)(3,null,(H/D.MB).toFixed(2)):H<D.TB?(0,R.localize)(4,null,(H/D.GB).toFixed(2)):(0,R.localize)(5,null,(H/D.TB).toFixed(2))}}e.ByteSize=D,D.KB=1024,D.MB=D.KB*D.KB,D.GB=D.MB*D.KB,D.TB=D.GB*D.KB;var M;(function(F){F[F.IA32=0]="IA32",F[F.OTHER=1]="OTHER"})(M=e.Arch||(e.Arch={}));function W(F){return{maxFileSize:F===0?300*D.MB:16*D.GB,maxHeapSize:F===0?700*D.MB:2*700*D.MB}}e.getPlatformLimits=W}),define(ne[162],ie([0,1,82,40,14]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let _=class{constructor(R){this.fileService=R}async checksum(R){const C=(await this.fileService.readFileStream(R)).value;return new Promise((E,P)=>{const b=(0,T.createHash)("md5");(0,n.listenStream)(C,{onData:f=>b.update(f.buffer),onError:f=>P(f),onEnd:()=>E(b.digest("base64").replace(/=+$/,""))})})}};_=de([X(0,k.IFileService)],_),e.ChecksumService=_}),define(ne[163],ie([0,1,250,127,150,14]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;function L(f,p){const d={onUnknownOption:S=>{console.warn((0,n.localize)(0,null,S))},onMultipleValues:(S,h)=>{console.warn((0,n.localize)(1,null,S,h))},onDeprecatedOption:(S,h)=>{console.warn((0,n.localize)(2,null,S,h))}},w=(0,k.parseArgs)(f,k.OPTIONS,p?d:void 0);return w.goto&&w._.forEach(S=>T(/^(\w:)?[^:]+(:\d*){0,2}$/.test(S),(0,n.localize)(3,null))),w["max-memory"]&&T(parseInt(w["max-memory"])>=_.MIN_MAX_MEMORY_SIZE_MB,`The max-memory argument cannot be specified lower than ${_.MIN_MAX_MEMORY_SIZE_MB} MB.`),w}function R(f){const p=f.findIndex(d=>!/^-/.test(d));if(p>-1)return[...f.slice(0,p),...f.slice(p+1)]}function C(f){let[,...p]=f;process.env.VSCODE_DEV&&(p=R(p)||[]);const d=!b(process.env);return L(p,d)}e.parseMainProcessArgv=C;function E(f){const[,,...p]=f;return L(p,!0)}e.parseCLIProcessArgv=E;function P(f,...p){const d=f.indexOf("--");return d===-1?f.push(...p):f.splice(d,0,...p),f}e.addArg=P;function b(f){return f.VSCODE_CLI==="1"}e.isLaunchedFromCli=b}),define(ne[164],ie([0,1,45,10,128,25,37,9,4,29,123,163,5]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const p=1e4;let d;async function w(h,y,g){return y["force-disable-user-env"]?(h.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):C.isWindows?(h.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,b.isLaunchedFromCli)(g)&&!y["force-user-env"]?(h.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,b.isLaunchedFromCli)(g)?h.trace("resolveShellEnv(): running (--force-user-env)"):h.trace("resolveShellEnv(): running (macOS/Linux)"),d||(d=f.Promises.withAsyncBody(async(v,l)=>{const r=new _.CancellationTokenSource,a=setTimeout(()=>{r.dispose(!0),l(new Error((0,k.localize)(0,null)))},p);try{v(await S(h,r.token))}catch(i){!(0,R.isPromiseCanceledError)(i)&&!r.token.isCancellationRequested?l(new Error((0,k.localize)(1,null,(0,L.toErrorMessage)(i)))):v({})}finally{clearTimeout(a),r.dispose()}})),d)}e.getResolvedShellEnv=w;async function S(h,y){const g=process.env.ELECTRON_RUN_AS_NODE;h.trace("getUnixShellEnvironment#runAsNode",g);const v=process.env.ELECTRON_NO_ATTACH_CONSOLE;h.trace("getUnixShellEnvironment#noAttach",v);const l=(0,E.generateUuid)().replace(/-/g,"").substr(0,12),r=new RegExp(l+"(.*)"+l),a={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};h.trace("getUnixShellEnvironment#env",a);const i=await(0,P.getSystemShell)(C.OS,a);return h.trace("getUnixShellEnvironment#shell",i),new Promise((t,s)=>{if(y.isCancellationRequested)return s((0,R.canceled)());const o=(0,n.basename)(i);let c,u;const m=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(o)?(c=`& '${process.execPath}' ${m} -p '''${l}'' + JSON.stringify(process.env) + ''${l}'''`,u=["-Login","-Command"]):(c=`'${process.execPath}' ${m} -p '"${l}" + JSON.stringify(process.env) + "${l}"'`,o==="tcsh"?u=["-ic"]:u=["-ilc"]),h.trace("getUnixShellEnvironment#spawn",JSON.stringify(u),c);const I=(0,T.spawn)(i,[...u,c],{detached:!0,stdio:["ignore","pipe","pipe"],env:a});y.onCancellationRequested(()=>(I.kill(),s((0,R.canceled)()))),I.on("error",N=>{h.error("getUnixShellEnvironment#errorChildProcess",(0,L.toErrorMessage)(N)),s(N)});const A=[];I.stdout.on("data",N=>A.push(N));const O=[];I.stderr.on("data",N=>O.push(N)),I.on("close",(N,$)=>{const D=Buffer.concat(A).toString("utf8");h.trace("getUnixShellEnvironment#raw",D);const M=Buffer.concat(O).toString("utf8");if(M.trim()&&h.trace("getUnixShellEnvironment#stderr",M),N||$)return s(new Error((0,k.localize)(2,null,N,$)));const W=r.exec(D),F=W?W[1]:"{}";try{const H=JSON.parse(F);g?H.ELECTRON_RUN_AS_NODE=g:delete H.ELECTRON_RUN_AS_NODE,v?H.ELECTRON_NO_ATTACH_CONSOLE=v:delete H.ELECTRON_NO_ATTACH_CONSOLE,delete H.XDG_RUNTIME_DIR,h.trace("getUnixShellEnvironment#result",H),t(H)}catch(H){h.error("getUnixShellEnvironment#errorCaught",(0,L.toErrorMessage)(H)),s(H)}})})}}),define(ne[165],ie([0,1,17,37,9,3,2,40,7,29,14]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class b extends L.Disposable{constructor(p,d){super();this.channel=p,this.extraCapabilities=d,this.onDidChangeCapabilities=_.Event.None,this._onDidChange=this._register(new _.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new _.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,E.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(p){return this.channel.call("stat",[p])}readdir(p){return this.channel.call("readdir",[p])}async readFile(p,d){const{buffer:w}=await this.channel.call("readFile",[p,d]);return w}readFileStream(p,d,w){const S=(0,R.newWriteableStream)(y=>T.VSBuffer.concat(y.map(g=>T.VSBuffer.wrap(g))).buffer),h=this.channel.listen("readFileStream",[p,d])(y=>{if(y instanceof T.VSBuffer)S.write(y.buffer);else{if(y==="end")S.end();else{let g=y;g instanceof Error||(g=(0,P.createFileSystemProviderError)((0,n.toErrorMessage)(g),P.FileSystemProviderErrorCode.Unknown)),S.error(g),S.end()}h.dispose()}});return w.onCancellationRequested(()=>{S.error((0,k.canceled)()),S.end(),h.dispose()}),S}writeFile(p,d,w){return this.channel.call("writeFile",[p,T.VSBuffer.wrap(d),w])}open(p,d){return this.channel.call("open",[p,d])}close(p){return this.channel.call("close",[p])}async read(p,d,w,S,h){const[y,g]=await this.channel.call("read",[p,d,h]);return w.set(y.buffer.slice(0,g),S),g}write(p,d,w,S,h){return this.channel.call("write",[p,d,T.VSBuffer.wrap(w),S,h])}mkdir(p){return this.channel.call("mkdir",[p])}delete(p,d){return this.channel.call("delete",[p,d])}rename(p,d,w){return this.channel.call("rename",[p,d,w])}copy(p,d,w){return this.channel.call("copy",[p,d,w])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(p=>{if(Array.isArray(p)){const d=p;this._onDidChange.fire(d.map(w=>({resource:C.URI.revive(w.resource),type:w.type})))}else{const d=p;this._onDidWatchError.fire(d)}}))}watch(p,d){const w=(0,E.generateUuid)();return this.channel.call("watch",[this.sessionId,w,p,d]),(0,L.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,w]))}}e.DiskFileSystemProviderClient=b}),define(ne[83],ie([0,1,17,9,138,14]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function L(P,b,f,p,d,w){let S;try{await R(P,b,f,p,d,w)}catch(h){S=h}finally{S&&d.errorTransformer&&(S=d.errorTransformer(S)),typeof S!="undefined"&&f.error(S),f.end()}}e.readFileIntoStream=L;async function R(P,b,f,p,d,w){C(w);const S=await P.open(b,{create:!1});try{C(w);let h=0,y=0,g=d&&typeof d.length=="number"?d.length:void 0,v=T.VSBuffer.alloc(Math.min(d.bufferSize,typeof g=="number"?g:d.bufferSize)),l=d&&typeof d.position=="number"?d.position:0,r=0;do y=await P.read(S,l,v.buffer,r,v.byteLength-r),l+=y,r+=y,h+=y,typeof g=="number"&&(g-=y),r===v.byteLength&&(await f.write(p(v)),v=T.VSBuffer.alloc(Math.min(d.bufferSize,typeof g=="number"?g:d.bufferSize)),r=0);while(y>0&&(typeof g!="number"||g>0)&&C(w)&&E(h,d));if(r>0){let a=r;typeof g=="number"&&(a=Math.min(r,g)),f.write(p(v.slice(0,a)))}}catch(h){throw(0,_.ensureFileSystemProviderError)(h)}finally{await P.close(S)}}function C(P){if(P.isCancellationRequested)throw(0,n.canceled)();return!0}function E(P,b){if(b?.limits){if(typeof b.limits.memory=="number"&&P>b.limits.memory)throw(0,_.createFileSystemProviderError)((0,k.localize)(0,null),_.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof b.limits.size=="number"&&P>b.limits.size)throw(0,_.createFileSystemProviderError)((0,k.localize)(1,null),_.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(ne[58],ie([0,1,2,4,7,14]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.coalesceEvents=e.toFileChanges=e.AbstractRecursiveWatcherClient=void 0;class L extends T.Disposable{constructor(b,f,p){super();this.onFileChanges=b,this.onLogMessage=f,this.verboseLogging=p,this.watcherDisposables=this._register(new T.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const b=new T.DisposableStore;this.watcherDisposables.value=b,this.watcher=this.createWatcher(b),this.watcher.setVerboseLogging(this.verboseLogging),b.add(this.watcher.onDidChangeFile(f=>this.onFileChanges(f))),b.add(this.watcher.onDidLogMessage(f=>this.onLogMessage(f))),b.add(this.watcher.onDidError(f=>this.onError(f)))}onError(b){this.restartCounter<L.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${b}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${b}`)}restart(b){this.restartCounter++,this.init(),this.watch(b)}async watch(b){this.requests=b,await this.watcher?.watch(b)}async setVerboseLogging(b){this.verboseLogging=b,await this.watcher?.setVerboseLogging(b)}error(b){this.onLogMessage({type:"error",message:`[File Watcher (parcel)] ${b}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractRecursiveWatcherClient=L,L.MAX_RESTARTS=5;function R(P){return P.map(b=>({type:b.type,resource:k.URI.file(b.path)}))}e.toFileChanges=R;function C(P){const b=new E;for(const f of P)b.processEvent(f);return b.coalesce()}e.coalesceEvents=C;class E{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(b){return n.isLinux?b.path:b.path.toLowerCase()}processEvent(b){const f=this.mapPathToChange.get(this.toKey(b));let p=!1;if(f){const d=f.type,w=b.type;f.path!==b.path&&(b.type===2||b.type===1)?p=!0:d===1&&w===2?(this.mapPathToChange.delete(this.toKey(b)),this.coalesced.delete(f)):d===2&&w===1?f.type=0:d===1&&w===0||(f.type=w)}else p=!0;p&&(this.coalesced.add(b),this.mapPathToChange.set(this.toKey(b),b))}coalesce(){const b=[],f=[];return Array.from(this.coalesced).filter(p=>p.type!==2?(b.push(p),!1):!0).sort((p,d)=>p.path.length-d.path.length).filter(p=>f.some(d=>(0,_.isParent)(p.path,d,!n.isLinux))?!1:(f.push(p.path),!0)).concat(b)}}}),define(ne[166],ie([0,1,50,5,25,41,109,2,70,10,4,114,22,58]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcher=void 0;class d extends R.Disposable{constructor(h,y,g,v){super();this.request=h,this.onDidFilesChange=y,this.onLogMessage=g,this.verboseLogging=v,this.throttledFileChangesWorker=new n.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},l=>this.onDidFilesChange(l)),this.fileChangesDelayer=this._register(new n.ThrottledDelayer(d.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=this.request.excludes.map(l=>(0,L.parse)(l)),this.cts=new k.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const h=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;this.trace(`Request to start watching: ${h} (excludes: ${this.request.excludes}))}`);const y=await f.Promises.stat(h);this._register(await this.doWatch(h,y.isDirectory()))}catch(h){h.code!=="ENOENT"?this.error(h):this.trace(h)}}async normalizePath(h){let y=h.path;try{y=await f.Promises.realpath(h.path),h.path===y&&(y=await(0,b.realcase)(h.path)??h.path),h.path!==y&&this.warn(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${h.path}, real: ${y})`)}catch{}return y}async doWatch(h,y){if(P.isMacintosh&&(0,_.isEqualOrParent)(h,"/Volumes/"))return this.error(`Refusing to watch ${h} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),R.Disposable.None;const g=new k.CancellationTokenSource(this.cts.token);let v=new R.DisposableStore;try{const l=(0,E.basename)(h),r=(0,T.watch)(h);v.add((0,R.toDisposable)(()=>{r.removeAllListeners(),r.close()}));const a=new Set;if(y)try{for(const t of await f.Promises.readdir(h))a.add(t)}catch(t){this.error(t)}const i=new Map;v.add((0,R.toDisposable)(()=>{for(const[,t]of i)t.dispose();i.clear()})),r.on("error",(t,s)=>{this.error(`Failed to watch ${h} for changes using fs.watch() (${t}, ${s})`),this.dispose()}),r.on("change",(t,s)=>{if(g.token.isCancellationRequested)return;this.trace(`[raw] ["${t}"] ${s}`);let o="";if(s&&(o=s.toString(),P.isMacintosh&&(o=(0,C.normalizeNFC)(o))),!(!o||t!=="change"&&t!=="rename"))if(y)if(t==="rename"){i.get(o)?.dispose();const c=setTimeout(async()=>{if(i.delete(o),o===l&&!await f.Promises.exists(h)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const u=await this.existsChildStrictCase((0,E.join)(h,o));if(g.token.isCancellationRequested)return;let m;u?a.has(o)?m=0:(m=1,a.add(o)):(a.delete(o),m=2),this.onFileChange({path:(0,E.join)(this.request.path,o),type:m})},d.FILE_DELETE_HANDLER_DELAY);i.set(o,(0,R.toDisposable)(()=>clearTimeout(c)))}else{let c;a.has(o)?c=0:(c=1,a.add(o)),this.onFileChange({path:(0,E.join)(this.request.path,o),type:c})}else if(t==="rename"||o!==l){const c=setTimeout(async()=>{const u=await f.Promises.exists(h);g.token.isCancellationRequested||(u?(this.onFileChange({path:this.request.path,type:0},!0),v.add(await this.doWatch(h,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},d.FILE_DELETE_HANDLER_DELAY);v.clear(),v.add((0,R.toDisposable)(()=>clearTimeout(c)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(l){await f.Promises.exists(h)&&!g.token.isCancellationRequested&&this.error(`Failed to watch ${h} for changes using fs.watch() (${l.toString()})`)}return(0,R.toDisposable)(()=>{g.dispose(!0),v.dispose()})}async onFileChange(h,y=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`),!y&&this.excludes.some(g=>g(h.path))?this.verboseLogging&&this.trace(` >> ignored ${h.path}`):this.fileChangesBuffer.push(h);try{await this.fileChangesDelayer.trigger(async()=>{const g=this.fileChangesBuffer;this.fileChangesBuffer=[];const v=(0,p.coalesceEvents)(g);if(v.length>0){if(this.verboseLogging)for(const r of v)this.trace(`>> normalized ${r.type===1?"[ADDED]":r.type===2?"[DELETED]":"[CHANGED]"} ${r.path}`);this.throttledFileChangesWorker.work(v)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${v[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${v.length}, most recent change: ${v[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(h){if(P.isLinux)return f.Promises.exists(h);try{const y=(0,E.basename)(h);return(await f.Promises.readdir((0,E.dirname)(h))).some(v=>v===y)}catch(y){return this.trace(y),!1}}setVerboseLogging(h){this.verboseLogging=h}error(h){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${h}`})}warn(h){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${h}`})}trace(h){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${h}`})}dispose(){this.trace("stopping file watcher"),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcher=d,d.FILE_DELETE_HANDLER_DELAY=100,d.FILE_CHANGES_HANDLER_DELAY=50;async function w(S,h,y,g=512){const v=await f.Promises.open(S,"r"),l=Buffer.allocUnsafe(g),r=new k.CancellationTokenSource(y);let a,i=!1;const t={path:S,excludes:[]},s=new d(t,o=>{(async()=>{for(const{type:c}of o)if(c===0){if(i)return;i=!0;try{for(;!r.token.isCancellationRequested;){const{bytesRead:u}=await f.Promises.read(v,l,0,g,null);if(!u||r.token.isCancellationRequested)break;h(l.slice(0,u))}}catch(u){a=new Error(u),r.dispose(!0)}finally{i=!1}}})()});return new Promise((o,c)=>{r.token.onCancellationRequested(async()=>{s.dispose();try{await f.Promises.close(v)}catch(u){a=new Error(u)}a?c(a):o()})})}e.watchFileContents=w}),define(ne[167],ie([0,1,18,36,57,58]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ParcelWatcherClient=void 0;class L extends _.AbstractRecursiveWatcherClient{constructor(C,E,P){super(C,E,P);this.init()}createWatcher(C){const E=C.add(new k.Client(T.FileAccess.asFileUri("bootstrap-fork",J).fsPath,{serverName:"File Watcher (parcel, node.js)",args:["--type=parcelWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/parcel/parcelWatcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return C.add(E.onDidProcessExit(({code:P,signal:b})=>this.onError(`terminated by itself with code ${P}, signal: ${b}`))),n.ProxyChannel.toService((0,n.getNextTickChannel)(E.getChannel("watcher")))}}e.ParcelWatcherClient=L}),define(ne[84],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class T{constructor(...k){this._entries=new Map;for(let[_,L]of k)this.set(_,L)}set(k,_){const L=this._entries.get(k);return this._entries.set(k,_),L}has(k){return this._entries.has(k)}get(k){return this._entries.get(k)}}e.ServiceCollection=T}),define(ne[168],ie([0,1,5,9,51,157,6,84]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const C=!1;class E extends Error{constructor(d){super("cyclic dependency between services");this.message=d.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${d.toString()}`}}class P{constructor(d=new R.ServiceCollection,w=!1,S){this._activeInstantiations=new Set,this._services=d,this._strict=w,this._parent=S,this._services.set(L.IInstantiationService,this)}createChild(d){return new P(d,this._strict,this)}invokeFunction(d,...w){let S=f.traceInvocation(d),h=!1;try{return d({get:g=>{if(h)throw(0,n.illegalState)("service accessor is only valid during the invocation of its target method");const v=this._getOrCreateServiceInstance(g,S);if(!v)throw new Error(`[invokeFunction] unknown service '${g}'`);return v}},...w)}finally{h=!0,S.stop()}}createInstance(d,...w){let S,h;return d instanceof k.SyncDescriptor?(S=f.traceCreation(d.ctor),h=this._createInstance(d.ctor,d.staticArguments.concat(w),S)):(S=f.traceCreation(d),h=this._createInstance(d,w,S)),S.stop(),h}_createInstance(d,w=[],S){let h=L._util.getServiceDependencies(d).sort((v,l)=>v.index-l.index),y=[];for(const v of h){let l=this._getOrCreateServiceInstance(v.id,S);if(!l&&this._strict&&!v.optional)throw new Error(`[createInstance] ${d.name} depends on UNKNOWN service ${v.id}.`);y.push(l)}let g=h.length>0?h[0].index:w.length;if(w.length!==g){console.warn(`[createInstance] First service dependency of ${d.name} at position ${g+1} conflicts with ${w.length} static arguments`);let v=g-w.length;v>0?w=w.concat(new Array(v)):w=w.slice(0,g)}return new d(...[...w,...y])}_setServiceInstance(d,w){if(this._services.get(d)instanceof k.SyncDescriptor)this._services.set(d,w);else if(this._parent)this._parent._setServiceInstance(d,w);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(d){let w=this._services.get(d);return!w&&this._parent?this._parent._getServiceInstanceOrDescriptor(d):w}_getOrCreateServiceInstance(d,w){let S=this._getServiceInstanceOrDescriptor(d);return S instanceof k.SyncDescriptor?this._safeCreateAndCacheServiceInstance(d,S,w.branch(d,!0)):(w.branch(d,!1),S)}_safeCreateAndCacheServiceInstance(d,w,S){if(this._activeInstantiations.has(d))throw new Error(`illegal state - RECURSIVELY instantiating service '${d}'`);this._activeInstantiations.add(d);try{return this._createAndCacheServiceInstance(d,w,S)}finally{this._activeInstantiations.delete(d)}}_createAndCacheServiceInstance(d,w,S){const h=new _.Graph(v=>v.id.toString());let y=0;const g=[{id:d,desc:w,_trace:S}];for(;g.length;){const v=g.pop();if(h.lookupOrInsertNode(v),y++>1e3)throw new E(h);for(let l of L._util.getServiceDependencies(v.desc.ctor)){let r=this._getServiceInstanceOrDescriptor(l.id);if(!r&&!l.optional&&console.warn(`[createInstance] ${d} depends on ${l.id} which is NOT registered.`),r instanceof k.SyncDescriptor){const a={id:l.id,desc:r,_trace:v._trace.branch(l.id,!0)};h.insertEdge(v,a),g.push(a)}}}for(;;){const v=h.roots();if(v.length===0){if(!h.isEmpty())throw new E(h);break}for(const{data:l}of v){if(this._getServiceInstanceOrDescriptor(l.id)instanceof k.SyncDescriptor){const a=this._createServiceInstanceWithOwner(l.id,l.desc.ctor,l.desc.staticArguments,l.desc.supportsDelayedInstantiation,l._trace);this._setServiceInstance(l.id,a)}h.removeNode(l)}}return this._getServiceInstanceOrDescriptor(d)}_createServiceInstanceWithOwner(d,w,S=[],h,y){if(this._services.get(d)instanceof k.SyncDescriptor)return this._createServiceInstance(w,S,h,y);if(this._parent)return this._parent._createServiceInstanceWithOwner(d,w,S,h,y);throw new Error(`illegalState - creating UNKNOWN service instance ${w.name}`)}_createServiceInstance(d,w=[],S,h){if(S){const y=new T.IdleValue(()=>this._createInstance(d,w,h));return new Proxy(Object.create(null),{get(g,v){if(v in g)return g[v];let l=y.value,r=l[v];return typeof r!="function"||(r=r.bind(l),g[v]=r),r},set(g,v,l){return y.value[v]=l,!0}})}else return this._createInstance(d,w,h)}}e.InstantiationService=P;var b;(function(p){p[p.Creation=0]="Creation",p[p.Invocation=1]="Invocation",p[p.Branch=2]="Branch"})(b||(b={}));class f{constructor(d,w){this.type=d,this.name=w,this._start=Date.now(),this._dep=[]}static traceInvocation(d){return C?new f(1,d.name||d.toString().substring(0,42).replace(/\n/g,"")):f._None}static traceCreation(d){return C?new f(0,d.name):f._None}branch(d,w){let S=new f(2,d.toString());return this._dep.push([d,w,S]),S}stop(){let d=Date.now()-this._start;f._totals+=d;let w=!1;function S(y,g){let v=[],l=new Array(y+1).join("	");for(const[r,a,i]of g._dep)if(a&&i){w=!0,v.push(`${l}CREATES -> ${r}`);let t=S(y+1,i);t&&v.push(t)}else v.push(`${l}uses -> ${r}`);return v.join(`
`)}let h=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${d.toFixed(2)}ms (grand total ${f._totals.toFixed(2)}ms)`];(d>2||w)&&console.log(h.join(`
`))}}f._None=new class extends f{constructor(){super(-1,null)}stop(){}branch(){return this}},f._totals=0}),define(ne[169],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class T{constructor(k,_){this.server=k,this.router=_}getChannel(k){return this.server.getChannel(k,this.router)}registerChannel(k,_){this.server.registerChannel(k,_)}}e.MessagePortMainProcessService=T}),define(ne[170],ie([0,1,36,51,78,6]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class L{constructor(p,d,w){const S=w.getChannel(p);return R(d)?new d.channelClientCtor(S):T.ProxyChannel.toService(S,d?.proxyOptions)}}function R(f){return!!f?.channelClientCtor}e.IMainProcessService=(0,_.createDecorator)("mainProcessService");let C=class extends L{constructor(p,d,w){super(p,d,w)}};C=de([X(2,e.IMainProcessService)],C);function E(f,p,d){(0,k.registerSingleton)(f,new n.SyncDescriptor(C,[p,d],d?.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=E,e.ISharedProcessService=(0,_.createDecorator)("sharedProcessService");let P=class extends L{constructor(p,d,w){super(p,d,w)}};P=de([X(2,e.ISharedProcessService)],P);function b(f,p,d){(0,k.registerSingleton)(f,new n.SyncDescriptor(P,[p,d],d?.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=b}),define(ne[59],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=(0,T.createDecorator)("localizationsService");function n(k){if(typeof k.languageId!="string"||!Array.isArray(k.translations)||k.translations.length===0)return!1;for(const _ of k.translations)if(typeof _.id!="string"||typeof _.path!="string")return!1;return!(k.languageName&&typeof k.languageName!="string"||k.localizedLanguageName&&typeof k.localizedLanguageName!="string")}e.isValidLocalization=n}),define(ne[171],ie([0,1,2,59]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let k=class extends T.Disposable{constructor(L){super();this.localizationsService=L,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};k=de([X(0,n.ILocalizationsService)],k),e.LocalizationsUpdater=k}),define(ne[8],ie([0,1,37,3,2,4,6]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,L.createDecorator)("logService"),e.ILoggerService=(0,L.createDecorator)("loggerService");function R(){return new Date().toISOString()}var C;(function(a){a[a.Trace=0]="Trace",a[a.Debug=1]="Debug",a[a.Info=2]="Info",a[a.Warning=3]="Warning",a[a.Error=4]="Error",a[a.Critical=5]="Critical",a[a.Off=6]="Off"})(C=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=C.Info;function E(a,i,t){switch(i){case C.Trace:a.trace(t);break;case C.Debug:a.debug(t);break;case C.Info:a.info(t);break;case C.Warning:a.warn(t);break;case C.Error:a.error(t);break;case C.Critical:a.critical(t);break;default:throw new Error("Invalid log level")}}e.log=E;function P(a){let i="";for(let t=0;t<a.length;t++){let s=a[t];if(typeof s=="object")try{s=JSON.stringify(s)}catch{}i+=(t>0?" ":"")+s}return i}e.format=P;class b extends k.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new n.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=b;class f extends b{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...t){this.checkLogLevel(C.Trace)&&this.log(C.Trace,P([i,...t]))}debug(i,...t){this.checkLogLevel(C.Debug)&&this.log(C.Debug,P([i,...t]))}info(i,...t){this.checkLogLevel(C.Info)&&this.log(C.Info,P([i,...t]))}warn(i,...t){this.checkLogLevel(C.Warning)&&this.log(C.Warning,P([i,...t]))}error(i,...t){if(this.checkLogLevel(C.Error))if(i instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=i.stack,this.log(C.Error,P(s))}else this.log(C.Error,P([i,...t]))}critical(i,...t){this.checkLogLevel(C.Critical)&&this.log(C.Critical,P([i,...t]))}flush(){}}e.AbstractMessageLogger=f;class p extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!_.isWindows}trace(i,...t){this.getLevel()<=C.Trace&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...t):console.log(`[main ${R()}]`,i,...t))}debug(i,...t){this.getLevel()<=C.Debug&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...t):console.log(`[main ${R()}]`,i,...t))}info(i,...t){this.getLevel()<=C.Info&&(this.useColors?console.log(`[90m[main ${R()}][0m`,i,...t):console.log(`[main ${R()}]`,i,...t))}warn(i,...t){this.getLevel()<=C.Warning&&(this.useColors?console.warn(`[93m[main ${R()}][0m`,i,...t):console.warn(`[main ${R()}]`,i,...t))}error(i,...t){this.getLevel()<=C.Error&&(this.useColors?console.error(`[91m[main ${R()}][0m`,i,...t):console.error(`[main ${R()}]`,i,...t))}critical(i,...t){this.getLevel()<=C.Critical&&(this.useColors?console.error(`[90m[main ${R()}][0m`,i,...t):console.error(`[main ${R()}]`,i,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=p;class d extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...t){this.getLevel()<=C.Trace&&console.log("%cTRACE","color: #888",i,...t)}debug(i,...t){this.getLevel()<=C.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...t)}info(i,...t){this.getLevel()<=C.Info&&console.log("%c INFO","color: #33f",i,...t)}warn(i,...t){this.getLevel()<=C.Warning&&console.log("%c WARN","color: #993",i,...t)}error(i,...t){this.getLevel()<=C.Error&&console.log("%c  ERR","color: #f33",i,...t)}critical(i,...t){this.getLevel()<=C.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...t)}dispose(){}flush(){}}e.ConsoleLogger=d;class w extends b{constructor(i,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(t)}trace(i,...t){this.getLevel()<=C.Trace&&this.adapter.log(C.Trace,[this.extractMessage(i),...t])}debug(i,...t){this.getLevel()<=C.Debug&&this.adapter.log(C.Debug,[this.extractMessage(i),...t])}info(i,...t){this.getLevel()<=C.Info&&this.adapter.log(C.Info,[this.extractMessage(i),...t])}warn(i,...t){this.getLevel()<=C.Warning&&this.adapter.log(C.Warning,[this.extractMessage(i),...t])}error(i,...t){this.getLevel()<=C.Error&&this.adapter.log(C.Error,[this.extractMessage(i),...t])}critical(i,...t){this.getLevel()<=C.Critical&&this.adapter.log(C.Critical,[this.extractMessage(i),...t])}extractMessage(i){return typeof i=="string"?i:(0,T.toErrorMessage)(i,this.getLevel()<=C.Trace)}dispose(){}flush(){}}e.AdapterLogger=w;class S extends b{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const t of this.logServices)t.setLevel(i);super.setLevel(i)}trace(i,...t){for(const s of this.logServices)s.trace(i,...t)}debug(i,...t){for(const s of this.logServices)s.debug(i,...t)}info(i,...t){for(const s of this.logServices)s.info(i,...t)}warn(i,...t){for(const s of this.logServices)s.warn(i,...t)}error(i,...t){for(const s of this.logServices)s.error(i,...t)}critical(i,...t){for(const s of this.logServices)s.critical(i,...t)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=S;class h extends k.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...t){this.logger.trace(i,...t)}debug(i,...t){this.logger.debug(i,...t)}info(i,...t){this.logger.info(i,...t)}warn(i,...t){this.logger.warn(i,...t)}error(i,...t){this.logger.error(i,...t)}critical(i,...t){this.logger.critical(i,...t)}flush(){this.logger.flush()}}e.LogService=h;class y extends k.Disposable{constructor(i,t){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(t(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(o=>o.setLevel(s))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,t){let s=this.loggers.get(i.toString());return s||(s=this.doCreateLogger(i,t?.always?C.Trace:this.logLevel,t),this.loggers.set(i.toString(),s),t?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=y;class g{constructor(){this.onDidChangeLogLevel=new n.Emitter().event}setLevel(i){}getLevel(){return C.Info}trace(i,...t){}debug(i,...t){}info(i,...t){}warn(i,...t){}error(i,...t){}critical(i,...t){}dispose(){}flush(){}}e.NullLogService=g;function v(a){if(a.verbose)return C.Trace;if(typeof a.logLevel=="string"){const i=l(a.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=v;function l(a){switch(a){case"trace":return C.Trace;case"debug":return C.Debug;case"info":return C.Info;case"warn":return C.Warning;case"error":return C.Error;case"critical":return C.Critical;case"off":return C.Off}}e.parseLogLevel=l;function r(a){switch(a){case C.Trace:return"trace";case C.Debug:return"debug";case C.Info:return"info";case C.Warning:return"warn";case C.Error:return"error";case C.Critical:return"critical";case C.Off:return"off"}}e.LogLevelToString=r}),define(ne[172],ie([0,1,5,9,2,10,22,13,8]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let E=class extends k.Disposable{constructor(b,f){super();this.environmentService=b,this.logService=f,this._register(new T.RunOnceScheduler(()=>{this.cleanUpOldLogs()},10*1e3)).schedule()}async cleanUpOldLogs(){this.logService.trace("[logs cleanup]: Starting to clean up old logs.");try{const b=(0,_.basename)(this.environmentService.logsPath),f=(0,_.dirname)(this.environmentService.logsPath),w=(await L.Promises.readdir(f)).filter(h=>/^\d{8}T\d{6}$/.test(h)).sort().filter(h=>h!==b),S=w.slice(0,Math.max(0,w.length-9));S.length>0&&(this.logService.trace(`[logs cleanup]: Removing log folders '${S.join(", ")}'`),await Promise.all(S.map(h=>L.Promises.rm((0,_.join)(f,h)))))}catch(b){(0,n.onUnexpectedError)(b)}}};E=de([X(0,R.IEnvironmentService),X(1,C.ILogService)],E),e.LogsDataCleaner=E}),define(ne[173],ie([0,1,5,9,2,10,22,13,8]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let E=class gt extends k.Disposable{constructor(b,f,p){super();this.backupWorkspacesPath=b,this.environmentService=f,this.logService=p,this._register(new T.RunOnceScheduler(()=>{this.cleanUpStorage()},30*1e3)).schedule()}async cleanUpStorage(){this.logService.trace("[storage cleanup]: Starting to clean up storage folders.");try{const b=await L.Promises.readFile(this.backupWorkspacesPath,"utf8"),p=JSON.parse(b).emptyWorkspaceInfos.map(w=>w.backupFolder),d=await L.Promises.readdir(this.environmentService.workspaceStorageHome.fsPath);await Promise.all(d.map(async w=>{w.length===gt.NON_EMPTY_WORKSPACE_ID_LENGTH||w===gt.EXTENSION_DEV_EMPTY_WINDOW_ID||p.indexOf(w)>=0||(this.logService.trace(`[storage cleanup]: Deleting workspace storage folder ${w}.`),await L.Promises.rm((0,_.join)(this.environmentService.workspaceStorageHome.fsPath,w)))}))}catch(b){(0,n.onUnexpectedError)(b)}}};E.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,E.EXTENSION_DEV_EMPTY_WINDOW_ID="ext-dev",E=de([X(1,R.INativeEnvironmentService),X(2,C.ILogService)],E),e.StorageDataCleaner=E}),define(ne[174],ie([0,1,45,5,37,3,2,18,10,22,13,8]),function(J,e,T,n,k,_,L,R,C,E,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let f=class extends L.Disposable{constructor(d,w){super();this.environmentService=d,this.logService=w,this.processesLimiter=new n.Limiter(5)}async postUninstall(d){const w=this.parseScript(d,"uninstall");return w&&(this.logService.info(d.identifier.id,d.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(w.script,"uninstall",w.args,!0,d).then(()=>this.logService.info(d.identifier.id,d.manifest.version,"Finished running post uninstall script"),S=>this.logService.error(d.identifier.id,d.manifest.version,`Failed to run post uninstall script: ${S}`)))),E.Promises.rm(this.getExtensionStoragePath(d)).then(void 0,S=>this.logService.error("Error while removing extension storage path",S))}parseScript(d,w){const S=`vscode:${w}`;if(d.location.scheme===R.Schemas.file&&d.manifest&&d.manifest.scripts&&typeof d.manifest.scripts[S]=="string"){const h=d.manifest.scripts[S].split(" ");return h.length<2||h[0]!=="node"||!h[1]?(this.logService.warn(d.identifier.id,d.manifest.version,`${S} should be a node script`),null):{script:(0,C.join)(d.location.fsPath,h[1]),args:h.slice(2)||[]}}return null}runLifecycleHook(d,w,S,h,y){return new Promise((g,v)=>{const l=this.start(d,w,S,y);let r;const a=i=>{r&&(clearTimeout(r),r=null),i?v(i):g(void 0)};l.on("error",i=>{a((0,k.toErrorMessage)(i)||"Unknown")}),l.on("exit",(i,t)=>{a(i?`post-${w} process exited with code ${i}`:void 0)}),h&&(r=setTimeout(()=>{r=null,l.kill(),v("timed out")},5e3))})}start(d,w,S,h){const y={silent:!0,execArgv:void 0},g=(0,T.fork)(d,[`--type=extension-post-${w}`,...S],y);g.stdout.setEncoding("utf8"),g.stderr.setEncoding("utf8");const v=_.Event.fromNodeEventEmitter(g.stdout,"data"),l=_.Event.fromNodeEventEmitter(g.stderr,"data");v(i=>this.logService.info(h.identifier.id,h.manifest.version,`post-${w}`,i)),l(i=>this.logService.error(h.identifier.id,h.manifest.version,`post-${w}`,i));const r=_.Event.any(_.Event.map(v,i=>({data:`%c${i}`,format:[""]})),_.Event.map(l,i=>({data:`%c${i}`,format:["color: red"]})));return _.Event.debounce(r,(i,t)=>i?{data:i.data+t.data,format:[...i.format,...t.format]}:{data:t.data,format:t.format},100)(i=>{console.group(h.identifier.id),console.log(i.data,...i.format),console.groupEnd()}),g}getExtensionStoragePath(d){return(0,C.join)(this.environmentService.globalStorageHome.fsPath,d.identifier.id.toLowerCase())}};f=de([X(0,P.IEnvironmentService),X(1,b.ILogService)],f),e.ExtensionsLifecycle=f}),define(ne[175],ie([0,1,16,5,9,3,2,10,58,8]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class P extends L.Disposable{constructor(f){super();this.logService=f,this._onDidChangeFile=this._register(new _.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new _.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new n.ThrottledDelayer(0))}watch(f,p){return p.recursive?this.watchRecursive(f,p):this.watchNonRecursive(f,p)}watchRecursive(f,p){const d={path:this.toFilePath(f),excludes:p.excludes},w=(0,T.insert)(this.recursiveFoldersToWatch,d);return this.refreshRecursiveWatchers(),(0,L.toDisposable)(()=>{w(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(()=>this.doRefreshRecursiveWatchers()).catch(f=>(0,k.onUnexpectedError)(f))}doRefreshRecursiveWatchers(){return this.recursiveWatcher||(this.recursiveWatcher=this._register(this.createRecursiveWatcher(f=>this._onDidChangeFile.fire((0,C.toFileChanges)(f)),f=>this.onWatcherLogMessage(f),this.logService.getLevel()===E.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher?.setVerboseLogging(this.logService.getLevel()===E.LogLevel.Trace)}))),this.massageRecursiveWatchRequests(this.recursiveFoldersToWatch),this.recursiveWatcher.watch(this.recursiveFoldersToWatch)}massageRecursiveWatchRequests(f){}watchNonRecursive(f,p){const d=new L.DisposableStore,w=d.add(this.createNonRecursiveWatcher({path:this.toFilePath(f),excludes:p.excludes},S=>this._onDidChangeFile.fire((0,C.toFileChanges)(S)),S=>this.onWatcherLogMessage(S),this.logService.getLevel()===E.LogLevel.Trace));return d.add(this.logService.onDidChangeLogLevel(()=>{w.setVerboseLogging(this.logService.getLevel()===E.LogLevel.Trace)})),d}onWatcherLogMessage(f){f.type==="error"&&this._onDidWatchError.fire(f.message),this.logService[f.type](f.message)}toFilePath(f){return(0,R.normalize)(f.fsPath)}}e.AbstractDiskFileSystemProvider=P}),define(ne[176],ie([0,1,16,5,17,25,3,69,54,2,39,18,177,19,40,136,14,83,8]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let g=class extends E.Disposable{constructor(l){super();this.logService=l,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new L.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new L.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new L.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new L.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new L.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new L.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new n.ResourceQueue)}registerProvider(l,r){if(this.provider.has(l))throw new Error(`A filesystem provider for the scheme '${l}' is already registered.`);(0,f.mark)(`code/registerFilesystem/${l}`);const a=new E.DisposableStore;return this.provider.set(l,r),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:l,provider:r}),a.add(r.onDidChangeFile(i=>this._onDidFilesChange.fire(new S.FileChangesEvent(i,!this.isPathCaseSensitive(r))))),typeof r.onDidWatchError=="function"&&a.add(r.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),a.add(r.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:r,scheme:l}))),(0,E.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:l,provider:r}),this.provider.delete(l),(0,E.dispose)(a)})}getProvider(l){return this.provider.get(l)}async activateProvider(l){const r=[];this._onWillActivateFileSystemProvider.fire({scheme:l,join(a){r.push(a)}}),!this.provider.has(l)&&await n.Promises.settled(r)}async canHandleResource(l){return await this.activateProvider(l.scheme),this.hasProvider(l)}hasProvider(l){return this.provider.has(l.scheme)}hasCapability(l,r){const a=this.provider.get(l.scheme);return!!(a&&a.capabilities&r)}listCapabilities(){return C.Iterable.map(this.provider,([l,r])=>({scheme:l,capabilities:r.capabilities}))}async withProvider(l){if(!(0,p.isAbsolutePath)(l))throw new S.FileOperationError((0,w.localize)(0,null,this.resourceForError(l)),8);await this.activateProvider(l.scheme);const r=this.provider.get(l.scheme);if(!r){const a=new Error;throw a.name="ENOPRO",a.message=(0,w.localize)(1,null,l.toString()),a}return r}async withReadProvider(l){const r=await this.withProvider(l);if((0,S.hasOpenReadWriteCloseCapability)(r)||(0,S.hasReadWriteCapability)(r)||(0,S.hasFileReadStreamCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(l){const r=await this.withProvider(l);if((0,S.hasOpenReadWriteCloseCapability)(r)||(0,S.hasReadWriteCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(l,r){try{return await this.doResolveFile(l,r)}catch(a){throw(0,S.toFileSystemProviderErrorCode)(a)===S.FileSystemProviderErrorCode.FileNotFound?new S.FileOperationError((0,w.localize)(2,null,this.resourceForError(l)),1):(0,S.ensureFileSystemProviderError)(a)}}async doResolveFile(l,r){const a=await this.withProvider(l),i=this.isPathCaseSensitive(a),t=r?.resolveTo,s=r?.resolveSingleChildDescendants,o=r?.resolveMetadata,c=await a.stat(l);let u;return this.toFileStat(a,l,c,void 0,!!o,(m,I)=>(u||(u=P.TernarySearchTree.forUris(()=>!i),u.set(l,!0),t&&u.fill(!0,t)),u.get(m.resource)||u.findSuperstr(m.resource.with({query:null,fragment:null}))?!0:m.isDirectory&&s?I===1:!1))}async toFileStat(l,r,a,i,t,s){const{providerExtUri:o}=this.getExtUri(l),c={resource:r,name:o.basename(r),isFile:(a.type&S.FileType.File)!=0,isDirectory:(a.type&S.FileType.Directory)!=0,isSymbolicLink:(a.type&S.FileType.SymbolicLink)!=0,mtime:a.mtime,ctime:a.ctime,size:a.size,readonly:Boolean((a.permissions??0)&S.FilePermission.Readonly)||Boolean(l.capabilities&2048),etag:(0,S.etag)({mtime:a.mtime,size:a.size})};if(c.isDirectory&&s(c,i)){try{const u=await l.readdir(r),m=await n.Promises.settled(u.map(async([I,A])=>{try{const O=o.joinPath(r,I),N=t?await l.stat(O):{type:A};return await this.toFileStat(l,O,N,u.length,t,s)}catch(O){return this.logService.trace(O),null}}));c.children=(0,T.coalesce)(m)}catch(u){this.logService.trace(u),c.children=[]}return c}return c}async resolveAll(l){return n.Promises.settled(l.map(async r=>{try{return{stat:await this.doResolveFile(r.resource,r.options),success:!0}}catch(a){return this.logService.trace(a),{stat:void 0,success:!1}}}))}async exists(l){const r=await this.withProvider(l);try{return!!await r.stat(l)}catch{return!1}}async canCreateFile(l,r){try{await this.doValidateCreateFile(l,r)}catch(a){return a}return!0}async doValidateCreateFile(l,r){if(!r?.overwrite&&await this.exists(l))throw new S.FileOperationError((0,w.localize)(3,null,this.resourceForError(l)),3,r)}async createFile(l,r=k.VSBuffer.fromString(""),a){await this.doValidateCreateFile(l,a);const i=await this.writeFile(l,r);return this._onDidRunOperation.fire(new S.FileOperationEvent(l,0,i)),i}async writeFile(l,r,a){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),{providerExtUri:t}=this.getExtUri(i);try{await this.validateWriteFile(i,l,a)||await this.mkdirp(i,t.dirname(l));let o;if((0,S.hasReadWriteCapability)(i)&&!(r instanceof k.VSBuffer))if((0,d.isReadableStream)(r)){const c=await(0,d.peekStream)(r,3);c.ended?o=k.VSBuffer.concat(c.buffer):o=c}else o=(0,d.peekReadable)(r,c=>k.VSBuffer.concat(c),3);else o=r;!(0,S.hasOpenReadWriteCloseCapability)(i)||(0,S.hasReadWriteCapability)(i)&&o instanceof k.VSBuffer?await this.doWriteUnbuffered(i,l,a,o):await this.doWriteBuffered(i,l,a,o instanceof k.VSBuffer?(0,k.bufferToReadable)(o):o)}catch(s){throw new S.FileOperationError((0,w.localize)(4,null,this.resourceForError(l),(0,S.ensureFileSystemProviderError)(s).toString()),(0,S.toFileOperationResult)(s),a)}return this.resolve(l,{resolveMetadata:!0})}async validateWriteFile(l,r,a){if(!!a?.unlock&&!(l.capabilities&8192))throw new Error((0,w.localize)(5,null,this.resourceForError(r)));let t;try{t=await l.stat(r)}catch{return}if((t.type&S.FileType.Directory)!=0)throw new S.FileOperationError((0,w.localize)(6,null,this.resourceForError(r)),0,a);if(this.throwIfFileIsReadonly(r,t),typeof a?.mtime=="number"&&typeof a.etag=="string"&&a.etag!==S.ETAG_DISABLED&&typeof t.mtime=="number"&&typeof t.size=="number"&&a.mtime<t.mtime&&a.etag!==(0,S.etag)({mtime:a.mtime,size:t.size}))throw new S.FileOperationError((0,w.localize)(7,null),3,a);return t}async readFile(l,r,a){const i=await this.withReadProvider(l);return r?.atomic?this.doReadFileAtomic(i,l,r,a):this.doReadFile(i,l,r,a)}async doReadFileAtomic(l,r,a,i){return new Promise((t,s)=>{this.writeQueue.queueFor(r,this.getExtUri(l).providerExtUri).queue(async()=>{try{const o=await this.doReadFile(l,r,a,i);t(o)}catch(o){s(o)}})})}async doReadFile(l,r,a,i){const t=await this.doReadFileStream(l,r,{...a,preferUnbuffered:!0},i);return{...t,value:await(0,k.streamToBuffer)(t.value)}}async readFileStream(l,r,a){const i=await this.withReadProvider(l);return this.doReadFileStream(i,l,r,a)}async doReadFileStream(l,r,a,i){const t=new _.CancellationTokenSource(i),s=this.validateReadFile(r,a).then(c=>c,c=>{throw t.cancel(),c});let o;try{return typeof a?.etag=="string"&&a.etag!==S.ETAG_DISABLED&&await s,a?.atomic&&(0,S.hasFileAtomicReadCapability)(l)||!((0,S.hasOpenReadWriteCloseCapability)(l)||(0,S.hasFileReadStreamCapability)(l))||(0,S.hasReadWriteCapability)(l)&&a?.preferUnbuffered?o=this.readFileUnbuffered(l,r,a):(0,S.hasFileReadStreamCapability)(l)?o=this.readFileStreamed(l,r,t.token,a):o=this.readFileBuffered(l,r,t.token,a),{...await s,value:o}}catch(c){o&&await(0,d.consumeStream)(o);const u=(0,w.localize)(8,null,this.resourceForError(r),(0,S.ensureFileSystemProviderError)(c).toString());throw c instanceof S.NotModifiedSinceFileOperationError?new S.NotModifiedSinceFileOperationError(u,c.stat,a):new S.FileOperationError(u,(0,S.toFileOperationResult)(c),a)}}readFileStreamed(l,r,a,i=Object.create(null)){const t=l.readFileStream(r,i,a);return(0,d.transform)(t,{data:s=>s instanceof k.VSBuffer?s:k.VSBuffer.wrap(s),error:s=>new S.FileOperationError((0,w.localize)(9,null,this.resourceForError(r),(0,S.ensureFileSystemProviderError)(s).toString()),(0,S.toFileOperationResult)(s),i)},s=>k.VSBuffer.concat(s))}readFileBuffered(l,r,a,i=Object.create(null)){const t=(0,k.newWriteableBufferStream)();return(0,h.readFileIntoStream)(l,r,t,s=>s,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:s=>new S.FileOperationError((0,w.localize)(10,null,this.resourceForError(r),(0,S.ensureFileSystemProviderError)(s).toString()),(0,S.toFileOperationResult)(s),i)},a),t}readFileUnbuffered(l,r,a){const i=(0,d.newWriteableStream)(t=>k.VSBuffer.concat(t));return(async()=>{try{let t;a?.atomic&&(0,S.hasFileAtomicReadCapability)(l)?t=await l.readFile(r,{atomic:!0}):t=await l.readFile(r),typeof a?.position=="number"&&(t=t.slice(a.position)),typeof a?.length=="number"&&(t=t.slice(0,a.length)),this.validateReadFileLimits(r,t.byteLength,a),i.end(k.VSBuffer.wrap(t))}catch(t){i.error(t),i.end()}})(),i}async validateReadFile(l,r){const a=await this.resolve(l,{resolveMetadata:!0});if(a.isDirectory)throw new S.FileOperationError((0,w.localize)(11,null,this.resourceForError(l)),0,r);if(typeof r?.etag=="string"&&r.etag!==S.ETAG_DISABLED&&r.etag===a.etag)throw new S.NotModifiedSinceFileOperationError((0,w.localize)(12,null),a,r);return this.validateReadFileLimits(l,a.size,r),a}validateReadFileLimits(l,r,a){if(a?.limits){let i;if(typeof a.limits.memory=="number"&&r>a.limits.memory&&(i=9),typeof a.limits.size=="number"&&r>a.limits.size&&(i=7),typeof i=="number")throw new S.FileOperationError((0,w.localize)(13,null,this.resourceForError(l)),i)}}async canMove(l,r,a){return this.doCanMoveCopy(l,r,"move",a)}async canCopy(l,r,a){return this.doCanMoveCopy(l,r,"copy",a)}async doCanMoveCopy(l,r,a,i){if(l.toString()!==r.toString())try{const t=a==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l):await this.withReadProvider(l),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r);await this.doValidateMoveCopy(t,l,s,r,a,i)}catch(t){return t}return!0}async move(l,r,a){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),t=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),s=await this.doMoveCopy(i,l,t,r,"move",!!a),o=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(l,s==="move"?2:3,o)),o}async copy(l,r,a){const i=await this.withReadProvider(l),t=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),s=await this.doMoveCopy(i,l,t,r,"copy",!!a),o=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(l,s==="copy"?3:2,o)),o}async doMoveCopy(l,r,a,i,t,s){if(r.toString()===i.toString())return t;const{exists:o,isSameResourceWithDifferentPathCase:c}=await this.doValidateMoveCopy(l,r,a,i,t,s);if(o&&!c&&s&&await this.del(i,{recursive:!0}),await this.mkdirp(a,this.getExtUri(a).providerExtUri.dirname(i)),t==="copy"){if(l===a&&(0,S.hasFileFolderCopyCapability)(l))await l.copy(r,i,{overwrite:s});else{const u=await this.resolve(r);u.isDirectory?await this.doCopyFolder(l,u,a,i):await this.doCopyFile(l,r,a,i)}return t}else return l===a?(await l.rename(r,i,{overwrite:s}),t):(await this.doMoveCopy(l,r,a,i,"copy",s),await this.del(r,{recursive:!0}),"copy")}async doCopyFile(l,r,a,i){if((0,S.hasOpenReadWriteCloseCapability)(l)&&(0,S.hasOpenReadWriteCloseCapability)(a))return this.doPipeBuffered(l,r,a,i);if((0,S.hasOpenReadWriteCloseCapability)(l)&&(0,S.hasReadWriteCapability)(a))return this.doPipeBufferedToUnbuffered(l,r,a,i);if((0,S.hasReadWriteCapability)(l)&&(0,S.hasOpenReadWriteCloseCapability)(a))return this.doPipeUnbufferedToBuffered(l,r,a,i);if((0,S.hasReadWriteCapability)(l)&&(0,S.hasReadWriteCapability)(a))return this.doPipeUnbuffered(l,r,a,i)}async doCopyFolder(l,r,a,i){await a.mkdir(i),Array.isArray(r.children)&&await n.Promises.settled(r.children.map(async t=>{const s=this.getExtUri(a).providerExtUri.joinPath(i,t.name);return t.isDirectory?this.doCopyFolder(l,await this.resolve(t.resource),a,s):this.doCopyFile(l,t.resource,a,s)}))}async doValidateMoveCopy(l,r,a,i,t,s){let o=!1;if(l===a){const{providerExtUri:u,isPathCaseSensitive:m}=this.getExtUri(l);if(m||(o=u.isEqual(r,i)),o&&t==="copy")throw new Error((0,w.localize)(14,null,this.resourceForError(r),this.resourceForError(i)));if(!o&&u.isEqualOrParent(i,r))throw new Error((0,w.localize)(15,null,this.resourceForError(r),this.resourceForError(i)))}const c=await this.exists(i);if(c&&!o){if(!s)throw new S.FileOperationError((0,w.localize)(16,null,this.resourceForError(r),this.resourceForError(i)),4);if(l===a){const{providerExtUri:u}=this.getExtUri(l);if(u.isEqualOrParent(r,i))throw new Error((0,w.localize)(17,null,this.resourceForError(r),this.resourceForError(i)))}}return{exists:c,isSameResourceWithDifferentPathCase:o}}getExtUri(l){const r=this.isPathCaseSensitive(l);return{providerExtUri:r?p.extUri:p.extUriIgnorePathCase,isPathCaseSensitive:r}}isPathCaseSensitive(l){return!!(l.capabilities&1024)}async createFolder(l){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);await this.mkdirp(r,l);const a=await this.resolve(l,{resolveMetadata:!0});return this._onDidRunOperation.fire(new S.FileOperationEvent(l,0,a)),a}async mkdirp(l,r){const a=[],{providerExtUri:i}=this.getExtUri(l);for(;!i.isEqual(r,i.dirname(r));)try{if(((await l.stat(r)).type&S.FileType.Directory)==0)throw new Error((0,w.localize)(18,null,this.resourceForError(r)));break}catch(t){if((0,S.toFileSystemProviderErrorCode)(t)!==S.FileSystemProviderErrorCode.FileNotFound)throw t;a.push(i.basename(r)),r=i.dirname(r)}for(let t=a.length-1;t>=0;t--){r=i.joinPath(r,a[t]);try{await l.mkdir(r)}catch(s){if((0,S.toFileSystemProviderErrorCode)(s)!==S.FileSystemProviderErrorCode.FileExists)throw s}}}async canDelete(l,r){try{await this.doValidateDelete(l,r)}catch(a){return a}return!0}async doValidateDelete(l,r){const a=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);if(!!r?.useTrash&&!(a.capabilities&4096))throw new Error((0,w.localize)(19,null,this.resourceForError(l)));let t;try{t=await a.stat(l)}catch{}if(t)this.throwIfFileIsReadonly(l,t);else throw new S.FileOperationError((0,w.localize)(20,null,this.resourceForError(l)),1);if(!!!r?.recursive){const o=await this.resolve(l);if(o.isDirectory&&Array.isArray(o.children)&&o.children.length>0)throw new Error((0,w.localize)(21,null,this.resourceForError(l)))}return a}async del(l,r){const a=await this.doValidateDelete(l,r),i=!!r?.useTrash,t=!!r?.recursive;await a.delete(l,{recursive:t,useTrash:i}),this._onDidRunOperation.fire(new S.FileOperationEvent(l,1))}watch(l,r={recursive:!1,excludes:[]}){const a=new E.DisposableStore;let i=!1,t=()=>{i=!0};return a.add((0,E.toDisposable)(()=>t())),(async()=>{try{const s=await this.doWatch(l,r);i?(0,E.dispose)(s):t=()=>(0,E.dispose)(s)}catch(s){this.logService.error(s)}})(),a}async doWatch(l,r){const a=await this.withProvider(l),i=(0,R.hash)([this.getExtUri(a).providerExtUri.getComparisonKey(l),r]);let t=this.activeWatchers.get(i);return t||(t={count:0,disposable:a.watch(l,r)},this.activeWatchers.set(i,t)),t.count+=1,(0,E.toDisposable)(()=>{t&&(t.count--,t.count===0&&((0,E.dispose)(t.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,l]of this.activeWatchers)(0,E.dispose)(l.disposable);this.activeWatchers.clear()}async doWriteBuffered(l,r,a,i){return this.writeQueue.queueFor(r,this.getExtUri(l).providerExtUri).queue(async()=>{const t=await l.open(r,{create:!0,unlock:a?.unlock??!1});try{(0,d.isReadableStream)(i)||(0,d.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(l,t,i):await this.doWriteReadableBufferedQueued(l,t,i)}catch(s){throw(0,S.ensureFileSystemProviderError)(s)}finally{await l.close(t)}})}async doWriteStreamBufferedQueued(l,r,a){let i=0,t;if((0,d.isReadableBufferedStream)(a)){if(a.buffer.length>0){const s=k.VSBuffer.concat(a.buffer);await this.doWriteBuffer(l,r,s,s.byteLength,i,0),i+=s.byteLength}if(a.ended)return;t=a.stream}else t=a;return new Promise((s,o)=>{(0,d.listenStream)(t,{onData:async c=>{t.pause();try{await this.doWriteBuffer(l,r,c,c.byteLength,i,0)}catch(u){return o(u)}i+=c.byteLength,setTimeout(()=>t.resume())},onError:c=>o(c),onEnd:()=>s()})})}async doWriteReadableBufferedQueued(l,r,a){let i=0,t;for(;(t=a.read())!==null;)await this.doWriteBuffer(l,r,t,t.byteLength,i,0),i+=t.byteLength}async doWriteBuffer(l,r,a,i,t,s){let o=0;for(;o<i;)o+=await l.write(r,t+o,a.buffer,s+o,i-o)}async doWriteUnbuffered(l,r,a,i){return this.writeQueue.queueFor(r,this.getExtUri(l).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(l,r,a,i))}async doWriteUnbufferedQueued(l,r,a,i){let t;i instanceof k.VSBuffer?t=i:(0,d.isReadableStream)(i)?t=await(0,k.streamToBuffer)(i):(0,d.isReadableBufferedStream)(i)?t=await(0,k.bufferedStreamToBuffer)(i):t=(0,k.readableToBuffer)(i),await l.writeFile(r,t.buffer,{create:!0,overwrite:!0,unlock:a?.unlock??!1})}async doPipeBuffered(l,r,a,i){return this.writeQueue.queueFor(i,this.getExtUri(a).providerExtUri).queue(()=>this.doPipeBufferedQueued(l,r,a,i))}async doPipeBufferedQueued(l,r,a,i){let t,s;try{t=await l.open(r,{create:!1}),s=await a.open(i,{create:!0,unlock:!1});const o=k.VSBuffer.alloc(this.BUFFER_SIZE);let c=0,u=0,m=0;do m=await l.read(t,c,o.buffer,u,o.byteLength-u),await this.doWriteBuffer(a,s,o,m,c,u),c+=m,u+=m,u===o.byteLength&&(u=0);while(m>0)}catch(o){throw(0,S.ensureFileSystemProviderError)(o)}finally{await n.Promises.settled([typeof t=="number"?l.close(t):Promise.resolve(),typeof s=="number"?a.close(s):Promise.resolve()])}}async doPipeUnbuffered(l,r,a,i){return this.writeQueue.queueFor(i,this.getExtUri(a).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(l,r,a,i))}async doPipeUnbufferedQueued(l,r,a,i){return a.writeFile(i,await l.readFile(r),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(l,r,a,i){return this.writeQueue.queueFor(i,this.getExtUri(a).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(l,r,a,i))}async doPipeUnbufferedToBufferedQueued(l,r,a,i){const t=await a.open(i,{create:!0,unlock:!1});try{const s=await l.readFile(r);await this.doWriteBuffer(a,t,k.VSBuffer.wrap(s),s.byteLength,0,0)}catch(s){throw(0,S.ensureFileSystemProviderError)(s)}finally{await a.close(t)}}async doPipeBufferedToUnbuffered(l,r,a,i){const t=await(0,k.streamToBuffer)(this.readFileBuffered(l,r,_.CancellationToken.None));await this.doWriteUnbuffered(a,i,void 0,t)}throwIfFileSystemIsReadonly(l,r){if(l.capabilities&2048)throw new S.FileOperationError((0,w.localize)(22,null,this.resourceForError(r)),6);return l}throwIfFileIsReadonly(l,r){if((r.permissions??0)&S.FilePermission.Readonly)throw new S.FileOperationError((0,w.localize)(23,null,this.resourceForError(l)),6)}resourceForError(l){return l.scheme===b.Schemas.file?l.fsPath:l.toString(!0)}};g=de([X(0,y.ILogService)],g),e.FileService=g}),define(ne[178],ie([0,1,50,251,5,39,17,3,41,2,10,4,19,40,22,139,14,83,166,167,175,37]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,n.gracefulify)(T)}catch(a){console.error(`Error enabling graceful-fs: ${(0,l.toErrorMessage)(a)}`)}})();class r extends v.AbstractDiskFileSystemProvider{constructor(i,t){super(i);this.options=t,this.onDidChangeCapabilities=R.Event.None,this.resourceLocks=new _.ResourceMap(s=>f.extUriBiasedIgnorePathCase.getComparisonKey(s)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,b.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:t,symbolicLink:s}=await d.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(t,s),ctime:t.birthtime.getTime(),mtime:t.mtime.getTime(),size:t.size}}catch(t){throw this.toFileSystemProviderError(t)}}async readdir(i){try{const t=await d.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),s=[];return await Promise.all(t.map(async o=>{try{let c;o.isSymbolicLink()?c=(await this.stat((0,f.joinPath)(i,o.name))).type:c=this.toType(o),s.push([o.name,c])}catch(c){this.logService.trace(c)}})),s}catch(t){throw this.toFileSystemProviderError(t)}}toType(i,t){let s;return t?.dangling?s=S.FileType.Unknown:i.isFile()?s=S.FileType.File:i.isDirectory()?s=S.FileType.Directory:s=S.FileType.Unknown,t&&(s|=S.FileType.SymbolicLink),s}async createResourceLock(i){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(i)})`);let t;for(;t=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(i)})`),await t.wait();const s=new k.Barrier;return this.resourceLocks.set(i,s),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(i)})`),(0,E.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(i)})`),this.resourceLocks.delete(i),s.open()})}async readFile(i,t){let s;try{t?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),s=await this.createResourceLock(i));const o=this.toFilePath(i);return await d.Promises.readFile(o)}catch(o){throw this.toFileSystemProviderError(o)}finally{s?.dispose()}}readFileStream(i,t,s){const o=(0,p.newWriteableStream)(c=>L.VSBuffer.concat(c.map(u=>L.VSBuffer.wrap(u))).buffer);return(0,h.readFileIntoStream)(this,i,o,c=>c.buffer,{...t,bufferSize:256*1024},s),o}async writeFile(i,t,s){let o;try{const c=this.toFilePath(i);if(!s.create||!s.overwrite){if(await d.Promises.exists(c)){if(!s.overwrite)throw(0,S.createFileSystemProviderError)((0,w.localize)(0,null),S.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,S.createFileSystemProviderError)((0,w.localize)(1,null),S.FileSystemProviderErrorCode.FileNotFound)}o=await this.open(i,{create:!0,unlock:s.unlock}),await this.write(o,0,t,0,t.byteLength)}catch(c){throw await this.toFileSystemProviderWriteError(i,c)}finally{typeof o=="number"&&await this.close(o)}}async open(i,t){let s;(0,S.isFileOpenForWriteOptions)(t)&&(s=await this.createResourceLock(i));let o;try{const c=this.toFilePath(i);if((0,S.isFileOpenForWriteOptions)(t)&&t.unlock)try{const{stat:m}=await d.SymlinkSupport.stat(c);m.mode&128||await d.Promises.chmod(c,m.mode|128)}catch(m){this.logService.trace(m)}let u;if((0,S.isFileOpenForWriteOptions)(t)){if(b.isWindows)try{await d.Promises.truncate(c,0),u="r+"}catch(m){m.code!=="ENOENT"&&this.logService.trace(m)}u||(u="w")}else u="r";o=await d.Promises.open(c,u)}catch(c){throw s?.dispose(),(0,S.isFileOpenForWriteOptions)(t)?await this.toFileSystemProviderWriteError(i,c):this.toFileSystemProviderError(c)}return this.mapHandleToPos.set(o,0),(0,S.isFileOpenForWriteOptions)(t)&&this.writeHandles.set(o,i),s&&this.mapHandleToLock.set(o,s),o}async close(i){try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await d.Promises.fdatasync(i)}catch(t){this.canFlush=!1,this.logService.error(t)}return await d.Promises.close(i)}catch(t){throw this.toFileSystemProviderError(t)}finally{const t=this.mapHandleToLock.get(i);t&&(this.mapHandleToLock.delete(i),t.dispose())}}async read(i,t,s,o,c){const u=this.normalizePos(i,t);let m=null;try{const I=await d.Promises.read(i,s,o,c,u);return typeof I=="number"?m=I:m=I.bytesRead,m}catch(I){throw this.toFileSystemProviderError(I)}finally{this.updatePos(i,u,m)}}normalizePos(i,t){return t===this.mapHandleToPos.get(i)?null:t}updatePos(i,t,s){const o=this.mapHandleToPos.get(i);typeof o=="number"&&(typeof t=="number"||(typeof s=="number"?this.mapHandleToPos.set(i,o+s):this.mapHandleToPos.delete(i)))}async write(i,t,s,o,c){return(0,k.retry)(()=>this.doWrite(i,t,s,o,c),100,3)}async doWrite(i,t,s,o,c){const u=this.normalizePos(i,t);let m=null;try{const I=await d.Promises.write(i,s,o,c,u);return typeof I=="number"?m=I:m=I.bytesWritten,m}catch(I){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),I)}finally{this.updatePos(i,u,m)}}async mkdir(i){try{await d.Promises.mkdir(this.toFilePath(i))}catch(t){throw this.toFileSystemProviderError(t)}}async delete(i,t){try{const s=this.toFilePath(i);t.recursive?await d.Promises.rm(s,d.RimRafMode.MOVE):await d.Promises.unlink(s)}catch(s){throw this.toFileSystemProviderError(s)}}async rename(i,t,s){const o=this.toFilePath(i),c=this.toFilePath(t);if(o!==c)try{await this.validateTargetDeleted(i,t,"move",s.overwrite),await d.Promises.move(o,c)}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,w.localize)(2,null,(0,P.basename)(o),(0,P.basename)((0,P.dirname)(c)),u.toString()))),this.toFileSystemProviderError(u)}}async copy(i,t,s){const o=this.toFilePath(i),c=this.toFilePath(t);if(o!==c)try{await this.validateTargetDeleted(i,t,"copy",s.overwrite),await d.Promises.copy(o,c,{preserveSymlinks:!0})}catch(u){throw(u.code==="EINVAL"||u.code==="EBUSY"||u.code==="ENAMETOOLONG")&&(u=new Error((0,w.localize)(3,null,(0,P.basename)(o),(0,P.basename)((0,P.dirname)(c)),u.toString()))),this.toFileSystemProviderError(u)}}async validateTargetDeleted(i,t,s,o){const c=this.toFilePath(i),u=this.toFilePath(t);let m=!1;if(!!(this.capabilities&1024)||(m=(0,C.isEqual)(c,u,!0)),m&&s==="copy")throw(0,S.createFileSystemProviderError)((0,w.localize)(4,null),S.FileSystemProviderErrorCode.FileExists);if(!m&&await d.Promises.exists(u)){if(!o)throw(0,S.createFileSystemProviderError)((0,w.localize)(5,null),S.FileSystemProviderErrorCode.FileExists);await this.delete(t,{recursive:!0,useTrash:!1})}}createRecursiveWatcher(i,t,s){return new g.ParcelWatcherClient(o=>i(o),o=>t(o),s)}massageRecursiveWatchRequests(i){const t=this.options?.watcher?.usePolling;if(t===!0)for(const s of i)s.pollingInterval=this.options?.watcher?.pollingInterval??5e3;else if(Array.isArray(t))for(const s of i)t.includes(s.path)&&(s.pollingInterval=this.options?.watcher?.pollingInterval??5e3)}createNonRecursiveWatcher(i,t,s,o){return new y.NodeJSFileWatcher(i,c=>t(c),c=>s(c),o)}toFileSystemProviderError(i){if(i instanceof S.FileSystemProviderError)return i;let t;switch(i.code){case"ENOENT":t=S.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":t=S.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":t=S.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":t=S.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":t=S.FileSystemProviderErrorCode.NoPermissions;break;default:t=S.FileSystemProviderErrorCode.Unknown}return(0,S.createFileSystemProviderError)(i,t)}async toFileSystemProviderWriteError(i,t){let s=this.toFileSystemProviderError(t);if(i&&s.code===S.FileSystemProviderErrorCode.NoPermissions)try{const{stat:o}=await d.SymlinkSupport.stat(this.toFilePath(i));o.mode&128||(s=(0,S.createFileSystemProviderError)(t,S.FileSystemProviderErrorCode.FileWriteLocked))}catch(o){this.logService.trace(o)}return s}}e.DiskFileSystemProvider=r}),define(ne[85],ie([0,1,3,7,8]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class _{constructor(f){this.service=f,this.onDidChangeLogLevel=T.Event.buffer(f.onDidChangeLogLevel,!0)}listen(f,p){switch(p){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${p}`)}async call(f,p,d){switch(p){case"setLevel":return this.service.setLevel(d)}throw new Error(`Call not found: ${p}`)}}e.LogLevelChannel=_;class L{constructor(f){this.channel=f}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(f){L.setLevel(this.channel,f)}static setLevel(f,p){return f.call("setLevel",p)}}e.LogLevelChannelClient=L;class R{constructor(f){this.loggerService=f,this.loggers=new Map}listen(f,p){throw new Error(`Event not found: ${p}`)}async call(f,p,d){switch(p){case"createLogger":this.createLogger(n.URI.revive(d[0]),d[1]);return;case"log":return this.log(n.URI.revive(d[0]),d[1]);case"consoleLog":return this.consoleLog(d[0],d[1])}throw new Error(`Call not found: ${p}`)}createLogger(f,p){this.loggers.set(f.toString(),this.loggerService.createLogger(f,p))}consoleLog(f,p){let d=console.log;switch(f){case k.LogLevel.Error:d=console.error;break;case k.LogLevel.Warning:d=console.warn;break;case k.LogLevel.Info:d=console.info;break}d.call(console,...p)}log(f,p){const d=this.loggers.get(f.toString());if(!d)throw new Error("Create the logger before logging");for(const[w,S]of p)(0,k.log)(d,w,S)}}e.LoggerChannel=R;class C extends k.AbstractLoggerService{constructor(f,p,d){super(f,p);this.channel=d}createConsoleMainLogger(){return new k.AdapterLogger({log:(f,p)=>{this.channel.call("consoleLog",[f,p])}})}doCreateLogger(f,p,d){return new E(this.channel,f,p,d)}}e.LoggerChannelClient=C;class E extends k.AbstractMessageLogger{constructor(f,p,d,w){super(w?.always);this.channel=f,this.file=p,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(d),this.channel.call("createLogger",[p,w]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(f,p){const d=[[f,p]];this.isLoggerCreated?this.doLog(d):this.buffer.push(...d)}doLog(f){this.channel.call("log",[this.file,f])}}class P extends k.LogService{constructor(f,p){super(p);this.parent=f,this._register(f.onDidChangeLogLevel(d=>p.setLevel(d)))}setLevel(f){super.setLevel(f),this.parent.setLevel(f)}}e.FollowerLogService=P}),define(ne[60],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,T.createDecorator)("nativeHostService")}),define(ne[86],ie([0,1,18,4,31,19]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let L;if(typeof n.globals.vscode!="undefined"&&typeof n.globals.vscode.context!="undefined"){const R=n.globals.vscode.context.configuration();if(R)L=R.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof J?.__$__nodeRequire=="function"){const R=(0,_.dirname)(T.FileAccess.asFileUri("",J));L=J.__$__nodeRequire((0,_.joinPath)(R,"product.json").fsPath);const C=J.__$__nodeRequire((0,_.joinPath)(R,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(L,{nameShort:`${L.nameShort} Dev`,nameLong:`${L.nameLong} Dev`,dataFolderName:`${L.dataFolderName}-dev`}),Object.assign(L,{version:C.version})}else L={},Object.keys(L).length===0&&Object.assign(L,{version:"1.64.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=L}),define(ne[26],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,T.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(ne[179],ie([0,1,5,9,2,10,22,8,26]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeCacheCleaner=void 0;let E=class extends k.Disposable{constructor(b,f,p){super();this.productService=f,this.logService=p,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,b&&this._register(new T.RunOnceScheduler(()=>{this.cleanUpCodeCaches(b)},30*1e3)).schedule()}async cleanUpCodeCaches(b){this.logService.trace("[code cache cleanup]: Starting to clean up old code cache folders.");try{const f=Date.now(),p=(0,_.dirname)(b),d=(0,_.basename)(b),w=await L.Promises.readdir(p);await Promise.all(w.map(async S=>{if(S===d)return;const h=(0,_.join)(p,S),y=await L.Promises.stat(h);if(y.isDirectory()&&f-y.mtime.getTime()>this._DataMaxAge)return this.logService.trace(`[code cache cleanup]: Removing code cache folder ${S}.`),L.Promises.rm(h)}))}catch(f){(0,n.onUnexpectedError)(f)}}};E=de([X(1,C.IProductService),X(2,R.ILogService)],E),e.CodeCacheCleaner=E}),define(ne[180],ie([0,1,5,9,2,10,22,13,8,26]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let P=class extends k.Disposable{constructor(f,p,d){super();this.environmentService=f,this.logService=p,this.productService=d,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,this.environmentService.isBuilt&&this._register(new T.RunOnceScheduler(()=>{this.cleanUpLanguagePackCache()},40*1e3)).schedule()}async cleanUpLanguagePackCache(){this.logService.trace("[language pack cache cleanup]: Starting to clean up unused language packs.");try{const f=Object.create(null),p=JSON.parse(await L.Promises.readFile((0,_.join)(this.environmentService.userDataPath,"languagepacks.json"),"utf8"));for(let y of Object.keys(p)){const g=p[y];f[`${g.hash}.${y}`]=!0}const d=(0,_.join)(this.environmentService.userDataPath,"clp");if(!await L.Promises.exists(d))return;const S=await L.Promises.readdir(d);for(const y of S){if(f[y]){this.logService.trace(`[language pack cache cleanup]: Skipping folder ${y}. Language pack still in use.`);continue}this.logService.trace(`[language pack cache cleanup]: Removing unused language pack: ${y}`),await L.Promises.rm((0,_.join)(d,y))}const h=Date.now();for(const y of Object.keys(f)){const g=(0,_.join)(d,y),v=await L.Promises.readdir(g);for(const l of v){if(l==="tcf.json")continue;const r=(0,_.join)(g,l),a=await L.Promises.stat(r);a.isDirectory()&&h-a.mtime.getTime()>this._DataMaxAge&&(this.logService.trace(`[language pack cache cleanup]: Removing language pack cache folder: ${(0,_.join)(y,l)}`),await L.Promises.rm(r))}}}catch(f){(0,n.onUnexpectedError)(f)}}};P=de([X(0,R.INativeEnvironmentService),X(1,C.ILogService),X(2,E.IProductService)],P),e.LanguagePackCachedDataCleaner=P}),define(ne[181],ie([0,1,10,6]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Utils=e.IV8InspectProfilingService=void 0,e.IV8InspectProfilingService=(0,n.createDecorator)("IV8InspectProfilingService");var k;(function(_){function L(R,C="noAbsolutePaths"){for(const E of R.nodes)E.callFrame&&E.callFrame.url&&((0,T.isAbsolute)(E.callFrame.url)||/^\w[\w\d+.-]*:\/\/\//.test(E.callFrame.url))&&(E.callFrame.url=(0,T.join)(C,(0,T.basename)(E.callFrame.url)));return R}_.rewriteAbsolutePaths=L})(k=e.Utils||(e.Utils={}))}),define(ne[182],ie([0,1,29]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InspectProfilingService=void 0;class n{constructor(){this._sessions=new Map}async startProfiling(_){const R=await(await new Promise((E,P)=>{J(["v8-inspect-profiler"],E,P)})).startProfiling({port:_.port,checkForPaused:!0}),C=(0,T.generateUuid)();return this._sessions.set(C,R),C}async stopProfiling(_){const L=this._sessions.get(_);if(!L)throw new Error(`UNKNOWN session '${_}'`);const R=await L.stop();return this._sessions.delete(_),R.profile}}e.InspectProfilingService=n}),define(ne[38],ie([0,1,99,15]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class k{constructor(){this.data=new Map}add(L,R){T.ok(n.isString(L)),T.ok(n.isObject(R)),T.ok(!this.data.has(L),"There is already an extension with this id"),this.data.set(L,R)}knows(L){return this.data.has(L)}as(L){return this.data.get(L)||null}}e.Registry=new k}),define(ne[87],ie([0,1,3,38]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function k(R){return R.length>0&&R.charAt(R.length-1)==="#"?R.substring(0,R.length-1):R}class _{constructor(){this._onDidChangeSchema=new T.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(C,E){this.schemasById[k(C)]=E,this._onDidChangeSchema.fire(C)}notifySchemaChanged(C){this._onDidChangeSchema.fire(C)}getSchemaContributions(){return{schemas:this.schemasById}}}const L=new _;n.Registry.add(e.Extensions.JSONContribution,L)}),define(ne[42],ie([0,1,16,3,15,125,87,38]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var C;(function(v){v.Multiline="multilineText",v.Singleline="singlelineText"})(C=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var E;(function(v){v[v.APPLICATION=1]="APPLICATION",v[v.MACHINE=2]="MACHINE",v[v.WINDOW=3]="WINDOW",v[v.RESOURCE=4]="RESOURCE",v[v.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",v[v.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(E=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const P=R.Registry.as(L.Extensions.JSONContribution);class b{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new n.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new n.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:_.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(l,r=!0){this.registerConfigurations([l],r)}registerConfigurations(l,r=!0){const a=this.doRegisterConfigurations(l,r);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a})}deregisterConfigurations(l){const r=this.doDeregisterConfigurations(l);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:l,remove:r}){const a=[];a.push(...this.doDeregisterConfigurations(r)),a.push(...this.doRegisterConfigurations(l,!1)),P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,T.distinct)(a)})}registerDefaultConfigurations(l){const r=[],a=[];for(const{overrides:i,source:t}of l)for(const s in i)if(r.push(s),e.OVERRIDE_PROPERTY_REGEX.test(s)){const o={...this.configurationDefaultsOverrides.get(s)?.value||{},...i[s]};this.configurationDefaultsOverrides.set(s,{source:t,value:o});const c={type:"object",default:o,description:_.localize(1,null,s),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:o,source:k.isString(t)?void 0:t};a.push(...d(s)),this.configurationProperties[s]=c,this.defaultLanguageConfigurationOverridesNode.properties[s]=c}else{this.configurationDefaultsOverrides.set(s,{value:i[s],source:t});const o=this.configurationProperties[s];o&&(this.updatePropertyDefaultValue(s,o),this.updateSchema(s,o))}this.registerOverrideIdentifiers(a),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(l){const r=[];for(const{overrides:a,source:i}of l)for(const t in a){const s=this.configurationDefaultsOverrides.get(t),o=k.isString(i)?i:i?.id,c=k.isString(s?.source)?s?.source:s?.source?.id;if(o===c)if(r.push(t),this.configurationDefaultsOverrides.delete(t),e.OVERRIDE_PROPERTY_REGEX.test(t))delete this.configurationProperties[t],delete this.defaultLanguageConfigurationOverridesNode.properties[t];else{const u=this.configurationProperties[t];u&&(this.updatePropertyDefaultValue(t,u),this.updateSchema(t,u))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...l){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(l){for(const r of l)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(l,r){const a=[];return l.forEach(i=>{a.push(...this.validateAndRegisterProperties(i,r,i.extensionInfo,i.restrictedProperties)),this.configurationContributors.push(i),this.registerJSONConfiguration(i)}),a}doDeregisterConfigurations(l){const r=[],a=i=>{if(i.properties)for(const t in i.properties)r.push(t),delete this.configurationProperties[t],this.removeFromSchema(t,i.properties[t]);i.allOf&&i.allOf.forEach(t=>a(t))};for(const i of l){a(i);const t=this.configurationContributors.indexOf(i);t!==-1&&this.configurationContributors.splice(t,1)}return r}validateAndRegisterProperties(l,r=!0,a,i,t=3){t=k.isUndefinedOrNull(l.scope)?t:l.scope;let s=[],o=l.properties;if(o)for(let u in o){if(r&&y(u)){delete o[u];continue}const m=o[u];if(m.source=a,m.defaultDefaultValue=o[u].default,this.updatePropertyDefaultValue(u,m),e.OVERRIDE_PROPERTY_REGEX.test(u)?m.scope=void 0:(m.scope=k.isUndefinedOrNull(m.scope)?t:m.scope,m.restricted=k.isUndefinedOrNull(m.restricted)?!!i?.includes(u):m.restricted),o[u].hasOwnProperty("included")&&!o[u].included){this.excludedConfigurationProperties[u]=o[u],delete o[u];continue}else this.configurationProperties[u]=o[u];!o[u].deprecationMessage&&o[u].markdownDeprecationMessage&&(o[u].deprecationMessage=o[u].markdownDeprecationMessage),s.push(u)}let c=l.allOf;if(c)for(let u of c)s.push(...this.validateAndRegisterProperties(u,r,a,i,t));return s}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(l){const r=a=>{let i=a.properties;if(i)for(const s in i)this.updateSchema(s,i[s]);let t=a.allOf;t&&t.forEach(r)};r(l)}updateSchema(l,r){switch(e.allSettings.properties[l]=r,r.scope){case 1:e.applicationSettings.properties[l]=r;break;case 2:e.machineSettings.properties[l]=r;break;case 6:e.machineOverridableSettings.properties[l]=r;break;case 3:e.windowSettings.properties[l]=r;break;case 4:e.resourceSettings.properties[l]=r;break;case 5:e.resourceSettings.properties[l]=r,this.resourceLanguageSettingsSchema.properties[l]=r;break}}removeFromSchema(l,r){switch(delete e.allSettings.properties[l],r.scope){case 1:delete e.applicationSettings.properties[l];break;case 2:delete e.machineSettings.properties[l];break;case 6:delete e.machineOverridableSettings.properties[l];break;case 3:delete e.windowSettings.properties[l];break;case 4:case 5:delete e.resourceSettings.properties[l],delete this.resourceLanguageSettingsSchema.properties[l];break}}updateOverridePropertyPatternKey(){for(const l of this.overrideIdentifiers.values()){const r=`[${l}]`,a={type:"object",description:_.localize(2,null),errorMessage:_.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,a),e.allSettings.properties[r]=a,e.applicationSettings.properties[r]=a,e.machineSettings.properties[r]=a,e.machineOverridableSettings.properties[r]=a,e.windowSettings.properties[r]=a,e.resourceSettings.properties[r]=a}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const l={type:"object",description:_.localize(4,null),errorMessage:_.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=l,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(l,r){const a=this.configurationDefaultsOverrides.get(l);let i=a?.value,t=a?.source;k.isUndefined(i)&&(i=r.defaultDefaultValue,t=void 0),k.isUndefined(i)&&(i=S(r.type)),r.default=i,r.defaultValueSource=t}}const f="\\[([^\\]]+)\\]",p=new RegExp(f,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${f})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function d(v){const l=[];if(e.OVERRIDE_PROPERTY_REGEX.test(v)){let r=p.exec(v);for(;r?.length;){const a=r[1].trim();a&&l.push(a),r=p.exec(v)}}return(0,T.distinct)(l)}e.overrideIdentifiersFromKey=d;function w(v){return v.reduce((l,r)=>`${l}[${r}]`,"")}e.keyFromOverrideIdentifiers=w;function S(v){switch(Array.isArray(v)?v[0]:v){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=S;const h=new b;R.Registry.add(e.Extensions.Configuration,h);function y(v){return v.trim()?e.OVERRIDE_PROPERTY_REGEX.test(v)?_.localize(7,null,v):h.getConfigurationProperties()[v]!==void 0?_.localize(8,null,v):null:_.localize(6,null)}e.validateProperty=y;function g(){const v=[],l=h.getConfigurationProperties();for(const r of Object.keys(l))v.push([r,l[r].scope]);return v.push(["launch",4]),v.push(["task",4]),v}e.getScopes=g}),define(ne[88],ie([0,1,16,3,35,2,39,28,15,7,20,42,38]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class p{constructor(i={},t=[],s=[]){this._contents=i,this._keys=t,this._overrides=s,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(i){return i?(0,P.getConfigurationValue)(this.contents,i):this.contents}getOverrideValue(i,t){const s=this.getContentsForOverrideIdentifer(t);return s?i?(0,P.getConfigurationValue)(s,i):s:void 0}getKeysForOverrideIdentifier(i){const t=[];for(const s of this.overrides)s.identifiers.includes(i)&&t.push(...s.keys);return T.distinct(t)}getAllOverrideIdentifiers(){const i=[];for(const t of this.overrides)i.push(...t.identifiers);return T.distinct(i)}override(i){let t=this.overrideConfigurations.get(i);return t||(t=this.createOverrideConfigurationModel(i),this.overrideConfigurations.set(i,t)),t}merge(...i){const t=R.deepClone(this.contents),s=R.deepClone(this.overrides),o=[...this.keys];for(const c of i){this.mergeContents(t,c.contents);for(const u of c.overrides){const[m]=s.filter(I=>T.equals(I.identifiers,u.identifiers));m?(this.mergeContents(m.contents,u.contents),m.keys.push(...u.keys),m.keys=T.distinct(m.keys)):s.push(R.deepClone(u))}for(const u of c.keys)o.indexOf(u)===-1&&o.push(u)}return new p(t,o,s)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(i){const t=this.getContentsForOverrideIdentifer(i);if(!t||typeof t!="object"||!Object.keys(t).length)return this;let s={};for(const o of T.distinct([...Object.keys(this.contents),...Object.keys(t)])){let c=this.contents[o],u=t[o];u&&(typeof c=="object"&&typeof u=="object"?(c=R.deepClone(c),this.mergeContents(c,u)):c=u),s[o]=c}return new p(s,this.keys,this.overrides)}mergeContents(i,t){for(const s of Object.keys(t)){if(s in i&&C.isObject(i[s])&&C.isObject(t[s])){this.mergeContents(i[s],t[s]);continue}i[s]=R.deepClone(t[s])}}checkAndFreeze(i){return this.isFrozen&&!Object.isFrozen(i)?R.deepFreeze(i):i}getContentsForOverrideIdentifer(i){let t=null,s=null;const o=c=>{c&&(s?this.mergeContents(s,c):s=R.deepClone(c))};for(const c of this.overrides)T.equals(c.identifiers,[i])?t=c.contents:c.identifiers.includes(i)&&o(c.contents);return o(t),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(i,t){this.addKey(i),(0,P.addToValueTree)(this.contents,i,t,s=>{throw new Error(s)})}removeValue(i){this.removeKey(i)&&(0,P.removeFromValueTree)(this.contents,i)}addKey(i){let t=this.keys.length;for(let s=0;s<t;s++)i.indexOf(this.keys[s])===0&&(t=s);this.keys.splice(t,1,i)}removeKey(i){let t=this.keys.indexOf(i);return t!==-1?(this.keys.splice(t,1),!0):!1}}e.ConfigurationModel=p;class d extends p{constructor(i={}){const t=f.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),s=Object.keys(t),o=Object.create(null),c=[];for(const u in t){const m=i[u],I=m!==void 0?m:t[u].default;(0,P.addToValueTree)(o,u,I,A=>console.error(`Conflict in default settings: ${A}`))}for(const u of Object.keys(o))b.OVERRIDE_PROPERTY_REGEX.test(u)&&c.push({identifiers:(0,b.overrideIdentifiersFromKey)(u),keys:Object.keys(o[u]),contents:(0,P.toValuesTree)(o[u],m=>console.error(`Conflict in default settings file: ${m}`))});super(o,s,c)}}e.DefaultConfigurationModel=d;class w{constructor(i){this._name=i,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new p}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(i,t){if(!C.isUndefinedOrNull(i)){const s=this.doParseContent(i);this.parseRaw(s,t)}}reparse(i){this._raw&&this.parseRaw(this._raw,i)}parseRaw(i,t){this._raw=i;const{contents:s,keys:o,overrides:c,restricted:u}=this.doParseRaw(i,t);this._configurationModel=new p(s,o,c),this._restrictedConfigurations=u||[]}doParseContent(i){let t={},s=null,o=[],c=[],u=[];function m(A){Array.isArray(o)?o.push(A):s!==null&&(o[s]=A)}let I={onObjectBegin:()=>{let A={};m(A),c.push(o),o=A,s=null},onObjectProperty:A=>{s=A},onObjectEnd:()=>{o=c.pop()},onArrayBegin:()=>{let A=[];m(A),c.push(o),o=A,s=null},onArrayEnd:()=>{o=c.pop()},onLiteralValue:m,onError:(A,O,N)=>{u.push({error:A,offset:O,length:N})}};if(i)try{k.visit(i,I),t=o[0]||{}}catch(A){console.error(`Error while parsing settings file ${this._name}: ${A}`),this._parseErrors=[A]}return t}doParseRaw(i,t){const s=f.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),o=this.filter(i,s,!0,t);i=o.raw;const c=(0,P.toValuesTree)(i,I=>console.error(`Conflict in settings file ${this._name}: ${I}`)),u=Object.keys(i),m=this.toOverrides(i,I=>console.error(`Conflict in settings file ${this._name}: ${I}`));return{contents:c,keys:u,overrides:m,restricted:o.restricted}}filter(i,t,s,o){if(!o?.scopes&&!o?.skipRestricted)return{raw:i,restricted:[]};const c={},u=[];for(let m in i)if(b.OVERRIDE_PROPERTY_REGEX.test(m)&&s){const I=this.filter(i[m],t,!1,o);c[m]=I.raw,u.push(...I.restricted)}else{const I=t[m],A=I?typeof I.scope!="undefined"?I.scope:3:void 0;I?.restricted&&u.push(m),(A===void 0||o.scopes===void 0||o.scopes.includes(A))&&(o.skipRestricted&&I?.restricted||(c[m]=i[m]))}return{raw:c,restricted:u}}toOverrides(i,t){const s=[];for(const o of Object.keys(i))if(b.OVERRIDE_PROPERTY_REGEX.test(o)){const c={};for(const u in i[o])c[u]=i[o][u];s.push({identifiers:(0,b.overrideIdentifiersFromKey)(o),keys:Object.keys(c),contents:(0,P.toValuesTree)(c,t)})}return s}}e.ConfigurationModelParser=w;class S extends _.Disposable{constructor(i,t,s,o){super();this.userSettingsResource=i,this.scopes=t,this.fileService=o,this._onDidChange=this._register(new n.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new w(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(n.Event.filter(this.fileService.onDidFilesChange,c=>c.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const i=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(i.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new p}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=S;class h{constructor(i,t,s=new p,o=new p,c=new L.ResourceMap,u=new p,m=new L.ResourceMap,I=!0){this._defaultConfiguration=i,this._localUserConfiguration=t,this._remoteUserConfiguration=s,this._workspaceConfiguration=o,this._folderConfigurations=c,this._memoryConfiguration=u,this._memoryConfigurationByResource=m,this._freeze=I,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new L.ResourceMap,this._userConfiguration=null}getValue(i,t,s){return this.getConsolidateConfigurationModel(t,s).getValue(i)}updateValue(i,t,s={}){let o;s.resource?(o=this._memoryConfigurationByResource.get(s.resource),o||(o=new p,this._memoryConfigurationByResource.set(s.resource,o))):o=this._memoryConfiguration,t===void 0?o.removeValue(i):o.setValue(i,t),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(i,t,s){const o=this.getConsolidateConfigurationModel(t,s),c=this.getFolderConfigurationModelForResource(t.resource,s),u=t.resource?this._memoryConfigurationByResource.get(t.resource)||this._memoryConfiguration:this._memoryConfiguration,m=t.overrideIdentifier?this._defaultConfiguration.freeze().override(t.overrideIdentifier).getValue(i):this._defaultConfiguration.freeze().getValue(i),I=t.overrideIdentifier?this.userConfiguration.freeze().override(t.overrideIdentifier).getValue(i):this.userConfiguration.freeze().getValue(i),A=t.overrideIdentifier?this.localUserConfiguration.freeze().override(t.overrideIdentifier).getValue(i):this.localUserConfiguration.freeze().getValue(i),O=t.overrideIdentifier?this.remoteUserConfiguration.freeze().override(t.overrideIdentifier).getValue(i):this.remoteUserConfiguration.freeze().getValue(i),N=s?t.overrideIdentifier?this._workspaceConfiguration.freeze().override(t.overrideIdentifier).getValue(i):this._workspaceConfiguration.freeze().getValue(i):void 0,$=c?t.overrideIdentifier?c.freeze().override(t.overrideIdentifier).getValue(i):c.freeze().getValue(i):void 0,D=t.overrideIdentifier?u.override(t.overrideIdentifier).getValue(i):u.getValue(i),M=o.getValue(i),W=T.distinct(T.flatten(o.overrides.map(F=>F.identifiers))).filter(F=>o.getOverrideValue(i,F)!==void 0);return{defaultValue:m,userValue:I,userLocalValue:A,userRemoteValue:O,workspaceValue:N,workspaceFolderValue:$,memoryValue:D,value:M,default:m!==void 0?{value:this._defaultConfiguration.freeze().getValue(i),override:t.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,user:I!==void 0?{value:this.userConfiguration.freeze().getValue(i),override:t.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,userLocal:A!==void 0?{value:this.localUserConfiguration.freeze().getValue(i),override:t.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,userRemote:O!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(i),override:t.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,workspace:N!==void 0?{value:this._workspaceConfiguration.freeze().getValue(i),override:t.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,workspaceFolder:$!==void 0?{value:c?.freeze().getValue(i),override:t.overrideIdentifier?c?.freeze().getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,memory:D!==void 0?{value:u.getValue(i),override:t.overrideIdentifier?u.getOverrideValue(i,t.overrideIdentifier):void 0}:void 0,overrideIdentifiers:W.length?W:void 0}}keys(i){const t=this.getFolderConfigurationModelForResource(void 0,i);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:t?t.freeze().keys:[]}}updateDefaultConfiguration(i){this._defaultConfiguration=i,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(i){this._localUserConfiguration=i,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(i){this._remoteUserConfiguration=i,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(i){this._workspaceConfiguration=i,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(i,t){this._folderConfigurations.set(i,t),this._foldersConsolidatedConfigurations.delete(i)}deleteFolderConfiguration(i){this.folderConfigurations.delete(i),this._foldersConsolidatedConfigurations.delete(i)}compareAndUpdateDefaultConfiguration(i,t){const s=[];if(!t){const{added:o,updated:c,removed:u}=l(this._defaultConfiguration,i);t=[...o,...c,...u]}for(const o of t)for(const c of(0,b.overrideIdentifiersFromKey)(o)){const u=this._defaultConfiguration.getKeysForOverrideIdentifier(c),m=i.getKeysForOverrideIdentifier(c),I=[...m.filter(A=>u.indexOf(A)===-1),...u.filter(A=>m.indexOf(A)===-1),...u.filter(A=>!R.equals(this._defaultConfiguration.override(c).getValue(A),i.override(c).getValue(A)))];s.push([c,I])}return this.updateDefaultConfiguration(i),{keys:t,overrides:s}}compareAndUpdateLocalUserConfiguration(i){const{added:t,updated:s,removed:o,overrides:c}=l(this.localUserConfiguration,i),u=[...t,...s,...o];return u.length&&this.updateLocalUserConfiguration(i),{keys:u,overrides:c}}compareAndUpdateRemoteUserConfiguration(i){const{added:t,updated:s,removed:o,overrides:c}=l(this.remoteUserConfiguration,i);let u=[...t,...s,...o];return u.length&&this.updateRemoteUserConfiguration(i),{keys:u,overrides:c}}compareAndUpdateWorkspaceConfiguration(i){const{added:t,updated:s,removed:o,overrides:c}=l(this.workspaceConfiguration,i);let u=[...t,...s,...o];return u.length&&this.updateWorkspaceConfiguration(i),{keys:u,overrides:c}}compareAndUpdateFolderConfiguration(i,t){const s=this.folderConfigurations.get(i),{added:o,updated:c,removed:u,overrides:m}=l(s,t);let I=[...o,...c,...u];return(I.length||!s)&&this.updateFolderConfiguration(i,t),{keys:I,overrides:m}}compareAndDeleteFolderConfiguration(i){const t=this.folderConfigurations.get(i);if(!t)throw new Error("Unknown folder");this.deleteFolderConfiguration(i);const{added:s,updated:o,removed:c,overrides:u}=l(t,void 0);return{keys:[...s,...o,...c],overrides:u}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(i,t){let s=this.getConsolidatedConfigurationModelForResource(i,t);return i.overrideIdentifier?s.override(i.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:i},t){let s=this.getWorkspaceConsolidatedConfiguration();if(t&&i){const o=t.getFolder(i);o&&(s=this.getFolderConsolidatedConfiguration(o.uri)||s);const c=this._memoryConfigurationByResource.get(i);c&&(s=s.merge(c))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(i){let t=this._foldersConsolidatedConfigurations.get(i);if(!t){const s=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(i);o?(t=s.merge(o),this._freeze&&(t=t.freeze()),this._foldersConsolidatedConfigurations.set(i,t)):t=s}return t}getFolderConfigurationModelForResource(i,t){if(t&&i){const s=t.getFolder(i);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((i,t)=>{const{contents:s,overrides:o,keys:c}=this._folderConfigurations.get(t);return i.push([t,{contents:s,overrides:o,keys:c}]),i},[])}}allKeys(){const i=new Set;return this._defaultConfiguration.freeze().keys.forEach(t=>i.add(t)),this.userConfiguration.freeze().keys.forEach(t=>i.add(t)),this._workspaceConfiguration.freeze().keys.forEach(t=>i.add(t)),this._folderConfigurations.forEach(t=>t.freeze().keys.forEach(s=>i.add(s))),[...i.values()]}allOverrideIdentifiers(){const i=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>i.add(t)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>i.add(t)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>i.add(t)),this._folderConfigurations.forEach(t=>t.freeze().getAllOverrideIdentifiers().forEach(s=>i.add(s))),[...i.values()]}getAllKeysForOverrideIdentifier(i){const t=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(i).forEach(s=>t.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(i).forEach(s=>t.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(i).forEach(s=>t.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(i).forEach(o=>t.add(o))),[...t.values()]}static parse(i){const t=this.parseConfigurationModel(i.defaults),s=this.parseConfigurationModel(i.user),o=this.parseConfigurationModel(i.workspace),c=i.folders.reduce((u,m)=>(u.set(E.URI.revive(m[0]),this.parseConfigurationModel(m[1])),u),new L.ResourceMap);return new h(t,s,new p,o,c,new p,new L.ResourceMap,!1)}static parseConfigurationModel(i){return new p(i.contents,i.keys,i.overrides).freeze()}}e.Configuration=h;function y(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const i=new Set,t=new Map;for(const o of a)o.keys.forEach(c=>i.add(c)),o.overrides.forEach(([c,u])=>{const m=(0,L.getOrSet)(t,c,new Set);u.forEach(I=>m.add(I))});const s=[];return t.forEach((o,c)=>s.push([c,[...o.values()]])),{keys:[...i.values()],overrides:s}}e.mergeChanges=y;class g{constructor(i,t,s,o){this.change=i,this.previous=t,this.currentConfiguraiton=s,this.currentWorkspace=o,this._previousConfiguration=void 0;const c=new Set;i.keys.forEach(m=>c.add(m)),i.overrides.forEach(([,m])=>m.forEach(I=>c.add(I))),this.affectedKeys=[...c.values()];const u=new p;this.affectedKeys.forEach(m=>u.setValue(m,{})),this.affectedKeysTree=u.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=h.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(i,t){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,i)){if(t){const s=this.previousConfiguration?this.previousConfiguration.getValue(i,t,this.previous?.workspace):void 0,o=this.currentConfiguraiton.getValue(i,t,this.currentWorkspace);return!R.equals(s,o)}return!0}return!1}doesAffectedKeysTreeContains(i,t){let s=(0,P.toValuesTree)({[t]:!0},()=>{}),o;for(;typeof s=="object"&&(o=Object.keys(s)[0]);){if(i=i[o],!i)return!1;s=s[o]}return!0}}e.ConfigurationChangeEvent=g;class v extends g{constructor(i,t,s,o){super({keys:i.allKeys(),overrides:[]},void 0,i,t);this.source=s,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=v;function l(a,i){const{added:t,removed:s,updated:o}=r(i,a),c=[],u=a?.getAllOverrideIdentifiers()||[],m=i?.getAllOverrideIdentifiers()||[];if(i){const I=m.filter(A=>!u.includes(A));for(const A of I)c.push([A,i.getKeysForOverrideIdentifier(A)])}if(a){const I=u.filter(A=>!m.includes(A));for(const A of I)c.push([A,a.getKeysForOverrideIdentifier(A)])}if(i&&a){for(const I of u)if(m.includes(I)){const A=r({contents:a.getOverrideValue(void 0,I)||{},keys:a.getKeysForOverrideIdentifier(I)},{contents:i.getOverrideValue(void 0,I)||{},keys:i.getKeysForOverrideIdentifier(I)});c.push([I,[...A.added,...A.removed,...A.updated]])}}return{added:t,removed:s,updated:o,overrides:c}}function r(a,i){const t=a?i?a.keys.filter(c=>i.keys.indexOf(c)===-1):[...a.keys]:[],s=i?a?i.keys.filter(c=>a.keys.indexOf(c)===-1):[...i.keys]:[],o=[];if(a&&i){for(const c of i.keys)if(a.keys.indexOf(c)!==-1){const u=(0,P.getConfigurationValue)(i.contents,c),m=(0,P.getConfigurationValue)(a.contents,c);R.equals(u,m)||o.push(c)}}return{added:t,removed:s,updated:o}}}),define(ne[183],ie([0,1,5,3,2,19,20,88,42,38]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class P extends k.Disposable{constructor(f,p){super();this.settingsResource=f,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new R.UserSettings(this.settingsResource,void 0,_.extUriBiasedIgnorePathCase,p)),this.configuration=new R.Configuration(new R.DefaultConfigurationModel,new R.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new T.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(E.Registry.as(C.Extensions.Configuration).onDidUpdateConfiguration(({properties:d})=>this.onDidDefaultConfigurationChange(d))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const f=await this.userConfiguration.loadConfiguration();this.configuration=new R.Configuration(new R.DefaultConfigurationModel,f)}getConfigurationData(){return this.configuration.toData()}getValue(f,p){const d=typeof f=="string"?f:void 0,w=(0,L.isConfigurationOverrides)(f)?f:(0,L.isConfigurationOverrides)(p)?p:{};return this.configuration.getValue(d,w,void 0)}updateValue(f,p,d,w){return Promise.reject(new Error("not supported"))}inspect(f){return this.configuration.inspect(f,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const f=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(f)}onDidChangeUserConfiguration(f){const p=this.configuration.toData(),d=this.configuration.compareAndUpdateLocalUserConfiguration(f);this.trigger(d,p,1)}onDidDefaultConfigurationChange(f){const p=this.configuration.toData(),d=this.configuration.compareAndUpdateDefaultConfiguration(new R.DefaultConfigurationModel,f);this.trigger(d,p,6)}trigger(f,p,d){const w=new R.ConfigurationChangeEvent(f,{data:p},this.configuration);w.source=d,w.sourceConfig=this.getTargetConfiguration(d),this._onDidChangeConfiguration.fire(w)}getTargetConfiguration(f){switch(f){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=P}),define(ne[184],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,T.createDecorator)("remoteAuthorityResolverService");var n;(function(_){_.Unknown="Unknown",_.NotAvailable="NotAvailable",_.TemporarilyNotAvailable="TemporarilyNotAvailable",_.NoResolverFound="NoResolverFound"})(n=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class k extends Error{constructor(L,R=n.Unknown,C){super(L);this._message=L,this._code=R,this._detail=C,this.isHandled=R===n.NotAvailable&&C===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,k.prototype)}static isTemporarilyNotAvailable(L){return L instanceof k&&L._code===n.TemporarilyNotAvailable}static isNoResolverFound(L){return L instanceof k&&L._code===n.NoResolverFound}static isHandled(L){return L instanceof k&&L.isHandled}}e.RemoteAuthorityResolverError=k}),define(ne[185],ie([0,1,5,17,25,9,3,2,29,72,184]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const b=30*1e3;var f;(function(G){G[G.Management=1]="Management",G[G.ExtensionHost=2]="ExtensionHost",G[G.Tunnel=3]="Tunnel"})(f=e.ConnectionType||(e.ConnectionType={}));function p(G){switch(G){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function d(G){const ee=new k.CancellationTokenSource;return setTimeout(()=>ee.cancel(),G),ee.token}function w(G,ee){if(G.isCancellationRequested||ee.isCancellationRequested)return k.CancellationToken.Cancelled;const K=new k.CancellationTokenSource;return G.onCancellationRequested(()=>K.cancel()),ee.onCancellationRequested(()=>K.cancel()),K.token}class S{constructor(ee){this._state="pending",this._disposables=new R.DisposableStore,this.promise=new Promise((K,U)=>{this._resolvePromise=K,this._rejectPromise=U}),ee.isCancellationRequested?this._timeout():this._disposables.add(ee.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(ee){this._state==="pending"?this._disposables.add(ee):ee.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const ee=new Error("Time limit reached");return ee.code="ETIMEDOUT",ee.syscall="connect",ee}resolve(ee){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(ee))}reject(ee){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(ee))}}function h(G,ee){const K=new S(ee);return K.registerDisposable(G.onControlMessage(U=>{const j=JSON.parse(U.toString()),V=H(j);V?K.reject(V):K.resolve(j)})),K.promise}function y(G,ee,K,U,j,V,q){const x=new S(q);return ee.connect(K,U,j,V,(re,se)=>{x.didTimeout?(re&&G.error(re),se?.dispose()):re||!se?x.reject(re):x.resolve(se)}),x.promise}function g(G,ee){const K=new S(ee);return G.then(U=>{K.didTimeout||K.resolve(U)},U=>{K.didTimeout||K.reject(U)}),K.promise}async function v(G,ee,K,U){const j=z(G,ee);G.logService.trace(`${j} 1/6. invoking socketFactory.connect().`);let V;try{V=await y(G.logService,G.socketFactory,G.host,G.port,`reconnectionToken=${G.reconnectionToken}&reconnection=${G.reconnectionProtocol?"true":"false"}`,`renderer-${p(ee)}-${G.reconnectionToken}`,U)}catch(ce){throw G.logService.error(`${j} socketFactory.connect() failed or timed out. Error:`),G.logService.error(ce),ce}G.logService.trace(`${j} 2/6. socketFactory.connect() was successful.`);let q,x;G.reconnectionProtocol?(G.reconnectionProtocol.beginAcceptReconnection(V,null),q=G.reconnectionProtocol,x=!1):(q=new E.PersistentProtocol(V,null),x=!0),G.logService.trace(`${j} 3/6. sending AuthRequest control message.`);const re=await g(G.signService.createNewMessage((0,C.generateUuid)()),U),se={type:"auth",auth:G.connectionToken||"00000000000000000000",data:re.data};q.sendControl(n.VSBuffer.fromString(JSON.stringify(se)));try{const ce=await h(q,w(U,d(1e4)));if(ce.type!=="sign"||typeof ce.data!="string"){const ye=new Error("Unexpected handshake message");throw ye.code="VSCODE_CONNECTION_ERROR",ye}if(G.logService.trace(`${j} 4/6. received SignRequest control message.`),!await g(G.signService.validate(re,ce.signedData),U)){const ye=new Error("Refused to connect to unsupported server");throw ye.code="VSCODE_CONNECTION_ERROR",ye}const Se=await g(G.signService.sign(ce.data),U),ge={type:"connectionType",commit:G.commit,signedData:Se,desiredConnectionType:ee};return K&&(ge.args=K),G.logService.trace(`${j} 5/6. sending ConnectionTypeRequest control message.`),q.sendControl(n.VSBuffer.fromString(JSON.stringify(ge))),{protocol:q,ownsProtocol:x}}catch(ce){throw ce&&ce.code==="ETIMEDOUT"&&(G.logService.error(`${j} the handshake timed out. Error:`),G.logService.error(ce)),ce&&ce.code==="VSCODE_CONNECTION_ERROR"&&(G.logService.error(`${j} received error control message when negotiating connection. Error:`),G.logService.error(ce)),x&&F(q),ce}}async function l(G,ee,K,U){const j=Date.now(),V=z(G,ee),{protocol:q,ownsProtocol:x}=await v(G,ee,K,U),re=new S(U);return re.registerDisposable(q.onControlMessage(se=>{const ce=JSON.parse(se.toString()),he=H(ce);he?(G.logService.error(`${V} received error control message when negotiating connection. Error:`),G.logService.error(he),x&&F(q),re.reject(he)):(G.reconnectionProtocol&&G.reconnectionProtocol.endAcceptReconnection(),G.logService.trace(`${V} 6/6. handshake finished, connection is up and running after ${Q(j)}!`),re.resolve({protocol:q,firstMessage:ce}))})),re.promise}async function r(G,ee){const{protocol:K}=await l(G,1,void 0,ee);return{protocol:K}}async function a(G,ee,K){const{protocol:U,firstMessage:j}=await l(G,2,ee,K),V=j&&j.debugPort;return{protocol:U,debugPort:V}}async function i(G,ee,K){const U=Date.now(),j=z(G,3),{protocol:V}=await v(G,3,ee,K);return G.logService.trace(`${j} 6/6. handshake finished, connection is up and running after ${Q(U)}!`),V}async function t(G,ee,K){const{host:U,port:j,connectionToken:V}=await G.addressProvider.getAddress();return{commit:G.commit,host:U,port:j,connectionToken:V,reconnectionToken:ee,reconnectionProtocol:K,socketFactory:G.socketFactory,signService:G.signService,logService:G.logService}}async function s(G,ee,K){try{const U=(0,C.generateUuid)(),j=await t(G,U,null),{protocol:V}=await r(j,k.CancellationToken.None);return new M(G,ee,K,U,V)}catch(U){throw G.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),G.logService.error(U),D.triggerPermanentFailure(0,0,P.RemoteAuthorityResolverError.isHandled(U)),U}}e.connectRemoteAgentManagement=s;async function o(G,ee){try{const K=(0,C.generateUuid)(),U=await t(G,K,null),{protocol:j,debugPort:V}=await a(U,ee,k.CancellationToken.None);return new W(G,ee,K,j,V)}catch(K){throw G.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),G.logService.error(K),D.triggerPermanentFailure(0,0,P.RemoteAuthorityResolverError.isHandled(K)),K}}e.connectRemoteAgentExtensionHost=o;async function c(G,ee,K){const U=await t(G,(0,C.generateUuid)(),null);return await i(U,{host:ee,port:K},k.CancellationToken.None)}e.connectRemoteAgentTunnel=c;function u(G){return(0,T.createCancelablePromise)(ee=>new Promise((K,U)=>{const j=setTimeout(K,G*1e3);ee.onCancellationRequested(()=>{clearTimeout(j),K()})}))}var m;(function(G){G[G.ConnectionLost=0]="ConnectionLost",G[G.ReconnectionWait=1]="ReconnectionWait",G[G.ReconnectionRunning=2]="ReconnectionRunning",G[G.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",G[G.ConnectionGain=4]="ConnectionGain"})(m=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class I{constructor(ee,K){this.reconnectionToken=ee,this.millisSinceLastIncomingData=K,this.type=0}}e.ConnectionLostEvent=I;class A{constructor(ee,K,U,j){this.reconnectionToken=ee,this.millisSinceLastIncomingData=K,this.durationSeconds=U,this.cancellableTimer=j,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=A;class O{constructor(ee,K,U){this.reconnectionToken=ee,this.millisSinceLastIncomingData=K,this.attempt=U,this.type=2}}e.ReconnectionRunningEvent=O;class N{constructor(ee,K,U){this.reconnectionToken=ee,this.millisSinceLastIncomingData=K,this.attempt=U,this.type=4}}e.ConnectionGainEvent=N;class ${constructor(ee,K,U,j){this.reconnectionToken=ee,this.millisSinceLastIncomingData=K,this.attempt=U,this.handled=j,this.type=3}}e.ReconnectionPermanentFailureEvent=$;class D extends R.Disposable{constructor(ee,K,U,j){super();this._connectionType=ee,this._onDidStateChange=this._register(new L.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=K,this.reconnectionToken=U,this.protocol=j,this._isReconnecting=!1,this._onDidStateChange.fire(new N(this.reconnectionToken,0,0)),this._register(j.onSocketClose(V=>{const q=B(this._connectionType,this.reconnectionToken,!0);V?V.type===0?(this._options.logService.info(`${q} received socket close event (hadError: ${V.hadError}).`),V.error&&this._options.logService.error(V.error)):(this._options.logService.info(`${q} received socket close event (wasClean: ${V.wasClean}, code: ${V.code}, reason: ${V.reason}).`),V.event&&this._options.logService.error(V.event)):this._options.logService.info(`${q} received socket close event.`),this._beginReconnecting()})),this._register(j.onSocketTimeout(()=>{const V=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${V} received socket timeout event.`),this._beginReconnecting()})),D._instances.push(this),D._permanentFailure&&this._gotoPermanentFailure(D._permanentFailureMillisSinceLastIncomingData,D._permanentFailureAttempt,D._permanentFailureHandled)}static triggerPermanentFailure(ee,K,U){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=ee,this._permanentFailureAttempt=K,this._permanentFailureHandled=U,this._instances.forEach(j=>j._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(ee=>ee._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(ee=>ee._pauseSocketWriting())}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(D._permanentFailure)return;const ee=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${ee} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new I(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const K=[0,5,5,10,10,10,10,10,30];let U=-1;do{U++;const j=U<K.length?K[U]:K[K.length-1];try{if(j>0){const q=u(j);this._onDidStateChange.fire(new A(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),j,q)),this._options.logService.info(`${ee} waiting for ${j} seconds before reconnecting...`);try{await q}catch{}}if(D._permanentFailure){this._options.logService.error(`${ee} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new O(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),U+1)),this._options.logService.info(`${ee} resolving connection...`);const V=await t(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${ee} connecting to ${V.host}:${V.port}...`),await this._reconnect(V,d(b)),this._options.logService.info(`${ee} reconnected!`),this._onDidStateChange.fire(new N(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),U+1));break}catch(V){if(V.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${ee} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(V),D.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),U+1,!1);break}if(U>360){this._options.logService.error(`${ee} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(V),D.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),U+1,!1);break}if(P.RemoteAuthorityResolverError.isTemporarilyNotAvailable(V)){this._options.logService.info(`${ee} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(V);continue}if((V.code==="ETIMEDOUT"||V.code==="ENETUNREACH"||V.code==="ECONNREFUSED"||V.code==="ECONNRESET")&&V.syscall==="connect"){this._options.logService.info(`${ee} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(V);continue}if((0,_.isPromiseCanceledError)(V)){this._options.logService.info(`${ee} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(V);continue}if(V instanceof P.RemoteAuthorityResolverError){this._options.logService.error(`${ee} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(V),D.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),U+1,P.RemoteAuthorityResolverError.isHandled(V));break}this._options.logService.error(`${ee} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(V),D.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),U+1,!1);break}}while(!D._permanentFailure)}_gotoPermanentFailure(ee,K,U){this._onDidStateChange.fire(new $(this.reconnectionToken,ee,K,U)),F(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=D,D._permanentFailure=!1,D._permanentFailureMillisSinceLastIncomingData=0,D._permanentFailureAttempt=0,D._permanentFailureHandled=!1,D._instances=[];class M extends D{constructor(ee,K,U,j,V){super(1,ee,j,V);this.client=this._register(new E.Client(V,{remoteAuthority:K,clientId:U},ee.ipcLogger))}async _reconnect(ee,K){await r(ee,K)}}e.ManagementPersistentConnection=M;class W extends D{constructor(ee,K,U,j,V){super(2,ee,U,j);this._startArguments=K,this.debugPort=V}async _reconnect(ee,K){await a(ee,this._startArguments,K)}}e.ExtensionHostPersistentConnection=W;function F(G){try{G.acceptDisconnect();const ee=G.getSocket();G.dispose(),ee.dispose()}catch(ee){(0,_.onUnexpectedError)(ee)}}function H(G){if(G&&G.type==="error"){const ee=new Error(`Connection error: ${G.reason}`);return ee.code="VSCODE_CONNECTION_ERROR",ee}return null}function Y(G,ee){for(;G.length<ee;)G+=" ";return G}function B(G,ee,K){return`[remote-connection][${Y(p(G),13)}][${ee.substr(0,5)}\u2026][${K?"reconnect":"initial"}]`}function z(G,ee){return`${B(ee,G.reconnectionToken,!!G.reconnectionProtocol)}[${G.host}:${G.port}]`}function Q(G){return`${Date.now()-G} ms`}}),define(ne[186],ie([0,1,18]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function n(E){return E.scheme===T.Schemas.vscodeRemote?E.authority:void 0}e.getRemoteAuthority=n;function k(E){if(!E)return;const P=E.indexOf("+");return P<0?E:E.substr(0,P)}e.getRemoteName=k;function _(E){return E.scheme!==T.Schemas.file&&E.scheme!==T.Schemas.vscodeRemote}e.isVirtualResource=_;function L(E){if(E.folders.length)return E.folders.every(P=>_(P.uri))?E.folders[0].uri:void 0;if(E.configuration&&_(E.configuration))return E.configuration}e.getVirtualWorkspaceLocation=L;function R(E){return L(E)?.scheme}e.getVirtualWorkspaceScheme=R;function C(E){return L(E)!==void 0}e.isVirtualWorkspace=C}),define(ne[89],ie([0,1,27,6,186]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function _(f){if(typeof f=="object"&&f!==null&&f.supported!==!0)return f.description}e.getWorkspaceSupportTypeMessage=_;function L(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=L,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(f){f[f.System=0]="System",f[f.User=1]="User"})(R=e.ExtensionType||(e.ExtensionType={}));class C{constructor(p){this.value=p,this._lower=p.toLowerCase()}static equals(p,d){if(typeof p=="undefined"||p===null)return typeof d=="undefined"||d===null;if(typeof d=="undefined"||d===null)return!1;if(typeof p=="string"||typeof d=="string"){let w=typeof p=="string"?p:p.value,S=typeof d=="string"?d:d.value;return T.equalsIgnoreCase(w,S)}return p._lower===d._lower}static toKey(p){return typeof p=="string"?p.toLowerCase():p._lower}}e.ExtensionIdentifier=C;function E(f){return f.contributes&&f.contributes.localizations?f.contributes.localizations.length>0:!1}e.isLanguagePackExtension=E;function P(f){return f.contributes&&f.contributes.authentication?f.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=P;function b(f,p){if(p){const d=`onResolveRemoteAuthority:${(0,k.getRemoteName)(p)}`;return f.activationEvents?.indexOf(d)!==-1}return!1}e.isResolverExtension=b,e.IBuiltinExtensionsScannerService=(0,n.createDecorator)("IBuiltinExtensionsScannerService")}),define(ne[33],ie([0,1,27,89]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function k(d,w){return d.uuid&&w.uuid?d.uuid===w.uuid:d.id===w.id?!0:(0,T.compareIgnoreCase)(d.id,w.id)===0}e.areSameExtensions=k;class _{constructor(w,S){this.version=S,this.id=w.id,this.uuid=w.uuid}key(){return`${this.id}-${this.version}`}equals(w){return w instanceof _?k(this,w)&&this.version===w.version:!1}}e.ExtensionIdentifierWithVersion=_;function L(d,w){return`${d}.${w}`}e.getExtensionId=L;function R(d){return d.toLocaleLowerCase()}e.adoptToGalleryExtensionId=R;function C(d,w){return R(L(d,w))}e.getGalleryExtensionId=C;function E(d,w){const S=[],h=y=>{for(const g of S)if(g.some(v=>k(w(v),w(y))))return g;return null};for(const y of d){const g=h(y);g?g.push(y):S.push([y])}return S}e.groupByExtension=E;function P(d){return{id:d.identifier.id,name:d.manifest.name,galleryId:null,publisherId:d.publisherId,publisherName:d.manifest.publisher,publisherDisplayName:d.publisherDisplayName,dependencies:d.manifest.extensionDependencies&&d.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=P;function b(d){return{id:d.identifier.id,name:d.name,galleryId:d.identifier.uuid,publisherId:d.publisherId,publisherName:d.publisher,publisherDisplayName:d.publisherDisplayName,isPreReleaseVersion:d.properties.isPreReleaseVersion,dependencies:!!(d.properties.dependencies&&d.properties.dependencies.length>0),...d.telemetryData}}e.getGalleryExtensionTelemetryData=b,e.BetterMergeId=new n.ExtensionIdentifier("pprice.better-merge");function f(d){const w=new Set;if(d.malicious)for(const S of d.malicious)w.add(S.id);return w}e.getMaliciousExtensionsSet=f;function p(d,w){const S=[],h=w.manifest.extensionDependencies?.slice(0)??[];for(;h.length;){const y=h.shift();if(y&&S.every(g=>!k(g.identifier,{id:y}))){const g=d.filter(v=>k(v.identifier,{id:y}));g.length===1&&(S.push(g[0]),h.push(...g[0].manifest.extensionDependencies?.slice(0)??[]))}}return S}e.getExtensionDependencies=p}),define(ne[187],ie([0,1,5,9,2,4,19,61,7,29,22,13,30,33,14,8]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const S=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let h=class extends k.Disposable{constructor(g,v,l,r){super();this.fileService=v,this.extensionGalleryService=l,this.logService=r,this.extensionsDownloadDir=C.URI.file(g.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(g,v){await this.cleanUpPromise;const l=this.getName(g),r=(0,L.joinPath)(this.extensionsDownloadDir,l);if(!await this.fileService.exists(r)){const a=(0,L.joinPath)(this.extensionsDownloadDir,`.${(0,E.generateUuid)()}`);await this.fileService.exists(a)||await this.extensionGalleryService.download(g,a,v);try{await this.rename(a,r,Date.now()+2*60*1e3)}catch(i){try{await this.fileService.del(a)}catch{}if(i.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",g.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,n.getErrorMessage)(i)}. Deleted the vsix from downloaded location`,a.path),i}}return r}async delete(g){await this.cleanUpPromise,await this.fileService.del(g)}async rename(g,v,l){try{await P.Promises.rename(g.fsPath,v.fsPath)}catch(r){if(_.isWindows&&r&&r.code==="EPERM"&&Date.now()<l)return this.logService.info(`Failed renaming ${g} to ${v} with 'EPERM' error. Trying again...`),this.rename(g,v,l);throw r}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const g=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(g.children){const v=[],l=[];for(const i of g.children){const t=this.parse(i.name);t&&l.push([t,i])}const r=(0,p.groupByExtension)(l,([i])=>i),a=[];for(const i of r)i.sort((t,s)=>R.rcompare(t[0].version,s[0].version)),v.push(...i.slice(1).map(t=>t[1].resource)),a.push(i[0][1]);a.sort((i,t)=>i.mtime-t.mtime),v.push(...a.slice(0,Math.max(0,a.length-this.cache)).map(i=>i.resource)),await T.Promises.settled(v.map(i=>(this.logService.trace("Deleting vsix from cache",i.path),this.fileService.del(i))))}}catch(g){this.logService.error(g)}}getName(g){return this.cache?`${new p.ExtensionIdentifierWithVersion(g.identifier,g.version).key().toLowerCase()}${g.properties.targetPlatform!=="undefined"?`-${g.properties.targetPlatform}`:""}`:(0,E.generateUuid)()}parse(g){const v=S.exec(g);return v&&v[1]&&v[2]?new p.ExtensionIdentifierWithVersion({id:v[1]},v[2]):null}};h=de([X(0,b.INativeEnvironmentService),X(1,d.IFileService),X(2,f.IExtensionGalleryService),X(3,w.ILogService)],h),e.ExtensionsDownloader=h}),define(ne[188],ie([0,1,2,10,22,89]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class L extends T.Disposable{constructor(C,E){super();this.environmentService=C,this.extensionsManifestCache=(0,n.join)(this.environmentService.userDataPath,_.MANIFEST_CACHE_FOLDER,_.USER_MANIFEST_CACHE_FILE),this._register(E.onDidInstallExtensions(P=>this.onDidInstallExtensions(P))),this._register(E.onDidUninstallExtension(P=>this.onDidUnInstallExtension(P)))}onDidInstallExtensions(C){C.some(E=>!!E.local)&&this.invalidate()}onDidUnInstallExtension(C){C.error||this.invalidate()}invalidate(){k.Promises.rm(this.extensionsManifestCache,k.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=L}),define(ne[189],ie([0,1,82,16,5,2,18,10,22,13,30,33,59,8]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let d=class extends _.Disposable{constructor(h,y,g){super();this.extensionManagementService=h,this.logService=g,this.cache=this._register(new w(y,g)),this.extensionManagementService.registerParticipant({postInstall:async v=>this.postInstallExtension(v),postUninstall:async v=>this.postUninstallExtension(v)})}async getLanguageIds(){const h=await this.cache.getLanguagePacks(),y=["en",...Object.keys(h)];return(0,n.distinct)(y)}async postInstallExtension(h){h&&h.manifest&&h.manifest.contributes&&h.manifest.contributes.localizations&&h.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",h.identifier.id),await this.update())}async postUninstallExtension(h){const y=await this.cache.getLanguagePacks();Object.keys(y).some(g=>y[g]&&y[g].extensions.some(v=>(0,b.areSameExtensions)(v.extensionIdentifier,h.identifier)))&&(this.logService.info("Removing language packs from the extension",h.identifier.id),await this.update())}async update(){const[h,y]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),g=await this.cache.update(y);return!(0,n.equals)(Object.keys(h),Object.keys(g))}};d=de([X(0,P.IExtensionManagementService),X(1,E.INativeEnvironmentService),X(2,p.ILogService)],d),e.LocalizationsService=d;let w=class extends _.Disposable{constructor(h,y){super();this.logService=y,this.languagePacks={},this.languagePacksFilePath=(0,R.join)(h.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new k.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(h){return this.withLanguagePacks(y=>{Object.keys(y).forEach(g=>delete y[g]),this.createLanguagePacksFromExtensions(y,...h)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(h,...y){for(const g of y)g&&g.manifest&&g.manifest.contributes&&g.manifest.contributes.localizations&&g.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(h,g);Object.keys(h).forEach(g=>this.updateHash(h[g]))}createLanguagePacksFromExtension(h,y){const g=y.identifier,v=y.manifest.contributes&&y.manifest.contributes.localizations?y.manifest.contributes.localizations:[];for(const l of v)if(y.location.scheme===L.Schemas.file&&(0,f.isValidLocalization)(l)){let r=h[l.languageId];r||(r={hash:"",extensions:[],translations:{}},h[l.languageId]=r);let a=r.extensions.filter(i=>(0,b.areSameExtensions)(i.extensionIdentifier,g))[0];a?a.version=y.manifest.version:r.extensions.push({extensionIdentifier:g,version:y.manifest.version});for(const i of l.translations)r.translations[i.id]=(0,R.join)(y.location.fsPath,i.path)}}updateHash(h){if(h){const y=(0,T.createHash)("md5");for(const g of h.extensions)y.update(g.extensionIdentifier.uuid||g.extensionIdentifier.id).update(g.version);h.hash=y.digest("hex")}}withLanguagePacks(h=()=>null){return this.languagePacksFileLimiter.queue(()=>{let y=null;return C.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,g=>g.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(g)).then(g=>{try{return JSON.parse(g)}catch{return{}}}).then(g=>(y=h(g),g)).then(g=>{for(const l of Object.keys(g))g[l]||delete g[l];this.languagePacks=g,this.initializedCache=!0;const v=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",v),C.Promises.writeFile(this.languagePacksFilePath,v)}).then(()=>y,g=>this.logService.error(g))})}};w=de([X(0,E.INativeEnvironmentService),X(1,p.ILogService)],w)}),define(ne[190],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessTunnelChannelName=e.ISharedProcessTunnelService=void 0,e.ISharedProcessTunnelService=(0,T.createDecorator)("sharedProcessTunnelService"),e.ipcSharedProcessTunnelChannelName="sharedProcessTunnel"}),define(ne[62],ie([0,1,3,4,6,8]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,k.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,k.createDecorator)("sharedTunnelsService");var L;(function(d){d.Http="http",d.Https="https"})(L=e.TunnelProtocol||(e.TunnelProtocol={}));var R;(function(d){d.ConstantPrivate="constantPrivate",d.Private="private",d.Public="public"})(R=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var C;(function(d){d[d.Notify=1]="Notify",d[d.OpenBrowser=2]="OpenBrowser",d[d.OpenPreview=3]="OpenPreview",d[d.Silent=4]="Silent",d[d.Ignore=5]="Ignore",d[d.OpenBrowserOnce=6]="OpenBrowserOnce"})(C=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function E(d){if(d.scheme!=="http"&&d.scheme!=="https")return;const w=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(d.authority);if(!!w)return{address:w[1],port:+w[2]}}e.extractLocalHostUriMetaDataForPortMapping=E,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function P(d){return e.LOCALHOST_ADDRESSES.indexOf(d)>=0}e.isLocalhost=P,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function b(d){return e.ALL_INTERFACES_ADDRESSES.indexOf(d)>=0}e.isAllInterfaces=b;function f(d,w){return w?w!==1&&d<1024:!n.isWindows&&d<1024}e.isPortPrivileged=f;let p=class{constructor(w){this.logService=w,this._onTunnelOpened=new T.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new T.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new T.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(w,S){return this._tunnelProvider=w,w?(this._canElevate=S.elevation,this._privacyOptions=S.privacyOptions,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const w=[],S=Array.from(this._tunnels.values());for(let h of S){const y=Array.from(h.values());for(let g of y){const v=await g.value;v&&w.push(v)}}return w}async dispose(){for(const w of this._tunnels.values()){for(const{value:S}of w.values())await S.then(h=>h?.dispose());w.clear()}this._tunnels.clear()}openTunnel(w,S,h,y,g=!1,v=R.Private,l){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${S}:${h} on local port ${y}.`),!w)return;S||(S="localhost");const r=this.retainOrCreateTunnel(w,S,h,y,g,v,l);return r?r.then(a=>{if(!a){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(S,h);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const i=this.makeTunnel(a);return(a.tunnelRemoteHost!==S||a.tunnelRemotePort!==h)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(i),i}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(w){return{tunnelRemotePort:w.tunnelRemotePort,tunnelRemoteHost:w.tunnelRemoteHost,tunnelLocalPort:w.tunnelLocalPort,localAddress:w.localAddress,privacy:w.privacy,protocol:w.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${w.tunnelRemoteHost}:${w.tunnelRemotePort} `);const S=this._tunnels.get(w.tunnelRemoteHost);if(S){const h=S.get(w.tunnelRemotePort);h&&(h.refcount--,await this.tryDisposeTunnel(w.tunnelRemoteHost,w.tunnelRemotePort,h))}}}}async tryDisposeTunnel(w,S,h){if(h.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${w}:${S}.`);const y=h.value.then(async g=>{g&&(await g.dispose(!0),this._onTunnelClosed.fire({host:g.tunnelRemoteHost,port:g.tunnelRemotePort}))});return this._tunnels.has(w)&&this._tunnels.get(w).delete(S),y}}async closeTunnel(w,S){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${w}:${S} `);const h=this._tunnels.get(w);if(h&&h.has(S)){const y=h.get(S);y.refcount=0,await this.tryDisposeTunnel(w,S,y)}}addTunnelToMap(w,S,h){this._tunnels.has(w)||this._tunnels.set(w,new Map),this._tunnels.get(w).set(S,{refcount:1,value:h})}async removeEmptyTunnelFromMap(w,S){const h=this._tunnels.get(w);h&&(await h.get(S)||h.delete(S),h.size===0&&this._tunnels.delete(w))}getTunnelFromMap(w,S){let h=[w];P(w)?(h.push(...e.LOCALHOST_ADDRESSES),h.push(...e.ALL_INTERFACES_ADDRESSES)):b(w)&&h.push(...e.ALL_INTERFACES_ADDRESSES);const y=h.map(g=>this._tunnels.get(g));for(const g of y){const v=g?.get(S);if(v)return v}}canTunnel(w){return!!E(w)}createWithProvider(w,S,h,y,g,v,l){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${S}:${h} on local port ${y}.`);const a={elevationRequired:g?f(y===void 0?h:y):!1},i={remoteAddress:{host:S,port:h},localAddressPort:y,privacy:v,public:v!==R.Private,protocol:l},t=w.forwardPort(i,a);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),t&&this.addTunnelToMap(S,h,t),t}};p=de([X(0,_.ILogService)],p),e.AbstractTunnelService=p}),define(ne[191],ie([0,1,8,62,2,9,5]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessTunnelService=void 0;class R extends k.Disposable{constructor(){super();this._address=null,this._addressPromise=null}async getAddress(){return this._address?this._address:(this._addressPromise||(this._addressPromise=new L.DeferredPromise),this._addressPromise.p)}setAddress(P){this._address=P,this._addressPromise&&(this._addressPromise.complete(P),this._addressPromise=null)}setTunnel(P){this._register(P)}}let C=class Ct extends k.Disposable{constructor(P,b){super();this._tunnelService=P,this._logService=b,this._tunnels=new Map,this._disposedTunnels=new Set}dispose(){super.dispose(),this._tunnels.forEach(P=>P.dispose())}async createTunnel(){return{id:String(++Ct._lastId)}}async startTunnel(P,b,f,p,d,w){const S=new R,h=await Promise.resolve(this._tunnelService.openTunnel(P,S,f,p,d,w));if(!h)throw this._logService.info(`[SharedProcessTunnelService] Could not create a tunnel to ${f}:${p} (remote).`),S.dispose(),new Error("Could not create tunnel");if(this._disposedTunnels.has(b))throw this._disposedTunnels.delete(b),S.dispose(),await h.dispose(),(0,_.canceled)();return S.setTunnel(h),this._tunnels.set(b,S),this._logService.info(`[SharedProcessTunnelService] Created tunnel ${b}: ${h.localAddress} (local) to ${f}:${p} (remote).`),{tunnelLocalPort:h.tunnelLocalPort,localAddress:h.localAddress}}async setAddress(P,b){const f=this._tunnels.get(P);!f||f.setAddress(b)}async destroyTunnel(P){const b=this._tunnels.get(P);if(b){this._logService.info(`[SharedProcessTunnelService] Disposing tunnel ${P}.`),this._tunnels.delete(P),await b.dispose();return}this._disposedTunnels.add(P)}};C._lastId=0,C=de([X(0,n.ISharedTunnelsService),X(1,T.ILogService)],C),e.SharedProcessTunnelService=C}),define(ne[192],ie([0,1,119,20,8]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let _=class{constructor(R,C){this.configurationService=R,this.logService=C}request(R,C){return this.logService.trace("RequestService#request",R.url),R.proxyAuthorization||(R.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization")),(0,T.request)(R,C)}async resolveProxy(R){}};_=de([X(0,n.IConfigurationService),X(1,k.ILogService)],_),e.RequestService=_}),define(ne[43],ie([0,1,17,140,42,6,38]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,_.createDecorator)("requestService");function R(d){return d.res.statusCode&&d.res.statusCode>=200&&d.res.statusCode<300||d.res.statusCode===1223}e.isSuccess=R;function C(d){return d.res.statusCode===204}async function E(d){if(!R(d))throw new Error("Server returned "+d.res.statusCode);return C(d)?null:(await(0,T.streamToBuffer)(d.stream)).toString()}e.asText=E;async function P(d){if(!R(d))throw new Error("Server returned "+d.res.statusCode);if(C(d))return null;const S=(await(0,T.streamToBuffer)(d.stream)).toString();try{return JSON.parse(S)}catch(h){throw h.message+=`:
`+S,h}}e.asJson=P;function b(d){p(d)}e.updateProxyConfigurationsScope=b;let f;function p(d){const w=L.Registry.as(k.Extensions.Configuration),S=f;f={id:"http",order:15,title:(0,n.localize)(0,null),type:"object",scope:d,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,n.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,n.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,n.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,n.localize)(4,null),(0,n.localize)(5,null),(0,n.localize)(6,null),(0,n.localize)(7,null)],default:"override",description:(0,n.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,n.localize)(9,null),restricted:!0}}},w.updateConfigurations({add:[f],remove:S?[S]:[]})}p(2)}),define(ne[193],ie([0,1,25,18,14,43]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let L=class{constructor(C,E){this.requestService=C,this.fileService=E}async download(C,E,P=T.CancellationToken.None){if(C.scheme===n.Schemas.file||C.scheme===n.Schemas.vscodeRemote){await this.fileService.copy(C,E);return}const b={type:"GET",url:C.toString()},f=await this.requestService.request(b,P);if(f.res.statusCode===200)await this.fileService.writeFile(E,f.stream);else{const p=await(0,_.asText)(f);throw new Error(`Expected 200, got back ${f.res.statusCode} instead.

${p}`)}}};L=de([X(0,_.IRequestService),X(1,k.IFileService)],L),e.DownloadService=L}),define(ne[194],ie([0,1,16,25,66,2,19,154,14,8,26,43]),function(J,e,T,n,k,_,L,R,C,E,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let f=class extends _.Disposable{constructor(d,w,S,h){super();this.fileService=d,this.productService=w,this.requestService=S,this.logService=h,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&(0,k.forEach)(this.productService.configBasedExtensionTips,({value:y})=>this.allConfigBasedTips.set(y.configPath,y))}getConfigBasedTips(d){return this.getValidConfigBasedTips(d)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(d){const w=[];for(const[S,h]of this.allConfigBasedTips)if(!(h.configScheme&&h.configScheme!==d.scheme))try{const y=await this.fileService.readFile((0,L.joinPath)(d,S)),g=new Map;(0,k.forEach)(h.recommendations,({key:l,value:r})=>{if((0,T.isNonEmptyArray)(r.remotes))for(const a of r.remotes)g.set(a,{extensionId:l,extensionName:r.name,configName:h.configName,important:!!r.important,isExtensionPack:!!r.isExtensionPack});else w.push({extensionId:l,extensionName:r.name,configName:h.configName,important:!!r.important,isExtensionPack:!!r.isExtensionPack})});const v=(0,R.getDomainsOfRemotes)(y.value.toString(),[...g.keys()]);for(const l of v){const r=g.get(l);r&&w.push(r)}}catch{}return w}async fetchWorkspacesTips(){if(!this.productService.extensionsGallery?.recommendationsUrl)return[];try{const d=await this.requestService.request({type:"GET",url:this.productService.extensionsGallery?.recommendationsUrl},n.CancellationToken.None);if(d.res.statusCode!==200)return[];const w=await(0,b.asJson)(d);return w?w.workspaceRecommendations||[]:[]}catch(d){return this.logService.error(d),[]}}};f=de([X(0,C.IFileService),X(1,P.IProductService),X(2,b.IRequestService),X(3,E.ILogService)],f),e.ExtensionTipsService=f}),define(ne[46],ie([0,1,17,29]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function k(_,L,R){let C=R&&R.get("storage.serviceMachineId",0)||null;if(C)return C;try{const P=(await L.readFile(_.serviceMachineIdResource)).value.toString();C=(0,n.isUUID)(P)?P:null}catch{C=null}if(!C){C=(0,n.generateUuid)();try{await L.writeFile(_.serviceMachineIdResource,T.VSBuffer.fromString(C))}catch{}}return R&&R.store("storage.serviceMachineId",C,0,1),C}e.getServiceMachineId=k}),define(ne[90],ie([0,1,69,6]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessWorkerChannelName=e.ISharedProcessWorkerService=e.hash=void 0;function k(_){return(0,T.hash)({moduleId:_.process.moduleId,windowId:_.reply.windowId})}e.hash=k,e.ISharedProcessWorkerService=(0,n.createDecorator)("sharedProcessWorkerService"),e.ipcSharedProcessWorkerChannelName="sharedProcessWorker"}),define(ne[195],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerMessages=void 0;var T;(function(n){n.Spawn="vscode:shared-process->shared-process-worker=spawn",n.Terminate="vscode:shared-process->shared-process-worker=terminate",n.SelfTerminated="vscode:shared-process-worker->shared-process=selfTerminated",n.Ready="vscode:shared-process-worker->shared-process=ready",n.Ack="vscode:shared-process-worker->shared-process=ack",n.Trace="vscode:shared-process-worker->shared-process=trace",n.Info="vscode:shared-process-worker->shared-process=info",n.Warn="vscode:shared-process-worker->shared-process=warn",n.Error="vscode:shared-process-worker->shared-process=error"})(T=e.SharedProcessWorkerMessages||(e.SharedProcessWorkerMessages={}))}),define(ne[196],ie([0,1,73,152,5,25,3,2,18,4,29,13,8,26,90,195]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerService=void 0;let S=class{constructor(g,v,l){this.logService=g,this.productService=v,this.environmentService=l,this.workers=new Map,this.processeDisposables=new Map,this.processResolvers=new Map}async createWorker(g){const v=`window: ${g.reply.windowId}, moduleId: ${g.process.moduleId}`;this.logService.trace(`SharedProcess: createWorker (${v})`);const l=(0,d.hash)(g);this.processeDisposables.has(l)&&(this.logService.warn(`SharedProcess: createWorker found an existing worker that will be terminated (${v})`),this.doDisposeWorker(g));const r=new _.CancellationTokenSource;let a,i,t;this.processeDisposables.set(l,u=>{r.dispose(!0),a?.terminate(g,_.CancellationToken.None),i?.close(),t?.close(),this.processeDisposables.delete(l);const m=this.processResolvers.get(l);m&&(this.processResolvers.delete(l),m({reason:u}))}),a=await this.getOrCreateWebWorker(g);const s=new Promise(u=>{this.processResolvers.set(l,u)});if(r.token.isCancellationRequested)return s;const{port1:o,port2:c}=new MessageChannel;return i=o,t=c,await a.spawn(g,t,r.token),r.token.isCancellationRequested||(this.logService.trace(`SharedProcess: createWorker sending message port back to window (${v})`),T.ipcRenderer.postMessage("vscode:relaySharedProcessWorkerMessageChannel",g,[i])),s}getOrCreateWebWorker(g){let v=this.workers.get(g.process.moduleId);if(!v){this.logService.trace(`SharedProcess: creating new web worker (${g.process.moduleId})`);const l=new h(g.process.type,this.logService,this.productService,this.environmentService);v=l.init(),l.onDidProcessSelfTerminate(({configuration:r,reason:a})=>{this.doDisposeWorker(r,a)}),this.workers.set(g.process.moduleId,v)}return v}async disposeWorker(g){return this.doDisposeWorker(g)}doDisposeWorker(g,v){const l=this.processeDisposables.get((0,d.hash)(g));l&&(this.logService.trace(`SharedProcess: disposeWorker (window: ${g.reply.windowId}, moduleId: ${g.process.moduleId})`),l(v))}};S=de([X(0,f.ILogService),X(1,p.IProductService),X(2,b.INativeEnvironmentService)],S),e.SharedProcessWorkerService=S;class h extends R.Disposable{constructor(g,v,l,r){super();this.type=g,this.logService=v,this.productService=l,this.environmentService=r,this._onDidProcessSelfTerminate=this._register(new L.Emitter),this.onDidProcessSelfTerminate=this._onDidProcessSelfTerminate.event,this.workerReady=this.doInit(),this.mapMessageNonceToPendingMessageResolve=new Map}async init(){return await this.workerReady,this}doInit(){const g=new k.DeferredPromise,v=new Worker("../../../base/worker/workerMain.js",{name:`Shared Process Worker (${this.type})`});return v.onerror=l=>{this.logService.error(`SharedProcess: worker error (${this.type})`,l.message)},v.onmessageerror=l=>{this.logService.error(`SharedProcess: worker message error (${this.type})`,l)},v.onmessage=l=>{const{id:r,message:a,configuration:i,nonce:t}=l.data;switch(r){case w.SharedProcessWorkerMessages.Ready:g.complete(v);break;case w.SharedProcessWorkerMessages.Ack:if(t){const s=this.mapMessageNonceToPendingMessageResolve.get(t);s&&(this.mapMessageNonceToPendingMessageResolve.delete(t),s())}break;case w.SharedProcessWorkerMessages.SelfTerminated:i&&a&&this._onDidProcessSelfTerminate.fire({configuration:i,reason:JSON.parse(a)});break;case w.SharedProcessWorkerMessages.Trace:this.logService.trace(`SharedProcess (worker, ${this.type}):`,a);break;case w.SharedProcessWorkerMessages.Info:a&&this.logService.info(a);break;case w.SharedProcessWorkerMessages.Warn:this.logService.warn(`SharedProcess (worker, ${this.type}):`,a);break;case w.SharedProcessWorkerMessages.Error:this.logService.error(`SharedProcess (worker, ${this.type}):`,a);break;default:this.logService.warn(`SharedProcess: unexpected worker message (${this.type})`,l)}},v.postMessage("vs/platform/sharedProcess/electron-browser/sharedProcessWorkerMain"),g.p}async send(g,v,l){const r=await this.workerReady;if(!v.isCancellationRequested)return new Promise(a=>{const i=(0,P.generateUuid)();this.mapMessageNonceToPendingMessageResolve.set(i,a);const t={...g,nonce:i};l?r.postMessage(t,[l]):r.postMessage(t),v.onCancellationRequested(()=>{this.mapMessageNonceToPendingMessageResolve.delete(i)&&a()})})}spawn(g,v,l){const r={id:w.SharedProcessWorkerMessages.Spawn,configuration:g,environment:this.getSharedProcessWorkerEnvironment()};return this.send(r,l,v)}getSharedProcessWorkerEnvironment(){const g={bootstrapPath:C.FileAccess.asFileUri("bootstrap-fork",J).fsPath,env:Object.create(null)};if(E.isLinux){const v={companyName:this.productService.crashReporter?.companyName||"Microsoft",productName:this.productService.crashReporter?.productName||this.productService.nameShort,submitURL:"",uploadToServer:!1},l=this.environmentService.args["crash-reporter-id"],r=this.productService.appCenter;if(!this.environmentService.args["crash-reporter-directory"]&&r&&l&&(0,P.isUUID)(l)){const t=r["linux-x64"];v.submitURL=t.concat("&uid=",l,"&iid=",l,"&sid=",l),v.uploadToServer=!0}const i=this.environmentService.args["crash-reporter-directory"]||this.environmentService.userDataPath;g.env.BREAKPAD_DUMP_LOCATION=(0,n.join)(i,this.type),g.env.VSCODE_CRASH_REPORTER_START_OPTIONS=JSON.stringify(v)}return g}terminate(g,v){const l={id:w.SharedProcessWorkerMessages.Terminate,configuration:g};return this.send(l,v)}}}),define(ne[197],ie([0,1,53,18,153]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessEnvironmentService=void 0;class _ extends k.NativeEnvironmentService{get userRoamingDataHome(){return this.appSettingsHome.with({scheme:n.Schemas.userData})}}de([T.memoize],_.prototype,"userRoamingDataHome",null),e.SharedProcessEnvironmentService=_}),define(ne[91],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,T.createDecorator)(e.SIGN_SERVICE_ID)}),define(ne[198],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class T{constructor(){this.validators=new Map}vsda(){return new Promise((k,_)=>J(["vsda"],k,_))}async createNewMessage(k){try{const _=await this.vsda(),L=new _.validator;if(L){const R=String(T._nextId++);return this.validators.set(R,L),{id:R,data:L.createNewMessage(k)}}}catch{}return{id:"",data:k}}async validate(k,_){if(!k.id)return!0;const L=this.validators.get(k.id);if(!L)return!1;this.validators.delete(k.id);try{return L.validate(_)==="ok"}catch{return!1}}async sign(k){try{const _=await this.vsda(),L=new _.signer;if(L)return L.sign(k)}catch{}return k}}e.SignService=T,T._nextId=1}),define(ne[23],ie([0,1,5,3,2,177,15,74,6]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const E="__$__targetStorageMarker";e.IStorageService=(0,C.createDecorator)("storageService");var P;(function(S){S[S.NONE=0]="NONE",S[S.SHUTDOWN=1]="SHUTDOWN"})(P=e.WillSaveStateReason||(e.WillSaveStateReason={}));var b;(function(S){S[S.GLOBAL=0]="GLOBAL",S[S.WORKSPACE=1]="WORKSPACE"})(b=e.StorageScope||(e.StorageScope={}));var f;(function(S){S[S.USER=0]="USER",S[S.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class p extends k.Disposable{constructor(h={flushInterval:p.DEFAULT_FLUSH_INTERVAL}){super();this.options=h,this._onDidChangeValue=this._register(new n.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new n.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new n.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new T.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new k.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,T.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,k.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,_.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,_.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(h,y){y===E?(h===0?this._globalKeyTargets=void 0:h===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:h})):this._onDidChangeValue.fire({scope:h,key:y,target:this.getKeyTargets(h)[y]})}emitWillSaveState(h){this._onWillSaveState.fire({reason:h})}get(h,y,g){return this.getStorage(y)?.get(h,g)}getBoolean(h,y,g){return this.getStorage(y)?.getBoolean(h,g)}getNumber(h,y,g){return this.getStorage(y)?.getNumber(h,g)}store(h,y,g,v){if((0,L.isUndefinedOrNull)(y)){this.remove(h,g);return}this.withPausedEmitters(()=>{this.updateKeyTarget(h,g,v),this.getStorage(g)?.set(h,y)})}remove(h,y){this.withPausedEmitters(()=>{this.updateKeyTarget(h,y,void 0),this.getStorage(y)?.delete(h)})}withPausedEmitters(h){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{h()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(h,y){const g=[],v=this.getKeyTargets(h);for(const l of Object.keys(v))v[l]===y&&g.push(l);return g}updateKeyTarget(h,y,g){const v=this.getKeyTargets(y);typeof g=="number"?v[h]!==g&&(v[h]=g,this.getStorage(y)?.set(E,JSON.stringify(v))):typeof v[h]=="number"&&(delete v[h],this.getStorage(y)?.set(E,JSON.stringify(v)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(h){return h===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(h){const y=this.get(E,h);if(y)try{return JSON.parse(y)}catch{}return Object.create(null)}isNew(h){return this.getBoolean(e.IS_NEW_KEY,h)===!0}async flush(h=P.NONE){this._onWillSaveState.fire({reason:h});const y=this.getStorage(0),g=this.getStorage(1);switch(h){case P.NONE:await T.Promises.settled([y?.whenFlushed()??Promise.resolve(),g?.whenFlushed()??Promise.resolve()]);break;case P.SHUTDOWN:await T.Promises.settled([y?.flush(0)??Promise.resolve(),g?.flush(0)??Promise.resolve()]);break}}async logStorage(){const h=this.getStorage(0)?.items??new Map,y=this.getStorage(1)?.items??new Map;return w(h,y,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=p,p.DEFAULT_FLUSH_INTERVAL=60*1e3;class d extends p{constructor(){super();this.globalStorage=this._register(new R.Storage(new R.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new R.Storage(new R.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(h=>this.emitDidChangeValue(1,h))),this._register(this.globalStorage.onDidChangeStorage(h=>this.emitDidChangeValue(0,h)))}getStorage(h){return h===0?this.globalStorage:this.workspaceStorage}getLogDetails(h){return h===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(h){}}e.InMemoryStorageService=d;async function w(S,h,y,g){const v=o=>{try{return JSON.parse(o)}catch{return o}},l=new Map,r=new Map;S.forEach((o,c)=>{l.set(c,o),r.set(c,v(o))});const a=new Map,i=new Map;h.forEach((o,c)=>{a.set(c,o),i.set(c,v(o))}),console.group(`Storage: Global (path: ${y})`);let t=[];l.forEach((o,c)=>{t.push({key:c,value:o})}),console.table(t),console.groupEnd(),console.log(r),console.group(`Storage: Workspace (path: ${g})`);let s=[];a.forEach((o,c)=>{s.push({key:c,value:o})}),console.table(s),console.groupEnd(),console.log(i)}e.logStorage=w}),define(ne[199],ie([0,1,3,2,15,30,33,23]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let C=class extends n.Disposable{constructor(b,f){super();this._onDidChangeEnablement=new T.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new E(b)),this._register(this.storageManger.onDidChange(p=>this._onDidChangeEnablement.fire({extensions:p,source:"storage"}))),this._register(f.onDidInstallExtensions(p=>p.forEach(({local:d,operation:w})=>{d&&w===4&&this._removeFromDisabledExtensions(d.identifier)})))}async enableExtension(b,f){return this._removeFromDisabledExtensions(b)?(this._onDidChangeEnablement.fire({extensions:[b],source:f}),!0):!1}async disableExtension(b,f){return this._addToDisabledExtensions(b)?(this._onDidChangeEnablement.fire({extensions:[b],source:f}),!0):!1}getDisabledExtensions(){return this._getExtensions(_.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(b){let f=this.getDisabledExtensions();return f.every(p=>!(0,L.areSameExtensions)(p,b))?(f.push(b),this._setDisabledExtensions(f),!0):!1}_removeFromDisabledExtensions(b){let f=this.getDisabledExtensions();for(let p=0;p<f.length;p++){const d=f[p];if((0,L.areSameExtensions)(d,b))return f.splice(p,1),this._setDisabledExtensions(f),!0}return!1}_setDisabledExtensions(b){this._setExtensions(_.DISABLED_EXTENSIONS_STORAGE_PATH,b)}_getExtensions(b){return this.storageManger.get(b,0)}_setExtensions(b,f){this.storageManger.set(b,f,0)}};C=de([X(0,R.IStorageService),X(1,_.IExtensionManagementService)],C),e.GlobalExtensionEnablementService=C;class E extends n.Disposable{constructor(b){super();this.storageService=b,this.storage=Object.create(null),this._onDidChange=this._register(new T.Emitter),this.onDidChange=this._onDidChange.event,this._register(b.onDidChangeValue(f=>this.onDidStorageChange(f)))}get(b,f){let p;return f===0?((0,k.isUndefinedOrNull)(this.storage[b])&&(this.storage[b]=this._get(b,f)),p=this.storage[b]):p=this._get(b,f),JSON.parse(p)}set(b,f,p){let d=JSON.stringify(f.map(({id:S,uuid:h})=>({id:S,uuid:h})));this._get(b,p)!==d&&(p===0&&(f.length?this.storage[b]=d:delete this.storage[b]),this._set(b,f.length?d:void 0,p))}onDidStorageChange(b){if(b.scope===0&&!(0,k.isUndefinedOrNull)(this.storage[b.key])&&this._get(b.key,b.scope)!==this.storage[b.key]){const p=this.get(b.key,b.scope);delete this.storage[b.key];const d=this.get(b.key,b.scope),w=p.filter(h=>!d.some(y=>(0,L.areSameExtensions)(h,y))),S=d.filter(h=>!p.some(y=>(0,L.areSameExtensions)(y,h)));(w.length||S.length)&&this._onDidChange.fire([...w,...S])}}_get(b,f){return this.storageService.get(b,f,"[]")}_set(b,f,p){f?this.storageService.store(b,f,p,1):this.storageService.remove(b,p)}}e.StorageManager=E}),define(ne[92],ie([0,1,6,3,2,23,33,26,16,8,15]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStorageService=e.IExtensionStorageService=void 0,e.IExtensionStorageService=(0,T.createDecorator)("IExtensionStorageService");const b=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let f=class nt extends k.Disposable{constructor(d,w,S){super();this.storageService=d,this.productService=w,this.logService=S,this._onDidChangeExtensionStorageToSync=this._register(new n.Emitter),this.onDidChangeExtensionStorageToSync=this._onDidChangeExtensionStorageToSync.event,this.extensionsWithKeysForSync=new Set,this.initialize(),this._register(this.storageService.onDidChangeValue(h=>this.onDidChangeStorageValue(h)))}static toKey(d){return`extensionKeys/${(0,L.adoptToGalleryExtensionId)(d.id)}@${d.version}`}static fromKey(d){const w=b.exec(d);if(w&&w[1])return{id:w[1],version:w[2]}}initialize(){const d=this.storageService.keys(0,1);for(const w of d){const S=nt.fromKey(w);S&&this.extensionsWithKeysForSync.add(S.id.toLowerCase())}}onDidChangeStorageValue(d){if(d.scope!==0)return;if(this.extensionsWithKeysForSync.has(d.key.toLowerCase())){this._onDidChangeExtensionStorageToSync.fire();return}const w=nt.fromKey(d.key);if(w){this.extensionsWithKeysForSync.add(w.id.toLowerCase()),this._onDidChangeExtensionStorageToSync.fire();return}}getExtensionId(d){if((0,P.isString)(d))return d;const w=d.manifest?d.manifest.publisher:d.publisher,S=d.manifest?d.manifest.name:d.name;return(0,L.getExtensionId)(w,S)}hasExtensionState(d){return!!this.getExtensionState(d,!0)||!!this.getExtensionState(d,!1)}getExtensionState(d,w){const S=this.getExtensionId(d),h=this.storageService.get(S,w?0:1);if(h)try{return JSON.parse(h)}catch(y){this.logService.error(`[mainThreadStorage] unexpected error parsing storage contents (extensionId: ${S}, global: ${w}): ${y}`)}}setExtensionState(d,w,S){const h=this.getExtensionId(d);w===void 0?this.storageService.remove(h,S?0:1):this.storageService.store(h,JSON.stringify(w),S?0:1,1)}setKeysForSync(d,w){this.storageService.store(nt.toKey(d),JSON.stringify(w),0,1)}getKeysForSync(d){const w=this.productService.extensionSyncedKeys?.[d.id.toLowerCase()],S=this.storageService.get(nt.toKey(d),0),h=S?JSON.parse(S):void 0;return h&&w?(0,C.distinct)([...h,...w]):h||w}addToMigrationList(d,w){if(d!==w){const S=this.migrationList.filter(h=>!h.includes(d)&&!h.includes(w));S.push([d,w]),this.migrationList=S}}getSourceExtensionToMigrate(d){const w=this.migrationList.find(([,S])=>d===S);return w?w[0]:void 0}get migrationList(){const d=this.storageService.get("extensionStorage.migrationList",0,"[]");try{const w=JSON.parse(d);if((0,P.isArray)(w))return w}catch{}return[]}set migrationList(d){d.length?this.storageService.store("extensionStorage.migrationList",JSON.stringify(d),0,1):this.storageService.remove("extensionStorage.migrationList",0)}};f=de([X(0,_.IStorageService),X(1,R.IProductService),X(2,E.ILogService)],f),e.ExtensionStorageService=f}),define(ne[200],ie([0,1,3,2]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannelClient=void 0;class k extends n.Disposable{constructor(E,P){super();this.channel=E,this.workspace=P}async getItems(){const E={workspace:this.workspace},P=await this.channel.call("getItems",E);return new Map(P)}updateItems(E){const P={workspace:this.workspace};return E.insert&&(P.insert=Array.from(E.insert.entries())),E.delete&&(P.delete=Array.from(E.delete.values())),this.channel.call("updateItems",P)}}class _ extends k{constructor(E){super(E,void 0);this._onDidChangeItemsExternal=this._register(new T.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeGlobalStorage")(E=>this.onDidChangeGlobalStorage(E)))}onDidChangeGlobalStorage(E){(Array.isArray(E.changed)||Array.isArray(E.deleted))&&this._onDidChangeItemsExternal.fire({changed:E.changed?new Map(E.changed):void 0,deleted:E.deleted?new Set(E.deleted):void 0})}async close(){this.dispose()}}class L extends k{constructor(E,P){super(E,P);this.onDidChangeItemsExternal=T.Event.None}async close(){const E={workspace:this.workspace};return this.channel.call("close",E)}}class R extends n.Disposable{constructor(E,P){super();this.channel=E,this.workspace=P,this._globalStorage=void 0,this._workspaceStorage=void 0}get globalStorage(){return this._globalStorage||(this._globalStorage=new _(this.channel)),this._globalStorage}get workspaceStorage(){return!this._workspaceStorage&&this.workspace&&(this._workspaceStorage=new L(this.channel,this.workspace)),this._workspaceStorage}}e.StorageDatabaseChannelClient=R}),define(ne[201],ie([0,1,5,2,19,74,23,200]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class C extends L.AbstractStorageService{constructor(P,b,f){super();this.mainProcessService=b,this.environmentService=f,this.workspaceStorage=void 0,this.workspaceStorageId=void 0,this.workspaceStorageDisposable=this._register(new n.MutableDisposable),this.globalStorage=this.createGlobalStorage(),this.workspaceStorage=this.createWorkspaceStorage(P)}createGlobalStorage(){const P=new R.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),void 0),b=new _.Storage(P.globalStorage);return this._register(b.onDidChangeStorage(f=>this.emitDidChangeValue(0,f))),b}createWorkspaceStorage(P){const b=new R.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),P);if(b.workspaceStorage){const f=new _.Storage(b.workspaceStorage);return this.workspaceStorageDisposable.value=f.onDidChangeStorage(p=>this.emitDidChangeValue(1,p)),this.workspaceStorageId=P?.id,f}else{this.workspaceStorageDisposable.clear(),this.workspaceStorageId=void 0;return}}async doInitialize(){await T.Promises.settled([this.globalStorage.init(),this.workspaceStorage?.init()??Promise.resolve()])}getStorage(P){return P===0?this.globalStorage:this.workspaceStorage}getLogDetails(P){return P===0?this.environmentService.globalStorageHome.fsPath:this.workspaceStorageId?`${(0,k.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}async close(){this.stopFlushWhenIdle(),this.emitWillSaveState(L.WillSaveStateReason.SHUTDOWN),await T.Promises.settled([this.globalStorage.close(),this.workspaceStorage?.close()??Promise.resolve()])}async migrate(P){const b=this.workspaceStorage,f=b?.items??new Map;b&&(await b.close(),b.dispose()),this.workspaceStorage=this.createWorkspaceStorage(P),await this.workspaceStorage.init();for(const[p,d]of f)this.workspaceStorage.set(p,d)}}e.NativeStorageService=C}),define(ne[202],ie([0,1,4,31,7,29]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function L(E){if(T.platform===2&&/^penguin(\.|$)/i.test(E))return"chromebook"}async function R(E,P,b,f,p,d,w,S,h,y){const g=Object.create(null);g["common.machineId"]=w,g.sessionID=(0,_.generateUuid)()+Date.now(),g.commitHash=p,g.version=d,g["common.platformVersion"]=(P||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),g["common.platform"]=(0,T.PlatformToString)(T.platform),g["common.nodePlatform"]=n.platform,g["common.nodeArch"]=f,g["common.product"]=y||"desktop";const v=C(S||[]);v&&(g["common.msftInternal"]=v);let l=0;const r=Date.now();Object.defineProperties(g,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-r,enumerable:!0},"common.sequence":{get:()=>l++,enumerable:!0}}),T.isLinuxSnap&&(g["common.snap"]="true");const a=L(b);a&&(g["common.platformDetail"]=a);try{const i=await E.readFile(k.URI.file(h));g["common.source"]=i.value.toString().slice(0,30)}catch{}return g}e.resolveCommonProperties=R;function C(E){const P=n.env.USERDNSDOMAIN;if(!P)return!1;const b=P.toLowerCase();return E.some(f=>b===f)}e.verifyMicrosoftInternalDomain=C}),define(ne[21],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,T.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,T.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var n;(function(_){_[_.NONE=0]="NONE",_[_.CRASH=1]="CRASH",_[_.ERROR=2]="ERROR",_[_.USAGE=3]="USAGE"})(n=e.TelemetryLevel||(e.TelemetryLevel={}));var k;(function(_){_.OFF="off",_.CRASH="crash",_.ERROR="error",_.ON="all"})(k=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(ne[203],ie([0,1,32,54,5,35,18,10,4,7,113,22,116,79,14,26,21]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function h(r,a){const i=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}];let t;const s=T.homedir().toLowerCase();switch(process.platform){case"win32":t=[{tag:"gdrive",matcher:O=>/^[a-z]:\\(my drive|shared drives)\\/.test(O)||O.startsWith(s+"\\my drive\\")},{tag:"dropbox",matcher:O=>O.startsWith(s+"\\dropbox")},{tag:"onedrive",matcher:O=>O.startsWith(s+"\\onedrive")},{tag:"box",matcher:O=>O.startsWith(s+"\\box\\")},{tag:"nextcloud",matcher:O=>O.startsWith(s+"\\nextcloud\\")},{tag:"owncloud",matcher:O=>O.startsWith(s+"\\owncloud\\")}];break;case"darwin":t=[{tag:"gdrive",matcher:O=>O.startsWith("/volumes/googledrive/")||O.startsWith(s+"/my drive/")},{tag:"dropbox",matcher:O=>O.startsWith(s+"/dropbox")},{tag:"onedrive",matcher:O=>O.startsWith(s+"/onedrive")||O.startsWith(s+"/library/cloudstorage/onedrive")},{tag:"icloud",matcher:O=>O.startsWith(s+"/library/mobile documents/")},{tag:"box",matcher:O=>O.startsWith(s+"/box/")},{tag:"nextcloud",matcher:O=>O.startsWith(s+"/nextcloud/")},{tag:"owncloud",matcher:O=>O.startsWith(s+"/owncloud/")}];break}const o=new Map,c=new Map,u=2e4;function m(O,N,$,D){for(const W of t){const F=O.toLowerCase();W.matcher(F)&&c.set(W.tag,1)}const M=N.substring(O.length+1);return k.Promises.withAsyncBody(async W=>{let F;try{F=await b.Promises.readdir(N,{withFileTypes:!0})}catch{W();return}if(D.count>=u){D.count+=F.length,D.maxReached=!0,W();return}let H=F.length;if(H===0){W();return}let Y=F;D.count+F.length>u&&(D.maxReached=!0,H=u-D.count,Y=F.slice(0,H)),D.count+=F.length;for(const B of Y)if(B.isDirectory()){if($.includes(B.name)||await m(O,(0,R.join)(N,B.name),$,D),--H==0){W();return}}else{const z=B.name.lastIndexOf(".");if(z>=0){const Q=B.name.substring(z+1);Q&&o.set(Q,(o.get(Q)??0)+1)}for(const Q of i)Q.relativePathPattern?.test(M)!==!1&&Q.filePattern.test(B.name)&&c.set(Q.tag,(c.get(Q.tag)??0)+1);if(--H==0){W();return}}})}const I={count:0,maxReached:!1};await m(r,r,a,I);const A=await v(r);return{configFiles:y(c),fileTypes:y(o),fileCount:I.count,maxFilesReached:I.maxReached,launchConfigFiles:A}}e.collectWorkspaceStats=h;function y(r){return[...n.Iterable.map(r.entries(),([a,i])=>({name:a,count:i}))].sort((a,i)=>i.count-a.count)}function g(){const r={os:`${T.type()} ${T.arch()} ${T.release()}`,memory:`${(T.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(T.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(P.virtualMachineHint.value()*100)}%`},a=T.cpus();return a&&a.length>0&&(r.cpus=`${a[0].model} (${a.length} x ${a[0].speed})`),r}e.getMachineInfo=g;async function v(r){try{const a=new Map,i=(0,R.join)(r,".vscode","launch.json"),t=await b.Promises.readFile(i),s=[],o=(0,_.parse)(t.toString(),s);if(s.length)return console.log(`Unable to parse ${i}`),[];if((0,_.getNodeType)(o)==="object"&&o.configurations)for(const c of o.configurations){const u=c.type;u&&(a.has(u)?a.set(u,a.get(u)+1):a.set(u,1))}return y(a)}catch{return[]}}e.collectLaunchConfigs=v;let l=class{constructor(a,i){this.telemetryService=a,this.productService=i}formatMachineInfo(a){const i=[];return i.push(`OS Version:       ${a.os}`),i.push(`CPUs:             ${a.cpus}`),i.push(`Memory (System):  ${a.memory}`),i.push(`VM:               ${a.vmHint}`),i.join(`
`)}formatEnvironment(a){const i=[];i.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),i.push(`OS Version:       ${T.type()} ${T.arch()} ${T.release()}`);const t=T.cpus();return t&&t.length>0&&i.push(`CPUs:             ${t[0].model} (${t.length} x ${t[0].speed})`),i.push(`Memory (System):  ${(T.totalmem()/d.ByteSize.GB).toFixed(2)}GB (${(T.freemem()/d.ByteSize.GB).toFixed(2)}GB free)`),C.isWindows||i.push(`Load (avg):       ${T.loadavg().map(s=>Math.round(s)).join(", ")}`),i.push(`VM:               ${Math.round(P.virtualMachineHint.value()*100)}%`),i.push(`Screen Reader:    ${a.screenReader?"yes":"no"}`),i.push(`Process Argv:     ${a.mainArguments.join(" ")}`),i.push(`GPU Status:       ${this.expandGPUFeatures(a.gpuFeatureStatus)}`),i.join(`
`)}async getPerformanceInfo(a,i){return Promise.all([(0,f.listProcesses)(a.mainPID),this.formatWorkspaceMetadata(a)]).then(async t=>{let[s,o]=t,c=this.formatProcessList(a,s);return i.forEach(u=>{if((0,p.isRemoteDiagnosticError)(u))c+=`
${u.errorMessage}`,o+=`
${u.errorMessage}`;else if(c+=`

Remote: ${u.hostName}`,u.processes&&(c+=`
${this.formatProcessList(a,u.processes)}`),u.workspaceMetadata){o+=`
|  Remote: ${u.hostName}`;for(const m of Object.keys(u.workspaceMetadata)){const I=u.workspaceMetadata[m];let A=`${I.fileCount} files`;I.maxFilesReached&&(A=`more than ${A}`),o+=`|    Folder (${m}): ${A}`,o+=this.formatWorkspaceStats(I)}}}),{processInfo:c,workspaceInfo:o}})}async getSystemInfo(a,i){const{memory:t,vmHint:s,os:o,cpus:c}=g(),u={os:o,memory:t,cpus:c,vmHint:s,processArgs:`${a.mainArguments.join(" ")}`,gpuStatus:a.gpuFeatureStatus,screenReader:`${a.screenReader?"yes":"no"}`,remoteData:i};return C.isWindows||(u.load=`${T.loadavg().map(m=>Math.round(m)).join(", ")}`),C.isLinux&&(u.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(u)}async getDiagnostics(a,i){const t=[];return(0,f.listProcesses)(a.mainPID).then(async s=>(t.push(""),t.push(this.formatEnvironment(a)),t.push(""),t.push(this.formatProcessList(a,s)),a.windows.some(o=>o.folderURIs&&o.folderURIs.length>0&&!o.remoteAuthority)&&(t.push(""),t.push("Workspace Stats: "),t.push(await this.formatWorkspaceMetadata(a))),i.forEach(o=>{if((0,p.isRemoteDiagnosticError)(o))t.push(`
${o.errorMessage}`);else if(t.push(`

`),t.push(`Remote:           ${o.hostName}`),t.push(this.formatMachineInfo(o.machineInfo)),o.processes&&t.push(this.formatProcessList(a,o.processes)),o.workspaceMetadata)for(const c of Object.keys(o.workspaceMetadata)){const u=o.workspaceMetadata[c];let m=`${u.fileCount} files`;u.maxFilesReached&&(m=`more than ${m}`),t.push(`Folder (${c}): ${m}`),t.push(this.formatWorkspaceStats(u))}}),t.push(""),t.push(""),t.join(`
`)))}formatWorkspaceStats(a){const i=[],t=60;let s=0;const o=(I,A)=>{const O=` ${I}(${A})`;s+O.length>t?(i.push(c),c="|                 ",s=c.length):s+=O.length,c+=O};let c="|      File types:";const u=10;let m=a.fileTypes.length>u?u:a.fileTypes.length;for(let I=0;I<m;I++){const A=a.fileTypes[I];o(A.name,A.count)}if(i.push(c),a.configFiles.length>=0&&(c="|      Conf files:",s=0,a.configFiles.forEach(I=>{o(I.name,I.count)}),i.push(c)),a.launchConfigFiles.length>0){let I="|      Launch Configs:";a.launchConfigFiles.forEach(A=>{I+=A.count>1?` ${A.name}(${A.count})`:` ${A.name}`}),i.push(I)}return i.join(`
`)}expandGPUFeatures(a){const i=Math.max(...Object.keys(a).map(t=>t.length));return Object.keys(a).map(t=>`${t}:  ${" ".repeat(i-t.length)}  ${a[t]}`).join(`
                  `)}formatWorkspaceMetadata(a){const i=[],t=[];return a.windows.forEach(s=>{s.folderURIs.length===0||!!s.remoteAuthority||(i.push(`|  Window (${s.title})`),s.folderURIs.forEach(o=>{const c=E.URI.revive(o);if(c.scheme===L.Schemas.file){const u=c.fsPath;t.push(h(u,["node_modules",".git"]).then(m=>{let I=`${m.fileCount} files`;m.maxFilesReached&&(I=`more than ${I}`),i.push(`|    Folder (${(0,R.basename)(u)}): ${I}`),i.push(this.formatWorkspaceStats(m))}).catch(m=>{i.push(`|      Error: Unable to collect workspace stats for folder ${u} (${m.toString()})`)}))}else i.push(`|    Folder (${c.toString()}): Workspace stats not available.`)}))}),Promise.all(t).then(s=>i.join(`
`)).catch(s=>`Unable to collect workspace stats: ${s}`)}formatProcessList(a,i){const t=new Map;a.windows.forEach(o=>t.set(o.pid,o.title));const s=[];return s.push("CPU %	Mem MB	   PID	Process"),i&&this.formatProcessItem(a.mainPID,t,s,i,0),s.join(`
`)}formatProcessItem(a,i,t,s,o){const c=o===0;let u;c?u=s.pid===a?`${this.productService.applicationName} main`:"remote agent":(u=`${"  ".repeat(o)} ${s.name}`,s.name==="window"&&(u=`${u} (${i.get(s.pid)})`));const m=process.platform==="win32"?s.mem:T.totalmem()*(s.mem/100);t.push(`${s.load.toFixed(0).padStart(5," ")}	${(m/d.ByteSize.MB).toFixed(0).padStart(6," ")}	${s.pid.toFixed(0).padStart(6," ")}	${u}`),Array.isArray(s.children)&&s.children.forEach(I=>this.formatProcessItem(a,i,t,I,o+1))}async reportWorkspaceStats(a){for(const{uri:i}of a.folders){const t=E.URI.revive(i);if(t.scheme!==L.Schemas.file)continue;const s=t.fsPath;try{const o=await h(s,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":a.telemetryId,rendererSessionId:a.rendererSessionId}),o.fileTypes.forEach(c=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:a.rendererSessionId,type:c.name,count:c.count})}),o.launchConfigFiles.forEach(c=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:a.rendererSessionId,type:c.name,count:c.count})}),o.configFiles.forEach(c=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:a.rendererSessionId,type:c.name,count:c.count})})}catch{}}}};l=de([X(0,S.ITelemetryService),X(1,w.IProductService)],l),e.DiagnosticsService=l}),define(ne[204],ie([0,1,16,5,25,9,3,2,4,15,7,129,30,33,8,26,21]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let h=class extends R.Disposable{constructor(a,i,t,s){super();this.galleryService=a,this.telemetryService=i,this.logService=t,this.productService=s,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new L.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new L.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new L.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new L.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,R.toDisposable)(()=>{this.installingExtensions.forEach(o=>o.cancel()),this.uninstallingExtensions.forEach(o=>o.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(a){const i=await this.getTargetPlatform();return a.allTargetPlatforms.some(t=>(0,f.isTargetPlatformCompatible)(t,a.allTargetPlatforms,i))}async installFromGallery(a,i={}){try{if(!this.galleryService.isEnabled())throw new f.ExtensionManagementError(b.localize(0,null),f.ExtensionManagementErrorCode.Internal);const t=await this.checkAndGetCompatibleVersion(a,!i.installGivenVersion,!!i.installPreReleaseVersion);return await this.installExtension(t.manifest,t.extension,i)}catch(t){throw v(this.telemetryService,"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(a),void 0,t),this.logService.error("Failed to install extension.",a.identifier.id),this.logService.error(t),g(t)}}async migrateUnsupportedExtensions(){try{const a=await this.getExtensionsControlManifest();if(!a.unsupportedPreReleaseExtensions)return;const i=await this.getInstalled(1);for(const[t,s]of Object.entries(a.unsupportedPreReleaseExtensions)){const o=i.find(m=>(0,p.areSameExtensions)(m.identifier,{id:t}));if(!o)continue;const c=await this.galleryService.getCompatibleExtension({id:s.id},!0,await this.getTargetPlatform());if(!c){this.logService.info(`Skipping migrating '${o.identifier.id}' extension because, the comaptible target '${s.id}' extension is not found`);continue}const u=await this.galleryService.getManifest(c,k.CancellationToken.None);if(!u){this.logService.info(`Skipping migrating '${o.identifier.id}' extension because, the manifest for '${s.id}' extension is not found`);continue}try{this.logService.info(`Migrating '${o.identifier.id}' extension to '${s.id}' extension...`),await Promise.allSettled([this.uninstall(o),this.installExtension(u,c,{installPreReleaseVersion:!0,isMachineScoped:o.isMachineScoped,operation:4})]),this.logService.info(`Migrated '${o.identifier.id}' extension to '${s.id}' extension.`)}catch(m){this.logService.error(m)}}}catch(a){this.logService.error(a)}}async uninstall(a,i={}){return this.logService.trace("ExtensionManagementService#uninstall",a.identifier.id),this.unininstallExtension(a,i)}async reinstallFromGallery(a){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",a.identifier.id),!this.galleryService.isEnabled())throw new Error(b.localize(1,null));const i=await this.findGalleryExtension(a);if(!i)throw new Error(b.localize(2,null));await this.createUninstallExtensionTask(a,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(i)}getExtensionsControlManifest(){const a=new Date().getTime();return(!this.extensionsControlManifest||a-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=a),this.extensionsControlManifest}registerParticipant(a){this.participants.push(a)}async installExtension(a,i,t){if(!P.URI.isUri(i)){let m=this.installingExtensions.get(new p.ExtensionIdentifierWithVersion(i.identifier,i.version).key());if(m)return this.logService.info("Extensions is already requested to install",i.identifier.id),m.waitUntilTaskIsFinished();t={...t,installOnlyNewlyAddedFromExtensionPack:!0}}const s=[],o=[],c=this.createInstallExtensionTask(a,i,t);P.URI.isUri(i)||this.installingExtensions.set(new p.ExtensionIdentifierWithVersion(c.identifier,a.version).key(),c),this._onInstallExtension.fire({identifier:c.identifier,source:i}),this.logService.info("Installing extension:",c.identifier.id),s.push({task:c,manifest:a});let u=!1;try{if(t.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",c.identifier.id);else try{const I=await this.getAllDepsAndPackExtensionsToInstall(c.identifier,a,!!t.installOnlyNewlyAddedFromExtensionPack,!!t.installPreReleaseVersion);for(const{gallery:A,manifest:O}of I)if(u=u||!!O.extensionDependencies?.some(N=>(0,p.areSameExtensions)({id:N},c.identifier)),this.installingExtensions.has(new p.ExtensionIdentifierWithVersion(A.identifier,A.version).key()))this.logService.info("Extension is already requested to install",A.identifier.id);else{const N=this.createInstallExtensionTask(O,A,{...t,donotIncludePackAndDependencies:!0});this.installingExtensions.set(new p.ExtensionIdentifierWithVersion(N.identifier,O.version).key(),N),this._onInstallExtension.fire({identifier:N.identifier,source:A}),this.logService.info("Installing extension:",N.identifier.id),s.push({task:N,manifest:O})}}catch(I){if(P.URI.isUri(c.source))(0,T.isNonEmptyArray)(a.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",c.identifier.id,I.message),(0,T.isNonEmptyArray)(a.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",c.identifier.id,I.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",c.identifier.id),I}const m=s.reduce((I,{task:A,manifest:O})=>(I.set(A.identifier.id.toLowerCase(),{task:A,manifest:O}),I),new Map);for(;m.size;){let I;const A=[...m.values()].filter(({manifest:O})=>!O.extensionDependencies?.some(N=>m.has(N.toLowerCase())));A.length?I=m.size===1?A:A.filter(({task:O})=>!(O===c&&!u)):(this.logService.info("Found extensions with circular dependencies",A.map(({task:O})=>O.identifier.id)),I=[...m.values()]),await this.joinAllSettled(I.map(async({task:O})=>{const N=new Date().getTime(),$=(0,E.isUndefined)(t.operation)?O.operation:t.operation;try{const D=await O.run();if(await this.joinAllSettled(this.participants.map(M=>M.postInstall(D,O.source,t,k.CancellationToken.None))),!P.URI.isUri(O.source)&&(v(this.telemetryService,$===3?"extensionGallery:update":"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(O.source),new Date().getTime()-N,void 0),C.isWeb&&$!==3))try{await this.galleryService.reportStatistic(D.manifest.publisher,D.manifest.name,D.manifest.version,"install")}catch{}o.push({local:D,identifier:O.identifier,operation:$,source:O.source})}catch(D){throw P.URI.isUri(O.source)||v(this.telemetryService,$===3?"extensionGallery:update":"extensionGallery:install",(0,p.getGalleryExtensionTelemetryData)(O.source),new Date().getTime()-N,D),this.logService.error("Error while installing the extension:",O.identifier.id),D}finally{m.delete(O.identifier.id.toLowerCase())}}))}return o.forEach(({identifier:I})=>this.logService.info("Extension installed successfully:",I.id)),this._onDidInstallExtensions.fire(o),o.filter(({identifier:I})=>(0,p.areSameExtensions)(I,c.identifier))[0].local}catch(m){if(s.forEach(({task:I})=>I.cancel()),o.length)try{const I=await Promise.allSettled(o.map(({local:A})=>this.createUninstallExtensionTask(A,{versionOnly:!0}).run()));for(let A=0;A<I.length;A++){const O=I[A],{identifier:N}=o[A];O.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",N.id):this.logService.warn("Rollback: Error while uninstalling extension",N.id,(0,_.getErrorMessage)(O.reason))}}catch(I){this.logService.warn("Error while rolling back extensions",(0,_.getErrorMessage)(I),o.map(({identifier:A})=>A.id))}throw this._onDidInstallExtensions.fire(s.map(({task:I})=>({identifier:I.identifier,operation:2,source:I.source}))),m}finally{for(const{task:m,manifest:I}of s)if(!P.URI.isUri(m.source)){const A=new p.ExtensionIdentifierWithVersion(m.identifier,I.version).key();this.installingExtensions.delete(A)||this.logService.warn("Installation task is not found in the cache",A)}}}async joinAllSettled(a){const i=[],t=[],s=await Promise.allSettled(a);for(const o of s)o.status==="fulfilled"?i.push(o.value):t.push(o.reason);if(t.length)throw y(t);return i}async getAllDepsAndPackExtensionsToInstall(a,i,t,s){if(!this.galleryService.isEnabled())return[];let o=await this.getInstalled();const c=[a,...o.map(I=>I.identifier)],u=[],m=async(I,A)=>{const O=A.extensionDependencies||[],N=[...O];if(A.extensionPack){const $=t?o.find(D=>(0,p.areSameExtensions)(D.identifier,I)):void 0;for(const D of A.extensionPack)$&&$.manifest.extensionPack&&$.manifest.extensionPack.some(M=>(0,p.areSameExtensions)({id:M},{id:D}))||N.every(M=>!(0,p.areSameExtensions)({id:M},{id:D}))&&N.push(D)}if(N.length){const $=[...c,...u.map(M=>M.gallery.identifier)],D=N.filter(M=>$.every(W=>!(0,p.areSameExtensions)(W,{id:M})));if(D.length){const M=await this.galleryService.query({names:D,pageSize:N.length},k.CancellationToken.None);for(const W of M.firstPage){if($.find(Y=>(0,p.areSameExtensions)(Y,W.identifier)))continue;const F=O.some(Y=>(0,p.areSameExtensions)({id:Y},W.identifier));let H;try{H=await this.checkAndGetCompatibleVersion(W,!0,s)}catch(Y){if(Y instanceof f.ExtensionManagementError&&Y.code===f.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!F){this.logService.info("Skipping the packed extension as it cannot be installed",W.identifier.id);continue}else throw Y}u.push({gallery:H.extension,manifest:H.manifest}),await m(H.extension.identifier,A)}}}};return await m(a,i),o=await this.getInstalled(),u.filter(I=>!o.some(A=>(0,p.areSameExtensions)(A.identifier,I.gallery.identifier)))}async checkAndGetCompatibleVersion(a,i,t){const s=await this.getExtensionsControlManifest();if((0,p.getMaliciousExtensionsSet)(s).has(a.identifier.id))throw new f.ExtensionManagementError(b.localize(3,null,a.identifier.id),f.ExtensionManagementErrorCode.Malicious);if(!!s.unsupportedPreReleaseExtensions&&!!s.unsupportedPreReleaseExtensions[a.identifier.id])throw new f.ExtensionManagementError(b.localize(4,null,a.identifier.id,s.unsupportedPreReleaseExtensions[a.identifier.id].displayName),f.ExtensionManagementErrorCode.UnsupportedPreRelease);if(!await this.canInstall(a)){const u=await this.getTargetPlatform();throw new f.ExtensionManagementError(b.localize(5,null,a.identifier.id,this.productService.nameLong,(0,f.TargetPlatformToString)(u)),f.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const o=await this.getCompatibleVersion(a,i,t);if(o){if(t&&a.hasPreReleaseVersion&&!o.properties.isPreReleaseVersion)throw new f.ExtensionManagementError(b.localize(6,null,a.identifier.id,this.productService.nameLong,this.productService.version),f.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw new f.ExtensionManagementError(b.localize(7,null,a.identifier.id,this.productService.nameLong,this.productService.version),f.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",o.identifier.id);const c=await this.galleryService.getManifest(o,k.CancellationToken.None);if(c===null)throw new f.ExtensionManagementError(`Missing manifest for extension ${a.identifier.id}`,f.ExtensionManagementErrorCode.Invalid);if(c.version!==o.version)throw new f.ExtensionManagementError(`Cannot install '${a.identifier.id}' extension because of version mismatch in Marketplace`,f.ExtensionManagementErrorCode.Invalid);return{extension:o,manifest:c}}async getCompatibleVersion(a,i,t){const s=await this.getTargetPlatform();let o=null;return i&&a.hasPreReleaseVersion&&a.properties.isPreReleaseVersion!==t&&(o=await this.galleryService.getCompatibleExtension(a.identifier,t,s)),!o&&await this.galleryService.isExtensionCompatible(a,t,s)&&(o=a),!o&&i&&(o=await this.galleryService.getCompatibleExtension(a,t,s)),o}async unininstallExtension(a,i){const t=this.uninstallingExtensions.get(a.identifier.id.toLowerCase());if(t)return this.logService.info("Extensions is already requested to uninstall",a.identifier.id),t.waitUntilTaskIsFinished();const s=(m,I)=>{const A=this.createUninstallExtensionTask(m,I);return this.uninstallingExtensions.set(A.extension.identifier.id.toLowerCase(),A),this.logService.info("Uninstalling extension:",m.identifier.id),this._onUninstallExtension.fire(m.identifier),A},o=(m,I)=>{I?this.logService.error("Failed to uninstall extension:",m.identifier.id,I.message):this.logService.info("Successfully uninstalled extension:",m.identifier.id),v(this.telemetryService,"extensionGallery:uninstall",(0,p.getLocalExtensionTelemetryData)(m),void 0,I),this._onDidUninstallExtension.fire({identifier:m.identifier,error:I?.code})},c=[],u=[];try{c.push(s(a,{}));const m=await this.getInstalled(1);if(i.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",a.identifier.id);else{const I=this.getAllPackExtensionsToUninstall(a,m);for(const A of I)this.uninstallingExtensions.has(A.identifier.id.toLowerCase())?this.logService.info("Extensions is already requested to uninstall",A.identifier.id):c.push(s(A,{}))}i.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",a.identifier.id):this.checkForDependents(c.map(I=>I.extension),m,a),await this.joinAllSettled(c.map(async I=>{try{if(await I.run(),await this.joinAllSettled(this.participants.map(A=>A.postUninstall(I.extension,i,k.CancellationToken.None))),I.extension.identifier.uuid)try{await this.galleryService.reportStatistic(I.extension.manifest.publisher,I.extension.manifest.name,I.extension.manifest.version,"uninstall")}catch{}o(I.extension)}catch(A){const O=A instanceof f.ExtensionManagementError?A:new f.ExtensionManagementError((0,_.getErrorMessage)(A),f.ExtensionManagementErrorCode.Internal);throw o(I.extension,O),O}finally{u.push(I)}}))}catch(m){const I=m instanceof f.ExtensionManagementError?m:new f.ExtensionManagementError((0,_.getErrorMessage)(m),f.ExtensionManagementErrorCode.Internal);for(const A of c){try{A.cancel()}catch{}u.includes(A)||o(A.extension,I)}throw I}finally{for(const m of c)this.uninstallingExtensions.delete(m.extension.identifier.id.toLowerCase())||this.logService.warn("Uninstallation task is not found in the cache",m.extension.identifier.id)}}checkForDependents(a,i,t){for(const s of a){const o=this.getDependents(s,i);if(o.length){const c=o.filter(u=>!a.some(m=>(0,p.areSameExtensions)(m.identifier,u.identifier)));if(c.length)throw new Error(this.getDependentsErrorMessage(s,c,t))}}}getDependentsErrorMessage(a,i,t){return t===a?i.length===1?b.localize(8,null,t.manifest.displayName||t.manifest.name,i[0].manifest.displayName||i[0].manifest.name):i.length===2?b.localize(9,null,t.manifest.displayName||t.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):b.localize(10,null,t.manifest.displayName||t.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):i.length===1?b.localize(11,null,t.manifest.displayName||t.manifest.name,a.manifest.displayName||a.manifest.name,i[0].manifest.displayName||i[0].manifest.name):i.length===2?b.localize(12,null,t.manifest.displayName||t.manifest.name,a.manifest.displayName||a.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name):b.localize(13,null,t.manifest.displayName||t.manifest.name,a.manifest.displayName||a.manifest.name,i[0].manifest.displayName||i[0].manifest.name,i[1].manifest.displayName||i[1].manifest.name)}getAllPackExtensionsToUninstall(a,i,t=[]){if(t.indexOf(a)!==-1)return[];t.push(a);const s=a.manifest.extensionPack?a.manifest.extensionPack:[];if(s.length){const o=i.filter(u=>!u.isBuiltin&&s.some(m=>(0,p.areSameExtensions)({id:m},u.identifier))),c=[];for(const u of o)c.push(...this.getAllPackExtensionsToUninstall(u,i,t));return[...o,...c]}return[]}getDependents(a,i){return i.filter(t=>t.manifest.extensionDependencies&&t.manifest.extensionDependencies.some(s=>(0,p.areSameExtensions)({id:s},a.identifier)))}async findGalleryExtension(a){if(a.identifier.uuid){const i=await this.findGalleryExtensionById(a.identifier.uuid);return i||this.findGalleryExtensionByName(a.identifier.id)}return this.findGalleryExtensionByName(a.identifier.id)}async findGalleryExtensionById(a){return(await this.galleryService.query({ids:[a],pageSize:1},k.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(a){return(await this.galleryService.query({names:[a],pageSize:1},k.CancellationToken.None)).firstPage[0]}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const a=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",a),a}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[]}}}};h=de([X(0,f.IExtensionGalleryService),X(1,S.ITelemetryService),X(2,d.ILogService),X(3,w.IProductService)],h),e.AbstractExtensionManagementService=h;function y(r){const a=Array.isArray(r)?r:[r];return a.length===1?a[0]instanceof Error?a[0]:new Error(a[0]):a.reduce((i,t)=>new Error(`${i.message}${i.message?",":""}${t instanceof Error?t.message:t}`),new Error(""))}e.joinErrors=y;function g(r){if(r instanceof f.ExtensionManagementError)return r;const a=new f.ExtensionManagementError(r.message,f.ExtensionManagementErrorCode.Internal);return a.stack=r.stack,a}function v(r,a,i,t,s){const o=s?s instanceof f.ExtensionManagementError?s.code:f.ExtensionManagementErrorCode.Internal:void 0;r.publicLogError(a,{...i,success:!s,duration:t,errorcode:o})}e.reportTelemetry=v;class l{constructor(){this.barrier=new n.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,n.createCancelablePromise)(a=>this.doRun(a))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,n.createCancelablePromise)(a=>new Promise((i,t)=>{const s=a.onCancellationRequested(()=>{s.dispose(),t((0,_.canceled)())})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=l}),define(ne[205],ie([0,1,16,5,66,3,10,4,31,7,131,13,30,194,81,14,8,60,26,43,23,21]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const r="extensionTips/promptedExecutableTips",a="extensionTips/lastPromptedMediumImpExeTime";let i=class extends p.ExtensionTipsService{constructor(s,o,c,u,m,I,A,O,N,$){super(A,O,N,$);this.environmentService=s,this.telemetryService=o,this.extensionManagementService=c,this.storageService=u,this.nativeHostService=m,this.extensionRecommendationNotificationService=I,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,O.exeBasedExtensionTips&&(0,k.forEach)(O.exeBasedExtensionTips,({key:D,value:M})=>{const W=[],F=[],H=[];(0,k.forEach)(M.recommendations,({key:Y,value:B})=>{B.important?M.important?W.push({extensionId:Y,extensionName:B.name,isExtensionPack:!!B.isExtensionPack}):F.push({extensionId:Y,extensionName:B.name,isExtensionPack:!!B.isExtensionPack}):H.push({extensionId:Y,extensionName:B.name,isExtensionPack:!!B.isExtensionPack})}),W.length&&this.highImportanceExecutableTips.set(D,{exeFriendlyName:M.friendlyName,windowsPath:M.windowsPath,recommendations:W}),F.length&&this.mediumImportanceExecutableTips.set(D,{exeFriendlyName:M.friendlyName,windowsPath:M.windowsPath,recommendations:F}),H.length&&this.allOtherExecutableTips.set(D,{exeFriendlyName:M.friendlyName,windowsPath:M.windowsPath,recommendations:H})}),(0,n.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),o=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...s,...o]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const s=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),o=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),c=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(s,c),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(o,c)}groupImportantTipsByExe(s,o){const c=new Map;s.forEach(O=>c.set(O.extensionId.toLowerCase(),O));const{installed:u,uninstalled:m}=this.groupByInstalled([...c.keys()],o);for(const O of u){const N=c.get(O);N&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:O,exeName:N.exeName})}for(const O of m){const N=c.get(O);N&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:O,exeName:N.exeName})}const I=this.getPromptedExecutableTips(),A=new Map;for(const O of m){const N=c.get(O);if(N&&(!I[N.exeName]||!I[N.exeName].includes(N.extensionId))){let $=A.get(N.exeName);$||($=[],A.set(N.exeName,$)),$.push(N)}}return A}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size===0)return;const[s,o]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(o).then(c=>{switch(c){case"reacted":this.addToRecommendedExecutables(o[0].exeName,o);break;case"ignored":this.highImportanceTipsByExe.delete(s);break;case"incompatibleWindow":{const u=_.Event.once(_.Event.latch(_.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(u(()=>this.promptHighImportanceExeBasedTip()));break}case"toomany":{const u=this._register((0,n.disposableTimeout)(()=>{u.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}}})}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size===0)return;const s=this.getLastPromptedMediumExeTime(),o=Date.now()-s,c=7*24*60*60*1e3;if(o<c){const I=this._register((0,n.disposableTimeout)(()=>{I.dispose(),this.promptMediumImportanceExeBasedTip()},c-o));return}const[u,m]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(m).then(I=>{switch(I){case"reacted":{this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(u),this.addToRecommendedExecutables(m[0].exeName,m);const A=this._register((0,n.disposableTimeout)(()=>{A.dispose(),this.promptMediumImportanceExeBasedTip()},c));break}case"ignored":this.mediumImportanceTipsByExe.delete(u),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":{const A=_.Event.once(_.Event.latch(_.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(A(()=>this.promptMediumImportanceExeBasedTip()));break}case"toomany":{const A=this._register((0,n.disposableTimeout)(()=>{A.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}}})}promptExeRecommendations(s){const o=s.map(({extensionId:u})=>u.toLowerCase()),c=(0,P.localize)(0,null,s[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(o,c,`@exe:"${s[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let s=this.storageService.getNumber(a,0);return s||(s=Date.now(),this.updateLastPromptedMediumExeTime(s)),s}updateLastPromptedMediumExeTime(s){this.storageService.store(a,s,0,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(r,0,"{}"))}addToRecommendedExecutables(s,o){const c=this.getPromptedExecutableTips();c[s]=o.map(({extensionId:u})=>u.toLowerCase()),this.storageService.store(r,JSON.stringify(c),0,0)}groupByInstalled(s,o){const c=[],u=[],m=o.reduce((I,A)=>(I.add(A.identifier.id.toLowerCase()),I),new Set);return s.forEach(I=>{m.has(I.toLowerCase())?c.push(I):u.push(I)}),{installed:c,uninstalled:u}}async getValidExecutableBasedExtensionTips(s){const o=[],c=new Map;for(const u of s.keys()){const m=s.get(u);if(!m||!(0,T.isNonEmptyArray)(m.recommendations))continue;const I=[];R.isWindows?m.windowsPath&&I.push(m.windowsPath.replace("%USERPROFILE%",C.env.USERPROFILE).replace("%ProgramFiles(x86)%",C.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",C.env.ProgramFiles).replace("%APPDATA%",C.env.APPDATA).replace("%WINDIR%",C.env.WINDIR)):(I.push((0,L.join)("/usr/local/bin",u)),I.push((0,L.join)("/usr/bin",u)),I.push((0,L.join)(this.environmentService.userHome.fsPath,u)));for(const A of I){let O=c.get(A);if(O===void 0&&(O=await this.fileService.exists(E.URI.file(A)),c.set(A,O)),O)for(const{extensionId:N,extensionName:$,isExtensionPack:D}of m.recommendations)o.push({extensionId:N,extensionName:$,isExtensionPack:D,exeName:u,exeFriendlyName:m.exeFriendlyName,windowsPath:m.windowsPath})}}return o}};i=de([X(0,b.INativeEnvironmentService),X(1,l.ITelemetryService),X(2,f.IExtensionManagementService),X(3,v.IStorageService),X(4,h.INativeHostService),X(5,d.IExtensionRecommendationNotificationService),X(6,w.IFileService),X(7,y.IProductService),X(8,g.IRequestService),X(9,S.ILogService)],i),e.ExtensionTipsService=i}),define(ne[93],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class T{constructor(_){this.appenders=_}listen(_,L){throw new Error(`Event not found: ${L}`)}call(_,L,{eventName:R,data:C}){return this.appenders.forEach(E=>E.log(R,C)),Promise.resolve(null)}}e.TelemetryAppenderChannel=T;class n{constructor(_){this.channel=_}log(_,L){return this.channel.call("log",{eventName:_,data:L}).then(void 0,R=>`Failed to log telemetry: ${console.warn(R)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=n}),define(ne[44],ie([0,1,28,15,20,21]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class L{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(h,y){return Promise.resolve(void 0)}publicLog2(h,y){return this.publicLog(h,y)}publicLogError(h,y){return Promise.resolve(void 0)}publicLogError2(h,y){return this.publicLogError(h,y)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=L,e.NullTelemetryService=new L;class R{async publicLog(h,y,g){}async publicLogError(h,y,g){}}e.NullEndpointTelemetryService=R,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function C(S,h){return h.onDidChangeConfiguration(y=>{y.source!==6&&S.publicLog2("updateConfiguration",{configurationSource:(0,k.ConfigurationTargetToString)(y.source),configurationKeys:d(y.sourceConfig)})})}e.configurationTelemetry=C;function E(S,h){return!(h.disableTelemetry||!S.enableTelemetry)}e.supportsTelemetry=E;function P(S){const h=S.getValue(_.TELEMETRY_SETTING_ID),y=S.getValue("telemetry.enableCrashReporter");if(S.getValue(_.TELEMETRY_OLD_SETTING_ID)===!1||y===!1)return 0;switch(h??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=P;function b(S){const h=Object.create(null),y=Object.create(null),g=Object.create(null);p(S,g);for(let v in g){v=v.length>150?v.substr(v.length-149):v;const l=g[v];typeof l=="number"?y[v]=l:typeof l=="boolean"?y[v]=l?1:0:typeof l=="string"?(l.length>8192&&console.warn(`Telemetry property: ${v} has been trimmed to 8192, the original length is ${l.length}`),h[v]=l.substring(0,8191)):typeof l!="undefined"&&l!==null&&(h[v]=l)}return{properties:h,measurements:y}}e.validateTelemetryData=b;function f(S){if(!S)return"none";let h="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(g=>{S.indexOf(`${g}+`)===0&&(h=g)}),h}e.cleanRemoteAuthority=f;function p(S,h,y=0,g){if(!!S)for(let v of Object.getOwnPropertyNames(S)){const l=S[v],r=g?g+v:v;Array.isArray(l)?h[r]=(0,T.safeStringify)(l):l instanceof Date?h[r]=l.toISOString():(0,n.isObject)(l)?y<2?p(l,h,y+1,r+"."):h[r]=(0,T.safeStringify)(l):h[r]=l}}function d(S){if(!S)return[];const h=[];return w(h,"",S),h}function w(S,h,y){y&&typeof y=="object"&&!Array.isArray(y)?Object.keys(y).forEach(g=>w(S,h?`${h}.${g}`:g,y[g])):S.push(h)}}),define(ne[206],ie([0,1,44,149]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AssignmentService=e.BaseAssignmentService=void 0;class k{constructor(){}setSharedProperty(C,E){}postEvent(C,E){}}class _{constructor(C,E,P,b,f){this.getMachineId=C,this.configurationService=E,this.productService=P,this.telemetry=b,this.keyValueStorage=f,this.networkInitialized=!1,P.tasConfig&&this.experimentsEnabled&&(0,T.getTelemetryLevel)(this.configurationService)===3&&(this.tasClient=this.setupTASClient());const p=this.configurationService.getValue("experiments.overrideDelay"),d=typeof p=="number"?p:0;this.overrideInitDelay=new Promise(w=>setTimeout(w,d))}get experimentsEnabled(){return!0}async getTreatment(C){await this.overrideInitDelay;const E=this.configurationService.getValue("experiments.override."+C);if(E!==void 0)return E;if(!this.tasClient||!this.experimentsEnabled)return;let P;const b=await this.tasClient;return this.networkInitialized?P=b.getTreatmentVariable("vscode",C):P=await b.getTreatmentVariableAsync("vscode",C,!0),P=b.getTreatmentVariable("vscode",C),P}async setupTASClient(){const C=this.productService.quality==="stable"?n.TargetPopulation.Public:n.TargetPopulation.Insiders,E=await this.getMachineId(),P=new n.AssignmentFilterProvider(this.productService.version,this.productService.nameLong,E,C),b=this.productService.tasConfig,f=new(await new Promise((p,d)=>{J(["tas-client-umd"],p,d)})).ExperimentationService({filterProviders:[P],telemetry:this.telemetry,storageKey:n.ASSIGNMENT_STORAGE_KEY,keyValueStorage:this.keyValueStorage,featuresTelemetryPropertyName:b.featuresTelemetryPropertyName,assignmentContextTelemetryPropertyName:b.assignmentContextTelemetryPropertyName,telemetryEventName:b.telemetryEventName,endpoint:b.endpoint,refetchInterval:n.ASSIGNMENT_REFETCH_INTERVAL});return await f.initializePromise,f.initialFetch.then(()=>this.networkInitialized=!0),f}}e.BaseAssignmentService=_;class L extends _{constructor(C,E,P){super(()=>Promise.resolve(C),E,P,new k)}}e.AssignmentService=L}),define(ne[207],ie([0,1,16,25,9,28,4,31,15,7,20,13,30,33,77,14,8,26,43,46,23,21,44]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const a=L.isWeb?"web":(0,f.getTargetPlatform)(L.platform,R.arch);var i;(function(q){q[q.None=0]="None",q[q.IncludeVersions=1]="IncludeVersions",q[q.IncludeFiles=2]="IncludeFiles",q[q.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",q[q.IncludeSharedAccounts=8]="IncludeSharedAccounts",q[q.IncludeVersionProperties=16]="IncludeVersionProperties",q[q.ExcludeNonValidated=32]="ExcludeNonValidated",q[q.IncludeInstallationTargets=64]="IncludeInstallationTargets",q[q.IncludeAssetUri=128]="IncludeAssetUri",q[q.IncludeStatistics=256]="IncludeStatistics",q[q.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",q[q.Unpublished=4096]="Unpublished"})(i||(i={}));function t(...q){return String(q.reduce((x,re)=>x|re,0))}var s;(function(q){q[q.Tag=1]="Tag",q[q.ExtensionId=4]="ExtensionId",q[q.Category=5]="Category",q[q.ExtensionName=7]="ExtensionName",q[q.Target=8]="Target",q[q.Featured=9]="Featured",q[q.SearchText=10]="SearchText",q[q.ExcludeWithFlags=12]="ExcludeWithFlags"})(s||(s={}));const o={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},c={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},m={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:i.None,criteria:[],assetTypes:[]};class I{constructor(x=m){this.state=x}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(x,re=this.state.pageSize){return new I({...this.state,pageNumber:x,pageSize:re})}withFilter(x,...re){const se=[...this.state.criteria,...re.length?re.map(ce=>({filterType:x,value:ce})):[{filterType:x}]];return new I({...this.state,criteria:se})}withSortBy(x){return new I({...this.state,sortBy:x})}withSortOrder(x){return new I({...this.state,sortOrder:x})}withFlags(...x){return new I({...this.state,flags:x.reduce((re,se)=>re|se,0)})}withAssetTypes(...x){return new I({...this.state,assetTypes:x})}get raw(){const{criteria:x,pageNumber:re,pageSize:se,sortBy:ce,sortOrder:he,flags:Se,assetTypes:ge}=this.state;return{filters:[{criteria:x,pageNumber:re,pageSize:se,sortBy:ce,sortOrder:he}],assetTypes:ge,flags:Se}}get searchText(){const x=this.state.criteria.filter(re=>re.filterType===s.SearchText)[0];return x&&x.value?x.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(x=>String(x.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function A(q,x){const re=(q||[]).filter(se=>se.statisticName===x)[0];return re?re.value:0}function O(q){const x="Microsoft.VisualStudio.Code.Translation.";return q.files.filter(se=>se.assetType.indexOf(x)===0).reduce((se,ce)=>{const he=M(q,ce.assetType);return he&&se.push([ce.assetType.substring(x.length),he]),se},[])}function N(q){if(q.properties){const x=q.properties.filter(ce=>ce.key===o.Repository),re=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),se=x.filter(ce=>re.test(ce.value))[0];return se?{uri:se.value,fallbackUri:se.value}:null}return M(q,o.Repository)}function $(q){return{uri:`${q.fallbackAssetUri}/${o.VSIX}?redirect=true${q.targetPlatform?`&targetPlatform=${q.targetPlatform}`:""}`,fallbackUri:`${q.fallbackAssetUri}/${o.VSIX}${q.targetPlatform?`?targetPlatform=${q.targetPlatform}`:""}`}}function D(q){const x=M(q,o.Icon);if(x)return x;const re=f.DefaultIconPath;return{uri:re,fallbackUri:re}}function M(q,x){return q.files.filter(se=>se.assetType===x)[0]?{uri:`${q.assetUri}/${x}${q.targetPlatform?`?targetPlatform=${q.targetPlatform}`:""}`,fallbackUri:`${q.fallbackAssetUri}/${x}${q.targetPlatform?`?targetPlatform=${q.targetPlatform}`:""}`}:null}function W(q,x){const re=q.properties?q.properties.filter(ce=>ce.key===x):[],se=re.length>0&&re[0].value;return se?se.split(",").map(ce=>(0,p.adoptToGalleryExtensionId)(ce)):[]}function F(q){const x=q.properties?q.properties.filter(re=>re.key===c.Engine):[];return x.length>0&&x[0].value||""}function H(q){const x=q.properties?q.properties.filter(re=>re.key===c.PreRelease):[];return x.length>0&&x[0].value==="true"}function Y(q){const x=q.properties?q.properties.filter(se=>se.key===c.LocalizedLanguages):[],re=x.length>0&&x[0].value||"";return re?re.split(","):[]}function B(q){return q.indexOf("preview")!==-1}function z(q){return q.targetPlatform?(0,f.toTargetPlatform)(q.targetPlatform):"undefined"}function Q(q){const x=(0,T.distinct)(q.versions.map(z)),re=!!q.tags?.includes(f.WEB_EXTENSION_TAG),se=x.indexOf("web");return re?se===-1&&x.push("web"):se!==-1&&x.splice(se,1),x}function G(q,x){const re=(0,f.getFallbackTargetPlarforms)(x);for(let se=0;se<q.length;se++){const ce=q[se];if(ce.version===q[se-1]?.version){let he=se;const Se=z(ce);if(Se===x)for(;he>0&&q[he-1].version===ce.version;)he--;else if(re.includes(Se))for(;he>0&&q[he-1].version===ce.version&&z(q[he-1])!==x;)he--;he!==se&&(q.splice(se,1),q.splice(he,0,ce))}}return q}e.sortExtensionVersions=G;function ee(q,x,re,se,ce){const he=q.versions[0],Se={manifest:M(x,o.Manifest),readme:M(x,o.Details),changelog:M(x,o.Changelog),license:M(x,o.License),repository:N(x),download:$(x),icon:D(x),coreTranslations:O(x)};return{identifier:{id:(0,p.getGalleryExtensionId)(q.publisher.publisherName,q.extensionName),uuid:q.extensionId},name:q.extensionName,version:x.version,displayName:q.displayName,publisherId:q.publisher.publisherId,publisher:q.publisher.publisherName,publisherDisplayName:q.publisher.displayName,publisherDomain:q.publisher.domain?{link:q.publisher.domain,verified:!!q.publisher.isDomainVerified}:void 0,description:q.shortDescription||"",installCount:A(q.statistics,"install"),rating:A(q.statistics,"averagerating"),ratingCount:A(q.statistics,"ratingcount"),categories:q.categories||[],tags:q.tags||[],releaseDate:Date.parse(q.releaseDate),lastUpdated:Date.parse(q.lastUpdated),allTargetPlatforms:re,assets:Se,properties:{dependencies:W(x,c.Dependency),extensionPack:W(x,c.ExtensionPack),engine:F(x),localizedLanguages:Y(x),targetPlatform:z(x),isPreReleaseVersion:H(x)},hasPreReleaseVersion:H(he),hasReleaseVersion:se,preview:B(q.flags),telemetryData:ce}}let K=class{constructor(x,re,se,ce,he,Se,ge,ye){this.requestService=re,this.logService=se,this.environmentService=ce,this.telemetryService=he,this.fileService=Se,this.productService=ge,this.configurationService=ye;const pe=ge.extensionsGallery;this.extensionsGalleryUrl=pe&&pe.serviceUrl,this.extensionsControlUrl=pe&&pe.controlUrl,this.commonHeadersPromise=V(ge.version,ge,this.environmentService,this.configurationService,this.fileService,x)}api(x=""){return`${this.extensionsGalleryUrl}${x}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(x,re,se){const ce=(0,C.isBoolean)(re)?re:!1,he=(0,C.isBoolean)(re)?se:re;let Se=new I().withFlags(i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,x.length).withFilter(s.ExtensionName,...x.map(({id:pe})=>pe.toLowerCase()));x.every(pe=>!pe.version)&&(Se=Se.withFlags(i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties,i.IncludeLatestVersionOnly));const{galleryExtensions:ge}=await this.queryGallery(Se,a,n.CancellationToken.None),ye=ge.map(pe=>{const Ie=(0,p.getGalleryExtensionId)(pe.publisher.publisherName,pe.extensionName);return{rawGalleryExtension:pe,version:x.find(Ee=>(0,p.areSameExtensions)(Ee,{id:Ie}))?.version,preRelease:ce}});return this.converToGalleryExtensions(ye,Se,a,()=>{},he)}async getExtensions2(x){const re=[],se=[];for(const ge of x)ge.uuid?se.push(ge.uuid):re.push(ge.id.toLowerCase());let ce=new I().withFlags(i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties,i.IncludeLatestVersionOnly).withPage(1,x.length);se.length&&(ce=ce.withFilter(s.ExtensionId,...se)),re.length&&(ce=ce.withFilter(s.ExtensionId,...re));const{galleryExtensions:he}=await this.queryGallery(ce,a,n.CancellationToken.None),Se=he.map(ge=>{const ye=(0,p.getGalleryExtensionId)(ge.publisher.publisherName,ge.extensionName),pe=x.find(Ie=>(0,p.areSameExtensions)(Ie,{id:ye,uuid:ge.extensionId}));return{rawGalleryExtension:ge,preRelease:!!pe?.preRelease}});return this.converToGalleryExtensions(Se,ce,a,()=>{},n.CancellationToken.None)}async getCompatibleExtension(x,re,se){const ce=(0,f.isIExtensionIdentifier)(x)?null:x;if(ce){if((0,f.isNotWebExtensionInWebTargetPlatform)(ce.allTargetPlatforms,se))return null;if(await this.isExtensionCompatible(ce,re,se))return ce}const{id:he,uuid:Se}=ce?ce.identifier:x;let ge=new I().withFlags(i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,1);Se?ge=ge.withFilter(s.ExtensionId,Se):ge=ge.withFilter(s.ExtensionName,he);const{galleryExtensions:ye}=await this.queryGallery(ge,se,n.CancellationToken.None),[pe]=ye;if(!pe||!pe.versions.length)return null;const Ie=Q(pe);if((0,f.isNotWebExtensionInWebTargetPlatform)(Ie,se))return null;for(let Ee of pe.versions){if(!F(Ee)){const De=await this.getEngine(Ee);Ee={...Ee,properties:[...Ee.properties||[],{key:c.Engine,value:De}]}}if(await this.isRawExtensionVersionCompatible(Ee,re,Ie,se)){const De=pe.versions.some(Fe=>!H(Fe));return ee(pe,Ee,Ie,De)}}return null}async isExtensionCompatible(x,re,se){if(!(0,f.isTargetPlatformCompatible)(x.properties.targetPlatform,x.allTargetPlatforms,se)||!re&&x.properties.isPreReleaseVersion)return!1;let ce=x.properties.engine;if(!ce){const he=await this.getManifest(x,n.CancellationToken.None);if(!he)throw new Error("Manifest was not found");ce=he.engines.vscode}return(0,d.isEngineValid)(ce,this.productService.version,this.productService.date)}async isRawExtensionVersionCompatible(x,re,se,ce){if(!(0,f.isTargetPlatformCompatible)(z(x),se,ce)||!re&&H(x))return!1;const he=await this.getEngine(x);return(0,d.isEngineValid)(he,this.productService.version,this.productService.date)}async query(x,re){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let se=x.text||"";const ce=(0,_.getOrDefault)(x,Ee=>Ee.pageSize,50);let he=new I().withFlags(i.IncludeLatestVersionOnly,i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,ce);se?(se=se.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(Ee,De,Fe)=>(he=he.withFilter(s.Category,Fe||De),"")),se=se.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(Ee,De,Fe)=>(he=he.withFilter(s.Tag,Fe||De),"")),se=se.replace(/\bfeatured(\s+|\b|$)/g,()=>(he=he.withFilter(s.Featured),"")),se=se.trim(),se&&(se=se.length<200?se:se.substring(0,200),he=he.withFilter(s.SearchText,se)),he=he.withSortBy(0)):x.ids?he=he.withFilter(s.ExtensionId,...x.ids):x.names?he=he.withFilter(s.ExtensionName,...x.names):he=he.withSortBy(4),typeof x.sortBy=="number"&&(he=he.withSortBy(x.sortBy)),typeof x.sortOrder=="number"&&(he=he.withSortOrder(x.sortOrder));const{galleryExtensions:Se,total:ge}=await this.queryGallery(he,a,re),ye=Ee=>({index:(he.pageNumber-1)*he.pageSize+Ee,querySource:x.source}),pe=await this.converToGalleryExtensions(Se.map(Ee=>({rawGalleryExtension:Ee,preRelease:!!x.includePreRelease})),he,a,ye,re),Ie=async(Ee,De)=>{if(De.isCancellationRequested)throw(0,k.canceled)();const Fe=he.withPage(Ee+1),{galleryExtensions:Ue}=await this.queryGallery(Fe,a,De);return await this.converToGalleryExtensions(Ue.map(Ne=>({rawGalleryExtension:Ne,preRelease:!!x.includePreRelease})),Fe,a,ye,re)};return{firstPage:pe,total:ge,pageSize:he.pageSize,getPage:Ie}}async converToGalleryExtensions(x,re,se,ce,he){const Se=(pe,Ie,Ee,De,Fe)=>{const Ue=!(Ee.flags&i.IncludeLatestVersionOnly),Ne=Q(pe);let ze=pe.versions[0];return ze=pe.versions.find(te=>te.version===ze.version&&(0,f.isTargetPlatformCompatible)(z(te),Ne,se))||ze,Ue&&H(ze)&&!Fe&&(ze=pe.versions.find(te=>te.version!==ze.version&&!H(te))||ze),ee(pe,ze,Ne,De,ce(Ie))},ge=[],ye=new Map;for(let pe=0;pe<x.length;pe++){const{rawGalleryExtension:Ie,version:Ee,preRelease:De}=x[pe],Fe=Ie.versions.some(Ue=>!H(Ue));if(Ee){const Ue=Ie.versions.find(Ne=>Ne.version===Ee);Ue&&ge.push([pe,ee(Ie,Ue,Q(Ie),Fe)])}else{const Ue=Se(Ie,pe,re,Fe,De);Ue.properties.isPreReleaseVersion?ye.set(Ue.identifier.uuid,{index:pe,preRelease:De}):ge.push([pe,Ue])}}if(ye.size){const pe=new Date().getTime(),Ie=new I().withFlags(i.IncludeVersions,i.IncludeAssetUri,i.IncludeStatistics,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,ye.size).withFilter(s.ExtensionId,...ye.keys()),{galleryExtensions:Ee}=await this.queryGallery(Ie,se,he);if(this.telemetryService.publicLog2("galleryService:preReleasesQuery",{duration:new Date().getTime()-pe,count:ye.size}),Ee.length!==ye.size)throw new Error("Not all extensions with latest versions are returned");for(const De of Ee){const Fe=De.versions.some(te=>!H(te)),{index:Ue,preRelease:Ne}=ye.get(De.extensionId),ze=Se(De,Ue,Ie,Fe,Ne);ge.push([Ue,ze])}}return ge.sort((pe,Ie)=>pe[0]-Ie[0]).map(([,pe])=>pe)}async queryGallery(x,re,se){if(!this.isEnabled())throw new Error("No extension gallery service configured.");x=x.withFlags(x.flags,i.ExcludeNonValidated).withFilter(s.Target,"Microsoft.VisualStudio.Code").withFilter(s.ExcludeWithFlags,t(i.Unpublished));const ce=await this.commonHeadersPromise,he=JSON.stringify(x.raw),Se={...ce,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(he.length)},ge=new Date().getTime();let ye,pe,Ie=0;try{if(ye=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:he,headers:Se},se),ye.res.statusCode&&ye.res.statusCode>=400&&ye.res.statusCode<500)return{galleryExtensions:[],total:Ie};const Ee=await(0,y.asJson)(ye);if(Ee){const De=Ee.results[0],Fe=De.extensions;Fe.forEach(Ne=>G(Ne.versions,re));const Ue=De.resultMetadata&&De.resultMetadata.filter(Ne=>Ne.metadataType==="ResultCount")[0];return Ie=Ue&&Ue.metadataItems.filter(Ne=>Ne.name==="TotalCount")[0].count||0,{galleryExtensions:Fe,total:Ie}}return{galleryExtensions:[],total:Ie}}catch(Ee){throw pe=Ee,Ee}finally{this.telemetryService.publicLog2("galleryService:query",{...x.telemetryData,requestBodySize:String(he.length),duration:new Date().getTime()-ge,success:!!ye&&(0,y.isSuccess)(ye),responseBodySize:ye?.res.headers["Content-Length"],statusCode:ye?String(ye.res.statusCode):void 0,errorCode:pe?(0,k.isPromiseCanceledError)(pe)?"canceled":(0,k.getErrorMessage)(pe).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(Ie)})}}async reportStatistic(x,re,se,ce){if(!this.isEnabled())return;const he=L.isWeb?this.api(`/itemName/${x}.${re}/version/${se}/statType/${ce==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${x}/extensions/${re}/${se}/stats?statType=${ce}`),Se=L.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",ye={...await this.commonHeadersPromise,Accept:Se};try{await this.requestService.request({type:"POST",url:he,headers:ye},n.CancellationToken.None)}catch{}}async download(x,re,se){this.logService.trace("ExtensionGalleryService#download",x.identifier.id);const ce=(0,p.getGalleryExtensionTelemetryData)(x),he=new Date().getTime(),Se=Ie=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...ce,duration:Ie}),ge=se===2?"install":se===3?"update":"",ye=ge?{uri:`${x.assets.download.uri}${E.URI.parse(x.assets.download.uri).query?"&":"?"}${ge}=true`,fallbackUri:`${x.assets.download.fallbackUri}${E.URI.parse(x.assets.download.fallbackUri).query?"&":"?"}${ge}=true`}:x.assets.download,pe=await this.getAsset(ye);await this.fileService.writeFile(re,pe.stream),Se(new Date().getTime()-he)}async getReadme(x,re){if(x.assets.readme){const se=await this.getAsset(x.assets.readme,{},re);return await(0,y.asText)(se)||""}return""}async getManifest(x,re){if(x.assets.manifest){const se=await this.getAsset(x.assets.manifest,{},re),ce=await(0,y.asText)(se);return ce?JSON.parse(ce):null}return null}async getManifestFromRawExtensionVersion(x,re){const se=M(x,o.Manifest);if(!se)throw new Error("Manifest was not found");const ce={"Accept-Encoding":"gzip"},he=await this.getAsset(se,{headers:ce});return await(0,y.asJson)(he)}async getCoreTranslation(x,re){const se=x.assets.coreTranslations.filter(ce=>ce[0]===re.toUpperCase())[0];if(se){const ce=await this.getAsset(se[1]),he=await(0,y.asText)(ce);return he?JSON.parse(he):null}return null}async getChangelog(x,re){if(x.assets.changelog){const se=await this.getAsset(x.assets.changelog,{},re);return await(0,y.asText)(se)||""}return""}async getAllCompatibleVersions(x,re,se){let ce=new I().withFlags(i.IncludeVersions,i.IncludeCategoryAndTags,i.IncludeFiles,i.IncludeVersionProperties).withPage(1,1);x.identifier.uuid?ce=ce.withFilter(s.ExtensionId,x.identifier.uuid):ce=ce.withFilter(s.ExtensionName,x.identifier.id);const{galleryExtensions:he}=await this.queryGallery(ce,se,n.CancellationToken.None);if(!he.length)return[];const Se=Q(he[0]);if((0,f.isNotWebExtensionInWebTargetPlatform)(Se,se))return[];const ge=[];for(const ye of he[0].versions)try{ge[ge.length-1]?.version!==ye.version&&await this.isRawExtensionVersionCompatible(ye,re,Se,se)&&ge.push({version:ye.version,date:ye.lastUpdated,isPreReleaseVersion:H(ye)})}catch{}return ge}async getAsset(x,re={},se=n.CancellationToken.None){const ce=await this.commonHeadersPromise,he={type:"GET"},Se={...ce,...re.headers||{}};re={...re,...he,headers:Se};const ge=x.uri,ye=x.fallbackUri,pe={...re,url:ge};try{const Ie=await this.requestService.request(pe,se);if(Ie.res.statusCode===200)return Ie;const Ee=await(0,y.asText)(Ie);throw new Error(`Expected 200, got back ${Ie.res.statusCode} instead.

${Ee}`)}catch(Ie){if((0,k.isPromiseCanceledError)(Ie))throw Ie;const Ee=(0,k.getErrorMessage)(Ie);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ge,message:Ee});const De={...re,url:ye};return this.requestService.request(De,se)}}async getEngine(x){let re=F(x);if(!re){const se=await this.getManifestFromRawExtensionVersion(x,n.CancellationToken.None);if(!se)throw new Error("Manifest was not found");re=se.engines.vscode}return re}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const x=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},n.CancellationToken.None);if(x.res.statusCode!==200)throw new Error("Could not get extensions report.");const re=await(0,y.asJson)(x),se=[],ce={};if(re){for(const he of re.malicious)se.push({id:he});if(re.unsupported)for(const he of Object.keys(re.unsupported)){const Se=re.unsupported[he];(0,C.isBoolean)(Se)||(ce[he.toLowerCase()]=Se.preReleaseExtension)}}return{malicious:se,unsupportedPreReleaseExtensions:ce}}};K=de([X(1,y.IRequestService),X(2,S.ILogService),X(3,b.IEnvironmentService),X(4,l.ITelemetryService),X(5,w.IFileService),X(6,h.IProductService),X(7,P.IConfigurationService)],K);let U=class extends K{constructor(x,re,se,ce,he,Se,ge,ye){super(x,re,se,ce,he,Se,ge,ye)}};U=de([X(0,v.IStorageService),X(1,y.IRequestService),X(2,S.ILogService),X(3,b.IEnvironmentService),X(4,l.ITelemetryService),X(5,w.IFileService),X(6,h.IProductService),X(7,P.IConfigurationService)],U),e.ExtensionGalleryService=U;let j=class extends K{constructor(x,re,se,ce,he,Se,ge){super(void 0,x,re,se,ce,he,Se,ge)}};j=de([X(0,y.IRequestService),X(1,S.ILogService),X(2,b.IEnvironmentService),X(3,l.ITelemetryService),X(4,w.IFileService),X(5,h.IProductService),X(6,P.IConfigurationService)],j),e.ExtensionGalleryServiceWithNoStorageService=j;async function V(q,x,re,se,ce,he){const Se={"X-Market-Client-Id":`VSCode ${q}`,"User-Agent":`VSCode ${q} (${x.nameShort})`},ge=await(0,g.getServiceMachineId)(re,ce,he);return(0,r.supportsTelemetry)(x,re)&&(0,r.getTelemetryLevel)(se)===3&&(Se["X-Market-User-Id"]=ge),Se}e.resolveMarketplaceHeaders=V}),define(ne[94],ie([0,1,2,13,8,44]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let L=class extends T.Disposable{constructor(C,E,P=""){super();this.prefix=P;const b=C.getLogger(E.telemetryLogResource);b?this.logger=this._register(b):(this.logger=this._register(C.createLogger(E.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("==========================================================="))}flush(){return Promise.resolve(void 0)}log(C,E){this.logger.trace(`${this.prefix}telemetry/${C}`,(0,_.validateTelemetryData)(E))}};L=de([X(0,k.ILoggerService),X(1,n.IEnvironmentService)],L),e.TelemetryLogAppender=L}),define(ne[95],ie([0,1,2,28,4,27,141,20,42,86,38,21,44]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let p=class{constructor(S,h){this._configurationService=h,this._experimentProperties={},this._disposables=new T.DisposableStore,this._cleanupPatterns=[],this._appenders=S.appenders,this._commonProperties=S.commonProperties||Promise.resolve({}),this._piiPaths=S.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!S.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let y of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,_.escapeRegExpCharacters)(y),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._telemetryLevel===3}),this._commonProperties.then(y=>{const g=/^[a-f0-9]+$/i.test(y["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!g})})}setExperimentProperty(S,h){this._experimentProperties[S]=h}_updateTelemetryLevel(){this._telemetryLevel=(0,f.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const S=await this._commonProperties;let h=S.sessionID,y=S["common.machineId"],g=S["common.firstSessionDate"],v=S["common.msftInternal"];return{sessionId:h,machineId:y,firstSessionDate:g,msftInternal:v}}dispose(){this._disposables.dispose()}_log(S,h,y,g){return this.telemetryLevel<h?Promise.resolve(void 0):this._commonProperties.then(v=>{y=(0,n.mixin)(y,v),y=(0,n.mixin)(y,this._experimentProperties),y=(0,n.cloneAndChange)(y,l=>{if(typeof l=="string")return this._cleanupInfo(l,g)}),this._appenders.forEach(l=>l.log(S,y))},v=>{console.error(v)})}publicLog(S,h,y){return this._log(S,3,h,y)}publicLog2(S,h,y){return this.publicLog(S,h,y)}publicLogError(S,h){return this.sendErrorTelemetry?this._log(S,2,h,!0):Promise.resolve(void 0)}publicLogError2(S,h){return this.publicLogError(S,h)}_anonymizeFilePaths(S){let h=S;const y=[];for(let r of this._cleanupPatterns)for(;;){const a=r.exec(S);if(!a)break;y.push([a.index,r.lastIndex])}const g=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,v=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let l=0;for(h="";;){const r=v.exec(S);if(!r)break;!g.test(r[0])&&y.every(([a,i])=>r.index<a||r.index>=i)&&(h+=S.substring(l,r.index)+"<REDACTED: user-file-path>",l=v.lastIndex)}return l<S.length&&(h+=S.substr(l)),h}_removePropertiesWithPossibleUserInfo(S){if(!S)return S;const h=S.toLowerCase(),y=/@[a-zA-Z0-9-.]+/;return/(key|token|sig|signature|password|passwd|pwd)[="':\s]/.test(h)?"<REDACTED: secret>":y.test(h)?"<REDACTED: email>":S}_cleanupInfo(S,h){let y=S;h&&(y=this._anonymizeFilePaths(y));for(let g of this._cleanupPatterns)y=y.replace(g,"");return y=this._removePropertiesWithPossibleUserInfo(y),y}};p.IDLE_START_EVENT_NAME="UserIdleStart",p.IDLE_STOP_EVENT_NAME="UserIdleStop",p=de([X(1,R.IConfigurationService)],p),e.TelemetryService=p;function d(){const w=(0,L.localize)(0,null,E.default.nameLong),S=E.default.privacyStatementUrl?(0,L.localize)(2,null,"https://aka.ms/vscode-telemetry",E.default.privacyStatementUrl):(0,L.localize)(1,null,"https://aka.ms/vscode-telemetry"),h=k.isWeb?"":(0,L.localize)(3,null),y=(0,L.localize)(4,null),g=(0,L.localize)(5,null),v=(0,L.localize)(6,null),l=(0,L.localize)(7,null),r=`
|       | ${y} | ${g} | ${v} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,a=(0,L.localize)(8,null);return`
${w} ${S} ${h}

&nbsp;

${l}
${r}

&nbsp;

${a}
`}P.Registry.as(C.Extensions.Configuration).registerConfiguration({id:b.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,L.localize)(9,null),properties:{[b.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,L.localize)(10,null),(0,L.localize)(11,null),(0,L.localize)(12,null),(0,L.localize)(13,null)],markdownDescription:d(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),P.Registry.as(C.Extensions.Configuration).registerConfiguration({id:b.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,L.localize)(14,null),properties:{[b.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:E.default.privacyStatementUrl?(0,L.localize)(16,null,E.default.nameLong,E.default.privacyStatementUrl):(0,L.localize)(15,null,E.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,L.localize)(17,null,`\`#${b.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(ne[208],ie([0,1,9,28,44]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function _(R,C){const E=await new Promise((b,f)=>{J(["applicationinsights"],b,f)});let P;return E.defaultClient?(P=new E.TelemetryClient(R),P.channel.setUseDiskRetryCaching(!0)):(E.setup(R).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),P=E.defaultClient),R.indexOf("AIF-")===0&&(P.config.endpointUrl=C?"https://mobile.events.data.microsoft.com/collect/v1":"https://vortex.data.microsoft.com/collect/v1"),P}class L{constructor(C,E,P,b,f){this._eventPrefix=C,this._defaultData=E,this.testCollector=b,this.mirrored=f,this._defaultData||(this._defaultData=Object.create(null)),typeof P=="function"?this._aiClient=P():this._aiClient=P,this._asyncAIClient=null}_withAIClient(C){if(!!this._aiClient){if(typeof this._aiClient!="string"){C(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=_(this._aiClient,this.testCollector??!1)),this._asyncAIClient.then(E=>{C(E)},E=>{(0,T.onUnexpectedError)(E),console.error(E)})}}log(C,E){!this._aiClient||(E=(0,n.mixin)(E,this._defaultData),E=(0,k.validateTelemetryData)(E),this.testCollector&&(E.properties["common.useragent"]=this.mirrored?"mirror-collector++":"collector++"),this._withAIClient(P=>P.trackEvent({name:this._eventPrefix+"/"+C,properties:E.properties,measurements:E.measurements})))}flush(){return this._aiClient?new Promise(C=>{this._withAIClient(E=>{E.flush({callback:()=>{this._aiClient=void 0,C(void 0)}})})}):Promise.resolve(void 0)}}e.AppInsightsAppender=L}),define(ne[209],ie([0,1,18,57,20,13,8,21,93,94,95]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let b=class{constructor(p,d,w,S){this.configurationService=p,this.telemetryService=d,this.loggerService=w,this.environmentService=S,this.customTelemetryServices=new Map}async getCustomTelemetryService(p){if(!this.customTelemetryServices.has(p.id)){const{machineId:d,sessionId:w}=await this.telemetryService.getTelemetryInfo(),S=Object.create(null);S["common.vscodemachineid"]=d,S["common.vscodesessionid"]=w;const h=[p.id,JSON.stringify(S),p.aiKey],g=new n.Client(T.FileAccess.asFileUri("bootstrap-fork",J).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:h,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),v=[new C.TelemetryAppenderClient(g),new E.TelemetryLogAppender(this.loggerService,this.environmentService,`[${p.id}] `)];this.customTelemetryServices.set(p.id,new P.TelemetryService({appenders:v,sendErrorTelemetry:p.sendErrorTelemetry},this.configurationService))}return this.customTelemetryServices.get(p.id)}async publicLog(p,d,w){await(await this.getCustomTelemetryService(p)).publicLog(d,w)}async publicLogError(p,d,w){await(await this.getCustomTelemetryService(p)).publicLogError(d,w)}};b=de([X(0,k.IConfigurationService),X(1,R.ITelemetryService),X(2,L.ILoggerService),X(3,_.IEnvironmentService)],b),e.CustomEndpointTelemetryService=b}),define(ne[210],ie([0,1,5,25,3,2,8]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestStore=void 0;let R=class extends _.Disposable{constructor(E,P){super();this._logService=P,this._lastRequestId=0,this._pendingRequests=new Map,this._pendingRequestDisposables=new Map,this._onCreateRequest=this._register(new k.Emitter),this.onCreateRequest=this._onCreateRequest.event,this._timeout=E===void 0?15e3:E}createRequest(E){return new Promise((P,b)=>{const f=++this._lastRequestId;this._pendingRequests.set(f,P),this._onCreateRequest.fire({requestId:f,...E});const p=new n.CancellationTokenSource;(0,T.timeout)(this._timeout,p.token).then(()=>b(`Request ${f} timed out (${this._timeout}ms)`)),this._pendingRequestDisposables.set(f,[(0,_.toDisposable)(()=>p.cancel())])})}acceptReply(E,P){const b=this._pendingRequests.get(E);b?(this._pendingRequests.delete(E),(0,_.dispose)(this._pendingRequestDisposables.get(E)||[]),this._pendingRequestDisposables.delete(E),b(P)):this._logService.warn(`RequestStore#acceptReply was called without receiving a matching request ${E}`)}};R=de([X(1,L.ILogService)],R),e.RequestStore=R}),define(ne[96],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalCapability=e.ProcessCapability=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.IPtyService=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.TerminalSettingId=e.TerminalSettingPrefix=void 0;var n;(function(h){h.Shell="terminal.integrated.shell.",h.ShellArgs="terminal.integrated.shellArgs.",h.DefaultProfile="terminal.integrated.defaultProfile.",h.Profiles="terminal.integrated.profiles."})(n=e.TerminalSettingPrefix||(e.TerminalSettingPrefix={}));var k;(function(h){h.ShellLinux="terminal.integrated.shell.linux",h.ShellMacOs="terminal.integrated.shell.osx",h.ShellWindows="terminal.integrated.shell.windows",h.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",h.AutomationShellLinux="terminal.integrated.automationShell.linux",h.AutomationShellMacOs="terminal.integrated.automationShell.osx",h.AutomationShellWindows="terminal.integrated.automationShell.windows",h.AutomationProfileLinux="terminal.integrated.automationProfile.linux",h.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",h.AutomationProfileWindows="terminal.integrated.automationProfile.windows",h.ShellArgsLinux="terminal.integrated.shellArgs.linux",h.ShellArgsMacOs="terminal.integrated.shellArgs.osx",h.ShellArgsWindows="terminal.integrated.shellArgs.windows",h.ProfilesWindows="terminal.integrated.profiles.windows",h.ProfilesMacOs="terminal.integrated.profiles.osx",h.ProfilesLinux="terminal.integrated.profiles.linux",h.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",h.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",h.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",h.UseWslProfiles="terminal.integrated.useWslProfiles",h.TabsEnabled="terminal.integrated.tabs.enabled",h.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",h.TabsHideCondition="terminal.integrated.tabs.hideCondition",h.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",h.TabsShowActions="terminal.integrated.tabs.showActions",h.TabsLocation="terminal.integrated.tabs.location",h.TabsFocusMode="terminal.integrated.tabs.focusMode",h.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",h.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",h.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",h.CopyOnSelection="terminal.integrated.copyOnSelection",h.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",h.FontFamily="terminal.integrated.fontFamily",h.FontSize="terminal.integrated.fontSize",h.LetterSpacing="terminal.integrated.letterSpacing",h.LineHeight="terminal.integrated.lineHeight",h.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",h.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",h.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",h.BellDuration="terminal.integrated.bellDuration",h.FontWeight="terminal.integrated.fontWeight",h.FontWeightBold="terminal.integrated.fontWeightBold",h.CursorBlinking="terminal.integrated.cursorBlinking",h.CursorStyle="terminal.integrated.cursorStyle",h.CursorWidth="terminal.integrated.cursorWidth",h.Scrollback="terminal.integrated.scrollback",h.DetectLocale="terminal.integrated.detectLocale",h.DefaultLocation="terminal.integrated.defaultLocation",h.GpuAcceleration="terminal.integrated.gpuAcceleration",h.TerminalTitleSeparator="terminal.integrated.tabs.separator",h.TerminalTitle="terminal.integrated.tabs.title",h.TerminalDescription="terminal.integrated.tabs.description",h.RightClickBehavior="terminal.integrated.rightClickBehavior",h.Cwd="terminal.integrated.cwd",h.ConfirmOnExit="terminal.integrated.confirmOnExit",h.ConfirmOnKill="terminal.integrated.confirmOnKill",h.EnableBell="terminal.integrated.enableBell",h.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",h.AllowChords="terminal.integrated.allowChords",h.AllowMnemonics="terminal.integrated.allowMnemonics",h.EnvMacOs="terminal.integrated.env.osx",h.EnvLinux="terminal.integrated.env.linux",h.EnvWindows="terminal.integrated.env.windows",h.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",h.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",h.ShowExitAlert="terminal.integrated.showExitAlert",h.SplitCwd="terminal.integrated.splitCwd",h.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",h.WordSeparators="terminal.integrated.wordSeparators",h.EnableFileLinks="terminal.integrated.enableFileLinks",h.UnicodeVersion="terminal.integrated.unicodeVersion",h.ExperimentalLinkProvider="terminal.integrated.experimentalLinkProvider",h.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",h.LocalEchoEnabled="terminal.integrated.localEchoEnabled",h.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",h.LocalEchoStyle="terminal.integrated.localEchoStyle",h.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",h.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",h.CustomGlyphs="terminal.integrated.customGlyphs",h.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",h.InheritEnv="terminal.integrated.inheritEnv",h.ShowLinkHover="terminal.integrated.showLinkHover",h.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",h.AutoReplies="terminal.integrated.autoReplies"})(k=e.TerminalSettingId||(e.TerminalSettingId={}));var _;(function(h){h.CommandPrompt="cmd",h.PowerShell="pwsh",h.Wsl="wsl",h.GitBash="gitbash"})(_=e.WindowsShellType||(e.WindowsShellType={}));var L;(function(h){h[h.Api=0]="Api",h[h.Process=1]="Process",h[h.Sequence=2]="Sequence",h[h.Config=3]="Config"})(L=e.TitleEventSource||(e.TitleEventSource={}));var R;(function(h){h.LocalPty="localPty",h.PtyHost="ptyHost",h.Log="log",h.Heartbeat="heartbeat"})(R=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.IPtyService=(0,T.createDecorator)("ptyService");var C;(function(h){h.Cwd="cwd",h.InitialCwd="initialCwd",h.FixedDimensions="fixedDimensions",h.Title="title",h.ShellType="shellType",h.HasChildProcesses="hasChildProcesses",h.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",h.OverrideDimensions="overrideDimensions"})(C=e.ProcessPropertyType||(e.ProcessPropertyType={}));var E;(function(h){h[h.BeatInterval=5e3]="BeatInterval",h[h.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",h[h.SecondWaitMultiplier=1]="SecondWaitMultiplier",h[h.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(E=e.HeartbeatConstants||(e.HeartbeatConstants={}));var P;(function(h){h[h.Panel=1]="Panel",h[h.Editor=2]="Editor"})(P=e.TerminalLocation||(e.TerminalLocation={}));var b;(function(h){h.TerminalView="view",h.Editor="editor"})(b=e.TerminalLocationString||(e.TerminalLocationString={}));var f;(function(h){h.CwdDetection="cwdDetection"})(f=e.ProcessCapability||(e.ProcessCapability={}));var p;(function(h){h[h.CwdDetection=0]="CwdDetection",h[h.NaiveCwdDetection=1]="NaiveCwdDetection",h[h.CommandDetection=2]="CommandDetection",h[h.PartialCommandDetection=3]="PartialCommandDetection"})(p=e.TerminalCapability||(e.TerminalCapability={}));var d;(function(h){h[h.GraceTime=6e4]="GraceTime",h[h.ShortGraceTime=6e3]="ShortGraceTime"})(d=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var w;(function(h){h[h.HighWatermarkChars=1e5]="HighWatermarkChars",h[h.LowWatermarkChars=5e3]="LowWatermarkChars",h[h.CharCountAckSize=5e3]="CharCountAckSize"})(w=e.FlowControlConstants||(e.FlowControlConstants={}));var S;(function(h){h.GitBash="Git Bash",h.Pwsh="PowerShell"})(S=e.ProfileSource||(e.ProfileSource={}))}),define(ne[211],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,T.createDecorator)("localPtyService")}),define(ne[212],ie([0,1,32,28,10,4,31,15,22]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function E(){const b=/(\d+)\.(\d+)\.(\d+)/g.exec(T.release());let f=0;return b&&b.length===4&&(f=parseInt(b[3])),f}e.getWindowsBuildNumber=E;async function P(b,f,p,d=L.env,w=C.Promises.exists){if(k.isAbsolute(b))return await w(b)?b:void 0;if(f===void 0&&(f=L.cwd()),k.dirname(b)!=="."){const g=k.join(f,b);return await w(g)?g:void 0}const h=(0,n.getCaseInsensitive)(d,"PATH");if(p===void 0&&(0,R.isString)(h)&&(p=h.split(k.delimiter)),p===void 0||p.length===0){const g=k.join(f,b);return await w(g)?g:void 0}for(let g of p){let v;if(k.isAbsolute(g)?v=k.join(g,b):v=k.join(f,g,b),await w(v))return v;if(_.isWindows){let l=v+".com";if(await w(l)||(l=v+".exe",await w(l)))return l}}const y=k.join(f,b);return await w(y)?y:void 0}e.findExecutable=P}),define(ne[213],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var T;(function(n){n.DARK="dark",n.LIGHT="light",n.HIGH_CONTRAST="hc"})(T=e.ColorScheme||(e.ColorScheme={}))}),define(ne[97],ie([0,1,48,3,2,6,38,213]),function(J,e,T,n,k,_,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,_.createDecorator)("themeService");var C;(function(S){function h(y){return y&&typeof y=="object"&&typeof y.id=="string"}S.isThemeColor=h})(C=e.ThemeColor||(e.ThemeColor={}));function E(S){return{id:S}}e.themeColorFromId=E;var P;(function(S){function h(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||C.isThemeColor(t.color))}S.isThemeIcon=h;const y=new RegExp(`^\\$\\((${T.CSSIcon.iconNameExpression}(?:${T.CSSIcon.iconModifierExpression})?)\\)$`);function g(t){const s=y.exec(t);if(!s)return;let[,o]=s;return{id:o}}S.fromString=g;function v(t){return{id:t}}S.fromId=v;function l(t,s){let o=t.id;const c=o.lastIndexOf("~");return c!==-1&&(o=o.substring(0,c)),s&&(o=`${o}~${s}`),{id:o}}S.modify=l;function r(t){const s=t.id.lastIndexOf("~");if(s!==-1)return t.id.substring(s+1)}S.getModifier=r;function a(t,s){return t.id===s.id&&t.color?.id===s.color?.id}S.isEqual=a;function i(t,s){return{id:t.id,color:s?E(s):void 0}}S.asThemeIcon=i,S.asClassNameArray=T.CSSIcon.asClassNameArray,S.asClassName=T.CSSIcon.asClassName,S.asCSSSelector=T.CSSIcon.asCSSSelector})(P=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=T.Codicon.file,e.FolderThemeIcon=T.Codicon.folder;function b(S){switch(S){case R.ColorScheme.DARK:return"vs-dark";case R.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=b,e.Extensions={ThemingContribution:"base.contributions.theming"};class f{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new n.Emitter}onColorThemeChange(h){return this.themingParticipants.push(h),this.onThemingParticipantAddedEmitter.fire(h),(0,k.toDisposable)(()=>{const y=this.themingParticipants.indexOf(h);this.themingParticipants.splice(y,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let p=new f;L.Registry.add(e.Extensions.ThemingContribution,p);function d(S){return p.onColorThemeChange(S)}e.registerThemingParticipant=d;class w extends k.Disposable{constructor(h){super();this.themeService=h,this.theme=h.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(y=>this.onThemeChange(y)))}onThemeChange(h){this.theme=h,this.updateStyles()}updateStyles(){}getColor(h,y){let g=this.theme.getColor(h);return g&&y&&(g=y(g,this.theme)),g?g.toString():null}}e.Themable=w}),define(ne[214],ie([0,1,48,7,97]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isUriComponents=e.terminalIconsEqual=e.terminalProfileArgsMatch=e.createProfileSchemaEnums=void 0;function _(b,f){const p=b.map(d=>({name:d.profileName,description:L(d)}));return f&&p.push(...f.map(d=>({name:d.title,description:R(d)}))),{values:p.map(d=>d.name),markdownDescriptions:p.map(d=>d.description)}}e.createProfileSchemaEnums=_;function L(b){let f=`$(${k.ThemeIcon.isThemeIcon(b.icon)?b.icon.id:b.icon?b.icon:T.Codicon.terminal.id}) ${b.profileName}
- path: ${b.path}`;return b.args&&(typeof b.args=="string"?f+=`
- args: "${b.args}"`:f+=`
- args: [${b.args.length===0?"":`'${b.args.join("','")}'`}]`),b.overrideName!==void 0&&(f+=`
- overrideName: ${b.overrideName}`),b.color&&(f+=`
- color: ${b.color}`),b.env&&(f+=`
- env: ${JSON.stringify(b.env)}`),f}function R(b){return`$(${k.ThemeIcon.isThemeIcon(b.icon)?b.icon.id:b.icon?b.icon:T.Codicon.terminal.id}) ${b.title}
- extensionIdenfifier: ${b.extensionIdentifier}`}function C(b,f){if(!b&&!f)return!0;if(typeof b=="string"&&typeof f=="string")return b===f;if(Array.isArray(b)&&Array.isArray(f)){if(b.length!==f.length)return!1;for(let p=0;p<b.length;p++)if(b[p]!==f[p])return!1;return!0}return!1}e.terminalProfileArgsMatch=C;function E(b,f){if(!b&&!f)return!0;if(!b||!f)return!1;if(k.ThemeIcon.isThemeIcon(b)&&k.ThemeIcon.isThemeIcon(f))return b.id===f.id&&b.color===f.color;if(typeof b=="object"&&b&&"light"in b&&"dark"in b&&typeof f=="object"&&f&&"light"in f&&"dark"in f){const p=b,d=f;if((n.URI.isUri(p.light)||P(p.light))&&(n.URI.isUri(p.dark)||P(p.dark))&&(n.URI.isUri(d.light)||P(d.light))&&(n.URI.isUri(d.dark)||P(d.dark)))return p.light.path===d.light.path&&p.dark.path===d.dark.path}if(n.URI.isUri(b)&&n.URI.isUri(f)||P(b)||P(f)){const p=b,d=f;return p.path===d.path&&p.scheme===d.scheme}return!1}e.terminalIconsEqual=E;function P(b){return b?typeof b.path=="string"&&typeof b.scheme=="string":!1}e.isUriComponents=P}),define(ne[215],ie([0,1,48,142,42,38,214]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerTerminalDefaultProfileConfiguration=e.registerTerminalPlatformConfiguration=void 0;const R={args:{description:(0,n.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,n.localize)(1,null),type:"boolean"},icon:{description:(0,n.localize)(2,null),type:"string",enum:Array.from(T.Codicon.getAll(),v=>v.id),markdownEnumDescriptions:Array.from(T.Codicon.getAll(),v=>`$(${v.id})`)},color:{description:(0,n.localize)(3,null),type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},env:{markdownDescription:(0,n.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},C={type:"object",required:["path"],properties:{path:{description:(0,n.localize)(5,null),type:["string","array"],items:{type:"string"}},...R}},E={type:"object",required:["path"],properties:{path:{description:(0,n.localize)(6,null),type:["string"],items:{type:"string"}},...R}},P=(0,n.localize)(7,null,"`#terminal.integrated.profiles.linux#`","`#terminal.integrated.defaultProfile.linux#`"),b=(0,n.localize)(8,null,"`#terminal.integrated.profiles.osx#`","`#terminal.integrated.defaultProfile.osx#`"),f=(0,n.localize)(9,null,"`#terminal.integrated.profiles.windows#`","`#terminal.integrated.defaultProfile.windows#`"),p=(0,n.localize)(10,null,"`#terminal.integrated.automationProfile.linux#`"),d=(0,n.localize)(11,null,"`#terminal.integrated.automationProfile.osx#`"),w=(0,n.localize)(12,null,"`#terminal.integrated.automationProfile.windows#`"),S={id:"terminal",order:100,title:(0,n.localize)(13,null),type:"object",properties:{["terminal.integrated.automationShell.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(14,null,"`terminal.integrated.shell.linux`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:p},["terminal.integrated.automationShell.osx"]:{restricted:!0,markdownDescription:(0,n.localize)(15,null,"`terminal.integrated.shell.osx`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:d},["terminal.integrated.automationShell.windows"]:{restricted:!0,markdownDescription:(0,n.localize)(16,null,"`terminal.integrated.shell.windows`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:w},["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(17,null,"#terminal.integrated.automationShell.linux#"),type:["object","null"],default:null,anyOf:[{type:"null"},E],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,description:(0,n.localize)(18,null,"#terminal.integrated.automationShell.osx#"),type:["object","null"],default:null,anyOf:[{type:"null"},E],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,description:(0,n.localize)(19,null,"#terminal.integrated.automationShell.windows#"),type:["object","null"],default:null,anyOf:[{type:"null"},E],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.shell.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(20,null),type:["string","null"],default:null,markdownDeprecationMessage:P},["terminal.integrated.shell.osx"]:{restricted:!0,markdownDescription:(0,n.localize)(21,null),type:["string","null"],default:null,markdownDeprecationMessage:b},["terminal.integrated.shell.windows"]:{restricted:!0,markdownDescription:(0,n.localize)(22,null),type:["string","null"],default:null,markdownDeprecationMessage:f},["terminal.integrated.shellArgs.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(23,null),type:"array",items:{type:"string"},default:[],markdownDeprecationMessage:P},["terminal.integrated.shellArgs.osx"]:{restricted:!0,markdownDescription:(0,n.localize)(24,null),type:"array",items:{type:"string"},default:["-l"],markdownDeprecationMessage:b},["terminal.integrated.shellArgs.windows"]:{restricted:!0,markdownDescription:(0,n.localize)(25,null),anyOf:[{type:"array",items:{type:"string",markdownDescription:(0,n.localize)(26,null)}},{type:"string",markdownDescription:(0,n.localize)(27,null)}],default:[],markdownDeprecationMessage:f},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:(0,n.localize)(28,null,"`source`","`path`","`args`","`null`",'`"Ubuntu-20.04 (WSL)": null`'),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,n.localize)(29,null),enum:["PowerShell","Git Bash"]},...R}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,n.localize)(30,null),type:"string"},id:{description:(0,n.localize)(31,null),type:"string"},title:{description:(0,n.localize)(32,null),type:"string"},...R}},{type:"null"},C]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:(0,n.localize)(33,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,n.localize)(34,null),type:"string"},id:{description:(0,n.localize)(35,null),type:"string"},title:{description:(0,n.localize)(36,null),type:"string"},...R}},{type:"null"},C]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(37,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,n.localize)(38,null),type:"string"},id:{description:(0,n.localize)(39,null),type:"string"},title:{description:(0,n.localize)(40,null),type:"string"},...R}},{type:"null"},C]}},["terminal.integrated.useWslProfiles"]:{description:(0,n.localize)(41,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,n.localize)(42,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,n.localize)(43,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,n.localize)(44,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,n.localize)(45,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function h(){_.Registry.as(k.Extensions.Configuration).registerConfiguration(S),g()}e.registerTerminalPlatformConfiguration=h;let y;function g(v,l){const r=_.Registry.as(k.Extensions.Configuration);let a;v&&(a=(0,L.createProfileSchemaEnums)(v?.profiles,l));const i=y;y={id:"terminal",order:100,title:(0,n.localize)(46,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,n.localize)(47,null,"`terminal.integrated.shell.linux`","`terminal.integrated.shellArgs.linux`"),type:["string","null"],default:null,enum:v?.os===3?a?.values:void 0,markdownEnumDescriptions:v?.os===3?a?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,n.localize)(48,null,"`terminal.integrated.shell.osx`","`terminal.integrated.shellArgs.osx`"),type:["string","null"],default:null,enum:v?.os===2?a?.values:void 0,markdownEnumDescriptions:v?.os===2?a?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,n.localize)(49,null,"`terminal.integrated.shell.windows`","`terminal.integrated.shellArgs.windows`"),type:["string","null"],default:null,enum:v?.os===1?a?.values:void 0,markdownEnumDescriptions:v?.os===1?a?.markdownDescriptions:void 0}}},r.updateConfigurations({add:[y],remove:i?[i]:[]})}e.registerTerminalDefaultProfileConfiguration=g}),define(ne[216],ie([0,1,45,48,10,4,22,71,212,97]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableProfiles=void 0;let P,b=!0;function f(a,i,t,s,o=process.env,c,u,m,I){return c=c||{existsFile:L.SymlinkSupport.existsFile,readFile:L.Promises.readFile},_.isWindows?p(t,c,o,u,s.getValue("terminal.integrated.useWslProfiles")!==!1,a&&typeof a=="object"?{...a}:s.getValue("terminal.integrated.profiles.windows"),typeof i=="string"?i:s.getValue("terminal.integrated.defaultProfile.windows"),I,m):v(c,u,t,a&&typeof a=="object"?{...a}:s.getValue(_.isLinux?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof i=="string"?i:s.getValue(_.isLinux?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),I,m,o)}e.detectAvailableProfiles=f;async function p(a,i,t,s,o,c,u,m,I){const A=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),O=`${process.env.windir}\\${A?"Sysnative":"System32"}`;let N=!1;(0,C.getWindowsBuildNumber)()>=16299&&(N=!0),await S(m);const $=new Map;a&&($.set("PowerShell",{source:"PowerShell",icon:n.Codicon.terminalPowershell,isAutoDetected:!0}),$.set("Windows PowerShell",{path:`${O}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:n.Codicon.terminalPowershell,isAutoDetected:!0}),$.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),$.set("Cygwin",{path:[`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`],args:["--login"],isAutoDetected:!0}),$.set("Command Prompt",{path:`${O}\\cmd.exe`,icon:n.Codicon.terminalCmd,isAutoDetected:!0})),l(c,$);const D=await d($.entries(),u,i,t,s,I);if(a||!a&&o)try{const M=await y(`${O}\\${N?"wsl":"bash"}.exe`,u);for(const W of M)(!c||!(W.profileName in c))&&D.push(W)}catch{b&&(s?.info("WSL is not installed, so could not detect WSL profiles"),b=!1)}return D}async function d(a,i,t,s=process.env,o,c){const u=[];for(const[m,I]of a){if(I===null)continue;let A,O,N;if("source"in I){const M=P?.get(I.source);if(!M)continue;A=M.paths,O=I.args||M.args,I.icon?N=w(I.icon):M.icon&&(N=M.icon)}else A=Array.isArray(I.path)?I.path:[I.path],O=_.isWindows||Array.isArray(I.args)?I.args:void 0,N=w(I.icon);const $=await c?.(A)||A.slice(),D=await r(m,i,$,t,s,O,I.env,I.overrideName,I.isAutoDetected,o);D?(D.isAutoDetected=I.isAutoDetected,D.icon=N,D.color=I.color,u.push(D)):o?.trace("profile not validated",m,A)}return u}function w(a){return typeof a=="string"?{id:a}:a}async function S(a){P&&!a||(P=new Map,P.set("Git Bash",{profileName:"Git Bash",paths:[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`,`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`,`${process.env.AllUsersProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`],args:["--login"]}),P.set("PowerShell",{profileName:"PowerShell",paths:a||await h(),icon:E.ThemeIcon.asThemeIcon(n.Codicon.terminalPowershell)}))}async function h(){const a=[];for await(const i of(0,R.enumeratePowerShellInstallations)())a.push(i.exePath);return a}async function y(a,i){const t=[],s=await new Promise((u,m)=>{T.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(I,A)=>{if(I)return m("Problem occurred when getting wsl distros");u(A)})});if(!s)return[];const o=new RegExp(/[\r?\n]/),c=s.split(o).filter(u=>u.trim().length>0&&u!=="");for(const u of c){if(u===""||u.startsWith("docker-desktop"))continue;const m=`${u} (WSL)`,I={profileName:m,path:a,args:["-d",`${u}`],isDefault:m===i,icon:g(u),isAutoDetected:!1};t.push(I)}return t}function g(a){return a.includes("Ubuntu")?E.ThemeIcon.asThemeIcon(n.Codicon.terminalUbuntu):a.includes("Debian")?E.ThemeIcon.asThemeIcon(n.Codicon.terminalDebian):E.ThemeIcon.asThemeIcon(n.Codicon.terminalLinux)}async function v(a,i,t,s,o,c,u,m){const I=new Map;if(t){const A=(await a.readFile("/etc/shells")).toString(),O=c||A.split(`
`).filter($=>$.trim().indexOf("#")!==0&&$.trim().length>0),N=new Map;for(const $ of O){let D=(0,k.basename)($),M=N.get(D)||0;M++,M>1&&(D=`${D} (${M})`),N.set(D,M),I.set(D,{path:$,isAutoDetected:!0})}}return l(s,I),await d(I.entries(),o,a,m,i,u)}function l(a,i){if(!!a)for(const[t,s]of Object.entries(a))s===null||!("path"in s)&&!("source"in s)?i.delete(t):(s.icon=s.icon||i.get(t)?.icon,i.set(t,s))}async function r(a,i,t,s,o,c,u,m,I,A){if(t.length===0)return Promise.resolve(void 0);const O=t.shift();if(O==="")return r(a,i,t,s,o,c,u,m,I);const N={profileName:a,path:O,args:c,env:u,overrideName:m,isAutoDetected:I,isDefault:a===i};if((0,k.basename)(O)===O){const D=o.PATH?o.PATH.split(k.delimiter):void 0,M=await(0,C.findExecutable)(O,void 0,D,void 0,s.existsFile);return M?(N.path=M,N.isFromPath=!0,N):r(a,i,t,s,o,c)}return await s.existsFile((0,k.normalize)(O))?N:r(a,i,t,s,o,c,u,m,I)}}),define(ne[217],ie([0,1,3,2,18,4,36,57,20,13,76,164,8,85,21,210,96,215,216]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var g;(function(r){r[r.MaxRestarts=5]="MaxRestarts"})(g||(g={}));let v=0,l=class extends n.Disposable{constructor(a,i,t,s,o){super();this._reconnectConstants=a,this._configurationService=i,this._environmentService=t,this._logService=s,this._telemetryService=o,this._restartCount=0,this._isResponsive=!0,this._isDisposed=!1,this._onPtyHostExit=this._register(new T.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new T.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new T.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new T.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onPtyHostRequestResolveVariables=this._register(new T.Emitter),this.onPtyHostRequestResolveVariables=this._onPtyHostRequestResolveVariables.event,this._onProcessData=this._register(new T.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessReady=this._register(new T.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new T.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessOrphanQuestion=this._register(new T.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._onDidRequestDetach=this._register(new T.Emitter),this.onDidRequestDetach=this._onDidRequestDetach.event,this._onDidChangeProperty=this._register(new T.Emitter),this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=this._register(new T.Emitter),this.onProcessExit=this._onProcessExit.event,(0,h.registerTerminalPlatformConfiguration)(),this._shellEnv=this._resolveShellEnv(),this._register((0,n.toDisposable)(()=>this._disposePtyHost())),this._resolveVariablesRequestStore=this._register(new w.RequestStore(void 0,this._logService)),this._resolveVariablesRequestStore.onCreateRequest(this._onPtyHostRequestResolveVariables.fire,this._onPtyHostRequestResolveVariables),[this._client,this._proxy]=this._startPtyHost(),this._register(this._configurationService.onDidChangeConfiguration(async c=>{c.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this._refreshIgnoreProcessNames()}))}async initialize(){await this._refreshIgnoreProcessNames()}get _ignoreProcessNames(){return this._configurationService.getValue("terminal.integrated.ignoreProcessNames")}async _refreshIgnoreProcessNames(){return this._proxy.refreshIgnoreProcessNames?.(this._ignoreProcessNames)}async _resolveShellEnv(){if(_.isWindows)return process.env;try{return await(0,b.getResolvedShellEnv)(this._logService,{_:[]},process.env)}catch(a){return this._logService.error("ptyHost was unable to resolve shell environment",a),{}}}_startPtyHost(){const a={serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:v,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this._reconnectConstants.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this._reconnectConstants.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this._reconnectConstants.scrollback}},i=(0,P.parsePtyHostPort)(this._environmentService.args,this._environmentService.isBuilt);i&&(i.break&&i.port?a.debugBrk=i.port:!i.break&&i.port&&(a.debug=i.port));const t=new R.Client(k.FileAccess.asFileUri("bootstrap-fork",J).fsPath,a);this._onPtyHostStart.fire(),L.ProxyChannel.toService(t.getChannel(S.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._handleHeartbeat(),this._register(t.onDidProcessExit(u=>{this._telemetryService.publicLog("ptyHost/exit"),this._onPtyHostExit.fire(u.code),this._isDisposed||(this._restartCount<=g.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${u.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${u.code}, giving up`))}));const o=t.getChannel(S.TerminalIpcChannels.Log);p.LogLevelChannelClient.setLevel(o,this._logService.getLevel()),this._register(this._logService.onDidChangeLogLevel(()=>{p.LogLevelChannelClient.setLevel(o,this._logService.getLevel())}));const c=L.ProxyChannel.toService(t.getChannel(S.TerminalIpcChannels.PtyHost));return this._register(c.onProcessData(u=>this._onProcessData.fire(u))),this._register(c.onProcessReady(u=>this._onProcessReady.fire(u))),this._register(c.onProcessExit(u=>this._onProcessExit.fire(u))),this._register(c.onDidChangeProperty(u=>this._onDidChangeProperty.fire(u))),this._register(c.onProcessReplay(u=>this._onProcessReplay.fire(u))),this._register(c.onProcessOrphanQuestion(u=>this._onProcessOrphanQuestion.fire(u))),this._register(c.onDidRequestDetach(u=>this._onDidRequestDetach.fire(u))),[t,c]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(a,i,t,s,o,c,u,m,I,A,O){const N=setTimeout(()=>this._handleUnresponsiveCreateProcess(),S.HeartbeatConstants.CreateProcessTimeout),$=await this._proxy.createProcess(a,i,t,s,o,c,u,m,I,A,O);return clearTimeout(N),v=Math.max(v,$),$}updateTitle(a,i,t){return this._proxy.updateTitle(a,i,t)}updateIcon(a,i,t){return this._proxy.updateIcon(a,i,t)}attachToProcess(a){return this._proxy.attachToProcess(a)}detachFromProcess(a){return this._proxy.detachFromProcess(a)}listProcesses(){return this._proxy.listProcesses()}reduceConnectionGraceTime(){return this._proxy.reduceConnectionGraceTime()}start(a){return this._proxy.start(a)}shutdown(a,i){return this._proxy.shutdown(a,i)}input(a,i){return this._proxy.input(a,i)}processBinary(a,i){return this._proxy.processBinary(a,i)}resize(a,i,t){return this._proxy.resize(a,i,t)}acknowledgeDataEvent(a,i){return this._proxy.acknowledgeDataEvent(a,i)}setUnicodeVersion(a,i){return this._proxy.setUnicodeVersion(a,i)}getInitialCwd(a){return this._proxy.getInitialCwd(a)}getCwd(a){return this._proxy.getCwd(a)}getLatency(a){return this._proxy.getLatency(a)}orphanQuestionReply(a){return this._proxy.orphanQuestionReply(a)}installAutoReply(a,i){return this._proxy.installAutoReply(a,i)}uninstallAllAutoReplies(){return this._proxy.uninstallAllAutoReplies()}uninstallAutoReply(a){return this._proxy.uninstallAutoReply(a)}getDefaultSystemShell(a){return this._proxy.getDefaultSystemShell(a)}async getProfiles(a,i,t,s=!1){const o=await this._shellEnv;return(0,y.detectAvailableProfiles)(i,t,s,this._configurationService,o,void 0,this._logService,this._resolveVariables.bind(this,a))}getEnvironment(){return this._proxy.getEnvironment()}getWslPath(a){return this._proxy.getWslPath(a)}setTerminalLayoutInfo(a){return this._proxy.setTerminalLayoutInfo(a)}async getTerminalLayoutInfo(a){return await this._proxy.getTerminalLayoutInfo(a)}async requestDetachInstance(a,i){return this._proxy.requestDetachInstance(a,i)}async acceptDetachInstanceReply(a,i){return this._proxy.acceptDetachInstanceReply(a,i)}async serializeTerminalState(a){return this._proxy.serializeTerminalState(a)}async reviveTerminalProcesses(a,i){return this._proxy.reviveTerminalProcesses(a,i)}async refreshProperty(a,i){return this._proxy.refreshProperty(a,i)}async updateProperty(a,i,t){return this._proxy.updateProperty(a,i,t)}async restartPtyHost(){this._telemetryService.publicLog("ptyHost/restart"),this._isResponsive=!0,this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll?.(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier),this._isResponsive||(this._telemetryService.publicLog("ptyHost/responsive"),this._isResponsive=!0),this._onPtyHostResponsive.fire()}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier+S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._isResponsive&&(this._telemetryService.publicLog("ptyHost/unresponsive"),this._isResponsive=!1),this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${S.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._telemetryService.publicLog("ptyHost/responsive"),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}_resolveVariables(a,i){return this._resolveVariablesRequestStore.createRequest({workspaceId:a,originalText:i})}async acceptPtyHostResolvedVariables(a,i){this._resolveVariablesRequestStore.acceptReply(a,i)}};l=de([X(1,C.IConfigurationService),X(2,E.IEnvironmentService),X(3,f.ILogService),X(4,d.ITelemetryService)],l),e.PtyHostService=l}),define(ne[34],ie([0,1,6]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,T.createDecorator)("IUriIdentityService")}),define(ne[218],ie([0,1,3,2,7,13,33,14,8,34]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let P=class extends n.Disposable{constructor(f,p,d,w,S){super();this.extensionsManagementService=f,this.logService=w,this.uriIdentityService=S,this._onDidChangeExtensionsByAnotherSource=this._register(new T.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(y=>{this.installedExtensions=y.map(g=>g.identifier),this.startTimestamp=Date.now()}),this._register(f.onInstallExtension(y=>this.onInstallExtension(y))),this._register(f.onDidInstallExtensions(y=>this.onDidInstallExtensions(y))),this._register(f.onDidUninstallExtension(y=>this.onDidUninstallExtension(y)));const h=k.URI.file(d.extensionsPath);this._register(p.watch(h)),this._register(T.Event.filter(p.onDidFilesChange,y=>y.rawChanges.some(g=>this.doesChangeAffects(g,h)))(()=>this.onDidChange()))}doesChangeAffects(f,p){return this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(f.resource),p)?this.uriIdentityService.extUri.isEqual(f.resource,this.uriIdentityService.extUri.joinPath(p,".obsolete"))?!0:!(f.type!==1&&f.type!==2||this.uriIdentityService.extUri.basename(f.resource).startsWith(".")):!1}onInstallExtension(f){this.addInstallingExtension(f.identifier)}onDidInstallExtensions(f){for(const p of f)this.removeInstallingExtension(p.identifier),p.local&&this.addInstalledExtension(p.identifier)}onDidUninstallExtension(f){f.error||this.removeInstalledExtension(f.identifier)}addInstallingExtension(f){this.removeInstallingExtension(f),this.installingExtensions.push(f)}removeInstallingExtension(f){this.installingExtensions=this.installingExtensions.filter(p=>!(0,L.areSameExtensions)(p,f))}addInstalledExtension(f){this.installedExtensions&&(this.removeInstalledExtension(f),this.installedExtensions.push(f))}removeInstalledExtension(f){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(p=>!(0,L.areSameExtensions)(p,f)))}async onDidChange(){if(this.installedExtensions){const f=await this.extensionsManagementService.getInstalled(1),p=f.filter(w=>[...this.installingExtensions,...this.installedExtensions].some(S=>(0,L.areSameExtensions)(S,w.identifier))?!1:w.installedTimestamp&&w.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",w.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",w.identifier.id),!1)),d=this.installedExtensions.filter(w=>this.installingExtensions.some(S=>(0,L.areSameExtensions)(S,w))?!1:f.every(S=>!(0,L.areSameExtensions)(S.identifier,w))?(this.logService.info("Detected extension removed from another source",w.id),!0):!1);this.installedExtensions=f.map(w=>w.identifier),(p.length||d.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:p,removed:d})}}};P=de([X(1,R.IFileService),X(2,_.INativeEnvironmentService),X(3,C.ILogService),X(4,E.IUriIdentityService)],P),e.ExtensionsWatcher=P}),define(ne[219],ie([0,1,34,78,14,19,104,3,2]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class E{constructor(f){this.uri=f,this.time=E._clock++}touch(){return this.time=E._clock++,this}}E._clock=0;let P=class{constructor(f){this._fileService=f,this._dispooables=new C.DisposableStore,this._limit=2**16;const p=new Map,d=w=>{let S=p.get(w.scheme);return S===void 0&&(S=f.hasProvider(w)&&!this._fileService.hasCapability(w,1024),p.set(w.scheme,S)),S};this._dispooables.add(R.Event.any(f.onDidChangeFileSystemProviderRegistrations,f.onDidChangeFileSystemProviderCapabilities)(w=>{p.delete(w.scheme)})),this.extUri=new _.ExtUri(d),this._canonicalUris=new L.SkipList((w,S)=>this.extUri.compare(w,S,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(f){this._fileService.hasProvider(f)&&(f=(0,_.normalizePath)(f));let p=this._canonicalUris.get(f);return p?p.touch().uri.with({fragment:f.fragment}):(this._canonicalUris.set(f,new E(f)),this._checkTrim(),f)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const f=[...this._canonicalUris.entries()].sort((d,w)=>d[1].touch<w[1].touch?1:d[1].touch>w[1].touch?-1:0);E._clock=0,this._canonicalUris.clear();const p=this._limit*.5;for(let d=0;d<p;d++)this._canonicalUris.set(f[d][0],f[d][1].touch())}};P=de([X(0,k.IFileService)],P),e.UriIdentityService=P,(0,n.registerSingleton)(T.IUriIdentityService,P,!0)}),define(ne[220],ie([0,1,3,2,40,39,17]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileUserDataProvider=void 0;class R extends n.Disposable{constructor(E,P,b,f,p){super();this.fileSystemScheme=E,this.fileSystemProvider=P,this.userDataScheme=b,this.logService=p,this.onDidChangeCapabilities=this.fileSystemProvider.onDidChangeCapabilities,this._onDidChangeFile=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.watchResources=_.TernarySearchTree.forUris(()=>!(this.capabilities&1024)),this._register(f.onDidFilesChange(d=>this.handleFileChanges(d)))}get capabilities(){return this.fileSystemProvider.capabilities&~4}watch(E,P){this.watchResources.set(E,E);const b=this.fileSystemProvider.watch(this.toFileSystemResource(E),P);return(0,n.toDisposable)(()=>{this.watchResources.delete(E),b.dispose()})}stat(E){return this.fileSystemProvider.stat(this.toFileSystemResource(E))}mkdir(E){return this.fileSystemProvider.mkdir(this.toFileSystemResource(E))}rename(E,P,b){return this.fileSystemProvider.rename(this.toFileSystemResource(E),this.toFileSystemResource(P),b)}readFile(E){return this.fileSystemProvider.readFile(this.toFileSystemResource(E),{atomic:!0})}readFileStream(E,P,b){const f=(0,k.newWriteableStream)(p=>L.VSBuffer.concat(p.map(d=>L.VSBuffer.wrap(d))).buffer);return(async()=>{try{const p=await this.readFile(E);f.end(p)}catch(p){f.error(p),f.end()}})(),f}readdir(E){return this.fileSystemProvider.readdir(this.toFileSystemResource(E))}writeFile(E,P,b){return this.fileSystemProvider.writeFile(this.toFileSystemResource(E),P,b)}delete(E,P){return this.fileSystemProvider.delete(this.toFileSystemResource(E),P)}handleFileChanges(E){const P=[];for(const b of E.rawChanges){if(b.resource.scheme!==this.fileSystemScheme)continue;const f=this.toUserDataResource(b.resource);this.watchResources.findSubstr(f)&&P.push({resource:f,type:b.type})}P.length&&(this.logService.debug("User data changed"),this._onDidChangeFile.fire(P))}toFileSystemResource(E){return E.with({scheme:this.fileSystemScheme})}toUserDataResource(E){return E.with({scheme:this.userDataScheme})}}e.FileUserDataProvider=R}),define(ne[52],ie([0,1,68]),function(J,e,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function n(L,R,C,E){const P=(0,T.setProperty)(L,R,C,E)[0];return P&&(L=L.substring(0,P.offset)+P.content+L.substring(P.offset+P.length)),L}e.edit=n;function k(L,R,C){let E=C;for(;E>=0;){if(L.charAt(E)===R.charAt(R.length-1)&&R.length===1)return E+1;if(E--,R.length===2&&E>=0&&L.charAt(E)===R.charAt(0))return E+2}return 0}e.getLineStartOffset=k;function _(L,R,C){let E=C;for(;E>=0;)if(L.charAt(E)===R.charAt(R.length-1)&&R.length===1||(E++,R.length===2&&E>=0&&L.charAt(E)===R.charAt(1)))return E;return L.length-1}e.getLineEndOffset=_}),define(ne[221],ie([0,1,28,61,15]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function _(f,p,d,w,S){const h=[],y=[],g=[];if(!p){const O=f.filter(({identifier:N})=>S.every($=>$.toLowerCase()!==N.id.toLowerCase()));return{local:{added:h,removed:y,updated:g},remote:O.length>0?{added:O,updated:[],removed:[],all:O}:null}}f=f.map(P),p=p.map(P),d=d?d.map(P):null;const v=new Map,l=O=>{O.uuid&&v.set(O.id.toLowerCase(),O.uuid)};f.forEach(({identifier:O})=>l(O)),p.forEach(({identifier:O})=>l(O)),d&&d.forEach(({identifier:O})=>l(O));const r=O=>{const N=O.identifier.uuid||v.get(O.identifier.id.toLowerCase());return N?`uuid:${N}`:`id:${O.identifier.id.toLowerCase()}`},a=(O,N)=>(O.set(r(N),N),O),i=f.reduce(a,new Map),t=p.reduce(a,new Map),s=p.reduce((O,N)=>{const $=r(N);N=(0,T.deepClone)(N);const D=i.get($);return D&&(D.installed&&(N.installed=!0),N.version||(N.version=D.version)),a(O,N)},new Map),o=d?d.reduce(a,new Map):null,c=w.reduce(a,new Map),u=S.reduce((O,N)=>{const $=v.get(N.toLowerCase());return O.add($?`uuid:${$}`:`id:${N.toLowerCase()}`)},new Set),m=L(i,t,u);if(m.added.size>0||m.removed.size>0||m.updated.size>0){const O=L(o,i,u),N=L(o,t,u),$=(D,M)=>{const W=i.get(D);if(W){const F=t.get(D),H=M?F:W;return{...H,version:(F.version&&n.gt(F.version,W.version),W.version),state:R(W,F,o?.get(D)),preRelease:(0,k.isUndefined)(H.preRelease)?W.preRelease:H.preRelease}}};for(const D of N.removed.values()){const M=i.get(D);M&&y.push(M.identifier)}for(const D of N.added.values())if(O.added.has(D)){if(m.updated.has(D)){const M=$(D,!0);M&&(g.push(b(M,D)),s.set(D,M))}}else{const M=t.get(D);M.installed&&h.push(b(M,D))}for(const D of N.updated.values()){const M=$(D,!0);M&&(g.push(b(M,D)),s.set(D,M))}for(const D of O.added.values())N.added.has(D)||s.set(D,i.get(D));for(const D of O.updated.values())if(!N.removed.has(D)&&!N.updated.has(D)){const M=$(D,!1);M&&(s.get(D)?.installed&&(M.installed=!0),s.set(D,M))}for(const D of O.removed.values())!c.has(D)&&!N.updated.has(D)&&o?.get(D)?.installed&&s.delete(D)}const I=[],A=L(t,s,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(A.added.size>0||A.updated.size>0||A.removed.size>0)&&s.forEach((O,N)=>I.push(b(O,N))),{local:{added:h,removed:y,updated:g},remote:I.length?{added:[...A.added].map(O=>s.get(O)),updated:[...A.updated].map(O=>s.get(O)),removed:[...A.removed].map(O=>t.get(O)),all:I}:null}}e.merge=_;function L(f,p,d,{checkInstalledProperty:w,checkVersionProperty:S}={checkInstalledProperty:!1,checkVersionProperty:!1}){const h=f?[...f.keys()].filter(r=>!d.has(r)):[],y=[...p.keys()].filter(r=>!d.has(r)),g=y.filter(r=>h.indexOf(r)===-1).reduce((r,a)=>(r.add(a),r),new Set),v=h.filter(r=>y.indexOf(r)===-1).reduce((r,a)=>(r.add(a),r),new Set),l=new Set;for(const r of h){if(v.has(r))continue;const a=f.get(r),i=p.get(r);(!i||a.disabled!==i.disabled||a.preRelease!==i.preRelease||!E(a.state,i.state)||S&&a.version!==i.version||w&&a.installed!==i.installed)&&l.add(r)}return{added:g,removed:v,updated:l}}function R(f,p,d){const w=f.state,S=p.state,h=d?.state;if(!p.version||w&&n.gt(f.version,p.version))return w;if(S&&n.gt(p.version,f.version)||!w)return S;if(!S)return w;const y=(0,T.deepClone)(w),g=h?C(h,S):{added:Object.keys(S).reduce((l,r)=>(l.add(r),l),new Set),removed:new Set,updated:new Set},v=h?C(h,w):{added:Object.keys(w).reduce((l,r)=>(l.add(r),l),new Set),removed:new Set,updated:new Set};for(const l of[...g.added.values(),...g.updated.values()])y[l]=S[l];for(const l of g.removed.values())v.updated.has(l)||delete y[l];return y}function C(f,p){const d=Object.keys(f),w=Object.keys(p),S=w.filter(g=>d.indexOf(g)===-1).reduce((g,v)=>(g.add(v),g),new Set),h=d.filter(g=>w.indexOf(g)===-1).reduce((g,v)=>(g.add(v),g),new Set),y=new Set;for(const g of d){if(h.has(g))continue;const v=f[g],l=p[g];(0,T.equals)(v,l)||y.add(g)}return{added:S,removed:h,updated:y}}function E(f={},p={}){const{added:d,removed:w,updated:S}=C(f,p);return d.size===0&&w.size===0&&S.size===0}function P(f){return{...f,disabled:!!f.disabled,installed:!!f.installed}}function b(f,p){const d={identifier:{id:f.identifier.id,uuid:p.startsWith("uuid:")?p.substring("uuid:".length):void 0},preRelease:!!f.preRelease};return f.version&&(d.version=f.version),f.disabled&&(d.disabled=!0),f.installed&&(d.installed=!0),f.state&&(d.state=f.state),d}}),define(ne[98],ie([0,1,16,20,6]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,k.createDecorator)("IIgnoredExtensionsManagementService");let _=class{constructor(R){this.configurationService=R}hasToNeverSyncExtension(R){return this.getConfiguredIgnoredExtensions().includes(R.toLowerCase())}hasToAlwaysSyncExtension(R){return this.getConfiguredIgnoredExtensions().includes(`-${R.toLowerCase()}`)}updateIgnoredExtensions(R,C){let E=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return E=E.filter(P=>P!==R&&P!==`-${R}`),C&&E.push(R.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",E.length?E:void 0,1)}updateSynchronizedExtensions(R,C){let E=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return E=E.filter(P=>P!==R&&P!==`-${R}`),C&&E.push(`-${R.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",E.length?E:void 0,1)}getIgnoredExtensions(R){const C=R.filter(f=>f.isMachineScoped).map(f=>f.identifier.id.toLowerCase()),E=this.getConfiguredIgnoredExtensions().map(f=>f.toLowerCase()),P=[],b=[];if(Array.isArray(E))for(const f of E)f.startsWith("-")?b.push(f.substring(1)):P.push(f);return(0,T.distinct)([...C,...P].filter(f=>b.indexOf(f)===-1))}getConfiguredIgnoredExtensions(){let R=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return R!==void 0||(R=this.configurationService.inspect("sync.ignoredExtensions").userValue,R!==void 0)?R:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(C=>C.toLowerCase())}};_=de([X(0,n.IConfigurationService)],_),e.IgnoredExtensionsManagementService=_}),define(ne[222],ie([0,1,16,35,28,159,52]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function R(v){return(0,n.parse)(v)||[]}e.parseKeybindings=R;async function C(v,l,r,a,i){const t=R(v),s=R(l),o=r?R(r):null,c=[...t,...s,...o||[]].map(F=>F.key),u=await i.resolveUserBindings(c);let m=P(t,s,o,u);if(!m.hasLocalForwarded&&!m.hasRemoteForwarded)return{mergeContent:v,hasChanges:!1,hasConflicts:!1};if(!m.hasLocalForwarded&&m.hasRemoteForwarded)return{mergeContent:l,hasChanges:!0,hasConflicts:!1};if(m.hasLocalForwarded&&!m.hasRemoteForwarded)return{mergeContent:v,hasChanges:!0,hasConflicts:!1};const I=f(t),A=f(s),O=o?f(o):null,N=d(I,A,u),$=O?d(O,I,u):{added:[...I.keys()].reduce((F,H)=>(F.add(H),F),new Set),removed:new Set,updated:new Set},D=O?d(O,A,u):{added:[...A.keys()].reduce((F,H)=>(F.add(H),F),new Set),removed:new Set,updated:new Set},M=E(N,$,D);let W=v;for(const F of M.removed.values())M.conflicts.has(F)||(W=y(W,F,a));for(const F of M.added.values()){if(M.conflicts.has(F))continue;const H=A.get(F);if(H.some(Y=>Y.command!==`-${F}`&&m.conflicts.has(u[Y.key]))){M.conflicts.add(F);continue}W=h(W,H,a)}for(const F of M.updated.values()){if(M.conflicts.has(F))continue;const H=A.get(F);if(H.some(Y=>Y.command!==`-${F}`&&m.conflicts.has(u[Y.key]))){M.conflicts.add(F);continue}W=g(W,F,H,a)}return{mergeContent:W,hasChanges:!0,hasConflicts:M.conflicts.size>0}}e.merge=C;function E(v,l,r){const a=new Set,i=new Set,t=new Set,s=new Set;for(const o of l.removed.values())r.updated.has(o)&&s.add(o);for(const o of r.removed.values())s.has(o)||(l.updated.has(o)?s.add(o):i.add(o));for(const o of l.added.values())s.has(o)||r.added.has(o)&&v.updated.has(o)&&s.add(o);for(const o of r.added.values())s.has(o)||(l.added.has(o)?v.updated.has(o)&&s.add(o):a.add(o));for(const o of l.updated.values())s.has(o)||r.updated.has(o)&&v.updated.has(o)&&s.add(o);for(const o of r.updated.values())s.has(o)||(l.updated.has(o)?v.updated.has(o)&&s.add(o):t.add(o));return{added:a,removed:i,updated:t,conflicts:s}}function P(v,l,r,a){const i=new Set,t=b(v,a),s=b(l,a),o=r?b(r,a):null,c=p(t,s);if(c.added.size===0&&c.removed.size===0&&c.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const u=o?p(o,t):{added:[...t.keys()].reduce(($,D)=>($.add(D),$),new Set),removed:new Set,updated:new Set};if(u.added.size===0&&u.removed.size===0&&u.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:i,removed:i,updated:i,conflicts:i};const m=o?p(o,s):{added:[...s.keys()].reduce(($,D)=>($.add(D),$),new Set),removed:new Set,updated:new Set};if(m.added.size===0&&m.removed.size===0&&m.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const{added:I,removed:A,updated:O,conflicts:N}=E(c,u,m);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:I,removed:A,updated:O,conflicts:N}}function b(v,l){const r=new Map;for(const a of v){const i=l[a.key];let t=r.get(i);t||(t=[],r.set(i,t)),t.push(a)}return r}function f(v){const l=new Map;for(const r of v){const a=r.command[0]==="-"?r.command.substring(1):r.command;let i=l.get(a);i||(i=[],l.set(a,i)),i.push(r)}return l}function p(v,l){const r=[...v.keys()],a=[...l.keys()],i=a.filter(o=>r.indexOf(o)===-1).reduce((o,c)=>(o.add(c),o),new Set),t=r.filter(o=>a.indexOf(o)===-1).reduce((o,c)=>(o.add(c),o),new Set),s=new Set;for(const o of r){if(t.has(o))continue;const c=v.get(o).map(m=>({...m,key:o})),u=l.get(o).map(m=>({...m,key:o}));(0,T.equals)(c,u,(m,I)=>S(m,I))||s.add(o)}return{added:i,removed:t,updated:s}}function d(v,l,r){const a=[...v.keys()],i=[...l.keys()],t=i.filter(c=>a.indexOf(c)===-1).reduce((c,u)=>(c.add(u),c),new Set),s=a.filter(c=>i.indexOf(c)===-1).reduce((c,u)=>(c.add(u),c),new Set),o=new Set;for(const c of a){if(s.has(c))continue;const u=v.get(c).map(I=>({...I,key:r[I.key]})),m=l.get(c).map(I=>({...I,key:r[I.key]}));w(u,m)||o.add(c)}return{added:t,removed:s,updated:o}}function w(v,l){return!(!(0,T.equals)(v.filter(({command:r})=>r[0]!=="-"),l.filter(({command:r})=>r[0]!=="-"),(r,a)=>S(r,a))||!(0,T.equals)(v.filter(({command:r})=>r[0]==="-"),l.filter(({command:r})=>r[0]==="-"),(r,a)=>S(r,a)))}function S(v,l){if(v.command!==l.command||v.key!==l.key)return!1;const r=_.ContextKeyExpr.deserialize(v.when),a=_.ContextKeyExpr.deserialize(l.when);return!(r&&!a||!r&&a||r&&a&&!r.equals(a)||!k.equals(v.args,l.args))}function h(v,l,r){for(const a of l)v=L.edit(v,[-1],a,r);return v}function y(v,l,r){const a=R(v);for(let i=a.length-1;i>=0;i--)(a[i].command===l||a[i].command===`-${l}`)&&(v=L.edit(v,[i],void 0,r));return v}function g(v,l,r,a){const i=R(v),t=i.findIndex(s=>s.command===l||s.command===`-${l}`);for(let s=i.length-1;s>=0;s--)(i[s].command===l||i[s].command===`-${l}`)&&(v=L.edit(v,[s],void 0,a));for(let s=r.length-1;s>=0;s--)v=L.edit(v,[t],r[s],a);return v}}),define(ne[223],ie([0,1]),function(J,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function T(_,L,R){const C={},E={},P=new Set;if(!L)return{local:{added:C,updated:E,removed:[...P.values()]},remote:{added:_,updated:{},removed:[]},conflicts:[]};const b=n(_,L);if(b.added.size===0&&b.removed.size===0&&b.updated.size===0)return{local:{added:C,updated:E,removed:[...P.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const f=n(R,_),p=n(R,L),d={},w={},S=new Set,h=new Set;for(const y of f.removed.values())p.updated.has(y)?C[y]=L[y]:S.add(y);for(const y of p.removed.values())h.has(y)||(f.updated.has(y)?h.add(y):P.add(y));for(const y of f.updated.values())h.has(y)||(p.updated.has(y)?b.updated.has(y)&&h.add(y):w[y]=_[y]);for(const y of p.updated.values())h.has(y)||(f.updated.has(y)?b.updated.has(y)&&h.add(y):_[y]!==void 0&&(E[y]=L[y]));for(const y of f.added.values())h.has(y)||(p.added.has(y)?b.updated.has(y)&&h.add(y):d[y]=_[y]);for(const y of p.added.values())h.has(y)||(f.added.has(y)?b.updated.has(y)&&h.add(y):C[y]=L[y]);return{local:{added:C,removed:[...P.values()],updated:E},remote:{added:d,removed:[...S.values()],updated:w},conflicts:[...h.values()]}}e.merge=T;function n(_,L){const R=_?Object.keys(_):[],C=L?Object.keys(L):[],E=C.filter(f=>R.indexOf(f)===-1).reduce((f,p)=>(f.add(p),f),new Set),P=R.filter(f=>C.indexOf(f)===-1).reduce((f,p)=>(f.add(p),f),new Set),b=new Set;for(const f of R){if(P.has(f))continue;const p=_[f],d=L[f];p!==d&&b.add(f)}return{added:E,removed:P,updated:b}}function k(_,L){const{added:R,removed:C,updated:E}=n(_,L);return R.size===0&&C.size===0&&E.size===0}e.areSame=k}),define(ne[24],ie([0,1,16,19,15,147,42,30,6,87,38]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataSyncService=e.IUserDataSyncEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.getLastSyncResourceUri=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.USER_DATA_SYNC_CONFIGURATION_SCOPE=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function b(){const o=P.Registry.as(L.Extensions.Configuration).getConfigurationProperties();return Object.keys(o).filter(c=>!!o[c].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=b;function f(){const o=P.Registry.as(L.Extensions.Configuration).getConfigurationProperties(),c=Object.keys(o).filter(I=>!!o[I].ignoreSync),u=Object.keys(o).filter(I=>o[I].scope===2||o[I].scope===6),m=b();return(0,T.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...c,...u,...m])}e.getDefaultIgnoredSettings=f,e.USER_DATA_SYNC_CONFIGURATION_SCOPE="settingsSync";function p(){const o="vscode://schemas/ignoredSettings",c=P.Registry.as(L.Extensions.Configuration);c.registerConfiguration({id:"settingsSync",order:30,title:(0,_.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,_.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,_.localize)(2,null),items:[{type:"string",pattern:R.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,_.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,_.localize)(4,null),default:[],scope:1,$ref:o,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const u=P.Registry.as(E.Extensions.JSONContribution),m=()=>{const I=b(),A=f().filter(D=>D!==e.CONFIGURATION_SYNC_STORE_KEY),O=Object.keys(L.allSettings.properties).filter(D=>A.indexOf(D)===-1),N=A.filter(D=>I.indexOf(D)===-1),$={items:{type:"string",enum:[...O,...N.map(D=>`-${D}`)]}};u.registerSchema(o,$)};return c.onDidUpdateConfiguration(()=>m())}e.registerConfiguration=p;function d(o){return o&&(0,k.isObject)(o)&&(0,k.isString)(o.id)&&(0,k.isArray)(o.scopes)}e.isAuthenticationProvider=d;var w;(function(o){o.Settings="settings",o.Keybindings="keybindings",o.Snippets="snippets",o.Extensions="extensions",o.GlobalState="globalState"})(w=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","extensions","globalState"];function S(o,c,u){return u.joinPath(c.userDataSyncHome,o,`lastSync${o}.json`)}e.getLastSyncResourceUri=S,e.IUserDataSyncStoreManagementService=(0,C.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,C.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,C.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function h(o){const c={};return c[e.HEADER_EXECUTION_ID]=o,c}e.createSyncHeaders=h;var y;(function(o){o.Unauthorized="Unauthorized",o.Conflict="Conflict",o.Gone="Gone",o.PreconditionFailed="PreconditionFailed",o.TooLarge="TooLarge",o.UpgradeRequired="UpgradeRequired",o.PreconditionRequired="PreconditionRequired",o.TooManyRequests="RemoteTooManyRequests",o.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",o.RequestFailed="RequestFailed",o.RequestCanceled="RequestCanceled",o.RequestTimeout="RequestTimeout",o.RequestProtocolNotSupported="RequestProtocolNotSupported",o.RequestPathNotEscaped="RequestPathNotEscaped",o.RequestHeadersNotObject="RequestHeadersNotObject",o.NoRef="NoRef",o.EmptyResponse="EmptyResponse",o.TurnedOff="TurnedOff",o.SessionExpired="SessionExpired",o.ServiceChanged="ServiceChanged",o.DefaultServiceChanged="DefaultServiceChanged",o.LocalTooManyRequests="LocalTooManyRequests",o.LocalPreconditionFailed="LocalPreconditionFailed",o.LocalInvalidContent="LocalInvalidContent",o.LocalError="LocalError",o.IncompatibleLocalContent="IncompatibleLocalContent",o.IncompatibleRemoteContent="IncompatibleRemoteContent",o.UnresolvedConflicts="UnresolvedConflicts",o.Unknown="Unknown"})(y=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class g extends Error{constructor(c,u,m,I){super(c);this.code=u,this.resource=m,this.operationId=I,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=g;class v extends g{constructor(c,u,m,I,A){super(c,m,void 0,A);this.url=u,this.serverCode=I}}e.UserDataSyncStoreError=v;class l extends g{constructor(c,u){super(c,u)}}e.UserDataAutoSyncError=l,function(o){function c(u){if(u instanceof o)return u;const m=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(u.name);if(m&&m[1]){const I=m[2]==="unknown"?void 0:m[2],A=m[3]==="unknown"?void 0:m[3];return new o(u.message,m[1],I,A)}return new o(u.message,"Unknown")}o.toUserDataSyncError=c}(g=e.UserDataSyncError||(e.UserDataSyncError={}));var r;(function(o){o.Uninitialized="uninitialized",o.Idle="idle",o.Syncing="syncing",o.HasConflicts="hasConflicts"})(r=e.SyncStatus||(e.SyncStatus={}));var a;(function(o){o[o.None=0]="None",o[o.Added=1]="Added",o[o.Modified=2]="Modified",o[o.Deleted=3]="Deleted"})(a=e.Change||(e.Change={}));var i;(function(o){o.Preview="preview",o.Conflict="conflict",o.Accepted="accepted"})(i=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function t(o){return`sync.enable.${o}`}e.getEnablementKey=t,e.IUserDataSyncEnablementService=(0,C.createDecorator)("IUserDataSyncEnablementService"),e.IUserDataSyncService=(0,C.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncService=(0,C.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,C.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,C.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function s(o,c){if(o.scheme!==e.USER_DATA_SYNC_SCHEME)return o=o.with({scheme:c.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(u=>(0,n.isEqualOrParent)(o,(0,n.joinPath)(c.userDataSyncHome,u,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=s}),define(ne[47],ie([0,1,16,5,17,25,3,35,2,27,15,7,143,20,13,14,8,46,23,21,34,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function r(o){return!!(o&&o.version!==void 0&&typeof o.version=="number"&&o.content!==void 0&&typeof o.content=="string"&&(Object.keys(o).length===2||Object.keys(o).length===3&&o.machineId!==void 0&&typeof o.machineId=="string"))}e.isSyncData=r;let a=class extends C.Disposable{constructor(c,u,m,I,A,O,N,$,D,M,W){super();this.resource=c,this.fileService=u,this.environmentService=m,this.userDataSyncStoreService=A,this.userDataSyncBackupStoreService=O,this.userDataSyncEnablementService=N,this.telemetryService=$,this.logService=D,this.configurationService=M,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new L.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new L.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerThrottler=new n.ThrottledDelayer(50),this._onDidChangeLocal=this._register(new L.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.hasSyncResourceStateVersionChanged=!1,this.syncHeaders={},this.syncResourceLogLabel=(0,E.uppercaseFirstLetter)(this.resource),this.extUri=W.extUri,this.syncFolder=this.extUri.joinPath(m.userDataSyncHome,c),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,l.PREVIEW_DIR_NAME),this.lastSyncResource=(0,l.getLastSyncResourceUri)(c,m,this.extUri),this.currentMachineIdPromise=(0,h.getServiceMachineId)(m,u,I)}get status(){return this._status}get conflicts(){return this._conflicts}triggerLocalChange(){this.localChangeTriggerThrottler.trigger(()=>this.doTriggerLocalChange())}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const c=await this.syncPreviewPromise;this.syncPreviewPromise=null;const u=await this.performSync(c.remoteUserData,c.lastSyncUserData,!0,this.getUserDataSyncConfiguration());this.setStatus(u)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const c=await this.getLastSyncUserData();(c?await this.hasRemoteChanged(c):!0)&&this._onDidChangeLocal.fire()}}setStatus(c){if(this._status!==c){const u=this._status;c==="hasConflicts"&&this.telemetryService.publicLog2("sync/conflictsDetected",{source:this.resource}),u==="hasConflicts"&&c==="idle"&&this.telemetryService.publicLog2("sync/conflictsResolved",{source:this.resource}),this._status=c,this._onDidChangStatus.fire(c)}}async sync(c,u={}){await this._sync(c,!0,this.getUserDataSyncConfiguration(),u)}async preview(c,u,m={}){return this._sync(c,!1,u,m)}async apply(c,u={}){try{this.syncHeaders={...u};const m=await this.doApply(c);return this.setStatus(m),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(c,u,m,I){try{if(this.syncHeaders={...I},this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let A="idle";try{const O=await this.getLastSyncUserData(),N=await this.getLatestRemoteUserData(c,O);return A=await this.performSync(N,O,u,m),A==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):A==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(A)}}finally{this.syncHeaders={}}}async replace(c){const u=await this.resolveContent(c);if(!u)return!1;const m=this.parseSyncData(u);if(!m)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const I=await this.getLastSyncUserData(),A=await this.getLatestRemoteUserData(null,I),O=await this.isRemoteDataFromCurrentMachine(A),N=await this.generateSyncPreview({ref:A.ref,syncData:m},I,O,this.getUserDataSyncConfiguration(),_.CancellationToken.None),$=[];for(const D of N){const M=await this.getAcceptResult(D,D.remoteResource,void 0,_.CancellationToken.None),{remoteChange:W}=await this.getAcceptResult(D,D.previewResource,D.remoteContent,_.CancellationToken.None);$.push([D,{...M,remoteChange:W!==0?W:2}])}await this.applyResult(A,I,$,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async isRemoteDataFromCurrentMachine(c){const u=await this.currentMachineIdPromise;return!!c.syncData?.machineId&&c.syncData.machineId===u}async getLatestRemoteUserData(c,u){if(u){const m=c&&c.latest?c.latest[this.resource]:void 0;if(u.ref===m||m===void 0&&u.syncData===null)return u}return this.getRemoteUserData(u)}async performSync(c,u,m,I){if(c.syncData&&c.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new l.UserDataSyncError((0,f.localize)(0,null,this.resource,this.version,c.syncData.version),"IncompatibleLocalContent",this.resource);try{return await this.doSync(c,u,m,I)}catch(A){if(A instanceof l.UserDataSyncError)switch(A.code){case"LocalPreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(c,u,m,I);case"Conflict":case"PreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),c=await this.getRemoteUserData(null),u=await this.getLastSyncUserData(),this.performSync(c,u,m,I)}throw A}}async doSync(c,u,m,I){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,n.createCancelablePromise)(O=>this.doGenerateSyncResourcePreview(c,u,m,I,O)));const A=await this.syncPreviewPromise;return this.updateConflicts(A.resourcePreviews),A.resourcePreviews.some(({mergeState:O})=>O==="conflict")?"hasConflicts":m?await this.doApply(!1):"syncing"}catch(A){throw this.syncPreviewPromise=null,A}}async merge(c){return await this.updateSyncResourcePreview(c,async u=>{const m=await this.getMergeResult(u,_.CancellationToken.None);await this.fileService.writeFile(u.previewResource,k.VSBuffer.fromString(m?.content||""));const I=m&&!m.hasConflicts?await this.getAcceptResult(u,u.previewResource,void 0,_.CancellationToken.None):void 0;return u.acceptResult=I,u.mergeState=m.hasConflicts?"conflict":I?"accepted":"preview",u.localChange=I?I.localChange:m.localChange,u.remoteChange=I?I.remoteChange:m.remoteChange,u}),this.syncPreviewPromise}async accept(c,u){return await this.updateSyncResourcePreview(c,async m=>{const I=await this.getAcceptResult(m,c,u,_.CancellationToken.None);return m.acceptResult=I,m.mergeState="accepted",m.localChange=I.localChange,m.remoteChange=I.remoteChange,m}),this.syncPreviewPromise}async discard(c){return await this.updateSyncResourcePreview(c,async u=>{const m=await this.getMergeResult(u,_.CancellationToken.None);return await this.fileService.writeFile(u.previewResource,k.VSBuffer.fromString(m.content||"")),u.acceptResult=void 0,u.mergeState="preview",u.localChange=m.localChange,u.remoteChange=m.remoteChange,u}),this.syncPreviewPromise}async updateSyncResourcePreview(c,u){if(!this.syncPreviewPromise)return;let m=await this.syncPreviewPromise;const I=m.resourcePreviews.findIndex(({localResource:A,remoteResource:O,previewResource:N})=>this.extUri.isEqual(A,c)||this.extUri.isEqual(O,c)||this.extUri.isEqual(N,c));I!==-1&&(this.syncPreviewPromise=(0,n.createCancelablePromise)(async A=>{const O=[...m.resourcePreviews];return O[I]=await u(O[I]),{...m,resourcePreviews:O}}),m=await this.syncPreviewPromise,this.updateConflicts(m.resourcePreviews),m.resourcePreviews.some(({mergeState:A})=>A==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}async doApply(c){if(!this.syncPreviewPromise)return"idle";const u=await this.syncPreviewPromise;return u.resourcePreviews.some(({mergeState:m})=>m==="conflict")?"hasConflicts":u.resourcePreviews.some(({mergeState:m})=>m!=="accepted")?"syncing":(await this.applyResult(u.remoteUserData,u.lastSyncUserData,u.resourcePreviews.map(m=>[m,m.acceptResult]),c),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch{}}updateConflicts(c){const u=c.filter(({mergeState:m})=>m==="conflict");(0,T.equals)(this._conflicts,u,(m,I)=>this.extUri.isEqual(m.previewResource,I.previewResource))||(this._conflicts=u,this._onDidChangeConflicts.fire(u))}async hasPreviouslySynced(){return!!await this.getLastSyncUserData()}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:u,ref:m})=>({created:u,uri:this.toRemoteBackupResource(m)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:u,ref:m})=>({created:u,uri:this.toLocalBackupResource(m)}))}toRemoteBackupResource(c){return b.URI.from({scheme:l.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${c}`})}toLocalBackupResource(c){return b.URI.from({scheme:l.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${c}`})}async getMachineId({uri:c}){const u=this.extUri.basename(c);if(this.extUri.isEqual(c,this.toRemoteBackupResource(u))){const{content:m}=await this.getUserData(u);if(m)return this.parseSyncData(m)?.machineId}}async resolveContent(c){const u=this.extUri.basename(c);if(this.extUri.isEqual(c,this.toRemoteBackupResource(u))){const{content:m}=await this.getUserData(u);return m}return this.extUri.isEqual(c,this.toLocalBackupResource(u))?this.userDataSyncBackupStoreService.resolveContent(this.resource,u):null}async resolvePreviewContent(c){const u=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(u)for(const m of u.resourcePreviews){if(this.extUri.isEqual(m.acceptedResource,c))return m.acceptResult?m.acceptResult.content:null;if(this.extUri.isEqual(m.remoteResource,c))return m.remoteContent;if(this.extUri.isEqual(m.localResource,c))return m.localContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch{}}async doGenerateSyncResourcePreview(c,u,m,I,A){const O=await this.isRemoteDataFromCurrentMachine(c),N=await this.generateSyncPreview(c,u,O,I,A),$=[];for(const D of N){const M=D.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(D.localChange===0&&D.remoteChange===0)$.push({...D,acceptedResource:M,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"});else{const W=m?await this.getMergeResult(D,A):void 0;if(A.isCancellationRequested)break;await this.fileService.writeFile(D.previewResource,k.VSBuffer.fromString(W?.content||""));const F=W&&!W.hasConflicts?await this.getAcceptResult(D,D.previewResource,void 0,A):void 0;$.push({...D,acceptResult:F,mergeState:W?.hasConflicts?"conflict":F?"accepted":"preview",localChange:F?F.localChange:W?W.localChange:D.localChange,remoteChange:F?F.remoteChange:W?W.remoteChange:D.remoteChange})}}return{remoteUserData:c,lastSyncUserData:u,resourcePreviews:$,isLastSyncFromCurrentMachine:O}}async getLastSyncUserData(){try{const c=await this.fileService.readFile(this.lastSyncResource),u=JSON.parse(c.value.toString()),m=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource);if(this.hasSyncResourceStateVersionChanged=u.version&&m&&u.version!==m,this.hasSyncResourceStateVersionChanged)return this.logService.info(`${this.syncResourceLogLabel}: Reset last sync state because last sync state version ${u.version} is not compatible with current sync state version ${m}.`),await this.resetLocal(),null;const I=u;if(I.content===null)return{ref:u.ref,syncData:null};const A=JSON.parse(I.content);if(r(A))return{...u,syncData:A,content:void 0}}catch(c){c instanceof w.FileOperationError&&c.fileOperationResult===1||this.logService.error(c)}return null}async updateLastSyncUserData(c,u={}){if(u.ref||u.content||u.version)throw new Error("Cannot have core properties as additional");const m=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource),I={ref:c.ref,content:c.syncData?JSON.stringify(c.syncData):null,version:m,...u};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(I)))}async getRemoteUserData(c){const{ref:u,content:m}=await this.getUserData(c);let I=null;return m!==null&&(I=this.parseSyncData(m)),{ref:u,syncData:I}}parseSyncData(c){try{const u=JSON.parse(c);if(r(u))return u}catch(u){this.logService.error(u)}throw new l.UserDataSyncError((0,f.localize)(1,null),"IncompatibleRemoteContent",this.resource)}async getUserData(c){if((0,P.isString)(c)){const u=await this.userDataSyncStoreService.resolveContent(this.resource,c);return{ref:c,content:u}}else{const u=c?{ref:c.ref,content:c.syncData?JSON.stringify(c.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,u,this.syncHeaders)}}async updateRemoteUserData(c,u){const m=await this.currentMachineIdPromise,I={version:this.version,machineId:m,content:c};return u=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(I),u,this.syncHeaders),{ref:u,syncData:I}}async backupLocal(c){const u={version:this.version,content:c};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(u))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}getUserDataSyncConfiguration(){return this.configurationService.getValue(l.USER_DATA_SYNC_CONFIGURATION_SCOPE)}};a=de([X(1,w.IFileService),X(2,d.IEnvironmentService),X(3,y.IStorageService),X(4,l.IUserDataSyncStoreService),X(5,l.IUserDataSyncBackupStoreService),X(6,l.IUserDataSyncEnablementService),X(7,g.ITelemetryService),X(8,l.IUserDataSyncLogService),X(9,p.IConfigurationService),X(10,v.IUriIdentityService)],a),e.AbstractSynchroniser=a;let i=class extends a{constructor(c,u,m,I,A,O,N,$,D,M,W,F){super(u,m,I,A,O,N,$,D,M,W,F);this.file=c,this._register(this.fileService.watch(this.extUri.dirname(c))),this._register(this.fileService.onDidFilesChange(H=>this.onFileChanges(H)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch{return null}}async updateLocalFileContent(c,u,m){try{u?await this.fileService.writeFile(this.file,k.VSBuffer.fromString(c),m?void 0:u):await this.fileService.createFile(this.file,k.VSBuffer.fromString(c),{overwrite:m})}catch(I){throw I instanceof w.FileOperationError&&I.fileOperationResult===1||I instanceof w.FileOperationError&&I.fileOperationResult===3?new l.UserDataSyncError(I.message,"LocalPreconditionFailed"):I}}onFileChanges(c){!c.contains(this.file)||this.triggerLocalChange()}};i=de([X(2,w.IFileService),X(3,d.IEnvironmentService),X(4,y.IStorageService),X(5,l.IUserDataSyncStoreService),X(6,l.IUserDataSyncBackupStoreService),X(7,l.IUserDataSyncEnablementService),X(8,g.ITelemetryService),X(9,l.IUserDataSyncLogService),X(10,p.IConfigurationService),X(11,v.IUriIdentityService)],i),e.AbstractFileSynchroniser=i;let t=class extends i{constructor(c,u,m,I,A,O,N,$,D,M,W,F,H){super(c,u,m,I,A,O,N,$,D,M,F,H);this.userDataSyncUtilService=W,this._formattingOptions=void 0}hasErrors(c){const u=[];return(0,R.parse)(c,u,{allowEmptyContent:!0,allowTrailingComma:!0}),u.length>0}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};t=de([X(2,w.IFileService),X(3,d.IEnvironmentService),X(4,y.IStorageService),X(5,l.IUserDataSyncStoreService),X(6,l.IUserDataSyncBackupStoreService),X(7,l.IUserDataSyncEnablementService),X(8,g.ITelemetryService),X(9,l.IUserDataSyncLogService),X(10,l.IUserDataSyncUtilService),X(11,p.IConfigurationService),X(12,v.IUriIdentityService)],t),e.AbstractJsonFileSynchroniser=t;let s=class{constructor(c,u,m,I,A){this.resource=c,this.environmentService=u,this.logService=m,this.fileService=I,this.extUri=A.extUri,this.lastSyncResource=(0,l.getLastSyncResourceUri)(this.resource,u,this.extUri)}async initialize({ref:c,content:u}){if(!u){this.logService.info("Remote content does not exist.",this.resource);return}const m=this.parseSyncData(u);if(!!m)try{await this.doInitialize({ref:c,syncData:m})}catch(I){this.logService.error(I)}}parseSyncData(c){try{const u=JSON.parse(c);if(r(u))return u}catch(u){this.logService.error(u)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(c,u={}){const m={ref:c.ref,content:c.syncData?JSON.stringify(c.syncData):null,...u};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(m)))}};s=de([X(1,d.IEnvironmentService),X(2,S.ILogService),X(3,w.IFileService),X(4,v.IUriIdentityService)],s),e.AbstractInitializer=s}),define(ne[224],ie([0,1,5,25,9,3,49,27,7,20,13,30,33,92,14,8,23,21,34,47,221,98,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function a(s,o){const c=JSON.parse(s.content);if(s.version===1||s.version===2){const u=(await o.getInstalled(0)).filter(m=>m.isBuiltin);for(const m of c)s.version===1&&(m.enabled===!1&&(m.disabled=!0),delete m.enabled),s.version===2&&u.every(I=>!(0,f.areSameExtensions)(I.identifier,m.identifier))&&(m.installed=!0)}return c}let i=class mt extends g.AbstractSynchroniser{constructor(o,c,u,m,I,A,O,N,$,D,M,W,F,H,Y){super("extensions",c,o,u,m,I,W,F,$,M,Y);this.extensionManagementService=A,this.extensionEnablementService=O,this.ignoredExtensionsManagementService=N,this.extensionGalleryService=D,this.extensionStorageService=H,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.localResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:r.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(_.Event.debounce(_.Event.any(_.Event.filter(this.extensionManagementService.onDidInstallExtensions,B=>B.some(({local:z})=>!!z)),_.Event.filter(this.extensionManagementService.onDidUninstallExtension,B=>!B.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionStorageService.onDidChangeExtensionStorageToSync),()=>{},500)(()=>this.triggerLocalChange()))}async generateSyncPreview(o,c){const u=o.syncData?await a(o.syncData,this.extensionManagementService):null,m=c?.skippedExtensions||[],I=c?.syncData?await a(c.syncData,this.extensionManagementService):null,A=await this.extensionManagementService.getInstalled(void 0,!0),O=this.getLocalExtensions(A),N=this.ignoredExtensionsManagementService.getIgnoredExtensions(A);u?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{local:$,remote:D}=(0,v.merge)(O,u,I,m,N),M={local:$,remote:D,content:this.getPreviewContent(O,$.added,$.updated,$.removed),localChange:$.added.length>0||$.removed.length>0||$.updated.length>0?2:0,remoteChange:D!==null?2:0};return[{skippedExtensions:m,localResource:this.localResource,localContent:this.stringify(O,!1),localExtensions:O,remoteResource:this.remoteResource,remoteContent:u?this.stringify(u,!1):null,previewResource:this.previewResource,previewResult:M,localChange:M.localChange,remoteChange:M.remoteChange,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(o){const c=o.syncData?await a(o.syncData,this.extensionManagementService):null,u=await this.extensionManagementService.getInstalled(void 0,!0),m=this.getLocalExtensions(u),I=this.ignoredExtensionsManagementService.getIgnoredExtensions(u),{remote:A}=(0,v.merge)(m,c,c,o.skippedExtensions||[],I);return A!==null}getPreviewContent(o,c,u,m){const I=[...c,...u],A=new Set,O=N=>{A.add(N.id.toLowerCase()),N.uuid&&A.add(N.uuid)};I.forEach(({identifier:N})=>O(N)),m.forEach(O);for(const N of o)A.has(N.identifier.id.toLowerCase())||N.identifier.uuid&&A.has(N.identifier.uuid)||I.push(N);return this.stringify(I,!1)}async getMergeResult(o,c){return{...o.previewResult,hasConflicts:!1}}async getAcceptResult(o,c,u,m){if(this.extUri.isEqual(c,this.localResource))return this.acceptLocal(o);if(this.extUri.isEqual(c,this.remoteResource))return this.acceptRemote(o);if(this.extUri.isEqual(c,this.previewResource))return o.previewResult;throw new Error(`Invalid Resource: ${c.toString()}`)}async acceptLocal(o){const c=await this.extensionManagementService.getInstalled(),u=this.ignoredExtensionsManagementService.getIgnoredExtensions(c),m=(0,v.merge)(o.localExtensions,null,null,o.skippedExtensions,u),{local:I,remote:A}=m;return{content:o.localContent,local:I,remote:A,localChange:I.added.length>0||I.removed.length>0||I.updated.length>0?2:0,remoteChange:A!==null?2:0}}async acceptRemote(o){const c=await this.extensionManagementService.getInstalled(),u=this.ignoredExtensionsManagementService.getIgnoredExtensions(c),m=o.remoteContent?JSON.parse(o.remoteContent):null;if(m!==null){const I=(0,v.merge)(o.localExtensions,m,o.localExtensions,[],u),{local:A,remote:O}=I;return{content:o.remoteContent,local:A,remote:O,localChange:A.added.length>0||A.removed.length>0||A.updated.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:o.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async applyResult(o,c,u,m){let{skippedExtensions:I,localExtensions:A}=u[0][0],{local:O,remote:N,localChange:$,remoteChange:D}=u[0][1];if($===0&&D===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),$!==0&&(await this.backupLocal(JSON.stringify(A)),I=await this.updateLocalExtensions(O.added,O.removed,O.updated,I)),N){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const M=JSON.stringify(N.all);o=await this.updateRemoteUserData(M,m?null:o.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions.${N.added.length?` Added: ${JSON.stringify(N.added.map(W=>W.identifier.id))}.`:""}${N.updated.length?` Updated: ${JSON.stringify(N.updated.map(W=>W.identifier.id))}.`:""}${N.removed.length?` Removed: ${JSON.stringify(N.removed.map(W=>W.identifier.id))}.`:""}`)}c?.ref!==o.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(o,{skippedExtensions:I}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions.${I.length?` Skipped: ${JSON.stringify(I.map(M=>M.identifier.id))}.`:""}`))}async getAssociatedResources({uri:o}){return[{resource:this.extUri.joinPath(o,"extensions.json"),comparableResource:mt.EXTENSIONS_DATA_URI}]}async resolveContent(o){if(this.extUri.isEqual(o,mt.EXTENSIONS_DATA_URI)){const u=await this.extensionManagementService.getInstalled(),m=this.ignoredExtensionsManagementService.getIgnoredExtensions(u),I=this.getLocalExtensions(u).filter(A=>!m.some(O=>(0,f.areSameExtensions)({id:O},A.identifier)));return this.stringify(I,!0)}if(this.extUri.isEqual(this.remoteResource,o)||this.extUri.isEqual(this.localResource,o)||this.extUri.isEqual(this.acceptedResource,o)){const u=await this.resolvePreviewContent(o);return u&&this.stringify(JSON.parse(u),!0)}let c=await super.resolveContent(o);if(c)return c;if(c=await super.resolveContent(this.extUri.dirname(o)),c){const u=this.parseSyncData(c);if(u)switch(this.extUri.basename(o)){case"extensions.json":return this.stringify(this.parseExtensions(u),!0)}}return null}stringify(o,c){return o.sort((u,m)=>!u.identifier.uuid&&m.identifier.uuid?-1:u.identifier.uuid&&!m.identifier.uuid?1:(0,R.compare)(u.identifier.id,m.identifier.id)),c?(0,L.toFormattedString)(o,{}):JSON.stringify(o)}async hasLocalData(){try{const o=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(o).some(u=>u.installed||u.disabled))return!0}catch{}return!1}async updateLocalExtensions(o,c,u,m){const I=[],A=[],O=await this.extensionManagementService.getInstalled();if(c.length){const $=O.filter(({identifier:D,isBuiltin:M})=>!M&&c.some(W=>(0,f.areSameExtensions)(D,W)));await T.Promises.settled($.map(async D=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,D.identifier.id),await this.extensionManagementService.uninstall(D,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,D.identifier.id),I.push(D.identifier)}))}(o.length||u.length)&&await T.Promises.settled([...o,...u].map(async $=>{const D=O.find(W=>(0,f.areSameExtensions)(W.identifier,$.identifier));if(D&&D.isBuiltin){$.state&&D.manifest.version===$.version&&this.updateExtensionState($.state,D,D.manifest.version),this.extensionEnablementService.getDisabledExtensions().some(F=>(0,f.areSameExtensions)(F,$.identifier))!==!!$.disabled&&($.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,$.identifier.id),await this.extensionEnablementService.disableExtension($.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,$.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,$.identifier.id),await this.extensionEnablementService.enableExtension($.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,$.identifier.id))),I.push($.identifier);return}const M=(await this.extensionGalleryService.getExtensions([$.identifier],!!$.preRelease,n.CancellationToken.None))[0];if($.state&&(D?D.manifest.version===$.version:!!M)&&this.updateExtensionState($.state,D||M,D?.manifest.version),M)try{this.extensionEnablementService.getDisabledExtensions().some(F=>(0,f.areSameExtensions)(F,$.identifier))!==!!$.disabled&&($.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,$.identifier.id,M.version),await this.extensionEnablementService.disableExtension(M.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,$.identifier.id,M.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,$.identifier.id,M.version),await this.extensionEnablementService.enableExtension(M.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,$.identifier.id,M.version))),(!D||D.preRelease!==$.preRelease)&&(await this.extensionManagementService.canInstall(M)?(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,$.identifier.id,M.version),await this.extensionManagementService.installFromGallery(M,{isMachineScoped:!1,donotIncludePackAndDependencies:!0,installPreReleaseVersion:$.preRelease}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,$.identifier.id,M.version),I.push(M.identifier)):(this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because it cannot be installed.`,M.displayName||M.identifier.id),A.push($)))}catch(W){A.push($),W instanceof b.ExtensionManagementError&&[b.ExtensionManagementErrorCode.Incompatible,b.ExtensionManagementErrorCode.IncompatiblePreRelease,b.ExtensionManagementErrorCode.IncompatibleTargetPlatform].includes(W.code)?this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the compatible extension is not found.`,M.displayName||M.identifier.id):(this.logService.error(W),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,M.displayName||M.identifier.id))}else A.push($),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the extension is not found.`,$.identifier.id)}));const N=[];for(const $ of m)I.some(D=>(0,f.areSameExtensions)(D,$.identifier))||N.push($);for(const $ of A)N.some(D=>(0,f.areSameExtensions)(D.identifier,$.identifier))||N.push($);return N}updateExtensionState(o,c,u){const m=this.extensionStorageService.getExtensionState(c,!0)||{},I=u?this.extensionStorageService.getKeysForSync({id:c.identifier.id,version:u}):void 0;I?I.forEach(A=>{m[A]=o[A]}):Object.keys(o).forEach(A=>m[A]=o[A]),this.extensionStorageService.setExtensionState(c,m,!0)}parseExtensions(o){return JSON.parse(o.content)}getLocalExtensions(o){const c=this.extensionEnablementService.getDisabledExtensions();return o.map(u=>{const{identifier:m,isBuiltin:I,manifest:A,preRelease:O}=u,N={identifier:m,preRelease:O,version:A.version};c.some($=>(0,f.areSameExtensions)($,m))&&(N.disabled=!0),I||(N.installed=!0);try{const $=this.extensionStorageService.getKeysForSync({id:m.id,version:A.version});if($){const D=this.extensionStorageService.getExtensionState(u,!0)||{};N.state=Object.keys(D).reduce((M,W)=>($.includes(W)&&(M[W]=D[W]),M),{})}}catch($){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,k.getErrorMessage)($))}return N})}};i.EXTENSIONS_DATA_URI=C.URI.from({scheme:r.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),i=de([X(0,P.IEnvironmentService),X(1,d.IFileService),X(2,S.IStorageService),X(3,r.IUserDataSyncStoreService),X(4,r.IUserDataSyncBackupStoreService),X(5,b.IExtensionManagementService),X(6,b.IGlobalExtensionEnablementService),X(7,l.IIgnoredExtensionsManagementService),X(8,r.IUserDataSyncLogService),X(9,b.IExtensionGalleryService),X(10,E.IConfigurationService),X(11,r.IUserDataSyncEnablementService),X(12,h.ITelemetryService),X(13,p.IExtensionStorageService),X(14,y.IUriIdentityService)],i),e.ExtensionsSynchroniser=i;let t=class extends g.AbstractInitializer{constructor(o,c,u,m,I,A){super("extensions",m,I,u,A);this.extensionManagementService=o,this.ignoredExtensionsManagementService=c}async parseExtensions(o){return o.syncData?await a(o.syncData,this.extensionManagementService):null}generatePreview(o,c){const u=[],m=[],I=[];for(const A of o){if(this.ignoredExtensionsManagementService.hasToNeverSyncExtension(A.identifier.id))continue;const O=c.find(N=>(0,f.areSameExtensions)(N.identifier,A.identifier));O?(u.push(O),A.disabled&&I.push(A.identifier)):A.installed&&(m.push(A.identifier),A.disabled&&I.push(A.identifier))}return{installedExtensions:u,newExtensions:m,disabledExtensions:I,remoteExtensions:o}}};t=de([X(0,b.IExtensionManagementService),X(1,l.IIgnoredExtensionsManagementService),X(2,d.IFileService),X(3,P.IEnvironmentService),X(4,w.ILogService),X(5,y.IUriIdentityService)],t),e.AbstractExtensionsInitializer=t}),define(ne[225],ie([0,1,28,24]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function k(R,C,E,P,b){if(!C)return{remote:Object.keys(R).length>0?R:null,local:{added:{},removed:[],updated:{}}};const f=_(R,C);if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const p=E?_(E,C):{added:Object.keys(C).reduce((y,g)=>(y.add(g),y),new Set),removed:new Set,updated:new Set},d=E?_(E,R):{added:Object.keys(R).reduce((y,g)=>(y.add(g),y),new Set),removed:new Set,updated:new Set},w={added:{},removed:[],updated:{}},S=T.deepClone(C),h=!E;for(const y of d.added.values())y!==n.SYNC_SERVICE_URL_TYPE&&h&&p.added.has(y)||(S[y]=R[y]);for(const y of d.updated.values())S[y]=R[y];for(const y of d.removed.values())P.unregistered.includes(y)||delete S[y];for(const y of p.added.values()){const g=C[y];if(P.machine.includes(y)){b.info(`GlobalState: Skipped adding ${y} in local storage because it is declared as machine scoped.`);continue}if(E&&d.added.has(y))continue;const v=R[y];v&&v.value===g.value||y===n.SYNC_SERVICE_URL_TYPE&&h&&d.added.has(y)||(v?w.updated[y]=g:w.added[y]=g)}for(const y of p.updated.values()){const g=C[y];if(P.machine.includes(y)){b.info(`GlobalState: Skipped updating ${y} in local storage because it is declared as machine scoped.`);continue}if(d.updated.has(y)||d.removed.has(y))continue;const v=R[y];v&&v.value===g.value||(w.updated[y]=g)}for(const y of p.removed.values()){if(P.machine.includes(y)){b.trace(`GlobalState: Skipped removing ${y} in local storage because it is declared as machine scoped.`);continue}d.updated.has(y)||d.removed.has(y)||w.removed.push(y)}return{local:w,remote:L(S,C)?null:S}}e.merge=k;function _(R,C){const E=Object.keys(R),P=Object.keys(C),b=P.filter(d=>E.indexOf(d)===-1).reduce((d,w)=>(d.add(w),d),new Set),f=E.filter(d=>P.indexOf(d)===-1).reduce((d,w)=>(d.add(w),d),new Set),p=new Set;for(const d of E){if(f.has(d))continue;const w=R[d],S=C[d];T.equals(w,S)||p.add(d)}return{added:b,removed:f,updated:p}}function L(R,C){const{added:E,removed:P,updated:b}=_(R,C);return E.size===0&&P.size===0&&b.size===0}}),define(ne[226],ie([0,1,17,9,3,35,49,4,7,29,20,13,14,8,46,23,21,34,47,52,225,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const r="globalState.argv.",a=["locale"];function i(u,m){const I=u.storage?Object.keys(u.storage).sort():[],A={};return I.forEach(O=>A[O]=u.storage[O]),u.storage=A,m?(0,L.toFormattedString)(u,{}):JSON.stringify(u)}const t=1;let s=class vt extends y.AbstractSynchroniser{constructor(m,I,A,O,N,$,D,M,W,F){super("globalState",m,N,W,I,A,$,D,O,M,F);this.storageService=W,this.version=t,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.localResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:l.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(m.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(k.Event.any(k.Event.filter(m.onDidFilesChange,H=>H.contains(this.environmentService.argvResource)),k.Event.filter(W.onDidChangeValue,H=>H.scope===0&&H.target!==void 0?H.target===0:W.keys(0,0).includes(H.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(m,I,A){const O=m.syncData?JSON.parse(m.syncData.content):null;I=I===null&&A?m:I;const N=I&&I.syncData?JSON.parse(I.syncData.content):null,$=await this.getLocalGlobalState();O?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const D=this.getStorageKeys(N),{local:M,remote:W}=(0,v.merge)($.storage,O?O.storage:null,N?N.storage:null,D,this.logService),F={content:null,local:M,remote:W,localChange:Object.keys(M.added).length>0||Object.keys(M.updated).length>0||M.removed.length>0?2:0,remoteChange:W!==null?2:0};return[{localResource:this.localResource,localContent:i($,!1),localUserData:$,remoteResource:this.remoteResource,remoteContent:O?i(O,!1):null,previewResource:this.previewResource,previewResult:F,localChange:F.localChange,remoteChange:F.remoteChange,acceptedResource:this.acceptedResource,storageKeys:D}]}async hasRemoteChanged(m){const I=m.syncData?JSON.parse(m.syncData.content):null;if(I===null)return!0;const A=await this.getLocalGlobalState(),O=this.getStorageKeys(I),{remote:N}=(0,v.merge)(A.storage,I.storage,I.storage,O,this.logService);return N!==null}async getMergeResult(m,I){return{...m.previewResult,hasConflicts:!1}}async getAcceptResult(m,I,A,O){if(this.extUri.isEqual(I,this.localResource))return this.acceptLocal(m);if(this.extUri.isEqual(I,this.remoteResource))return this.acceptRemote(m);if(this.extUri.isEqual(I,this.previewResource))return m.previewResult;throw new Error(`Invalid Resource: ${I.toString()}`)}async acceptLocal(m){return{content:m.localContent,local:{added:{},removed:[],updated:{}},remote:m.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(m){if(m.remoteContent!==null){const I=JSON.parse(m.remoteContent),{local:A,remote:O}=(0,v.merge)(m.localUserData.storage,I.storage,null,m.storageKeys,this.logService);return{content:m.remoteContent,local:A,remote:O,localChange:Object.keys(A.added).length>0||Object.keys(A.updated).length>0||A.removed.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:m.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(m,I,A,O){let{localUserData:N}=A[0][0],{local:$,remote:D,localChange:M,remoteChange:W}=A[0][1];if(M===0&&W===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),M!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(N)),await this.writeLocalGlobalState($),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),W!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const F=JSON.stringify({storage:D});m=await this.updateRemoteUserData(F,O?null:m.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}I?.ref!==m.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(m),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:m}){return[{resource:this.extUri.joinPath(m,"globalState.json"),comparableResource:vt.GLOBAL_STATE_DATA_URI}]}async resolveContent(m){if(this.extUri.isEqual(m,vt.GLOBAL_STATE_DATA_URI)){const A=await this.getLocalGlobalState();return i(A,!0)}if(this.extUri.isEqual(this.remoteResource,m)||this.extUri.isEqual(this.localResource,m)||this.extUri.isEqual(this.acceptedResource,m)){const A=await this.resolvePreviewContent(m);return A&&i(JSON.parse(A),!0)}let I=await super.resolveContent(m);if(I)return I;if(I=await super.resolveContent(this.extUri.dirname(m)),I){const A=this.parseSyncData(I);if(A)switch(this.extUri.basename(m)){case"globalState.json":return i(JSON.parse(A.content),!0)}}return null}async hasLocalData(){try{const{storage:m}=await this.getLocalGlobalState();if(Object.keys(m).length>1||m[`${r}.locale`]?.value!=="en")return!0}catch{}return!1}async getLocalGlobalState(){const m={},I=await this.getLocalArgvContent(),A=(0,_.parse)(I);for(const O of a)A[O]!==void 0&&(m[`${r}${O}`]={version:1,value:A[O]});for(const O of this.storageService.keys(0,0)){const N=this.storageService.get(O,0);N&&(m[O]={version:1,value:N})}return{storage:m}}async getLocalArgvContent(){try{this.logService.debug("GlobalStateSync#getLocalArgvContent",this.environmentService.argvResource);const m=await this.fileService.readFile(this.environmentService.argvResource);return this.logService.debug("GlobalStateSync#getLocalArgvContent - Resolved",this.environmentService.argvResource),m.value.toString()}catch(m){this.logService.debug((0,n.getErrorMessage)(m))}return"{}"}async writeLocalGlobalState({added:m,removed:I,updated:A}){const O={},N={},$=(M,W)=>{for(const F of M){if(F.startsWith(r)){O[F.substring(r.length)]=W?W[F].value:void 0;continue}if(W){const H=W[F];H.value!==String(this.storageService.get(F,0))&&(N[F]=H.value)}else this.storageService.get(F,0)!==void 0&&(N[F]=void 0)}};if($(Object.keys(m),m),$(Object.keys(A),A),$(I),Object.keys(O).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(O),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(N).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const M of Object.keys(N))this.storageService.store(M,N[M],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(N))}}async updateArgv(m){const I=await this.getLocalArgvContent();let A=I;for(const O of Object.keys(m))A=(0,g.edit)(A,[O],m[O],{});I!==A&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,T.VSBuffer.fromString(A)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(m){const I=this.storageService.keys(0,0),A=this.storageService.keys(0,1),O=[...I,...A],N=m?.storage?Object.keys(m.storage).filter($=>!$.startsWith(r)&&!O.includes($)&&this.storageService.get($,0)!==void 0):[];if(!R.isWeb){const $=[...l.ALL_SYNC_RESOURCES.map(D=>(0,l.getEnablementKey)(D)),l.SYNC_SERVICE_URL_TYPE];N.push(...$),A.push(...$)}return{user:I,machine:A,unregistered:N}}};s.GLOBAL_STATE_DATA_URI=C.URI.from({scheme:l.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),s=de([X(0,f.IFileService),X(1,l.IUserDataSyncStoreService),X(2,l.IUserDataSyncBackupStoreService),X(3,l.IUserDataSyncLogService),X(4,b.IEnvironmentService),X(5,l.IUserDataSyncEnablementService),X(6,S.ITelemetryService),X(7,P.IConfigurationService),X(8,w.IStorageService),X(9,h.IUriIdentityService)],s),e.GlobalStateSynchroniser=s;let o=class extends y.AbstractInitializer{constructor(m,I,A,O,N){super("globalState",A,O,I,N);this.storageService=m}async doInitialize(m){const I=m.syncData?JSON.parse(m.syncData.content):null;if(!I){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const A={},O={};for(const N of Object.keys(I.storage))N.startsWith(r)?A[N.substring(r.length)]=I.storage[N].value:this.storageService.get(N,0)===void 0&&(O[N]=I.storage[N].value);if(Object.keys(A).length){let N="{}";try{N=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch{}for(const $ of Object.keys(A))N=(0,g.edit)(N,[$],A[$],{});await this.fileService.writeFile(this.environmentService.argvResource,T.VSBuffer.fromString(N))}if(Object.keys(O).length)for(const N of Object.keys(O))this.storageService.store(N,O[N],0,0)}};o=de([X(0,w.IStorageService),X(1,f.IFileService),X(2,b.IEnvironmentService),X(3,l.IUserDataSyncLogService),X(4,h.IUriIdentityService)],o),e.GlobalStateInitializer=o;let c=class{constructor(m,I,A,O,N){this.userDataSyncStoreClient=m,this.storageService=I,this.environmentService=A,this.fileService=O,this.logService=N}getSyncStoreType(m){return this.parseGlobalState(m)?.storage[l.SYNC_SERVICE_URL_TYPE]?.value}async sync(m){const I=(0,l.createSyncHeaders)((0,E.generateUuid)());try{return await this.doSync(m,I)}catch(A){if(A instanceof l.UserDataSyncError)switch(A.code){case"PreconditionFailed":return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(m,I)}throw A}}async doSync(m,I){const A=await this.userDataSyncStoreClient.read("globalState",null,I),O=this.parseGlobalState(A)||{storage:{}};O.storage[l.SYNC_SERVICE_URL_TYPE]={value:m,version:t};const N=await(0,d.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),$={version:t,machineId:N,content:i(O,!1)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify($),A.ref,I)}parseGlobalState({content:m}){if(!m)return null;const I=JSON.parse(m);if((0,y.isSyncData)(I))return I?JSON.parse(I.content):null;throw new Error("Invalid remote data")}};c=de([X(1,w.IStorageService),X(2,b.IEnvironmentService),X(3,f.IFileService),X(4,p.ILogService)],c),e.UserDataSyncStoreTypeSynchronizer=c}),define(ne[227],ie([0,1,16,17,3,35,4,15,144,20,13,14,23,21,34,47,222,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function y(l,r,a){try{const i=JSON.parse(l);if(!r)return(0,R.isUndefined)(i.all)?null:i.all;switch(L.OS){case 2:return(0,R.isUndefined)(i.mac)?null:i.mac;case 3:return(0,R.isUndefined)(i.linux)?null:i.linux;case 1:return(0,R.isUndefined)(i.windows)?null:i.windows}}catch(i){return a.error(i),null}}e.getKeybindingsContentFromSyncContent=y;let g=class extends w.AbstractJsonFileSynchroniser{constructor(r,a,i,t,s,o,c,u,m,I,A){super(c.keybindingsResource,"keybindings",o,c,u,r,a,s,I,i,m,t,A);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.localResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(k.Event.filter(t.onDidChangeConfiguration,O=>O.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(r,a,i,t){const s=r.syncData?y(r.syncData.content,t.keybindingsPerPlatform??this.syncKeybindingsPerPlatform(),this.logService):null;a=a===null&&i?r:a;const o=a?this.getKeybindingsContentFromLastSyncUserData(a):null,c=await this.getLocalFileContent(),u=await this.getFormattingOptions();let m=null,I=!1,A=!1,O=!1;if(s){let $=c?c.value.toString():"[]";if($=$||"[]",this.hasErrors($))throw new h.UserDataSyncError((0,C.localize)(0,null),"LocalInvalidContent",this.resource);if(!o||o!==$||o!==s){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const D=await(0,S.merge)($,s,o,u,this.userDataSyncUtilService);D.hasChanges&&(m=D.mergeContent,O=D.hasConflicts,I=O||D.mergeContent!==$,A=O||D.mergeContent!==s)}}else c&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),m=c.value.toString(),A=!0);const N={content:m,localChange:I?c?2:1:0,remoteChange:A?2:0,hasConflicts:O};return[{fileContent:c,localResource:this.localResource,localContent:c?c.value.toString():null,localChange:N.localChange,remoteResource:this.remoteResource,remoteContent:s,remoteChange:N.remoteChange,previewResource:this.previewResource,previewResult:N,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const a=this.getKeybindingsContentFromLastSyncUserData(r);if(a===null)return!0;const i=await this.getLocalFileContent(),t=i?i.value.toString():"",s=await this.getFormattingOptions(),o=await(0,S.merge)(t||"[]",a,a,s,this.userDataSyncUtilService);return o.hasConflicts||o.mergeContent!==a}async getMergeResult(r,a){return r.previewResult}async getAcceptResult(r,a,i,t){if(this.extUri.isEqual(a,this.localResource))return{content:r.fileContent?r.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(a,this.remoteResource))return{content:r.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(a,this.previewResource))return i===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:i,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${a.toString()}`)}async applyResult(r,a,i,t){const{fileContent:s}=i[0][0];let{content:o,localChange:c,remoteChange:u}=i[0][1];if(c===0&&u===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),o!==null&&(o=o.trim(),o=o||"[]",this.hasErrors(o)))throw new h.UserDataSyncError((0,C.localize)(1,null),"LocalInvalidContent",this.resource);if(c!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),s&&await this.backupLocal(this.toSyncContent(s.value.toString())),await this.updateLocalFileContent(o||"[]",s,t),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),u!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const m=this.toSyncContent(o||"[]",r.syncData?.content);r=await this.updateRemoteUserData(m,t?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch{}a?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(r,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const a=(0,_.parse)(r.value.toString());if((0,T.isNonEmptyArray)(a))return!0}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const a=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"keybindings.json"),comparableResource:a}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r))return this.resolvePreviewContent(r);let a=await super.resolveContent(r);if(a)return a;if(a=await super.resolveContent(this.extUri.dirname(r)),a){const i=this.parseSyncData(a);if(i)switch(this.extUri.basename(r)){case"keybindings.json":return y(i.content,this.syncKeybindingsPerPlatform(),this.logService)}}return null}getKeybindingsContentFromLastSyncUserData(r){return!r.syncData||r.platformSpecific!==void 0&&r.platformSpecific!==this.syncKeybindingsPerPlatform()?null:y(r.syncData.content,this.syncKeybindingsPerPlatform(),this.logService)}toSyncContent(r,a){let i={};try{i=JSON.parse(a||"{}")}catch(t){this.logService.error(t)}switch(this.syncKeybindingsPerPlatform()?delete i.all:i.all=r,L.OS){case 2:i.mac=r;break;case 3:i.linux=r;break;case 1:i.windows=r;break}return JSON.stringify(i)}syncKeybindingsPerPlatform(){return!!this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};g=de([X(0,h.IUserDataSyncStoreService),X(1,h.IUserDataSyncBackupStoreService),X(2,h.IUserDataSyncLogService),X(3,E.IConfigurationService),X(4,h.IUserDataSyncEnablementService),X(5,b.IFileService),X(6,P.IEnvironmentService),X(7,f.IStorageService),X(8,h.IUserDataSyncUtilService),X(9,p.ITelemetryService),X(10,d.IUriIdentityService)],g),e.KeybindingsSynchroniser=g;let v=class extends w.AbstractInitializer{constructor(r,a,i,t){super("keybindings",a,i,r,t)}async doInitialize(r){const a=r.syncData?this.getKeybindingsContentFromSyncContent(r.syncData.content):null;if(!a){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.environmentService.keybindingsResource,n.VSBuffer.fromString(a)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.environmentService.settingsResource),a=(0,_.parse)(r.value.toString());return!(0,T.isNonEmptyArray)(a)}catch(r){return r.fileOperationResult===1}}getKeybindingsContentFromSyncContent(r){try{return y(r,!0,this.logService)}catch(a){return this.logService.error(a),null}}};v=de([X(0,b.IFileService),X(1,P.IEnvironmentService),X(2,h.IUserDataSyncLogService),X(3,d.IUriIdentityService)],v),e.KeybindingsInitializer=v}),define(ne[228],ie([0,1,16,35,68,49,28,52,24]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.getIgnoredSettings=void 0;function E(o,c,u){let m=[];u?m=b(u):m=P(c);const I=[],A=[...(0,C.getDisallowedIgnoredSettings)()];if(Array.isArray(m))for(const O of m)O.startsWith("-")?A.push(O.substring(1)):I.push(O);return(0,T.distinct)([...o,...I].filter(O=>A.indexOf(O)===-1))}e.getIgnoredSettings=E;function P(o){let c=o.inspect("settingsSync.ignoredSettings").userValue;return c!==void 0||(c=o.inspect("sync.ignoredSettings").userValue,c!==void 0)?c:o.getValue("settingsSync.ignoredSettings")||[]}function b(o){const c=(0,n.parse)(o);return c?c["settingsSync.ignoredSettings"]||c["sync.ignoredSettings"]||[]:[]}function f(o,c,u,m){if(u.length){const I=s(c),A=(0,n.parse)(c),O=(0,n.parse)(o),N=[];for(const $ of u){const D=A[$],M=O[$];D===void 0?o=R.edit(o,[$],void 0,m):M!==void 0?o=R.edit(o,[$],D,m):N.push(l($,I))}N.sort(($,D)=>$.startOffset-D.startOffset),N.forEach($=>o=h($.setting.key,c,o,m))}return o}e.updateIgnoredSettings=f;function p(o,c,u,m,I,A){const O=f(o,c,m,A),N=u!==O,$=u!==c;if(!N&&!$)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(N&&!$)return{conflictsSettings:[],localContent:null,remoteContent:O,hasConflicts:!1};if($&&!N)return{conflictsSettings:[],localContent:f(c,o,m,A),remoteContent:null,hasConflicts:!1};if(u===null&&w(o)){const q=d(o,c,m)?null:f(c,o,m,A);return{conflictsSettings:[],localContent:q,remoteContent:null,hasConflicts:!1}}let D=o,M=c;const W=(0,n.parse)(o),F=(0,n.parse)(c),H=u?(0,n.parse)(u):null,Y=m.reduce((q,x)=>(q.add(x),q),new Set),B=S(W,F,Y),z=S(H,W,Y),Q=S(H,F,Y),G=new Map,ee=new Set,K=q=>{ee.add(q);const x=I.filter(({key:re})=>re===q)[0];x?(D=R.edit(D,[q],x.value,A),M=R.edit(M,[q],x.value,A)):G.set(q,{key:q,localValue:W[q],remoteValue:F[q]})};for(const q of z.removed.values())Q.updated.has(q)?K(q):M=R.edit(M,[q],void 0,A);for(const q of Q.removed.values())ee.has(q)||(z.updated.has(q)?K(q):D=R.edit(D,[q],void 0,A));for(const q of z.updated.values())ee.has(q)||(Q.updated.has(q)?B.updated.has(q)&&K(q):M=R.edit(M,[q],W[q],A));for(const q of Q.updated.values())ee.has(q)||(z.updated.has(q)?B.updated.has(q)&&K(q):D=R.edit(D,[q],F[q],A));for(const q of z.added.values())ee.has(q)||(Q.added.has(q)?B.updated.has(q)&&K(q):M=h(q,D,M,A));for(const q of Q.added.values())ee.has(q)||(z.added.has(q)?B.updated.has(q)&&K(q):D=h(q,M,D,A));const U=G.size>0||!d(D,M,m),j=U||!d(D,o,[]),V=U||!d(M,c,[]);return{localContent:j?D:null,remoteContent:V?M:null,conflictsSettings:[...G.values()],hasConflicts:U}}e.merge=p;function d(o,c,u){if(o===c)return!0;const m=(0,n.parse)(o),I=(0,n.parse)(c),A=u.reduce(($,D)=>($.add(D),$),new Set),O=s(o).filter($=>!($.setting&&A.has($.setting.key))),N=s(c).filter($=>!($.setting&&A.has($.setting.key)));if(O.length!==N.length)return!1;for(let $=0;$<O.length;$++){const D=O[$],M=N[$];if(D.setting&&M.setting){if(D.setting.key!==M.setting.key||!L.equals(m[D.setting.key],I[D.setting.key]))return!1}else if(!D.setting&&!M.setting){if(D.value!==M.value)return!1}else return!1}return!0}e.areSame=d;function w(o){return o?s(o).length===0:!0}e.isEmpty=w;function S(o,c,u){const m=o?Object.keys(o).filter($=>!u.has($)):[],I=Object.keys(c).filter($=>!u.has($)),A=I.filter($=>m.indexOf($)===-1).reduce(($,D)=>($.add(D),$),new Set),O=m.filter($=>I.indexOf($)===-1).reduce(($,D)=>($.add(D),$),new Set),N=new Set;if(o)for(const $ of m){if(O.has($))continue;const D=o[$],M=c[$];L.equals(D,M)||N.add($)}return{added:A,removed:O,updated:N}}function h(o,c,u,m){const I=(0,n.parse)(c),A=s(c),O=s(u),N=y(o,A,O);return g(u,o,I[o],N,O,m)}e.addSetting=h;function y(o,c,u){const m=c.findIndex(A=>A.setting?.key===o),I=c[m-1];if(I){if(I.setting){const O=l(I.setting.key,u);if(O)return{index:u.indexOf(O),insertAfter:!0}}else{const O=r(m,c);if(O){const N=l(O.setting.key,u);if(N){const $=a(u.indexOf(N),u),D=i(c,O,c[m]);if($){const M=i(u,N,$),W=t(D,M);return W?{index:u.indexOf(W),insertAfter:!0}:{index:u.indexOf($),insertAfter:!1}}else{const M=i(u,N,u[u.length-1]),W=t(D,M);return W?{index:u.indexOf(W),insertAfter:!0}:{index:u.length-1,insertAfter:!0}}}}}const A=c[m+1];if(A)if(A.setting){const O=l(A.setting.key,u);if(O)return{index:u.indexOf(O),insertAfter:!1}}else{const O=a(m,c);if(O){const N=l(O.setting.key,u);if(N){const $=r(u.indexOf(N),u),D=i(c,c[m],O);if($){const M=i(u,$,N),W=t(D.reverse(),M.reverse());return W?{index:u.indexOf(W),insertAfter:!1}:{index:u.indexOf($),insertAfter:!0}}else{const M=i(u,u[0],N),W=t(D.reverse(),M.reverse());return W?{index:u.indexOf(W),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:u.length-1,insertAfter:!0}}function g(o,c,u,m,I,A){let O;return m.index===-1?O=(0,k.setProperty)(o,[c],u,A):O=v(o,c,u,m,I,A).map(N=>(0,k.withFormatting)(o,N,A)[0]),(0,k.applyEdits)(o,O)}function v(o,c,u,m,I,A){const O=`${JSON.stringify(c)}: ${JSON.stringify(u)}`,N=(0,_.getEOL)(A,o),$=I[m.index];if(m.insertAfter){const D=[];if($.setting)D.push({offset:$.endOffset,length:0,content:","+O});else{const M=a(m.index,I),W=r(m.index,I),F=W?.setting?.commaOffset;W&&F===void 0&&D.push({offset:W.endOffset,length:0,content:","});const H=F!==void 0&&F>$.endOffset;D.push({offset:H?F+1:$.endOffset,length:0,content:M?N+O+",":N+O})}return D}else{if($.setting)return[{offset:$.startOffset,length:0,content:O+","}];const D=(I[m.index-1]&&!I[m.index-1].setting?N:"")+O+(a(m.index,I)?",":"")+N;return[{offset:$.startOffset,length:0,content:D}]}}function l(o,c){return c.filter(u=>u.setting?.key===o)[0]}function r(o,c){for(let u=o-1;u>=0;u--)if(c[u].setting)return c[u]}function a(o,c){for(let u=o+1;u<c.length;u++)if(c[u].setting)return c[u]}function i(o,c,u){const m=o.indexOf(c),I=o.indexOf(u);return o.filter((A,O)=>m<O&&O<I)}function t(o,c){if(o.length&&c.length){let u=0;for(;u<c.length&&u<o.length;u++)if(o[u].value!==c[u].value)return c[u-1];return c[u-1]}}function s(o){const c=[];let u=-1,m,I;const A={onObjectBegin:O=>{u++},onObjectProperty:(O,N,$)=>{u===0&&(m=N,I=O)},onObjectEnd:(O,N)=>{u--,u===0&&c.push({startOffset:m,endOffset:O+N,value:o.substring(m,O+N),setting:{key:I,commaOffset:void 0}})},onArrayBegin:(O,N)=>{u++},onArrayEnd:(O,N)=>{u--,u===0&&c.push({startOffset:m,endOffset:O+N,value:o.substring(m,O+N),setting:{key:I,commaOffset:void 0}})},onLiteralValue:(O,N,$)=>{u===0&&c.push({startOffset:m,endOffset:N+$,value:o.substring(m,N+$),setting:{key:I,commaOffset:void 0}})},onSeparator:(O,N,$)=>{if(u===0&&O===","){let D=c.length-1;for(;D>=0&&!c[D].setting;D--);const M=c[D];M&&c.splice(D,1,{startOffset:M.startOffset,endOffset:M.endOffset,value:M.value,setting:{key:M.setting.key,commaOffset:N}})}},onComment:(O,N)=>{u===0&&c.push({startOffset:O,endOffset:O+N,value:o.substring(O,O+N)})}};return(0,n.visit)(o,A),c}}),define(ne[229],ie([0,1,17,3,145,20,88,13,30,14,23,21,34,47,52,228,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function h(l){return l&&l.settings&&typeof l.settings=="string"&&Object.keys(l).length===1}function y(l){const r=JSON.parse(l);return h(r)?r:{settings:l}}e.parseSettingsSyncContent=y;let g=class extends p.AbstractJsonFileSynchroniser{constructor(r,a,i,t,s,o,c,u,m,I,A,O){super(a.settingsResource,"settings",r,a,i,t,s,m,I,o,c,u,O);this.extensionManagementService=A,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.localResource=this.previewResource.with({scheme:S.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:S.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:S.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async getRemoteUserDataSyncConfiguration(r){const a=await this.getLastSyncUserData(),i=await this.getLatestRemoteUserData(r,a),t=this.getSettingsSyncContent(i),s=new L.ConfigurationModelParser(S.USER_DATA_SYNC_CONFIGURATION_SCOPE);return t?.settings&&s.parse(t.settings),s.configurationModel.getValue(S.USER_DATA_SYNC_CONFIGURATION_SCOPE)||{}}async generateSyncPreview(r,a,i){const t=await this.getLocalFileContent(),s=await this.getFormattingOptions(),o=this.getSettingsSyncContent(r);a=a===null&&i?r:a;const c=a?this.getSettingsSyncContent(a):null,u=await this.getIgnoredSettings();let m=null,I=!1,A=!1,O=!1;if(o){let $=t?t.value.toString().trim():"{}";$=$||"{}",this.validateContent($),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const D=(0,w.merge)($,o.settings,c?c.settings:null,u,[],s);m=D.localContent||D.remoteContent,I=D.localContent!==null,A=D.remoteContent!==null,O=D.hasConflicts}else t&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),m=t.value.toString(),A=!0);const N={content:m,localChange:I?2:0,remoteChange:A?2:0,hasConflicts:O};return[{fileContent:t,localResource:this.localResource,localContent:t?t.value.toString():null,localChange:N.localChange,remoteResource:this.remoteResource,remoteContent:o?o.settings:null,remoteChange:N.remoteChange,previewResource:this.previewResource,previewResult:N,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(r){const a=this.getSettingsSyncContent(r);if(a===null)return!0;const i=await this.getLocalFileContent(),t=i?i.value.toString().trim():"",s=await this.getIgnoredSettings(),o=await this.getFormattingOptions();return(0,w.merge)(t||"{}",a.settings,a.settings,s,[],o).remoteContent!==null}async getMergeResult(r,a){const i=await this.getFormattingOptions(),t=await this.getIgnoredSettings();return{...r.previewResult,content:r.previewResult.content?(0,w.updateIgnoredSettings)(r.previewResult.content,"{}",t,i):null}}async getAcceptResult(r,a,i,t){const s=await this.getFormattingOptions(),o=await this.getIgnoredSettings();if(this.extUri.isEqual(a,this.localResource))return{content:r.fileContent?(0,w.updateIgnoredSettings)(r.fileContent.value.toString(),"{}",o,s):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(a,this.remoteResource))return{content:r.remoteContent!==null?(0,w.updateIgnoredSettings)(r.remoteContent,r.fileContent?r.fileContent.value.toString():"{}",o,s):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(a,this.previewResource))return i===void 0?{content:r.previewResult.content,localChange:r.previewResult.localChange,remoteChange:r.previewResult.remoteChange}:{content:i!==null?(0,w.updateIgnoredSettings)(i,r.fileContent?r.fileContent.value.toString():"{}",o,s):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${a.toString()}`)}async applyResult(r,a,i,t){const{fileContent:s}=i[0][0];let{content:o,localChange:c,remoteChange:u}=i[0][1];if(c===0&&u===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),o=o?o.trim():"{}",o=o||"{}",this.validateContent(o),c!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),s&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(s.value.toString()))),await this.updateLocalFileContent(o,s,t),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),u!==0){const m=await this.getFormattingOptions(),I=this.getSettingsSyncContent(r),A=await this.getIgnoredSettings(o);o=(0,w.updateIgnoredSettings)(o,I?I.settings:"{}",A,m),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),r=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(o)),t?null:r.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch{}a?.ref!==r.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(r),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const r=await this.getLocalFileContent();if(r){const a=await this.getFormattingOptions(),i=(0,d.edit)(r.value.toString(),[S.CONFIGURATION_SYNC_STORE_KEY],void 0,a);return!(0,w.isEmpty)(i)}}catch(r){if(r.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:r}){const a=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(r,"settings.json"),comparableResource:a}]}async resolveContent(r){if(this.extUri.isEqual(this.remoteResource,r)||this.extUri.isEqual(this.localResource,r)||this.extUri.isEqual(this.acceptedResource,r))return this.resolvePreviewContent(r);let a=await super.resolveContent(r);if(a)return a;if(a=await super.resolveContent(this.extUri.dirname(r)),a){const i=this.parseSyncData(a);if(i){const t=this.parseSettingsSyncContent(i.content);if(t)switch(this.extUri.basename(r)){case"settings.json":return t.settings}}}return null}async resolvePreviewContent(r){let a=await super.resolvePreviewContent(r);if(a){const i=await this.getFormattingOptions(),t=await this.getIgnoredSettings();a=(0,w.updateIgnoredSettings)(a,"{}",t,i)}return a}getSettingsSyncContent(r){return r.syncData?this.parseSettingsSyncContent(r.syncData.content):null}parseSettingsSyncContent(r){try{return y(r)}catch(a){this.logService.error(a)}return null}toSettingsSyncContent(r){return{settings:r}}async getIgnoredSettings(r){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const i=n.Event.any(n.Event.filter(this.extensionManagementService.onDidInstallExtensions,t=>t.some(({local:s})=>!!s)),n.Event.filter(this.extensionManagementService.onDidUninstallExtension,t=>!t.error))(()=>{i.dispose(),this._defaultIgnoredSettings=void 0})}const a=await this._defaultIgnoredSettings;return(0,w.getIgnoredSettings)(a,this.configurationService,r)}validateContent(r){if(this.hasErrors(r))throw new S.UserDataSyncError((0,k.localize)(0,null),"LocalInvalidContent",this.resource)}};g=de([X(0,E.IFileService),X(1,R.IEnvironmentService),X(2,P.IStorageService),X(3,S.IUserDataSyncStoreService),X(4,S.IUserDataSyncBackupStoreService),X(5,S.IUserDataSyncLogService),X(6,S.IUserDataSyncUtilService),X(7,_.IConfigurationService),X(8,S.IUserDataSyncEnablementService),X(9,b.ITelemetryService),X(10,C.IExtensionManagementService),X(11,f.IUriIdentityService)],g),e.SettingsSynchroniser=g;let v=class extends p.AbstractInitializer{constructor(r,a,i,t){super("settings",a,i,r,t)}async doInitialize(r){const a=r.syncData?this.parseSettingsSyncContent(r.syncData.content):null;if(!a){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.environmentService.settingsResource,T.VSBuffer.fromString(a.settings)),await this.updateLastSyncUserData(r)}async isEmpty(){try{const r=await this.fileService.readFile(this.environmentService.settingsResource);return(0,w.isEmpty)(r.value.toString().trim())}catch(r){return r.fileOperationResult===1}}parseSettingsSyncContent(r){try{return y(r)}catch(a){this.logService.error(a)}return null}};v=de([X(0,E.IFileService),X(1,R.IEnvironmentService),X(2,S.IUserDataSyncLogService),X(3,f.IUriIdentityService)],v),e.SettingsInitializer=v}),define(ne[230],ie([0,1,17,3,28,20,13,14,23,21,34,47,223,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let d=class extends b.AbstractSynchroniser{constructor(h,y,g,v,l,r,a,i,t,s){super("snippets",y,h,g,v,l,i,t,r,a,s);this.version=1,this.snippetsFolder=h.snippetsHome,this._register(this.fileService.watch(h.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(n.Event.filter(this.fileService.onDidFilesChange,o=>o.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(h,y,g){const v=await this.getSnippetsFileContents(),l=this.toSnippetsContents(v),r=h.syncData?this.parseSnippets(h.syncData):null;y=y===null&&g?h:y;const a=y&&y.syncData?this.parseSnippets(y.syncData):null;r?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const i=(0,f.merge)(l,r,a);return this.getResourcePreviews(i,v,r||{})}async hasRemoteChanged(h){const y=h.syncData?this.parseSnippets(h.syncData):null;if(y===null)return!0;const g=await this.getSnippetsFileContents(),v=this.toSnippetsContents(g),l=(0,f.merge)(v,y,y);return Object.keys(l.remote.added).length>0||Object.keys(l.remote.updated).length>0||l.remote.removed.length>0||l.conflicts.length>0}async getMergeResult(h,y){return h.previewResult}async getAcceptResult(h,y,g,v){if(this.extUri.isEqualOrParent(y,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:h.fileContent?h.fileContent.value.toString():null,localChange:0,remoteChange:h.fileContent?h.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(y,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:h.remoteContent,localChange:h.remoteContent!==null?h.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(y,this.syncPreviewFolder))return g===void 0?{content:h.previewResult.content,localChange:h.previewResult.localChange,remoteChange:h.previewResult.remoteChange}:{content:g,localChange:g===null?h.fileContent!==null?3:0:2,remoteChange:g===null?h.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${y.toString()}`)}async applyResult(h,y,g,v){const l=g.map(([r,a])=>({...r,acceptResult:a}));l.every(({localChange:r,remoteChange:a})=>r===0&&a===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),l.some(({localChange:r})=>r!==0)&&(await this.updateLocalBackup(l),await this.updateLocalSnippets(l,v)),l.some(({remoteChange:r})=>r!==0)&&(h=await this.updateRemoteSnippets(l,h,v)),y?.ref!==h.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(h),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:r}of l)try{await this.fileService.del(r)}catch{}}getResourcePreviews(h,y,g){const v=new Map;for(const l of Object.keys(h.local.added)){const r={content:h.local.added[l],hasConflicts:!1,localChange:1,remoteChange:0};v.set(l,{fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l],previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of Object.keys(h.local.updated)){const r={content:h.local.updated[l],hasConflicts:!1,localChange:2,remoteChange:0};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l],localContent:y[l].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l],previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of h.local.removed){const r={content:null,hasConflicts:!1,localChange:3,remoteChange:0};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l],localContent:y[l].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of Object.keys(h.remote.added)){const r={content:h.remote.added[l],hasConflicts:!1,localChange:0,remoteChange:1};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l],localContent:y[l].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of Object.keys(h.remote.updated)){const r={content:h.remote.updated[l],hasConflicts:!1,localChange:0,remoteChange:2};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l],localContent:y[l].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l],previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of h.remote.removed){const r={content:null,hasConflicts:!1,localChange:0,remoteChange:3};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l],previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of h.conflicts){const r={content:y[l]?y[l].value.toString():null,hasConflicts:!0,localChange:y[l]?2:1,remoteChange:g[l]?2:1};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l]||null,localContent:y[l]?y[l].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const l of Object.keys(y))if(!v.has(l)){const r={content:y[l]?y[l].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0};v.set(l,{localResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:y[l]||null,localContent:y[l]?y[l].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[l]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,l),previewResult:r,localChange:r.localChange,remoteChange:r.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,l).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...v.values()]}async getAssociatedResources({uri:h}){let y=await super.resolveContent(h);if(y){const g=this.parseSyncData(y);if(g){const v=this.parseSnippets(g),l=[];for(const r of Object.keys(v)){const a=this.extUri.joinPath(h,r),i=this.extUri.joinPath(this.snippetsFolder,r),t=await this.fileService.exists(i);l.push({resource:a,comparableResource:t?i:this.extUri.joinPath(this.syncPreviewFolder,r).with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"})})}return l}}return[]}async resolveContent(h){if(this.extUri.isEqualOrParent(h,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(h,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(h,this.syncPreviewFolder.with({scheme:p.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(h);let y=await super.resolveContent(h);if(y)return y;if(y=await super.resolveContent(this.extUri.dirname(h)),y){const g=this.parseSyncData(y);if(g)return this.parseSnippets(g)[this.extUri.basename(h)]||null}return null}async hasLocalData(){try{const h=await this.getSnippetsFileContents();if(Object.keys(h).length)return!0}catch{}return!1}async updateLocalBackup(h){const y={};for(const g of h)g.fileContent&&(y[this.extUri.basename(g.localResource)]=g.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(y)))}async updateLocalSnippets(h,y){for(const{fileContent:g,acceptResult:v,localResource:l,remoteResource:r,localChange:a}of h)if(a!==0){const i=r?this.extUri.basename(r):this.extUri.basename(l),t=this.extUri.joinPath(this.snippetsFolder,i);a===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(t)),await this.fileService.del(t),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(t))):a===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(t)),await this.fileService.createFile(t,T.VSBuffer.fromString(v.content),{overwrite:y}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(t))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(t)),await this.fileService.writeFile(t,T.VSBuffer.fromString(v.content),y?void 0:g),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(t)))}}async updateRemoteSnippets(h,y,g){const v=y.syncData?this.parseSnippets(y.syncData):{},l=(0,k.deepClone)(v);for(const{acceptResult:r,localResource:a,remoteResource:i,remoteChange:t}of h)if(t!==0){const s=a?this.extUri.basename(a):this.extUri.basename(i);t===3?delete l[s]:l[s]=r.content}return(0,f.areSame)(v,l)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),y=await this.updateRemoteUserData(JSON.stringify(l),g?null:y.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),y}parseSnippets(h){return JSON.parse(h.content)}toSnippetsContents(h){const y={};for(const g of Object.keys(h))y[g]=h[g].value.toString();return y}async getSnippetsFileContents(){const h={};let y;try{y=await this.fileService.resolve(this.snippetsFolder)}catch(g){if(g instanceof R.FileOperationError&&g.fileOperationResult===1)return h;throw g}for(const g of y.children||[]){const v=g.resource,l=this.extUri.extname(v);if(l===".json"||l===".code-snippets"){const r=this.extUri.relativePath(this.snippetsFolder,v),a=await this.fileService.readFile(v);h[r]=a}}return h}};d=de([X(0,L.IEnvironmentService),X(1,R.IFileService),X(2,C.IStorageService),X(3,p.IUserDataSyncStoreService),X(4,p.IUserDataSyncBackupStoreService),X(5,p.IUserDataSyncLogService),X(6,_.IConfigurationService),X(7,p.IUserDataSyncEnablementService),X(8,E.ITelemetryService),X(9,P.IUriIdentityService)],d),e.SnippetsSynchroniser=d;let w=class extends b.AbstractInitializer{constructor(h,y,g,v){super("snippets",y,g,h,v)}async doInitialize(h){const y=h.syncData?JSON.parse(h.syncData.content):null;if(!y){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const v of Object.keys(y)){const l=y[v];if(l){const r=this.extUri.joinPath(this.environmentService.snippetsHome,v);await this.fileService.createFile(r,T.VSBuffer.fromString(l)),this.logService.info("Created snippet",this.extUri.basename(r))}}await this.updateLastSyncUserData(h)}async isEmpty(){try{return!(await this.fileService.resolve(this.environmentService.snippetsHome)).children?.length}catch(h){return h.fileOperationResult===1}}};w=de([X(0,R.IFileService),X(1,L.IEnvironmentService),X(2,p.IUserDataSyncLogService),X(3,P.IUriIdentityService)],w),e.SnippetsInitializer=w}),define(ne[63],ie([0,1,3,2,6,24]),function(J,e,T,n,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,k.createDecorator)("IUserDataSyncAccountService");let L=class extends n.Disposable{constructor(C,E){super();this.userDataSyncStoreService=C,this.logService=E,this._onDidChangeAccount=this._register(new T.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new T.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(C.onTokenFailed(()=>{this.logService.info("Settings Sync auth token failed",this.account?.authenticationProviderId,this.wasTokenFailed),this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(C.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(C){(C&&this._account?C.token!==this._account.token||C.authenticationProviderId!==this._account.authenticationProviderId:C!==this._account)&&(this._account=C,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(C))}};L=de([X(0,_.IUserDataSyncStoreService),X(1,_.IUserDataSyncLogService)],L),e.UserDataSyncAccountService=L}),define(ne[231],ie([0,1,5,17,56,2,19,20,13,14,24]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let b=class extends _.Disposable{constructor(p,d,w,S){super();this.environmentService=p,this.fileService=d,this.configurationService=w,this.logService=S,P.ALL_SYNC_RESOURCES.forEach(h=>this.cleanUpBackup(h))}async getAllRefs(p){const d=(0,L.joinPath)(this.environmentService.userDataSyncHome,p),w=await this.fileService.resolve(d);return w.children?w.children.filter(h=>h.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(h.name)).sort().reverse().map(h=>({ref:h.name,created:this.getCreationTime(h)})):[]}async resolveContent(p,d){if(!d){const w=await this.getAllRefs(p);w.length&&(d=w[w.length-1].ref)}if(d){const w=(0,L.joinPath)(this.environmentService.userDataSyncHome,p,d);return(await this.fileService.readFile(w)).value.toString()}return null}async backup(p,d){const w=(0,L.joinPath)(this.environmentService.userDataSyncHome,p),S=(0,L.joinPath)(w,`${(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(S,n.VSBuffer.fromString(d))}catch(h){this.logService.error(h)}try{this.cleanUpBackup(p)}catch{}}async cleanUpBackup(p){const d=(0,L.joinPath)(this.environmentService.userDataSyncHome,p);try{try{if(!await this.fileService.exists(d))return}catch{return}const w=await this.fileService.resolve(d);if(w.children){const S=w.children.filter(v=>v.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(v.name)).sort(),h=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let y=S.filter(v=>Date.now()-this.getCreationTime(v)>h);const g=S.length-y.length;g<10&&(y=y.slice(10-g)),await T.Promises.settled(y.map(async v=>{this.logService.info("Deleting from backup",v.resource.path),await this.fileService.del(v.resource)}))}}catch(w){this.logService.error(w)}}getCreationTime(p){return p.ctime||new Date(parseInt(p.name.substring(0,4)),parseInt(p.name.substring(4,6))-1,parseInt(p.name.substring(6,8)),parseInt(p.name.substring(9,11)),parseInt(p.name.substring(11,13)),parseInt(p.name.substring(13,15))).getTime()}};b=de([X(0,C.IEnvironmentService),X(1,E.IFileService),X(2,R.IConfigurationService),X(3,P.IUserDataSyncLogService)],b),e.UserDataSyncBackupStoreService=b}),define(ne[232],ie([0,1,3,2,4,13,23,21,24]),function(J,e,T,n,k,_,L,R,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncEnablementService=void 0;const E="sync.enable";let P=class extends n.Disposable{constructor(f,p,d,w){super();this.storageService=f,this.telemetryService=p,this.environmentService=d,this.userDataSyncStoreManagementService=w,this._onDidChangeEnablement=new T.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._onDidChangeResourceEnablement=new T.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(f.onDidChangeValue(S=>this.onDidStorageChange(S)))}isEnabled(){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(E,0,!1)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(f){f&&!this.canToggleEnablement()||(this.telemetryService.publicLog2(E,{enabled:f}),this.storageService.store(E,f,0,1))}isResourceEnabled(f){return this.storageService.getBoolean((0,C.getEnablementKey)(f),0,!0)}setResourceEnablement(f,p){if(this.isResourceEnabled(f)!==p){const d=(0,C.getEnablementKey)(f);this.telemetryService.publicLog2(d,{enabled:p}),this.storeResourceEnablement(d,p)}}getResourceSyncStateVersion(f){}storeResourceEnablement(f,p){this.storageService.store(f,p,0,k.isWeb?0:1)}onDidStorageChange(f){if(f.scope!==0)return;if(E===f.key){this._onDidChangeEnablement.fire(this.isEnabled());return}const p=C.ALL_SYNC_RESOURCES.filter(d=>(0,C.getEnablementKey)(d)===f.key)[0];if(p){this._onDidChangeResourceEnablement.fire([p,this.isResourceEnabled(p)]);return}}};P=de([X(0,L.IStorageService),X(1,R.ITelemetryService),X(2,_.IEnvironmentService),X(3,C.IUserDataSyncStoreManagementService)],P),e.UserDataSyncEnablementService=P}),define(ne[233],ie([0,1,2,7]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class k{constructor(f){this.service=f}listen(f,p){switch(p){case"onError":return this.service.onError}throw new Error(`Event not found: ${p}`)}call(f,p,d){switch(p){case"triggerSync":return this.service.triggerSync(d[0],d[1],d[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(d[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=k;class _{constructor(f){this.service=f}listen(f,p){throw new Error(`Event not found: ${p}`)}call(f,p,d){switch(p){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(d[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(n.URI.revive(d[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=_;class L{constructor(f){this.channel=f}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(f){return this.channel.call("resolveUserKeybindings",[f])}async resolveFormattingOptions(f){return this.channel.call("resolveFormattingOptions",[f])}}e.UserDataSyncUtilServiceClient=L;class R{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${p}`)}async call(f,p,d){switch(p){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(d[0],d[1]);case"setEnablement":return this.service.setEnablement(d[0],d[1])}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=R;class C{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${p}`)}call(f,p,d){switch(p){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(d)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=C;class E{constructor(f){this.service=f}listen(f,p){switch(p){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${p}`)}call(f,p,d){switch(p){case"switch":return this.service.switch(d[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=E;class P extends T.Disposable{constructor(f){super();this.channel=f,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(f){return this.channel.call("switch",[f])}async getPreviousUserDataSyncStore(){const f=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(f)}revive(f){return{url:n.URI.revive(f.url),type:f.type,defaultUrl:n.URI.revive(f.defaultUrl),insidersUrl:n.URI.revive(f.insidersUrl),stableUrl:n.URI.revive(f.stableUrl),canSwitch:f.canSwitch,authenticationProviders:f.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=P}),define(ne[234],ie([0,1,13,8]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let k=class extends n.AbstractLogger{constructor(L,R){super();this.logger=this._register(L.createLogger(R.userDataSyncLogResource,{name:"settingssync"}))}trace(L,...R){this.logger.trace(L,...R)}debug(L,...R){this.logger.debug(L,...R)}info(L,...R){this.logger.info(L,...R)}warn(L,...R){this.logger.warn(L,...R)}error(L,...R){this.logger.error(L,...R)}critical(L,...R){this.logger.critical(L,...R)}flush(){this.logger.flush()}};k=de([X(0,n.ILoggerService),X(1,T.IEnvironmentService)],k),e.UserDataSyncLogService=k}),define(ne[64],ie([0,1,3,2,4,27,148,13,14,6,26,46,23,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,E.createDecorator)("IUserDataSyncMachinesService");const d="sync.currentMachineName";let w=class Ze extends n.Disposable{constructor(h,y,g,v,l,r){super();this.storageService=g,this.userDataSyncStoreService=v,this.logService=l,this.productService=r,this._onDidChange=this._register(new T.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,b.getServiceMachineId)(h,y,g)}async getMachines(h){const y=await this.currentMachineIdPromise;return(await this.readMachinesData(h)).machines.map(v=>({...v,isCurrent:v.id===y}))}async addCurrentMachine(h){const y=await this.currentMachineIdPromise,g=await this.readMachinesData(h);g.machines.some(({id:v})=>v===y)||(g.machines.push({id:y,name:this.computeCurrentMachineName(g.machines)}),await this.writeMachinesData(g))}async removeCurrentMachine(h){const y=await this.currentMachineIdPromise,g=await this.readMachinesData(h),v=g.machines.filter(({id:l})=>l!==y);v.length!==g.machines.length&&(g.machines=v,await this.writeMachinesData(g))}async renameMachine(h,y,g){const v=await this.currentMachineIdPromise,l=await this.readMachinesData(g),r=l.machines.find(({id:a})=>a===h);r&&(r.name=y,await this.writeMachinesData(l),l.machines.some(({id:a})=>a===v)&&this.storageService.store(d,y,0,1))}async setEnablement(h,y){const g=await this.readMachinesData(),v=g.machines.find(({id:l})=>l===h);v&&(v.disabled=y?void 0:!0,await this.writeMachinesData(g))}computeCurrentMachineName(h){const y=this.storageService.get(d,0);if(y)return y;const g=`${this.productService.nameLong} (${(0,k.PlatformToString)(k.isWeb?0:k.platform)})`,v=new RegExp(`${(0,_.escapeRegExpCharacters)(g)}\\s#(\\d+)`);let l=0;for(const r of h){const a=v.exec(r.name),i=a?parseInt(a[1]):0;l=i>l?i:l}return`${g} #${l+1}`}async readMachinesData(h){this.userData=await this.readUserData(h);const y=this.parse(this.userData);if(y.version!==Ze.VERSION)throw new Error((0,L.localize)(0,null,this.productService.nameLong));return y}async writeMachinesData(h){const y=JSON.stringify(h),g=await this.userDataSyncStoreService.write(Ze.RESOURCE,y,this.userData?.ref||null);this.userData={ref:g,content:y},this._onDidChange.fire()}async readUserData(h){if(this.userData){const y=h&&h.latest?h.latest[Ze.RESOURCE]:void 0;if(this.userData.ref===y)return this.userData;if(y===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(Ze.RESOURCE,this.userData)}parse(h){if(h.content!==null)try{return JSON.parse(h.content)}catch(y){this.logService.error(y)}return{version:Ze.VERSION,machines:[]}}};w.VERSION=1,w.RESOURCE="machines",w=de([X(0,R.IEnvironmentService),X(1,C.IFileService),X(2,f.IStorageService),X(3,p.IUserDataSyncStoreService),X(4,p.IUserDataSyncLogService),X(5,P.IProductService)],w),e.UserDataSyncMachinesService=w}),define(ne[235],ie([0,1,5,56,37,9,3,2,4,19,7,146,26,23,21,24,63,64]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;const y="sync.disableMachineEventually",g="sync.sessionId",v="sync.storeUrl",l="sync.productQuality";let r=class extends R.Disposable{constructor(t,s,o,c,u,m,I,A,O,N){super();this.userDataSyncStoreManagementService=s,this.userDataSyncStoreService=o,this.userDataSyncEnablementService=c,this.userDataSyncService=u,this.logService=m,this.userDataSyncAccountService=I,this.telemetryService=A,this.userDataSyncMachinesService=O,this.storageService=N,this.autoSync=this._register(new R.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this._onError=this._register(new L.Emitter),this.onError=this._onError.event,this.sources=[],this.syncTriggerDelayer=this._register(new T.Delayer(0)),this.lastSyncUrl=this.syncUrl,this.syncUrl=s.userDataSyncStore?.url,this.previousProductQuality=this.productQuality,this.productQuality=t.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(s.onDidChangeUserDataSyncStore(()=>{(0,E.isEqual)(this.syncUrl,s.userDataSyncStore?.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=s.userDataSyncStore?.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(I.onDidChangeAccount(()=>this.updateAutoSync())),this._register(o.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(L.Event.debounce(u.onDidChangeLocal,($,D)=>$?[...$,D]:[D],1e3)($=>this.triggerSync($,!1,!1))),this._register(L.Event.filter(this.userDataSyncEnablementService.onDidChangeResourceEnablement,([,$])=>$)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const t=this.storageService.get(v,0);return t?P.URI.parse(t):void 0}set syncUrl(t){t?this.storageService.store(v,t.toString(),0,1):this.storageService.remove(v,0)}get productQuality(){return this.storageService.get(l,0)}set productQuality(t){t?this.storageService.store(l,t,0,1):this.storageService.remove(l,0)}updateAutoSync(){const{enabled:t,message:s}=this.isAutoSyncEnabled();t?this.autoSync.value===void 0&&(this.autoSync.value=new a(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(o=>this.onDidFinishSync(o))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(s&&this.logService.info(s),this.autoSync.clear()):s&&this.userDataSyncEnablementService.isEnabled()&&this.logService.info(s))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,n.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(t,s,o){try{this.userDataSyncAccountService.account&&!o&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(g,0),t?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(c){if(s)this.logService.error(c),this.updateEnablement(!1);else throw c}}updateEnablement(t){this.userDataSyncEnablementService.isEnabled()!==t&&(this.userDataSyncEnablementService.setEnablement(t),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(t){if(!t){this.successiveFailures=0;return}const s=w.UserDataSyncError.toUserDataSyncError(t);s instanceof w.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:s.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),s.code==="SessionExpired"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):s.code==="TurnedOff"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):s.code==="LocalTooManyRequests"||s.code==="RemoteTooManyRequests"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):s.code==="UpgradeRequired"||s.code==="Gone"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):s.code==="IncompatibleLocalContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${s.resource} content with newer version than of client. Requires client upgrade.`)):s.code==="IncompatibleRemoteContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${s.resource} content with older version than of client. Requires server reset.`)):s.code==="ServiceChanged"||s.code==="DefaultServiceChanged"?C.isWeb&&s.code==="DefaultServiceChanged"&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(s),this.successiveFailures++),this._onError.fire(s)}async disableMachineEventually(){this.storageService.store(y,!0,0,1),await(0,T.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(y,0,!1)}stopDisableMachineEventually(){this.storageService.remove(y,0)}async triggerSync(t,s,o){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(s&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...t),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",o)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 1e3}};r=de([X(0,f.IProductService),X(1,w.IUserDataSyncStoreManagementService),X(2,w.IUserDataSyncStoreService),X(3,w.IUserDataSyncEnablementService),X(4,w.IUserDataSyncService),X(5,w.IUserDataSyncLogService),X(6,S.IUserDataSyncAccountService),X(7,d.ITelemetryService),X(8,h.IUserDataSyncMachinesService),X(9,p.IStorageService)],r),e.UserDataAutoSyncService=r;class a extends R.Disposable{constructor(t,s,o,c,u,m,I,A){super();this.lastSyncUrl=t,this.interval=s,this.userDataSyncStoreManagementService=o,this.userDataSyncStoreService=c,this.userDataSyncService=u,this.userDataSyncMachinesService=m,this.logService=I,this.storageService=A,this.intervalHandler=this._register(new R.MutableDisposable),this._onDidStartSync=this._register(new L.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new L.Emitter),this.onDidFinishSync=this._onDidFinishSync.event,this.manifest=null}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,R.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(a.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,T.disposableTimeout)(()=>this.sync(a.INTERVAL_SYNCING,!1),this.interval)}sync(t,s){const o=(0,T.createCancelablePromise)(async c=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(u){if((0,_.isPromiseCanceledError)(u))return}return this.doSync(t,s,c)});return this.syncPromise=o,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){return this.lastSyncUrl!==void 0&&!(0,E.isEqual)(this.lastSyncUrl,this.userDataSyncStoreManagementService.userDataSyncStore?.url)}async hasDefaultServiceChanged(){const t=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),s=this.userDataSyncStoreManagementService.userDataSyncStore;return!!s&&!!t&&(!(0,E.isEqual)(s.defaultUrl,t.defaultUrl)||!(0,E.isEqual)(s.insidersUrl,t.insidersUrl)||!(0,E.isEqual)(s.stableUrl,t.stableUrl))}async doSync(t,s,o){this.logService.info(`Auto Sync: Triggered by ${t}`),this._onDidStartSync.fire();let c;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(this.manifest,s),o.isCancellationRequested)return;if(this.manifest=this.syncTask.manifest,this.manifest===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new w.UserDataAutoSyncError((0,b.localize)(0,null),"DefaultServiceChanged"):new w.UserDataAutoSyncError((0,b.localize)(1,null),"ServiceChanged"):new w.UserDataAutoSyncError((0,b.localize)(2,null),"TurnedOff");const u=this.storageService.get(g,0);if(u&&this.manifest&&u!==this.manifest.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new w.UserDataAutoSyncError((0,b.localize)(3,null),"DefaultServiceChanged"):new w.UserDataAutoSyncError((0,b.localize)(4,null),"ServiceChanged"):new w.UserDataAutoSyncError((0,b.localize)(5,null),"SessionExpired");const m=await this.userDataSyncMachinesService.getMachines(this.manifest||void 0);if(o.isCancellationRequested)return;const I=m.find(A=>A.isCurrent);if(I?.disabled)throw new w.UserDataAutoSyncError((0,b.localize)(6,null),"TurnedOff");if(await this.syncTask.run(),this.manifest===null)try{this.manifest=await this.userDataSyncStoreService.manifest(null)}catch(A){throw new w.UserDataAutoSyncError((0,k.toErrorMessage)(A),A instanceof w.UserDataSyncError?A.code:"Unknown")}if(this.manifest&&this.manifest.session!==u&&this.storageService.store(g,this.manifest.session,0,1),o.isCancellationRequested)return;I||await this.userDataSyncMachinesService.addCurrentMachine(this.manifest||void 0)}catch(u){this.logService.error(u),c=u}this._onDidFinishSync.fire(c)}register(t){return super._register(t)}}a.INTERVAL_SYNCING="Interval"}),define(ne[236],ie([0,1,16,5,37,3,2,19,15,29,20,30,6,23,21,224,226,227,229,230,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const l="sync.lastSyncTime";let r=class extends L.Disposable{constructor(o,c,u,m,I,A,O,N){super();this.userDataSyncStoreService=o,this.userDataSyncStoreManagementService=c,this.instantiationService=u,this.configurationService=m,this.logService=I,this.telemetryService=A,this.storageService=O,this.userDataSyncEnablementService=N,this._status="uninitialized",this._onDidChangeStatus=this._register(new _.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._onDidChangeLocal=this._register(new _.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new _.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new _.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new _.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new _.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new _.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.synchronizers=this._register(new L.MutableDisposable),this.updateStatus([]),this._lastSyncTime=this.storageService.getNumber(l,0,void 0)}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(o,c){this.checkEnablement();const u=(0,E.generateUuid)();try{const N=(0,v.createSyncHeaders)(u);c&&(N["Cache-Control"]="no-cache"),o=await this.userDataSyncStoreService.manifest(o,N)}catch(N){const $=v.UserDataSyncError.toUserDataSyncError(N);throw this.reportUserDataSyncError($,u),$}let m=!1;const I=this,A=this.getEnabledSynchronizers();let O;return{manifest:o,async run(){if(m)throw new Error("Can run a task only once");return O=(0,n.createCancelablePromise)(N=>I.sync(A,o,u,N)),O.finally(()=>O=void 0)},async stop(){if(O&&O.cancel(),I.status!=="idle")return I.stop(A)}}}async createManualSyncTask(){if(this.checkEnablement(),this.userDataSyncEnablementService.isEnabled())throw new v.UserDataSyncError("Cannot start manual sync when sync is enabled","LocalError");const o=(0,E.generateUuid)(),c=(0,v.createSyncHeaders)(o);let u;try{u=await this.userDataSyncStoreService.manifest(null,c)}catch(I){const A=v.UserDataSyncError.toUserDataSyncError(I);throw this.reportUserDataSyncError(A,o),A}await this.resetLocal();const m=this.getEnabledSynchronizers();return new a(o,u,c,m,()=>this.resetLocal(),this.configurationService,this.logService)}async sync(o,c,u,m){if(m.isCancellationRequested||!o.length)return;const I=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const A=(0,v.createSyncHeaders)(u);for(const O of o){if(m.isCancellationRequested||!this.userDataSyncEnablementService.isResourceEnabled(O.resource))return;try{await O.sync(c,A)}catch(N){let $=!1;if(N instanceof v.UserDataSyncError)switch(N.code){case"TooLarge":N=new v.UserDataSyncError(N.message,N.code,O.resource),$=!0;break;case"RemoteTooManyRequests":case"TooManyRequestsAndRetryAfter":case"LocalTooManyRequests":case"Gone":case"UpgradeRequired":case"IncompatibleRemoteContent":case"IncompatibleLocalContent":$=!0;break}const D=v.UserDataSyncError.toUserDataSyncError(N);if(this.reportUserDataSyncError(D,u),$)throw D;this.logService.error(N),this.logService.error(`${O.resource}: ${(0,k.toErrorMessage)(N)}`),this._syncErrors.push([O.resource,D])}}this.logService.info(`Sync done. Took ${new Date().getTime()-I}ms`),this.updateLastSyncTime()}catch(A){const O=v.UserDataSyncError.toUserDataSyncError(A);throw this.reportUserDataSyncError(O,u),O}finally{this.updateStatus(o),this._onSyncErrors.fire(this._syncErrors)}}async stop(o){if(this.status!=="idle")for(const c of o)try{c.status!=="idle"&&await c.stop()}catch(u){this.logService.error(u)}}async replace(o){this.checkEnablement(),await this.performSynchronizerAction(async c=>{if(await c.replace(o))return!0})}async accept(o,c,u,m){this.checkEnablement(),await this.performSynchronizerAction(async I=>{if(I.resource===o)return await I.accept(c,u),m&&await I.apply(!1,(0,v.createSyncHeaders)((0,E.generateUuid)())),!0})}async resolveContent(o){return this.performSynchronizerAction(async c=>{const u=await c.resolveContent(o);if(u)return u})}async getRemoteSyncResourceHandles(o){return await this.performSynchronizerAction(async u=>{if(u.resource===o)return u.getRemoteSyncResourceHandles()})||[]}async getLocalSyncResourceHandles(o){return await this.performSynchronizerAction(async u=>{if(u.resource===o)return u.getLocalSyncResourceHandles()})||[]}async getAssociatedResources(o,c){return await this.performSynchronizerAction(async m=>{if(m.resource===o)return m.getAssociatedResources(c)})||[]}async getMachineId(o,c){return await this.performSynchronizerAction(async m=>{if(m.resource===o)return await m.getMachineId(c)||null})||void 0}async hasLocalData(){return!!await this.performSynchronizerAction(async c=>{if(c.resource!=="globalState"&&await c.hasLocalData())return!0})}async hasPreviouslySynced(){return!!await this.performSynchronizerAction(async c=>{if(await c.hasPreviouslySynced())return!0})}async reset(){this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(o){this.logService.error(o)}this._onDidResetRemote.fire()}async resetLocal(){if(this.checkEnablement(),this.storageService.remove(l,0),this.synchronizers.value){for(const o of this.synchronizers.value.enabled)try{await o.resetLocal()}catch(c){this.logService.error(`${o.resource}: ${(0,k.toErrorMessage)(c)}`),this.logService.error(c)}this.synchronizers.value=void 0}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async performSynchronizerAction(o){const c=new L.DisposableStore;try{const u=this.synchronizers.value||c.add(this.instantiationService.createInstance(i,()=>{},()=>{},()=>{})),m=[...u.enabled,...u.disabled.map(I=>c.add(u.createSynchronizer(I)))];for(const I of m){const A=await o(I);if(!(0,C.isUndefined)(A))return A}return null}finally{c.dispose()}}setStatus(o){const c=this._status;this._status!==o&&(this._status=o,this._onDidChangeStatus.fire(o),c==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(o){this.updateConflicts(o);const c=this.computeStatus(o);this.setStatus(c)}updateConflicts(o){const c=this.computeConflicts(o);(0,T.equals)(this._conflicts,c,([u,m],[I,A])=>u===u&&(0,T.equals)(m,A,(O,N)=>(0,R.isEqual)(O.previewResource,N.previewResource)))||(this._conflicts=this.computeConflicts(o),this._onDidChangeConflicts.fire(c))}computeConflicts(o){return o.filter(c=>c.status==="hasConflicts").map(c=>[c.resource,c.conflicts.map(t)])}computeStatus(o){return this.userDataSyncStoreManagementService.userDataSyncStore?o.some(c=>c.status==="hasConflicts")?"hasConflicts":o.some(c=>c.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(l,this._lastSyncTime,0,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(o,c){this.telemetryService.publicLog2("sync/error",{code:o.code,serverCode:o instanceof v.UserDataSyncStoreError?String(o.serverCode):void 0,url:o instanceof v.UserDataSyncStoreError?o.url:void 0,resource:o.resource,executionId:c,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}getEnabledSynchronizers(){return this.synchronizers.value||(this.synchronizers.value=this.instantiationService.createInstance(i,o=>this.updateStatus(o),o=>this.updateConflicts(o),o=>this._onDidChangeLocal.fire(o))),this.synchronizers.value.enabled}checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};r=de([X(0,v.IUserDataSyncStoreService),X(1,v.IUserDataSyncStoreManagementService),X(2,f.IInstantiationService),X(3,P.IConfigurationService),X(4,v.IUserDataSyncLogService),X(5,d.ITelemetryService),X(6,p.IStorageService),X(7,v.IUserDataSyncEnablementService)],r),e.UserDataSyncService=r;class a extends L.Disposable{constructor(o,c,u,m,I,A,O){super();this.id=o,this.manifest=c,this.syncHeaders=u,this.synchronisers=m,this.onStop=I,this.configurationService=A,this.logService=O,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new _.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(o=>o.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(o=>o.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,n.createCancelablePromise)(o=>this.getPreviews(o))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(o){throw this.logService.error(o),o}}async accept(o,c){try{return await this.performAction(o,u=>u.accept(o,c))}catch(u){throw this.logService.error(u),u}}async merge(o){try{return o?await this.performAction(o,c=>c.merge(o)):await this.mergeAll()}catch(c){throw this.logService.error(c),c}}async discard(o){try{return await this.performAction(o,c=>c.discard(o))}catch(c){throw this.logService.error(c),c}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const o=[];for(const[,c]of this.previews)for(const u of c.resourcePreviews)u.mergeState==="conflict"&&o.push(u.previewResource);for(const c of o)await this.discard(c);return this.previews}catch(o){throw this.logService.error(o),o}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const o=[];for(const[c,u]of this.previews){this.synchronizingResources.push([c,u.resourcePreviews.map(A=>A.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const m=this.synchronisers.find(A=>A.resource===c);for(const A of u.resourcePreviews)(A.localChange!==0||A.remoteChange!==0)&&A.mergeState==="preview"&&await m.merge(A.previewResource);const I=await m.apply(!1,this.syncHeaders);I&&o.push(this.toSyncResourcePreview(m.resource,I)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(A=>A[0]===c),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}catch(o){throw this.logService.error(o),o}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,c]of this.previews){this.synchronizingResources.push([o,c.resourcePreviews.map(m=>m.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const u=this.synchronisers.find(m=>m.resource===o);for(const m of c.resourcePreviews)await u.accept(m.remoteResource);await u.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(m=>m[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,c]of this.previews){this.synchronizingResources.push([o,c.resourcePreviews.map(m=>m.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const u=this.synchronisers.find(m=>m.resource===o);for(const m of c.resourcePreviews)await u.accept(m.localResource);await u.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(m=>m[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async stop(){await this.onStop(),this.reset()}async performAction(o,c){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const u=this.previews.findIndex(([,M])=>M.resourcePreviews.some(({localResource:W,previewResource:F,remoteResource:H})=>(0,R.isEqual)(o,W)||(0,R.isEqual)(o,F)||(0,R.isEqual)(o,H)));if(u===-1)return this.previews;const[m,I]=this.previews[u],A=I.resourcePreviews.find(({localResource:M,remoteResource:W,previewResource:F})=>(0,R.isEqual)(M,o)||(0,R.isEqual)(W,o)||(0,R.isEqual)(F,o));if(!A)return this.previews;let O=this.synchronizingResources.find(M=>M[0]===m);O||(O=[m,[]],this.synchronizingResources.push(O)),O[1].some(M=>(0,R.isEqual)(M,A.localResource))||(O[1].push(A.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const N=this.synchronisers.find(M=>M.resource===this.previews[u][0]),$=await c(N);$?this.previews.splice(u,1,this.toSyncResourcePreview(N.resource,$)):this.previews.splice(u,1);const D=this.synchronizingResources.findIndex(M=>M[0]===m);return this.synchronizingResources[D][1].splice(O[1].findIndex(M=>(0,R.isEqual)(M,A.localResource)),1),O[1].length||(this.synchronizingResources.splice(D,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const o=[];for(const[c,u]of this.previews){this.synchronizingResources.push([c,u.resourcePreviews.map(A=>A.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const m=this.synchronisers.find(A=>A.resource===c);let I=u;for(const A of u.resourcePreviews)(A.localChange!==0||A.remoteChange!==0)&&A.mergeState==="preview"&&(I=await m.merge(A.previewResource));I&&o.push(this.toSyncResourcePreview(m.resource,I)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(A=>A[0]===c),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}async getPreviews(o){const c=[],u=await this.getUserDataSyncConfiguration();for(const m of this.synchronisers){if(o.isCancellationRequested)return[];const I=await m.preview(this.manifest,u,this.syncHeaders);I&&c.push(this.toSyncResourcePreview(m.resource,I))}return c}async getUserDataSyncConfiguration(){const o=this.configurationService.getValue(v.USER_DATA_SYNC_CONFIGURATION_SCOPE),c=await this.synchronisers.find(u=>u instanceof y.SettingsSynchroniser).getRemoteUserDataSyncConfiguration(this.manifest);return{...o,...c}}toSyncResourcePreview(o,c){return[o,{isLastSyncFromCurrentMachine:c.isLastSyncFromCurrentMachine,resourcePreviews:c.resourcePreviews.map(t)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}let i=class extends L.Disposable{constructor(o,c,u,m,I,A,O){super();this.onDidChangeStatus=o,this.onDidChangeConflicts=c,this.onDidChangeLocal=u,this.userDataSyncEnablementService=m,this.instantiationService=I,this.extensionGalleryService=A,this.logService=O,this._enabled=[],this._register(m.onDidChangeResourceEnablement(([N,$])=>this.onDidChangeResourceEnablement(N,$))),this._register((0,L.toDisposable)(()=>this._enabled.splice(0,this._enabled.length).forEach(([,,N])=>N.dispose())));for(const N of v.ALL_SYNC_RESOURCES)m.isResourceEnabled(N)&&this.registerSynchronizer(N)}get enabled(){return this._enabled.sort((o,c)=>o[1]-c[1]).map(([o])=>o)}get disabled(){return v.ALL_SYNC_RESOURCES.filter(o=>!this.userDataSyncEnablementService.isResourceEnabled(o))}onDidChangeResourceEnablement(o,c){c?this.registerSynchronizer(o):this.deRegisterSynchronizer(o)}registerSynchronizer(o){if(this._enabled.some(([I])=>I.resource===o))return;if(o==="extensions"&&!this.extensionGalleryService.isEnabled()){this.logService.info("Skipping extensions sync because gallery is not configured");return}const c=new L.DisposableStore,u=c.add(this.createSynchronizer(o));c.add(u.onDidChangeStatus(()=>this.onDidChangeStatus(this.enabled))),c.add(u.onDidChangeConflicts(()=>this.onDidChangeConflicts(this.enabled))),c.add(u.onDidChangeLocal(()=>this.onDidChangeLocal(o)));const m=this.getOrder(o);this._enabled.push([u,m,c])}deRegisterSynchronizer(o){const c=this._enabled.findIndex(([u])=>u.resource===o);if(c!==-1){const u=this._enabled.splice(c,1);for(const[m,,I]of u){if(m.status!=="idle"){const A=m.conflicts.length>0;m.stop(),A&&this.onDidChangeConflicts(this.enabled),this.onDidChangeStatus(this.enabled)}I.dispose()}}}createSynchronizer(o){switch(o){case"settings":return this.instantiationService.createInstance(y.SettingsSynchroniser);case"keybindings":return this.instantiationService.createInstance(h.KeybindingsSynchroniser);case"snippets":return this.instantiationService.createInstance(g.SnippetsSynchroniser);case"globalState":return this.instantiationService.createInstance(S.GlobalStateSynchroniser);case"extensions":return this.instantiationService.createInstance(w.ExtensionsSynchroniser)}}getOrder(o){switch(o){case"settings":return 0;case"keybindings":return 1;case"snippets":return 2;case"globalState":return 3;case"extensions":return 4}}};i=de([X(3,v.IUserDataSyncEnablementService),X(4,f.IInstantiationService),X(5,b.IExtensionGalleryService),X(6,v.IUserDataSyncLogService)],i);function t(s){return{localResource:s.localResource,previewResource:s.previewResource,remoteResource:s.remoteResource,acceptedResource:s.acceptedResource,localChange:s.localChange,remoteChange:s.remoteChange,mergeState:s.mergeState}}}),define(ne[237],ie([0,1,3,2,15,7,24]),function(J,e,T,n,k,_,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class R{constructor(b,f){this.service=b,this.logService=f,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new T.Emitter}listen(b,f){switch(f){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${f}`)}async call(b,f,p){try{return await this._call(b,f,p)}catch(d){throw this.logService.error(d),d}}async _call(b,f,p){switch(f){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(_.URI.revive(p[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(p[0],_.URI.revive(p[1]),p[2],p[3]);case"resolveContent":return this.service.resolveContent(_.URI.revive(p[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(p[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(p[0]);case"getAssociatedResources":return this.service.getAssociatedResources(p[0],{created:p[1].created,uri:_.URI.revive(p[1].uri)});case"getMachineId":return this.service.getMachineId(p[0],{created:p[1].created,uri:_.URI.revive(p[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(f.startsWith("manualSync/")){const d=f.substring("manualSync/".length),w=p[0],S=this.getManualSyncTask(w);switch(p=p.slice(1),d){case"preview":return S.preview();case"accept":return S.accept(_.URI.revive(p[0]),p[1]);case"merge":return S.merge(_.URI.revive(p[0]));case"discard":return S.discard(_.URI.revive(p[0]));case"discardConflicts":return S.discardConflicts();case"apply":return S.apply();case"pull":return S.pull();case"push":return S.push();case"stop":return S.stop();case"_getStatus":return S.status;case"dispose":return this.disposeManualSyncTask(S)}}throw new Error("Invalid call")}getManualSyncTask(b){const f=this.manualSyncTasks.get(this.createKey(b));if(!f)throw new Error(`Manual sync taks not found: ${b}`);return f.manualSyncTask}async createManualSyncTask(){const b=new n.DisposableStore,f=b.add(await this.service.createManualSyncTask());return b.add(f.onSynchronizeResources(p=>this.onManualSynchronizeResources.fire({manualSyncTaskId:f.id,data:p}))),this.manualSyncTasks.set(this.createKey(f.id),{manualSyncTask:f,disposables:b}),{id:f.id,manifest:f.manifest,status:f.status}}disposeManualSyncTask(b){b.dispose();const f=this.createKey(b.id);this.manualSyncTasks.get(f)?.disposables.dispose(),this.manualSyncTasks.delete(f)}createKey(b){return`manualSyncTask-${b}`}}e.UserDataSyncChannel=R;class C extends n.Disposable{constructor(b){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new T.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new T.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new T.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new T.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(f,p,d){return b.call(f,p,d).then(null,w=>{throw L.UserDataSyncError.toUserDataSyncError(w)})},listen(f,p){return b.listen(f,p)}},this.channel.call("_getInitialData").then(([f,p,d])=>{this.updateStatus(f),this.updateConflicts(p),d&&this.updateLastSyncTime(d),this._register(this.channel.listen("onDidChangeStatus")(w=>this.updateStatus(w))),this._register(this.channel.listen("onDidChangeLastSyncTime")(w=>this.updateLastSyncTime(w)))}),this._register(this.channel.listen("onDidChangeConflicts")(f=>this.updateConflicts(f))),this._register(this.channel.listen("onSyncErrors")(f=>this._onSyncErrors.fire(f.map(([p,d])=>[p,L.UserDataSyncError.toUserDataSyncError(d)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:b,manifest:f,status:p}=await this.channel.call("createManualSyncTask"),d=this,w=new E(b,f,p,{async call(S,h,y){return d.channel.call(`manualSync/${S}`,[b,...(0,k.isArray)(h)?h:[h]],y)},listen(S,h){return T.Event.map(T.Event.filter(d.channel.listen(`manualSync/${S}`,h),y=>!w.isDiposed()&&y.manualSyncTaskId===b),y=>y.data)}});return w}replace(b){return this.channel.call("replace",[b])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(b,f,p,d){return this.channel.call("accept",[b,f,p,d])}resolveContent(b){return this.channel.call("resolveContent",[b])}async getLocalSyncResourceHandles(b){return(await this.channel.call("getLocalSyncResourceHandles",[b])).map(({created:p,uri:d})=>({created:p,uri:_.URI.revive(d)}))}async getRemoteSyncResourceHandles(b){return(await this.channel.call("getRemoteSyncResourceHandles",[b])).map(({created:p,uri:d})=>({created:p,uri:_.URI.revive(d)}))}async getAssociatedResources(b,f){return(await this.channel.call("getAssociatedResources",[b,f])).map(({resource:d,comparableResource:w})=>({resource:_.URI.revive(d),comparableResource:_.URI.revive(w)}))}async getMachineId(b,f){return this.channel.call("getMachineId",[b,f])}async updateStatus(b){this._status=b,this._onDidChangeStatus.fire(b)}async updateConflicts(b){this._conflicts=b.map(([f,p])=>[f,p.map(d=>({...d,localResource:_.URI.revive(d.localResource),remoteResource:_.URI.revive(d.remoteResource),previewResource:_.URI.revive(d.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(b){this._lastSyncTime!==b&&(this._lastSyncTime=b,this._onDidChangeLastSyncTime.fire(b))}}e.UserDataSyncChannelClient=C;class E extends n.Disposable{constructor(b,f,p,d){super();this.id=b,this.manifest=f,this._disposed=!1,this._status=p;const w=this;this.channel={async call(S,h,y){try{const g=await d.call(S,h,y);return w.isDiposed()||(w._status=await d.call("_getStatus")),g}catch(g){throw L.UserDataSyncError.toUserDataSyncError(g)}},listen(S,h){return d.listen(S,h)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const b=await this.channel.call("preview");return this.deserializePreviews(b)}async accept(b,f){const p=await this.channel.call("accept",[b,f]);return this.deserializePreviews(p)}async merge(b){const f=await this.channel.call("merge",[b]);return this.deserializePreviews(f)}async discard(b){const f=await this.channel.call("discard",[b]);return this.deserializePreviews(f)}async discardConflicts(){const b=await this.channel.call("discardConflicts");return this.deserializePreviews(b)}async apply(){const b=await this.channel.call("apply");return this.deserializePreviews(b)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(b){return b.map(([f,p])=>[f,{isLastSyncFromCurrentMachine:p.isLastSyncFromCurrentMachine,resourcePreviews:p.resourcePreviews.map(d=>({...d,localResource:_.URI.revive(d.localResource),remoteResource:_.URI.revive(d.remoteResource),previewResource:_.URI.revive(d.previewResource),acceptedResource:_.URI.revive(d.acceptedResource)}))}])}}}),define(ne[238],ie([0,1,5,25,9,3,2,102,4,19,15,7,29,20,13,14,26,43,46,23,24]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const l="sync.previous.store",r="sync.donot-make-requests-until",a="sync.user-session-id",i="sync.machine-session-id",t=100,s=1e3*60*5;let o=class extends L.Disposable{constructor(O,N,$){super();this.productService=O,this.configurationService=N,this.storageService=$,this._onDidChangeUserDataSyncStore=this._register(new _.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(_.Event.filter($.onDidChangeValue,D=>D.key===v.SYNC_SERVICE_URL_TYPE&&D.scope===0&&this.userDataSyncStoreType!==this.userDataSyncStore?.type)(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(v.SYNC_SERVICE_URL_TYPE,0)}set userDataSyncStoreType(O){this.storageService.store(v.SYNC_SERVICE_URL_TYPE,O,0,C.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[v.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(v.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(O,N){O=C.isWeb&&O?.web?{...O,...O.web}:O;const $={...O||{},...N||{}};if($&&(0,P.isString)($.url)&&(0,P.isObject)($.authenticationProviders)&&Object.keys($.authenticationProviders).every(D=>(0,P.isArray)($.authenticationProviders[D].scopes))){const D=$,M=!!D.canSwitch&&!N?.url,W=D.url===D.insidersUrl?"insiders":"stable",F=(M?this.userDataSyncStoreType:void 0)||W,H=N?.url||(F==="insiders"?D.insidersUrl:F==="stable"?D.stableUrl:D.url);return{url:b.URI.parse(H),type:F,defaultType:W,defaultUrl:b.URI.parse(D.url),stableUrl:b.URI.parse(D.stableUrl),insidersUrl:b.URI.parse(D.insidersUrl),canSwitch:M,authenticationProviders:Object.keys(D.authenticationProviders).reduce((Y,B)=>(Y.push({id:B,scopes:D.authenticationProviders[B].scopes}),Y),[])}}}};o=de([X(0,S.IProductService),X(1,p.IConfigurationService),X(2,g.IStorageService)],o),e.AbstractUserDataSyncStoreManagementService=o;let c=class extends o{constructor(O,N,$){super(O,N,$);const D=this.storageService.get(l,0);D&&(this.previousConfigurationSyncStore=JSON.parse(D));const M=this.productService[v.CONFIGURATION_SYNC_STORE_KEY];M?this.storageService.store(l,JSON.stringify(M),0,1):this.storageService.remove(l,0)}async switch(O){O!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=O,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};c=de([X(0,S.IProductService),X(1,p.IConfigurationService),X(2,g.IStorageService)],c),e.UserDataSyncStoreManagementService=c;let u=class extends L.Disposable{constructor(O,N,$,D,M,W,F){super();this.requestService=$,this.logService=D,this.storageService=F,this._onTokenFailed=this._register(new _.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new _.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new _.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(O),this.commonHeadersPromise=(0,y.getServiceMachineId)(M,W,F).then(H=>{const Y={"X-Client-Name":`${N.applicationName}${C.isWeb?"-web":""}`,"X-Client-Version":N.version};return N.commit&&(Y["X-Client-Commit"]=N.commit),Y}),this.session=new I(t,s,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,L.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(O,N){this.authToken={token:O,type:N}}updateUserDataSyncStoreUrl(O){this.userDataSyncStoreUrl=O?(0,E.joinPath)(O,"v1"):void 0}initDonotMakeRequestsUntil(){const O=this.storageService.getNumber(r,0);O&&Date.now()<O&&this.setDonotMakeRequestsUntil(new Date(O))}setDonotMakeRequestsUntil(O){this._donotMakeRequestsUntil?.getTime()!==O?.getTime()&&(this._donotMakeRequestsUntil=O,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(r,this._donotMakeRequestsUntil.getTime(),0,1),this.resetDonotMakeRequestsUntilPromise=(0,T.createCancelablePromise)(N=>(0,T.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),N).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,N=>null)):this.storageService.remove(r,0),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const N=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource",O),$={},D=await this.request(N.toString(),{type:"GET",headers:$},[],n.CancellationToken.None);return(await(0,h.asJson)(D)||[]).map(({url:W,created:F})=>({ref:(0,E.relativePath)(N,N.with({path:W})),created:F*1e3}))}async resolveContent(O,N){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const $=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource",O,N).toString(),D={};D["Cache-Control"]="no-cache";const M=await this.request($,{type:"GET",headers:D},[],n.CancellationToken.None);return await(0,h.asText)(M)}async delete(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const N=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString(),$={};await this.request(N,{type:"DELETE",headers:$},[],n.CancellationToken.None)}async read(O,N,$={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const D=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource",O,"latest").toString();$={...$},$["Cache-Control"]="no-cache",N&&($["If-None-Match"]=N.ref);const M=await this.request(D,{type:"GET",headers:$},[304],n.CancellationToken.None);let W=null;if(M.res.statusCode===304&&(W=N),W===null){const F=M.res.headers.etag;if(!F)throw new v.UserDataSyncStoreError("Server did not return the ref",D,"NoRef",M.res.statusCode,M.res.headers[v.HEADER_OPERATION_ID]);const H=await(0,h.asText)(M);if(!H&&M.res.statusCode===304)throw new v.UserDataSyncStoreError("Empty response",D,"EmptyResponse",M.res.statusCode,M.res.headers[v.HEADER_OPERATION_ID]);W={ref:F,content:H}}return W}async write(O,N,$,D={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const M=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource",O).toString();D={...D},D["Content-Type"]=R.Mimes.text,$&&(D["If-Match"]=$);const W=await this.request(M,{type:"POST",data:N,headers:D},[],n.CancellationToken.None),F=W.res.headers.etag;if(!F)throw new v.UserDataSyncStoreError("Server did not return the ref",M,"NoRef",W.res.statusCode,W.res.headers[v.HEADER_OPERATION_ID]);return F}async manifest(O,N={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const $=(0,E.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();N={...N},N["Content-Type"]="application/json",O&&(N["If-None-Match"]=O.ref);const D=await this.request($,{type:"GET",headers:N},[304],n.CancellationToken.None);let M=null;if(D.res.statusCode===304&&(M=O),!M){const F=D.res.headers.etag;if(!F)throw new v.UserDataSyncStoreError("Server did not return the ref",$,"NoRef",D.res.statusCode,D.res.headers[v.HEADER_OPERATION_ID]);const H=await(0,h.asText)(D);if(!H&&D.res.statusCode===304)throw new v.UserDataSyncStoreError("Empty response",$,"EmptyResponse",D.res.statusCode,D.res.headers[v.HEADER_OPERATION_ID]);H&&(M={...JSON.parse(H),ref:F})}const W=this.storageService.get(a,0);return W&&M&&W!==M.session&&this.clearSession(),M===null&&W&&this.clearSession(),M&&this.storageService.store(a,M.session,0,1),M}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=(0,E.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),N={"Content-Type":R.Mimes.text};await this.request(O,{type:"DELETE",headers:N},[],n.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(a,0),this.storageService.remove(i,0)}async request(O,N,$,D){if(!this.authToken)throw new v.UserDataSyncStoreError("No Auth Token Available",O,"Unauthorized",void 0,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of too many requests (429).`,O,"TooManyRequestsAndRetryAfter",void 0,void 0);this.setDonotMakeRequestsUntil(void 0);const M=await this.commonHeadersPromise;N.headers={...N.headers||{},...M,"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`},this.addSessionHeaders(N.headers),this.logService.trace("Sending request to server",{url:O,type:N.type,headers:{...N.headers,authorization:void 0}});let W;try{W=await this.session.request(O,N,D)}catch(B){if(!(B instanceof v.UserDataSyncStoreError)){let z="RequestFailed";const Q=(0,k.getErrorMessage)(B).toLowerCase();Q.includes("xhr timeout")?z="RequestTimeout":Q.includes("protocol")&&Q.includes("not supported")?z="RequestProtocolNotSupported":Q.includes("request path contains unescaped characters")?z="RequestPathNotEscaped":Q.includes("headers must be an object")?z="RequestHeadersNotObject":(0,k.isPromiseCanceledError)(B)&&(z="RequestCanceled"),B=new v.UserDataSyncStoreError(`Connection refused for the request '${O}'.`,O,z,void 0,void 0)}throw this.logService.info("Request failed",O),B}const F=W.res.headers[v.HEADER_OPERATION_ID],H={url:O,status:W.res.statusCode,"execution-id":N.headers[v.HEADER_EXECUTION_ID],"operation-id":F},Y=(0,h.isSuccess)(W)||W.res.statusCode&&$.indexOf(W.res.statusCode)!==-1;if(Y?this.logService.trace("Request succeeded",H):this.logService.info("Request failed",H),W.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new v.UserDataSyncStoreError(`Request '${O}' failed because of Unauthorized (401).`,O,"Unauthorized",W.res.statusCode,F);if(this._onTokenSucceed.fire(),W.res.statusCode===409)throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,O,"Conflict",W.res.statusCode,F);if(W.res.statusCode===410)throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because the requested resource is not longer available (410).`,O,"Gone",W.res.statusCode,F);if(W.res.statusCode===412)throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,O,"PreconditionFailed",W.res.statusCode,F);if(W.res.statusCode===413)throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of too large payload (413).`,O,"TooLarge",W.res.statusCode,F);if(W.res.statusCode===426)throw new v.UserDataSyncStoreError(`${N.type} request '${O}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,O,"UpgradeRequired",W.res.statusCode,F);if(W.res.statusCode===429){const B=W.res.headers["retry-after"];throw B?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(B)*1e3)),new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of too many requests (429).`,O,"TooManyRequestsAndRetryAfter",W.res.statusCode,F)):new v.UserDataSyncStoreError(`${N.type} request '${O}' failed because of too many requests (429).`,O,"RemoteTooManyRequests",W.res.statusCode,F)}if(!Y)throw new v.UserDataSyncStoreError("Server returned "+W.res.statusCode,O,"Unknown",W.res.statusCode,F);return W}addSessionHeaders(O){let N=this.storageService.get(i,0);N===void 0&&(N=(0,f.generateUuid)(),this.storageService.store(i,N,0,1)),O["X-Machine-Session-Id"]=N;const $=this.storageService.get(a,0);$!==void 0&&(O["X-User-Session-Id"]=$)}};u=de([X(1,S.IProductService),X(2,h.IRequestService),X(3,v.IUserDataSyncLogService),X(4,d.IEnvironmentService),X(5,w.IFileService),X(6,g.IStorageService)],u),e.UserDataSyncStoreClient=u;let m=class extends u{constructor(O,N,$,D,M,W,F){super(O.userDataSyncStore?.url,N,$,D,M,W,F);this._register(O.onDidChangeUserDataSyncStore(()=>this.updateUserDataSyncStoreUrl(O.userDataSyncStore?.url)))}};m=de([X(0,v.IUserDataSyncStoreManagementService),X(1,S.IProductService),X(2,h.IRequestService),X(3,v.IUserDataSyncLogService),X(4,d.IEnvironmentService),X(5,w.IFileService),X(6,g.IStorageService)],m),e.UserDataSyncStoreService=m;class I{constructor(O,N,$,D){this.limit=O,this.interval=N,this.requestService=$,this.logService=D,this.requests=[],this.startTime=void 0}request(O,N,$){if(this.isExpired()&&this.reset(),N.url=O,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new v.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,O,"LocalTooManyRequests",void 0,void 0);return this.startTime=this.startTime||new Date,this.requests.push(O),this.requestService.request(N,$)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=I}),define(ne[239],ie([0,1,3,60,26,23,21,235,24,63,64]),function(J,e,T,n,k,_,L,R,C,E,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let b=class extends R.UserDataAutoSyncService{constructor(p,d,w,S,h,y,g,v,l,r,a){super(p,d,w,S,h,g,v,l,r,a);this._register(T.Event.debounce(T.Event.any(T.Event.map(y.onDidFocusWindow,()=>"windowFocus"),T.Event.map(y.onDidOpenWindow,()=>"windowOpen")),(i,t)=>i?[...i,t]:[t],1e3)(i=>this.triggerSync(i,!0,!1)))}};b=de([X(0,k.IProductService),X(1,C.IUserDataSyncStoreManagementService),X(2,C.IUserDataSyncStoreService),X(3,C.IUserDataSyncEnablementService),X(4,C.IUserDataSyncService),X(5,n.INativeHostService),X(6,C.IUserDataSyncLogService),X(7,E.IUserDataSyncAccountService),X(8,L.ITelemetryService),X(9,P.IUserDataSyncMachinesService),X(10,_.IStorageService)],b),e.UserDataAutoSyncService=b}),define(ne[240],ie([0,1,5,3,2]),function(J,e,T,n,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class _ extends k.Disposable{constructor({onDidOpenWindow:R,onDidFocusWindow:C,getActiveWindowId:E}){super();this.disposables=this._register(new k.DisposableStore),n.Event.latch(n.Event.any(R,C))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,T.createCancelablePromise)(()=>E()),(async()=>{try{const b=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:b}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(R){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=R}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=_}),define(ne[65],ie([0,1,50,5,10,15,22,124,252,253]),function(J,e,T,n,k,_,L,R,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class P extends Error{constructor(r,a){let i=a.message;switch(r){case"CorruptZip":i=`Corrupt ZIP: ${i}`;break}super(i);this.type=r,this.cause=a}}e.ExtractError=P;function b(l){const r=l.externalFileAttributes>>16||33188;return[448,56,7].map(a=>r&a).reduce((a,i)=>a+i,r&61440)}function f(l){if(l instanceof P)return l;let r;return/end of central directory record signature not found/.test(l.message)&&(r="CorruptZip"),new P(r,l)}function p(l,r,a,i,t,s){const o=k.dirname(r),c=k.join(i,o);if(!c.startsWith(i))return Promise.reject(new Error(R.localize(0,null,r)));const u=k.join(i,r);let m;return s.onCancellationRequested(()=>{m&&m.destroy()}),Promise.resolve(L.Promises.mkdir(c,{recursive:!0})).then(()=>new Promise((I,A)=>{if(!s.isCancellationRequested)try{m=(0,T.createWriteStream)(u,{mode:a}),m.once("close",()=>I()),m.once("error",A),l.once("error",A),l.pipe(m)}catch(O){A(O)}}))}function d(l,r,a,i){let t=(0,n.createCancelablePromise)(()=>Promise.resolve()),s=0;return i.onCancellationRequested(()=>{t.cancel(),l.close()}),new Promise((o,c)=>{const u=new n.Sequencer,m=I=>{I.isCancellationRequested||(s++,l.readEntry())};l.once("error",c),l.once("close",()=>t.then(()=>{i.isCancellationRequested||l.entryCount===s?o():c(new P("Incomplete",new Error(R.localize(1,null,s,l.entryCount))))},c)),l.readEntry(),l.on("entry",I=>{if(i.isCancellationRequested)return;if(!a.sourcePathRegex.test(I.fileName)){m(i);return}const A=I.fileName.replace(a.sourcePathRegex,"");if(/\/$/.test(A)){const $=k.join(r,A);t=(0,n.createCancelablePromise)(D=>L.Promises.mkdir($,{recursive:!0}).then(()=>m(D)).then(void 0,c));return}const O=S(l,I),N=b(I);t=(0,n.createCancelablePromise)($=>u.queue(()=>O.then(D=>p(D,A,N,r,a,$).then(()=>m($)))).then(null,c))})})}function w(l,r=!1){return new Promise((a,i)=>{(0,C.open)(l,r?{lazyEntries:!0}:void 0,(t,s)=>{t?i(f(t)):a((0,_.assertIsDefined)(s))})})}function S(l,r){return new Promise((a,i)=>{l.openReadStream(r,(t,s)=>{t?i(f(t)):a((0,_.assertIsDefined)(s))})})}function h(l,r){return new Promise((a,i)=>{const t=new E.ZipFile;r.forEach(o=>{o.contents?t.addBuffer(typeof o.contents=="string"?Buffer.from(o.contents,"utf8"):o.contents,o.path):o.localPath&&t.addFile(o.localPath,o.path)}),t.end();const s=(0,T.createWriteStream)(l);t.outputStream.pipe(s),t.outputStream.once("error",i),s.once("error",i),s.once("finish",()=>a(l))})}e.zip=h;function y(l,r,a={},i){const t=new RegExp(a.sourcePath?`^${a.sourcePath}`:"");let s=w(l,!0);return a.overwrite&&(s=s.then(o=>L.Promises.rm(r).then(()=>o))),s.then(o=>d(o,r,{sourcePathRegex:t},i))}e.extract=y;function g(l,r){return w(l).then(a=>new Promise((i,t)=>{a.on("entry",s=>{s.fileName===r&&S(a,s).then(o=>i(o),o=>t(o))}),a.once("close",()=>t(new Error(R.localize(2,null,r))))}))}function v(l,r){return g(l,r).then(a=>new Promise((i,t)=>{const s=[];a.once("error",t),a.on("data",o=>s.push(o)),a.on("end",()=>i(Buffer.concat(s)))}))}e.buffer=v}),define(ne[241],ie([0,1,65,133]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function k(_){return(0,T.buffer)(_,"extension/package.json").then(L=>{try{return JSON.parse(L.toString("utf8"))}catch{throw new Error((0,n.localize)(0,null))}})}e.getManifest=k}),define(ne[242],ie([0,1,16,5,9,2,18,10,4,19,61,7,29,22,65,134,13,30,33,155,14,8,26]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;let a=class extends _.Disposable{constructor(t,s,o,c,u){super();this.beforeRemovingExtension=t,this.fileService=s,this.logService=o,this.environmentService=c,this.productService=u,this._devSystemExtensionsPath=null,this.systemExtensionsPath=c.builtinExtensionsPath,this.extensionsPath=c.extensionsPath,this.uninstalledPath=R.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new n.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(t){const s=[];(t===null||t===0)&&s.push(this.scanSystemExtensions().then(null,o=>Promise.reject(new h.ExtensionManagementError(this.joinErrors(o).message,h.ExtensionManagementErrorCode.Internal)))),(t===null||t===1)&&s.push(this.scanUserExtensions(!0).then(null,o=>Promise.reject(new h.ExtensionManagementError(this.joinErrors(o).message,h.ExtensionManagementErrorCode.Internal))));try{const o=await Promise.all(s);return(0,T.flatten)(o)}catch(o){throw this.joinErrors(o)}}async scanUserExtensions(t){this.logService.trace("Started scanning user extensions");let[s,o]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return o=o.filter(c=>!s[new y.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version).key()]),t&&(o=(0,y.groupByExtension)(o,u=>u.identifier).map(u=>u.sort((m,I)=>P.rcompare(m.manifest.version,I.manifest.version))[0])),this.logService.trace("Scanned user extensions:",o.length),o}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(t,s,o,c){const u=t.key(),m=R.join(this.extensionsPath,`.${(0,f.generateUuid)()}`),I=R.join(this.extensionsPath,u);try{await p.Promises.rm(I)}catch{try{await p.Promises.rm(I)}catch{}throw new h.ExtensionManagementError((0,w.localize)(0,null,I,t.id),h.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(t,s,m,c);let A=await this.scanExtension(b.URI.file(m),1);if(!A)throw new Error((0,w.localize)(1,null,m));await this.storeMetadata(A,{...o,installedTimestamp:Date.now()});try{await this.rename(t,m,I,Date.now()+2*60*1e3),this.logService.info("Renamed to",I)}catch(O){try{await p.Promises.rm(m)}catch{}if(O.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",t.id);else throw this.logService.info(`Rename failed because of ${(0,k.getErrorMessage)(O)}. Deleted from extracted location`,m),O}try{A=await this.scanExtension(b.URI.file(I),1)}catch{}if(A)return A;throw new Error((0,w.localize)(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(t,s){return this.setMetadata(t,s),await this.storeMetadata(t,{...s,installedTimestamp:t.installedTimestamp}),t}async storeMetadata(t,s){s.isMachineScoped=s.isMachineScoped||void 0,s.isBuiltin=s.isBuiltin||void 0,s.installedTimestamp=s.installedTimestamp||void 0;const o=R.join(t.location.fsPath,"package.json"),c=await p.Promises.readFile(o,"utf8"),{manifest:u}=await this.parseManifest(c);return u.__metadata=s,await p.Promises.writeFile(o,JSON.stringify(u,null,"	")),t}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...t){const s=t.map(o=>new y.ExtensionIdentifierWithVersion(o.identifier,o.manifest.version));await this.withUninstalledExtensions(o=>{s.forEach(c=>o[c.key()]=!0)})}async setInstalled(t){await this.withUninstalledExtensions(c=>delete c[t.key()]);const o=(await this.scanExtensions(1)).find(c=>new y.ExtensionIdentifierWithVersion(c.identifier,c.manifest.version).equals(t))||null;return o?(await this.storeMetadata(o,{installedTimestamp:Date.now()}),this.scanExtension(o.location,1)):null}async withUninstalledExtensions(t){return this.uninstalledFileLimiter.queue(async()=>{let s;try{s=await p.Promises.readFile(this.uninstalledPath,"utf8")}catch(c){if(c.code!=="ENOENT")throw c}let o={};if(s)try{o=JSON.parse(s)}catch{}return t&&(t(o),Object.keys(o).length?await p.Promises.writeFile(this.uninstalledPath,JSON.stringify(o)):await p.Promises.rm(this.uninstalledPath)),o})}async removeExtension(t,s){this.logService.trace(`Deleting ${s} extension from disk`,t.identifier.id,t.location.fsPath),await p.Promises.rm(t.location.fsPath),this.logService.info("Deleted from disk",t.identifier.id,t.location.fsPath)}async removeUninstalledExtension(t){await this.removeExtension(t,"uninstalled"),await this.withUninstalledExtensions(s=>delete s[new y.ExtensionIdentifierWithVersion(t.identifier,t.manifest.version).key()])}async extractAtLocation(t,s,o,c){this.logService.trace(`Started extracting the extension from ${s} to ${o}`);try{await p.Promises.rm(o)}catch(u){throw new h.ExtensionManagementError(this.joinErrors(u).message,h.ExtensionManagementErrorCode.Delete)}try{await(0,d.extract)(s,o,{sourcePath:"extension",overwrite:!0},c),this.logService.info(`Extracted extension to ${o}:`,t.id)}catch(u){try{await p.Promises.rm(o)}catch{}let m=h.ExtensionManagementErrorCode.Extract;throw u instanceof d.ExtractError&&(u.type==="CorruptZip"?m=h.ExtensionManagementErrorCode.CorruptZip:u.type==="Incomplete"&&(m=h.ExtensionManagementErrorCode.IncompleteZip)),new h.ExtensionManagementError(u.message,m)}}async rename(t,s,o,c){try{await p.Promises.rename(s,o)}catch(u){if(C.isWindows&&u&&u.code==="EPERM"&&Date.now()<c)return this.logService.info(`Failed renaming ${s} to ${o} with 'EPERM' error. Trying again...`,t.id),this.rename(t,s,o,c);throw new h.ExtensionManagementError(u.message||(0,w.localize)(3,null,s,o),u.code||h.ExtensionManagementErrorCode.Rename)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const t=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return t;const s=this.scanDevSystemExtensions(),[o,c]=await Promise.all([t,s]);return[...o,...c]}async scanExtensionsInDir(t,s){const o=new n.Limiter(10),c=await this.fileService.resolve(b.URI.file(t));return c.children?(await Promise.all(c.children.filter(m=>m.isDirectory).map(m=>o.queue(async()=>s===1&&(0,E.basename)(m.resource).indexOf(".")===0?null:this.scanExtension(m.resource,s))))).filter(m=>m&&m.identifier):[]}async scanExtension(t,s){try{const o=await this.fileService.resolve(t);if(o.children){const{manifest:c,metadata:u}=await this.readManifest(t.fsPath),m=o.children.find(({name:N})=>/^readme(\.txt|\.md|)$/i.test(N))?.resource,I=o.children.find(({name:N})=>/^changelog(\.txt|\.md|)$/i.test(N))?.resource,A={id:(0,y.getGalleryExtensionId)(c.publisher,c.name)},O={type:s,identifier:A,manifest:c,location:t,readmeUrl:m,changelogUrl:I,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:s===0};return this.setMetadata(O,u),O}}catch(o){s!==0&&this.logService.trace(o)}return null}async scanDefaultSystemExtensions(){const t=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",t.length),t}async scanDevSystemExtensions(){const t=this.getDevSystemExtensionsList();if(t.length){const s=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",s.length),s.filter(o=>t.some(c=>(0,y.areSameExtensions)(o.identifier,{id:c})))}else return[]}setMetadata(t,s){t.publisherDisplayName=s?.publisherDisplayName||null,t.publisherId=s?.publisherId||null,t.identifier.uuid=s?.id,t.isMachineScoped=!!s?.isMachineScoped,t.isPreReleaseVersion=!!s?.isPreReleaseVersion,t.preRelease=!!s?.preRelease,t.isBuiltin=t.type===0||!!s?.isBuiltin,t.installedTimestamp=s?.installedTimestamp}async removeUninstalledExtensions(){const t=await this.getUninstalledExtensions(),s=await this.scanAllUserExtensions(),o=new Set;for(const m of s)t[new y.ExtensionIdentifierWithVersion(m.identifier,m.manifest.version).key()]||o.add(m.identifier.id.toLowerCase());const c=(0,y.groupByExtension)(s,m=>m.identifier);await n.Promises.settled(c.map(async m=>{const I=m.sort((A,O)=>P.rcompare(A.manifest.version,O.manifest.version))[0];o.has(I.identifier.id.toLowerCase())||await this.beforeRemovingExtension(I)}));const u=s.filter(m=>t[new y.ExtensionIdentifierWithVersion(m.identifier,m.manifest.version).key()]);await n.Promises.settled(u.map(m=>this.removeUninstalledExtension(m)))}async removeOutdatedExtensions(){const t=await this.scanAllUserExtensions(),s=[],o=(0,y.groupByExtension)(t,c=>c.identifier);s.push(...(0,T.flatten)(o.map(c=>c.sort((u,m)=>P.rcompare(u.manifest.version,m.manifest.version)).slice(1)))),await n.Promises.settled(s.map(c=>this.removeExtension(c,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(t=>t.name)}joinErrors(t){const s=Array.isArray(t)?t:[t];return s.length===1?s[0]instanceof Error?s[0]:new Error(s[0]):s.reduce((o,c)=>new Error(`${o.message}${o.message?",":""}${c instanceof Error?c.message:c}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=R.normalize(R.join(L.FileAccess.asFileUri("",J).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(t){const s=[p.Promises.readFile(R.join(t,"package.json"),"utf8").then(m=>this.parseManifest(m)),p.Promises.readFile(R.join(t,"package.nls.json"),"utf8").then(void 0,m=>m.code!=="ENOENT"?Promise.reject(m):"{}").then(m=>JSON.parse(m))],[{manifest:o,metadata:c},u]=await Promise.all(s);return{manifest:(0,g.localizeManifest)(o,u),metadata:c}}parseManifest(t){return new Promise((s,o)=>{try{const c=JSON.parse(t),u=c.__metadata||null;s({manifest:c,metadata:u})}catch{o(new Error((0,w.localize)(4,null)))}})}};a=de([X(1,v.IFileService),X(2,l.ILogService),X(3,S.INativeEnvironmentService),X(4,r.IProductService)],a),e.ExtensionsScanner=a}),define(ne[243],ie([0,1,37,9,18,10,4,31,19,61,7,29,22,65,132,80,13,204,30,33,187,174,241,188,242,218,77,14,6,8,26,21,34]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l,r,a,i,t,s,o,c,u,m,I,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;let O=class extends h.AbstractExtensionManagementService{constructor(F,H,Y,B,z,Q,G,ee,K){super(F,H,Y,ee);this.environmentService=B,this.downloadService=z,this.fileService=G;const U=this._register(Q.createInstance(l.ExtensionsLifecycle));this.extensionsScanner=this._register(Q.createInstance(i.ExtensionsScanner,V=>U.postUninstall(V))),this.manifestCache=this._register(new a.ExtensionsManifestCache(B,this)),this.extensionsDownloader=this._register(Q.createInstance(v.ExtensionsDownloader));const j=this._register(new t.ExtensionsWatcher(this,G,B,Y,K));this._register(j.onDidChangeExtensionsByAnotherSource(({added:V,removed:q})=>{V.length&&this._onDidInstallExtensions.fire(V.map(x=>({identifier:x.identifier,operation:1,local:x}))),q.forEach(x=>this._onDidUninstallExtension.fire({identifier:x}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(async()=>{const F=await this.isAlpineLinux(),H=(0,y.getTargetPlatform)(F?"alpine":L.platform,R.arch);return this.logService.debug("ExtensionManagementService#TargetPlatform:",H),H})()),this._targetPlatformPromise}async isAlpineLinux(){if(!L.isLinux)return!1;let F;try{F=(await this.fileService.readFile(P.URI.file("/etc/os-release"))).value.toString()}catch{try{F=(await this.fileService.readFile(P.URI.file("/usr/lib/os-release"))).value.toString()}catch(Y){this.logService.debug("Error while getting the os-release file.",(0,n.getErrorMessage)(Y))}}return!!F&&(F.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async zip(F){this.logService.trace("ExtensionManagementService#zip",F.identifier.id);const H=await this.collectFiles(F),Y=await(0,p.zip)((0,C.joinPath)(this.environmentService.tmpDir,(0,b.generateUuid)()).fsPath,H);return P.URI.file(Y)}async unzip(F){return this.logService.trace("ExtensionManagementService#unzip",F.toString()),(await this.install(F)).identifier}async getManifest(F){const H=await this.downloadVsix(F),Y=_.resolve(H.fsPath);return(0,r.getManifest)(Y)}getInstalled(F=null){return this.extensionsScanner.scanExtensions(F)}async install(F,H={}){this.logService.trace("ExtensionManagementService#install",F.toString());const Y=await this.downloadVsix(F),B=await(0,r.getManifest)(_.resolve(Y.fsPath));if(B.engines&&B.engines.vscode&&!(0,s.isEngineValid)(B.engines.vscode,this.productService.version,this.productService.date))throw new Error(d.localize(0,null,(0,g.getGalleryExtensionId)(B.publisher,B.name),this.productService.version));return this.installExtension(B,Y,H)}async updateMetadata(F,H){this.logService.trace("ExtensionManagementService#updateMetadata",F.identifier.id);const Y={...F.manifest.__metadata||{},...H};return H.isPreReleaseVersion&&(Y.preRelease=!0),F=await this.extensionsScanner.saveMetadataForLocalExtension(F,Y),this.manifestCache.invalidate(),F}async updateExtensionScope(F,H){return this.logService.trace("ExtensionManagementService#updateExtensionScope",F.identifier.id),F=await this.extensionsScanner.saveMetadataForLocalExtension(F,{...F.manifest.__metadata||{},isMachineScoped:H}),this.manifestCache.invalidate(),F}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async downloadVsix(F){if(F.scheme===k.Schemas.file)return F;const H=(0,C.joinPath)(this.environmentService.tmpDir,(0,b.generateUuid)());return await this.downloadService.download(F,H),H}createInstallExtensionTask(F,H,Y){return P.URI.isUri(H)?new D(F,H,Y,this.galleryService,this.extensionsScanner,this.logService):new $(H,Y,this.extensionsDownloader,this.extensionsScanner,this.logService)}createUninstallExtensionTask(F,H){return new M(F,H,this.extensionsScanner)}async collectFiles(F){const H=async B=>{let z=await f.Promises.readdir(B);z=z.map(ee=>_.join(B,ee));const Q=await Promise.all(z.map(ee=>f.Promises.stat(ee)));let G=Promise.resolve([]);return Q.forEach((ee,K)=>{const U=z[K];ee.isFile()&&(G=G.then(j=>[...j,U])),ee.isDirectory()&&(G=G.then(j=>H(U).then(V=>[...j,...V])))}),G};return(await H(F.location.fsPath)).map(B=>({path:`extension/${_.relative(F.location.fsPath,B)}`,localPath:B}))}};O=de([X(0,y.IExtensionGalleryService),X(1,I.ITelemetryService),X(2,u.ILogService),X(3,S.INativeEnvironmentService),X(4,w.IDownloadService),X(5,c.IInstantiationService),X(6,o.IFileService),X(7,m.IProductService),X(8,A.IUriIdentityService)],O),e.ExtensionManagementService=O;class N extends h.AbstractExtensionTask{constructor(F,H,Y,B){super();this.identifier=F,this.source=H,this.extensionsScanner=Y,this.logService=B,this._operation=2}get operation(){return this._operation}async installExtension(F,H){try{const Y=await this.unsetUninstalledAndGetLocal(F.identifierWithVersion);if(Y)return F.metadata?this.extensionsScanner.saveMetadataForLocalExtension(Y,{...Y.manifest.__metadata||{},...F.metadata}):Y}catch{throw L.isMacintosh?new y.ExtensionManagementError(d.localize(1,null),y.ExtensionManagementErrorCode.Internal):new y.ExtensionManagementError(d.localize(2,null),y.ExtensionManagementErrorCode.Internal)}return this.extract(F,H)}async unsetUninstalledAndGetLocal(F){if(!await this.isUninstalled(F))return null;this.logService.trace("Removing the extension from uninstalled list:",F.id);const Y=await this.extensionsScanner.setInstalled(F);return this.logService.info("Removed the extension from uninstalled list:",F.id),Y}async isUninstalled(F){return!!(await this.extensionsScanner.getUninstalledExtensions())[F.key()]}async extract({zipPath:F,identifierWithVersion:H,metadata:Y},B){let z=await this.extensionsScanner.extractUserExtension(H,F,Y,B);return this.logService.info("Extracting completed.",H.id),z}}class $ extends N{constructor(F,H,Y,B,z){super(F.identifier,F,B,z);this.gallery=F,this.options=H,this.extensionsDownloader=Y}async doRun(F){const Y=(await this.extensionsScanner.scanExtensions(null)).find(z=>(0,g.areSameExtensions)(z.identifier,this.gallery.identifier));Y&&(this._operation=3);const B=await this.downloadInstallableExtension(this.gallery,this._operation);B.metadata.isMachineScoped=this.options.isMachineScoped||Y?.isMachineScoped,B.metadata.isBuiltin=this.options.isBuiltin||Y?.isBuiltin,B.metadata.isPreReleaseVersion=this.gallery.properties.isPreReleaseVersion,B.metadata.preRelease=this.gallery.hasPreReleaseVersion?this.gallery.properties.isPreReleaseVersion:Y?.preRelease;try{const z=await this.installExtension(B,F);return Y&&E.neq(Y.manifest.version,this.gallery.version)&&await this.extensionsScanner.setUninstalled(Y),z}catch(z){throw await this.deleteDownloadedVSIX(B.zipPath),z}}async deleteDownloadedVSIX(F){try{await this.extensionsDownloader.delete(P.URI.file(F))}catch(H){this.logService.warn("Error while deleting the downloaded vsix",F.toString(),(0,n.getErrorMessage)(H))}}async downloadInstallableExtension(F,H){const Y={id:F.identifier.uuid,publisherId:F.publisherId,publisherDisplayName:F.publisherDisplayName};let B;try{this.logService.trace("Started downloading extension:",F.identifier.id),B=(await this.extensionsDownloader.downloadExtension(F,H)).fsPath,this.logService.info("Downloaded extension:",F.identifier.id,B)}catch(z){throw new y.ExtensionManagementError((0,h.joinErrors)(z).message,y.ExtensionManagementErrorCode.Download)}try{const z=await(0,r.getManifest)(B);return{zipPath:B,identifierWithVersion:new g.ExtensionIdentifierWithVersion(F.identifier,z.version),metadata:Y}}catch(z){throw await this.deleteDownloadedVSIX(B),new y.ExtensionManagementError((0,h.joinErrors)(z).message,y.ExtensionManagementErrorCode.Invalid)}}}class D extends N{constructor(F,H,Y,B,z,Q){super({id:(0,g.getGalleryExtensionId)(F.publisher,F.name)},H,z,Q);this.manifest=F,this.location=H,this.options=Y,this.galleryService=B}async doRun(F){const H=new g.ExtensionIdentifierWithVersion(this.identifier,this.manifest.version),B=(await this.extensionsScanner.scanExtensions(1)).find(Q=>(0,g.areSameExtensions)(this.identifier,Q.identifier)),z=await this.getMetadata(this.identifier.id,this.manifest.version,F);if(z.isMachineScoped=this.options.isMachineScoped||B?.isMachineScoped,z.isBuiltin=this.options.isBuiltin||B?.isBuiltin,B)if(this._operation=3,H.equals(new g.ExtensionIdentifierWithVersion(B.identifier,B.manifest.version)))try{await this.extensionsScanner.removeExtension(B,"existing")}catch{throw new Error(d.localize(3,null,this.manifest.displayName||this.manifest.name))}else E.gt(B.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(B);else{const Q=await this.unsetUninstalledAndGetLocal(H);if(Q)try{await this.extensionsScanner.removeExtension(Q,"existing")}catch{throw new Error(d.localize(4,null,this.manifest.displayName||this.manifest.name))}}return this.installExtension({zipPath:_.resolve(this.location.fsPath),identifierWithVersion:H,metadata:z},F)}async getMetadata(F,H,Y){try{let[B]=await this.galleryService.getExtensions([{id:F,version:H}],Y);if(B||([B]=await this.galleryService.getExtensions([{id:F}],Y)),B)return{id:B.identifier.uuid,publisherDisplayName:B.publisherDisplayName,publisherId:B.publisherId,isPreReleaseVersion:B.properties.isPreReleaseVersion,preRelease:B.properties.isPreReleaseVersion}}catch{}return{}}}class M extends h.AbstractExtensionTask{constructor(F,H,Y){super();this.extension=F,this.options=H,this.extensionsScanner=Y}async doRun(F){const H=[],Y=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const B=new g.ExtensionIdentifierWithVersion(this.extension.identifier,this.extension.manifest.version);H.push(...Y.filter(z=>B.equals(new g.ExtensionIdentifierWithVersion(z.identifier,z.manifest.version))))}else H.push(...Y.filter(B=>(0,g.areSameExtensions)(B.identifier,this.extension.identifier)));if(!H.length)throw new Error(d.localize(5,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...H),this.options.remove)for(const B of H)try{F.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(B)}catch(z){throw new Error(d.localize(6,null,(0,T.toErrorMessage)(z)))}}}}),define(ne[244],ie([0,1,82,55,32,17,9,3,2,10,4,29,36,72,254]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class w{constructor(I,A=""){this.debugLabel=A,this.socket=I,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=O=>{if(this.traceSocketEvent("error",{code:O?.code,message:O?.message}),O){if(O.code==="EPIPE")return;(0,L.onUnexpectedError)(O)}},this.socket.on("error",this._errorListener)}traceSocketEvent(I,A){p.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,I,A)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(I){const A=O=>{this.traceSocketEvent("read",O),I(_.VSBuffer.wrap(O))};return this.socket.on("data",A),{dispose:()=>this.socket.off("data",A)}}onClose(I){const A=O=>{this.traceSocketEvent("close",{hadError:O}),I({type:0,hadError:O,error:void 0})};return this.socket.on("close",A),{dispose:()=>this.socket.off("close",A)}}onEnd(I){const A=()=>{this.traceSocketEvent("nodeEndReceived"),I()};return this.socket.on("end",A),{dispose:()=>this.socket.off("end",A)}}write(I){if(!this.socket.destroyed)try{this.traceSocketEvent("write",I),this.socket.write(I.buffer,A=>{if(A){if(A.code==="EPIPE")return;(0,L.onUnexpectedError)(A)}})}catch(A){if(A.code==="EPIPE")return;(0,L.onUnexpectedError)(A)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((I,A)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),I();return}const O=()=>{this.socket.off("close",O),this.socket.off("end",O),this.socket.off("error",O),this.socket.off("timeout",O),this.socket.off("drain",O),this.traceSocketEvent("nodeDrainEnd"),I()};this.socket.on("close",O),this.socket.on("end",O),this.socket.on("error",O),this.socket.on("timeout",O),this.socket.on("drain",O)})}}e.NodeSocket=w;var S;(function(m){m[m.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var h;(function(m){m[m.PeekHeader=1]="PeekHeader",m[m.ReadHeader=2]="ReadHeader",m[m.ReadBody=3]="ReadBody",m[m.Fin=4]="Fin"})(h||(h={}));class y extends C.Disposable{constructor(I,A,O,N){super();this._onData=this._register(new R.Emitter),this._onClose=this._register(new R.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=I,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:A,inflateBytesLength:O?.byteLength||0,recordInflateBytes:N}),this._flowManager=this._register(new g(this,A,O,N,this._onData,($,D)=>this._write($,D))),this._register(this._flowManager.onError($=>{console.error($),(0,L.onUnexpectedError)($),this._onClose.fire({type:0,hadError:!0,error:$})})),this._incomingData=new p.ChunkStream,this._register(this.socket.onData($=>this._acceptChunk($))),this._register(this.socket.onClose($=>this._onClose.fire($)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(I,A){this.socket.traceSocketEvent(I,A)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(I){return this._onData.event(I)}onClose(I){return this._onClose.event(I)}onEnd(I){return this.socket.onEnd(I)}write(I){this._flowManager.writeMessage(I)}_write(I,A){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",I);let O=2;I.byteLength<126?O+=0:I.byteLength<2**16?O+=2:O+=8;const N=_.VSBuffer.alloc(O);if(A?N.writeUInt8(194,0):N.writeUInt8(130,0),I.byteLength<126)N.writeUInt8(I.byteLength,1);else if(I.byteLength<2**16){N.writeUInt8(126,1);let $=1;N.writeUInt8(I.byteLength>>>8&255,++$),N.writeUInt8(I.byteLength>>>0&255,++$)}else{N.writeUInt8(127,1);let $=1;N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(I.byteLength>>>24&255,++$),N.writeUInt8(I.byteLength>>>16&255,++$),N.writeUInt8(I.byteLength>>>8&255,++$),N.writeUInt8(I.byteLength>>>0&255,++$)}this.socket.write(_.VSBuffer.concat([N,I]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(I){if(I.byteLength!==0){for(this._incomingData.acceptChunk(I);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const A=this._incomingData.peek(this._state.readLen),O=A.readUInt8(0),N=(O&128)>>>7,$=(O&64)>>>6,D=A.readUInt8(1),M=(D&128)>>>7,W=D&127;this._state.state=2,this._state.readLen=2+(M?4:0)+(W===126?2:0)+(W===127?8:0),this._state.fin=N,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean($)),this._state.firstFrameOfMessage=Boolean(N),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const A=this._incomingData.read(this._state.readLen),O=A.readUInt8(1),N=(O&128)>>>7;let $=O&127,D=1;$===126?$=A.readUInt8(++D)*2**8+A.readUInt8(++D):$===127&&($=A.readUInt8(++D)*0+A.readUInt8(++D)*0+A.readUInt8(++D)*0+A.readUInt8(++D)*0+A.readUInt8(++D)*2**24+A.readUInt8(++D)*2**16+A.readUInt8(++D)*2**8+A.readUInt8(++D));let M=0;N&&(M=A.readUInt8(++D)*2**24+A.readUInt8(++D)*2**16+A.readUInt8(++D)*2**8+A.readUInt8(++D)),this._state.state=3,this._state.readLen=$,this._state.mask=M,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const A=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",A),r(A,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",A),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(A,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await R.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=y;class g extends C.Disposable{constructor(I,A,O,N,$,D){super();this._tracer=I,this._onData=$,this._writeFn=D,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new R.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,A?(this._zlibInflateStream=this._register(new v(this._tracer,N,O,{windowBits:15})),this._zlibDeflateStream=this._register(new l(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(M=>this._onError.fire(M))),this._register(this._zlibDeflateStream.onError(M=>this._onError.fire(M)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:_.VSBuffer.alloc(0)}writeMessage(I){this._writeQueue.push(I),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const I=this._writeQueue.shift();if(this._zlibDeflateStream){const A=await this._deflateMessage(this._zlibDeflateStream,I);this._writeFn(A,!0)}else this._writeFn(I,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(I,A){return new Promise((O,N)=>{I.write(A),I.flush($=>O($))})}acceptFrame(I,A,O){this._readQueue.push({data:I,isCompressed:A,isLastFrameOfMessage:O}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const I=this._readQueue.shift();if(this._zlibInflateStream&&I.isCompressed){const A=await this._inflateFrame(this._zlibInflateStream,I.data,I.isLastFrameOfMessage);this._onData.fire(A)}else this._onData.fire(I.data)}this._isProcessingReadQueue=!1}}_inflateFrame(I,A,O){return new Promise((N,$)=>{I.write(A),O&&I.write(_.VSBuffer.fromByteArray([0,0,255,255])),I.flush(D=>N(D))})}}class v extends C.Disposable{constructor(I,A,O,N){super();this._tracer=I,this._recordInflateBytes=A,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=d.createInflateRaw(N),this._zlibInflate.on("error",$=>{this._tracer.traceSocketEvent("zlibInflateError",{message:$?.message,code:$?.code}),this._onError.fire($)}),this._zlibInflate.on("data",$=>{this._tracer.traceSocketEvent("zlibInflateData",$),this._pendingInflateData.push(_.VSBuffer.wrap($))}),O&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",O.buffer),this._zlibInflate.write(O.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?_.VSBuffer.concat(this._recordedInflateBytes):_.VSBuffer.alloc(0)}write(I){this._recordInflateBytes&&this._recordedInflateBytes.push(I.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",I),this._zlibInflate.write(I.buffer)}flush(I){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const A=_.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,I(A)})}}class l extends C.Disposable{constructor(I,A){super();this._tracer=I,this._onError=this._register(new R.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=d.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",O=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:O?.message,code:O?.code}),this._onError.fire(O)}),this._zlibDeflate.on("data",O=>{this._tracer.traceSocketEvent("zlibDeflateData",O),this._pendingDeflateData.push(_.VSBuffer.wrap(O))})}write(I){this._tracer.traceSocketEvent("zlibDeflateWrite",I.buffer),this._zlibDeflate.write(I.buffer)}flush(I){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let A=_.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,A=A.slice(0,A.byteLength-4),I(A)})}}function r(m,I){if(I===0)return;let A=m.byteLength>>>2;for(let W=0;W<A;W++){const F=m.readUInt32BE(W*4);m.writeUInt32BE(F^I,W*4)}let O=A*4,N=m.byteLength-O;const $=I>>>24&255,D=I>>>16&255,M=I>>>8&255;N>=1&&m.writeUInt8(m.readUInt8(O)^$,O),N>=2&&m.writeUInt8(m.readUInt8(O+1)^D,O+1),N>=3&&m.writeUInt8(m.readUInt8(O+2)^M,O+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const a={[2]:107,[1]:103};function i(){const m=(0,b.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${m}-sock`;let I;return e.XDG_RUNTIME_DIR?I=(0,E.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${m}.sock`):I=(0,E.join)((0,k.tmpdir)(),`vscode-ipc-${m}.sock`),s(I),I}e.createRandomIPCHandle=i;function t(m,I,A){const O=(0,T.createHash)("md5").update(m).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${O}-${A}-${I}-sock`;let N;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?N=(0,E.join)(e.XDG_RUNTIME_DIR,`vscode-${O.substr(0,8)}-${A}-${I}.sock`):N=(0,E.join)(m,`${A}-${I}.sock`),s(N),N}e.createStaticIPCHandle=t;function s(m){const I=a[P.platform];typeof I=="number"&&m.length>=I&&console.warn(`WARNING: IPC handle "${m}" is longer than ${I} chars, try a shorter --user-data-dir`)}class o extends f.IPCServer{constructor(I){super(o.toClientConnectionEvent(I));this.server=I}static toClientConnectionEvent(I){const A=R.Event.fromNodeEventEmitter(I,"connection");return R.Event.map(A,O=>({protocol:new p.Protocol(new w(O,"ipc-server-connection")),onDidClientDisconnect:R.Event.once(R.Event.fromNodeEventEmitter(O,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=o;function c(m){return new Promise((I,A)=>{const O=(0,n.createServer)();O.on("error",A),O.listen(m,()=>{O.removeListener("error",A),I(new o(O))})})}e.serve=c;function u(m,I){return new Promise((A,O)=>{const N=(0,n.createConnection)(m,()=>{N.removeListener("error",O),A(p.Client.fromSocket(new w(N,`ipc-client${I}`),I))});N.once("error",O)})}e.connect=u}),define(ne[245],ie([0,1,55,244]),function(J,e,T,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(k,_,L,R,C){const E=b=>C(b,void 0),P=T.createConnection({host:k,port:_},()=>{P.removeListener("error",E);const b=Buffer.alloc(16);for(let w=0;w<16;w++)b[w]=Math.round(Math.random()*256);const f=b.toString("base64"),p=[`GET ws://${/:/.test(k)?`[${k}]`:k}:${_}/?${L}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${f}`];P.write(p.join(`\r
`)+`\r
\r
`);const d=w=>{w.toString().indexOf(`\r
\r
`)>=0&&(P.off("data",d),C(void 0,new n.NodeSocket(P,R)))};P.on("data",d)});P.setNoDelay(!0),P.once("error",E)}}}),define(ne[246],ie([0,1,55,115,245,5,2,20,8,26,185,62,91]),function(J,e,T,n,k,_,L,R,C,E,P,b,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function p(y,g,v,l,r){let a;for(let i=3;i&&(a&&a.dispose(),a=await new d(y,g,v,l,r).waitForReady(),!(r&&n.BROWSER_RESTRICTED_PORTS[r]||!n.BROWSER_RESTRICTED_PORTS[a.tunnelLocalPort]));i--);return a}class d extends L.Disposable{constructor(g,v,l,r,a){super();this.defaultTunnelHost=v,this.suggestedLocalPort=a,this.privacy=b.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=g,this._server=T.createServer(),this._barrier=new _.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=i=>this._onConnection(i),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=r,this.tunnelRemoteHost=l}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(v=>{v()})}async waitForReady(){let g=await(0,n.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),v=null;return this._server.listen(g,this.defaultTunnelHost),await this._barrier.wait(),v=this._server.address(),v||(g=0,this._server.listen(g,this.defaultTunnelHost),await this._barrier.wait(),v=this._server.address()),this.tunnelLocalPort=v.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${v.port}`,this}async _onConnection(g){g.pause();const v=(0,b.isLocalhost)(this.tunnelRemoteHost)||(0,b.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,l=await(0,P.connectRemoteAgentTunnel)(this._options,v,this.tunnelRemotePort),r=l.getSocket().socket,a=l.readEntireBuffer();l.dispose(),a.byteLength>0&&g.write(a.buffer),g.on("end",()=>{this._socketsDispose.delete(g.localAddress),r.end()}),g.on("close",()=>r.end()),g.on("error",()=>{this._socketsDispose.delete(g.localAddress),r.destroy()}),r.on("end",()=>g.end()),r.on("close",()=>g.end()),r.on("error",()=>{g.destroy()}),g.pipe(r),r.pipe(g),this._socketsDispose.set(g.localAddress,()=>{g.end(),r.end()})}}let w=class extends b.AbstractTunnelService{constructor(g,v,l,r,a){super(v);this.socketFactory=g,this.signService=l,this.productService=r,this.configurationService=a}get defaultTunnelHost(){const g=this.configurationService.getValue("remote.localPortHost");return!g||g==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(g,v,l,r,a,i,t){const s=this.getTunnelFromMap(v,l);if(s)return++s.refcount,s.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,v,l,r,a,i,t);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${v}:${l} on local port ${r}.`);const o={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:g,signService:this.signService,logService:this.logService,ipcLogger:null},c=p(o,this.defaultTunnelHost,v,l,r);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(v,l,c),c}}};w=de([X(1,C.ILogService),X(2,f.ISignService),X(3,E.IProductService),X(4,R.IConfigurationService)],w),e.BaseTunnelService=w;let S=class extends w{constructor(g,v,l,r){super(k.nodeSocketFactory,g,v,l,r)}};S=de([X(0,C.ILogService),X(1,f.ISignService),X(2,E.IProductService),X(3,R.IConfigurationService)],S),e.TunnelService=S;let h=class extends L.Disposable{constructor(g,v,l,r){super();this.logService=g,this.productService=v,this.signService=l,this.configurationService=r,this._tunnelServices=new Map}async openTunnel(g,v,l,r,a,i,t,s){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${l}:${r} on local port ${a}.`),!this._tunnelServices.has(g)){const o=new S(this.logService,this.signService,this.productService,this.configurationService);this._register(o),this._tunnelServices.set(g,o),o.onTunnelClosed(async()=>{(await o.tunnels).length===0&&(o.dispose(),this._tunnelServices.delete(g))})}return this._tunnelServices.get(g).openTunnel(v,l,r,a,i,t,s)}};h=de([X(0,C.ILogService),X(1,E.IProductService),X(2,f.ISignService),X(3,R.IConfigurationService)],h),e.SharedTunnelsService=h}),define(ne[255],ie([0,1,73,32,37,9,2,18,19,7,36,118,179,160,180,171,172,173,158,162,20,183,79,203,80,193,13,197,199,207,30,161,205,243,81,156,14,176,178,51,6,168,84,169,170,59,189,8,85,60,86,26,192,43,23,201,202,21,93,94,95,44,208,209,96,211,217,92,98,24,63,231,233,234,64,232,236,237,238,239,240,91,198,62,246,190,191,90,196,206,34,219,4,220,165,182,181]),function(J,e,T,n,k,_,L,R,C,E,P,b,f,p,d,w,S,h,y,g,v,l,r,a,i,t,s,o,c,u,m,I,A,O,N,$,D,M,W,F,H,Y,B,z,Q,G,ee,K,U,j,V,q,x,re,se,ce,he,Se,ge,ye,pe,Ie,Ee,De,Fe,Ue,Ne,ze,te,ae,ue,be,Ce,$e,Te,Oe,Ae,Z,oe,le,fe,me,Le,we,Re,ke,Pe,_e,qe,Be,xe,Pt,Rt,Dt,pt,kt,St){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Lt extends L.Disposable{constructor(ve){super();this.configuration=ve,this.server=this._register(new b.Server),this.sharedProcessWorkerService=void 0,this.registerListeners()}registerListeners(){const ve=()=>this.dispose();process.once("exit",ve),T.ipcRenderer.once("vscode:electron-main->shared-process=exit",ve);const Me="vscode:electron-main->shared-process=disposeWorker",je=(Ye,We)=>this.onDisposeWorker(We);T.ipcRenderer.on(Me,je),this._register((0,L.toDisposable)(()=>T.ipcRenderer.removeListener(Me,je)))}onDisposeWorker(ve){this.sharedProcessWorkerService?.disposeWorker(ve)}async open(){const ve=await this.initServices();(0,ae.registerConfiguration)(),ve.invokeFunction(Me=>{const je=Me.get(K.ILogService);je.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Me),this.registerErrorHandler(je)}),this._register((0,L.combinedDisposable)(ve.createInstance(f.CodeCacheCleaner,this.configuration.codeCachePath),ve.createInstance(d.LanguagePackCachedDataCleaner),ve.createInstance(h.StorageDataCleaner,this.configuration.backupWorkspacesPath),ve.createInstance(S.LogsDataCleaner),ve.createInstance(w.LocalizationsUpdater),ve.createInstance(p.ExtensionsCleaner)))}async initServices(){const ve=new B.ServiceCollection,Me={_serviceBrand:void 0,...V.default};ve.set(q.IProductService,Me);const je=new P.StaticRouter(Ge=>Ge==="main"),Ye=new z.MessagePortMainProcessService(this.server,je);ve.set(Q.IMainProcessService,Ye);const We=new o.SharedProcessEnvironmentService(this.configuration.args,Me);ve.set(s.INativeEnvironmentService,We);const it=new U.LogLevelChannelClient(this.server.getChannel("logLevel",je)),Xe=new U.LoggerChannelClient(this.configuration.logLevel,it.onDidChangeLogLevel,Ye.getChannel("logger"));ve.set(K.ILoggerService,Xe);const ot=this._register(new K.MultiplexLogService([this._register(new K.ConsoleLogger(this.configuration.logLevel)),this._register(Xe.createLogger((0,C.joinPath)(E.URI.file(We.logsPath),"sharedprocess.log"),{name:"sharedprocess"}))])),Je=this._register(new U.FollowerLogService(it,ot));ve.set(K.ILogService,Je),this.sharedProcessWorkerService=new qe.SharedProcessWorkerService(Je,Me,We),ve.set(_e.ISharedProcessWorkerService,this.sharedProcessWorkerService);const Ve=this._register(new M.FileService(Je));ve.set(D.IFileService,Ve);const at=this._register(new W.DiskFileSystemProvider(Je));Ve.registerProvider(R.Schemas.file,at);const ct=this._register(new Dt.FileUserDataProvider(R.Schemas.file,this._register(new pt.DiskFileSystemProviderClient(Ye.getChannel(pt.LOCAL_FILE_SYSTEM_CHANNEL_NAME),{pathCaseSensitive:Rt.isLinux})),R.Schemas.userData,Ve,Je));Ve.registerProvider(R.Schemas.userData,ct);const He=this._register(new l.ConfigurationService(We.settingsResource,Ve));ve.set(v.IConfigurationService,He);const et=new ce.NativeStorageService(void 0,Ye,We);ve.set(se.IStorageService,et),this._register((0,L.toDisposable)(()=>et.flush())),await Promise.all([He.initialize(),et.initialize()]),ve.set(xe.IUriIdentityService,new Pt.UriIdentityService(Ve)),ve.set(re.IRequestService,new F.SyncDescriptor(x.RequestService)),ve.set(y.IChecksumService,new F.SyncDescriptor(g.ChecksumService)),ve.set(St.IV8InspectProfilingService,new F.SyncDescriptor(kt.InspectProfilingService));const rt=P.ProxyChannel.toService(Ye.getChannel("nativeHost"),{context:this.configuration.windowId});ve.set(j.INativeHostService,rt),ve.set(i.IDownloadService,new F.SyncDescriptor(t.DownloadService));const lt=this._register(new fe.ActiveWindowManager(rt)),ut=new P.StaticRouter(Ge=>lt.getActiveClientId().then(dt=>Ge===dt));ve.set(N.IExtensionRecommendationNotificationService,new $.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",ut)));const ht=new Be.AssignmentService(this.configuration.machineId,He,Me);let tt;const Qe=[];if((0,Ie.supportsTelemetry)(Me,We)){const Ge=new ye.TelemetryLogAppender(Xe,We);Qe.push(Ge);const{appRoot:dt,extensionsPath:At,installSourcePath:Ot}=We;if(Me.aiConfig&&Me.aiConfig.asimovKey){const st=await ht.getTreatment("telemetryMigration")??!1,ft=Me.quality!=="stable";if(ft&&st){const bt=new Ee.AppInsightsAppender("monacoworkbench",null,Me.aiConfig.asimovKey,st,!0);this._register((0,L.toDisposable)(()=>bt.flush())),Qe.push(bt)}const Et=new Ee.AppInsightsAppender("monacoworkbench",null,Me.aiConfig.asimovKey,ft?!1:st,st&&ft);this._register((0,L.toDisposable)(()=>Et.flush())),Qe.push(Et)}tt=new pe.TelemetryService({appenders:Qe,commonProperties:(0,he.resolveCommonProperties)(Ve,(0,n.release)(),(0,n.hostname)(),process.arch,Me.commit,Me.version,this.configuration.machineId,Me.msftInternalDomains,Ot),sendErrorTelemetry:!0,piiPaths:[dt,At]},He)}else{tt=Ie.NullTelemetryService;const Ge=Ie.NullAppender;Qe.push(Ge)}this.server.registerChannel("telemetryAppender",new ge.TelemetryAppenderChannel(Qe)),ve.set(Se.ITelemetryService,tt);const _t=new De.CustomEndpointTelemetryService(He,tt,Xe,We);ve.set(Se.ICustomEndpointTelemetryService,_t),ve.set(m.IExtensionManagementService,new F.SyncDescriptor(O.ExtensionManagementService)),ve.set(m.IExtensionGalleryService,new F.SyncDescriptor(u.ExtensionGalleryService)),ve.set(m.IExtensionTipsService,new F.SyncDescriptor(A.ExtensionTipsService)),ve.set(G.ILocalizationsService,new F.SyncDescriptor(ee.LocalizationsService)),ve.set(r.IDiagnosticsService,new F.SyncDescriptor(a.DiagnosticsService)),ve.set(ue.IUserDataSyncAccountService,new F.SyncDescriptor(ue.UserDataSyncAccountService)),ve.set(ae.IUserDataSyncLogService,new F.SyncDescriptor($e.UserDataSyncLogService)),ve.set(ae.IUserDataSyncUtilService,new Ce.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",Ge=>Ge.ctx!=="main"))),ve.set(m.IGlobalExtensionEnablementService,new F.SyncDescriptor(c.GlobalExtensionEnablementService)),ve.set(te.IIgnoredExtensionsManagementService,new F.SyncDescriptor(te.IgnoredExtensionsManagementService)),ve.set(ze.IExtensionStorageService,new F.SyncDescriptor(ze.ExtensionStorageService)),ve.set(ae.IUserDataSyncStoreManagementService,new F.SyncDescriptor(oe.UserDataSyncStoreManagementService)),ve.set(ae.IUserDataSyncStoreService,new F.SyncDescriptor(oe.UserDataSyncStoreService)),ve.set(Te.IUserDataSyncMachinesService,new F.SyncDescriptor(Te.UserDataSyncMachinesService)),ve.set(ae.IUserDataSyncBackupStoreService,new F.SyncDescriptor(be.UserDataSyncBackupStoreService)),ve.set(ae.IUserDataSyncEnablementService,new F.SyncDescriptor(Oe.UserDataSyncEnablementService)),ve.set(ae.IUserDataSyncService,new F.SyncDescriptor(Ae.UserDataSyncService));const wt=new Ne.PtyHostService({graceTime:6e4,shortGraceTime:6e3,scrollback:He.getValue("terminal.integrated.persistentSessionScrollback")??100},He,We,Je,tt);return await wt.initialize(),ve.set(Ue.ILocalPtyService,this._register(wt)),ve.set(me.ISignService,new F.SyncDescriptor(Le.SignService)),ve.set(we.ISharedTunnelsService,new F.SyncDescriptor(Re.SharedTunnelsService)),ve.set(ke.ISharedProcessTunnelService,new F.SyncDescriptor(Pe.SharedProcessTunnelService)),new Y.InstantiationService(ve)}initChannels(ve){const Me=new I.ExtensionManagementChannel(ve.get(m.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Me);const je=P.ProxyChannel.fromService(ve.get(G.ILocalizationsService));this.server.registerChannel("localizations",je);const Ye=P.ProxyChannel.fromService(ve.get(r.IDiagnosticsService));this.server.registerChannel("diagnostics",Ye);const We=new I.ExtensionTipsChannel(ve.get(m.IExtensionTipsService));this.server.registerChannel("extensionTipsService",We);const it=P.ProxyChannel.fromService(ve.get(y.IChecksumService));this.server.registerChannel("checksum",it);const Xe=P.ProxyChannel.fromService(ve.get(St.IV8InspectProfilingService));this.server.registerChannel("v8InspectProfiling",Xe);const ot=new Ce.UserDataSyncMachinesServiceChannel(ve.get(Te.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",ot);const Je=P.ProxyChannel.fromService(ve.get(Se.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",Je);const Ve=new Ce.UserDataSyncAccountServiceChannel(ve.get(ue.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",Ve);const at=new Ce.UserDataSyncStoreManagementServiceChannel(ve.get(ae.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",at);const ct=new Z.UserDataSyncChannel(ve.get(ae.IUserDataSyncService),ve.get(K.ILogService));this.server.registerChannel("userDataSync",ct);const He=this._register(ve.get(H.IInstantiationService).createInstance(le.UserDataAutoSyncService)),et=new Ce.UserDataAutoSyncChannel(He);this.server.registerChannel("userDataAutoSync",et);const rt=ve.get(Ue.ILocalPtyService),lt=P.ProxyChannel.fromService(rt);this.server.registerChannel(Fe.TerminalIpcChannels.LocalPty,lt);const ut=P.ProxyChannel.fromService(ve.get(ke.ISharedProcessTunnelService));this.server.registerChannel(ke.ipcSharedProcessTunnelChannelName,ut);const ht=P.ProxyChannel.fromService(ve.get(_e.ISharedProcessWorkerService));this.server.registerChannel(_e.ipcSharedProcessWorkerChannelName,ht)}registerErrorHandler(ve){window.addEventListener("unhandledrejection",Me=>{(0,_.onUnexpectedError)(Me.reason),Me.preventDefault()}),(0,_.setUnexpectedErrorHandler)(Me=>{const je=(0,k.toErrorMessage)(Me,!0);!je||ve.error(`[uncaught exception in sharedProcess]: ${je}`)})}}async function Tt(yt){const ve=new Lt(yt);T.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await ve.open(),T.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Tt})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/753319a08f8e74700b1dba3a29bf0a6af7c2953f/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
