/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ee=["require","exports","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/async","vs/base/common/path","vs/base/common/network","vs/nls!vs/code/electron-main/main","vs/nls","vs/base/common/types","electron","vs/base/common/errors","vs/base/common/resources","vs/base/common/buffer","vs/platform/files/common/files","vs/platform/configuration/common/configuration","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/cancellation","vs/platform/product/common/productService","vs/platform/environment/electron-main/environmentMainService","vs/base/node/pfs","vs/base/common/strings","os","vs/base/common/extpath","fs","vs/platform/telemetry/common/telemetry","vs/platform/workspaces/common/workspaces","vs/base/common/arrays","vs/base/common/uuid","vs/base/common/labels","vs/base/common/process","vs/base/common/map","vs/platform/windows/electron-main/windows","vs/base/parts/ipc/common/ipc","vs/platform/state/electron-main/state","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/platform/update/common/update","vs/base/common/functional","vs/base/common/json","child_process","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/decorators","vs/base/common/objects","vs/platform/request/common/request","vs/platform/dialogs/electron-main/dialogMainService","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/stream","vs/platform/backup/electron-main/backup","vs/platform/environment/common/environment","vs/platform/environment/node/argvHelper","vs/platform/product/common/product","vs/platform/protocol/electron-main/protocol","vs/platform/configuration/common/configurationRegistry","vs/base/parts/ipc/node/ipc.net","vs/base/common/keybindings","crypto","net","vs/platform/files/common/watcher","vs/base/common/performance","vs/platform/remote/common/remoteHosts","vs/platform/telemetry/common/telemetryUtils","vs/platform/theme/electron-main/themeMainService","vs/platform/windows/common/windows","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/iterator","vs/base/common/hash","vs/base/common/normalization","vs/base/node/id","vs/base/node/processes","vs/platform/instantiation/common/descriptors","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/sign/common/sign","vs/platform/storage/common/storage","vs/platform/storage/electron-main/storageMainService","vs/platform/update/electron-main/abstractUpdateService","vs/base/common/keyCodes","vs/base/common/processes","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/platform/environment/node/argv","vs/platform/encryption/electron-main/encryptionMainService","vs/platform/externalTerminal/common/externalTerminal","vs/platform/environment/node/shellEnv","vs/platform/files/common/io","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/remote/common/tunnel","vs/platform/url/common/url","vs/platform/windows/electron-main/windowsFinder","vs/platform/workspaces/electron-main/workspaces","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/codicons","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/keybindingParser","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/console","vs/base/common/marshalling","vs/base/common/glob","vs/base/common/uriIpc","vs/base/common/worker/simpleWorker","vs/base/node/crypto","vs/base/node/decoder","vs/base/node/macAddress","util","vs/base/node/ports","vs/base/node/powershell","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/contextmenu/electron-main/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/keybindingLabels","vs/base/common/keybindingLabels","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/environment/node/shellEnv","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/electron-main/diskFileSystemProviderServer","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/backup/node/backup","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/driver/common/driverIpc","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/extensions/common/extensionValidator","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensionHostStarter","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/parcel/parcelWatcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/baseResolvedKeybinding","vs/platform/keybinding/common/resolvedKeybindingItem","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/platform/lifecycle/common/lifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/electron-main/diskFileSystemProviderServer","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/protocol/electron-main/protocolMainService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/webviewManagerService","vs/platform/webview/electron-main/webviewProtocolProvider","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/workspace/common/workspace","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/windows/electron-main/windowsStateHandler","vs/platform/extensions/electron-main/workerMainProcessExtensionHostStarter","zlib","vs/platform/driver/node/driver","vs/platform/backup/electron-main/backupMainService","vs/platform/driver/electron-main/driver","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/tunnelService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/state/electron-main/stateMainService","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/code/electron-main/auth","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","string_decoder","minimist","path","assert","graceful-fs","worker_threads","vs/code/electron-main/main"],te=function(G){for(var e=[],y=0,n=G.length;y<n;y++)e[y]=ee[G[y]];return e};define(ee[102],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function y(n,D){if(!n)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=y}),define(ee[103],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function y(k){return k?k.replace(/\$\((.*?)\)/g,(P,f)=>` ${f} `).trim():""}e.getCodiconAriaLabel=y;class n{constructor(P,f,m){this.id=P,this.definition=f,this.description=m,n._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return n._allCodicons}}e.Codicon=n,n._allCodicons=[],n.add=new n("add",{fontCharacter:"\\ea60"}),n.plus=new n("plus",n.add.definition),n.gistNew=new n("gist-new",n.add.definition),n.repoCreate=new n("repo-create",n.add.definition),n.lightbulb=new n("lightbulb",{fontCharacter:"\\ea61"}),n.lightBulb=new n("light-bulb",{fontCharacter:"\\ea61"}),n.repo=new n("repo",{fontCharacter:"\\ea62"}),n.repoDelete=new n("repo-delete",{fontCharacter:"\\ea62"}),n.gistFork=new n("gist-fork",{fontCharacter:"\\ea63"}),n.repoForked=new n("repo-forked",{fontCharacter:"\\ea63"}),n.gitPullRequest=new n("git-pull-request",{fontCharacter:"\\ea64"}),n.gitPullRequestAbandoned=new n("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),n.recordKeys=new n("record-keys",{fontCharacter:"\\ea65"}),n.keyboard=new n("keyboard",{fontCharacter:"\\ea65"}),n.tag=new n("tag",{fontCharacter:"\\ea66"}),n.tagAdd=new n("tag-add",{fontCharacter:"\\ea66"}),n.tagRemove=new n("tag-remove",{fontCharacter:"\\ea66"}),n.person=new n("person",{fontCharacter:"\\ea67"}),n.personFollow=new n("person-follow",{fontCharacter:"\\ea67"}),n.personOutline=new n("person-outline",{fontCharacter:"\\ea67"}),n.personFilled=new n("person-filled",{fontCharacter:"\\ea67"}),n.gitBranch=new n("git-branch",{fontCharacter:"\\ea68"}),n.gitBranchCreate=new n("git-branch-create",{fontCharacter:"\\ea68"}),n.gitBranchDelete=new n("git-branch-delete",{fontCharacter:"\\ea68"}),n.sourceControl=new n("source-control",{fontCharacter:"\\ea68"}),n.mirror=new n("mirror",{fontCharacter:"\\ea69"}),n.mirrorPublic=new n("mirror-public",{fontCharacter:"\\ea69"}),n.star=new n("star",{fontCharacter:"\\ea6a"}),n.starAdd=new n("star-add",{fontCharacter:"\\ea6a"}),n.starDelete=new n("star-delete",{fontCharacter:"\\ea6a"}),n.starEmpty=new n("star-empty",{fontCharacter:"\\ea6a"}),n.comment=new n("comment",{fontCharacter:"\\ea6b"}),n.commentAdd=new n("comment-add",{fontCharacter:"\\ea6b"}),n.alert=new n("alert",{fontCharacter:"\\ea6c"}),n.warning=new n("warning",{fontCharacter:"\\ea6c"}),n.search=new n("search",{fontCharacter:"\\ea6d"}),n.searchSave=new n("search-save",{fontCharacter:"\\ea6d"}),n.logOut=new n("log-out",{fontCharacter:"\\ea6e"}),n.signOut=new n("sign-out",{fontCharacter:"\\ea6e"}),n.logIn=new n("log-in",{fontCharacter:"\\ea6f"}),n.signIn=new n("sign-in",{fontCharacter:"\\ea6f"}),n.eye=new n("eye",{fontCharacter:"\\ea70"}),n.eyeUnwatch=new n("eye-unwatch",{fontCharacter:"\\ea70"}),n.eyeWatch=new n("eye-watch",{fontCharacter:"\\ea70"}),n.circleFilled=new n("circle-filled",{fontCharacter:"\\ea71"}),n.primitiveDot=new n("primitive-dot",{fontCharacter:"\\ea71"}),n.closeDirty=new n("close-dirty",{fontCharacter:"\\ea71"}),n.debugBreakpoint=new n("debug-breakpoint",{fontCharacter:"\\ea71"}),n.debugBreakpointDisabled=new n("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),n.debugHint=new n("debug-hint",{fontCharacter:"\\ea71"}),n.primitiveSquare=new n("primitive-square",{fontCharacter:"\\ea72"}),n.edit=new n("edit",{fontCharacter:"\\ea73"}),n.pencil=new n("pencil",{fontCharacter:"\\ea73"}),n.info=new n("info",{fontCharacter:"\\ea74"}),n.issueOpened=new n("issue-opened",{fontCharacter:"\\ea74"}),n.gistPrivate=new n("gist-private",{fontCharacter:"\\ea75"}),n.gitForkPrivate=new n("git-fork-private",{fontCharacter:"\\ea75"}),n.lock=new n("lock",{fontCharacter:"\\ea75"}),n.mirrorPrivate=new n("mirror-private",{fontCharacter:"\\ea75"}),n.close=new n("close",{fontCharacter:"\\ea76"}),n.removeClose=new n("remove-close",{fontCharacter:"\\ea76"}),n.x=new n("x",{fontCharacter:"\\ea76"}),n.repoSync=new n("repo-sync",{fontCharacter:"\\ea77"}),n.sync=new n("sync",{fontCharacter:"\\ea77"}),n.clone=new n("clone",{fontCharacter:"\\ea78"}),n.desktopDownload=new n("desktop-download",{fontCharacter:"\\ea78"}),n.beaker=new n("beaker",{fontCharacter:"\\ea79"}),n.microscope=new n("microscope",{fontCharacter:"\\ea79"}),n.vm=new n("vm",{fontCharacter:"\\ea7a"}),n.deviceDesktop=new n("device-desktop",{fontCharacter:"\\ea7a"}),n.file=new n("file",{fontCharacter:"\\ea7b"}),n.fileText=new n("file-text",{fontCharacter:"\\ea7b"}),n.more=new n("more",{fontCharacter:"\\ea7c"}),n.ellipsis=new n("ellipsis",{fontCharacter:"\\ea7c"}),n.kebabHorizontal=new n("kebab-horizontal",{fontCharacter:"\\ea7c"}),n.mailReply=new n("mail-reply",{fontCharacter:"\\ea7d"}),n.reply=new n("reply",{fontCharacter:"\\ea7d"}),n.organization=new n("organization",{fontCharacter:"\\ea7e"}),n.organizationFilled=new n("organization-filled",{fontCharacter:"\\ea7e"}),n.organizationOutline=new n("organization-outline",{fontCharacter:"\\ea7e"}),n.newFile=new n("new-file",{fontCharacter:"\\ea7f"}),n.fileAdd=new n("file-add",{fontCharacter:"\\ea7f"}),n.newFolder=new n("new-folder",{fontCharacter:"\\ea80"}),n.fileDirectoryCreate=new n("file-directory-create",{fontCharacter:"\\ea80"}),n.trash=new n("trash",{fontCharacter:"\\ea81"}),n.trashcan=new n("trashcan",{fontCharacter:"\\ea81"}),n.history=new n("history",{fontCharacter:"\\ea82"}),n.clock=new n("clock",{fontCharacter:"\\ea82"}),n.folder=new n("folder",{fontCharacter:"\\ea83"}),n.fileDirectory=new n("file-directory",{fontCharacter:"\\ea83"}),n.symbolFolder=new n("symbol-folder",{fontCharacter:"\\ea83"}),n.logoGithub=new n("logo-github",{fontCharacter:"\\ea84"}),n.markGithub=new n("mark-github",{fontCharacter:"\\ea84"}),n.github=new n("github",{fontCharacter:"\\ea84"}),n.terminal=new n("terminal",{fontCharacter:"\\ea85"}),n.console=new n("console",{fontCharacter:"\\ea85"}),n.repl=new n("repl",{fontCharacter:"\\ea85"}),n.zap=new n("zap",{fontCharacter:"\\ea86"}),n.symbolEvent=new n("symbol-event",{fontCharacter:"\\ea86"}),n.error=new n("error",{fontCharacter:"\\ea87"}),n.stop=new n("stop",{fontCharacter:"\\ea87"}),n.variable=new n("variable",{fontCharacter:"\\ea88"}),n.symbolVariable=new n("symbol-variable",{fontCharacter:"\\ea88"}),n.array=new n("array",{fontCharacter:"\\ea8a"}),n.symbolArray=new n("symbol-array",{fontCharacter:"\\ea8a"}),n.symbolModule=new n("symbol-module",{fontCharacter:"\\ea8b"}),n.symbolPackage=new n("symbol-package",{fontCharacter:"\\ea8b"}),n.symbolNamespace=new n("symbol-namespace",{fontCharacter:"\\ea8b"}),n.symbolObject=new n("symbol-object",{fontCharacter:"\\ea8b"}),n.symbolMethod=new n("symbol-method",{fontCharacter:"\\ea8c"}),n.symbolFunction=new n("symbol-function",{fontCharacter:"\\ea8c"}),n.symbolConstructor=new n("symbol-constructor",{fontCharacter:"\\ea8c"}),n.symbolBoolean=new n("symbol-boolean",{fontCharacter:"\\ea8f"}),n.symbolNull=new n("symbol-null",{fontCharacter:"\\ea8f"}),n.symbolNumeric=new n("symbol-numeric",{fontCharacter:"\\ea90"}),n.symbolNumber=new n("symbol-number",{fontCharacter:"\\ea90"}),n.symbolStructure=new n("symbol-structure",{fontCharacter:"\\ea91"}),n.symbolStruct=new n("symbol-struct",{fontCharacter:"\\ea91"}),n.symbolParameter=new n("symbol-parameter",{fontCharacter:"\\ea92"}),n.symbolTypeParameter=new n("symbol-type-parameter",{fontCharacter:"\\ea92"}),n.symbolKey=new n("symbol-key",{fontCharacter:"\\ea93"}),n.symbolText=new n("symbol-text",{fontCharacter:"\\ea93"}),n.symbolReference=new n("symbol-reference",{fontCharacter:"\\ea94"}),n.goToFile=new n("go-to-file",{fontCharacter:"\\ea94"}),n.symbolEnum=new n("symbol-enum",{fontCharacter:"\\ea95"}),n.symbolValue=new n("symbol-value",{fontCharacter:"\\ea95"}),n.symbolRuler=new n("symbol-ruler",{fontCharacter:"\\ea96"}),n.symbolUnit=new n("symbol-unit",{fontCharacter:"\\ea96"}),n.activateBreakpoints=new n("activate-breakpoints",{fontCharacter:"\\ea97"}),n.archive=new n("archive",{fontCharacter:"\\ea98"}),n.arrowBoth=new n("arrow-both",{fontCharacter:"\\ea99"}),n.arrowDown=new n("arrow-down",{fontCharacter:"\\ea9a"}),n.arrowLeft=new n("arrow-left",{fontCharacter:"\\ea9b"}),n.arrowRight=new n("arrow-right",{fontCharacter:"\\ea9c"}),n.arrowSmallDown=new n("arrow-small-down",{fontCharacter:"\\ea9d"}),n.arrowSmallLeft=new n("arrow-small-left",{fontCharacter:"\\ea9e"}),n.arrowSmallRight=new n("arrow-small-right",{fontCharacter:"\\ea9f"}),n.arrowSmallUp=new n("arrow-small-up",{fontCharacter:"\\eaa0"}),n.arrowUp=new n("arrow-up",{fontCharacter:"\\eaa1"}),n.bell=new n("bell",{fontCharacter:"\\eaa2"}),n.bold=new n("bold",{fontCharacter:"\\eaa3"}),n.book=new n("book",{fontCharacter:"\\eaa4"}),n.bookmark=new n("bookmark",{fontCharacter:"\\eaa5"}),n.debugBreakpointConditionalUnverified=new n("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),n.debugBreakpointConditional=new n("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),n.debugBreakpointConditionalDisabled=new n("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),n.debugBreakpointDataUnverified=new n("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),n.debugBreakpointData=new n("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),n.debugBreakpointDataDisabled=new n("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),n.debugBreakpointLogUnverified=new n("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),n.debugBreakpointLog=new n("debug-breakpoint-log",{fontCharacter:"\\eaab"}),n.debugBreakpointLogDisabled=new n("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),n.briefcase=new n("briefcase",{fontCharacter:"\\eaac"}),n.broadcast=new n("broadcast",{fontCharacter:"\\eaad"}),n.browser=new n("browser",{fontCharacter:"\\eaae"}),n.bug=new n("bug",{fontCharacter:"\\eaaf"}),n.calendar=new n("calendar",{fontCharacter:"\\eab0"}),n.caseSensitive=new n("case-sensitive",{fontCharacter:"\\eab1"}),n.check=new n("check",{fontCharacter:"\\eab2"}),n.checklist=new n("checklist",{fontCharacter:"\\eab3"}),n.chevronDown=new n("chevron-down",{fontCharacter:"\\eab4"}),n.dropDownButton=new n("drop-down-button",n.chevronDown.definition),n.chevronLeft=new n("chevron-left",{fontCharacter:"\\eab5"}),n.chevronRight=new n("chevron-right",{fontCharacter:"\\eab6"}),n.chevronUp=new n("chevron-up",{fontCharacter:"\\eab7"}),n.chromeClose=new n("chrome-close",{fontCharacter:"\\eab8"}),n.chromeMaximize=new n("chrome-maximize",{fontCharacter:"\\eab9"}),n.chromeMinimize=new n("chrome-minimize",{fontCharacter:"\\eaba"}),n.chromeRestore=new n("chrome-restore",{fontCharacter:"\\eabb"}),n.circleOutline=new n("circle-outline",{fontCharacter:"\\eabc"}),n.debugBreakpointUnverified=new n("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),n.circleSlash=new n("circle-slash",{fontCharacter:"\\eabd"}),n.circuitBoard=new n("circuit-board",{fontCharacter:"\\eabe"}),n.clearAll=new n("clear-all",{fontCharacter:"\\eabf"}),n.clippy=new n("clippy",{fontCharacter:"\\eac0"}),n.closeAll=new n("close-all",{fontCharacter:"\\eac1"}),n.cloudDownload=new n("cloud-download",{fontCharacter:"\\eac2"}),n.cloudUpload=new n("cloud-upload",{fontCharacter:"\\eac3"}),n.code=new n("code",{fontCharacter:"\\eac4"}),n.collapseAll=new n("collapse-all",{fontCharacter:"\\eac5"}),n.colorMode=new n("color-mode",{fontCharacter:"\\eac6"}),n.commentDiscussion=new n("comment-discussion",{fontCharacter:"\\eac7"}),n.compareChanges=new n("compare-changes",{fontCharacter:"\\eafd"}),n.creditCard=new n("credit-card",{fontCharacter:"\\eac9"}),n.dash=new n("dash",{fontCharacter:"\\eacc"}),n.dashboard=new n("dashboard",{fontCharacter:"\\eacd"}),n.database=new n("database",{fontCharacter:"\\eace"}),n.debugContinue=new n("debug-continue",{fontCharacter:"\\eacf"}),n.debugDisconnect=new n("debug-disconnect",{fontCharacter:"\\ead0"}),n.debugPause=new n("debug-pause",{fontCharacter:"\\ead1"}),n.debugRestart=new n("debug-restart",{fontCharacter:"\\ead2"}),n.debugStart=new n("debug-start",{fontCharacter:"\\ead3"}),n.debugStepInto=new n("debug-step-into",{fontCharacter:"\\ead4"}),n.debugStepOut=new n("debug-step-out",{fontCharacter:"\\ead5"}),n.debugStepOver=new n("debug-step-over",{fontCharacter:"\\ead6"}),n.debugStop=new n("debug-stop",{fontCharacter:"\\ead7"}),n.debug=new n("debug",{fontCharacter:"\\ead8"}),n.deviceCameraVideo=new n("device-camera-video",{fontCharacter:"\\ead9"}),n.deviceCamera=new n("device-camera",{fontCharacter:"\\eada"}),n.deviceMobile=new n("device-mobile",{fontCharacter:"\\eadb"}),n.diffAdded=new n("diff-added",{fontCharacter:"\\eadc"}),n.diffIgnored=new n("diff-ignored",{fontCharacter:"\\eadd"}),n.diffModified=new n("diff-modified",{fontCharacter:"\\eade"}),n.diffRemoved=new n("diff-removed",{fontCharacter:"\\eadf"}),n.diffRenamed=new n("diff-renamed",{fontCharacter:"\\eae0"}),n.diff=new n("diff",{fontCharacter:"\\eae1"}),n.discard=new n("discard",{fontCharacter:"\\eae2"}),n.editorLayout=new n("editor-layout",{fontCharacter:"\\eae3"}),n.emptyWindow=new n("empty-window",{fontCharacter:"\\eae4"}),n.exclude=new n("exclude",{fontCharacter:"\\eae5"}),n.extensions=new n("extensions",{fontCharacter:"\\eae6"}),n.eyeClosed=new n("eye-closed",{fontCharacter:"\\eae7"}),n.fileBinary=new n("file-binary",{fontCharacter:"\\eae8"}),n.fileCode=new n("file-code",{fontCharacter:"\\eae9"}),n.fileMedia=new n("file-media",{fontCharacter:"\\eaea"}),n.filePdf=new n("file-pdf",{fontCharacter:"\\eaeb"}),n.fileSubmodule=new n("file-submodule",{fontCharacter:"\\eaec"}),n.fileSymlinkDirectory=new n("file-symlink-directory",{fontCharacter:"\\eaed"}),n.fileSymlinkFile=new n("file-symlink-file",{fontCharacter:"\\eaee"}),n.fileZip=new n("file-zip",{fontCharacter:"\\eaef"}),n.files=new n("files",{fontCharacter:"\\eaf0"}),n.filter=new n("filter",{fontCharacter:"\\eaf1"}),n.flame=new n("flame",{fontCharacter:"\\eaf2"}),n.foldDown=new n("fold-down",{fontCharacter:"\\eaf3"}),n.foldUp=new n("fold-up",{fontCharacter:"\\eaf4"}),n.fold=new n("fold",{fontCharacter:"\\eaf5"}),n.folderActive=new n("folder-active",{fontCharacter:"\\eaf6"}),n.folderOpened=new n("folder-opened",{fontCharacter:"\\eaf7"}),n.gear=new n("gear",{fontCharacter:"\\eaf8"}),n.gift=new n("gift",{fontCharacter:"\\eaf9"}),n.gistSecret=new n("gist-secret",{fontCharacter:"\\eafa"}),n.gist=new n("gist",{fontCharacter:"\\eafb"}),n.gitCommit=new n("git-commit",{fontCharacter:"\\eafc"}),n.gitCompare=new n("git-compare",{fontCharacter:"\\eafd"}),n.gitMerge=new n("git-merge",{fontCharacter:"\\eafe"}),n.githubAction=new n("github-action",{fontCharacter:"\\eaff"}),n.githubAlt=new n("github-alt",{fontCharacter:"\\eb00"}),n.globe=new n("globe",{fontCharacter:"\\eb01"}),n.grabber=new n("grabber",{fontCharacter:"\\eb02"}),n.graph=new n("graph",{fontCharacter:"\\eb03"}),n.gripper=new n("gripper",{fontCharacter:"\\eb04"}),n.heart=new n("heart",{fontCharacter:"\\eb05"}),n.home=new n("home",{fontCharacter:"\\eb06"}),n.horizontalRule=new n("horizontal-rule",{fontCharacter:"\\eb07"}),n.hubot=new n("hubot",{fontCharacter:"\\eb08"}),n.inbox=new n("inbox",{fontCharacter:"\\eb09"}),n.issueClosed=new n("issue-closed",{fontCharacter:"\\eba4"}),n.issueReopened=new n("issue-reopened",{fontCharacter:"\\eb0b"}),n.issues=new n("issues",{fontCharacter:"\\eb0c"}),n.italic=new n("italic",{fontCharacter:"\\eb0d"}),n.jersey=new n("jersey",{fontCharacter:"\\eb0e"}),n.json=new n("json",{fontCharacter:"\\eb0f"}),n.kebabVertical=new n("kebab-vertical",{fontCharacter:"\\eb10"}),n.key=new n("key",{fontCharacter:"\\eb11"}),n.law=new n("law",{fontCharacter:"\\eb12"}),n.lightbulbAutofix=new n("lightbulb-autofix",{fontCharacter:"\\eb13"}),n.linkExternal=new n("link-external",{fontCharacter:"\\eb14"}),n.link=new n("link",{fontCharacter:"\\eb15"}),n.listOrdered=new n("list-ordered",{fontCharacter:"\\eb16"}),n.listUnordered=new n("list-unordered",{fontCharacter:"\\eb17"}),n.liveShare=new n("live-share",{fontCharacter:"\\eb18"}),n.loading=new n("loading",{fontCharacter:"\\eb19"}),n.location=new n("location",{fontCharacter:"\\eb1a"}),n.mailRead=new n("mail-read",{fontCharacter:"\\eb1b"}),n.mail=new n("mail",{fontCharacter:"\\eb1c"}),n.markdown=new n("markdown",{fontCharacter:"\\eb1d"}),n.megaphone=new n("megaphone",{fontCharacter:"\\eb1e"}),n.mention=new n("mention",{fontCharacter:"\\eb1f"}),n.milestone=new n("milestone",{fontCharacter:"\\eb20"}),n.mortarBoard=new n("mortar-board",{fontCharacter:"\\eb21"}),n.move=new n("move",{fontCharacter:"\\eb22"}),n.multipleWindows=new n("multiple-windows",{fontCharacter:"\\eb23"}),n.mute=new n("mute",{fontCharacter:"\\eb24"}),n.noNewline=new n("no-newline",{fontCharacter:"\\eb25"}),n.note=new n("note",{fontCharacter:"\\eb26"}),n.octoface=new n("octoface",{fontCharacter:"\\eb27"}),n.openPreview=new n("open-preview",{fontCharacter:"\\eb28"}),n.package_=new n("package",{fontCharacter:"\\eb29"}),n.paintcan=new n("paintcan",{fontCharacter:"\\eb2a"}),n.pin=new n("pin",{fontCharacter:"\\eb2b"}),n.play=new n("play",{fontCharacter:"\\eb2c"}),n.run=new n("run",{fontCharacter:"\\eb2c"}),n.plug=new n("plug",{fontCharacter:"\\eb2d"}),n.preserveCase=new n("preserve-case",{fontCharacter:"\\eb2e"}),n.preview=new n("preview",{fontCharacter:"\\eb2f"}),n.project=new n("project",{fontCharacter:"\\eb30"}),n.pulse=new n("pulse",{fontCharacter:"\\eb31"}),n.question=new n("question",{fontCharacter:"\\eb32"}),n.quote=new n("quote",{fontCharacter:"\\eb33"}),n.radioTower=new n("radio-tower",{fontCharacter:"\\eb34"}),n.reactions=new n("reactions",{fontCharacter:"\\eb35"}),n.references=new n("references",{fontCharacter:"\\eb36"}),n.refresh=new n("refresh",{fontCharacter:"\\eb37"}),n.regex=new n("regex",{fontCharacter:"\\eb38"}),n.remoteExplorer=new n("remote-explorer",{fontCharacter:"\\eb39"}),n.remote=new n("remote",{fontCharacter:"\\eb3a"}),n.remove=new n("remove",{fontCharacter:"\\eb3b"}),n.replaceAll=new n("replace-all",{fontCharacter:"\\eb3c"}),n.replace=new n("replace",{fontCharacter:"\\eb3d"}),n.repoClone=new n("repo-clone",{fontCharacter:"\\eb3e"}),n.repoForcePush=new n("repo-force-push",{fontCharacter:"\\eb3f"}),n.repoPull=new n("repo-pull",{fontCharacter:"\\eb40"}),n.repoPush=new n("repo-push",{fontCharacter:"\\eb41"}),n.report=new n("report",{fontCharacter:"\\eb42"}),n.requestChanges=new n("request-changes",{fontCharacter:"\\eb43"}),n.rocket=new n("rocket",{fontCharacter:"\\eb44"}),n.rootFolderOpened=new n("root-folder-opened",{fontCharacter:"\\eb45"}),n.rootFolder=new n("root-folder",{fontCharacter:"\\eb46"}),n.rss=new n("rss",{fontCharacter:"\\eb47"}),n.ruby=new n("ruby",{fontCharacter:"\\eb48"}),n.saveAll=new n("save-all",{fontCharacter:"\\eb49"}),n.saveAs=new n("save-as",{fontCharacter:"\\eb4a"}),n.save=new n("save",{fontCharacter:"\\eb4b"}),n.screenFull=new n("screen-full",{fontCharacter:"\\eb4c"}),n.screenNormal=new n("screen-normal",{fontCharacter:"\\eb4d"}),n.searchStop=new n("search-stop",{fontCharacter:"\\eb4e"}),n.server=new n("server",{fontCharacter:"\\eb50"}),n.settingsGear=new n("settings-gear",{fontCharacter:"\\eb51"}),n.settings=new n("settings",{fontCharacter:"\\eb52"}),n.shield=new n("shield",{fontCharacter:"\\eb53"}),n.smiley=new n("smiley",{fontCharacter:"\\eb54"}),n.sortPrecedence=new n("sort-precedence",{fontCharacter:"\\eb55"}),n.splitHorizontal=new n("split-horizontal",{fontCharacter:"\\eb56"}),n.splitVertical=new n("split-vertical",{fontCharacter:"\\eb57"}),n.squirrel=new n("squirrel",{fontCharacter:"\\eb58"}),n.starFull=new n("star-full",{fontCharacter:"\\eb59"}),n.starHalf=new n("star-half",{fontCharacter:"\\eb5a"}),n.symbolClass=new n("symbol-class",{fontCharacter:"\\eb5b"}),n.symbolColor=new n("symbol-color",{fontCharacter:"\\eb5c"}),n.symbolCustomColor=new n("symbol-customcolor",{fontCharacter:"\\eb5c"}),n.symbolConstant=new n("symbol-constant",{fontCharacter:"\\eb5d"}),n.symbolEnumMember=new n("symbol-enum-member",{fontCharacter:"\\eb5e"}),n.symbolField=new n("symbol-field",{fontCharacter:"\\eb5f"}),n.symbolFile=new n("symbol-file",{fontCharacter:"\\eb60"}),n.symbolInterface=new n("symbol-interface",{fontCharacter:"\\eb61"}),n.symbolKeyword=new n("symbol-keyword",{fontCharacter:"\\eb62"}),n.symbolMisc=new n("symbol-misc",{fontCharacter:"\\eb63"}),n.symbolOperator=new n("symbol-operator",{fontCharacter:"\\eb64"}),n.symbolProperty=new n("symbol-property",{fontCharacter:"\\eb65"}),n.wrench=new n("wrench",{fontCharacter:"\\eb65"}),n.wrenchSubaction=new n("wrench-subaction",{fontCharacter:"\\eb65"}),n.symbolSnippet=new n("symbol-snippet",{fontCharacter:"\\eb66"}),n.tasklist=new n("tasklist",{fontCharacter:"\\eb67"}),n.telescope=new n("telescope",{fontCharacter:"\\eb68"}),n.textSize=new n("text-size",{fontCharacter:"\\eb69"}),n.threeBars=new n("three-bars",{fontCharacter:"\\eb6a"}),n.thumbsdown=new n("thumbsdown",{fontCharacter:"\\eb6b"}),n.thumbsup=new n("thumbsup",{fontCharacter:"\\eb6c"}),n.tools=new n("tools",{fontCharacter:"\\eb6d"}),n.triangleDown=new n("triangle-down",{fontCharacter:"\\eb6e"}),n.triangleLeft=new n("triangle-left",{fontCharacter:"\\eb6f"}),n.triangleRight=new n("triangle-right",{fontCharacter:"\\eb70"}),n.triangleUp=new n("triangle-up",{fontCharacter:"\\eb71"}),n.twitter=new n("twitter",{fontCharacter:"\\eb72"}),n.unfold=new n("unfold",{fontCharacter:"\\eb73"}),n.unlock=new n("unlock",{fontCharacter:"\\eb74"}),n.unmute=new n("unmute",{fontCharacter:"\\eb75"}),n.unverified=new n("unverified",{fontCharacter:"\\eb76"}),n.verified=new n("verified",{fontCharacter:"\\eb77"}),n.versions=new n("versions",{fontCharacter:"\\eb78"}),n.vmActive=new n("vm-active",{fontCharacter:"\\eb79"}),n.vmOutline=new n("vm-outline",{fontCharacter:"\\eb7a"}),n.vmRunning=new n("vm-running",{fontCharacter:"\\eb7b"}),n.watch=new n("watch",{fontCharacter:"\\eb7c"}),n.whitespace=new n("whitespace",{fontCharacter:"\\eb7d"}),n.wholeWord=new n("whole-word",{fontCharacter:"\\eb7e"}),n.window=new n("window",{fontCharacter:"\\eb7f"}),n.wordWrap=new n("word-wrap",{fontCharacter:"\\eb80"}),n.zoomIn=new n("zoom-in",{fontCharacter:"\\eb81"}),n.zoomOut=new n("zoom-out",{fontCharacter:"\\eb82"}),n.listFilter=new n("list-filter",{fontCharacter:"\\eb83"}),n.listFlat=new n("list-flat",{fontCharacter:"\\eb84"}),n.listSelection=new n("list-selection",{fontCharacter:"\\eb85"}),n.selection=new n("selection",{fontCharacter:"\\eb85"}),n.listTree=new n("list-tree",{fontCharacter:"\\eb86"}),n.debugBreakpointFunctionUnverified=new n("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),n.debugBreakpointFunction=new n("debug-breakpoint-function",{fontCharacter:"\\eb88"}),n.debugBreakpointFunctionDisabled=new n("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),n.debugStackframeActive=new n("debug-stackframe-active",{fontCharacter:"\\eb89"}),n.debugStackframeDot=new n("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),n.debugStackframe=new n("debug-stackframe",{fontCharacter:"\\eb8b"}),n.debugStackframeFocused=new n("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),n.debugBreakpointUnsupported=new n("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),n.symbolString=new n("symbol-string",{fontCharacter:"\\eb8d"}),n.debugReverseContinue=new n("debug-reverse-continue",{fontCharacter:"\\eb8e"}),n.debugStepBack=new n("debug-step-back",{fontCharacter:"\\eb8f"}),n.debugRestartFrame=new n("debug-restart-frame",{fontCharacter:"\\eb90"}),n.callIncoming=new n("call-incoming",{fontCharacter:"\\eb92"}),n.callOutgoing=new n("call-outgoing",{fontCharacter:"\\eb93"}),n.menu=new n("menu",{fontCharacter:"\\eb94"}),n.expandAll=new n("expand-all",{fontCharacter:"\\eb95"}),n.feedback=new n("feedback",{fontCharacter:"\\eb96"}),n.groupByRefType=new n("group-by-ref-type",{fontCharacter:"\\eb97"}),n.ungroupByRefType=new n("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),n.account=new n("account",{fontCharacter:"\\eb99"}),n.bellDot=new n("bell-dot",{fontCharacter:"\\eb9a"}),n.debugConsole=new n("debug-console",{fontCharacter:"\\eb9b"}),n.library=new n("library",{fontCharacter:"\\eb9c"}),n.output=new n("output",{fontCharacter:"\\eb9d"}),n.runAll=new n("run-all",{fontCharacter:"\\eb9e"}),n.syncIgnored=new n("sync-ignored",{fontCharacter:"\\eb9f"}),n.pinned=new n("pinned",{fontCharacter:"\\eba0"}),n.githubInverted=new n("github-inverted",{fontCharacter:"\\eba1"}),n.debugAlt=new n("debug-alt",{fontCharacter:"\\eb91"}),n.serverProcess=new n("server-process",{fontCharacter:"\\eba2"}),n.serverEnvironment=new n("server-environment",{fontCharacter:"\\eba3"}),n.pass=new n("pass",{fontCharacter:"\\eba4"}),n.stopCircle=new n("stop-circle",{fontCharacter:"\\eba5"}),n.playCircle=new n("play-circle",{fontCharacter:"\\eba6"}),n.record=new n("record",{fontCharacter:"\\eba7"}),n.debugAltSmall=new n("debug-alt-small",{fontCharacter:"\\eba8"}),n.vmConnect=new n("vm-connect",{fontCharacter:"\\eba9"}),n.cloud=new n("cloud",{fontCharacter:"\\ebaa"}),n.merge=new n("merge",{fontCharacter:"\\ebab"}),n.exportIcon=new n("export",{fontCharacter:"\\ebac"}),n.graphLeft=new n("graph-left",{fontCharacter:"\\ebad"}),n.magnet=new n("magnet",{fontCharacter:"\\ebae"}),n.notebook=new n("notebook",{fontCharacter:"\\ebaf"}),n.redo=new n("redo",{fontCharacter:"\\ebb0"}),n.checkAll=new n("check-all",{fontCharacter:"\\ebb1"}),n.pinnedDirty=new n("pinned-dirty",{fontCharacter:"\\ebb2"}),n.passFilled=new n("pass-filled",{fontCharacter:"\\ebb3"}),n.circleLargeFilled=new n("circle-large-filled",{fontCharacter:"\\ebb4"}),n.circleLargeOutline=new n("circle-large-outline",{fontCharacter:"\\ebb5"}),n.combine=new n("combine",{fontCharacter:"\\ebb6"}),n.gather=new n("gather",{fontCharacter:"\\ebb6"}),n.table=new n("table",{fontCharacter:"\\ebb7"}),n.variableGroup=new n("variable-group",{fontCharacter:"\\ebb8"}),n.typeHierarchy=new n("type-hierarchy",{fontCharacter:"\\ebb9"}),n.typeHierarchySub=new n("type-hierarchy-sub",{fontCharacter:"\\ebba"}),n.typeHierarchySuper=new n("type-hierarchy-super",{fontCharacter:"\\ebbb"}),n.gitPullRequestCreate=new n("git-pull-request-create",{fontCharacter:"\\ebbc"}),n.runAbove=new n("run-above",{fontCharacter:"\\ebbd"}),n.runBelow=new n("run-below",{fontCharacter:"\\ebbe"}),n.notebookTemplate=new n("notebook-template",{fontCharacter:"\\ebbf"}),n.debugRerun=new n("debug-rerun",{fontCharacter:"\\ebc0"}),n.workspaceTrusted=new n("workspace-trusted",{fontCharacter:"\\ebc1"}),n.workspaceUntrusted=new n("workspace-untrusted",{fontCharacter:"\\ebc2"}),n.workspaceUnspecified=new n("workspace-unspecified",{fontCharacter:"\\ebc3"}),n.terminalCmd=new n("terminal-cmd",{fontCharacter:"\\ebc4"}),n.terminalDebian=new n("terminal-debian",{fontCharacter:"\\ebc5"}),n.terminalLinux=new n("terminal-linux",{fontCharacter:"\\ebc6"}),n.terminalPowershell=new n("terminal-powershell",{fontCharacter:"\\ebc7"}),n.terminalTmux=new n("terminal-tmux",{fontCharacter:"\\ebc8"}),n.terminalUbuntu=new n("terminal-ubuntu",{fontCharacter:"\\ebc9"}),n.terminalBash=new n("terminal-bash",{fontCharacter:"\\ebca"}),n.arrowSwap=new n("arrow-swap",{fontCharacter:"\\ebcb"}),n.copy=new n("copy",{fontCharacter:"\\ebcc"}),n.personAdd=new n("person-add",{fontCharacter:"\\ebcd"}),n.filterFilled=new n("filter-filled",{fontCharacter:"\\ebce"}),n.wand=new n("wand",{fontCharacter:"\\ebcf"}),n.debugLineByLine=new n("debug-line-by-line",{fontCharacter:"\\ebd0"}),n.inspect=new n("inspect",{fontCharacter:"\\ebd1"}),n.layers=new n("layers",{fontCharacter:"\\ebd2"}),n.layersDot=new n("layers-dot",{fontCharacter:"\\ebd3"}),n.layersActive=new n("layers-active",{fontCharacter:"\\ebd4"}),n.compass=new n("compass",{fontCharacter:"\\ebd5"}),n.compassDot=new n("compass-dot",{fontCharacter:"\\ebd6"}),n.compassActive=new n("compass-active",{fontCharacter:"\\ebd7"}),n.azure=new n("azure",{fontCharacter:"\\ebd8"}),n.issueDraft=new n("issue-draft",{fontCharacter:"\\ebd9"}),n.gitPullRequestClosed=new n("git-pull-request-closed",{fontCharacter:"\\ebda"}),n.gitPullRequestDraft=new n("git-pull-request-draft",{fontCharacter:"\\ebdb"}),n.debugAll=new n("debug-all",{fontCharacter:"\\ebdc"}),n.debugCoverage=new n("debug-coverage",{fontCharacter:"\\ebdd"}),n.runErrors=new n("run-errors",{fontCharacter:"\\ebde"}),n.folderLibrary=new n("folder-library",{fontCharacter:"\\ebdf"}),n.debugContinueSmall=new n("debug-continue-small",{fontCharacter:"\\ebe0"}),n.beakerStop=new n("beaker-stop",{fontCharacter:"\\ebe1"}),n.graphLine=new n("graph-line",{fontCharacter:"\\ebe2"}),n.graphScatter=new n("graph-scatter",{fontCharacter:"\\ebe3"}),n.pieChart=new n("pie-chart",{fontCharacter:"\\ebe4"}),n.bracket=new n("bracket",n.json.definition),n.bracketDot=new n("bracket-dot",{fontCharacter:"\\ebe5"}),n.bracketError=new n("bracket-error",{fontCharacter:"\\ebe6"}),n.lockSmall=new n("lock-small",{fontCharacter:"\\ebe7"}),n.azureDevops=new n("azure-devops",{fontCharacter:"\\ebe8"}),n.verifiedFilled=new n("verified-filled",{fontCharacter:"\\ebe9"}),n.newLine=new n("newline",{fontCharacter:"\\ebea"}),n.layout=new n("layout",{fontCharacter:"\\ebeb"}),n.dialogError=new n("dialog-error",n.error.definition),n.dialogWarning=new n("dialog-warning",n.warning.definition),n.dialogInfo=new n("dialog-info",n.info.definition),n.dialogClose=new n("dialog-close",n.close.definition),n.treeItemExpanded=new n("tree-item-expanded",n.chevronDown.definition),n.treeFilterOnTypeOn=new n("tree-filter-on-type-on",n.listFilter.definition),n.treeFilterOnTypeOff=new n("tree-filter-on-type-off",n.listSelection.definition),n.treeFilterClear=new n("tree-filter-clear",n.close.definition),n.treeItemLoading=new n("tree-item-loading",n.loading.definition),n.menuSelection=new n("menu-selection",n.check.definition),n.menuSubmenu=new n("menu-submenu",n.chevronRight.definition),n.menuBarMore=new n("menubar-more",n.more.definition),n.scrollbarButtonLeft=new n("scrollbar-button-left",n.triangleLeft.definition),n.scrollbarButtonRight=new n("scrollbar-button-right",n.triangleRight.definition),n.scrollbarButtonUp=new n("scrollbar-button-up",n.triangleUp.definition),n.scrollbarButtonDown=new n("scrollbar-button-down",n.triangleDown.definition),n.toolBarMore=new n("toolbar-more",n.more.definition),n.quickInputBack=new n("quick-input-back",n.arrowLeft.definition);function D(k,P){const f=["codicon","codicon-"+k];return P&&f.push("codicon-modifier-"+P),f}e.getClassNamesArray=D;var C;(function(k){k.iconNameSegment="[A-Za-z0-9]+",k.iconNameExpression="[A-Za-z0-9-]+",k.iconModifierExpression="~[A-Za-z]+",k.iconNameCharacter="[A-Za-z0-9~-]";const P=new RegExp(`^(${k.iconNameExpression})(${k.iconModifierExpression})?$`);function f(I){if(I instanceof n)return["codicon","codicon-"+I.id];const p=P.exec(I.id);if(!p)return f(n.error);let[,S,t]=p;const v=["codicon","codicon-"+S];return t&&v.push("codicon-modifier-"+t.substr(1)),v}k.asClassNameArray=f;function m(I){return f(I).join(" ")}k.asClassName=m;function E(I){return"."+f(I).join(".")}k.asCSSSelector=E})(C=e.CSSIcon||(e.CSSIcon={}))}),define(ee[46],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function y(k){return(P,f,m)=>{let E=null,I=null;if(typeof m.value=="function"?(E="value",I=m.value):typeof m.get=="function"&&(E="get",I=m.get),!I)throw new Error("not supported");m[E]=k(I,f)}}e.createDecorator=y;function n(k,P,f){let m=null,E=null;if(typeof f.value=="function"?(m="value",E=f.value,E.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof f.get=="function"&&(m="get",E=f.get),!E)throw new Error("not supported");const I=`$memoize$${P}`;f[m]=function(...p){return this.hasOwnProperty(I)||Object.defineProperty(this,I,{configurable:!1,enumerable:!1,writable:!1,value:E.apply(this,p)}),this[I]}}e.memoize=n;function D(k,P,f){return y((m,E)=>{const I=`$debounce$${E}`,p=`$debounce$result$${E}`;return function(...S){this[p]||(this[p]=f?f():void 0),clearTimeout(this[I]),P&&(this[p]=P(this[p],...S),S=[this[p]]),this[I]=setTimeout(()=>{m.apply(this,S),this[p]=f?f():void 0},k)}})}e.debounce=D;function C(k,P,f){return y((m,E)=>{const I=`$throttle$timer$${E}`,p=`$throttle$result$${E}`,S=`$throttle$lastRun$${E}`,t=`$throttle$pending$${E}`;return function(...v){if(this[p]||(this[p]=f?f():void 0),(this[S]===null||this[S]===void 0)&&(this[S]=-Number.MAX_VALUE),P&&(this[p]=P(this[p],...v)),this[t])return;const g=this[S]+k;g<=Date.now()?(this[S]=Date.now(),m.apply(this,[this[p]]),this[p]=f?f():void 0):(this[t]=!0,this[I]=setTimeout(()=>{this[t]=!1,this[S]=Date.now(),m.apply(this,[this[p]]),this[p]=f?f():void 0},g-Date.now()))}})}e.throttle=C}),define(ee[15],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class y{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(o){setTimeout(()=>{throw o.stack?new Error(o.message+`

`+o.stack):o},0)}}addListener(o){return this.listeners.push(o),()=>{this._removeListener(o)}}emit(o){this.listeners.forEach(u=>{u(o)})}_removeListener(o){this.listeners.splice(this.listeners.indexOf(o),1)}setUnexpectedErrorHandler(o){this.unexpectedErrorHandler=o}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(o){this.unexpectedErrorHandler(o),this.emit(o)}onUnexpectedExternalError(o){this.unexpectedErrorHandler(o)}}e.ErrorHandler=y,e.errorHandler=new y;function n(c){e.errorHandler.setUnexpectedErrorHandler(c)}e.setUnexpectedErrorHandler=n;function D(c){f(c)||e.errorHandler.onUnexpectedError(c)}e.onUnexpectedError=D;function C(c){f(c)||e.errorHandler.onUnexpectedExternalError(c)}e.onUnexpectedExternalError=C;function k(c){if(c instanceof Error){let{name:o,message:u}=c;const s=c.stacktrace||c.stack;return{$isError:!0,name:o,message:u,stack:s}}return c}e.transformErrorForSerialization=k;const P="Canceled";function f(c){return c instanceof Error&&c.name===P&&c.message===P}e.isPromiseCanceledError=f;class m extends Error{constructor(){super(P);this.name=this.message}}e.CancellationError=m;function E(){const c=new Error(P);return c.name=c.message,c}e.canceled=E;function I(c){return c?new Error(`Illegal argument: ${c}`):new Error("Illegal argument")}e.illegalArgument=I;function p(c){return c?new Error(`Illegal state: ${c}`):new Error("Illegal state")}e.illegalState=p;function S(c){return c?new Error(`readonly property '${c} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=S;function t(c){const o=new Error(`${c} has been disposed`);return o.name="DISPOSED",o}e.disposed=t;function v(c){return c?c.message?c.message:c.stack?c.stack.split(`
`)[0]:String(c):"Error"}e.getErrorMessage=v;class g extends Error{constructor(o){super("NotImplemented");o&&(this.message=o)}}e.NotImplementedError=g;class w extends Error{constructor(o){super("NotSupported");o&&(this.message=o)}}e.NotSupportedError=w;class M extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=M;function a(c){const o=c;return o instanceof Error&&Array.isArray(o.actions)}e.isErrorWithActions=a;function d(c,o=Object.create(null)){const u=new Error(c);return o.actions&&(u.actions=o.actions),u}e.createErrorWithActions=d}),define(ee[31],te([0,1,15]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function n(A,_=0){return A[A.length-(1+_)]}e.tail=n;function D(A){if(A.length===0)throw new Error("Invalid tail call");return[A.slice(0,A.length-1),A[A.length-1]]}e.tail2=D;function C(A,_,N=(O,z)=>O===z){if(A===_)return!0;if(!A||!_||A.length!==_.length)return!1;for(let O=0,z=A.length;O<z;O++)if(!N(A[O],_[O]))return!1;return!0}e.equals=C;function k(A,_,N){let O=0,z=A.length-1;for(;O<=z;){const x=(O+z)/2|0,ie=N(A[x],_);if(ie<0)O=x+1;else if(ie>0)z=x-1;else return x}return-(O+1)}e.binarySearch=k;function P(A,_){let N=0,O=A.length;if(O===0)return 0;for(;N<O;){const z=Math.floor((N+O)/2);_(A[z])?O=z:N=z+1}return N}e.findFirstInSorted=P;function f(A,_,N){if(A=A|0,A>=_.length)throw new TypeError("invalid index");let O=_[Math.floor(_.length*Math.random())],z=[],x=[],ie=[];for(let oe of _){const Z=N(oe,O);Z<0?z.push(oe):Z>0?x.push(oe):ie.push(oe)}return A<z.length?f(A,z,N):A<z.length+ie.length?ie[0]:f(A-(z.length+ie.length),x,N)}e.quickSelect=f;function m(A,_){const N=[];let O;for(const z of A.slice(0).sort(_))!O||_(O[0],z)!==0?(O=[z],N.push(O)):O.push(z);return N}e.groupBy=m;function E(A,_,N){const O=[];function z(oe,Z,ce){if(Z===0&&ce.length===0)return;const le=O[O.length-1];le&&le.start+le.deleteCount===oe?(le.deleteCount+=Z,le.toInsert.push(...ce)):O.push({start:oe,deleteCount:Z,toInsert:ce})}let x=0,ie=0;for(;;){if(x===A.length){z(x,0,_.slice(ie));break}if(ie===_.length){z(x,A.length-x,[]);break}const oe=A[x],Z=_[ie],ce=N(oe,Z);ce===0?(x+=1,ie+=1):ce<0?(z(x,1,[]),x+=1):ce>0&&(z(x,0,[Z]),ie+=1)}return O}e.sortedDiff=E;function I(A,_,N){const O=E(A,_,N),z=[],x=[];for(const ie of O)z.push(...A.slice(ie.start,ie.start+ie.deleteCount)),x.push(...ie.toInsert);return{removed:z,added:x}}e.delta=I;function p(A,_,N){if(N===0)return[];const O=A.slice(0,N).sort(_);return t(A,_,O,N,A.length),O}e.top=p;function S(A,_,N,O,z){return N===0?Promise.resolve([]):new Promise((x,ie)=>{(async()=>{const oe=A.length,Z=A.slice(0,N).sort(_);for(let ce=N,le=Math.min(N+O,oe);ce<oe;ce=le,le=Math.min(le+O,oe)){if(ce>N&&await new Promise(he=>setTimeout(he)),z&&z.isCancellationRequested)throw(0,y.canceled)();t(A,_,Z,ce,le)}return Z})().then(x,ie)})}e.topAsync=S;function t(A,_,N,O,z){for(const x=N.length;O<z;O++){const ie=A[O];if(_(ie,N[x-1])<0){N.pop();const oe=P(N,Z=>_(ie,Z)<0);N.splice(oe,0,ie)}}}function v(A){return A.filter(_=>!!_)}e.coalesce=v;function g(A){let _=0;for(let N=0;N<A.length;N++)A[N]&&(A[_]=A[N],_+=1);A.length=_}e.coalesceInPlace=g;function w(A,_,N){A.splice(N,0,A.splice(_,1)[0])}e.move=w;function M(A){return!Array.isArray(A)||A.length===0}e.isFalsyOrEmpty=M;function a(A){return Array.isArray(A)&&A.length>0}e.isNonEmptyArray=a;function d(A,_=N=>N){const N=new Set;return A.filter(O=>{const z=_(O);return N.has(z)?!1:(N.add(z),!0)})}e.distinct=d;function c(A){const _=new Set;return N=>{const O=A(N);return _.has(O)?!1:(_.add(O),!0)}}e.uniqueFilter=c;function o(A,_){const N=u(A,_);if(N!==-1)return A[N]}e.findLast=o;function u(A,_){for(let N=A.length-1;N>=0;N--){const O=A[N];if(_(O))return N}return-1}e.lastIndex=u;function s(A,_){return A.length>0?A[0]:_}e.firstOrDefault=s;function i(A,_,N=(O,z)=>O===z){let O=0;for(let z=0,x=Math.min(A.length,_.length);z<x&&N(A[z],_[z]);z++)O++;return O}e.commonPrefixLength=i;function r(A){return[].concat(...A)}e.flatten=r;function l(A,_){let N=typeof _=="number"?A:0;typeof _=="number"?N=A:(N=0,_=A);const O=[];if(N<=_)for(let z=N;z<_;z++)O.push(z);else for(let z=N;z>_;z--)O.push(z);return O}e.range=l;function h(A,_,N){return A.reduce((O,z)=>(O[_(z)]=N?N(z):z,O),Object.create(null))}e.index=h;function b(A,_){return A.push(_),()=>L(A,_)}e.insert=b;function L(A,_){const N=A.indexOf(_);if(N>-1)return A.splice(N,1),_}e.remove=L;function R(A,_,N){const O=A.slice(0,_),z=A.slice(_);return O.concat(N,z)}e.arrayInsert=R;function T(A,_){let N;if(typeof _=="number"){let O=_;N=()=>{const z=Math.sin(O++)*179426549;return z-Math.floor(z)}}else N=Math.random;for(let O=A.length-1;O>0;O-=1){const z=Math.floor(N()*(O+1)),x=A[O];A[O]=A[z],A[z]=x}}e.shuffle=T;function U(A,_){const N=A.indexOf(_);N>-1&&(A.splice(N,1),A.unshift(_))}e.pushToStart=U;function Q(A,_){const N=A.indexOf(_);N>-1&&(A.splice(N,1),A.push(_))}e.pushToEnd=Q;function se(A,_){return Array.isArray(A)?A.map(_):_(A)}e.mapArrayOrNot=se;function ne(A){return Array.isArray(A)?A:[A]}e.asArray=ne;function q(A){return A[Math.floor(Math.random()*A.length)]}e.getRandomElement=q;function J(A,_){for(const N of A){const O=_(N);if(O!==void 0)return O}}e.mapFind=J;function V(A,_,N){const O=j(A,_),z=A.length,x=N.length;A.length=z+x;for(let ie=z-1;ie>=O;ie--)A[ie+x]=A[ie];for(let ie=0;ie<x;ie++)A[ie+O]=N[ie]}e.insertInto=V;function K(A,_,N,O){const z=j(A,_),x=A.splice(z,N);return V(A,z,O),x}e.splice=K;function j(A,_){return _<0?Math.max(_+A.length,0):Math.min(_,A.length)}function B(A,_){return(N,O)=>_(A(N),A(O))}e.compareBy=B;const $=(A,_)=>A-_;e.numberComparator=$;function Y(A,_){if(A.length===0)return;let N=A[0];for(let O=1;O<A.length;O++){const z=A[O];_(z,N)>0&&(N=z)}return N}e.findMaxBy=Y;function H(A,_){if(A.length===0)return;let N=A[0];for(let O=1;O<A.length;O++){const z=A[O];_(z,N)>=0&&(N=z)}return N}e.findLastMaxBy=H;function F(A,_){return Y(A,(N,O)=>-_(N,O))}e.findMinBy=F;class W{constructor(_){this.items=_,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(_){let N=this.firstIdx;for(;N<this.items.length&&_(this.items[N]);)N++;const O=N===this.firstIdx?null:this.items.slice(this.firstIdx,N);return this.firstIdx=N,O}takeFromEndWhile(_){let N=this.lastIdx;for(;N>=0&&_(this.items[N]);)N--;const O=N===this.lastIdx?null:this.items.slice(N+1,this.lastIdx+1);return this.lastIdx=N,O}peek(){return this.items[this.firstIdx]}dequeue(){const _=this.items[this.firstIdx];return this.firstIdx++,_}takeCount(_){const N=this.items.slice(this.firstIdx,this.firstIdx+_);return this.firstIdx+=_,N}}e.ArrayQueue=W}),define(ee[42],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function y(n){const D=this;let C=!1,k;return function(){return C||(C=!0,k=n.apply(D,arguments)),k}}e.once=y}),define(ee[69],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var y;(function(n){function D(c){return c&&typeof c=="object"&&typeof c[Symbol.iterator]=="function"}n.is=D;const C=Object.freeze([]);function k(){return C}n.empty=k;function*P(c){yield c}n.single=P;function f(c){return c||C}n.from=f;function m(c){return!c||c[Symbol.iterator]().next().done===!0}n.isEmpty=m;function E(c){return c[Symbol.iterator]().next().value}n.first=E;function I(c,o){for(const u of c)if(o(u))return!0;return!1}n.some=I;function p(c,o){for(const u of c)if(o(u))return u}n.find=p;function*S(c,o){for(const u of c)o(u)&&(yield u)}n.filter=S;function*t(c,o){let u=0;for(const s of c)yield o(s,u++)}n.map=t;function*v(...c){for(const o of c)for(const u of o)yield u}n.concat=v;function*g(c){for(const o of c)for(const u of o)yield u}n.concatNested=g;function w(c,o,u){let s=u;for(const i of c)s=o(s,i);return s}n.reduce=w;function*M(c,o,u=c.length){for(o<0&&(o+=c.length),u<0?u+=c.length:u>c.length&&(u=c.length);o<u;o++)yield c[o]}n.slice=M;function a(c,o=Number.POSITIVE_INFINITY){const u=[];if(o===0)return[u,c];const s=c[Symbol.iterator]();for(let i=0;i<o;i++){const r=s.next();if(r.done)return[u,n.empty()];u.push(r.value)}return[u,{[Symbol.iterator](){return s}}]}n.consume=a;function d(c,o,u=(s,i)=>s===i){const s=c[Symbol.iterator](),i=o[Symbol.iterator]();for(;;){const r=s.next(),l=i.next();if(r.done!==l.done)return!1;if(r.done)return!0;if(!u(r.value,l.value))return!1}}n.equals=d})(y=e.Iterable||(e.Iterable={}))}),define(ee[43],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var y;(function(o){o[o.None=0]="None",o[o.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=2]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",o[o.InvalidUnicode=4]="InvalidUnicode",o[o.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",o[o.InvalidCharacter=6]="InvalidCharacter"})(y=e.ScanError||(e.ScanError={}));var n;(function(o){o[o.OpenBraceToken=1]="OpenBraceToken",o[o.CloseBraceToken=2]="CloseBraceToken",o[o.OpenBracketToken=3]="OpenBracketToken",o[o.CloseBracketToken=4]="CloseBracketToken",o[o.CommaToken=5]="CommaToken",o[o.ColonToken=6]="ColonToken",o[o.NullKeyword=7]="NullKeyword",o[o.TrueKeyword=8]="TrueKeyword",o[o.FalseKeyword=9]="FalseKeyword",o[o.StringLiteral=10]="StringLiteral",o[o.NumericLiteral=11]="NumericLiteral",o[o.LineCommentTrivia=12]="LineCommentTrivia",o[o.BlockCommentTrivia=13]="BlockCommentTrivia",o[o.LineBreakTrivia=14]="LineBreakTrivia",o[o.Trivia=15]="Trivia",o[o.Unknown=16]="Unknown",o[o.EOF=17]="EOF"})(n=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(o){o[o.InvalidSymbol=1]="InvalidSymbol",o[o.InvalidNumberFormat=2]="InvalidNumberFormat",o[o.PropertyNameExpected=3]="PropertyNameExpected",o[o.ValueExpected=4]="ValueExpected",o[o.ColonExpected=5]="ColonExpected",o[o.CommaExpected=6]="CommaExpected",o[o.CloseBraceExpected=7]="CloseBraceExpected",o[o.CloseBracketExpected=8]="CloseBracketExpected",o[o.EndOfFileExpected=9]="EndOfFileExpected",o[o.InvalidCommentToken=10]="InvalidCommentToken",o[o.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",o[o.UnexpectedEndOfString=12]="UnexpectedEndOfString",o[o.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",o[o.InvalidUnicode=14]="InvalidUnicode",o[o.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",o[o.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var C;(function(o){o.DEFAULT={allowTrailingComma:!0}})(C=e.ParseOptions||(e.ParseOptions={}));function k(o,u=!1){let s=0,i=o.length,r="",l=0,h=16,b=0;function L(q){let J=0,V=0;for(;J<q;){const K=o.charCodeAt(s);if(K>=48&&K<=57)V=V*16+K-48;else if(K>=65&&K<=70)V=V*16+K-65+10;else if(K>=97&&K<=102)V=V*16+K-97+10;else break;s++,J++}return J<q&&(V=-1),V}function R(q){s=q,r="",l=0,h=16,b=0}function T(){const q=s;if(o.charCodeAt(s)===48)s++;else for(s++;s<o.length&&m(o.charCodeAt(s));)s++;if(s<o.length&&o.charCodeAt(s)===46)if(s++,s<o.length&&m(o.charCodeAt(s)))for(s++;s<o.length&&m(o.charCodeAt(s));)s++;else return b=3,o.substring(q,s);let J=s;if(s<o.length&&(o.charCodeAt(s)===69||o.charCodeAt(s)===101))if(s++,(s<o.length&&o.charCodeAt(s)===43||o.charCodeAt(s)===45)&&s++,s<o.length&&m(o.charCodeAt(s))){for(s++;s<o.length&&m(o.charCodeAt(s));)s++;J=s}else b=3;return o.substring(q,J)}function U(){let q="",J=s;for(;;){if(s>=i){q+=o.substring(J,s),b=2;break}const V=o.charCodeAt(s);if(V===34){q+=o.substring(J,s),s++;break}if(V===92){if(q+=o.substring(J,s),s++,s>=i){b=2;break}switch(o.charCodeAt(s++)){case 34:q+='"';break;case 92:q+="\\";break;case 47:q+="/";break;case 98:q+="\b";break;case 102:q+="\f";break;case 110:q+=`
`;break;case 114:q+="\r";break;case 116:q+="	";break;case 117:{const j=L(4);j>=0?q+=String.fromCharCode(j):b=4;break}default:b=5}J=s;continue}if(V>=0&&V<=31)if(f(V)){q+=o.substring(J,s),b=2;break}else b=6;s++}return q}function Q(){if(r="",b=0,l=s,s>=i)return l=i,h=17;let q=o.charCodeAt(s);if(P(q)){do s++,r+=String.fromCharCode(q),q=o.charCodeAt(s);while(P(q));return h=15}if(f(q))return s++,r+=String.fromCharCode(q),q===13&&o.charCodeAt(s)===10&&(s++,r+=`
`),h=14;switch(q){case 123:return s++,h=1;case 125:return s++,h=2;case 91:return s++,h=3;case 93:return s++,h=4;case 58:return s++,h=6;case 44:return s++,h=5;case 34:return s++,r=U(),h=10;case 47:{const J=s-1;if(o.charCodeAt(s+1)===47){for(s+=2;s<i&&!f(o.charCodeAt(s));)s++;return r=o.substring(J,s),h=12}if(o.charCodeAt(s+1)===42){s+=2;const V=i-1;let K=!1;for(;s<V;){if(o.charCodeAt(s)===42&&o.charCodeAt(s+1)===47){s+=2,K=!0;break}s++}return K||(s++,b=1),r=o.substring(J,s),h=13}return r+=String.fromCharCode(q),s++,h=16}case 45:if(r+=String.fromCharCode(q),s++,s===i||!m(o.charCodeAt(s)))return h=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=T(),h=11;default:for(;s<i&&se(q);)s++,q=o.charCodeAt(s);if(l!==s){switch(r=o.substring(l,s),r){case"true":return h=8;case"false":return h=9;case"null":return h=7}return h=16}return r+=String.fromCharCode(q),s++,h=16}}function se(q){if(P(q)||f(q))return!1;switch(q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ne(){let q;do q=Q();while(q>=12&&q<=15);return q}return{setPosition:R,getPosition:()=>s,scan:u?ne:Q,getToken:()=>h,getTokenValue:()=>r,getTokenOffset:()=>l,getTokenLength:()=>s-l,getTokenError:()=>b}}e.createScanner=k;function P(o){return o===32||o===9||o===11||o===12||o===160||o===5760||o>=8192&&o<=8203||o===8239||o===8287||o===12288||o===65279}function f(o){return o===10||o===13||o===8232||o===8233}function m(o){return o>=48&&o<=57}var E;(function(o){o[o.nullCharacter=0]="nullCharacter",o[o.maxAsciiCharacter=127]="maxAsciiCharacter",o[o.lineFeed=10]="lineFeed",o[o.carriageReturn=13]="carriageReturn",o[o.lineSeparator=8232]="lineSeparator",o[o.paragraphSeparator=8233]="paragraphSeparator",o[o.nextLine=133]="nextLine",o[o.space=32]="space",o[o.nonBreakingSpace=160]="nonBreakingSpace",o[o.enQuad=8192]="enQuad",o[o.emQuad=8193]="emQuad",o[o.enSpace=8194]="enSpace",o[o.emSpace=8195]="emSpace",o[o.threePerEmSpace=8196]="threePerEmSpace",o[o.fourPerEmSpace=8197]="fourPerEmSpace",o[o.sixPerEmSpace=8198]="sixPerEmSpace",o[o.figureSpace=8199]="figureSpace",o[o.punctuationSpace=8200]="punctuationSpace",o[o.thinSpace=8201]="thinSpace",o[o.hairSpace=8202]="hairSpace",o[o.zeroWidthSpace=8203]="zeroWidthSpace",o[o.narrowNoBreakSpace=8239]="narrowNoBreakSpace",o[o.ideographicSpace=12288]="ideographicSpace",o[o.mathematicalSpace=8287]="mathematicalSpace",o[o.ogham=5760]="ogham",o[o._=95]="_",o[o.$=36]="$",o[o._0=48]="_0",o[o._1=49]="_1",o[o._2=50]="_2",o[o._3=51]="_3",o[o._4=52]="_4",o[o._5=53]="_5",o[o._6=54]="_6",o[o._7=55]="_7",o[o._8=56]="_8",o[o._9=57]="_9",o[o.a=97]="a",o[o.b=98]="b",o[o.c=99]="c",o[o.d=100]="d",o[o.e=101]="e",o[o.f=102]="f",o[o.g=103]="g",o[o.h=104]="h",o[o.i=105]="i",o[o.j=106]="j",o[o.k=107]="k",o[o.l=108]="l",o[o.m=109]="m",o[o.n=110]="n",o[o.o=111]="o",o[o.p=112]="p",o[o.q=113]="q",o[o.r=114]="r",o[o.s=115]="s",o[o.t=116]="t",o[o.u=117]="u",o[o.v=118]="v",o[o.w=119]="w",o[o.x=120]="x",o[o.y=121]="y",o[o.z=122]="z",o[o.A=65]="A",o[o.B=66]="B",o[o.C=67]="C",o[o.D=68]="D",o[o.E=69]="E",o[o.F=70]="F",o[o.G=71]="G",o[o.H=72]="H",o[o.I=73]="I",o[o.J=74]="J",o[o.K=75]="K",o[o.L=76]="L",o[o.M=77]="M",o[o.N=78]="N",o[o.O=79]="O",o[o.P=80]="P",o[o.Q=81]="Q",o[o.R=82]="R",o[o.S=83]="S",o[o.T=84]="T",o[o.U=85]="U",o[o.V=86]="V",o[o.W=87]="W",o[o.X=88]="X",o[o.Y=89]="Y",o[o.Z=90]="Z",o[o.ampersand=38]="ampersand",o[o.asterisk=42]="asterisk",o[o.at=64]="at",o[o.backslash=92]="backslash",o[o.bar=124]="bar",o[o.caret=94]="caret",o[o.closeBrace=125]="closeBrace",o[o.closeBracket=93]="closeBracket",o[o.closeParen=41]="closeParen",o[o.colon=58]="colon",o[o.comma=44]="comma",o[o.dot=46]="dot",o[o.doubleQuote=34]="doubleQuote",o[o.equals=61]="equals",o[o.exclamation=33]="exclamation",o[o.greaterThan=62]="greaterThan",o[o.lessThan=60]="lessThan",o[o.minus=45]="minus",o[o.openBrace=123]="openBrace",o[o.openBracket=91]="openBracket",o[o.openParen=40]="openParen",o[o.percent=37]="percent",o[o.plus=43]="plus",o[o.question=63]="question",o[o.semicolon=59]="semicolon",o[o.singleQuote=39]="singleQuote",o[o.slash=47]="slash",o[o.tilde=126]="tilde",o[o.backspace=8]="backspace",o[o.formFeed=12]="formFeed",o[o.byteOrderMark=65279]="byteOrderMark",o[o.tab=9]="tab",o[o.verticalTab=11]="verticalTab"})(E||(E={}));function I(o,u){const s=[],i=new Object;let r;const l={value:{},offset:0,length:0,type:"object",parent:void 0};let h=!1;function b(L,R,T,U){l.value=L,l.offset=R,l.length=T,l.type=U,l.colonOffset=void 0,r=l}try{a(o,{onObjectBegin:(L,R)=>{if(u<=L)throw i;r=void 0,h=u>L,s.push("")},onObjectProperty:(L,R,T)=>{if(u<R||(b(L,R,T,"property"),s[s.length-1]=L,u<=R+T))throw i},onObjectEnd:(L,R)=>{if(u<=L)throw i;r=void 0,s.pop()},onArrayBegin:(L,R)=>{if(u<=L)throw i;r=void 0,s.push(0)},onArrayEnd:(L,R)=>{if(u<=L)throw i;r=void 0,s.pop()},onLiteralValue:(L,R,T)=>{if(u<R||(b(L,R,T,c(L)),u<=R+T))throw i},onSeparator:(L,R,T)=>{if(u<=R)throw i;if(L===":"&&r&&r.type==="property")r.colonOffset=R,h=!1,r=void 0;else if(L===","){const U=s[s.length-1];typeof U=="number"?s[s.length-1]=U+1:(h=!0,s[s.length-1]=""),r=void 0}}})}catch(L){if(L!==i)throw L}return{path:s,previousNode:r,isAtPropertyKey:h,matches:L=>{let R=0;for(let T=0;R<L.length&&T<s.length;T++)if(L[R]===s[T]||L[R]==="*")R++;else if(L[R]!=="**")return!1;return R===L.length}}}e.getLocation=I;function p(o,u=[],s=C.DEFAULT){let i=null,r=[];const l=[];function h(L){Array.isArray(r)?r.push(L):i!==null&&(r[i]=L)}return a(o,{onObjectBegin:()=>{const L={};h(L),l.push(r),r=L,i=null},onObjectProperty:L=>{i=L},onObjectEnd:()=>{r=l.pop()},onArrayBegin:()=>{const L=[];h(L),l.push(r),r=L,i=null},onArrayEnd:()=>{r=l.pop()},onLiteralValue:h,onError:(L,R,T)=>{u.push({error:L,offset:R,length:T})}},s),r[0]}e.parse=p;function S(o,u=[],s=C.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(L){i.type==="property"&&(i.length=L-i.offset,i=i.parent)}function l(L){return i.children.push(L),L}a(o,{onObjectBegin:L=>{i=l({type:"object",offset:L,length:-1,parent:i,children:[]})},onObjectProperty:(L,R,T)=>{i=l({type:"property",offset:R,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:L,offset:R,length:T,parent:i})},onObjectEnd:(L,R)=>{i.length=L+R-i.offset,i=i.parent,r(L+R)},onArrayBegin:(L,R)=>{i=l({type:"array",offset:L,length:-1,parent:i,children:[]})},onArrayEnd:(L,R)=>{i.length=L+R-i.offset,i=i.parent,r(L+R)},onLiteralValue:(L,R,T)=>{l({type:c(L),offset:R,length:T,parent:i,value:L}),r(R+T)},onSeparator:(L,R,T)=>{i.type==="property"&&(L===":"?i.colonOffset=R:L===","&&r(R))},onError:(L,R,T)=>{u.push({error:L,offset:R,length:T})}},s);const b=i.children[0];return b&&delete b.parent,b}e.parseTree=S;function t(o,u){if(!o)return;let s=o;for(let i of u)if(typeof i=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let r=!1;for(const l of s.children)if(Array.isArray(l.children)&&l.children[0].value===i){s=l.children[1],r=!0;break}if(!r)return}else{const r=i;if(s.type!=="array"||r<0||!Array.isArray(s.children)||r>=s.children.length)return;s=s.children[r]}return s}e.findNodeAtLocation=t;function v(o){if(!o.parent||!o.parent.children)return[];const u=v(o.parent);if(o.parent.type==="property"){const s=o.parent.children[0].value;u.push(s)}else if(o.parent.type==="array"){const s=o.parent.children.indexOf(o);s!==-1&&u.push(s)}return u}e.getNodePath=v;function g(o){switch(o.type){case"array":return o.children.map(g);case"object":{const u=Object.create(null);for(let s of o.children){const i=s.children[1];i&&(u[s.children[0].value]=g(i))}return u}case"null":case"string":case"number":case"boolean":return o.value;default:return}}e.getNodeValue=g;function w(o,u,s=!1){return u>=o.offset&&u<o.offset+o.length||s&&u===o.offset+o.length}e.contains=w;function M(o,u,s=!1){if(w(o,u,s)){const i=o.children;if(Array.isArray(i))for(let r=0;r<i.length&&i[r].offset<=u;r++){const l=M(i[r],u,s);if(l)return l}return o}}e.findNodeAtOffset=M;function a(o,u,s=C.DEFAULT){const i=k(o,!1);function r(W){return W?()=>W(i.getTokenOffset(),i.getTokenLength()):()=>!0}function l(W){return W?A=>W(A,i.getTokenOffset(),i.getTokenLength()):()=>!0}const h=r(u.onObjectBegin),b=l(u.onObjectProperty),L=r(u.onObjectEnd),R=r(u.onArrayBegin),T=r(u.onArrayEnd),U=l(u.onLiteralValue),Q=l(u.onSeparator),se=r(u.onComment),ne=l(u.onError),q=s&&s.disallowComments,J=s&&s.allowTrailingComma;function V(){for(;;){const W=i.scan();switch(i.getTokenError()){case 4:K(14);break;case 5:K(15);break;case 3:K(13);break;case 1:q||K(11);break;case 2:K(12);break;case 6:K(16);break}switch(W){case 12:case 13:q?K(10):se();break;case 16:K(1);break;case 15:case 14:break;default:return W}}}function K(W,A=[],_=[]){if(ne(W),A.length+_.length>0){let N=i.getToken();for(;N!==17;){if(A.indexOf(N)!==-1){V();break}else if(_.indexOf(N)!==-1)break;N=V()}}}function j(W){const A=i.getTokenValue();return W?U(A):b(A),V(),!0}function B(){switch(i.getToken()){case 11:{let W=0;try{W=JSON.parse(i.getTokenValue()),typeof W!="number"&&(K(2),W=0)}catch{K(2)}U(W);break}case 7:U(null);break;case 8:U(!0);break;case 9:U(!1);break;default:return!1}return V(),!0}function $(){return i.getToken()!==10?(K(3,[],[2,5]),!1):(j(!1),i.getToken()===6?(Q(":"),V(),F()||K(4,[],[2,5])):K(5,[],[2,5]),!0)}function Y(){h(),V();let W=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(W||K(4,[],[]),Q(","),V(),i.getToken()===2&&J)break}else W&&K(6,[],[]);$()||K(4,[],[2,5]),W=!0}return L(),i.getToken()!==2?K(7,[2],[]):V(),!0}function H(){R(),V();let W=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(W||K(4,[],[]),Q(","),V(),i.getToken()===4&&J)break}else W&&K(6,[],[]);F()||K(4,[],[4,5]),W=!0}return T(),i.getToken()!==4?K(8,[4],[]):V(),!0}function F(){switch(i.getToken()){case 3:return H();case 1:return Y();case 10:return j(!0);default:return B()}}return V(),i.getToken()===17?s.allowEmptyContent?!0:(K(4,[],[]),!1):F()?(i.getToken()!==17&&K(9,[],[]),!0):(K(4,[],[]),!1)}e.visit=a;function d(o,u){let s=k(o),i=[],r,l=0,h;do switch(h=s.getPosition(),r=s.scan(),r){case 12:case 13:case 17:l!==h&&i.push(o.substring(l,h)),u!==void 0&&i.push(s.getTokenValue().replace(/[^\r\n]/g,u)),l=s.getPosition();break}while(r!==17);return i.join("")}e.stripComments=d;function c(o){switch(typeof o){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(o){if(Array.isArray(o))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=c}),define(ee[104],te([0,1,43]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function n(m,E,I){let p,S,t,v,g;if(E){for(v=E.offset,g=v+E.length,t=v;t>0&&!f(m,t-1);)t--;let h=g;for(;h<m.length&&!f(m,h);)h++;S=m.substring(t,h),p=k(S,I)}else S=m,p=0,t=0,v=0,g=m.length;const w=P(I,m);let M=!1,a=0,d;I.insertSpaces?d=C(" ",I.tabSize||4):d="	";const c=(0,y.createScanner)(S,!1);let o=!1;function u(){return w+C(d,p+a)}function s(){let h=c.scan();for(M=!1;h===15||h===14;)M=M||h===14,h=c.scan();return o=h===16||c.getTokenError()!==0,h}const i=[];function r(h,b,L){!o&&b<g&&L>v&&m.substring(b,L)!==h&&i.push({offset:b,length:L-b,content:h})}let l=s();if(l!==17){const h=c.getTokenOffset()+t,b=C(d,p);r(b,t,h)}for(;l!==17;){let h=c.getTokenOffset()+c.getTokenLength()+t,b=s(),L="";for(;!M&&(b===12||b===13);){const T=c.getTokenOffset()+t;r(" ",h,T),h=c.getTokenOffset()+c.getTokenLength()+t,L=b===12?u():"",b=s()}if(b===2)l!==1&&(a--,L=u());else if(b===4)l!==3&&(a--,L=u());else{switch(l){case 3:case 1:a++,L=u();break;case 5:case 12:L=u();break;case 13:M?L=u():L=" ";break;case 6:L=" ";break;case 10:if(b===6){L="";break}case 7:case 8:case 9:case 11:case 2:case 4:b===12||b===13?L=" ":b!==5&&b!==17&&(o=!0);break;case 16:o=!0;break}M&&(b===12||b===13)&&(L=u())}const R=c.getTokenOffset()+t;r(L,h,R),l=b}return i}e.format=n;function D(m,E){const I=JSON.stringify(m,void 0,E.insertSpaces?E.tabSize||4:"	");return E.eol!==void 0?I.replace(/\r\n|\r|\n/g,E.eol):I}e.toFormattedString=D;function C(m,E){let I="";for(let p=0;p<E;p++)I+=m;return I}function k(m,E){let I=0,p=0;const S=E.tabSize||4;for(;I<m.length;){const t=m.charAt(I);if(t===" ")p++;else if(t==="	")p+=S;else break;I++}return Math.floor(p/S)}function P(m,E){for(let I=0;I<E.length;I++){const p=E.charAt(I);if(p==="\r")return I+1<E.length&&E.charAt(I+1)===`
`?`\r
`:"\r";if(p===`
`)return`
`}return m&&m.eol||`
`}e.getEOL=P;function f(m,E){return`\r
`.indexOf(m.charAt(E))!==-1}e.isEOL=f}),define(ee[105],te([0,1,43,104]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function D(m,E,I){return C(m,E,void 0,I)}e.removeProperty=D;function C(m,E,I,p,S){const t=E.slice(),v=[],g=(0,y.parseTree)(m,v);let w,M;for(;t.length>0&&(M=t.pop(),w=(0,y.findNodeAtLocation)(g,t),w===void 0&&I!==void 0);)typeof M=="string"?I={[M]:I}:I=[I];if(w)if(w.type==="object"&&typeof M=="string"&&Array.isArray(w.children)){const a=(0,y.findNodeAtLocation)(w,[M]);if(a!==void 0)if(I===void 0){if(!a.parent)throw new Error("Malformed AST");const d=w.children.indexOf(a.parent);let c,o=a.parent.offset+a.parent.length;if(d>0){const u=w.children[d-1];c=u.offset+u.length}else c=w.offset+1,w.children.length>1&&(o=w.children[1].offset);return k(m,{offset:c,length:o-c,content:""},p)}else return k(m,{offset:a.offset,length:a.length,content:JSON.stringify(I)},p);else{if(I===void 0)return[];const d=`${JSON.stringify(M)}: ${JSON.stringify(I)}`,c=S?S(w.children.map(u=>u.children[0].value)):w.children.length;let o;if(c>0){const u=w.children[c-1];o={offset:u.offset+u.length,length:0,content:","+d}}else w.children.length===0?o={offset:w.offset+1,length:0,content:d}:o={offset:w.offset+1,length:0,content:d+","};return k(m,o,p)}}else if(w.type==="array"&&typeof M=="number"&&Array.isArray(w.children))if(I!==void 0){const a=`${JSON.stringify(I)}`;let d;if(w.children.length===0||M===0)d={offset:w.offset+1,length:0,content:w.children.length===0?a:a+","};else{const c=M===-1||M>w.children.length?w.children.length:M,o=w.children[c-1];d={offset:o.offset+o.length,length:0,content:","+a}}return k(m,d,p)}else{const a=M,d=w.children[a];let c;if(w.children.length===1)c={offset:w.offset+1,length:w.length-2,content:""};else if(w.children.length-1===a){const o=w.children[a-1],u=o.offset+o.length,s=w.offset+w.length;c={offset:u,length:s-2-u,content:""}}else c={offset:d.offset,length:w.children[a+1].offset-d.offset,content:""};return k(m,c,p)}else throw new Error(`Can not add ${typeof M!="number"?"index":"property"} to parent of type ${w.type}`);else{if(I===void 0)throw new Error("Can not delete in empty document");return k(m,{offset:g?g.offset:0,length:g?g.length:0,content:JSON.stringify(I)},p)}}e.setProperty=C;function k(m,E,I){let p=P(m,E),S=E.offset,t=E.offset+E.content.length;if(E.length===0||E.content.length===0){for(;S>0&&!(0,n.isEOL)(p,S-1);)S--;for(;t<p.length&&!(0,n.isEOL)(p,t);)t++}const v=(0,n.format)(p,{offset:S,length:t-S},I);for(let w=v.length-1;w>=0;w--){const M=v[w];p=P(p,M),S=Math.min(S,M.offset),t=Math.max(t,M.offset+M.length),t+=M.content.length-M.length}const g=m.length-(p.length-t)-S;return[{offset:S,length:g,content:p.substring(S,t)}]}e.withFormatting=k;function P(m,E){return m.substring(0,E.offset)+E.content+m.substring(E.offset+E.length)}e.applyEdit=P;function f(m,E){let I=E.slice(0).sort((S,t)=>{const v=S.offset-t.offset;return v===0?S.length-t.length:v}),p=m.length;for(let S=I.length-1;S>=0;S--){let t=I[S];if(t.offset+t.length<=p)m=P(m,t);else throw new Error("Overlapping edit");p=t.offset}return m}e.applyEdits=f}),define(ee[81],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyChord=e.KeyMod=e.KeyCodeUtils=e.IMMUTABLE_KEY_CODE_TO_CODE=e.IMMUTABLE_CODE_TO_KEY_CODE=e.ScanCodeUtils=e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=e.EVENT_KEY_CODE_MAP=e.ScanCode=e.KeyCode=void 0;var y;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.Unknown=0]="Unknown",t[t.Backspace=1]="Backspace",t[t.Tab=2]="Tab",t[t.Enter=3]="Enter",t[t.Shift=4]="Shift",t[t.Ctrl=5]="Ctrl",t[t.Alt=6]="Alt",t[t.PauseBreak=7]="PauseBreak",t[t.CapsLock=8]="CapsLock",t[t.Escape=9]="Escape",t[t.Space=10]="Space",t[t.PageUp=11]="PageUp",t[t.PageDown=12]="PageDown",t[t.End=13]="End",t[t.Home=14]="Home",t[t.LeftArrow=15]="LeftArrow",t[t.UpArrow=16]="UpArrow",t[t.RightArrow=17]="RightArrow",t[t.DownArrow=18]="DownArrow",t[t.Insert=19]="Insert",t[t.Delete=20]="Delete",t[t.Digit0=21]="Digit0",t[t.Digit1=22]="Digit1",t[t.Digit2=23]="Digit2",t[t.Digit3=24]="Digit3",t[t.Digit4=25]="Digit4",t[t.Digit5=26]="Digit5",t[t.Digit6=27]="Digit6",t[t.Digit7=28]="Digit7",t[t.Digit8=29]="Digit8",t[t.Digit9=30]="Digit9",t[t.KeyA=31]="KeyA",t[t.KeyB=32]="KeyB",t[t.KeyC=33]="KeyC",t[t.KeyD=34]="KeyD",t[t.KeyE=35]="KeyE",t[t.KeyF=36]="KeyF",t[t.KeyG=37]="KeyG",t[t.KeyH=38]="KeyH",t[t.KeyI=39]="KeyI",t[t.KeyJ=40]="KeyJ",t[t.KeyK=41]="KeyK",t[t.KeyL=42]="KeyL",t[t.KeyM=43]="KeyM",t[t.KeyN=44]="KeyN",t[t.KeyO=45]="KeyO",t[t.KeyP=46]="KeyP",t[t.KeyQ=47]="KeyQ",t[t.KeyR=48]="KeyR",t[t.KeyS=49]="KeyS",t[t.KeyT=50]="KeyT",t[t.KeyU=51]="KeyU",t[t.KeyV=52]="KeyV",t[t.KeyW=53]="KeyW",t[t.KeyX=54]="KeyX",t[t.KeyY=55]="KeyY",t[t.KeyZ=56]="KeyZ",t[t.Meta=57]="Meta",t[t.ContextMenu=58]="ContextMenu",t[t.F1=59]="F1",t[t.F2=60]="F2",t[t.F3=61]="F3",t[t.F4=62]="F4",t[t.F5=63]="F5",t[t.F6=64]="F6",t[t.F7=65]="F7",t[t.F8=66]="F8",t[t.F9=67]="F9",t[t.F10=68]="F10",t[t.F11=69]="F11",t[t.F12=70]="F12",t[t.F13=71]="F13",t[t.F14=72]="F14",t[t.F15=73]="F15",t[t.F16=74]="F16",t[t.F17=75]="F17",t[t.F18=76]="F18",t[t.F19=77]="F19",t[t.NumLock=78]="NumLock",t[t.ScrollLock=79]="ScrollLock",t[t.Semicolon=80]="Semicolon",t[t.Equal=81]="Equal",t[t.Comma=82]="Comma",t[t.Minus=83]="Minus",t[t.Period=84]="Period",t[t.Slash=85]="Slash",t[t.Backquote=86]="Backquote",t[t.BracketLeft=87]="BracketLeft",t[t.Backslash=88]="Backslash",t[t.BracketRight=89]="BracketRight",t[t.Quote=90]="Quote",t[t.OEM_8=91]="OEM_8",t[t.IntlBackslash=92]="IntlBackslash",t[t.Numpad0=93]="Numpad0",t[t.Numpad1=94]="Numpad1",t[t.Numpad2=95]="Numpad2",t[t.Numpad3=96]="Numpad3",t[t.Numpad4=97]="Numpad4",t[t.Numpad5=98]="Numpad5",t[t.Numpad6=99]="Numpad6",t[t.Numpad7=100]="Numpad7",t[t.Numpad8=101]="Numpad8",t[t.Numpad9=102]="Numpad9",t[t.NumpadMultiply=103]="NumpadMultiply",t[t.NumpadAdd=104]="NumpadAdd",t[t.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",t[t.NumpadSubtract=106]="NumpadSubtract",t[t.NumpadDecimal=107]="NumpadDecimal",t[t.NumpadDivide=108]="NumpadDivide",t[t.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",t[t.ABNT_C1=110]="ABNT_C1",t[t.ABNT_C2=111]="ABNT_C2",t[t.AudioVolumeMute=112]="AudioVolumeMute",t[t.AudioVolumeUp=113]="AudioVolumeUp",t[t.AudioVolumeDown=114]="AudioVolumeDown",t[t.BrowserSearch=115]="BrowserSearch",t[t.BrowserHome=116]="BrowserHome",t[t.BrowserBack=117]="BrowserBack",t[t.BrowserForward=118]="BrowserForward",t[t.MediaTrackNext=119]="MediaTrackNext",t[t.MediaTrackPrevious=120]="MediaTrackPrevious",t[t.MediaStop=121]="MediaStop",t[t.MediaPlayPause=122]="MediaPlayPause",t[t.LaunchMediaPlayer=123]="LaunchMediaPlayer",t[t.LaunchMail=124]="LaunchMail",t[t.LaunchApp2=125]="LaunchApp2",t[t.MAX_VALUE=126]="MAX_VALUE"})(y=e.KeyCode||(e.KeyCode={}));var n;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.None=0]="None",t[t.Hyper=1]="Hyper",t[t.Super=2]="Super",t[t.Fn=3]="Fn",t[t.FnLock=4]="FnLock",t[t.Suspend=5]="Suspend",t[t.Resume=6]="Resume",t[t.Turbo=7]="Turbo",t[t.Sleep=8]="Sleep",t[t.WakeUp=9]="WakeUp",t[t.KeyA=10]="KeyA",t[t.KeyB=11]="KeyB",t[t.KeyC=12]="KeyC",t[t.KeyD=13]="KeyD",t[t.KeyE=14]="KeyE",t[t.KeyF=15]="KeyF",t[t.KeyG=16]="KeyG",t[t.KeyH=17]="KeyH",t[t.KeyI=18]="KeyI",t[t.KeyJ=19]="KeyJ",t[t.KeyK=20]="KeyK",t[t.KeyL=21]="KeyL",t[t.KeyM=22]="KeyM",t[t.KeyN=23]="KeyN",t[t.KeyO=24]="KeyO",t[t.KeyP=25]="KeyP",t[t.KeyQ=26]="KeyQ",t[t.KeyR=27]="KeyR",t[t.KeyS=28]="KeyS",t[t.KeyT=29]="KeyT",t[t.KeyU=30]="KeyU",t[t.KeyV=31]="KeyV",t[t.KeyW=32]="KeyW",t[t.KeyX=33]="KeyX",t[t.KeyY=34]="KeyY",t[t.KeyZ=35]="KeyZ",t[t.Digit1=36]="Digit1",t[t.Digit2=37]="Digit2",t[t.Digit3=38]="Digit3",t[t.Digit4=39]="Digit4",t[t.Digit5=40]="Digit5",t[t.Digit6=41]="Digit6",t[t.Digit7=42]="Digit7",t[t.Digit8=43]="Digit8",t[t.Digit9=44]="Digit9",t[t.Digit0=45]="Digit0",t[t.Enter=46]="Enter",t[t.Escape=47]="Escape",t[t.Backspace=48]="Backspace",t[t.Tab=49]="Tab",t[t.Space=50]="Space",t[t.Minus=51]="Minus",t[t.Equal=52]="Equal",t[t.BracketLeft=53]="BracketLeft",t[t.BracketRight=54]="BracketRight",t[t.Backslash=55]="Backslash",t[t.IntlHash=56]="IntlHash",t[t.Semicolon=57]="Semicolon",t[t.Quote=58]="Quote",t[t.Backquote=59]="Backquote",t[t.Comma=60]="Comma",t[t.Period=61]="Period",t[t.Slash=62]="Slash",t[t.CapsLock=63]="CapsLock",t[t.F1=64]="F1",t[t.F2=65]="F2",t[t.F3=66]="F3",t[t.F4=67]="F4",t[t.F5=68]="F5",t[t.F6=69]="F6",t[t.F7=70]="F7",t[t.F8=71]="F8",t[t.F9=72]="F9",t[t.F10=73]="F10",t[t.F11=74]="F11",t[t.F12=75]="F12",t[t.PrintScreen=76]="PrintScreen",t[t.ScrollLock=77]="ScrollLock",t[t.Pause=78]="Pause",t[t.Insert=79]="Insert",t[t.Home=80]="Home",t[t.PageUp=81]="PageUp",t[t.Delete=82]="Delete",t[t.End=83]="End",t[t.PageDown=84]="PageDown",t[t.ArrowRight=85]="ArrowRight",t[t.ArrowLeft=86]="ArrowLeft",t[t.ArrowDown=87]="ArrowDown",t[t.ArrowUp=88]="ArrowUp",t[t.NumLock=89]="NumLock",t[t.NumpadDivide=90]="NumpadDivide",t[t.NumpadMultiply=91]="NumpadMultiply",t[t.NumpadSubtract=92]="NumpadSubtract",t[t.NumpadAdd=93]="NumpadAdd",t[t.NumpadEnter=94]="NumpadEnter",t[t.Numpad1=95]="Numpad1",t[t.Numpad2=96]="Numpad2",t[t.Numpad3=97]="Numpad3",t[t.Numpad4=98]="Numpad4",t[t.Numpad5=99]="Numpad5",t[t.Numpad6=100]="Numpad6",t[t.Numpad7=101]="Numpad7",t[t.Numpad8=102]="Numpad8",t[t.Numpad9=103]="Numpad9",t[t.Numpad0=104]="Numpad0",t[t.NumpadDecimal=105]="NumpadDecimal",t[t.IntlBackslash=106]="IntlBackslash",t[t.ContextMenu=107]="ContextMenu",t[t.Power=108]="Power",t[t.NumpadEqual=109]="NumpadEqual",t[t.F13=110]="F13",t[t.F14=111]="F14",t[t.F15=112]="F15",t[t.F16=113]="F16",t[t.F17=114]="F17",t[t.F18=115]="F18",t[t.F19=116]="F19",t[t.F20=117]="F20",t[t.F21=118]="F21",t[t.F22=119]="F22",t[t.F23=120]="F23",t[t.F24=121]="F24",t[t.Open=122]="Open",t[t.Help=123]="Help",t[t.Select=124]="Select",t[t.Again=125]="Again",t[t.Undo=126]="Undo",t[t.Cut=127]="Cut",t[t.Copy=128]="Copy",t[t.Paste=129]="Paste",t[t.Find=130]="Find",t[t.AudioVolumeMute=131]="AudioVolumeMute",t[t.AudioVolumeUp=132]="AudioVolumeUp",t[t.AudioVolumeDown=133]="AudioVolumeDown",t[t.NumpadComma=134]="NumpadComma",t[t.IntlRo=135]="IntlRo",t[t.KanaMode=136]="KanaMode",t[t.IntlYen=137]="IntlYen",t[t.Convert=138]="Convert",t[t.NonConvert=139]="NonConvert",t[t.Lang1=140]="Lang1",t[t.Lang2=141]="Lang2",t[t.Lang3=142]="Lang3",t[t.Lang4=143]="Lang4",t[t.Lang5=144]="Lang5",t[t.Abort=145]="Abort",t[t.Props=146]="Props",t[t.NumpadParenLeft=147]="NumpadParenLeft",t[t.NumpadParenRight=148]="NumpadParenRight",t[t.NumpadBackspace=149]="NumpadBackspace",t[t.NumpadMemoryStore=150]="NumpadMemoryStore",t[t.NumpadMemoryRecall=151]="NumpadMemoryRecall",t[t.NumpadMemoryClear=152]="NumpadMemoryClear",t[t.NumpadMemoryAdd=153]="NumpadMemoryAdd",t[t.NumpadMemorySubtract=154]="NumpadMemorySubtract",t[t.NumpadClear=155]="NumpadClear",t[t.NumpadClearEntry=156]="NumpadClearEntry",t[t.ControlLeft=157]="ControlLeft",t[t.ShiftLeft=158]="ShiftLeft",t[t.AltLeft=159]="AltLeft",t[t.MetaLeft=160]="MetaLeft",t[t.ControlRight=161]="ControlRight",t[t.ShiftRight=162]="ShiftRight",t[t.AltRight=163]="AltRight",t[t.MetaRight=164]="MetaRight",t[t.BrightnessUp=165]="BrightnessUp",t[t.BrightnessDown=166]="BrightnessDown",t[t.MediaPlay=167]="MediaPlay",t[t.MediaRecord=168]="MediaRecord",t[t.MediaFastForward=169]="MediaFastForward",t[t.MediaRewind=170]="MediaRewind",t[t.MediaTrackNext=171]="MediaTrackNext",t[t.MediaTrackPrevious=172]="MediaTrackPrevious",t[t.MediaStop=173]="MediaStop",t[t.Eject=174]="Eject",t[t.MediaPlayPause=175]="MediaPlayPause",t[t.MediaSelect=176]="MediaSelect",t[t.LaunchMail=177]="LaunchMail",t[t.LaunchApp2=178]="LaunchApp2",t[t.LaunchApp1=179]="LaunchApp1",t[t.SelectTask=180]="SelectTask",t[t.LaunchScreenSaver=181]="LaunchScreenSaver",t[t.BrowserSearch=182]="BrowserSearch",t[t.BrowserHome=183]="BrowserHome",t[t.BrowserBack=184]="BrowserBack",t[t.BrowserForward=185]="BrowserForward",t[t.BrowserStop=186]="BrowserStop",t[t.BrowserRefresh=187]="BrowserRefresh",t[t.BrowserFavorites=188]="BrowserFavorites",t[t.ZoomToggle=189]="ZoomToggle",t[t.MailReply=190]="MailReply",t[t.MailForward=191]="MailForward",t[t.MailSend=192]="MailSend",t[t.MAX_VALUE=193]="MAX_VALUE"})(n=e.ScanCode||(e.ScanCode={}));class D{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(v,g){this._keyCodeToStr[v]=g,this._strToKeyCode[g.toLowerCase()]=v}keyCodeToStr(v){return this._keyCodeToStr[v]}strToKeyCode(v){return this._strToKeyCode[v.toLowerCase()]||0}}const C=new D,k=new D,P=new D;e.EVENT_KEY_CODE_MAP=new Array(230),e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const f=[],m=Object.create(null),E=Object.create(null);e.ScanCodeUtils={lowerCaseToEnum:t=>E[t]||0,toEnum:t=>m[t]||0,toString:t=>f[t]||"None"},e.IMMUTABLE_CODE_TO_KEY_CODE=[],e.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let t=0;t<=193;t++)e.IMMUTABLE_CODE_TO_KEY_CODE[t]=-1;for(let t=0;t<=126;t++)e.IMMUTABLE_KEY_CODE_TO_CODE[t]=-1;(function(){const t="",v=[[0,1,0,"None",0,"unknown",0,"VK_UNKNOWN",t,t],[0,1,1,"Hyper",0,t,0,t,t,t],[0,1,2,"Super",0,t,0,t,t,t],[0,1,3,"Fn",0,t,0,t,t,t],[0,1,4,"FnLock",0,t,0,t,t,t],[0,1,5,"Suspend",0,t,0,t,t,t],[0,1,6,"Resume",0,t,0,t,t,t],[0,1,7,"Turbo",0,t,0,t,t,t],[0,1,8,"Sleep",0,t,0,"VK_SLEEP",t,t],[0,1,9,"WakeUp",0,t,0,t,t,t],[31,0,10,"KeyA",31,"A",65,"VK_A",t,t],[32,0,11,"KeyB",32,"B",66,"VK_B",t,t],[33,0,12,"KeyC",33,"C",67,"VK_C",t,t],[34,0,13,"KeyD",34,"D",68,"VK_D",t,t],[35,0,14,"KeyE",35,"E",69,"VK_E",t,t],[36,0,15,"KeyF",36,"F",70,"VK_F",t,t],[37,0,16,"KeyG",37,"G",71,"VK_G",t,t],[38,0,17,"KeyH",38,"H",72,"VK_H",t,t],[39,0,18,"KeyI",39,"I",73,"VK_I",t,t],[40,0,19,"KeyJ",40,"J",74,"VK_J",t,t],[41,0,20,"KeyK",41,"K",75,"VK_K",t,t],[42,0,21,"KeyL",42,"L",76,"VK_L",t,t],[43,0,22,"KeyM",43,"M",77,"VK_M",t,t],[44,0,23,"KeyN",44,"N",78,"VK_N",t,t],[45,0,24,"KeyO",45,"O",79,"VK_O",t,t],[46,0,25,"KeyP",46,"P",80,"VK_P",t,t],[47,0,26,"KeyQ",47,"Q",81,"VK_Q",t,t],[48,0,27,"KeyR",48,"R",82,"VK_R",t,t],[49,0,28,"KeyS",49,"S",83,"VK_S",t,t],[50,0,29,"KeyT",50,"T",84,"VK_T",t,t],[51,0,30,"KeyU",51,"U",85,"VK_U",t,t],[52,0,31,"KeyV",52,"V",86,"VK_V",t,t],[53,0,32,"KeyW",53,"W",87,"VK_W",t,t],[54,0,33,"KeyX",54,"X",88,"VK_X",t,t],[55,0,34,"KeyY",55,"Y",89,"VK_Y",t,t],[56,0,35,"KeyZ",56,"Z",90,"VK_Z",t,t],[22,0,36,"Digit1",22,"1",49,"VK_1",t,t],[23,0,37,"Digit2",23,"2",50,"VK_2",t,t],[24,0,38,"Digit3",24,"3",51,"VK_3",t,t],[25,0,39,"Digit4",25,"4",52,"VK_4",t,t],[26,0,40,"Digit5",26,"5",53,"VK_5",t,t],[27,0,41,"Digit6",27,"6",54,"VK_6",t,t],[28,0,42,"Digit7",28,"7",55,"VK_7",t,t],[29,0,43,"Digit8",29,"8",56,"VK_8",t,t],[30,0,44,"Digit9",30,"9",57,"VK_9",t,t],[21,0,45,"Digit0",21,"0",48,"VK_0",t,t],[3,1,46,"Enter",3,"Enter",13,"VK_RETURN",t,t],[9,1,47,"Escape",9,"Escape",27,"VK_ESCAPE",t,t],[1,1,48,"Backspace",1,"Backspace",8,"VK_BACK",t,t],[2,1,49,"Tab",2,"Tab",9,"VK_TAB",t,t],[10,1,50,"Space",10,"Space",32,"VK_SPACE",t,t],[83,0,51,"Minus",83,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[81,0,52,"Equal",81,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[87,0,53,"BracketLeft",87,"[",219,"VK_OEM_4","[","OEM_4"],[89,0,54,"BracketRight",89,"]",221,"VK_OEM_6","]","OEM_6"],[88,0,55,"Backslash",88,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,0,56,"IntlHash",0,t,0,t,t,t],[80,0,57,"Semicolon",80,";",186,"VK_OEM_1",";","OEM_1"],[90,0,58,"Quote",90,"'",222,"VK_OEM_7","'","OEM_7"],[86,0,59,"Backquote",86,"`",192,"VK_OEM_3","`","OEM_3"],[82,0,60,"Comma",82,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[84,0,61,"Period",84,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[85,0,62,"Slash",85,"/",191,"VK_OEM_2","/","OEM_2"],[8,1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",t,t],[59,1,64,"F1",59,"F1",112,"VK_F1",t,t],[60,1,65,"F2",60,"F2",113,"VK_F2",t,t],[61,1,66,"F3",61,"F3",114,"VK_F3",t,t],[62,1,67,"F4",62,"F4",115,"VK_F4",t,t],[63,1,68,"F5",63,"F5",116,"VK_F5",t,t],[64,1,69,"F6",64,"F6",117,"VK_F6",t,t],[65,1,70,"F7",65,"F7",118,"VK_F7",t,t],[66,1,71,"F8",66,"F8",119,"VK_F8",t,t],[67,1,72,"F9",67,"F9",120,"VK_F9",t,t],[68,1,73,"F10",68,"F10",121,"VK_F10",t,t],[69,1,74,"F11",69,"F11",122,"VK_F11",t,t],[70,1,75,"F12",70,"F12",123,"VK_F12",t,t],[0,1,76,"PrintScreen",0,t,0,t,t,t],[79,1,77,"ScrollLock",79,"ScrollLock",145,"VK_SCROLL",t,t],[7,1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",t,t],[19,1,79,"Insert",19,"Insert",45,"VK_INSERT",t,t],[14,1,80,"Home",14,"Home",36,"VK_HOME",t,t],[11,1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",t,t],[20,1,82,"Delete",20,"Delete",46,"VK_DELETE",t,t],[13,1,83,"End",13,"End",35,"VK_END",t,t],[12,1,84,"PageDown",12,"PageDown",34,"VK_NEXT",t,t],[17,1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",t],[15,1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",t],[18,1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",t],[16,1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",t],[78,1,89,"NumLock",78,"NumLock",144,"VK_NUMLOCK",t,t],[108,1,90,"NumpadDivide",108,"NumPad_Divide",111,"VK_DIVIDE",t,t],[103,1,91,"NumpadMultiply",103,"NumPad_Multiply",106,"VK_MULTIPLY",t,t],[106,1,92,"NumpadSubtract",106,"NumPad_Subtract",109,"VK_SUBTRACT",t,t],[104,1,93,"NumpadAdd",104,"NumPad_Add",107,"VK_ADD",t,t],[3,1,94,"NumpadEnter",3,t,0,t,t,t],[94,1,95,"Numpad1",94,"NumPad1",97,"VK_NUMPAD1",t,t],[95,1,96,"Numpad2",95,"NumPad2",98,"VK_NUMPAD2",t,t],[96,1,97,"Numpad3",96,"NumPad3",99,"VK_NUMPAD3",t,t],[97,1,98,"Numpad4",97,"NumPad4",100,"VK_NUMPAD4",t,t],[98,1,99,"Numpad5",98,"NumPad5",101,"VK_NUMPAD5",t,t],[99,1,100,"Numpad6",99,"NumPad6",102,"VK_NUMPAD6",t,t],[100,1,101,"Numpad7",100,"NumPad7",103,"VK_NUMPAD7",t,t],[101,1,102,"Numpad8",101,"NumPad8",104,"VK_NUMPAD8",t,t],[102,1,103,"Numpad9",102,"NumPad9",105,"VK_NUMPAD9",t,t],[93,1,104,"Numpad0",93,"NumPad0",96,"VK_NUMPAD0",t,t],[107,1,105,"NumpadDecimal",107,"NumPad_Decimal",110,"VK_DECIMAL",t,t],[92,0,106,"IntlBackslash",92,"OEM_102",226,"VK_OEM_102",t,t],[58,1,107,"ContextMenu",58,"ContextMenu",93,t,t,t],[0,1,108,"Power",0,t,0,t,t,t],[0,1,109,"NumpadEqual",0,t,0,t,t,t],[71,1,110,"F13",71,"F13",124,"VK_F13",t,t],[72,1,111,"F14",72,"F14",125,"VK_F14",t,t],[73,1,112,"F15",73,"F15",126,"VK_F15",t,t],[74,1,113,"F16",74,"F16",127,"VK_F16",t,t],[75,1,114,"F17",75,"F17",128,"VK_F17",t,t],[76,1,115,"F18",76,"F18",129,"VK_F18",t,t],[77,1,116,"F19",77,"F19",130,"VK_F19",t,t],[0,1,117,"F20",0,t,0,"VK_F20",t,t],[0,1,118,"F21",0,t,0,"VK_F21",t,t],[0,1,119,"F22",0,t,0,"VK_F22",t,t],[0,1,120,"F23",0,t,0,"VK_F23",t,t],[0,1,121,"F24",0,t,0,"VK_F24",t,t],[0,1,122,"Open",0,t,0,t,t,t],[0,1,123,"Help",0,t,0,t,t,t],[0,1,124,"Select",0,t,0,t,t,t],[0,1,125,"Again",0,t,0,t,t,t],[0,1,126,"Undo",0,t,0,t,t,t],[0,1,127,"Cut",0,t,0,t,t,t],[0,1,128,"Copy",0,t,0,t,t,t],[0,1,129,"Paste",0,t,0,t,t,t],[0,1,130,"Find",0,t,0,t,t,t],[0,1,131,"AudioVolumeMute",112,"AudioVolumeMute",173,"VK_VOLUME_MUTE",t,t],[0,1,132,"AudioVolumeUp",113,"AudioVolumeUp",175,"VK_VOLUME_UP",t,t],[0,1,133,"AudioVolumeDown",114,"AudioVolumeDown",174,"VK_VOLUME_DOWN",t,t],[105,1,134,"NumpadComma",105,"NumPad_Separator",108,"VK_SEPARATOR",t,t],[110,0,135,"IntlRo",110,"ABNT_C1",193,"VK_ABNT_C1",t,t],[0,1,136,"KanaMode",0,t,0,t,t,t],[0,0,137,"IntlYen",0,t,0,t,t,t],[0,1,138,"Convert",0,t,0,t,t,t],[0,1,139,"NonConvert",0,t,0,t,t,t],[0,1,140,"Lang1",0,t,0,t,t,t],[0,1,141,"Lang2",0,t,0,t,t,t],[0,1,142,"Lang3",0,t,0,t,t,t],[0,1,143,"Lang4",0,t,0,t,t,t],[0,1,144,"Lang5",0,t,0,t,t,t],[0,1,145,"Abort",0,t,0,t,t,t],[0,1,146,"Props",0,t,0,t,t,t],[0,1,147,"NumpadParenLeft",0,t,0,t,t,t],[0,1,148,"NumpadParenRight",0,t,0,t,t,t],[0,1,149,"NumpadBackspace",0,t,0,t,t,t],[0,1,150,"NumpadMemoryStore",0,t,0,t,t,t],[0,1,151,"NumpadMemoryRecall",0,t,0,t,t,t],[0,1,152,"NumpadMemoryClear",0,t,0,t,t,t],[0,1,153,"NumpadMemoryAdd",0,t,0,t,t,t],[0,1,154,"NumpadMemorySubtract",0,t,0,t,t,t],[0,1,155,"NumpadClear",0,t,0,t,t,t],[0,1,156,"NumpadClearEntry",0,t,0,t,t,t],[5,1,0,t,5,"Ctrl",17,"VK_CONTROL",t,t],[4,1,0,t,4,"Shift",16,"VK_SHIFT",t,t],[6,1,0,t,6,"Alt",18,"VK_MENU",t,t],[57,1,0,t,57,"Meta",0,"VK_COMMAND",t,t],[5,1,157,"ControlLeft",5,t,0,"VK_LCONTROL",t,t],[4,1,158,"ShiftLeft",4,t,0,"VK_LSHIFT",t,t],[6,1,159,"AltLeft",6,t,0,"VK_LMENU",t,t],[57,1,160,"MetaLeft",57,t,0,"VK_LWIN",t,t],[5,1,161,"ControlRight",5,t,0,"VK_RCONTROL",t,t],[4,1,162,"ShiftRight",4,t,0,"VK_RSHIFT",t,t],[6,1,163,"AltRight",6,t,0,"VK_RMENU",t,t],[57,1,164,"MetaRight",57,t,0,"VK_RWIN",t,t],[0,1,165,"BrightnessUp",0,t,0,t,t,t],[0,1,166,"BrightnessDown",0,t,0,t,t,t],[0,1,167,"MediaPlay",0,t,0,t,t,t],[0,1,168,"MediaRecord",0,t,0,t,t,t],[0,1,169,"MediaFastForward",0,t,0,t,t,t],[0,1,170,"MediaRewind",0,t,0,t,t,t],[114,1,171,"MediaTrackNext",119,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",t,t],[115,1,172,"MediaTrackPrevious",120,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",t,t],[116,1,173,"MediaStop",121,"MediaStop",178,"VK_MEDIA_STOP",t,t],[0,1,174,"Eject",0,t,0,t,t,t],[117,1,175,"MediaPlayPause",122,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",t,t],[0,1,176,"MediaSelect",123,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",t,t],[0,1,177,"LaunchMail",124,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",t,t],[0,1,178,"LaunchApp2",125,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",t,t],[0,1,179,"LaunchApp1",0,t,0,"VK_MEDIA_LAUNCH_APP1",t,t],[0,1,180,"SelectTask",0,t,0,t,t,t],[0,1,181,"LaunchScreenSaver",0,t,0,t,t,t],[0,1,182,"BrowserSearch",115,"BrowserSearch",170,"VK_BROWSER_SEARCH",t,t],[0,1,183,"BrowserHome",116,"BrowserHome",172,"VK_BROWSER_HOME",t,t],[112,1,184,"BrowserBack",117,"BrowserBack",166,"VK_BROWSER_BACK",t,t],[113,1,185,"BrowserForward",118,"BrowserForward",167,"VK_BROWSER_FORWARD",t,t],[0,1,186,"BrowserStop",0,t,0,"VK_BROWSER_STOP",t,t],[0,1,187,"BrowserRefresh",0,t,0,"VK_BROWSER_REFRESH",t,t],[0,1,188,"BrowserFavorites",0,t,0,"VK_BROWSER_FAVORITES",t,t],[0,1,189,"ZoomToggle",0,t,0,t,t,t],[0,1,190,"MailReply",0,t,0,t,t,t],[0,1,191,"MailForward",0,t,0,t,t,t],[0,1,192,"MailSend",0,t,0,t,t,t],[109,1,0,t,109,"KeyInComposition",229,t,t,t],[111,1,0,t,111,"ABNT_C2",194,"VK_ABNT_C2",t,t],[91,1,0,t,91,"OEM_8",223,"VK_OEM_8",t,t],[0,1,0,t,0,t,0,"VK_CLEAR",t,t],[0,1,0,t,0,t,0,"VK_KANA",t,t],[0,1,0,t,0,t,0,"VK_HANGUL",t,t],[0,1,0,t,0,t,0,"VK_JUNJA",t,t],[0,1,0,t,0,t,0,"VK_FINAL",t,t],[0,1,0,t,0,t,0,"VK_HANJA",t,t],[0,1,0,t,0,t,0,"VK_KANJI",t,t],[0,1,0,t,0,t,0,"VK_CONVERT",t,t],[0,1,0,t,0,t,0,"VK_NONCONVERT",t,t],[0,1,0,t,0,t,0,"VK_ACCEPT",t,t],[0,1,0,t,0,t,0,"VK_MODECHANGE",t,t],[0,1,0,t,0,t,0,"VK_SELECT",t,t],[0,1,0,t,0,t,0,"VK_PRINT",t,t],[0,1,0,t,0,t,0,"VK_EXECUTE",t,t],[0,1,0,t,0,t,0,"VK_SNAPSHOT",t,t],[0,1,0,t,0,t,0,"VK_HELP",t,t],[0,1,0,t,0,t,0,"VK_APPS",t,t],[0,1,0,t,0,t,0,"VK_PROCESSKEY",t,t],[0,1,0,t,0,t,0,"VK_PACKET",t,t],[0,1,0,t,0,t,0,"VK_DBE_SBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_DBE_DBCSCHAR",t,t],[0,1,0,t,0,t,0,"VK_ATTN",t,t],[0,1,0,t,0,t,0,"VK_CRSEL",t,t],[0,1,0,t,0,t,0,"VK_EXSEL",t,t],[0,1,0,t,0,t,0,"VK_EREOF",t,t],[0,1,0,t,0,t,0,"VK_PLAY",t,t],[0,1,0,t,0,t,0,"VK_ZOOM",t,t],[0,1,0,t,0,t,0,"VK_NONAME",t,t],[0,1,0,t,0,t,0,"VK_PA1",t,t],[0,1,0,t,0,t,0,"VK_OEM_CLEAR",t,t]];let g=[],w=[];for(const M of v){const[a,d,c,o,u,s,i,r,l,h]=M;if(w[c]||(w[c]=!0,f[c]=o,m[o]=c,E[o.toLowerCase()]=c,d&&(e.IMMUTABLE_CODE_TO_KEY_CODE[c]=u,u!==0&&u!==3&&u!==5&&u!==4&&u!==6&&u!==57&&(e.IMMUTABLE_KEY_CODE_TO_CODE[u]=c))),!g[u]){if(g[u]=!0,!s)throw new Error(`String representation missing for key code ${u} around scan code ${o}`);C.define(u,s),k.define(u,l||s),P.define(u,h||l||s)}i&&(e.EVENT_KEY_CODE_MAP[i]=u),r&&(e.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[r]=u)}e.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var I;(function(t){function v(c){return C.keyCodeToStr(c)}t.toString=v;function g(c){return C.strToKeyCode(c)}t.fromString=g;function w(c){return k.keyCodeToStr(c)}t.toUserSettingsUS=w;function M(c){return P.keyCodeToStr(c)}t.toUserSettingsGeneral=M;function a(c){return k.strToKeyCode(c)||P.strToKeyCode(c)}t.fromUserSettings=a;function d(c){if(c>=93&&c<=108)return null;switch(c){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return C.keyCodeToStr(c)}t.toElectronAccelerator=d})(I=e.KeyCodeUtils||(e.KeyCodeUtils={}));var p;(function(t){t[t.CtrlCmd=2048]="CtrlCmd",t[t.Shift=1024]="Shift",t[t.Alt=512]="Alt",t[t.WinCtrl=256]="WinCtrl"})(p=e.KeyMod||(e.KeyMod={}));function S(t,v){const g=(v&65535)<<16>>>0;return(t|g)>>>0}e.KeyChord=S}),define(ee[59],te([0,1,15]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedKeybinding=e.ResolvedKeybindingPart=e.ScanCodeBinding=e.ChordKeybinding=e.SimpleKeybinding=e.createSimpleKeybinding=e.createKeybinding=void 0;var n;(function(I){I[I.CtrlCmd=2048]="CtrlCmd",I[I.Shift=1024]="Shift",I[I.Alt=512]="Alt",I[I.WinCtrl=256]="WinCtrl",I[I.KeyCode=255]="KeyCode"})(n||(n={}));function D(I,p){if(I===0)return null;const S=(I&65535)>>>0,t=(I&4294901760)>>>16;return t!==0?new P([C(S,p),C(t,p)]):new P([C(S,p)])}e.createKeybinding=D;function C(I,p){const S=!!(I&2048),t=!!(I&256),v=p===2?t:S,g=!!(I&1024),w=!!(I&512),M=p===2?S:t,a=I&255;return new k(v,g,w,M,a)}e.createSimpleKeybinding=C;class k{constructor(p,S,t,v,g){this.ctrlKey=p,this.shiftKey=S,this.altKey=t,this.metaKey=v,this.keyCode=g}equals(p){return this.ctrlKey===p.ctrlKey&&this.shiftKey===p.shiftKey&&this.altKey===p.altKey&&this.metaKey===p.metaKey&&this.keyCode===p.keyCode}getHashCode(){const p=this.ctrlKey?"1":"0",S=this.shiftKey?"1":"0",t=this.altKey?"1":"0",v=this.metaKey?"1":"0";return`${p}${S}${t}${v}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new P([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}e.SimpleKeybinding=k;class P{constructor(p){if(p.length===0)throw(0,y.illegalArgument)("parts");this.parts=p}getHashCode(){let p="";for(let S=0,t=this.parts.length;S<t;S++)S!==0&&(p+=";"),p+=this.parts[S].getHashCode();return p}equals(p){if(p===null||this.parts.length!==p.parts.length)return!1;for(let S=0;S<this.parts.length;S++)if(!this.parts[S].equals(p.parts[S]))return!1;return!0}}e.ChordKeybinding=P;class f{constructor(p,S,t,v,g){this.ctrlKey=p,this.shiftKey=S,this.altKey=t,this.metaKey=v,this.scanCode=g}equals(p){return this.ctrlKey===p.ctrlKey&&this.shiftKey===p.shiftKey&&this.altKey===p.altKey&&this.metaKey===p.metaKey&&this.scanCode===p.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}e.ScanCodeBinding=f;class m{constructor(p,S,t,v,g,w){this.ctrlKey=p,this.shiftKey=S,this.altKey=t,this.metaKey=v,this.keyLabel=g,this.keyAriaLabel=w}}e.ResolvedKeybindingPart=m;class E{}e.ResolvedKeybinding=E}),define(ee[106],te([0,1,81,59]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingParser=void 0;class D{static _readModifiers(k){k=k.toLowerCase().trim();let P=!1,f=!1,m=!1,E=!1,I;do I=!1,/^ctrl(\+|\-)/.test(k)&&(P=!0,k=k.substr("ctrl-".length),I=!0),/^shift(\+|\-)/.test(k)&&(f=!0,k=k.substr("shift-".length),I=!0),/^alt(\+|\-)/.test(k)&&(m=!0,k=k.substr("alt-".length),I=!0),/^meta(\+|\-)/.test(k)&&(E=!0,k=k.substr("meta-".length),I=!0),/^win(\+|\-)/.test(k)&&(E=!0,k=k.substr("win-".length),I=!0),/^cmd(\+|\-)/.test(k)&&(E=!0,k=k.substr("cmd-".length),I=!0);while(I);let p;const S=k.indexOf(" ");return S>0?(p=k.substring(0,S),k=k.substring(S)):(p=k,k=""),{remains:k,ctrl:P,shift:f,alt:m,meta:E,key:p}}static parseSimpleKeybinding(k){const P=this._readModifiers(k),f=y.KeyCodeUtils.fromUserSettings(P.key);return[new n.SimpleKeybinding(P.ctrl,P.shift,P.alt,P.meta,f),P.remains]}static parseKeybinding(k,P){if(!k)return null;const f=[];let m;do[m,k]=this.parseSimpleKeybinding(k),f.push(m);while(k.length>0);return new n.ChordKeybinding(f)}static parseSimpleUserBinding(k){const P=this._readModifiers(k),f=P.key.match(/^\[([^\]]+)\]$/);if(f){const E=f[1],I=y.ScanCodeUtils.lowerCaseToEnum(E);return[new n.ScanCodeBinding(P.ctrl,P.shift,P.alt,P.meta,I),P.remains]}const m=y.KeyCodeUtils.fromUserSettings(P.key);return[new n.SimpleKeybinding(P.ctrl,P.shift,P.alt,P.meta,m),P.remains]}static parseUserBinding(k){if(!k)return[];const P=[];let f;for(;k.length>0;)[f,k]=this.parseSimpleUserBinding(k),P.push(f);return P}}e.KeybindingParser=D}),define(ee[107],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class y{constructor(D){this.executor=D,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(D){this._error=D}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(D){return new y(()=>D(this.getValue()))}}e.Lazy=y}),define(ee[2],te([0,1,42,69]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const D=!1;let C=null;function k(i){C=i}if(e.setDisposableTracker=k,D){const i="__is_disposable_tracked__";k(new class{trackDisposable(r){const l=new Error("Potentially leaked disposable").stack;setTimeout(()=>{r[i]||console.log(l)},3e3)}setParent(r,l){if(r&&r!==M.None)try{r[i]=!0}catch{}}markAsDisposed(r){if(r&&r!==M.None)try{r[i]=!0}catch{}}markAsSingleton(r){}})}function P(i){return C?.trackDisposable(i),i}function f(i){C?.markAsDisposed(i)}function m(i,r){C?.setParent(i,r)}function E(i,r){if(!!C)for(const l of i)C.setParent(l,r)}function I(i){return C?.markAsSingleton(i),i}e.markAsSingleton=I;class p extends Error{constructor(r){super(`Encountered errors while disposing of store. Errors: [${r.join(", ")}]`);this.errors=r}}e.MultiDisposeError=p;function S(i){return typeof i.dispose=="function"&&i.dispose.length===0}e.isDisposable=S;function t(i){if(n.Iterable.is(i)){let r=[];for(const l of i)if(l)try{l.dispose()}catch(h){r.push(h)}if(r.length===1)throw r[0];if(r.length>1)throw new p(r);return Array.isArray(i)?[]:i}else if(i)return i.dispose(),i}e.dispose=t;function v(...i){const r=g(()=>t(i));return E(i,r),r}e.combinedDisposable=v;function g(i){const r=P({dispose:(0,y.once)(()=>{f(r),i()})});return r}e.toDisposable=g;class w{constructor(){this._toDispose=new Set,this._isDisposed=!1,P(this)}dispose(){this._isDisposed||(f(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{t(this._toDispose.values())}finally{this._toDispose.clear()}}add(r){if(!r)return r;if(r===this)throw new Error("Cannot register a disposable on itself!");return m(r,this),this._isDisposed?w.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(r),r}}e.DisposableStore=w,w.DISABLE_DISPOSED_WARNING=!1;class M{constructor(){this._store=new w,P(this),m(this._store,this)}dispose(){f(this),this._store.dispose()}_register(r){if(r===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(r)}}e.Disposable=M,M.None=Object.freeze({dispose(){}});class a{constructor(){this._isDisposed=!1,P(this)}get value(){return this._isDisposed?void 0:this._value}set value(r){this._isDisposed||r===this._value||(this._value?.dispose(),r&&m(r,this),this._value=r)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,f(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const r=this._value;return this._value=void 0,r&&m(r,null),r}}e.MutableDisposable=a;class d{constructor(r){this._disposable=r,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=d;class c{constructor(){this.references=new Map}acquire(r,...l){let h=this.references.get(r);h||(h={counter:0,object:this.createReferencedObject(r,...l)},this.references.set(r,h));const{object:b}=h,L=(0,y.once)(()=>{--h.counter==0&&(this.destroyReferencedObject(r,h.object),this.references.delete(r))});return h.counter++,{object:b,dispose:L}}}e.ReferenceCollection=c;class o{constructor(r){this.referenceCollection=r}async acquire(r,...l){const h=this.referenceCollection.acquire(r,...l);try{return{object:await h.object,dispose:()=>h.dispose()}}catch(b){throw h.dispose(),b}}}e.AsyncReferenceCollection=o;class u{constructor(r){this.object=r}dispose(){}}e.ImmortalReference=u;function s(i){const r=new w;try{i(r)}finally{r.dispose()}}e.disposeOnReturn=s}),define(ee[108],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class y{constructor(C){this.element=C,this.next=y.Undefined,this.prev=y.Undefined}}y.Undefined=new y(void 0);class n{constructor(){this._first=y.Undefined,this._last=y.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===y.Undefined}clear(){let C=this._first;for(;C!==y.Undefined;){const k=C.next;C.prev=y.Undefined,C.next=y.Undefined,C=k}this._first=y.Undefined,this._last=y.Undefined,this._size=0}unshift(C){return this._insert(C,!1)}push(C){return this._insert(C,!0)}_insert(C,k){const P=new y(C);if(this._first===y.Undefined)this._first=P,this._last=P;else if(k){const m=this._last;this._last=P,P.prev=m,m.next=P}else{const m=this._first;this._first=P,P.next=m,m.prev=P}this._size+=1;let f=!1;return()=>{f||(f=!0,this._remove(P))}}shift(){if(this._first!==y.Undefined){const C=this._first.element;return this._remove(this._first),C}}pop(){if(this._last!==y.Undefined){const C=this._last.element;return this._remove(this._last),C}}_remove(C){if(C.prev!==y.Undefined&&C.next!==y.Undefined){const k=C.prev;k.next=C.next,C.next.prev=k}else C.prev===y.Undefined&&C.next===y.Undefined?(this._first=y.Undefined,this._last=y.Undefined):C.next===y.Undefined?(this._last=this._last.prev,this._last.next=y.Undefined):C.prev===y.Undefined&&(this._first=this._first.next,this._first.prev=y.Undefined);this._size-=1}*[Symbol.iterator](){let C=this._first;for(;C!==y.Undefined;)yield C.element,C=C.next}}e.LinkedList=n}),function(){function G(D){const C=[];typeof D=="number"&&C.push("code/timeOrigin",D);function k(f){C.push(f,Date.now())}function P(){const f=[];for(let m=0;m<C.length;m+=2)f.push({name:C[m],startTime:C[m+1]});return f}return{mark:k,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?G():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const k of performance.getEntriesByType("mark"))C.push({name:k.name,startTime:Math.round(D+k.startTime)});return C}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return G(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),G()}function y(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var n;typeof global=="object"?n=global:typeof self=="object"?n=self:n={},typeof define=="function"?define("vs/base/common/performance",[],function(){return y(n)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=y(n):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),n.perf=y(n))}(),define(ee[3],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const y="en";let n=!1,D=!1,C=!1,k=!1,P=!1,f=!1,m=!1,E=!1,I,p=y,S,t;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let v;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?v=e.globals.vscode.process:typeof process!="undefined"&&(v=process);const g=typeof v?.versions?.electron=="string",w=g&&v?.type==="renderer";if(e.isElectronSandboxed=w&&v?.sandboxed,typeof navigator=="object"&&!w)t=navigator.userAgent,n=t.indexOf("Windows")>=0,D=t.indexOf("Macintosh")>=0,E=(t.indexOf("Macintosh")>=0||t.indexOf("iPad")>=0||t.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=t.indexOf("Linux")>=0,f=!0,I=navigator.language,p=I;else if(typeof v=="object"){n=v.platform==="win32",D=v.platform==="darwin",C=v.platform==="linux",k=C&&!!v.env.SNAP&&!!v.env.SNAP_REVISION,m=g,I=y,p=y;const r=v.env.VSCODE_NLS_CONFIG;if(r)try{const l=JSON.parse(r),h=l.availableLanguages["*"];I=l.locale,p=h||y,S=l._translationsConfigFile}catch{}P=!0}else console.error("Unable to resolve platform.");var M;(function(r){r[r.Web=0]="Web",r[r.Mac=1]="Mac",r[r.Linux=2]="Linux",r[r.Windows=3]="Windows"})(M=e.Platform||(e.Platform={}));function a(r){switch(r){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=a;let d=0;D?d=1:n?d=3:C&&(d=2),e.isWindows=n,e.isMacintosh=D,e.isLinux=C,e.isLinuxSnap=k,e.isNative=P,e.isElectron=m,e.isWeb=f,e.isIOS=E,e.platform=d,e.userAgent=t,e.language=p;var c;(function(r){function l(){return e.language}r.value=l;function h(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}r.isDefaultVariant=h;function b(){return e.language==="en"}r.isDefault=b})(c=e.Language||(e.Language={})),e.locale=I,e.translationsConfigFile=S,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let r=[];e.globals.addEventListener("message",h=>{if(h.data&&h.data.vscodeScheduleAsyncWork)for(let b=0,L=r.length;b<L;b++){const R=r[b];if(R.id===h.data.vscodeScheduleAsyncWork){r.splice(b,1),R.callback();return}}});let l=0;return h=>{const b=++l;r.push({id:b,callback:h}),e.globals.postMessage({vscodeScheduleAsyncWork:b},"*")}}return r=>setTimeout(r)})();var o;(function(r){r[r.Windows=1]="Windows",r[r.Macintosh=2]="Macintosh",r[r.Linux=3]="Linux"})(o=e.OperatingSystem||(e.OperatingSystem={})),e.OS=D||E?2:n?1:3;let u=!0,s=!1;function i(){if(!s){s=!0;const r=new Uint8Array(2);r[0]=1,r[1]=2,u=new Uint16Array(r.buffer)[0]===(2<<8)+1}return u}e.isLittleEndian=i}),define(ee[34],te([0,1,3]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let n;if(typeof y.globals.vscode!="undefined"&&typeof y.globals.vscode.process!="undefined"){const D=y.globals.vscode.process;n={get platform(){return D.platform},get arch(){return D.arch},get env(){return D.env},cwd(){return D.cwd()}}}else typeof process!="undefined"?n={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:n={get platform(){return y.isWindows?"win32":y.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=n.cwd,e.env=n.env,e.platform=n.platform,e.arch=n.arch}),define(ee[9],te([0,1,34]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const n=65,D=97,C=90,k=122,P=46,f=47,m=92,E=58,I=63;class p extends Error{constructor(d,c,o){let u;typeof c=="string"&&c.indexOf("not ")===0?(u="must not be",c=c.replace(/^not /,"")):u="must be";const s=d.indexOf(".")!==-1?"property":"argument";let i=`The "${d}" ${s} ${u} of type ${c}`;i+=`. Received type ${typeof o}`;super(i);this.code="ERR_INVALID_ARG_TYPE"}}function S(a,d){if(typeof a!="string")throw new p(d,"string",a)}function t(a){return a===f||a===m}function v(a){return a===f}function g(a){return a>=n&&a<=C||a>=D&&a<=k}function w(a,d,c,o){let u="",s=0,i=-1,r=0,l=0;for(let h=0;h<=a.length;++h){if(h<a.length)l=a.charCodeAt(h);else{if(o(l))break;l=f}if(o(l)){if(!(i===h-1||r===1))if(r===2){if(u.length<2||s!==2||u.charCodeAt(u.length-1)!==P||u.charCodeAt(u.length-2)!==P){if(u.length>2){const b=u.lastIndexOf(c);b===-1?(u="",s=0):(u=u.slice(0,b),s=u.length-1-u.lastIndexOf(c)),i=h,r=0;continue}else if(u.length!==0){u="",s=0,i=h,r=0;continue}}d&&(u+=u.length>0?`${c}..`:"..",s=2)}else u.length>0?u+=`${c}${a.slice(i+1,h)}`:u=a.slice(i+1,h),s=h-i-1;i=h,r=0}else l===P&&r!==-1?++r:r=-1}return u}function M(a,d){if(d===null||typeof d!="object")throw new p("pathObject","Object",d);const c=d.dir||d.root,o=d.base||`${d.name||""}${d.ext||""}`;return c?c===d.root?`${c}${o}`:`${c}${a}${o}`:o}e.win32={resolve(...a){let d="",c="",o=!1;for(let u=a.length-1;u>=-1;u--){let s;if(u>=0){if(s=a[u],S(s,"path"),s.length===0)continue}else d.length===0?s=y.cwd():(s=y.env[`=${d}`]||y.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==d.toLowerCase()&&s.charCodeAt(2)===m)&&(s=`${d}\\`));const i=s.length;let r=0,l="",h=!1;const b=s.charCodeAt(0);if(i===1)t(b)&&(r=1,h=!0);else if(t(b))if(h=!0,t(s.charCodeAt(1))){let L=2,R=L;for(;L<i&&!t(s.charCodeAt(L));)L++;if(L<i&&L!==R){const T=s.slice(R,L);for(R=L;L<i&&t(s.charCodeAt(L));)L++;if(L<i&&L!==R){for(R=L;L<i&&!t(s.charCodeAt(L));)L++;(L===i||L!==R)&&(l=`\\\\${T}\\${s.slice(R,L)}`,r=L)}}}else r=1;else g(b)&&s.charCodeAt(1)===E&&(l=s.slice(0,2),r=2,i>2&&t(s.charCodeAt(2))&&(h=!0,r=3));if(l.length>0)if(d.length>0){if(l.toLowerCase()!==d.toLowerCase())continue}else d=l;if(o){if(d.length>0)break}else if(c=`${s.slice(r)}\\${c}`,o=h,h&&d.length>0)break}return c=w(c,!o,"\\",t),o?`${d}\\${c}`:`${d}${c}`||"."},normalize(a){S(a,"path");const d=a.length;if(d===0)return".";let c=0,o,u=!1;const s=a.charCodeAt(0);if(d===1)return v(s)?"\\":a;if(t(s))if(u=!0,t(a.charCodeAt(1))){let r=2,l=r;for(;r<d&&!t(a.charCodeAt(r));)r++;if(r<d&&r!==l){const h=a.slice(l,r);for(l=r;r<d&&t(a.charCodeAt(r));)r++;if(r<d&&r!==l){for(l=r;r<d&&!t(a.charCodeAt(r));)r++;if(r===d)return`\\\\${h}\\${a.slice(l)}\\`;r!==l&&(o=`\\\\${h}\\${a.slice(l,r)}`,c=r)}}}else c=1;else g(s)&&a.charCodeAt(1)===E&&(o=a.slice(0,2),c=2,d>2&&t(a.charCodeAt(2))&&(u=!0,c=3));let i=c<d?w(a.slice(c),!u,"\\",t):"";return i.length===0&&!u&&(i="."),i.length>0&&t(a.charCodeAt(d-1))&&(i+="\\"),o===void 0?u?`\\${i}`:i:u?`${o}\\${i}`:`${o}${i}`},isAbsolute(a){S(a,"path");const d=a.length;if(d===0)return!1;const c=a.charCodeAt(0);return t(c)||d>2&&g(c)&&a.charCodeAt(1)===E&&t(a.charCodeAt(2))},join(...a){if(a.length===0)return".";let d,c;for(let s=0;s<a.length;++s){const i=a[s];S(i,"path"),i.length>0&&(d===void 0?d=c=i:d+=`\\${i}`)}if(d===void 0)return".";let o=!0,u=0;if(typeof c=="string"&&t(c.charCodeAt(0))){++u;const s=c.length;s>1&&t(c.charCodeAt(1))&&(++u,s>2&&(t(c.charCodeAt(2))?++u:o=!1))}if(o){for(;u<d.length&&t(d.charCodeAt(u));)u++;u>=2&&(d=`\\${d.slice(u)}`)}return e.win32.normalize(d)},relative(a,d){if(S(a,"from"),S(d,"to"),a===d)return"";const c=e.win32.resolve(a),o=e.win32.resolve(d);if(c===o||(a=c.toLowerCase(),d=o.toLowerCase(),a===d))return"";let u=0;for(;u<a.length&&a.charCodeAt(u)===m;)u++;let s=a.length;for(;s-1>u&&a.charCodeAt(s-1)===m;)s--;const i=s-u;let r=0;for(;r<d.length&&d.charCodeAt(r)===m;)r++;let l=d.length;for(;l-1>r&&d.charCodeAt(l-1)===m;)l--;const h=l-r,b=i<h?i:h;let L=-1,R=0;for(;R<b;R++){const U=a.charCodeAt(u+R);if(U!==d.charCodeAt(r+R))break;U===m&&(L=R)}if(R!==b){if(L===-1)return o}else{if(h>b){if(d.charCodeAt(r+R)===m)return o.slice(r+R+1);if(R===2)return o.slice(r+R)}i>b&&(a.charCodeAt(u+R)===m?L=R:R===2&&(L=3)),L===-1&&(L=0)}let T="";for(R=u+L+1;R<=s;++R)(R===s||a.charCodeAt(R)===m)&&(T+=T.length===0?"..":"\\..");return r+=L,T.length>0?`${T}${o.slice(r,l)}`:(o.charCodeAt(r)===m&&++r,o.slice(r,l))},toNamespacedPath(a){if(typeof a!="string")return a;if(a.length===0)return"";const d=e.win32.resolve(a);if(d.length<=2)return a;if(d.charCodeAt(0)===m){if(d.charCodeAt(1)===m){const c=d.charCodeAt(2);if(c!==I&&c!==P)return`\\\\?\\UNC\\${d.slice(2)}`}}else if(g(d.charCodeAt(0))&&d.charCodeAt(1)===E&&d.charCodeAt(2)===m)return`\\\\?\\${d}`;return a},dirname(a){S(a,"path");const d=a.length;if(d===0)return".";let c=-1,o=0;const u=a.charCodeAt(0);if(d===1)return t(u)?a:".";if(t(u)){if(c=o=1,t(a.charCodeAt(1))){let r=2,l=r;for(;r<d&&!t(a.charCodeAt(r));)r++;if(r<d&&r!==l){for(l=r;r<d&&t(a.charCodeAt(r));)r++;if(r<d&&r!==l){for(l=r;r<d&&!t(a.charCodeAt(r));)r++;if(r===d)return a;r!==l&&(c=o=r+1)}}}}else g(u)&&a.charCodeAt(1)===E&&(c=d>2&&t(a.charCodeAt(2))?3:2,o=c);let s=-1,i=!0;for(let r=d-1;r>=o;--r)if(t(a.charCodeAt(r))){if(!i){s=r;break}}else i=!1;if(s===-1){if(c===-1)return".";s=c}return a.slice(0,s)},basename(a,d){d!==void 0&&S(d,"ext"),S(a,"path");let c=0,o=-1,u=!0,s;if(a.length>=2&&g(a.charCodeAt(0))&&a.charCodeAt(1)===E&&(c=2),d!==void 0&&d.length>0&&d.length<=a.length){if(d===a)return"";let i=d.length-1,r=-1;for(s=a.length-1;s>=c;--s){const l=a.charCodeAt(s);if(t(l)){if(!u){c=s+1;break}}else r===-1&&(u=!1,r=s+1),i>=0&&(l===d.charCodeAt(i)?--i==-1&&(o=s):(i=-1,o=r))}return c===o?o=r:o===-1&&(o=a.length),a.slice(c,o)}for(s=a.length-1;s>=c;--s)if(t(a.charCodeAt(s))){if(!u){c=s+1;break}}else o===-1&&(u=!1,o=s+1);return o===-1?"":a.slice(c,o)},extname(a){S(a,"path");let d=0,c=-1,o=0,u=-1,s=!0,i=0;a.length>=2&&a.charCodeAt(1)===E&&g(a.charCodeAt(0))&&(d=o=2);for(let r=a.length-1;r>=d;--r){const l=a.charCodeAt(r);if(t(l)){if(!s){o=r+1;break}continue}u===-1&&(s=!1,u=r+1),l===P?c===-1?c=r:i!==1&&(i=1):c!==-1&&(i=-1)}return c===-1||u===-1||i===0||i===1&&c===u-1&&c===o+1?"":a.slice(c,u)},format:M.bind(null,"\\"),parse(a){S(a,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return d;const c=a.length;let o=0,u=a.charCodeAt(0);if(c===1)return t(u)?(d.root=d.dir=a,d):(d.base=d.name=a,d);if(t(u)){if(o=1,t(a.charCodeAt(1))){let L=2,R=L;for(;L<c&&!t(a.charCodeAt(L));)L++;if(L<c&&L!==R){for(R=L;L<c&&t(a.charCodeAt(L));)L++;if(L<c&&L!==R){for(R=L;L<c&&!t(a.charCodeAt(L));)L++;L===c?o=L:L!==R&&(o=L+1)}}}}else if(g(u)&&a.charCodeAt(1)===E){if(c<=2)return d.root=d.dir=a,d;if(o=2,t(a.charCodeAt(2))){if(c===3)return d.root=d.dir=a,d;o=3}}o>0&&(d.root=a.slice(0,o));let s=-1,i=o,r=-1,l=!0,h=a.length-1,b=0;for(;h>=o;--h){if(u=a.charCodeAt(h),t(u)){if(!l){i=h+1;break}continue}r===-1&&(l=!1,r=h+1),u===P?s===-1?s=h:b!==1&&(b=1):s!==-1&&(b=-1)}return r!==-1&&(s===-1||b===0||b===1&&s===r-1&&s===i+1?d.base=d.name=a.slice(i,r):(d.name=a.slice(i,s),d.base=a.slice(i,r),d.ext=a.slice(s,r))),i>0&&i!==o?d.dir=a.slice(0,i-1):d.dir=d.root,d},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...a){let d="",c=!1;for(let o=a.length-1;o>=-1&&!c;o--){const u=o>=0?a[o]:y.cwd();S(u,"path"),u.length!==0&&(d=`${u}/${d}`,c=u.charCodeAt(0)===f)}return d=w(d,!c,"/",v),c?`/${d}`:d.length>0?d:"."},normalize(a){if(S(a,"path"),a.length===0)return".";const d=a.charCodeAt(0)===f,c=a.charCodeAt(a.length-1)===f;return a=w(a,!d,"/",v),a.length===0?d?"/":c?"./":".":(c&&(a+="/"),d?`/${a}`:a)},isAbsolute(a){return S(a,"path"),a.length>0&&a.charCodeAt(0)===f},join(...a){if(a.length===0)return".";let d;for(let c=0;c<a.length;++c){const o=a[c];S(o,"path"),o.length>0&&(d===void 0?d=o:d+=`/${o}`)}return d===void 0?".":e.posix.normalize(d)},relative(a,d){if(S(a,"from"),S(d,"to"),a===d||(a=e.posix.resolve(a),d=e.posix.resolve(d),a===d))return"";const c=1,o=a.length,u=o-c,s=1,i=d.length-s,r=u<i?u:i;let l=-1,h=0;for(;h<r;h++){const L=a.charCodeAt(c+h);if(L!==d.charCodeAt(s+h))break;L===f&&(l=h)}if(h===r)if(i>r){if(d.charCodeAt(s+h)===f)return d.slice(s+h+1);if(h===0)return d.slice(s+h)}else u>r&&(a.charCodeAt(c+h)===f?l=h:h===0&&(l=0));let b="";for(h=c+l+1;h<=o;++h)(h===o||a.charCodeAt(h)===f)&&(b+=b.length===0?"..":"/..");return`${b}${d.slice(s+l)}`},toNamespacedPath(a){return a},dirname(a){if(S(a,"path"),a.length===0)return".";const d=a.charCodeAt(0)===f;let c=-1,o=!0;for(let u=a.length-1;u>=1;--u)if(a.charCodeAt(u)===f){if(!o){c=u;break}}else o=!1;return c===-1?d?"/":".":d&&c===1?"//":a.slice(0,c)},basename(a,d){d!==void 0&&S(d,"ext"),S(a,"path");let c=0,o=-1,u=!0,s;if(d!==void 0&&d.length>0&&d.length<=a.length){if(d===a)return"";let i=d.length-1,r=-1;for(s=a.length-1;s>=0;--s){const l=a.charCodeAt(s);if(l===f){if(!u){c=s+1;break}}else r===-1&&(u=!1,r=s+1),i>=0&&(l===d.charCodeAt(i)?--i==-1&&(o=s):(i=-1,o=r))}return c===o?o=r:o===-1&&(o=a.length),a.slice(c,o)}for(s=a.length-1;s>=0;--s)if(a.charCodeAt(s)===f){if(!u){c=s+1;break}}else o===-1&&(u=!1,o=s+1);return o===-1?"":a.slice(c,o)},extname(a){S(a,"path");let d=-1,c=0,o=-1,u=!0,s=0;for(let i=a.length-1;i>=0;--i){const r=a.charCodeAt(i);if(r===f){if(!u){c=i+1;break}continue}o===-1&&(u=!1,o=i+1),r===P?d===-1?d=i:s!==1&&(s=1):d!==-1&&(s=-1)}return d===-1||o===-1||s===0||s===1&&d===o-1&&d===c+1?"":a.slice(d,o)},format:M.bind(null,"/"),parse(a){S(a,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return d;const c=a.charCodeAt(0)===f;let o;c?(d.root="/",o=1):o=0;let u=-1,s=0,i=-1,r=!0,l=a.length-1,h=0;for(;l>=o;--l){const b=a.charCodeAt(l);if(b===f){if(!r){s=l+1;break}continue}i===-1&&(r=!1,i=l+1),b===P?u===-1?u=l:h!==1&&(h=1):u!==-1&&(h=-1)}if(i!==-1){const b=s===0&&c?1:s;u===-1||h===0||h===1&&u===i-1&&u===s+1?d.base=d.name=a.slice(b,i):(d.name=a.slice(b,u),d.base=a.slice(b,i),d.ext=a.slice(u,i))}return s>0?d.dir=a.slice(0,s-1):c&&(d.dir="/"),d},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=y.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=y.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=y.platform==="win32"?e.win32.join:e.posix.join,e.resolve=y.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=y.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=y.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=y.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=y.platform==="win32"?e.win32.extname:e.posix.extname,e.format=y.platform==="win32"?e.win32.format:e.posix.format,e.parse=y.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=y.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=y.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=y.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(ee[82],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var y;(function(C){C[C.stdout=0]="stdout",C[C.stderr=1]="stderr"})(y=e.Source||(e.Source={}));var n;(function(C){C[C.Success=0]="Success",C[C.Unknown=1]="Unknown",C[C.AccessDenied=2]="AccessDenied",C[C.ProcessNotFound=3]="ProcessNotFound"})(n=e.TerminateResponseCode||(e.TerminateResponseCode={}));function D(C,...k){const P=k.reduce((E,I)=>(E[I]=!0,E),{}),f=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(C).filter(E=>!P[E]).forEach(E=>{for(let I=0;I<f.length;I++)if(E.search(f[I])!==-1){delete C[E];break}})}e.sanitizeProcessEnvironment=D}),define(ee[109],te([0,1,3]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const n=y.globals.performance&&typeof y.globals.performance.now=="function";class D{constructor(k){this._highResolution=n&&k,this._startTime=this._now(),this._stopTime=-1}static create(k=!0){return new D(k)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?y.globals.performance.now():Date.now()}}e.StopWatch=D}),define(ee[4],te([0,1,15,42,2,108,109]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var P;(function(d){d.None=()=>D.Disposable.None;function c(j){return(B,$=null,Y)=>{let H=!1,F;return F=j(W=>{if(!H)return F?F.dispose():H=!0,B.call($,W)},null,Y),H&&F.dispose(),F}}d.once=c;function o(j,B){return h(($,Y=null,H)=>j(F=>$.call(Y,B(F)),null,H))}d.map=o;function u(j,B){return h(($,Y=null,H)=>j(F=>{B(F),$.call(Y,F)},null,H))}d.forEach=u;function s(j,B){return h(($,Y=null,H)=>j(F=>B(F)&&$.call(Y,F),null,H))}d.filter=s;function i(j){return j}d.signal=i;function r(...j){return(B,$=null,Y)=>(0,D.combinedDisposable)(...j.map(H=>H(F=>B.call($,F),null,Y)))}d.any=r;function l(j,B,$){let Y=$;return o(j,H=>(Y=B(Y,H),Y))}d.reduce=l;function h(j){let B;const $=new p({onFirstListenerAdd(){B=j($.fire,$)},onLastListenerRemove(){B.dispose()}});return $.event}function b(j,B,$,Y=100,H=!1){let F,W,A=0;return j(_=>{A++,F=$(F,_),H&&!W&&(B(F),F=void 0),clearTimeout(W),W=setTimeout(()=>{const N=F;F=void 0,W=void 0,(!H||A>1)&&B(N),A=0},Y)})}d.debouncedListener=b;function L(j,B,$=100,Y=!1,H){let F,W,A,_=0;const N=new p({leakWarningThreshold:H,onFirstListenerAdd(){F=j(O=>{_++,W=B(W,O),Y&&!A&&(N.fire(W),W=void 0),clearTimeout(A),A=setTimeout(()=>{const z=W;W=void 0,A=void 0,(!Y||_>1)&&N.fire(z),_=0},$)})},onLastListenerRemove(){F.dispose()}});return N.event}d.debounce=L;function R(j,B=($,Y)=>$===Y){let $=!0,Y;return s(j,H=>{const F=$||!B(H,Y);return $=!1,Y=H,F})}d.latch=R;function T(j,B){return[d.filter(j,B),d.filter(j,$=>!B($))]}d.split=T;function U(j,B=!1,$=[]){let Y=$.slice(),H=j(A=>{Y?Y.push(A):W.fire(A)});const F=()=>{Y&&Y.forEach(A=>W.fire(A)),Y=null},W=new p({onFirstListenerAdd(){H||(H=j(A=>W.fire(A)))},onFirstListenerDidAdd(){Y&&(B?setTimeout(F):F())},onLastListenerRemove(){H&&H.dispose(),H=null}});return W.event}d.buffer=U;class Q{constructor(B){this.event=B}map(B){return new Q(o(this.event,B))}forEach(B){return new Q(u(this.event,B))}filter(B){return new Q(s(this.event,B))}reduce(B,$){return new Q(l(this.event,B,$))}latch(){return new Q(R(this.event))}debounce(B,$=100,Y=!1,H){return new Q(L(this.event,B,$,Y,H))}on(B,$,Y){return this.event(B,$,Y)}once(B,$,Y){return c(this.event)(B,$,Y)}}function se(j){return new Q(j)}d.chain=se;function ne(j,B,$=Y=>Y){const Y=(...A)=>W.fire($(...A)),H=()=>j.on(B,Y),F=()=>j.removeListener(B,Y),W=new p({onFirstListenerAdd:H,onLastListenerRemove:F});return W.event}d.fromNodeEventEmitter=ne;function q(j,B,$=Y=>Y){const Y=(...A)=>W.fire($(...A)),H=()=>j.addEventListener(B,Y),F=()=>j.removeEventListener(B,Y),W=new p({onFirstListenerAdd:H,onLastListenerRemove:F});return W.event}d.fromDOMEventEmitter=q;function J(j){return new Promise(B=>c(j)(B))}d.toPromise=J;function V(j,B){return B(void 0),j($=>B($))}d.runAndSubscribe=V;function K(j,B){let $=null;function Y(F){$?.dispose(),$=new D.DisposableStore,B(F,$)}Y(void 0);const H=j(F=>Y(F));return(0,D.toDisposable)(()=>{H.dispose(),$?.dispose()})}d.runAndSubscribeWithStore=K})(P=e.Event||(e.Event={}));class f{constructor(c){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${c}_${f._idPool++}`}start(c){this._stopWatch=new k.StopWatch(!0),this._listenerCount=c}stop(){if(this._stopWatch){const c=this._stopWatch.elapsed();this._elapsedOverall+=c,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${c.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}f._idPool=0;let m=-1;function E(d){const c=m;return m=d,{dispose(){m=c}}}e.setGlobalLeakWarningThreshold=E;class I{constructor(c,o=Math.random().toString(18).slice(2,5)){this.customThreshold=c,this.name=o,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(c){let o=m;if(typeof this.customThreshold=="number"&&(o=this.customThreshold),o<=0||c<o)return;this._stacks||(this._stacks=new Map);const u=new Error().stack.split(`
`).slice(3).join(`
`),s=this._stacks.get(u)||0;if(this._stacks.set(u,s+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=o*.5;let i,r=0;for(const[l,h]of this._stacks)(!i||r<h)&&(i=l,r=h);console.warn(`[${this.name}] potential listener LEAK detected, having ${c} listeners already. MOST frequent listener (${r}):`),console.warn(i)}return()=>{const i=this._stacks.get(u)||0;this._stacks.set(u,i-1)}}}class p{constructor(c){this._disposed=!1,this._options=c,this._leakageMon=m>0?new I(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new f(this._options._profName):void 0}get event(){return this._event||(this._event=(c,o,u)=>{this._listeners||(this._listeners=new C.LinkedList);const s=this._listeners.isEmpty();s&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const i=this._listeners.push(o?[c,o]:c);s&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,c,o);const r=this._leakageMon?.check(this._listeners.size),l=(0,D.toDisposable)(()=>{r&&r(),this._disposed||(i(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return u instanceof D.DisposableStore?u.add(l):Array.isArray(u)&&u.push(l),l}),this._event}fire(c){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new C.LinkedList);for(let o of this._listeners)this._deliveryQueue.push([o,c]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[o,u]=this._deliveryQueue.shift();try{typeof o=="function"?o.call(void 0,u):o[0].call(o[1],u)}catch(s){(0,y.onUnexpectedError)(s)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=p;class S extends p{async fireAsync(c,o,u){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new C.LinkedList);for(const s of this._listeners)this._asyncDeliveryQueue.push([s,c]);for(;this._asyncDeliveryQueue.size>0&&!o.isCancellationRequested;){const[s,i]=this._asyncDeliveryQueue.shift(),r=[],l={...i,token:o,waitUntil:h=>{if(Object.isFrozen(r))throw new Error("waitUntil can NOT be called asynchronous");u&&(h=u(h,typeof s=="function"?s:s[0])),r.push(h)}};try{typeof s=="function"?s.call(void 0,l):s[0].call(s[1],l)}catch(h){(0,y.onUnexpectedError)(h);continue}Object.freeze(r),await Promise.allSettled(r).then(h=>{for(const b of h)b.status==="rejected"&&(0,y.onUnexpectedError)(b.reason)})}}}}e.AsyncEmitter=S;class t extends p{constructor(c){super(c);this._isPaused=0,this._eventQueue=new C.LinkedList,this._mergeFn=c?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const c=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(c))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(c){this._listeners&&(this._isPaused!==0?this._eventQueue.push(c):super.fire(c))}}e.PauseableEmitter=t;class v extends t{constructor(c){super(c);this._delay=c.delay??100}fire(c){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(c)}}e.DebounceEmitter=v;class g extends p{constructor(c){super(c);this._queuedEvents=[],this._mergeFn=c?.merge}fire(c){this._queuedEvents.push(c),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(o=>super.fire(o)),this._queuedEvents=[]})}}e.MicrotaskEmitter=g;class w{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new p({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(c){const o={event:c,listener:null};this.events.push(o),this.hasListeners&&this.hook(o);const u=()=>{this.hasListeners&&this.unhook(o);const s=this.events.indexOf(o);this.events.splice(s,1)};return(0,D.toDisposable)((0,n.once)(u))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(c=>this.hook(c))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(c=>this.unhook(c))}hook(c){c.listener=c.event(o=>this.emitter.fire(o))}unhook(c){c.listener&&c.listener.dispose(),c.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=w;class M{constructor(){this.buffers=[]}wrapEvent(c){return(o,u,s)=>c(i=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>o.call(u,i)):o.call(u,i)},void 0,s)}bufferEvents(c){const o=[];this.buffers.push(o);const u=c();return this.buffers.pop(),o.forEach(s=>s()),u}}e.EventBufferer=M;class a{constructor(){this.listening=!1,this.inputEvent=P.None,this.inputEventListener=D.Disposable.None,this.emitter=new p({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(c){this.inputEvent=c,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=c(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=a}),define(ee[21],te([0,1,4]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const n=Object.freeze(function(P,f){const m=setTimeout(P.bind(f),0);return{dispose(){clearTimeout(m)}}});var D;(function(P){function f(m){return m===P.None||m===P.Cancelled||m instanceof C?!0:!m||typeof m!="object"?!1:typeof m.isCancellationRequested=="boolean"&&typeof m.onCancellationRequested=="function"}P.isCancellationToken=f,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:y.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:n})})(D=e.CancellationToken||(e.CancellationToken={}));class C{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?n:(this._emitter||(this._emitter=new y.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class k{constructor(f){this._token=void 0,this._parentListener=void 0,this._parentListener=f&&f.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new C),this._token}cancel(){this._token?this._token instanceof C&&this._token.cancel():this._token=D.Cancelled}dispose(f=!1){f&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof C&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=k}),define(ee[110],te([0,1,21]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class n{constructor(k){this.task=k,this.result=null}get(){if(this.result)return this.result;const k=new y.CancellationTokenSource,P=this.task(k.token);return this.result={promise:P,dispose:()=>{this.result=null,k.cancel(),k.dispose()}},this.result}}e.Cache=n;class D{constructor(k){this.computeFn=k,this.lastCache=void 0,this.lastArgKey=void 0}get(k){const P=JSON.stringify(k);return this.lastArgKey!==P&&(this.lastArgKey=P,this.lastCache=this.computeFn(k)),this.lastCache}}e.LRUCachedComputed=D}),define(ee[51],te([0,1,15,2]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function D(a){const d=a;return d?[d.on,d.pause,d.resume,d.destroy].every(c=>typeof c=="function"):!1}e.isReadableStream=D;function C(a){const d=a;return d?D(d.stream)&&Array.isArray(d.buffer)&&typeof d.ended=="boolean":!1}e.isReadableBufferedStream=C;function k(a,d){return new P(a,d)}e.newWriteableStream=k;class P{constructor(d,c){this.reducer=d,this.options=c,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(d){if(!this.state.destroyed){if(this.state.flowing)this.emitData(d);else if(this.buffer.data.push(d),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(d){this.state.destroyed||(this.state.flowing?this.emitError(d):this.buffer.error.push(d))}end(d){this.state.destroyed||(typeof d!="undefined"&&this.write(d),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(d){this.listeners.data.slice(0).forEach(c=>c(d))}emitError(d){this.listeners.error.length===0?(0,y.onUnexpectedError)(d):this.listeners.error.slice(0).forEach(c=>c(d))}emitEnd(){this.listeners.end.slice(0).forEach(d=>d())}on(d,c){if(!this.state.destroyed)switch(d){case"data":this.listeners.data.push(c),this.resume();break;case"end":this.listeners.end.push(c),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(c),this.state.flowing&&this.flowErrors();break}}removeListener(d,c){if(this.state.destroyed)return;let o;switch(d){case"data":o=this.listeners.data;break;case"end":o=this.listeners.end;break;case"error":o=this.listeners.error;break}if(o){const u=o.indexOf(c);u>=0&&o.splice(u,1)}}flowData(){if(this.buffer.data.length>0){const d=this.reducer(this.buffer.data);this.emitData(d),this.buffer.data.length=0;const c=[...this.pendingWritePromises];this.pendingWritePromises.length=0,c.forEach(o=>o())}}flowErrors(){if(this.listeners.error.length>0){for(const d of this.buffer.error)this.emitError(d);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function f(a,d){const c=[];let o;for(;(o=a.read())!==null;)c.push(o);return d(c)}e.consumeReadable=f;function m(a,d,c){const o=[];let u;for(;(u=a.read())!==null&&o.length<c;)o.push(u);return u===null&&o.length>0?d(o):{read:()=>{if(o.length>0)return o.shift();if(typeof u!="undefined"){const s=u;return u=void 0,s}return a.read()}}}e.peekReadable=m;function E(a,d){return new Promise((c,o)=>{const u=[];I(a,{onData:s=>{d&&u.push(s)},onError:s=>{d?o(s):c(void 0)},onEnd:()=>{c(d?d(u):void 0)}})})}e.consumeStream=E;function I(a,d){let c=!1;return a.on("error",o=>{c||d.onError(o)}),a.on("end",()=>{c||d.onEnd()}),a.on("data",o=>{c||d.onData(o)}),(0,n.toDisposable)(()=>c=!0)}e.listenStream=I;function p(a,d){return new Promise((c,o)=>{const u=new n.DisposableStore,s=[],i=h=>{if(s.push(h),s.length>d)return u.dispose(),a.pause(),c({stream:a,buffer:s,ended:!1})},r=h=>o(h),l=()=>c({stream:a,buffer:s,ended:!0});u.add((0,n.toDisposable)(()=>a.removeListener("error",r))),a.on("error",r),u.add((0,n.toDisposable)(()=>a.removeListener("end",l))),a.on("end",l),u.add((0,n.toDisposable)(()=>a.removeListener("data",i))),a.on("data",i)})}e.peekStream=p;function S(a,d){const c=k(d);return c.end(a),c}e.toStream=S;function t(){const a=k(()=>{throw new Error("not supported")});return a.end(),a}e.emptyStream=t;function v(a){let d=!1;return{read:()=>d?null:(d=!0,a)}}e.toReadable=v;function g(a,d,c){const o=k(c);return I(a,{onData:u=>o.write(d.data(u)),onError:u=>o.error(d.error?d.error(u):u),onEnd:()=>o.end()}),o}e.transform=g;function w(a,d,c){let o=!1;return{read:()=>{const u=d.read();return o?u:(o=!0,u!==null?c([a,u]):a)}}}e.prefixedReadable=w;function M(a,d,c){let o=!1;const u=k(c);return I(d,{onData:s=>o?u.write(s):(o=!0,u.write(c([a,s]))),onError:s=>u.error(s),onEnd:()=>{o||(o=!0,u.write(a)),u.end()}}),u}e.prefixedStream=M}),define(ee[17],te([0,1,51]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const n=typeof Buffer!="undefined";let D,C;class k{constructor(b){this.buffer=b,this.byteLength=this.buffer.byteLength}static alloc(b){return n?new k(Buffer.allocUnsafe(b)):new k(new Uint8Array(b))}static wrap(b){return n&&!Buffer.isBuffer(b)&&(b=Buffer.from(b.buffer,b.byteOffset,b.byteLength)),new k(b)}static fromString(b,L){return!(L?.dontUseNodeBuffer||!1)&&n?new k(Buffer.from(b)):(D||(D=new TextEncoder),new k(D.encode(b)))}static fromByteArray(b){const L=k.alloc(b.length);for(let R=0,T=b.length;R<T;R++)L.buffer[R]=b[R];return L}static concat(b,L){if(typeof L=="undefined"){L=0;for(let U=0,Q=b.length;U<Q;U++)L+=b[U].byteLength}const R=k.alloc(L);let T=0;for(let U=0,Q=b.length;U<Q;U++){const se=b[U];R.set(se,T),T+=se.byteLength}return R}clone(){const b=k.alloc(this.byteLength);return b.set(this),b}toString(){return n?this.buffer.toString():(C||(C=new TextDecoder),C.decode(this.buffer))}slice(b,L){return new k(this.buffer.subarray(b,L))}set(b,L){if(b instanceof k)this.buffer.set(b.buffer,L);else if(b instanceof Uint8Array)this.buffer.set(b,L);else if(b instanceof ArrayBuffer)this.buffer.set(new Uint8Array(b),L);else if(ArrayBuffer.isView(b))this.buffer.set(new Uint8Array(b.buffer,b.byteOffset,b.byteLength),L);else throw new Error("Unkown argument 'array'")}readUInt32BE(b){return m(this.buffer,b)}writeUInt32BE(b,L){E(this.buffer,b,L)}readUInt32LE(b){return I(this.buffer,b)}writeUInt32LE(b,L){p(this.buffer,b,L)}readUInt8(b){return S(this.buffer,b)}writeUInt8(b,L){t(this.buffer,b,L)}}e.VSBuffer=k;function P(h,b){return h[b+0]<<0>>>0|h[b+1]<<8>>>0}e.readUInt16LE=P;function f(h,b,L){h[L+0]=b&255,b=b>>>8,h[L+1]=b&255}e.writeUInt16LE=f;function m(h,b){return h[b]*2**24+h[b+1]*2**16+h[b+2]*2**8+h[b+3]}e.readUInt32BE=m;function E(h,b,L){h[L+3]=b,b=b>>>8,h[L+2]=b,b=b>>>8,h[L+1]=b,b=b>>>8,h[L]=b}e.writeUInt32BE=E;function I(h,b){return h[b+0]<<0>>>0|h[b+1]<<8>>>0|h[b+2]<<16>>>0|h[b+3]<<24>>>0}e.readUInt32LE=I;function p(h,b,L){h[L+0]=b&255,b=b>>>8,h[L+1]=b&255,b=b>>>8,h[L+2]=b&255,b=b>>>8,h[L+3]=b&255}e.writeUInt32LE=p;function S(h,b){return h[b]}e.readUInt8=S;function t(h,b,L){h[L]=b}e.writeUInt8=t;function v(h){return y.consumeReadable(h,b=>k.concat(b))}e.readableToBuffer=v;function g(h){return y.toReadable(h)}e.bufferToReadable=g;function w(h){return y.consumeStream(h,b=>k.concat(b))}e.streamToBuffer=w;async function M(h){return h.ended?k.concat(h.buffer):k.concat([...h.buffer,await w(h.stream)])}e.bufferedStreamToBuffer=M;function a(h){return y.toStream(h,b=>k.concat(b))}e.bufferToStream=a;function d(h){return y.transform(h,{data:b=>typeof b=="string"?k.fromString(b):k.wrap(b)},b=>k.concat(b))}e.streamToBufferReadableStream=d;function c(h){return y.newWriteableStream(b=>k.concat(b),h)}e.newWriteableBufferStream=c;function o(h,b){return y.prefixedReadable(h,b,L=>k.concat(L))}e.prefixedBufferReadable=o;function u(h,b){return y.prefixedStream(h,b,L=>k.concat(L))}e.prefixedBufferStream=u;function s(h){let b=0,L=0,R=0;const T=new Uint8Array(Math.floor(h.length/4*3)),U=se=>{switch(L){case 3:T[R++]=b|se,L=0;break;case 2:T[R++]=b|se>>>2,b=se<<6,L=3;break;case 1:T[R++]=b|se>>>4,b=se<<4,L=2;break;default:b=se<<2,L=1}};for(let se=0;se<h.length;se++){const ne=h.charCodeAt(se);if(ne>=65&&ne<=90)U(ne-65);else if(ne>=97&&ne<=122)U(ne-97+26);else if(ne>=48&&ne<=57)U(ne-48+52);else if(ne===43||ne===45)U(62);else if(ne===47||ne===95)U(63);else{if(ne===61)break;throw new SyntaxError(`Unexpected base64 character ${h[se]}`)}}const Q=R;for(;L>0;)U(0);return k.wrap(T).slice(0,Q)}e.decodeBase64=s;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function l({buffer:h},b=!0,L=!1){const R=L?r:i;let T="";const U=h.byteLength%3;let Q=0;for(;Q<h.byteLength-U;Q+=3){const se=h[Q+0],ne=h[Q+1],q=h[Q+2];T+=R[se>>>2],T+=R[(se<<4|ne>>>4)&63],T+=R[(ne<<2|q>>>6)&63],T+=R[q&63]}if(U===1){const se=h[Q+0];T+=R[se>>>2],T+=R[se<<4&63],b&&(T+="==")}else if(U===2){const se=h[Q+0],ne=h[Q+1];T+=R[se>>>2],T+=R[(se<<4|ne>>>4)&63],T+=R[ne<<2&63],b&&(T+="=")}return T}e.encodeBase64=l}),define(ee[25],te([0,1,110,107]),function(G,e,y,n){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function C(X){return!X||typeof X!="string"?!0:X.trim().length===0}e.isFalsyOrWhitespace=C;const k=/{(\d+)}/g;function P(X,...ae){return ae.length===0?X:X.replace(k,function(ue,pe){const Ie=parseInt(pe,10);return isNaN(Ie)||Ie<0||Ie>=ae.length?ue:ae[Ie]})}e.format=P;const f=/{([^}]+)}/g;function m(X,ae){return X.replace(f,(ue,pe)=>ae[pe]??ue)}e.format2=m;function E(X){return X.replace(/[<>&]/g,function(ae){switch(ae){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ae}})}e.escape=E;function I(X){return X.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=I;function p(X,ae){let ue=0;const pe=ae.charCodeAt(0);for(let Ie=X.length-1;Ie>=0;Ie--)X.charCodeAt(Ie)===pe&&ue++;return ue}e.count=p;function S(X,ae,ue="\u2026"){return X.length<=ae?X:`${X.substr(0,ae)}${ue}`}e.truncate=S;function t(X,ae=" "){const ue=v(X,ae);return g(ue,ae)}e.trim=t;function v(X,ae){if(!X||!ae)return X;const ue=ae.length;if(ue===0||X.length===0)return X;let pe=0;for(;X.indexOf(ae,pe)===pe;)pe=pe+ue;return X.substring(pe)}e.ltrim=v;function g(X,ae){if(!X||!ae)return X;const ue=ae.length,pe=X.length;if(ue===0||pe===0)return X;let Ie=pe,Re=-1;for(;Re=X.lastIndexOf(ae,Ie-1),!(Re===-1||Re+ue!==Ie);){if(Re===0)return"";Ie=Re}return X.substring(0,Ie)}e.rtrim=g;function w(X){return X.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=w;function M(X){return X.replace(/\*/g,"")}e.stripWildcards=M;function a(X,ae,ue={}){if(!X)throw new Error("Cannot create regex from empty string");ae||(X=I(X)),ue.wholeWord&&(/\B/.test(X.charAt(0))||(X="\\b"+X),/\B/.test(X.charAt(X.length-1))||(X=X+"\\b"));let pe="";return ue.global&&(pe+="g"),ue.matchCase||(pe+="i"),ue.multiline&&(pe+="m"),ue.unicode&&(pe+="u"),new RegExp(X,pe)}e.createRegExp=a;function d(X){return X.source==="^"||X.source==="^$"||X.source==="$"||X.source==="^\\s*$"?!1:!!(X.exec("")&&X.lastIndex===0)}e.regExpLeadsToEndlessLoop=d;function c(X){return!!X.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=c;function o(X){return(X.global?"g":"")+(X.ignoreCase?"i":"")+(X.multiline?"m":"")+(X.unicode?"u":"")}e.regExpFlags=o;function u(X){return X.split(/\r\n|\r|\n/)}e.splitLines=u;function s(X){for(let ae=0,ue=X.length;ae<ue;ae++){const pe=X.charCodeAt(ae);if(pe!==32&&pe!==9)return ae}return-1}e.firstNonWhitespaceIndex=s;function i(X,ae=0,ue=X.length){for(let pe=ae;pe<ue;pe++){const Ie=X.charCodeAt(pe);if(Ie!==32&&Ie!==9)return X.substring(ae,pe)}return X.substring(ae,ue)}e.getLeadingWhitespace=i;function r(X,ae=X.length-1){for(let ue=ae;ue>=0;ue--){const pe=X.charCodeAt(ue);if(pe!==32&&pe!==9)return ue}return-1}e.lastNonWhitespaceIndex=r;function l(X,ae){return X<ae?-1:X>ae?1:0}e.compare=l;function h(X,ae,ue=0,pe=X.length,Ie=0,Re=ae.length){for(;ue<pe&&Ie<Re;ue++,Ie++){let Ne=X.charCodeAt(ue),We=ae.charCodeAt(Ie);if(Ne<We)return-1;if(Ne>We)return 1}const _e=pe-ue,Ke=Re-Ie;return _e<Ke?-1:_e>Ke?1:0}e.compareSubstring=h;function b(X,ae){return L(X,ae,0,X.length,0,ae.length)}e.compareIgnoreCase=b;function L(X,ae,ue=0,pe=X.length,Ie=0,Re=ae.length){for(;ue<pe&&Ie<Re;ue++,Ie++){let Ne=X.charCodeAt(ue),We=ae.charCodeAt(Ie);if(Ne===We)continue;if(Ne>=128||We>=128)return h(X.toLowerCase(),ae.toLowerCase(),ue,pe,Ie,Re);R(Ne)&&(Ne-=32),R(We)&&(We-=32);const $e=Ne-We;if($e!==0)return $e}const _e=pe-ue,Ke=Re-Ie;return _e<Ke?-1:_e>Ke?1:0}e.compareSubstringIgnoreCase=L;function R(X){return X>=97&&X<=122}e.isLowerAsciiLetter=R;function T(X){return X>=65&&X<=90}e.isUpperAsciiLetter=T;function U(X,ae){return X.length===ae.length&&L(X,ae)===0}e.equalsIgnoreCase=U;function Q(X,ae){const ue=ae.length;return ae.length>X.length?!1:L(X,ae,0,ue)===0}e.startsWithIgnoreCase=Q;function se(X,ae){let ue,pe=Math.min(X.length,ae.length);for(ue=0;ue<pe;ue++)if(X.charCodeAt(ue)!==ae.charCodeAt(ue))return ue;return pe}e.commonPrefixLength=se;function ne(X,ae){let ue,pe=Math.min(X.length,ae.length);const Ie=X.length-1,Re=ae.length-1;for(ue=0;ue<pe;ue++)if(X.charCodeAt(Ie-ue)!==ae.charCodeAt(Re-ue))return ue;return pe}e.commonSuffixLength=ne;function q(X){return 55296<=X&&X<=56319}e.isHighSurrogate=q;function J(X){return 56320<=X&&X<=57343}e.isLowSurrogate=J;function V(X,ae){return(X-55296<<10)+(ae-56320)+65536}e.computeCodePoint=V;function K(X,ae,ue){const pe=X.charCodeAt(ue);if(q(pe)&&ue+1<ae){const Ie=X.charCodeAt(ue+1);if(J(Ie))return V(pe,Ie)}return pe}e.getNextCodePoint=K;function j(X,ae){const ue=X.charCodeAt(ae-1);if(J(ue)&&ae>1){const pe=X.charCodeAt(ae-2);if(q(pe))return V(pe,ue)}return ue}class B{constructor(ae,ue=0){this._str=ae,this._len=ae.length,this._offset=ue}get offset(){return this._offset}setOffset(ae){this._offset=ae}prevCodePoint(){const ae=j(this._str,this._offset);return this._offset-=ae>=65536?2:1,ae}nextCodePoint(){const ae=K(this._str,this._len,this._offset);return this._offset+=ae>=65536?2:1,ae}eol(){return this._offset>=this._len}}e.CodePointIterator=B;class ${constructor(ae,ue=0){this._iterator=new B(ae,ue)}get offset(){return this._iterator.offset}nextGraphemeLength(){const ae=Be.getInstance(),ue=this._iterator,pe=ue.offset;let Ie=ae.getGraphemeBreakType(ue.nextCodePoint());for(;!ue.eol();){const Re=ue.offset,_e=ae.getGraphemeBreakType(ue.nextCodePoint());if(Te(Ie,_e)){ue.setOffset(Re);break}Ie=_e}return ue.offset-pe}prevGraphemeLength(){const ae=Be.getInstance(),ue=this._iterator,pe=ue.offset;let Ie=ae.getGraphemeBreakType(ue.prevCodePoint());for(;ue.offset>0;){const Re=ue.offset,_e=ae.getGraphemeBreakType(ue.prevCodePoint());if(Te(_e,Ie)){ue.setOffset(Re);break}Ie=_e}return pe-ue.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=$;function Y(X,ae){return new $(X,ae).nextGraphemeLength()}e.nextCharLength=Y;function H(X,ae){return new $(X,ae).prevGraphemeLength()}e.prevCharLength=H;function F(X,ae){ae>0&&J(X.charCodeAt(ae))&&ae--;const ue=ae+Y(X,ae);return[ue-H(X,ue),ue]}e.getCharContainingOffset=F;const W=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function A(X){return W.test(X)}e.containsRTL=A;const _=/^[\t\n\r\x20-\x7E]*$/;function N(X){return _.test(X)}e.isBasicASCII=N,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function O(X){return e.UNUSUAL_LINE_TERMINATORS.test(X)}e.containsUnusualLineTerminators=O;function z(X){return X>=11904&&X<=55215||X>=63744&&X<=64255||X>=65281&&X<=65374}e.isFullWidthCharacter=z;function x(X){return X>=127462&&X<=127487||X===8986||X===8987||X===9200||X===9203||X>=9728&&X<=10175||X===11088||X===11093||X>=127744&&X<=128591||X>=128640&&X<=128764||X>=128992&&X<=129008||X>=129280&&X<=129535||X>=129648&&X<=129782}e.isEmojiImprecise=x;function ie(X,ae){if(X.length<ae)return X;const ue=/\b/g;let pe=0;for(;ue.test(X)&&!(X.length-ue.lastIndex<ae);)pe=ue.lastIndex,ue.lastIndex+=1;return X.substring(pe).replace(/^\s/,"")}e.lcut=ie;const oe=/\x1B\x5B[12]?K/g,Z=/\x1b\[\d+m/g,ce=/\x1b\[0?m/g;function le(X){return X&&(X=X.replace(oe,""),X=X.replace(Z,""),X=X.replace(ce,"")),X}e.removeAnsiEscapeCodes=le,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function he(X){return!!(X&&X.length>0&&X.charCodeAt(0)===65279)}e.startsWithUTF8BOM=he;function ge(X){return he(X)?X.substr(1):X}e.stripUTF8BOM=ge;function be(X,ae){if(!X||!ae||X.length<ae.length)return!1;const ue=ae.length,pe=X.toLowerCase();let Ie=0,Re=-1;for(;Ie<ue;){const _e=pe.indexOf(ae[Ie],Re+1);if(_e<0)return!1;Re=_e,Ie++}return!0}e.fuzzyContains=be;function fe(X,ae=!1){return X?(ae&&(X=X.replace(/\\./g,"")),X.toLowerCase()!==X):!1}e.containsUppercaseCharacter=fe;function me(X){return X.charAt(0).toUpperCase()+X.slice(1)}e.uppercaseFirstLetter=me;function ye(X,ae=1){if(ae===0)return"";let ue=-1;do ue=X.indexOf(`
`,ue+1),ae--;while(ae>0&&ue>=0);return ue===-1?X:(X[ue-1]==="\r"&&ue--,X.substr(0,ue))}e.getNLines=ye;function Pe(X){const ae=90-65+1;return X=X%(2*ae),X<ae?String.fromCharCode(97+X):String.fromCharCode(65+X-ae)}e.singleLetterHash=Pe;function Me(X){return Be.getInstance().getGraphemeBreakType(X)}e.getGraphemeBreakType=Me;function Te(X,ae){return X===0?ae!==5&&ae!==7:X===2&&ae===3?!1:X===4||X===2||X===3||ae===4||ae===2||ae===3?!0:!(X===8&&(ae===8||ae===9||ae===11||ae===12)||(X===11||X===9)&&(ae===9||ae===10)||(X===12||X===10)&&ae===10||ae===5||ae===13||ae===7||X===1||X===13&&ae===14||X===6&&ae===6)}var Oe;(function(X){X[X.Other=0]="Other",X[X.Prepend=1]="Prepend",X[X.CR=2]="CR",X[X.LF=3]="LF",X[X.Control=4]="Control",X[X.Extend=5]="Extend",X[X.Regional_Indicator=6]="Regional_Indicator",X[X.SpacingMark=7]="SpacingMark",X[X.L=8]="L",X[X.V=9]="V",X[X.T=10]="T",X[X.LV=11]="LV",X[X.LVT=12]="LVT",X[X.ZWJ=13]="ZWJ",X[X.Extended_Pictographic=14]="Extended_Pictographic"})(Oe=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Be{constructor(){this._data=He()}static getInstance(){return Be._INSTANCE||(Be._INSTANCE=new Be),Be._INSTANCE}getGraphemeBreakType(ae){if(ae<32)return ae===10?3:ae===13?2:4;if(ae<127)return 0;const ue=this._data,pe=ue.length/3;let Ie=1;for(;Ie<=pe;)if(ae<ue[3*Ie])Ie=2*Ie;else if(ae>ue[3*Ie+1])Ie=2*Ie+1;else return ue[3*Ie+2];return 0}}Be._INSTANCE=null;function He(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function mt(X,ae){if(X===0)return 0;const ue=ot(X,ae);if(ue!==void 0)return ue;const pe=new B(ae,X);return pe.prevCodePoint(),pe.offset}e.getLeftDeleteOffset=mt;function ot(X,ae){const ue=new B(ae,X);let pe=ue.prevCodePoint();for(;at(pe)||pe===65039||pe===8419;){if(ue.offset===0)return;pe=ue.prevCodePoint()}if(!x(pe))return;let Ie=ue.offset;return Ie>0&&ue.prevCodePoint()===8205&&(Ie=ue.offset),Ie}function at(X){return 127995<=X&&X<=127999}var ct;(function(X){X[X.zwj=8205]="zwj",X[X.emojiVariantSelector=65039]="emojiVariantSelector",X[X.enclosingKeyCap=8419]="enclosingKeyCap"})(ct||(ct={})),e.noBreakWhitespace="\xA0";class qe{constructor(ae){this.confusableDictionary=ae}static getInstance(ae){return qe.cache.get(Array.from(ae))}static getLocales(){return qe._locales.getValue()}isAmbiguous(ae){return this.confusableDictionary.has(ae)}getPrimaryConfusable(ae){return this.confusableDictionary.get(ae)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=qe,D=qe,qe.ambiguousCharacterData=new n.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),qe.cache=new y.LRUCachedComputed(X=>{function ae(We){const $e=new Map;for(let Ve=0;Ve<We.length;Ve+=2)$e.set(We[Ve],We[Ve+1]);return $e}function ue(We,$e){const Ve=new Map(We);for(const[Ye,lt]of $e)Ve.set(Ye,lt);return Ve}function pe(We,$e){if(!We)return $e;const Ve=new Map;for(const[Ye,lt]of We)$e.has(Ye)&&Ve.set(Ye,lt);return Ve}const Ie=D.ambiguousCharacterData.getValue();let Re=X.filter(We=>!We.startsWith("_")&&We in Ie);Re.length===0&&(Re=["_default"]);let _e;for(const We of Re){const $e=ae(Ie[We]);_e=pe(_e,$e)}const Ke=ae(Ie._common),Ne=ue(Ke,_e);return new qe(Ne)}),qe._locales=new n.Lazy(()=>Object.keys(qe.ambiguousCharacterData.getValue()).filter(X=>!X.startsWith("_")));class je{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(je.getRawData())),this._data}static isInvisibleCharacter(ae){return je.getData().has(ae)}static get codePoints(){return je.getData()}}e.InvisibleCharacters=je,je._data=void 0}),define(ee[70],te([0,1,25]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function n(w){return D(w,0)}e.hash=n;function D(w,M){switch(typeof w){case"object":return w===null?C(349,M):Array.isArray(w)?f(w,M):m(w,M);case"string":return P(w,M);case"boolean":return k(w,M);case"number":return C(w,M);case"undefined":return C(937,M);default:return C(617,M)}}e.doHash=D;function C(w,M){return(M<<5)-M+w|0}e.numberHash=C;function k(w,M){return C(w?433:863,M)}function P(w,M){M=C(149417,M);for(let a=0,d=w.length;a<d;a++)M=C(w.charCodeAt(a),M);return M}e.stringHash=P;function f(w,M){return M=C(104579,M),w.reduce((a,d)=>D(d,a),M)}function m(w,M){return M=C(181387,M),Object.keys(w).sort().reduce((a,d)=>(a=P(d,a),D(w[d],a)),M)}class E{constructor(){this._value=0}get value(){return this._value}hash(M){return this._value=D(M,this._value),this._value}}e.Hasher=E;var I;(function(w){w[w.BLOCK_SIZE=64]="BLOCK_SIZE",w[w.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(I||(I={}));function p(w,M,a=32){const d=a-M,c=~((1<<d)-1);return(w<<M|(c&w)>>>d)>>>0}function S(w,M=0,a=w.byteLength,d=0){for(let c=0;c<a;c++)w[M+c]=d}function t(w,M,a="0"){for(;w.length<M;)w=a+w;return w}function v(w,M=32){return w instanceof ArrayBuffer?Array.from(new Uint8Array(w)).map(a=>a.toString(16).padStart(2,"0")).join(""):t((w>>>0).toString(16),M/4)}e.toHexString=v;class g{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(M){const a=M.length;if(a===0)return;const d=this._buff;let c=this._buffLen,o=this._leftoverHighSurrogate,u,s;for(o!==0?(u=o,s=-1,o=0):(u=M.charCodeAt(0),s=0);;){let i=u;if(y.isHighSurrogate(u))if(s+1<a){const r=M.charCodeAt(s+1);y.isLowSurrogate(r)?(s++,i=y.computeCodePoint(u,r)):i=65533}else{o=u;break}else y.isLowSurrogate(u)&&(i=65533);if(c=this._push(d,c,i),s++,s<a)u=M.charCodeAt(s);else break}this._buffLen=c,this._leftoverHighSurrogate=o}_push(M,a,d){return d<128?M[a++]=d:d<2048?(M[a++]=192|(d&1984)>>>6,M[a++]=128|(d&63)>>>0):d<65536?(M[a++]=224|(d&61440)>>>12,M[a++]=128|(d&4032)>>>6,M[a++]=128|(d&63)>>>0):(M[a++]=240|(d&1835008)>>>18,M[a++]=128|(d&258048)>>>12,M[a++]=128|(d&4032)>>>6,M[a++]=128|(d&63)>>>0),a>=64&&(this._step(),a-=64,this._totalLen+=64,M[0]=M[64+0],M[1]=M[64+1],M[2]=M[64+2]),a}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),v(this._h0)+v(this._h1)+v(this._h2)+v(this._h3)+v(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,S(this._buff,this._buffLen),this._buffLen>56&&(this._step(),S(this._buff));const M=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(M/4294967296),!1),this._buffDV.setUint32(60,M%4294967296,!1),this._step()}_step(){const M=g._bigBlock32,a=this._buffDV;for(let h=0;h<64;h+=4)M.setUint32(h,a.getUint32(h,!1),!1);for(let h=64;h<320;h+=4)M.setUint32(h,p(M.getUint32(h-12,!1)^M.getUint32(h-32,!1)^M.getUint32(h-56,!1)^M.getUint32(h-64,!1),1),!1);let d=this._h0,c=this._h1,o=this._h2,u=this._h3,s=this._h4,i,r,l;for(let h=0;h<80;h++)h<20?(i=c&o|~c&u,r=1518500249):h<40?(i=c^o^u,r=1859775393):h<60?(i=c&o|c&u|o&u,r=2400959708):(i=c^o^u,r=3395469782),l=p(d,5)+i+s+r+M.getUint32(h*4,!1)&4294967295,s=u,u=o,o=p(c,30),c=d,d=l;this._h0=this._h0+d&4294967295,this._h1=this._h1+c&4294967295,this._h2=this._h2+o&4294967295,this._h3=this._h3+u&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=g,g._bigBlock32=new DataView(new ArrayBuffer(320))});var Pt=this&&this.__classPrivateFieldSet||function(G,e,y,n,D){if(n==="m")throw new TypeError("Private method is not writable");if(n==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?G!==e||!D:!e.has(G))throw new TypeError("Cannot write private member to an object whose class did not declare it");return n==="a"?D.call(G,y):D?D.value=y:e.set(G,y),y},Ge=this&&this.__classPrivateFieldGet||function(G,e,y,n){if(y==="a"&&!n)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?G!==e||!n:!e.has(G))throw new TypeError("Cannot read private member from an object whose class did not declare it");return y==="m"?n:y==="a"?n.call(G):n?n.value:e.get(G)};define(ee[35],te([0,1,31,25]),function(G,e,y,n){"use strict";var D,C,k;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(s,i,r){let l=s.get(i);return l===void 0&&(l=r,s.set(i,l)),l}e.getOrSet=P;function f(s){const i=[];return s.forEach((r,l)=>{i.push(`${l} => ${r}`)}),`Map(${s.size}) {${i.join(", ")}}`}e.mapToString=f;function m(s){const i=[];return s.forEach(r=>{i.push(r)}),`Set(${s.size}) {${i.join(", ")}}`}e.setToString=m;class E{constructor(){this._value="",this._pos=0}reset(i){return this._value=i,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(i){const r=i.charCodeAt(0),l=this._value.charCodeAt(this._pos);return r-l}value(){return this._value[this._pos]}}e.StringIterator=E;class I{constructor(i=!0){this._caseSensitive=i}reset(i){return this._value=i,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let i=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(i)this._from++;else break;else i=!1;return this}cmp(i){return this._caseSensitive?(0,n.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=I;class p{constructor(i=!0,r=!0){this._splitOnBackslash=i,this._caseSensitive=r}reset(i){this._from=0,this._to=0,this._value=i,this._valueLen=i.length;for(let r=i.length-1;r>=0;r--,this._valueLen--){const l=this._value.charCodeAt(r);if(!(l===47||this._splitOnBackslash&&l===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let i=!0;for(;this._to<this._valueLen;this._to++){const r=this._value.charCodeAt(this._to);if(r===47||this._splitOnBackslash&&r===92)if(i)this._from++;else break;else i=!1}return this}cmp(i){return this._caseSensitive?(0,n.compareSubstring)(i,this._value,0,i.length,this._from,this._to):(0,n.compareSubstringIgnoreCase)(i,this._value,0,i.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=p;var S;(function(s){s[s.Scheme=1]="Scheme",s[s.Authority=2]="Authority",s[s.Path=3]="Path",s[s.Query=4]="Query",s[s.Fragment=5]="Fragment"})(S||(S={}));class t{constructor(i){this._ignorePathCasing=i,this._states=[],this._stateIdx=0}reset(i){return this._value=i,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new p(!1,!this._ignorePathCasing(i)),this._pathIterator.reset(i.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(i){if(this._states[this._stateIdx]===1)return(0,n.compareIgnoreCase)(i,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,n.compareIgnoreCase)(i,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(i);if(this._states[this._stateIdx]===4)return(0,n.compare)(i,this._value.query);if(this._states[this._stateIdx]===5)return(0,n.compare)(i,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=t;class v{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const i=this.right;return this.right=i.left,i.left=this,this.updateHeight(),i.updateHeight(),i}rotateRight(){const i=this.left;return this.left=i.right,i.right=this,this.updateHeight(),i.updateHeight(),i}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var g;(function(s){s[s.Left=-1]="Left",s[s.Mid=0]="Mid",s[s.Right=1]="Right"})(g||(g={}));class w{constructor(i){this._iter=i}static forUris(i=()=>!1){return new w(new t(i))}static forPaths(i=!1){return new w(new p(void 0,!i))}static forStrings(){return new w(new E)}static forConfigKeys(){return new w(new I)}clear(){this._root=void 0}fill(i,r){if(r){const l=r.slice(0);(0,y.shuffle)(l);for(let h of l)this.set(h,i)}else{const l=i.slice(0);(0,y.shuffle)(l);for(let h of l)this.set(h[0],h[1])}}set(i,r){const l=this._iter.reset(i);let h;this._root||(this._root=new v,this._root.segment=l.value());const b=[];for(h=this._root;;){const R=l.cmp(h.segment);if(R>0)h.left||(h.left=new v,h.left.segment=l.value()),b.push([-1,h]),h=h.left;else if(R<0)h.right||(h.right=new v,h.right.segment=l.value()),b.push([1,h]),h=h.right;else if(l.hasNext())l.next(),h.mid||(h.mid=new v,h.mid.segment=l.value()),b.push([0,h]),h=h.mid;else break}const L=h.value;h.value=r,h.key=i;for(let R=b.length-1;R>=0;R--){const T=b[R][1];T.updateHeight();const U=T.balanceFactor();if(U<-1||U>1){const Q=b[R][0],se=b[R+1][0];if(Q===1&&se===1)b[R][1]=T.rotateLeft();else if(Q===-1&&se===-1)b[R][1]=T.rotateRight();else if(Q===1&&se===-1)T.right=b[R+1][1]=b[R+1][1].rotateRight(),b[R][1]=T.rotateLeft();else if(Q===-1&&se===1)T.left=b[R+1][1]=b[R+1][1].rotateLeft(),b[R][1]=T.rotateRight();else throw new Error;if(R>0)switch(b[R-1][0]){case-1:b[R-1][1].left=b[R][1];break;case 1:b[R-1][1].right=b[R][1];break;case 0:b[R-1][1].mid=b[R][1];break}else this._root=b[0][1]}}return L}get(i){return this._getNode(i)?.value}_getNode(i){const r=this._iter.reset(i);let l=this._root;for(;l;){const h=r.cmp(l.segment);if(h>0)l=l.left;else if(h<0)l=l.right;else if(r.hasNext())r.next(),l=l.mid;else break}return l}has(i){const r=this._getNode(i);return!(r?.value===void 0&&r?.mid===void 0)}delete(i){return this._delete(i,!1)}deleteSuperstr(i){return this._delete(i,!0)}_delete(i,r){const l=this._iter.reset(i),h=[];let b=this._root;for(;b;){const L=l.cmp(b.segment);if(L>0)h.push([-1,b]),b=b.left;else if(L<0)h.push([1,b]),b=b.right;else if(l.hasNext())l.next(),h.push([0,b]),b=b.mid;else break}if(!!b){if(r?(b.left=void 0,b.mid=void 0,b.right=void 0,b.height=1):(b.key=void 0,b.value=void 0),!b.mid&&!b.value)if(b.left&&b.right){const L=this._min(b.right),{key:R,value:T,segment:U}=L;this._delete(L.key,!1),b.key=R,b.value=T,b.segment=U}else{const L=b.left??b.right;if(h.length>0){const[R,T]=h[h.length-1];switch(R){case-1:T.left=L;break;case 0:T.mid=L;break;case 1:T.right=L;break}}else this._root=L}for(let L=h.length-1;L>=0;L--){const R=h[L][1];R.updateHeight();const T=R.balanceFactor();if(T>1?(R.right.balanceFactor()>=0||(R.right=R.right.rotateRight()),h[L][1]=R.rotateLeft()):T<-1&&(R.left.balanceFactor()<=0||(R.left=R.left.rotateLeft()),h[L][1]=R.rotateRight()),L>0)switch(h[L-1][0]){case-1:h[L-1][1].left=h[L][1];break;case 1:h[L-1][1].right=h[L][1];break;case 0:h[L-1][1].mid=h[L][1];break}else this._root=h[0][1]}}}_min(i){for(;i.left;)i=i.left;return i}findSubstr(i){const r=this._iter.reset(i);let l=this._root,h;for(;l;){const b=r.cmp(l.segment);if(b>0)l=l.left;else if(b<0)l=l.right;else if(r.hasNext())r.next(),h=l.value||h,l=l.mid;else break}return l&&l.value||h}findSuperstr(i){const r=this._iter.reset(i);let l=this._root;for(;l;){const h=r.cmp(l.segment);if(h>0)l=l.left;else if(h<0)l=l.right;else if(r.hasNext())r.next(),l=l.mid;else return l.mid?this._entries(l.mid):void 0}}forEach(i){for(const[r,l]of this)i(l,r)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(i){!i||(i.left&&(yield*this._entries(i.left)),i.value&&(yield[i.key,i.value]),i.mid&&(yield*this._entries(i.mid)),i.right&&(yield*this._entries(i.right)))}_isBalanced(){const i=r=>{if(!r)return!0;const l=r.balanceFactor();return l<-1||l>1?!1:i(r.left)&&i(r.right)};return i(this._root)}}e.TernarySearchTree=w;class M{constructor(i,r){this.uri=i,this.value=r}}class a{constructor(i,r){this[D]="ResourceMap",i instanceof a?(this.map=new Map(i.map),this.toKey=r??a.defaultToKey):(this.map=new Map,this.toKey=i??a.defaultToKey)}set(i,r){return this.map.set(this.toKey(i),new M(i,r)),this}get(i){return this.map.get(this.toKey(i))?.value}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,r){typeof r!="undefined"&&(i=i.bind(r));for(let[l,h]of this.map)i(h.value,h.uri,this)}*values(){for(let i of this.map.values())yield i.value}*keys(){for(let i of this.map.values())yield i.uri}*entries(){for(let i of this.map.values())yield[i.uri,i.value]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(let[,i]of this.map)yield[i.uri,i.value]}}e.ResourceMap=a,a.defaultToKey=s=>s.toString();var d;(function(s){s[s.None=0]="None",s[s.AsOld=1]="AsOld",s[s.AsNew=2]="AsNew"})(d=e.Touch||(e.Touch={}));class c{constructor(){this[C]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(i){return this._map.has(i)}get(i,r=0){const l=this._map.get(i);if(!!l)return r!==0&&this.touch(l,r),l.value}set(i,r,l=0){let h=this._map.get(i);if(h)h.value=r,l!==0&&this.touch(h,l);else{switch(h={key:i,value:r,next:void 0,previous:void 0},l){case 0:this.addItemLast(h);break;case 1:this.addItemFirst(h);break;case 2:this.addItemLast(h);break;default:this.addItemLast(h);break}this._map.set(i,h),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const r=this._map.get(i);if(!!r)return this._map.delete(i),this.removeItem(r),this._size--,r.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}forEach(i,r){const l=this._state;let h=this._head;for(;h;){if(r?i.bind(r)(h.value,h.key,this):i(h.value,h.key,this),this._state!==l)throw new Error("LinkedMap got modified during iteration.");h=h.next}}keys(){const i=this,r=this._state;let l=this._head;const h={[Symbol.iterator](){return h},next(){if(i._state!==r)throw new Error("LinkedMap got modified during iteration.");if(l){const b={value:l.key,done:!1};return l=l.next,b}else return{value:void 0,done:!0}}};return h}values(){const i=this,r=this._state;let l=this._head;const h={[Symbol.iterator](){return h},next(){if(i._state!==r)throw new Error("LinkedMap got modified during iteration.");if(l){const b={value:l.value,done:!1};return l=l.next,b}else return{value:void 0,done:!0}}};return h}entries(){const i=this,r=this._state;let l=this._head;const h={[Symbol.iterator](){return h},next(){if(i._state!==r)throw new Error("LinkedMap got modified during iteration.");if(l){const b={value:[l.key,l.value],done:!1};return l=l.next,b}else return{value:void 0,done:!0}}};return h}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(i>=this.size)return;if(i===0){this.clear();return}let r=this._head,l=this.size;for(;r&&l>i;)this._map.delete(r.key),r=r.next,l--;this._head=r,this._size=l,r&&(r.previous=void 0),this._state++}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const r=i.next,l=i.previous;if(!r||!l)throw new Error("Invalid list");r.previous=l,l.next=r}i.next=void 0,i.previous=void 0,this._state++}touch(i,r){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(r!==1&&r!==2)){if(r===1){if(i===this._head)return;const l=i.next,h=i.previous;i===this._tail?(h.next=void 0,this._tail=h):(l.previous=h,h.next=l),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(r===2){if(i===this._tail)return;const l=i.next,h=i.previous;i===this._head?(l.previous=void 0,this._head=l):(l.previous=h,h.next=l),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((r,l)=>{i.push([l,r])}),i}fromJSON(i){this.clear();for(const[r,l]of i)this.set(r,l)}}e.LinkedMap=c;class o extends c{constructor(i,r=1){super();this._limit=i,this._ratio=Math.min(Math.max(0,r),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get ratio(){return this._ratio}set ratio(i){this._ratio=Math.min(Math.max(0,i),1),this.checkTrim()}get(i,r=2){return super.get(i,r)}peek(i){return super.get(i,0)}set(i,r){return super.set(i,r,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=o;class u{constructor(i){k.set(this,void 0),Pt(this,k,i,"f")}get size(){return Ge(this,k,"f").size}forEach(i,r){Ge(this,k,"f").forEach(i,r)}get(i){return Ge(this,k,"f").get(i)}has(i){return Ge(this,k,"f").has(i)}entries(){return Ge(this,k,"f").entries()}keys(){return Ge(this,k,"f").keys()}values(){return Ge(this,k,"f").values()}[(k=new WeakMap,Symbol.iterator)](){return Ge(this,k,"f").entries()}}e.ReadonlyMapView=u}),define(ee[71],te([0,1,35]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const n=new y.LRUCache(1e4);function D(m){return f(m,"NFC",n)}e.normalizeNFC=D;const C=new y.LRUCache(1e4);function k(m){return f(m,"NFD",C)}e.normalizeNFD=k;const P=/[^\u0000-\u0080]/;function f(m,E,I){if(!m)return m;const p=I.get(m);if(p)return p;let S;return P.test(m)?S=m.normalize(E):S=m,I.set(m,S),S}e.removeAccents=function(){const m=/[\u0300-\u036f]/g;return function(E){return k(E).replace(m,"")}}()}),define(ee[13],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPromise=e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function y(b){return Array.isArray(b)}e.isArray=y;function n(b){return typeof b=="string"}e.isString=n;function D(b){return Array.isArray(b)&&b.every(L=>n(L))}e.isStringArray=D;function C(b){return typeof b=="object"&&b!==null&&!Array.isArray(b)&&!(b instanceof RegExp)&&!(b instanceof Date)}e.isObject=C;function k(b){return typeof b=="number"&&!isNaN(b)}e.isNumber=k;function P(b){return!!b&&typeof b[Symbol.iterator]=="function"}e.isIterable=P;function f(b){return b===!0||b===!1}e.isBoolean=f;function m(b){return typeof b=="undefined"}e.isUndefined=m;function E(b){return!I(b)}e.isDefined=E;function I(b){return m(b)||b===null}e.isUndefinedOrNull=I;function p(b,L){if(!b)throw new Error(L?`Unexpected type, expected '${L}'`:"Unexpected type")}e.assertType=p;function S(b){if(I(b))throw new Error("Assertion Failed: argument is undefined or null");return b}e.assertIsDefined=S;function t(...b){const L=[];for(let R=0;R<b.length;R++){const T=b[R];if(I(T))throw new Error(`Assertion Failed: argument at index ${R} is undefined or null`);L.push(T)}return L}e.assertAllDefined=t;const v=Object.prototype.hasOwnProperty;function g(b){if(!C(b))return!1;for(let L in b)if(v.call(b,L))return!1;return!0}e.isEmptyObject=g;function w(b){return typeof b=="function"}e.isFunction=w;function M(...b){return b.length>0&&b.every(w)}e.areFunctions=M;function a(b,L){const R=Math.min(b.length,L.length);for(let T=0;T<R;T++)d(b[T],L[T])}e.validateConstraints=a;function d(b,L){if(n(L)){if(typeof b!==L)throw new Error(`argument does not match constraint: typeof ${L}`)}else if(w(L)){try{if(b instanceof L)return}catch{}if(!I(b)&&b.constructor===L||L.length===1&&L.call(void 0,b)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=d;function c(b){let L=[],R=Object.getPrototypeOf(b);for(;Object.prototype!==R;)L=L.concat(Object.getOwnPropertyNames(R)),R=Object.getPrototypeOf(R);return L}e.getAllPropertyNames=c;function o(b){const L=[];for(const R of c(b))typeof b[R]=="function"&&L.push(R);return L}e.getAllMethodNames=o;function u(b,L){const R=U=>function(){const Q=Array.prototype.slice.call(arguments,0);return L(U,Q)};let T={};for(const U of b)T[U]=R(U);return T}e.createProxyObject=u;function s(b){return b===null?void 0:b}e.withNullAsUndefined=s;function i(b){return typeof b=="undefined"?null:b}e.withUndefinedAsNull=i;function r(b){return class{constructor(){return new Proxy({},{get(L,R){if(L[R])return L[R];throw new Error(`Not Implemented: ${b}->${String(R)}`)}})}}}e.NotImplementedProxy=r;function l(b,L="Unreachable"){throw new Error(L)}e.assertNever=l;function h(b){return!!b&&typeof b.then=="function"&&typeof b.catch=="function"}e.isPromise=h}),define(ee[27],te([0,1,9,3,25,13]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function k(r){return r===47||r===92}e.isPathSeparator=k;function P(r){return r.replace(/[\\/]/g,y.posix.sep)}e.toSlashes=P;function f(r){return r.indexOf("/")===-1&&(r=P(r)),/^[a-zA-Z]:(\/|$)/.test(r)&&(r="/"+r),r}e.toPosixPath=f;function m(r,l=y.posix.sep){if(!r)return"";const h=r.length,b=r.charCodeAt(0);if(k(b)){if(k(r.charCodeAt(1))&&!k(r.charCodeAt(2))){let R=3;const T=R;for(;R<h&&!k(r.charCodeAt(R));R++);if(T!==R&&!k(r.charCodeAt(R+1))){for(R+=1;R<h;R++)if(k(r.charCodeAt(R)))return r.slice(0,R+1).replace(/[\\/]/g,l)}}return l}else if(w(b)&&r.charCodeAt(1)===58)return k(r.charCodeAt(2))?r.slice(0,2)+l:r.slice(0,2);let L=r.indexOf("://");if(L!==-1){for(L+=3;L<h;L++)if(k(r.charCodeAt(L)))return r.slice(0,L+1)}return""}e.getRoot=m;function E(r){if(!n.isWindows||!r||r.length<5)return!1;let l=r.charCodeAt(0);if(l!==92||(l=r.charCodeAt(1),l!==92))return!1;let h=2;const b=h;for(;h<r.length&&(l=r.charCodeAt(h),l!==92);h++);return!(b===h||(l=r.charCodeAt(h+1),isNaN(l)||l===92))}e.isUNC=E;const I=/[\\/:\*\?"<>\|]/g,p=/[\\/]/g,S=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function t(r,l=n.isWindows){const h=l?I:p;return!(!r||r.length===0||/^\s+$/.test(r)||(h.lastIndex=0,h.test(r))||l&&S.test(r)||r==="."||r===".."||l&&r[r.length-1]==="."||l&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=t;function v(r,l,h){const b=r===l;return!h||b?b:!r||!l?!1:(0,D.equalsIgnoreCase)(r,l)}e.isEqual=v;function g(r,l,h,b=y.sep){if(r===l)return!0;if(!r||!l||l.length>r.length)return!1;if(h){if(!(0,D.startsWithIgnoreCase)(r,l))return!1;if(l.length===r.length)return!0;let R=l.length;return l.charAt(l.length-1)===b&&R--,r.charAt(R)===b}return l.charAt(l.length-1)!==b&&(l+=b),r.indexOf(l)===0}e.isEqualOrParent=g;function w(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=w;function M(r,l){return n.isWindows&&r.endsWith(":")&&(r+=y.sep),(0,y.isAbsolute)(r)||(r=(0,y.join)(l,r)),r=(0,y.normalize)(r),n.isWindows?(r=(0,D.rtrim)(r,y.sep),r.endsWith(":")&&(r+=y.sep)):(r=(0,D.rtrim)(r,y.sep),r||(r=y.sep)),r}e.sanitizeFilePath=M;function a(r){const l=(0,y.normalize)(r);return n.isWindows?r.length>3?!1:d(l)&&(r.length===2||l.charCodeAt(2)===92):l===y.posix.sep}e.isRootOrDriveLetter=a;function d(r,l){return(l!==void 0?l:n.isWindows)?w(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=d;function c(r){return d(r)?r[0]:void 0}e.getDriveLetter=c;function o(r,l,h){return l.length>r.length?-1:r===l?0:(h&&(r=r.toLowerCase(),l=l.toLowerCase()),r.indexOf(l))}e.indexOfPath=o;function u(r){const l=r.split(":");let h,b,L;for(const R of l){const T=Number(R);(0,C.isNumber)(T)?b===void 0?b=T:L===void 0&&(L=T):h=h?[h,R].join(":"):R}if(!h)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:h,line:b!==void 0?b:void 0,column:L!==void 0?L:b!==void 0?1:void 0}}e.parseLineAndColumnAware=u;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function i(r,l,h=8){let b="";for(let R=0;R<h;R++)b+=s.charAt(Math.floor(Math.random()*s.length));let L;return l?L=`${l}-${b}`:L=b,r?(0,y.join)(r,L):L}e.randomPath=i}),define(ee[47],te([0,1,13]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function n(v){if(!v||typeof v!="object"||v instanceof RegExp)return v;const g=Array.isArray(v)?[]:{};return Object.keys(v).forEach(w=>{v[w]&&typeof v[w]=="object"?g[w]=n(v[w]):g[w]=v[w]}),g}e.deepClone=n;function D(v){if(!v||typeof v!="object")return v;const g=[v];for(;g.length>0;){const w=g.shift();Object.freeze(w);for(const M in w)if(C.call(w,M)){const a=w[M];typeof a=="object"&&!Object.isFrozen(a)&&g.push(a)}}return v}e.deepFreeze=D;const C=Object.prototype.hasOwnProperty;function k(v,g){return P(v,g,new Set)}e.cloneAndChange=k;function P(v,g,w){if((0,y.isUndefinedOrNull)(v))return v;const M=g(v);if(typeof M!="undefined")return M;if((0,y.isArray)(v)){const a=[];for(const d of v)a.push(P(d,g,w));return a}if((0,y.isObject)(v)){if(w.has(v))throw new Error("Cannot clone recursive data-structure");w.add(v);const a={};for(let d in v)C.call(v,d)&&(a[d]=P(v[d],g,w));return w.delete(v),a}return v}function f(v,g,w=!0){return(0,y.isObject)(v)?((0,y.isObject)(g)&&Object.keys(g).forEach(M=>{M in v?w&&((0,y.isObject)(v[M])&&(0,y.isObject)(g[M])?f(v[M],g[M],w):v[M]=g[M]):v[M]=g[M]}),v):g}e.mixin=f;function m(v,g){if(v===g)return!0;if(v==null||g===null||g===void 0||typeof v!=typeof g||typeof v!="object"||Array.isArray(v)!==Array.isArray(g))return!1;let w,M;if(Array.isArray(v)){if(v.length!==g.length)return!1;for(w=0;w<v.length;w++)if(!m(v[w],g[w]))return!1}else{const a=[];for(M in v)a.push(M);a.sort();const d=[];for(M in g)d.push(M);if(d.sort(),!m(a,d))return!1;for(w=0;w<a.length;w++)if(!m(v[a[w]],g[a[w]]))return!1}return!0}e.equals=m;function E(v){const g=new Set;return JSON.stringify(v,(w,M)=>{if((0,y.isObject)(M)||Array.isArray(M)){if(g.has(M))return"[Circular]";g.add(M)}return M})}e.safeStringify=E;function I(v,g,w){const M=g(v);return typeof M=="undefined"?w:M}e.getOrDefault=I;function p(v,g){const w=Object.create(null);return!v||!g||Object.keys(g).forEach(a=>{const d=v[a],c=g[a];m(d,c)||(w[a]=c)}),w}e.distinct=p;function S(v,g){const w=g.toLowerCase(),M=Object.keys(v).find(a=>a.toLowerCase()===w);return M?v[M]:v[g]}e.getCaseInsensitive=S;function t(v,g){const w=Object.create(null);for(const[M,a]of Object.entries(v))g(M,a)&&(w[M]=a);return w}e.filter=t}),define(ee[7],te([0,1,9,3]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,C=/^\//,k=/^\/\//;function P(s,i){if(!s.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!D.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!C.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(k.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function f(s,i){return!s&&!i?"file":s}function m(s,i){switch(s){case"https":case"http":case"file":i?i[0]!==I&&(i=I+i):i=I;break}return i}const E="",I="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class S{constructor(i,r,l,h,b,L=!1){typeof i=="object"?(this.scheme=i.scheme||E,this.authority=i.authority||E,this.path=i.path||E,this.query=i.query||E,this.fragment=i.fragment||E):(this.scheme=f(i,L),this.authority=r||E,this.path=m(this.scheme,l||E),this.query=h||E,this.fragment=b||E,P(this,L))}static isUri(i){return i instanceof S?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}get fsPath(){return a(this,!1)}with(i){if(!i)return this;let{scheme:r,authority:l,path:h,query:b,fragment:L}=i;return r===void 0?r=this.scheme:r===null&&(r=E),l===void 0?l=this.authority:l===null&&(l=E),h===void 0?h=this.path:h===null&&(h=E),b===void 0?b=this.query:b===null&&(b=E),L===void 0?L=this.fragment:L===null&&(L=E),r===this.scheme&&l===this.authority&&h===this.path&&b===this.query&&L===this.fragment?this:new v(r,l,h,b,L)}static parse(i,r=!1){const l=p.exec(i);return l?new v(l[2]||E,u(l[4]||E),u(l[5]||E),u(l[7]||E),u(l[9]||E),r):new v(E,E,E,E,E)}static file(i){let r=E;if(n.isWindows&&(i=i.replace(/\\/g,I)),i[0]===I&&i[1]===I){const l=i.indexOf(I,2);l===-1?(r=i.substring(2),i=I):(r=i.substring(2,l),i=i.substring(l)||I)}return new v("file",r,i,E,E)}static from(i){const r=new v(i.scheme,i.authority,i.path,i.query,i.fragment);return P(r,!0),r}static joinPath(i,...r){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let l;return n.isWindows&&i.scheme==="file"?l=S.file(y.win32.join(a(i,!0),...r)).path:l=y.posix.join(i.path,...r),i.with({path:l})}toString(i=!1){return d(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof S)return i;{const r=new v(i);return r._formatted=i.external,r._fsPath=i._sep===t?i.fsPath:null,r}}else return i}}e.URI=S;const t=n.isWindows?1:void 0;class v extends S{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=a(this,!1)),this._fsPath}toString(i=!1){return i?d(this,!0):(this._formatted||(this._formatted=d(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=t),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const g={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function w(s,i){let r,l=-1;for(let h=0;h<s.length;h++){const b=s.charCodeAt(h);if(b>=97&&b<=122||b>=65&&b<=90||b>=48&&b<=57||b===45||b===46||b===95||b===126||i&&b===47)l!==-1&&(r+=encodeURIComponent(s.substring(l,h)),l=-1),r!==void 0&&(r+=s.charAt(h));else{r===void 0&&(r=s.substr(0,h));const L=g[b];L!==void 0?(l!==-1&&(r+=encodeURIComponent(s.substring(l,h)),l=-1),r+=L):l===-1&&(l=h)}}return l!==-1&&(r+=encodeURIComponent(s.substring(l))),r!==void 0?r:s}function M(s){let i;for(let r=0;r<s.length;r++){const l=s.charCodeAt(r);l===35||l===63?(i===void 0&&(i=s.substr(0,r)),i+=g[l]):i!==void 0&&(i+=s[r])}return i!==void 0?i:s}function a(s,i){let r;return s.authority&&s.path.length>1&&s.scheme==="file"?r=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?i?r=s.path.substr(1):r=s.path[1].toLowerCase()+s.path.substr(2):r=s.path,n.isWindows&&(r=r.replace(/\//g,"\\")),r}e.uriToFsPath=a;function d(s,i){const r=i?M:w;let l="",{scheme:h,authority:b,path:L,query:R,fragment:T}=s;if(h&&(l+=h,l+=":"),(b||h==="file")&&(l+=I,l+=I),b){let U=b.indexOf("@");if(U!==-1){const Q=b.substr(0,U);b=b.substr(U+1),U=Q.indexOf(":"),U===-1?l+=r(Q,!1):(l+=r(Q.substr(0,U),!1),l+=":",l+=r(Q.substr(U+1),!1)),l+="@"}b=b.toLowerCase(),U=b.indexOf(":"),U===-1?l+=r(b,!1):(l+=r(b.substr(0,U),!1),l+=b.substr(U))}if(L){if(L.length>=3&&L.charCodeAt(0)===47&&L.charCodeAt(2)===58){const U=L.charCodeAt(1);U>=65&&U<=90&&(L=`/${String.fromCharCode(U+32)}:${L.substr(3)}`)}else if(L.length>=2&&L.charCodeAt(1)===58){const U=L.charCodeAt(0);U>=65&&U<=90&&(L=`${String.fromCharCode(U+32)}:${L.substr(2)}`)}l+=r(L,!0)}return R&&(l+="?",l+=r(R,!1)),T&&(l+="#",l+=i?T:w(T,!1)),l}function c(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+c(s.substr(3)):s}}const o=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function u(s){return s.match(o)?s.replace(o,i=>c(i)):s}}),define(ee[111],te([0,1,7]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function n(m){const E=m;return E&&typeof E.type=="string"&&typeof E.severity=="string"}e.isRemoteConsoleLog=n;function D(m){const E=[];let I;try{const p=JSON.parse(m.arguments),S=p[p.length-1];S&&S.__$stack&&(p.pop(),I=S.__$stack),E.push(...p)}catch{E.push("Unable to log remote console arguments",m.arguments)}return{args:E,stack:I}}e.parse=D;function C(m){if(typeof m!="string")return C(D(m).stack);const E=m;if(E){const I=k(E),p=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(I||"");if(p&&p.length===4)return{uri:y.URI.file(p[1]),line:Number(p[2]),column:Number(p[3])}}}e.getFirstFrame=C;function k(m){if(!m)return m;const E=m.indexOf(`
`);return E===-1?m:m.substring(0,E)}function P(m,E){const{args:I,stack:p}=D(m),S=typeof I[0]=="string"&&I.length===1;let t=k(p);t&&(t=`(${t.trim()})`);let v=[];if(typeof I[0]=="string"?t&&S?v=[`%c[${E}] %c${I[0]} %c${t}`,f("blue"),f(""),f("grey")]:v=[`%c[${E}] %c${I[0]}`,f("blue"),f(""),...I.slice(1)]:v=[`%c[${E}]%`,f("blue"),...I],t&&!S&&v.push(t),typeof console[m.severity]!="function")throw new Error("Unknown console method");console[m.severity].apply(console,v)}e.log=P;function f(m){return`color: ${m}`}}),define(ee[112],te([0,1,17,25,7]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function C(E){return JSON.stringify(E,f)}e.stringify=C;function k(E){let I=JSON.parse(E);return I=m(I),I}e.parse=k;var P;(function(E){E[E.Uri=1]="Uri",E[E.Regexp=2]="Regexp",E[E.ScmResource=3]="ScmResource",E[E.ScmResourceGroup=4]="ScmResourceGroup",E[E.ScmProvider=5]="ScmProvider",E[E.CommentController=6]="CommentController",E[E.CommentThread=7]="CommentThread",E[E.CommentThreadReply=8]="CommentThreadReply",E[E.CommentNode=9]="CommentNode",E[E.CommentThreadNode=10]="CommentThreadNode",E[E.TimelineActionContext=11]="TimelineActionContext",E[E.NotebookCellActionContext=12]="NotebookCellActionContext",E[E.TestItemContext=13]="TestItemContext"})(P=e.MarshalledId||(e.MarshalledId={}));function f(E,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,n.regExpFlags)(I)}:I}function m(E,I=0){if(!E||I>200)return E;if(typeof E=="object"){switch(E.$mid){case 1:return D.URI.revive(E);case 2:return new RegExp(E.source,E.flags)}if(E instanceof y.VSBuffer||E instanceof Uint8Array)return E;if(Array.isArray(E))for(let p=0;p<E.length;++p)E[p]=m(E[p],I+1);else for(const p in E)Object.hasOwnProperty.call(E,p)&&(E[p]=m(E[p],I+1))}return E}e.revive=m}),define(ee[10],te([0,1,3,7]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var D;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeNotebookCellOutput="vscode-notebook-cell-output",P.vscodeInteractive="vscode-interactive",P.vscodeInteractiveInput="vscode-interactive-input",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.vscodeTerminal="vscode-terminal",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.extension="extension",P.vscodeFileResource="vscode-file",P.tmp="tmp",P.vsls="vsls"})(D=e.Schemas||(e.Schemas={}));class C{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(f){this._preferredWebSchema=f}setDelegate(f){this._delegate=f}set(f,m,E){this._hosts[f]=m,this._ports[f]=E}setConnectionToken(f,m){this._connectionTokens[f]=m}rewrite(f){if(this._delegate)return this._delegate(f);const m=f.authority;let E=this._hosts[m];E&&E.indexOf(":")!==-1&&(E=`[${E}]`);const I=this._ports[m],p=this._connectionTokens[m];let S=`path=${encodeURIComponent(f.path)}`;return typeof p=="string"&&(S+=`&tkn=${encodeURIComponent(p)}`),n.URI.from({scheme:y.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${E}:${I}`,path:"/vscode-remote-resource",query:S})}}e.RemoteAuthorities=new C;class k{asBrowserUri(f,m){const E=this.toUri(f,m);return E.scheme===D.vscodeRemote?e.RemoteAuthorities.rewrite(E):E.scheme===D.file&&(y.isNative||typeof y.globals.importScripts=="function"&&y.globals.origin===`${D.vscodeFileResource}://${k.FALLBACK_AUTHORITY}`)?E.with({scheme:D.vscodeFileResource,authority:E.authority||k.FALLBACK_AUTHORITY,query:null,fragment:null}):E}asFileUri(f,m){const E=this.toUri(f,m);return E.scheme===D.vscodeFileResource?E.with({scheme:D.file,authority:E.authority!==k.FALLBACK_AUTHORITY?E.authority:null,query:null,fragment:null}):E}toUri(f,m){return n.URI.isUri(f)?f:n.URI.parse(m.toUrl(f))}}k.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new k}),define(ee[16],te([0,1,27,10,9,3,25,7]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function f(S){return(0,P.uriToFsPath)(S,!0)}e.originalFSPath=f;class m{constructor(t){this._ignorePathCasing=t}compare(t,v,g=!1){return t===v?0:(0,k.compare)(this.getComparisonKey(t,g),this.getComparisonKey(v,g))}isEqual(t,v,g=!1){return t===v?!0:!t||!v?!1:this.getComparisonKey(t,g)===this.getComparisonKey(v,g)}getComparisonKey(t,v=!1){return t.with({path:this._ignorePathCasing(t)?t.path.toLowerCase():void 0,fragment:v?null:void 0}).toString()}ignorePathCasing(t){return this._ignorePathCasing(t)}isEqualOrParent(t,v,g=!1){if(t.scheme===v.scheme){if(t.scheme===n.Schemas.file)return y.isEqualOrParent(f(t),f(v),this._ignorePathCasing(t))&&t.query===v.query&&(g||t.fragment===v.fragment);if((0,e.isEqualAuthority)(t.authority,v.authority))return y.isEqualOrParent(t.path,v.path,this._ignorePathCasing(t),"/")&&t.query===v.query&&(g||t.fragment===v.fragment)}return!1}joinPath(t,...v){return P.URI.joinPath(t,...v)}basenameOrAuthority(t){return(0,e.basename)(t)||t.authority}basename(t){return D.posix.basename(t.path)}extname(t){return D.posix.extname(t.path)}dirname(t){if(t.path.length===0)return t;let v;return t.scheme===n.Schemas.file?v=P.URI.file(D.dirname(f(t))).path:(v=D.posix.dirname(t.path),t.authority&&v.length&&v.charCodeAt(0)!==47&&(console.error(`dirname("${t.toString})) resulted in a relative path`),v="/")),t.with({path:v})}normalizePath(t){if(!t.path.length)return t;let v;return t.scheme===n.Schemas.file?v=P.URI.file(D.normalize(f(t))).path:v=D.posix.normalize(t.path),t.with({path:v})}relativePath(t,v){if(t.scheme!==v.scheme||!(0,e.isEqualAuthority)(t.authority,v.authority))return;if(t.scheme===n.Schemas.file){const M=D.relative(f(t),f(v));return C.isWindows?y.toSlashes(M):M}let g=t.path||"/",w=v.path||"/";if(this._ignorePathCasing(t)){let M=0;for(const a=Math.min(g.length,w.length);M<a&&!(g.charCodeAt(M)!==w.charCodeAt(M)&&g.charAt(M).toLowerCase()!==w.charAt(M).toLowerCase());M++);g=w.substr(0,M)+g.substr(M)}return D.posix.relative(g,w)}resolvePath(t,v){if(t.scheme===n.Schemas.file){const g=P.URI.file(D.resolve(f(t),v));return t.with({authority:g.authority,path:g.path})}return v=y.toPosixPath(v),t.with({path:D.posix.resolve(t.path,v)})}isAbsolutePath(t){return!!t.path&&t.path[0]==="/"}isEqualAuthority(t,v){return t===v||t!==void 0&&v!==void 0&&(0,k.equalsIgnoreCase)(t,v)}hasTrailingPathSeparator(t,v=D.sep){if(t.scheme===n.Schemas.file){const g=f(t);return g.length>y.getRoot(g).length&&g[g.length-1]===v}else{const g=t.path;return g.length>1&&g.charCodeAt(g.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(t.fsPath)}}removeTrailingPathSeparator(t,v=D.sep){return(0,e.hasTrailingPathSeparator)(t,v)?t.with({path:t.path.substr(0,t.path.length-1)}):t}addTrailingPathSeparator(t,v=D.sep){let g=!1;if(t.scheme===n.Schemas.file){const w=f(t);g=w!==void 0&&w.length===y.getRoot(w).length&&w[w.length-1]===v}else{v="/";const w=t.path;g=w.length===1&&w.charCodeAt(w.length-1)===47}return!g&&!(0,e.hasTrailingPathSeparator)(t,v)?t.with({path:t.path+"/"}):t}}e.ExtUri=m,e.extUri=new m(()=>!1),e.extUriBiasedIgnorePathCase=new m(S=>S.scheme===n.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new m(S=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function E(S,t){const v=[];for(let g=0;g<S.length;g++){const w=t(S[g]);S.some((M,a)=>a===g?!1:(0,e.isEqualOrParent)(w,t(M)))||v.push(S[g])}return v}e.distinctParents=E;var I;(function(S){S.META_DATA_LABEL="label",S.META_DATA_DESCRIPTION="description",S.META_DATA_SIZE="size",S.META_DATA_MIME="mime";function t(v){const g=new Map;v.path.substring(v.path.indexOf(";")+1,v.path.lastIndexOf(";")).split(";").forEach(a=>{const[d,c]=a.split(":");d&&c&&g.set(d,c)});const M=v.path.substring(0,v.path.indexOf(";"));return M&&g.set(S.META_DATA_MIME,M),g}S.parseMetaData=t})(I=e.DataUri||(e.DataUri={}));function p(S,t,v){if(t){let g=S.path;return g&&g[0]!==D.posix.sep&&(g=D.posix.sep+g),S.with({scheme:v,authority:t,path:g})}return S.with({scheme:v})}e.toLocalResource=p}),define(ee[8],te([0,1,21,15,4,2,16,3]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function f(W){return!!W&&typeof W.then=="function"}e.isThenable=f;function m(W){const A=new y.CancellationTokenSource,_=W(A.token),N=new Promise((O,z)=>{const x=A.token.onCancellationRequested(()=>{x.dispose(),A.dispose(),z((0,n.canceled)())});Promise.resolve(_).then(ie=>{x.dispose(),A.dispose(),O(ie)},ie=>{x.dispose(),A.dispose(),z(ie)})});return new class{cancel(){A.cancel()}then(O,z){return N.then(O,z)}catch(O){return this.then(void 0,O)}finally(O){return N.finally(O)}}}e.createCancelablePromise=m;function E(W,A,_){return Promise.race([W,new Promise(N=>A.onCancellationRequested(()=>N(_)))])}e.raceCancellation=E;async function I(W){let A=-1;const _=W.map((O,z)=>O.then(x=>(A=z,x))),N=await Promise.race(_);return W.forEach((O,z)=>{z!==A&&O.cancel()}),N}e.raceCancellablePromises=I;function p(W,A,_){let N;const O=setTimeout(()=>{N?.(void 0),_?.()},A);return Promise.race([W.finally(()=>clearTimeout(O)),new Promise(z=>N=z)])}e.raceTimeout=p;function S(W){return new Promise((A,_)=>{const N=W();f(N)?N.then(A,_):A(N)})}e.asPromise=S;class t{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(A){if(this.activePromise){if(this.queuedPromiseFactory=A,!this.queuedPromise){const _=()=>{this.queuedPromise=null;const N=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,N};this.queuedPromise=new Promise(N=>{this.activePromise.then(_,_).then(N)})}return new Promise((_,N)=>{this.queuedPromise.then(_,N)})}return this.activePromise=A(),new Promise((_,N)=>{this.activePromise.then(O=>{this.activePromise=null,_(O)},O=>{this.activePromise=null,N(O)})})}}e.Throttler=t;class v{constructor(){this.current=Promise.resolve(null)}queue(A){return this.current=this.current.then(()=>A(),()=>A())}}e.Sequencer=v;class g{constructor(){this.promiseMap=new Map}queue(A,_){const O=(this.promiseMap.get(A)??Promise.resolve()).catch(()=>{}).then(_).finally(()=>{this.promiseMap.get(A)===O&&this.promiseMap.delete(A)});return this.promiseMap.set(A,O),O}}e.SequencerByKey=g;const w=(W,A)=>{let _=!0;const N=setTimeout(()=>{_=!1,A()},W);return{isTriggered:()=>_,dispose:()=>{clearTimeout(N),_=!1}}},M=W=>{let A=!0;return queueMicrotask(()=>{A&&(A=!1,W())}),{isTriggered:()=>A,dispose:()=>{A=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class a{constructor(A){this.defaultDelay=A,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(A,_=this.defaultDelay){this.task=A,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((O,z)=>{this.doResolve=O,this.doReject=z}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const O=this.task;return this.task=null,O()}}));const N=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=_===e.MicrotaskDelay?M(N):w(_,N),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,n.canceled)()),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=a;class d{constructor(A){this.delayer=new a(A),this.throttler=new t}trigger(A,_){return this.delayer.trigger(()=>this.throttler.queue(A),_)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=d;class c{constructor(){this._isOpen=!1,this._promise=new Promise((A,_)=>{this._completePromise=A})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=c;class o extends c{constructor(A){super();this._timeout=setTimeout(()=>this.open(),A)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=o;function u(W,A){return A?new Promise((_,N)=>{const O=setTimeout(()=>{z.dispose(),_()},W),z=A.onCancellationRequested(()=>{clearTimeout(O),z.dispose(),N((0,n.canceled)())})}):m(_=>u(W,_))}e.timeout=u;function s(W,A=0){const _=setTimeout(W,A);return(0,C.toDisposable)(()=>clearTimeout(_))}e.disposableTimeout=s;function i(W){const A=[];let _=0;const N=W.length;function O(){return _<N?W[_++]():null}function z(x){x!=null&&A.push(x);const ie=O();return ie?ie.then(z):Promise.resolve(A)}return Promise.resolve(null).then(z)}e.sequence=i;function r(W,A=N=>!!N,_=null){let N=0;const O=W.length,z=()=>{if(N>=O)return Promise.resolve(_);const x=W[N++];return Promise.resolve(x()).then(oe=>A(oe)?Promise.resolve(oe):z())};return z()}e.first=r;function l(W,A=N=>!!N,_=null){if(W.length===0)return Promise.resolve(_);let N=W.length;const O=()=>{N=-1;for(const z of W)z.cancel?.()};return new Promise((z,x)=>{for(const ie of W)ie.then(oe=>{--N>=0&&A(oe)?(O(),z(oe)):N===0&&z(_)}).catch(oe=>{--N>=0&&(O(),x(oe))})})}e.firstParallel=l;class h{constructor(A){this._size=0,this.maxDegreeOfParalellism=A,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new D.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(A){return this._size++,new Promise((_,N)=>{this.outstandingPromises.push({factory:A,c:_,e:N}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const A=this.outstandingPromises.shift();this.runningPromises++;const _=A.factory();_.then(A.c,A.e),_.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=h;class b extends h{constructor(){super(1)}}e.Queue=b;class L{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const A=new j;return this.drainers.add(A),A.p}isDrained(){for(const[,A]of this.queues)if(A.size>0)return!1;return!0}queueFor(A,_=k.extUri){const N=_.getComparisonKey(A);let O=this.queues.get(N);return O||(O=new b,D.Event.once(O.onFinished)(()=>{O?.dispose(),this.queues.delete(N),this.onDidQueueFinish()}),this.queues.set(N,O)),O}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const A of this.drainers)A.complete();this.drainers.clear()}dispose(){for(const[,A]of this.queues)A.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=L;class R{constructor(A,_){this._token=-1,typeof A=="function"&&typeof _=="number"&&this.setIfNotSet(A,_)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(A,_){this.cancel(),this._token=setTimeout(()=>{this._token=-1,A()},_)}setIfNotSet(A,_){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,A()},_))}}e.TimeoutTimer=R;class T{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(A,_){this.cancel(),this._token=setInterval(()=>{A()},_)}}e.IntervalTimer=T;class U{constructor(A,_){this.timeoutToken=-1,this.runner=A,this.timeout=_,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(A=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,A)}get delay(){return this.timeout}set delay(A){this.timeout=A}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=U;class Q{constructor(A,_){_%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${_}ms is not a multiple of 1000ms.`),this.runner=A,this.timeout=_,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(A=this.timeout){A%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${A}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(A/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=Q;class se extends U{constructor(A,_){super(A,_);this.units=[]}work(A){this.units.push(A),this.isScheduled()||this.schedule()}doRun(){const A=this.units;this.units=[],this.runner&&this.runner(A)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=se;class ne extends C.Disposable{constructor(A,_){super();this.options=A,this.handler=_,this.pendingWork=[],this.throttler=this._register(new C.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(A){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+A.length>this.options.maxBufferedWork)return!1}else if(this.pending+A.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...A),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new U(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=ne,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=W=>{(0,P.setTimeout0)(()=>{if(A)return;const _=Date.now()+15;W(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,_-Date.now())}}))});let A=!1;return{dispose(){A||(A=!0)}}}:e.runWhenIdle=(W,A)=>{const _=requestIdleCallback(W,typeof A=="number"?{timeout:A}:void 0);let N=!1;return{dispose(){N||(N=!0,cancelIdleCallback(_))}}}}();class q{constructor(A){this._didRun=!1,this._executor=()=>{try{this._value=A()}catch(_){this._error=_}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=q;async function J(W,A,_){let N;for(let O=0;O<_;O++)try{return await W()}catch(z){N=z,await u(A)}throw N}e.retry=J;class V{hasPending(A){return this._pending?typeof A=="number"?this._pending.taskId===A:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(A,_,N){return this._pending={taskId:A,cancel:()=>N?.(),promise:_},_.then(()=>this.donePending(A),()=>this.donePending(A)),_}donePending(A){this._pending&&A===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const A=this._next;this._next=void 0,A.run().then(A.promiseResolve,A.promiseReject)}}setNext(A){if(this._next)this._next.run=A;else{let _,N;const O=new Promise((z,x)=>{_=z,N=x});this._next={run:A,promise:O,promiseResolve:_,promiseReject:N}}return this._next.promise}}e.TaskSequentializer=V;class K{constructor(A,_=()=>Date.now()){this.interval=A,this.nowFn=_,this.lastIncrementTime=0,this.value=0}increment(){const A=this.nowFn();return A-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=A,this.value=0),this.value++,this.value}}e.IntervalCounter=K;class j{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((A,_)=>{this.completeCallback=A,this.errorCallback=_})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(A){return new Promise(_=>{this.completeCallback(A),this.resolved=!0,_()})}error(A){return new Promise(_=>{this.errorCallback(A),this.rejected=!0,_()})}cancel(){new Promise(A=>{this.errorCallback((0,n.canceled)()),this.rejected=!0,A()})}}e.DeferredPromise=j;var B;(function(W){async function A(N){let O;const z=await Promise.all(N.map(x=>x.then(ie=>ie,ie=>{O||(O=ie)})));if(typeof O!="undefined")throw O;return z}W.settled=A;function _(N){return new Promise(async(O,z)=>{try{await N(O,z)}catch(x){z(x)}})}W.withAsyncBody=_})(B=e.Promises||(e.Promises={}));var $;(function(W){W[W.Initial=0]="Initial",W[W.DoneOK=1]="DoneOK",W[W.DoneError=2]="DoneError"})($||($={}));class Y{constructor(A){this._state=0,this._results=[],this._error=null,this._onStateChanged=new D.Emitter,queueMicrotask(async()=>{const _={emitOne:N=>this.emitOne(N),emitMany:N=>this.emitMany(N),reject:N=>this.reject(N)};try{await Promise.resolve(A(_)),this.resolve()}catch(N){this.reject(N)}finally{_.emitOne=void 0,_.emitMany=void 0,_.reject=void 0}})}static fromArray(A){return new Y(_=>{_.emitMany(A)})}static fromPromise(A){return new Y(async _=>{_.emitMany(await A)})}static fromPromises(A){return new Y(async _=>{await Promise.all(A.map(async N=>_.emitOne(await N)))})}static merge(A){return new Y(async _=>{await Promise.all(A.map(async N=>{for await(const O of N)_.emitOne(O)}))})}[Symbol.asyncIterator](){let A=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(A<this._results.length)return{done:!1,value:this._results[A++]};if(this._state===1)return{done:!0,value:void 0};await D.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(A,_){return new Y(async N=>{for await(const O of A)N.emitOne(_(O))})}map(A){return Y.map(this,A)}static filter(A,_){return new Y(async N=>{for await(const O of A)_(O)&&N.emitOne(O)})}filter(A){return Y.filter(this,A)}static coalesce(A){return Y.filter(A,_=>!!_)}coalesce(){return Y.coalesce(this)}static async toPromise(A){const _=[];for await(const N of A)_.push(N);return _}toPromise(){return Y.toPromise(this)}emitOne(A){this._state===0&&(this._results.push(A),this._onStateChanged.fire())}emitMany(A){this._state===0&&(this._results=this._results.concat(A),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(A){this._state===0&&(this._state=2,this._error=A,this._onStateChanged.fire())}}e.AsyncIterableObject=Y,Y.EMPTY=Y.fromArray([]);class H extends Y{constructor(A,_){super(_);this._source=A}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=H;function F(W){const A=new y.CancellationTokenSource,_=W(A.token);return new H(A,async N=>{const O=A.token.onCancellationRequested(()=>{O.dispose(),A.dispose(),N.reject((0,n.canceled)())});try{for await(const z of _){if(A.token.isCancellationRequested)return;N.emitOne(z)}O.dispose(),A.dispose()}catch(z){O.dispose(),A.dispose(),N.reject(z)}})}e.createCancelableAsyncIterable=F}),define(ee[113],te([0,1,8,27,35,9,25]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const f="[/\\\\]",m="[^/\\\\]",E=/\//g;function I(j){switch(j){case 0:return"";case 1:return`${m}*?`;default:return`(?:${f}|${m}+${f}|${f}${m}+)*?`}}function p(j,B){if(!j)return[];const $=[];let Y=!1,H=!1,F="";for(const W of j){switch(W){case B:if(!Y&&!H){$.push(F),F="";continue}break;case"{":Y=!0;break;case"}":Y=!1;break;case"[":H=!0;break;case"]":H=!1;break}F+=W}return F&&$.push(F),$}e.splitGlobAware=p;function S(j){if(!j)return"";let B="";const $=p(j,e.GLOB_SPLIT);if($.every(Y=>Y===e.GLOBSTAR))B=".*";else{let Y=!1;$.forEach((H,F)=>{if(H===e.GLOBSTAR){Y||(B+=I(2),Y=!0);return}let W=!1,A="",_=!1,N="";for(const O of H){if(O!=="}"&&W){A+=O;continue}if(_&&(O!=="]"||!N)){let z;O==="-"?z=O:(O==="^"||O==="!")&&!N?z="^":O===e.GLOB_SPLIT?z="":z=k.escapeRegExpCharacters(O),N+=z;continue}switch(O){case"{":W=!0;continue;case"[":_=!0;continue;case"}":{B+=`(?:${p(A,",").map(ie=>S(ie)).join("|")})`,W=!1,A="";break}case"]":B+="["+N+"]",_=!1,N="";break;case"?":B+=m;continue;case"*":B+=I(1);continue;default:B+=k.escapeRegExpCharacters(O)}}F<$.length-1&&($[F+1]!==e.GLOBSTAR||F+2<$.length)&&(B+=f),Y=!1})}return B}const t=/^\*\*\/\*\.[\w\.-]+$/,v=/^\*\*\/([\w\.-]+)\/?$/,g=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,w=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,M=/^\*\*((\/[\w\.-]+)+)\/?$/,a=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,d=new D.LRUCache(1e4),c=function(){return!1},o=function(){return null};function u(j,B){if(!j)return o;let $;typeof j!="string"?$=j.pattern:$=j,$=$.trim();const Y=`${$}_${!!B.trimForExclusions}`;let H=d.get(Y);if(H)return s(H,j);let F;if(t.test($)){const W=$.substr(4);H=function(A,_){return typeof A=="string"&&A.endsWith(W)?$:null}}else(F=v.exec(i($,B)))?H=r(F[1],$):(B.trimForExclusions?w:g).test($)?H=l($,B):(F=M.exec(i($,B)))?H=h(F[1].substr(1),$,!0):(F=a.exec(i($,B)))?H=h(F[1],$,!1):H=b($);return d.set(Y,H),s(H,j)}function s(j,B){return typeof B=="string"?j:function($,Y){return n.isEqualOrParent($,B.base)?j(C.relative(B.base,$),Y):null}}function i(j,B){return B.trimForExclusions&&j.endsWith("/**")?j.substr(0,j.length-2):j}function r(j,B){const $=`/${j}`,Y=`\\${j}`,H=function(W,A){return typeof W!="string"?null:A?A===j?B:null:W===j||W.endsWith($)||W.endsWith(Y)?B:null},F=[j];return H.basenames=F,H.patterns=[B],H.allBasenames=F,H}function l(j,B){const $=K(j.slice(1,-1).split(",").map(A=>u(A,B)).filter(A=>A!==o),j),Y=$.length;if(!Y)return o;if(Y===1)return $[0];const H=function(A,_){for(let N=0,O=$.length;N<O;N++)if($[N](A,_))return j;return null},F=$.find(A=>!!A.allBasenames);F&&(H.allBasenames=F.allBasenames);const W=$.reduce((A,_)=>_.allPaths?A.concat(_.allPaths):A,[]);return W.length&&(H.allPaths=W),H}function h(j,B,$){const Y=C.sep===C.posix.sep,H=Y?j:j.replace(E,C.sep),F=C.sep+H,W=C.posix.sep+j,A=$?function(_,N){return typeof _=="string"&&(_===H||_.endsWith(F)||!Y&&(_===j||_.endsWith(W)))?B:null}:function(_,N){return typeof _=="string"&&(_===H||!Y&&_===j)?B:null};return A.allPaths=[($?"*/":"./")+j],A}function b(j){try{const B=new RegExp(`^${S(j)}$`);return function($){return B.lastIndex=0,typeof $=="string"&&B.test($)?j:null}}catch{return o}}function L(j,B,$){return!j||typeof B!="string"?!1:R(j)(B,void 0,$)}e.match=L;function R(j,B={}){if(!j)return c;if(typeof j=="string"||se(j)){const $=u(j,B);if($===o)return c;const Y=function(H,F){return!!$(H,F)};return $.allBasenames&&(Y.allBasenames=$.allBasenames),$.allPaths&&(Y.allPaths=$.allPaths),Y}return J(j,B)}e.parse=R;function T(j){if(!j)return;let B;return $=>(B||(B=(j()||Promise.resolve([])).then(Y=>Y?Q(Y):{})),B.then(Y=>!!Y[$]))}e.hasSiblingPromiseFn=T;function U(j){if(!j)return;let B;return $=>{if(!B){const Y=j();B=Y?Q(Y):{}}return!!B[$]}}e.hasSiblingFn=U;function Q(j){const B={};for(const $ of j)B[$]=!0;return B}function se(j){const B=j;return B&&typeof B.base=="string"&&typeof B.pattern=="string"}e.isRelativePattern=se;function ne(j){return j.allBasenames||[]}e.getBasenameTerms=ne;function q(j){return j.allPaths||[]}e.getPathTerms=q;function J(j,B){const $=K(Object.getOwnPropertyNames(j).map(A=>V(A,j[A],B)).filter(A=>A!==o)),Y=$.length;if(!Y)return o;if(!$.some(A=>!!A.requiresSiblings)){if(Y===1)return $[0];const A=function(O,z){for(let x=0,ie=$.length;x<ie;x++){const oe=$[x](O,z);if(oe)return oe}return null},_=$.find(O=>!!O.allBasenames);_&&(A.allBasenames=_.allBasenames);const N=$.reduce((O,z)=>z.allPaths?O.concat(z.allPaths):O,[]);return N.length&&(A.allPaths=N),A}const H=function(A,_,N){let O;for(let z=0,x=$.length;z<x;z++){const ie=$[z];ie.requiresSiblings&&N&&(_||(_=C.basename(A)),O||(O=_.substr(0,_.length-C.extname(A).length)));const oe=ie(A,_,O,N);if(oe)return oe}return null},F=$.find(A=>!!A.allBasenames);F&&(H.allBasenames=F.allBasenames);const W=$.reduce((A,_)=>_.allPaths?A.concat(_.allPaths):A,[]);return W.length&&(H.allPaths=W),H}function V(j,B,$){if(B===!1)return o;const Y=u(j,$);if(Y===o)return o;if(typeof B=="boolean")return Y;if(B){const H=B.when;if(typeof H=="string"){const F=(W,A,_,N)=>{if(!N||!Y(W,A))return null;const O=H.replace("$(basename)",_),z=N(O);return(0,y.isThenable)(z)?z.then(x=>x?j:null):z?j:null};return F.requiresSiblings=!0,F}}return Y}function K(j,B){const $=j.filter(A=>!!A.basenames);if($.length<2)return j;const Y=$.reduce((A,_)=>{const N=_.basenames;return N?A.concat(N):A},[]);let H;if(B){H=[];for(let A=0,_=Y.length;A<_;A++)H.push(B)}else H=$.reduce((A,_)=>{const N=_.patterns;return N?A.concat(N):A},[]);const F=function(A,_){if(typeof A!="string")return null;if(!_){let O;for(O=A.length;O>0;O--){const z=A.charCodeAt(O-1);if(z===47||z===92)break}_=A.substr(O)}const N=Y.indexOf(_);return N!==-1?H[N]:null};F.basenames=Y,F.patterns=H,F.allBasenames=Y;const W=j.filter(A=>!A.basenames);return W.push(F),W}}),define(ee[33],te([0,1,27,10,9,3,16,25,7]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function m(i,r,l){if(typeof i=="string"&&(i=f.URI.file(i)),l){const b=l.getWorkspaceFolder(i);if(b){const L=l.getWorkspace().folders.length>1;let R;if((0,k.isEqual)(b.uri,i)?R="":R=(0,k.relativePath)(b.uri,i),L){const T=b.name?b.name:(0,k.basename)(b.uri);R=R?T+" \u2022 "+R:T}return R}}if(i.scheme!==n.Schemas.file&&i.scheme!==n.Schemas.untitled)return i.with({query:null,fragment:null}).toString(!0);if((0,y.hasDriveLetter)(i.fsPath))return(0,D.normalize)(I(i.fsPath));let h=(0,D.normalize)(i.fsPath);return!C.isWindows&&r?.userHome&&(h=S(h,r.userHome.fsPath)),h}e.getPathLabel=m;function E(i){if(!i)return;typeof i=="string"&&(i=f.URI.file(i));const r=(0,k.basename)(i)||(i.scheme===n.Schemas.file?i.fsPath:i.path);return C.isWindows&&(0,y.isRootOrDriveLetter)(r)?I(r):r}e.getBaseLabel=E;function I(i,r){return(0,y.hasDriveLetter)(i,r)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=I;let p=Object.create(null);function S(i,r){if(C.isWindows||!i||!r)return i;let l=p.original===r?p.normalized:void 0;return l||(l=`${(0,P.rtrim)(r,D.posix.sep)}${D.posix.sep}`,p={original:r,normalized:l}),(C.isLinux?i.startsWith(l):(0,P.startsWithIgnoreCase)(i,l))&&(i=`~/${i.substr(l.length)}`),i}e.tildify=S;function t(i,r){return i.replace(/^~($|\/|\\)/,`${r}$1`)}e.untildify=t;const v="\u2026",g="\\\\",w="~";function M(i,r=D.sep){const l=new Array(i.length);let h=!1;for(let b=0;b<i.length;b++){let L=i[b];if(L===""){l[b]=`.${r}`;continue}if(!L){l[b]=L;continue}h=!0;let R="";L.indexOf(g)===0?(R=L.substr(0,L.indexOf(g)+g.length),L=L.substr(L.indexOf(g)+g.length)):L.indexOf(r)===0?(R=L.substr(0,L.indexOf(r)+r.length),L=L.substr(L.indexOf(r)+r.length)):L.indexOf(w)===0&&(R=L.substr(0,L.indexOf(w)+w.length),L=L.substr(L.indexOf(w)+w.length));const T=L.split(r);for(let U=1;h&&U<=T.length;U++)for(let Q=T.length-U;h&&Q>=0;Q--){h=!1;let se=T.slice(Q,Q+U).join(r);for(let ne=0;!h&&ne<i.length;ne++)if(ne!==b&&i[ne]&&i[ne].indexOf(se)>-1){const q=Q+U===T.length,J=Q>0&&i[ne].indexOf(r)>-1?r+se:se,V=i[ne].endsWith(J);h=!q||V}if(!h){let ne="";(T[0].endsWith(":")||R!=="")&&(Q===1&&(Q=0,U++,se=T[0]+r+se),Q>0&&(ne=T[0]+r),ne=R+ne),Q>0&&(ne=ne+v+r),ne=ne+se,Q+U<T.length&&(ne=ne+r+v),l[b]=ne}}h&&(l[b]=L)}return l}e.shorten=M;var a;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(a||(a={}));function d(i,r=Object.create(null)){const l=[];let h=!1,b="";for(const L of i)if(L==="$"||h&&L==="{")b&&l.push({value:b,type:a.TEXT}),b="",h=!0;else if(L==="}"&&h){const R=r[b];if(typeof R=="string")R.length&&l.push({value:R,type:a.VARIABLE});else if(R){const T=l[l.length-1];(!T||T.type!==a.SEPARATOR)&&l.push({value:R.label,type:a.SEPARATOR})}b="",h=!1}else b+=L;return b&&!h&&l.push({value:b,type:a.TEXT}),l.filter((L,R)=>{if(L.type===a.SEPARATOR){const T=l[R-1],U=l[R+1];return[T,U].every(Q=>Q&&(Q.type===a.VARIABLE||Q.type===a.TEXT)&&Q.value.length>0)}return!0}).map(L=>L.value).join("")}e.template=d;function c(i,r){return C.isMacintosh||r?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):i.replace(/&&|&/g,l=>l==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function o(i,r){return C.isMacintosh||r?i.replace(/\(&&\w\)|&&/g,""):C.isWindows?i.replace(/&&|&/g,l=>l==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=o;function u(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=u;function s(i){const r=i.indexOf("/")!==-1?D.posix:D.win32,l=r.basename(i),h=r.dirname(i);return l.length?{name:l,parentPath:h}:{name:h,parentPath:""}}e.splitName=s}),define(ee[114],te([0,1,7]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function n(E){return E.toJSON()}class D{constructor(I){this._uriTransformer=I}transformIncoming(I){const p=this._uriTransformer.transformIncoming(I);return p===I?I:n(y.URI.from(p))}transformOutgoing(I){const p=this._uriTransformer.transformOutgoing(I);return p===I?I:n(y.URI.from(p))}transformOutgoingURI(I){const p=this._uriTransformer.transformOutgoing(I);return p===I?I:y.URI.from(p)}transformOutgoingScheme(I){return this._uriTransformer.transformOutgoingScheme(I)}}e.URITransformer=D,e.DefaultURITransformer=new class{transformIncoming(E){return E}transformOutgoing(E){return E}transformOutgoingURI(E){return E}transformOutgoingScheme(E){return E}};function C(E,I,p){if(!E||p>200)return null;if(typeof E=="object"){if(E instanceof y.URI)return I.transformOutgoing(E);for(let S in E)if(Object.hasOwnProperty.call(E,S)){const t=C(E[S],I,p+1);t!==null&&(E[S]=t)}}return null}function k(E,I){const p=C(E,I,0);return p===null?E:p}e.transformOutgoingURIs=k;function P(E,I,p,S){if(!E||S>200)return null;if(typeof E=="object"){if(E.$mid===1)return p?y.URI.revive(I.transformIncoming(E)):I.transformIncoming(E);for(let t in E)if(Object.hasOwnProperty.call(E,t)){const v=P(E[t],I,p,S+1);v!==null&&(E[t]=v)}}return null}function f(E,I){const p=P(E,I,!1,0);return p===null?E:p}e.transformIncomingURIs=f;function m(E,I){const p=P(E,I,!0,0);return p===null?E:p}e.transformAndReviveIncomingURIs=m}),define(ee[32],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const y=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function n(f){return y.test(f)}e.isUUID=n;const D=new Uint8Array(16),C=[];for(let f=0;f<256;f++)C.push(f.toString(16).padStart(2,"0"));let k;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?k=crypto.getRandomValues.bind(crypto):k=function(f){for(let m=0;m<f.length;m++)f[m]=Math.floor(Math.random()*256);return f};function P(){k(D),D[6]=D[6]&15|64,D[8]=D[8]&63|128;let f=0,m="";return m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m+="-",m+=C[D[f++]],m+=C[D[f++]],m+="-",m+=C[D[f++]],m+=C[D[f++]],m+="-",m+=C[D[f++]],m+=C[D[f++]],m+="-",m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m+=C[D[f++]],m}e.generateUuid=P}),define(ee[115],te([0,1,15,4,2,3,13,25]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=e.SimpleWorkerServer=e.SimpleWorkerClient=e.logOnceWebWorkerWarning=void 0;const f="$initialize";let m=!1;function E(s){!C.isWeb||(m||(m=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(s.message))}e.logOnceWebWorkerWarning=E;var I;(function(s){s[s.Request=0]="Request",s[s.Reply=1]="Reply",s[s.SubscribeEvent=2]="SubscribeEvent",s[s.Event=3]="Event",s[s.UnsubscribeEvent=4]="UnsubscribeEvent"})(I||(I={}));class p{constructor(i,r,l,h){this.vsWorker=i,this.req=r,this.method=l,this.args=h,this.type=0}}class S{constructor(i,r,l,h){this.vsWorker=i,this.seq=r,this.res=l,this.err=h,this.type=1}}class t{constructor(i,r,l,h){this.vsWorker=i,this.req=r,this.eventName=l,this.arg=h,this.type=2}}class v{constructor(i,r,l){this.vsWorker=i,this.req=r,this.event=l,this.type=3}}class g{constructor(i,r){this.vsWorker=i,this.req=r,this.type=4}}class w{constructor(i){this._workerId=-1,this._handler=i,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(i){this._workerId=i}sendMessage(i,r){const l=String(++this._lastSentReq);return new Promise((h,b)=>{this._pendingReplies[l]={resolve:h,reject:b},this._send(new p(this._workerId,l,i,r))})}listen(i,r){let l=null;const h=new n.Emitter({onFirstListenerAdd:()=>{l=String(++this._lastSentReq),this._pendingEmitters.set(l,h),this._send(new t(this._workerId,l,i,r))},onLastListenerRemove:()=>{this._pendingEmitters.delete(l),this._send(new g(this._workerId,l)),l=null}});return h.event}handleMessage(i){!i||!i.vsWorker||this._workerId!==-1&&i.vsWorker!==this._workerId||this._handleMessage(i)}_handleMessage(i){switch(i.type){case 1:return this._handleReplyMessage(i);case 0:return this._handleRequestMessage(i);case 2:return this._handleSubscribeEventMessage(i);case 3:return this._handleEventMessage(i);case 4:return this._handleUnsubscribeEventMessage(i)}}_handleReplyMessage(i){if(!this._pendingReplies[i.seq]){console.warn("Got reply to unknown seq");return}let r=this._pendingReplies[i.seq];if(delete this._pendingReplies[i.seq],i.err){let l=i.err;i.err.$isError&&(l=new Error,l.name=i.err.name,l.message=i.err.message,l.stack=i.err.stack),r.reject(l);return}r.resolve(i.res)}_handleRequestMessage(i){let r=i.req;this._handler.handleMessage(i.method,i.args).then(h=>{this._send(new S(this._workerId,r,h,void 0))},h=>{h.detail instanceof Error&&(h.detail=(0,y.transformErrorForSerialization)(h.detail)),this._send(new S(this._workerId,r,void 0,(0,y.transformErrorForSerialization)(h)))})}_handleSubscribeEventMessage(i){const r=i.req,l=this._handler.handleEvent(i.eventName,i.arg)(h=>{this._send(new v(this._workerId,r,h))});this._pendingEvents.set(r,l)}_handleEventMessage(i){if(!this._pendingEmitters.has(i.req)){console.warn("Got event for unknown req");return}this._pendingEmitters.get(i.req).fire(i.event)}_handleUnsubscribeEventMessage(i){if(!this._pendingEvents.has(i.req)){console.warn("Got unsubscribe for unknown req");return}this._pendingEvents.get(i.req).dispose(),this._pendingEvents.delete(i.req)}_send(i){let r=[];if(i.type===0)for(let l=0;l<i.args.length;l++)i.args[l]instanceof ArrayBuffer&&r.push(i.args[l]);else i.type===1&&i.res instanceof ArrayBuffer&&r.push(i.res);this._handler.sendMessage(i,r)}}class M extends D.Disposable{constructor(i,r,l){super();let h=null;this._worker=this._register(i.create("vs/base/common/worker/simpleWorker",U=>{this._protocol.handleMessage(U)},U=>{h&&h(U)})),this._protocol=new w({sendMessage:(U,Q)=>{this._worker.postMessage(U,Q)},handleMessage:(U,Q)=>{if(typeof l[U]!="function")return Promise.reject(new Error("Missing method "+U+" on main thread host."));try{return Promise.resolve(l[U].apply(l,Q))}catch(se){return Promise.reject(se)}},handleEvent:(U,Q)=>{if(d(U)){const se=l[U].call(l,Q);if(typeof se!="function")throw new Error(`Missing dynamic event ${U} on main thread host.`);return se}if(a(U)){const se=l[U];if(typeof se!="function")throw new Error(`Missing event ${U} on main thread host.`);return se}throw new Error(`Malformed event name ${U}`)}}),this._protocol.setWorkerId(this._worker.getId());let b=null;typeof C.globals.require!="undefined"&&typeof C.globals.require.getConfig=="function"?b=C.globals.require.getConfig():typeof C.globals.requirejs!="undefined"&&(b=C.globals.requirejs.s.contexts._.config);const L=k.getAllMethodNames(l);this._onModuleLoaded=this._protocol.sendMessage(f,[this._worker.getId(),JSON.parse(JSON.stringify(b)),r,L]);const R=(U,Q)=>this._request(U,Q),T=(U,Q)=>this._protocol.listen(U,Q);this._lazyProxy=new Promise((U,Q)=>{h=Q,this._onModuleLoaded.then(se=>{U(c(se,R,T))},se=>{Q(se),this._onError("Worker failed to load "+r,se)})})}getProxyObject(){return this._lazyProxy}_request(i,r){return new Promise((l,h)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(i,r).then(l,h)},h)})}_onError(i,r){console.error(i),console.info(r)}}e.SimpleWorkerClient=M;function a(s){return s[0]==="o"&&s[1]==="n"&&P.isUpperAsciiLetter(s.charCodeAt(2))}function d(s){return/^onDynamic/.test(s)&&P.isUpperAsciiLetter(s.charCodeAt(9))}function c(s,i,r){const l=L=>function(){const R=Array.prototype.slice.call(arguments,0);return i(L,R)},h=L=>function(R){return r(L,R)};let b={};for(const L of s){if(d(L)){b[L]=h(L);continue}if(a(L)){b[L]=r(L,void 0);continue}b[L]=l(L)}return b}class o{constructor(i,r){this._requestHandlerFactory=r,this._requestHandler=null,this._protocol=new w({sendMessage:(l,h)=>{i(l,h)},handleMessage:(l,h)=>this._handleMessage(l,h),handleEvent:(l,h)=>this._handleEvent(l,h)})}onmessage(i){this._protocol.handleMessage(i)}_handleMessage(i,r){if(i===f)return this.initialize(r[0],r[1],r[2],r[3]);if(!this._requestHandler||typeof this._requestHandler[i]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+i));try{return Promise.resolve(this._requestHandler[i].apply(this._requestHandler,r))}catch(l){return Promise.reject(l)}}_handleEvent(i,r){if(!this._requestHandler)throw new Error("Missing requestHandler");if(d(i)){const l=this._requestHandler[i].call(this._requestHandler,r);if(typeof l!="function")throw new Error(`Missing dynamic event ${i} on request handler.`);return l}if(a(i)){const l=this._requestHandler[i];if(typeof l!="function")throw new Error(`Missing event ${i} on request handler.`);return l}throw new Error(`Malformed event name ${i}`)}initialize(i,r,l,h){this._protocol.setWorkerId(i);const R=c(h,(T,U)=>this._protocol.sendMessage(T,U),(T,U)=>this._protocol.listen(T,U));return this._requestHandlerFactory?(this._requestHandler=this._requestHandlerFactory(R),Promise.resolve(k.getAllMethodNames(this._requestHandler))):(r&&(typeof r.baseUrl!="undefined"&&delete r.baseUrl,typeof r.paths!="undefined"&&typeof r.paths.vs!="undefined"&&delete r.paths.vs,typeof r.trustedTypesPolicy!==void 0&&delete r.trustedTypesPolicy,r.catchError=!0,C.globals.require.config(r)),new Promise((T,U)=>{(C.globals.require||G)([l],se=>{if(this._requestHandler=se.create(R),!this._requestHandler){U(new Error("No RequestHandler!"));return}T(k.getAllMethodNames(this._requestHandler))},U)}))}}e.SimpleWorkerServer=o;function u(s){return new o(s,null)}e.create=u}),define(ee[116],te([0,1,60,28,42]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function C(k,P){if(await new Promise((E,I)=>{const p=n.createReadStream(k),S=y.createHash("sha1");p.pipe(S);const t=(0,D.once)((v,g)=>{p.removeAllListeners(),S.removeAllListeners(),v?I(v):E(g)});p.once("error",t),p.once("end",t),S.once("error",t),S.once("data",v=>t(void 0,v.toString("hex")))})!==P)throw new Error("Hash mismatch")}e.checksum=C}),define(ee[117],te([0,1,247]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class n{constructor(C="utf8"){this.stringDecoder=new y.StringDecoder(C),this.remaining=null}write(C){const k=[],P=this.remaining?this.remaining+this.stringDecoder.write(C):this.stringDecoder.write(C);if(P.length<1)return k;let f=0,m,E=f;for(;E<P.length;)if(m=P.charCodeAt(E),m===13||m===10){if(k.push(P.substring(f,E)),E++,E<P.length){const I=m;m=P.charCodeAt(E),(I===13&&m===10||I===10&&m===13)&&E++}f=E}else E++;return this.remaining=f<P.length?P.substr(f):null,k}end(){return this.remaining}}e.LineDecoder=n}),define(ee[118],te([0,1,26]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const n=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function D(k){const P=k.replace(/\-/g,":").toLowerCase();return!n.has(P)}function C(){const k=(0,y.networkInterfaces)();for(let P in k){const f=k[P];if(f){for(const{mac:m}of f)if(D(m))return m}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=C}),define(ee[72],te([0,1,26,15,35,32,118]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(E){return this._virtualMachineOUIs||(this._virtualMachineOUIs=D.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(E)}value(){if(this._value===void 0){let E=0,I=0;const p=(0,y.networkInterfaces)();for(let S in p){const t=p[S];if(t)for(const{mac:v,internal:g}of t)g||(I+=1,this._isVirtualMachineMacAddress(v.toUpperCase())&&(E+=1))}this._value=I>0?E/I:0}return this._value}};let P;async function f(){return P||(P=(async()=>await m()||C.generateUuid())()),P}e.getMachineId=f;async function m(){try{const E=await new Promise((p,S)=>{G(["crypto"],p,S)}),I=(0,k.getMac)();return E.createHash("sha256").update(I,"utf8").digest("hex")}catch(E){n.onUnexpectedError(E);return}}}),define(ee[24],te([0,1,28,26,119,8,27,71,9,3,16,7]),function(G,e,y,n,D,C,k,P,f,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var p;(function(q){q[q.UNLINK=0]="UNLINK",q[q.MOVE=1]="MOVE"})(p=e.RimRafMode||(e.RimRafMode={}));async function S(q,J=p.UNLINK){if((0,k.isRootOrDriveLetter)(q))throw new Error("rimraf - will refuse to recursively delete root");return J===p.UNLINK?v(q):t(q)}async function t(q){try{const J=(0,k.randomPath)((0,n.tmpdir)());try{await y.promises.rename(q,J)}catch{return v(q)}v(J).catch(V=>{})}catch(J){if(J.code!=="ENOENT")throw J}}async function v(q){return e.Promises.rmdir(q,{recursive:!0,maxRetries:3})}function g(q){if((0,k.isRootOrDriveLetter)(q))throw new Error("rimraf - will refuse to recursively delete root");y.rmdirSync(q,{recursive:!0})}e.rimrafSync=g;async function w(q,J){return d(await(J?M(q):(0,D.promisify)(y.readdir)(q)))}async function M(q){try{return await(0,D.promisify)(y.readdir)(q,{withFileTypes:!0})}catch(K){console.warn("[node.js fs] readdir with filetypes failed with error: ",K)}const J=[],V=await w(q);for(const K of V){let j=!1,B=!1,$=!1;try{const Y=await e.Promises.lstat((0,f.join)(q,K));j=Y.isFile(),B=Y.isDirectory(),$=Y.isSymbolicLink()}catch(Y){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Y)}J.push({name:K,isFile:()=>j,isDirectory:()=>B,isSymbolicLink:()=>$})}return J}function a(q){return d(y.readdirSync(q))}e.readdirSync=a;function d(q){return q.map(J=>typeof J=="string"?m.isMacintosh?(0,P.normalizeNFC)(J):J:(J.name=m.isMacintosh?(0,P.normalizeNFC)(J.name):J.name,J))}async function c(q){const J=await w(q),V=[];for(const K of J)await u.existsDirectory((0,f.join)(q,K))&&V.push(K);return V}function o(q,J=1e3){return new Promise(V=>{let K=!1;const j=setInterval(()=>{K||(K=!0,y.access(q,B=>{K=!1,B&&(clearInterval(j),V(void 0))}))},J)})}e.whenDeleted=o;var u;(function(q){async function J(j){let B;try{if(B=await e.Promises.lstat(j),!B.isSymbolicLink())return{stat:B}}catch{}try{return{stat:await e.Promises.stat(j),symbolicLink:B?.isSymbolicLink()?{dangling:!1}:void 0}}catch($){if($.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};if(m.isWindows&&$.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(j)),symbolicLink:{dangling:!1}}}catch(Y){if(Y.code==="ENOENT"&&B)return{stat:B,symbolicLink:{dangling:!0}};throw Y}throw $}}q.stat=J;async function V(j){try{const{stat:B,symbolicLink:$}=await q.stat(j);return B.isFile()&&$?.dangling!==!0}catch{}return!1}q.existsFile=V;async function K(j){try{const{stat:B,symbolicLink:$}=await q.stat(j);return B.isDirectory()&&$?.dangling!==!0}catch{}return!1}q.existsDirectory=K})(u=e.SymlinkSupport||(e.SymlinkSupport={}));const s=new C.ResourceQueue;function i(q,J,V){return s.queueFor(I.URI.file(q),E.extUriBiasedIgnorePathCase).queue(()=>{const K=b(V);return new Promise((j,B)=>l(q,J,K,$=>$?B($):j()))})}let r=!0;function l(q,J,V,K){if(!r)return y.writeFile(q,J,{mode:V.mode,flag:V.flag},K);y.open(q,V.flag,V.mode,(j,B)=>{if(j)return K(j);y.writeFile(B,J,$=>{if($)return y.close(B,()=>K($));y.fdatasync(B,Y=>(Y&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Y),r=!1),y.close(B,H=>K(H))))})})}function h(q,J,V){const K=b(V);if(!r)return y.writeFileSync(q,J,{mode:K.mode,flag:K.flag});const j=y.openSync(q,K.flag,K.mode);try{y.writeFileSync(j,J);try{y.fdatasyncSync(j)}catch(B){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",B),r=!1}}finally{y.closeSync(j)}}e.writeFileSync=h;function b(q){return q?{mode:typeof q.mode=="number"?q.mode:438,flag:typeof q.flag=="string"?q.flag:"w"}:{mode:438,flag:"w"}}async function L(q,J){if(q===J)return;async function V(K){try{const j=await e.Promises.lstat(K);if(j.isDirectory()||j.isSymbolicLink())return;await e.Promises.utimes(K,j.atime,new Date)}catch{}}try{await e.Promises.rename(q,J),await V(J)}catch(K){if(q.toLowerCase()!==J.toLowerCase()&&K.code==="EXDEV"||q.endsWith("."))await R(q,J,{preserveSymlinks:!1}),await S(q,p.MOVE),await V(J);else throw K}}async function R(q,J,V){return U(q,J,{root:{source:q,target:J},options:V,handledSourcePaths:new Set})}const T=511;async function U(q,J,V){if(V.handledSourcePaths.has(q))return;V.handledSourcePaths.add(q);const{stat:K,symbolicLink:j}=await u.stat(q);if(j){if(V.options.preserveSymlinks)try{return await ne(q,J,V)}catch(B){console.warn("[node.js fs] copy of symlink failed: ",B)}if(j.dangling)return}return K.isDirectory()?Q(q,J,K.mode&T,V):se(q,J,K.mode&T)}async function Q(q,J,V,K){await e.Promises.mkdir(J,{recursive:!0,mode:V});const j=await w(q);for(const B of j)await U((0,f.join)(q,B),(0,f.join)(J,B),K)}async function se(q,J,V){await e.Promises.copyFile(q,J),await e.Promises.chmod(J,V)}async function ne(q,J,V){let K=await e.Promises.readlink(q);(0,k.isEqualOrParent)(K,V.root.source,!m.isLinux)&&(K=(0,f.join)(V.root.target,K.substr(V.root.source.length+1))),await e.Promises.symlink(K,J)}e.Promises=new class{get access(){return(0,D.promisify)(y.access)}get stat(){return(0,D.promisify)(y.stat)}get lstat(){return(0,D.promisify)(y.lstat)}get utimes(){return(0,D.promisify)(y.utimes)}get read(){return(0,D.promisify)(y.read)}get readFile(){return(0,D.promisify)(y.readFile)}get write(){return(0,D.promisify)(y.write)}get appendFile(){return(0,D.promisify)(y.appendFile)}get fdatasync(){return(0,D.promisify)(y.fdatasync)}get truncate(){return(0,D.promisify)(y.truncate)}get rename(){return(0,D.promisify)(y.rename)}get copyFile(){return(0,D.promisify)(y.copyFile)}get open(){return(0,D.promisify)(y.open)}get close(){return(0,D.promisify)(y.close)}get symlink(){return(0,D.promisify)(y.symlink)}get readlink(){return(0,D.promisify)(y.readlink)}get chmod(){return(0,D.promisify)(y.chmod)}get mkdir(){return(0,D.promisify)(y.mkdir)}get unlink(){return(0,D.promisify)(y.unlink)}get rmdir(){return(0,D.promisify)(y.rmdir)}get realpath(){return(0,D.promisify)(y.realpath)}async exists(q){try{return await e.Promises.access(q),!0}catch{return!1}}get readdir(){return w}get readDirsInDir(){return c}get writeFile(){return i}get rm(){return S}get move(){return L}get copy(){return R}}}),define(ee[83],te([0,1,28,9,3,25,24]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function P(p){if(D.isLinux)return p;const S=(0,n.dirname)(p);if(p===S)return p;const t=((0,n.basename)(p)||p).toLowerCase();try{const g=(0,k.readdirSync)(S).filter(w=>w.toLowerCase()===t);if(g.length===1){const w=P(S);if(w)return(0,n.join)(w,g[0])}else if(g.length>1){const w=g.indexOf(t);if(w>=0){const M=P(S);if(M)return(0,n.join)(M,g[w])}}}catch{}return null}e.realcaseSync=P;async function f(p){if(D.isLinux)return p;const S=(0,n.dirname)(p);if(p===S)return p;const t=((0,n.basename)(p)||p).toLowerCase();try{const g=(await k.Promises.readdir(S)).filter(w=>w.toLowerCase()===t);if(g.length===1){const w=await f(S);if(w)return(0,n.join)(w,g[0])}else if(g.length>1){const w=g.indexOf(t);if(w>=0){const M=await f(S);if(M)return(0,n.join)(M,g[w])}}}catch{}return null}e.realcase=f;async function m(p){try{return await k.Promises.realpath(p)}catch{const t=I(p);return await k.Promises.access(t,y.constants.R_OK),t}}e.realpath=m;function E(p){try{return y.realpathSync(p)}catch{const t=I(p);return y.accessSync(t,y.constants.R_OK),t}}e.realpathSync=E;function I(p){return(0,C.rtrim)((0,n.normalize)(p),n.sep)}}),define(ee[120],te([0,1,61]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function n(P,f,m,E=1){let I=!1;return new Promise(p=>{const S=setTimeout(()=>{if(!I)return I=!0,p(0)},m);D(P,f,E,t=>{if(!I)return I=!0,clearTimeout(S),p(t)})})}e.findFreePort=n;function D(P,f,m,E){if(f===0)return E(0);const I=new y.Socket;I.once("connect",()=>(k(I),D(P+m,f-1,m,E))),I.once("data",()=>{}),I.once("error",p=>(k(I),p.code!=="ECONNREFUSED"?D(P+m,f-1,m,E):E(P))),I.connect(P,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function C(P,f,m){let E=!1,I,p=1;const S=y.createServer({pauseOnConnect:!0});function t(v,g){E||(E=!0,S.removeAllListeners(),S.close(),I&&clearTimeout(I),g(v))}return new Promise(v=>{I=setTimeout(()=>{t(0,v)},m),S.on("listening",()=>{t(P,v)}),S.on("error",g=>{g&&(g.code==="EADDRINUSE"||g.code==="EACCES")&&p<f?(P++,p++,S.listen(P,"127.0.0.1")):t(0,v)}),S.on("close",()=>{t(0,v)}),S.listen(P,"127.0.0.1")})}e.findFreePortFaster=C;function k(P){try{P.removeAllListeners("connect"),P.removeAllListeners("error"),P.end(),P.destroy(),P.unref()}catch(f){console.error(f)}}}),define(ee[121],te([0,1,26,9,24]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,k=/^Microsoft.PowerShell_.*/,P=/^Microsoft.PowerShellPreview_.*/;var f;(function(d){d[d.x64=0]="x64",d[d.x86=1]="x86",d[d.ARM=2]="ARM"})(f||(f={}));let m;switch(process.arch){case"ia32":case"x32":m=1;break;case"arm":case"arm64":m=2;break;default:m=0;break}let E;process.env.PROCESSOR_ARCHITEW6432?E=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?E=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?E=1:E=0;class I{constructor(c,o,u){this.exePath=c,this.displayName=o,this.knownToExist=u}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await D.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function p({useAlternateBitness:d=!1}={}){return d?m===0?process.env["ProgramFiles(x86)"]||null:E===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function S({useAlternateBitness:d=!1,findPreview:c=!1}={}){const o=p({useAlternateBitness:d});if(!o)return null;const u=n.join(o,"PowerShell");if(!await D.SymlinkSupport.existsDirectory(u))return null;let s=-1,i=null;for(const h of await D.Promises.readdir(u)){let b=-1;if(c){const R=h.indexOf("-");if(R<0)continue;const T=h.substring(0,R);if(!C.test(T)||h.substring(R+1)!=="preview")continue;b=parseInt(T,10)}else{if(!C.test(h))continue;b=parseInt(h,10)}if(b<=s)continue;const L=n.join(u,h,"pwsh.exe");!await D.SymlinkSupport.existsFile(L)||(i=L,s=b)}if(!i)return null;const r=o.includes("x86")?" (x86)":"",l=c?" Preview":"";return new I(i,`PowerShell${l}${r}`,!0)}async function t({findPreview:d}={}){if(!process.env.LOCALAPPDATA)return null;const c=n.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await D.SymlinkSupport.existsDirectory(c))return null;const{pwshMsixDirRegex:o,pwshMsixName:u}=d?{pwshMsixDirRegex:P,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:k,pwshMsixName:"PowerShell (Store)"};for(const s of await D.Promises.readdir(c))if(o.test(s)){const i=n.join(c,s,"pwsh.exe");return new I(i,u)}return null}function v(){const d=n.join(y.homedir(),".dotnet","tools","pwsh.exe");return new I(d,".NET Core PowerShell Global Tool")}function g(){const d=n.join(process.env.windir,m===1&&E!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new I(d,"Windows PowerShell",!0)}async function*w(){let d=await S();d&&(yield d),d=await S({useAlternateBitness:!0}),d&&(yield d),d=await t(),d&&(yield d),d=v(),d&&(yield d),d=await S({findPreview:!0}),d&&(yield d),d=await t({findPreview:!0}),d&&(yield d),d=await S({useAlternateBitness:!0,findPreview:!0}),d&&(yield d),d=g(),d&&(yield d)}async function*M(){for await(const d of w())await d.exists()&&(yield d)}e.enumeratePowerShellInstallations=M;async function a(){for await(const d of M())return d;return null}e.getFirstAvailablePowerShellInstallation=a}),define(ee[84],te([0,1,44,10]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function D(k){return new Promise((P,f)=>{let m;const E=new Map;function I(S,t,v,g,w){const M=E.get(t);if(S===k||M){const a={name:p(v),cmd:v,pid:S,ppid:t,load:g,mem:w};E.set(S,a),S===k&&(m=a),M&&(M.children||(M.children=[]),M.children.push(a),M.children.length>1&&(M.children=M.children.sort((d,c)=>d.pid-c.pid)))}}function p(S){const t=/--vscode-window-kind=shared-process/,v=/--vscode-window-kind=issue-reporter/,g=/--vscode-window-kind=process-explorer/,w=/--utility-sub-type=network/,M=/--crashes-directory/,a=/\\pipe\\winpty-control/,d=/conhost\.exe/,c=/--type=([a-zA-Z-]+)/;if(M.exec(S))return"electron-crash-reporter";if(a.exec(S))return"winpty-process";if(d.exec(S))return"console-window-host (Windows internal process)";let o=c.exec(S);if(o&&o.length===2)return o[1]==="renderer"?t.exec(S)?"shared-process":v.exec(S)?"issue-reporter":g.exec(S)?"process-explorer":"window":o[1]==="utility"&&w.exec(S)?"utility-network-service":o[1];const u=/[a-zA-Z-]+\.js/g;let s="";do o=u.exec(S),o&&(s+=o+" ");while(o);return s&&S.indexOf("node ")<0&&S.indexOf("node.exe")<0?`electron_node ${s}`:S}if(process.platform==="win32"){const S=t=>t.indexOf("\\\\?\\")===0||t.indexOf("\\??\\")===0?t.substr(4):t.indexOf('"\\\\?\\')===0||t.indexOf('"\\??\\')===0?'"'+t.substr(5):t;new Promise((t,v)=>{G(["windows-process-tree"],t,v)}).then(t=>{t.getProcessList(k,v=>{t.getProcessCpuUsage(v,g=>{const w=new Map;g.forEach(M=>{const a=S(M.commandLine||"");w.set(M.pid,{name:p(a),cmd:a,pid:M.pid,ppid:M.ppid,load:M.cpu||0,mem:M.memory||0})}),m=w.get(k),m?(w.forEach(M=>{const a=w.get(M.ppid);a&&(a.children||(a.children=[]),a.children.push(M))}),w.forEach(M=>{M.children&&(M.children=M.children.sort((a,d)=>a.pid-d.pid))}),P(m)):f(new Error(`Root process ${k} not found`))})},t.ProcessDataFlag.CommandLine|t.ProcessDataFlag.Memory)})}else{let S=function(){let t=[m];const v=[];for(;t.length;){const w=t.shift();w&&(v.push(w.pid),w.children&&(t=t.concat(w.children)))}let g=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",G).fsPath);g+=" "+v.join(" "),(0,y.exec)(g,{},(w,M,a)=>{if(w||a)f(w||new Error(a.toString()));else{const d=M.toString().split(`
`);for(let c=0;c<v.length;c++){const o=E.get(v[c]);o.load=parseFloat(d[c])}if(!m){f(new Error(`Root process ${k} not found`));return}P(m)}})};(0,y.exec)("which ps",{},(t,v,g)=>{if(t||g)if(process.platform!=="linux")f(t||new Error(g.toString()));else{const w=JSON.stringify(n.FileAccess.asFileUri("vs/base/node/ps.sh",G).fsPath);(0,y.exec)(w,{},(M,a,d)=>{M||d?f(M||new Error(d.toString())):(C(a,I),S())})}else{const w=v.toString().trim(),M="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,y.exec)(`${w} ${M}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(a,d,c)=>{a||c&&!c.includes("screen size is bogus")?f(a||new Error(c.toString())):(C(d,I),process.platform==="linux"?S():m?P(m):f(new Error(`Root process ${k} not found`)))})}})}})}e.listProcesses=D;function C(k,P){const f=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,m=k.toString().split(`
`);for(const E of m){const I=f.exec(E.trim());I&&I.length===6&&P(parseInt(I[1]),parseInt(I[2]),I[5],parseFloat(I[3]),parseFloat(I[4]))}}}),define(ee[122],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(ee[123],te([0,1,14,13,122]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function C(){y.ipcMain.on(D.CONTEXT_MENU_CHANNEL,(P,f,m,E,I)=>{const p=k(P,E,m);p.popup({window:(0,n.withNullAsUndefined)(y.BrowserWindow.fromWebContents(P.sender)),x:I?I.x:void 0,y:I?I.y:void 0,positioningItem:I?I.positioningItem:void 0,callback:()=>{p&&P.sender.send(D.CONTEXT_MENU_CLOSE_CHANNEL,f)}})})}e.registerContextMenuListener=C;function k(P,f,m){const E=new y.Menu;return m.forEach(I=>{let p;I.type==="separator"?p=new y.MenuItem({type:I.type}):Array.isArray(I.submenu)?p=new y.MenuItem({submenu:k(P,f,I.submenu),label:I.label}):p=new y.MenuItem({label:I.label,type:I.type,accelerator:I.accelerator,checked:I.checked,enabled:I.enabled,visible:I.visible,click:(S,t,v)=>P.sender.send(f,I.id,v)}),E.append(p)}),E}});var de=this&&this.__decorate||function(G,e,y,n){var D=arguments.length,C=D<3?e:n===null?n=Object.getOwnPropertyDescriptor(e,y):n,k;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(G,e,y,n);else for(var P=G.length-1;P>=0;P--)(k=G[P])&&(C=(D<3?k(C):D>3?k(e,y,C):k(e,y))||C);return D>3&&C&&Object.defineProperty(e,y,C),C};define(ee[37],te([0,1,31,8,17,21,46,15,4,2,112,25,13]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var S;(function(B){B[B.Promise=100]="Promise",B[B.PromiseCancel=101]="PromiseCancel",B[B.EventListen=102]="EventListen",B[B.EventDispose=103]="EventDispose"})(S=e.RequestType||(e.RequestType={}));function t(B){switch(B){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var v;(function(B){B[B.Initialize=200]="Initialize",B[B.PromiseSuccess=201]="PromiseSuccess",B[B.PromiseError=202]="PromiseError",B[B.PromiseErrorObj=203]="PromiseErrorObj",B[B.EventFire=204]="EventFire"})(v=e.ResponseType||(e.ResponseType={}));function g(B){switch(B){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var w;(function(B){B[B.Uninitialized=0]="Uninitialized",B[B.Idle=1]="Idle"})(w||(w={}));class M{constructor($){this.buffer=$,this.pos=0}read($){const Y=this.buffer.slice(this.pos,this.pos+$);return this.pos+=Y.byteLength,Y}}class a{constructor(){this.buffers=[]}get buffer(){return D.VSBuffer.concat(this.buffers)}write($){this.buffers.push($)}}var d;(function(B){B[B.Undefined=0]="Undefined",B[B.String=1]="String",B[B.Buffer=2]="Buffer",B[B.VSBuffer=3]="VSBuffer",B[B.Array=4]="Array",B[B.Object=5]="Object"})(d||(d={}));function c(B){const $=D.VSBuffer.alloc(4);return $.writeUInt32BE(B,0),$}function o(B){return B.read(4).readUInt32BE(0)}function u(B){const $=D.VSBuffer.alloc(1);return $.writeUInt8(B,0),$}const s={Undefined:u(d.Undefined),String:u(d.String),Buffer:u(d.Buffer),VSBuffer:u(d.VSBuffer),Array:u(d.Array),Object:u(d.Object)},i=typeof Buffer!="undefined";function r(B,$){if(typeof $=="undefined")B.write(s.Undefined);else if(typeof $=="string"){const Y=D.VSBuffer.fromString($);B.write(s.String),B.write(c(Y.byteLength)),B.write(Y)}else if(i&&Buffer.isBuffer($)){const Y=D.VSBuffer.wrap($);B.write(s.Buffer),B.write(c(Y.byteLength)),B.write(Y)}else if($ instanceof D.VSBuffer)B.write(s.VSBuffer),B.write(c($.byteLength)),B.write($);else if(Array.isArray($)){B.write(s.Array),B.write(c($.length));for(const Y of $)r(B,Y)}else{const Y=D.VSBuffer.fromString(JSON.stringify($));B.write(s.Object),B.write(c(Y.byteLength)),B.write(Y)}}function l(B){switch(B.read(1).readUInt8(0)){case d.Undefined:return;case d.String:return B.read(o(B)).toString();case d.Buffer:return B.read(o(B)).buffer;case d.VSBuffer:return B.read(o(B));case d.Array:{const Y=o(B),H=[];for(let F=0;F<Y;F++)H.push(l(B));return H}case d.Object:return JSON.parse(B.read(o(B)).toString())}}class h{constructor($,Y,H=null,F=1e3){this.protocol=$,this.ctx=Y,this.logger=H,this.timeoutDelay=F,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(W=>this.onRawMessage(W)),this.sendResponse({type:200})}registerChannel($,Y){this.channels.set($,Y),setTimeout(()=>this.flushPendingRequests($),0)}sendResponse($){switch($.type){case 200:{const Y=this.send([$.type]);this.logger&&this.logger.logOutgoing(Y,0,1,g($.type));return}case 201:case 202:case 204:case 203:{const Y=this.send([$.type,$.id],$.data);this.logger&&this.logger.logOutgoing(Y,$.id,1,g($.type),$.data);return}}}send($,Y=void 0){const H=new a;return r(H,$),r(H,Y),this.sendBuffer(H.buffer)}sendBuffer($){try{return this.protocol.send($),$.byteLength}catch{return 0}}onRawMessage($){const Y=new M($),H=l(Y),F=l(Y),W=H[0];switch(W){case 100:return this.logger&&this.logger.logIncoming($.byteLength,H[1],1,`${t(W)}: ${H[2]}.${H[3]}`,F),this.onPromise({type:W,id:H[1],channelName:H[2],name:H[3],arg:F});case 102:return this.logger&&this.logger.logIncoming($.byteLength,H[1],1,`${t(W)}: ${H[2]}.${H[3]}`,F),this.onEventListen({type:W,id:H[1],channelName:H[2],name:H[3],arg:F});case 101:return this.logger&&this.logger.logIncoming($.byteLength,H[1],1,`${t(W)}`),this.disposeActiveRequest({type:W,id:H[1]});case 103:return this.logger&&this.logger.logIncoming($.byteLength,H[1],1,`${t(W)}`),this.disposeActiveRequest({type:W,id:H[1]})}}onPromise($){const Y=this.channels.get($.channelName);if(!Y){this.collectPendingRequest($);return}const H=new C.CancellationTokenSource;let F;try{F=Y.call(this.ctx,$.name,$.arg,H.token)}catch(_){F=Promise.reject(_)}const W=$.id;F.then(_=>{this.sendResponse({id:W,data:_,type:201}),this.activeRequests.delete($.id)},_=>{_ instanceof Error?this.sendResponse({id:W,data:{message:_.message,name:_.name,stack:_.stack?_.stack.split?_.stack.split(`
`):_.stack:void 0},type:202}):this.sendResponse({id:W,data:_,type:203}),this.activeRequests.delete($.id)});const A=(0,m.toDisposable)(()=>H.cancel());this.activeRequests.set($.id,A)}onEventListen($){const Y=this.channels.get($.channelName);if(!Y){this.collectPendingRequest($);return}const H=$.id,W=Y.listen(this.ctx,$.name,$.arg)(A=>this.sendResponse({id:H,data:A,type:204}));this.activeRequests.set($.id,W)}disposeActiveRequest($){const Y=this.activeRequests.get($.id);Y&&(Y.dispose(),this.activeRequests.delete($.id))}collectPendingRequest($){let Y=this.pendingRequests.get($.channelName);Y||(Y=[],this.pendingRequests.set($.channelName,Y));const H=setTimeout(()=>{console.error(`Unknown channel: ${$.channelName}`),$.type===100&&this.sendResponse({id:$.id,data:{name:"Unknown channel",message:`Channel name '${$.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);Y.push({request:$,timeoutTimer:H})}flushPendingRequests($){const Y=this.pendingRequests.get($);if(Y){for(const H of Y)switch(clearTimeout(H.timeoutTimer),H.request.type){case 100:this.onPromise(H.request);break;case 102:this.onEventListen(H.request);break}this.pendingRequests.delete($)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach($=>$.dispose()),this.activeRequests.clear()}}e.ChannelServer=h;var b;(function(B){B[B.LocalSide=0]="LocalSide",B[B.OtherSide=1]="OtherSide"})(b=e.RequestInitiator||(e.RequestInitiator={}));class L{constructor($,Y=null){this.protocol=$,this.isDisposed=!1,this.state=w.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new f.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(H=>this.onBuffer(H)),this.logger=Y}getChannel($){const Y=this;return{call(H,F,W){return Y.isDisposed?Promise.reject(P.canceled()):Y.requestPromise($,H,F,W)},listen(H,F){return Y.isDisposed?Promise.reject(P.canceled()):Y.requestEvent($,H,F)}}}requestPromise($,Y,H,F=C.CancellationToken.None){const W=this.lastRequestId++,_={id:W,type:100,channelName:$,name:Y,arg:H};if(F.isCancellationRequested)return Promise.reject(P.canceled());let N;return new Promise((z,x)=>{if(F.isCancellationRequested)return x(P.canceled());const ie=()=>{const le=he=>{switch(he.type){case 201:this.handlers.delete(W),z(he.data);break;case 202:{this.handlers.delete(W);const ge=new Error(he.data.message);ge.stack=he.data.stack,ge.name=he.data.name,x(ge);break}case 203:this.handlers.delete(W),x(he.data);break}};this.handlers.set(W,le),this.sendRequest(_)};let oe=null;this.state===w.Idle?ie():(oe=(0,n.createCancelablePromise)(le=>this.whenInitialized()),oe.then(()=>{oe=null,ie()}));const Z=()=>{oe?(oe.cancel(),oe=null):this.sendRequest({id:W,type:101}),x(P.canceled())},ce=F.onCancellationRequested(Z);N=(0,m.combinedDisposable)((0,m.toDisposable)(Z),ce),this.activeRequests.add(N)}).finally(()=>{this.activeRequests.delete(N)})}requestEvent($,Y,H){const F=this.lastRequestId++,A={id:F,type:102,channelName:$,name:Y,arg:H};let _=null;const N=new f.Emitter({onFirstListenerAdd:()=>{_=(0,n.createCancelablePromise)(z=>this.whenInitialized()),_.then(()=>{_=null,this.activeRequests.add(N),this.sendRequest(A)})},onLastListenerRemove:()=>{_?(_.cancel(),_=null):(this.activeRequests.delete(N),this.sendRequest({id:F,type:103}))}}),O=z=>N.fire(z.data);return this.handlers.set(F,O),N.event}sendRequest($){switch($.type){case 100:case 102:{const Y=this.send([$.type,$.id,$.channelName,$.name],$.arg);this.logger&&this.logger.logOutgoing(Y,$.id,0,`${t($.type)}: ${$.channelName}.${$.name}`,$.arg);return}case 101:case 103:{const Y=this.send([$.type,$.id]);this.logger&&this.logger.logOutgoing(Y,$.id,0,t($.type));return}}}send($,Y=void 0){const H=new a;return r(H,$),r(H,Y),this.sendBuffer(H.buffer)}sendBuffer($){try{return this.protocol.send($),$.byteLength}catch{return 0}}onBuffer($){const Y=new M($),H=l(Y),F=l(Y),W=H[0];switch(W){case 200:return this.logger&&this.logger.logIncoming($.byteLength,0,0,g(W)),this.onResponse({type:H[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming($.byteLength,H[1],0,g(W),F),this.onResponse({type:H[0],id:H[1],data:F})}}onResponse($){if($.type===200){this.state=w.Idle,this._onDidInitialize.fire();return}const Y=this.handlers.get($.id);Y&&Y($)}get onDidInitializePromise(){return f.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===w.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach($=>$.dispose()),this.activeRequests.clear()}}de([k.memoize],L.prototype,"onDidInitializePromise",null),e.ChannelClient=L;class R{constructor($){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new f.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new f.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,$(({protocol:Y,onDidClientDisconnect:H})=>{f.Event.once(Y.onMessage)(W=>{const A=new M(W),_=l(A),N=new h(Y,_),O=new L(Y);this.channels.forEach((x,ie)=>N.registerChannel(ie,x));const z={channelServer:N,channelClient:O,ctx:_};this._connections.add(z),this._onDidAddConnection.fire(z),H(()=>{N.dispose(),O.dispose(),this._connections.delete(z),this._onDidRemoveConnection.fire(z)})})})}get connections(){const $=[];return this._connections.forEach(Y=>$.push(Y)),$}getChannel($,Y){const H=this;return{call(F,W,A){let _;if((0,p.isFunction)(Y)){let O=(0,y.getRandomElement)(H.connections.filter(Y));_=O?Promise.resolve(O):f.Event.toPromise(f.Event.filter(H.onDidAddConnection,Y))}else _=Y.routeCall(H,F,W);const N=_.then(O=>O.channelClient.getChannel($));return U(N).call(F,W,A)},listen(F,W){if((0,p.isFunction)(Y))return H.getMulticastEvent($,Y,F,W);const A=Y.routeEvent(H,F,W).then(_=>_.channelClient.getChannel($));return U(A).listen(F,W)}}}getMulticastEvent($,Y,H,F){const W=this;let A=new m.DisposableStore;const _=new f.Emitter({onFirstListenerAdd:()=>{A=new m.DisposableStore;const N=new f.EventMultiplexer,O=new Map,z=ie=>{const Z=ie.channelClient.getChannel($).listen(H,F),ce=N.add(Z);O.set(ie,ce)},x=ie=>{const oe=O.get(ie);!oe||(oe.dispose(),O.delete(ie))};W.connections.filter(Y).forEach(z),f.Event.filter(W.onDidAddConnection,Y)(z,void 0,A),W.onDidRemoveConnection(x,void 0,A),N.event(_.fire,_,A),A.add(N)},onLastListenerRemove:()=>{A.dispose()}});return _.event}registerChannel($,Y){this.channels.set($,Y),this._connections.forEach(H=>{H.channelServer.registerChannel($,Y)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=R;class T{constructor($,Y,H=null){const F=new a;r(F,Y),$.send(F.buffer),this.channelClient=new L($,H),this.channelServer=new h($,Y,H)}getChannel($){return this.channelClient.getChannel($)}registerChannel($,Y){this.channelServer.registerChannel($,Y)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function U(B){return{call($,Y,H){return B.then(F=>F.call($,Y,H))},listen($,Y){const H=new f.Relay;return B.then(F=>H.input=F.listen($,Y)),H.event}}}e.getDelayedChannel=U;function Q(B){let $=!1;return{call(Y,H,F){return $?B.call(Y,H,F):(0,n.timeout)(0).then(()=>$=!0).then(()=>B.call(Y,H,F))},listen(Y,H){if($)return B.listen(Y,H);const F=new f.Relay;return(0,n.timeout)(0).then(()=>$=!0).then(()=>F.input=B.listen(Y,H)),F.event}}}e.getNextTickChannel=Q;class se{constructor($){this.fn=$}routeCall($){return this.route($)}routeEvent($){return this.route($)}async route($){for(const Y of $.connections)if(await Promise.resolve(this.fn(Y.ctx)))return Promise.resolve(Y);return await f.Event.toPromise($.onDidAddConnection),await this.route($)}}e.StaticRouter=se;var ne;(function(B){function $(W,A){const _=W,N=A&&A.disableMarshalling,O=new Map;for(const z in _)H(z)&&O.set(z,f.Event.buffer(_[z],!0));return new class{listen(z,x,ie){const oe=O.get(x);if(oe)return oe;if(F(x)){const Z=_[x];if(typeof Z=="function")return Z.call(_,ie)}throw new Error(`Event not found: ${x}`)}call(z,x,ie){const oe=_[x];if(typeof oe=="function"){if(!N&&Array.isArray(ie))for(let Z=0;Z<ie.length;Z++)ie[Z]=(0,E.revive)(ie[Z]);return oe.apply(_,ie)}throw new Error(`Method not found: ${x}`)}}}B.fromService=$;function Y(W,A){const _=A&&A.disableMarshalling;return new Proxy({},{get(N,O){if(typeof O=="string")return A?.properties?.has(O)?A.properties.get(O):F(O)?function(z){return W.listen(O,z)}:H(O)?W.listen(O):async function(...z){let x;A&&!(0,p.isUndefinedOrNull)(A.context)?x=[A.context,...z]:x=z;const ie=await W.call(O,x);return _?ie:(0,E.revive)(ie)};throw new Error(`Property not found: ${String(O)}`)}})}B.toService=Y;function H(W){return W[0]==="o"&&W[1]==="n"&&I.isUpperAsciiLetter(W.charCodeAt(2))}function F(W){return/^onDynamic/.test(W)&&I.isUpperAsciiLetter(W.charCodeAt(9))}})(ne=e.ProxyChannel||(e.ProxyChannel={}));const q=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function J(B){if(Array.isArray(B))return B;if(B&&typeof B=="object"&&typeof B.toString=="function"){let $=B.toString();if($!=="[object Object]")return $}return B}function V(B){return Array.isArray(B)?B.map(J):J(B)}function K(B,$,Y,H,F,W,A){A=V(A);const _=q[F],N=_[H%_.length];let O=[`%c[${B}]%c[${String($).padStart(7," ")}]%c[len: ${String(Y).padStart(5," ")}]%c${String(H).padStart(5," ")} - ${W}`,"color: darkgreen","color: grey","color: grey",`color: ${N}`];/\($/.test(W)?(O=O.concat(A),O.push(")")):O.push(A),console.log.apply(console,O)}e.logWithColors=K;class j{constructor($,Y){this._outgoingPrefix=$,this._incomingPrefix=Y,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing($,Y,H,F,W){this._totalOutgoing+=$,K(this._outgoingPrefix,this._totalOutgoing,$,Y,H,F,W)}logIncoming($,Y,H,F,W){this._totalIncoming+=$,K(this._incomingPrefix,this._totalIncoming,$,Y,H,F,W)}}e.IPCLogger=j}),define(ee[124],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class y{constructor(D,C){this.sender=D,this.onMessage=C}send(D){try{this.sender.send("vscode:message",D.buffer)}catch{}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=y}),define(ee[125],te([0,1,17,4,37]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class C{constructor(f){this.port=f,this.onMessage=n.Event.fromDOMEventEmitter(this.port,"message",m=>y.VSBuffer.wrap(m.data)),f.start()}send(f){this.port.postMessage(f.buffer)}disconnect(){this.port.close()}}e.Protocol=C;class k extends D.IPCClient{constructor(f,m){const E=new C(f);super(E,m);this.protocol=E}dispose(){this.protocol.disconnect()}}e.Client=k}),define(ee[85],te([0,1,17,4,2,37]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var k;(function(i){i.Created="created",i.Read="read",i.Write="write",i.Open="open",i.Error="error",i.Close="close",i.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",i.NodeEndReceived="nodeEndReceived",i.NodeEndSent="nodeEndSent",i.NodeDrainBegin="nodeDrainBegin",i.NodeDrainEnd="nodeDrainEnd",i.zlibInflateError="zlibInflateError",i.zlibInflateData="zlibInflateData",i.zlibInflateInitialWrite="zlibInflateInitialWrite",i.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",i.zlibInflateWrite="zlibInflateWrite",i.zlibInflateFlushFired="zlibInflateFlushFired",i.zlibDeflateError="zlibDeflateError",i.zlibDeflateData="zlibDeflateData",i.zlibDeflateWrite="zlibDeflateWrite",i.zlibDeflateFlushFired="zlibDeflateFlushFired",i.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",i.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",i.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",i.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",i.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",i.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",i.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",i.ProtocolHeaderRead="protocolHeaderRead",i.ProtocolMessageRead="protocolMessageRead",i.ProtocolHeaderWrite="protocolHeaderWrite",i.ProtocolMessageWrite="protocolMessageWrite",i.ProtocolWrite="protocolWrite"})(k=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var P;(function(i){i.enableDiagnostics=!1,i.records=[];const r=new WeakMap;let l=0;function h(L,R){if(!r.has(L)){const T=String(++l);r.set(L,T)}return r.get(L)}function b(L,R,T,U){if(!i.enableDiagnostics)return;const Q=h(L,R);if(U instanceof y.VSBuffer||U instanceof Uint8Array||U instanceof ArrayBuffer||ArrayBuffer.isView(U)){const se=y.VSBuffer.alloc(U.byteLength);se.set(U),i.records.push({timestamp:Date.now(),id:Q,label:R,type:T,buff:se})}else i.records.push({timestamp:Date.now(),id:Q,label:R,type:T,data:U})}i.traceSocketEvent=b})(P=e.SocketDiagnostics||(e.SocketDiagnostics={}));var f;(function(i){i[i.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",i[i.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(f=e.SocketCloseEventType||(e.SocketCloseEventType={}));let m=null;function E(){return m||(m=y.VSBuffer.alloc(0)),m}class I{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(r){this._chunks.push(r),this._totalLength+=r.byteLength}read(r){return this._read(r,!0)}peek(r){return this._read(r,!1)}_read(r,l){if(r===0)return E();if(r>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===r){const R=this._chunks[0];return l&&(this._chunks.shift(),this._totalLength-=r),R}if(this._chunks[0].byteLength>r){const R=this._chunks[0].slice(0,r);return l&&(this._chunks[0]=this._chunks[0].slice(r),this._totalLength-=r),R}let h=y.VSBuffer.alloc(r),b=0,L=0;for(;r>0;){const R=this._chunks[L];if(R.byteLength>r){const T=R.slice(0,r);h.set(T,b),b+=r,l&&(this._chunks[L]=R.slice(r),this._totalLength-=r),r-=r}else h.set(R,b),b+=R.byteLength,l?(this._chunks.shift(),this._totalLength-=R.byteLength):L++,r-=R.byteLength}return h}}e.ChunkStream=I;var p;(function(i){i[i.None=0]="None",i[i.Regular=1]="Regular",i[i.Control=2]="Control",i[i.Ack=3]="Ack",i[i.Disconnect=5]="Disconnect",i[i.ReplayRequest=6]="ReplayRequest",i[i.Pause=7]="Pause",i[i.Resume=8]="Resume"})(p||(p={}));function S(i){switch(i){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var t;(function(i){i[i.HeaderLength=13]="HeaderLength",i[i.AcknowledgeTime=2e3]="AcknowledgeTime",i[i.TimeoutTime=2e4]="TimeoutTime",i[i.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",i[i.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(t=e.ProtocolConstants||(e.ProtocolConstants={}));class v{constructor(r,l,h,b){this.type=r,this.id=l,this.ack=h,this.data=b,this.writtenTime=0}get size(){return this.data.byteLength}}class g extends D.Disposable{constructor(r){super();this._onMessage=this._register(new n.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=r,this._isDisposed=!1,this._incomingData=new I,this._register(this._socket.onData(l=>this.acceptChunk(l))),this.lastReadTime=Date.now()}acceptChunk(r){if(!(!r||r.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(r);this._incomingData.byteLength>=this._state.readLen;){const l=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=l.readUInt32BE(9),this._state.messageType=l.readUInt8(0),this._state.id=l.readUInt32BE(1),this._state.ack=l.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:S(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const h=this._state.messageType,b=this._state.id,L=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",l),this._onMessage.fire(new v(h,b,L,l)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class w{constructor(r){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=r,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(r){if(this._isDisposed)return;r.writtenTime=Date.now(),this.lastWriteTime=Date.now();const l=y.VSBuffer.alloc(13);l.writeUInt8(r.type,0),l.writeUInt32BE(r.id,1),l.writeUInt32BE(r.ack,5),l.writeUInt32BE(r.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:S(r.type),id:r.id,ack:r.ack,messageSize:r.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",r.data),this._writeSoon(l,r.data)}_bufferAdd(r,l){const h=this._totalLength===0;return this._data.push(r,l),this._totalLength+=r.byteLength+l.byteLength,h}_bufferTake(){const r=y.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,r}_writeSoon(r,l){this._bufferAdd(r,l)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const r=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:r.byteLength}),this._socket.write(r)}}class M extends D.Disposable{constructor(r){super();this._onMessage=new n.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new n.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=r,this._socketWriter=this._register(new w(this._socket)),this._socketReader=this._register(new g(this._socket)),this._register(this._socketReader.onMessage(l=>{l.type===1&&this._onMessage.fire(l.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(r){this._socketWriter.write(new v(1,0,0,r))}}e.Protocol=M;class a extends C.IPCClient{constructor(r,l,h=null){super(r,l,h);this.protocol=r}static fromSocket(r,l){return new a(new M(r),l)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const r=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),r.end()}}e.Client=a;class d{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new n.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(r){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(r):this._emitter.fire(r):this._bufferedMessages.push(r)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=d;class c{constructor(r){this.data=r,this.next=null}}class o{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let r=[],l=0,h=this._first;for(;h;)r[l++]=h.data,h=h.next;return r}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(r){const l=new c(r);if(!this._first){this._first=l,this._last=l;return}this._last.next=l,this._last=l}}class u{constructor(){this.lastRuns=[];const r=Date.now();for(let l=0;l<u._HISTORY_LENGTH;l++)this.lastRuns[l]=r-1e3*l;setInterval(()=>{for(let l=u._HISTORY_LENGTH;l>=1;l--)this.lastRuns[l]=this.lastRuns[l-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return u._INSTANCE||(u._INSTANCE=new u),u._INSTANCE}load(){const r=Date.now(),l=(1+u._HISTORY_LENGTH)*1e3;let h=0;for(let b=0;b<u._HISTORY_LENGTH;b++)r-this.lastRuns[b]<=l&&h++;return 1-h/u._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}u._HISTORY_LENGTH=10,u._INSTANCE=null;class s{constructor(r,l=null,h=u.getInstance()){this._onControlMessage=new d,this.onControlMessage=this._onControlMessage.event,this._onMessage=new d,this.onMessage=this._onMessage.event,this._onDidDispose=new d,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new d,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new d,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=h,this._isReconnecting=!1,this._outgoingUnackMsg=new o,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=r,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(b=>this._receiveMessage(b))),this._socketDisposables.push(this._socket.onClose(b=>this._onSocketClose.fire(b))),l&&this._socketReader.acceptChunk(l)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,D.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const r=new v(5,0,0,E());this._socketWriter.write(r),this._socketWriter.flush()}sendPause(){const r=new v(7,0,0,E());this._socketWriter.write(r)}sendResume(){const r=new v(8,0,0,E());this._socketWriter.write(r)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(r,l){this._isReconnecting=!0,this._socketDisposables=(0,D.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=r,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(h=>this._receiveMessage(h))),this._socketDisposables.push(this._socket.onClose(h=>this._onSocketClose.fire(h))),this._socketReader.acceptChunk(l)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const r=new v(3,0,this._incomingAckId,E());this._socketWriter.write(r);const l=this._outgoingUnackMsg.toArray();for(let h=0,b=l.length;h<b;h++)this._socketWriter.write(l[h]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(r){if(r.ack>this._outgoingAckId){this._outgoingAckId=r.ack;do{const l=this._outgoingUnackMsg.peek();if(l&&l.id<=r.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(r.type){case 0:break;case 1:{if(r.id>this._incomingMsgId)if(r.id!==this._incomingMsgId+1){const l=Date.now();l-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=l,this._socketWriter.write(new v(6,0,0,E())))}else this._incomingMsgId=r.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(r.data);break}case 2:{this._onControlMessage.fire(r.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const l=this._outgoingUnackMsg.toArray();for(let h=0,b=l.length;h<b;h++)this._socketWriter.write(l[h]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(r){const l=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const h=new v(1,l,this._incomingAckId,r);this._outgoingUnackMsg.push(h),this._isReconnecting||(this._socketWriter.write(h),this._recvAckCheck())}sendControl(r){const l=new v(2,0,0,r);this._socketWriter.write(l)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const r=Date.now()-this._incomingMsgLastTime;if(r>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-r+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const r=this._outgoingUnackMsg.peek(),l=Date.now()-r.writtenTime,h=Date.now()-this._socketReader.lastReadTime,b=Date.now()-this._lastSocketTimeoutTime;if(l>=2e4&&h>=2e4&&b>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const L=Math.max(2e4-l,2e4-h,2e4-b,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},L)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const r=new v(3,0,this._incomingAckId,E());this._socketWriter.write(r)}}e.PersistentProtocol=s}),define(ee[126],te([0,1,14,17,4,2,37,124]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function f(E,I){const p=D.Event.fromNodeEventEmitter(y.ipcMain,I,(t,v)=>({event:t,message:v})),S=D.Event.filter(p,({event:t})=>t.sender.id===E);return D.Event.map(S,({message:t})=>t&&n.VSBuffer.wrap(t))}class m extends k.IPCServer{constructor(){super(m.getOnDidClientConnect())}static getOnDidClientConnect(){const I=D.Event.fromNodeEventEmitter(y.ipcMain,"vscode:hello",({sender:p})=>p);return D.Event.map(I,p=>{const S=p.id,t=m.Clients.get(S);t&&t.dispose();const v=new D.Emitter;m.Clients.set(S,(0,C.toDisposable)(()=>v.fire()));const g=f(S,"vscode:message"),w=D.Event.any(D.Event.signal(f(S,"vscode:disconnect")),v.event);return{protocol:new P.Protocol(p,g),onDidClientDisconnect:w}})}}e.Server=m,m.Clients=new Map}),define(ee[86],te([0,1,14,4,32,125]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class k extends C.Client{constructor(m,E){super({addEventListener:(I,p)=>m.addListener(I,p),removeEventListener:(I,p)=>m.removeListener(I,p),postMessage:I=>m.postMessage(I),start:()=>m.start(),close:()=>m.close()},E)}}e.Client=k;async function P(f){if(f.isDestroyed()||f.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const m=(0,D.generateUuid)();f.webContents.send("vscode:createMessageChannel",m);const E=n.Event.fromNodeEventEmitter(y.ipcMain,"vscode:createMessageChannelResult",(p,S)=>({nonce:S,port:p.ports[0]})),{port:I}=await n.Event.toPromise(n.Event.once(n.Event.filter(E,p=>p.nonce===m)));return I}e.connect=P}),define(ee[87],te([0,1,8,4,2,13]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var k;(function(I){I[I.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(k=e.StorageHint||(e.StorageHint={}));function P(I){const p=I;return p?.changed instanceof Map||p?.deleted instanceof Set}e.isStorageItemsChangeEvent=P;var f;(function(I){I[I.None=0]="None",I[I.Initialized=1]="Initialized",I[I.Closed=2]="Closed"})(f||(f={}));class m extends D.Disposable{constructor(p,S=Object.create(null)){super();this.database=p,this.options=S,this._onDidChangeStorage=this._register(new n.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=f.None,this.cache=new Map,this.flushDelayer=new y.ThrottledDelayer(m.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(p=>this.onDidChangeItemsExternal(p)))}onDidChangeItemsExternal(p){p.changed?.forEach((S,t)=>this.accept(t,S)),p.deleted?.forEach(S=>this.accept(S,void 0))}accept(p,S){if(this.state===f.Closed)return;let t=!1;(0,C.isUndefinedOrNull)(S)?t=this.cache.delete(p):this.cache.get(p)!==S&&(this.cache.set(p,S),t=!0),t&&this._onDidChangeStorage.fire(p)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===f.None&&(this.state=f.Initialized,this.options.hint!==k.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(p,S){const t=this.cache.get(p);return(0,C.isUndefinedOrNull)(t)?S:t}getBoolean(p,S){const t=this.get(p);return(0,C.isUndefinedOrNull)(t)?S:t==="true"}getNumber(p,S){const t=this.get(p);return(0,C.isUndefinedOrNull)(t)?S:parseInt(t,10)}async set(p,S){if(this.state===f.Closed)return;if((0,C.isUndefinedOrNull)(S))return this.delete(p);const t=String(S);if(this.cache.get(p)!==t)return this.cache.set(p,t),this.pendingInserts.set(p,t),this.pendingDeletes.delete(p),this._onDidChangeStorage.fire(p),this.doFlush()}async delete(p){if(!(this.state===f.Closed||!this.cache.delete(p)))return this.pendingDeletes.has(p)||this.pendingDeletes.add(p),this.pendingInserts.delete(p),this._onDidChangeStorage.fire(p),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=f.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const p={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(p).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(p){if(!!this.hasPending)return this.doFlush(p)}async doFlush(p){return this.flushDelayer.trigger(()=>this.flushPending(),p)}async whenFlushed(){if(!!this.hasPending)return new Promise(p=>this.whenFlushedCallbacks.push(p))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=m,m.DEFAULT_FLUSH_DELAY=100;class E{constructor(){this.onDidChangeItemsExternal=n.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(p){p.insert&&p.insert.forEach((S,t)=>this.items.set(t,S)),p.delete&&p.delete.forEach(S=>this.items.delete(S))}async close(){}}e.InMemoryStorageDatabase=E}),define(ee[127],te([0,1,8,4,35,9,24]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class P{constructor(E,I=Object.create(null)){this.path=E,this.options=I,this.name=(0,C.basename)(this.path),this.logger=new f(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return n.Event.None}async getItems(){const E=await this.whenConnected,I=new Map;return(await this.all(E,"SELECT * FROM ItemTable")).forEach(S=>I.set(S.key,S.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${I.size} rows`),I}async updateItems(E){const I=await this.whenConnected;return this.doUpdateItems(I,E)}doUpdateItems(E,I){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${I.insert?(0,D.mapToString)(I.insert):"0"}), delete(${I.delete?(0,D.setToString)(I.delete):"0"})`),this.transaction(E,()=>{const p=I.insert,S=I.delete;if(p&&p.size>0){const t=[];t.push([]);let v=0;p.forEach((g,w)=>{let M=t[v];M.length>P.MAX_HOST_PARAMETERS&&(v++,M=[],t.push(M)),M.push(w,g)}),t.forEach(g=>{this.prepare(E,`INSERT INTO ItemTable VALUES ${new Array(g.length/2).fill("(?,?)").join(",")}`,w=>w.run(g),()=>{const w=[];let M=0;return p.forEach((a,d)=>{w.push(d),M+=a.length}),`Keys: ${w.join(", ")} Length: ${M}`})})}if(S&&S.size){const t=[];t.push([]);let v=0;S.forEach(g=>{let w=t[v];w.length>P.MAX_HOST_PARAMETERS&&(v++,w=[],t.push(w)),w.push(g)}),t.forEach(g=>{this.prepare(E,`DELETE FROM ItemTable WHERE key IN (${new Array(g.length).fill("?").join(",")})`,w=>w.run(g),()=>{const w=[];return S.forEach(M=>{w.push(M)}),`Keys: ${w.join(", ")}`})})}})}async close(E){this.logger.trace(`[storage ${this.name}] close()`);const I=await this.whenConnected;return this.doClose(I,E)}doClose(E,I){return new Promise((p,S)=>{E.db.close(t=>(t&&this.handleSQLiteError(E,`[storage ${this.name}] close(): ${t}`),this.path===P.IN_MEMORY_PATH?p():!E.isErroneous&&!E.isInMemory?this.backup().then(p,v=>(this.logger.error(`[storage ${this.name}] backup(): ${v}`),p())):typeof I=="function"?k.Promises.unlink(this.path).then(()=>this.doConnect(this.path).then(v=>{const g=()=>this.doClose(v,void 0);return this.doUpdateItems(v,{insert:I()}).then(()=>g(),w=>(g(),Promise.reject(w)))})).then(p,S):S(t||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const E=this.toBackupPath(this.path);return k.Promises.copy(this.path,E,{preserveSymlinks:!1})}toBackupPath(E){return`${E}.backup`}async checkIntegrity(E){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${E})`);const I=await this.whenConnected,p=await this.get(I,E?"PRAGMA integrity_check":"PRAGMA quick_check"),S=E?p.integrity_check:p.quick_check;return I.isErroneous?`${S} (last error: ${I.lastError})`:I.isInMemory?`${S} (in-memory!)`:S}async connect(E,I=!0){this.logger.trace(`[storage ${this.name}] open(${E}, retryOnBusy: ${I})`);try{return await this.doConnect(E)}catch(p){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${p}`),p.code==="SQLITE_BUSY"&&I)return await(0,y.timeout)(P.BUSY_OPEN_TIMEOUT),this.connect(E,!1);try{await k.Promises.unlink(E);try{await k.Promises.rename(this.toBackupPath(E),E)}catch{}return await this.doConnect(E)}catch(S){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${S}`),this.doConnect(P.IN_MEMORY_PATH)}}}handleSQLiteError(E,I){E.isErroneous=!0,E.lastError=I,this.logger.error(I)}doConnect(E){return new Promise((I,p)=>{new Promise((S,t)=>{G(["@vscode/sqlite3"],S,t)}).then(S=>{const t={db:new(this.logger.isTracing?S.verbose().Database:S.Database)(E,v=>v?t.db?t.db.close(()=>p(v)):p(v):this.exec(t,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>I(t),g=>t.db.close(()=>p(g)))),isInMemory:E===P.IN_MEMORY_PATH};t.db.on("error",v=>this.handleSQLiteError(t,`[storage ${this.name}] Error (event): ${v}`)),this.logger.isTracing&&t.db.on("trace",v=>this.logger.trace(`[storage ${this.name}] Trace (event): ${v}`))},p)})}exec(E,I){return new Promise((p,S)=>{E.db.exec(I,t=>t?(this.handleSQLiteError(E,`[storage ${this.name}] exec(): ${t}`),S(t)):p())})}get(E,I){return new Promise((p,S)=>{E.db.get(I,(t,v)=>t?(this.handleSQLiteError(E,`[storage ${this.name}] get(): ${t}`),S(t)):p(v))})}all(E,I){return new Promise((p,S)=>{E.db.all(I,(t,v)=>t?(this.handleSQLiteError(E,`[storage ${this.name}] all(): ${t}`),S(t)):p(v))})}transaction(E,I){return new Promise((p,S)=>{E.db.serialize(()=>{E.db.run("BEGIN TRANSACTION"),I(),E.db.run("END TRANSACTION",t=>t?(this.handleSQLiteError(E,`[storage ${this.name}] transaction(): ${t}`),S(t)):p())})})}prepare(E,I,p,S){const t=E.db.prepare(I),v=g=>{this.handleSQLiteError(E,`[storage ${this.name}] prepare(): ${g} (${I}). Details: ${S()}`)};t.on("error",v),p(t),t.finalize(g=>{g&&v(g),t.removeListener("error",v)})}}e.SQLiteStorageDatabase=P,P.IN_MEMORY_PATH=":memory:",P.BUSY_OPEN_TIMEOUT=2e3,P.MAX_HOST_PARAMETERS=256;class f{constructor(E){E&&typeof E.logTrace=="function"&&process.env[f.VSCODE_TRACE_STORAGE]&&(this.logTrace=E.logTrace),E&&typeof E.logError=="function"&&(this.logError=E.logError)}get isTracing(){return!!this.logTrace}trace(E){this.logTrace&&this.logTrace(E)}error(E){this.logError&&this.logError(E)}}f.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(ee[128],te([12,11]),function(G,e){return G.create("vs/base/common/date",e)}),define(ee[129],te([0,1,128]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const n=60,D=n*60,C=D*24,k=C*7,P=C*30,f=C*365;function m(I,p){typeof I!="number"&&(I=I.getTime());const S=Math.round((new Date().getTime()-I)/1e3);if(S<-30)return(0,y.localize)(0,null,m(new Date().getTime()+S*1e3,!1));if(S<30)return(0,y.localize)(1,null);let t;return S<n?(t=S,p?t===1?(0,y.localize)(2,null,t):(0,y.localize)(3,null,t):t===1?(0,y.localize)(4,null,t):(0,y.localize)(5,null,t)):S<D?(t=Math.floor(S/n),p?t===1?(0,y.localize)(6,null,t):(0,y.localize)(7,null,t):t===1?(0,y.localize)(8,null,t):(0,y.localize)(9,null,t)):S<C?(t=Math.floor(S/D),p?t===1?(0,y.localize)(10,null,t):(0,y.localize)(11,null,t):t===1?(0,y.localize)(12,null,t):(0,y.localize)(13,null,t)):S<k?(t=Math.floor(S/C),p?t===1?(0,y.localize)(14,null,t):(0,y.localize)(15,null,t):t===1?(0,y.localize)(16,null,t):(0,y.localize)(17,null,t)):S<P?(t=Math.floor(S/k),p?t===1?(0,y.localize)(18,null,t):(0,y.localize)(19,null,t):t===1?(0,y.localize)(20,null,t):(0,y.localize)(21,null,t)):S<f?(t=Math.floor(S/P),p?t===1?(0,y.localize)(22,null,t):(0,y.localize)(23,null,t):t===1?(0,y.localize)(24,null,t):(0,y.localize)(25,null,t)):(t=Math.floor(S/f),p?t===1?(0,y.localize)(26,null,t):(0,y.localize)(27,null,t):t===1?(0,y.localize)(28,null,t):(0,y.localize)(29,null,t))}e.fromNow=m;function E(I){return I.getFullYear()+"-"+String(I.getMonth()+1).padStart(2,"0")+"-"+String(I.getDate()).padStart(2,"0")+"T"+String(I.getHours()).padStart(2,"0")+":"+String(I.getMinutes()).padStart(2,"0")+":"+String(I.getSeconds()).padStart(2,"0")+"."+(I.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=E}),define(ee[130],te([12,11]),function(G,e){return G.create("vs/base/common/errorMessage",e)}),define(ee[39],te([0,1,31,13,130]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function C(m,E){return E&&(m.stack||m.stacktrace)?D.localize(0,null,P(m),k(m.stack)||k(m.stacktrace)):P(m)}function k(m){return Array.isArray(m)?m.join(`
`):m}function P(m){return typeof m.code=="string"&&typeof m.errno=="number"&&typeof m.syscall=="string"?D.localize(1,null,m.message):m.message||D.localize(2,null)}function f(m=null,E=!1){if(!m)return D.localize(3,null);if(Array.isArray(m)){const I=y.coalesce(m),p=f(I[0],E);return I.length>1?D.localize(4,null,p,I.length):p}if(n.isString(m))return m;if(m.detail){const I=m.detail;if(I.error)return C(I.error,E);if(I.exception)return C(I.exception,E)}return m.stack?C(m,E):m.message?m.message:D.localize(5,null)}e.toErrorMessage=f}),define(ee[131],te([12,11]),function(G,e){return G.create("vs/base/common/keybindingLabels",e)}),define(ee[132],te([0,1,131]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserSettingsLabelProvider=e.ElectronAcceleratorLabelProvider=e.AriaLabelProvider=e.UILabelProvider=e.ModifierLabelProvider=void 0;class n{constructor(k,P,f=P){this.modifierLabels=[null],this.modifierLabels[2]=k,this.modifierLabels[1]=P,this.modifierLabels[3]=f}toLabel(k,P,f){if(P.length===0)return null;const m=[];for(let E=0,I=P.length;E<I;E++){const p=P[E],S=f(p);if(S===null)return null;m[E]=D(p,S,this.modifierLabels[k])}return m.join(" ")}}e.ModifierLabelProvider=n,e.UILabelProvider=new n({ctrlKey:"\u2303",shiftKey:"\u21E7",altKey:"\u2325",metaKey:"\u2318",separator:""},{ctrlKey:y.localize(0,null),shiftKey:y.localize(1,null),altKey:y.localize(2,null),metaKey:y.localize(3,null),separator:"+"},{ctrlKey:y.localize(4,null),shiftKey:y.localize(5,null),altKey:y.localize(6,null),metaKey:y.localize(7,null),separator:"+"}),e.AriaLabelProvider=new n({ctrlKey:y.localize(8,null),shiftKey:y.localize(9,null),altKey:y.localize(10,null),metaKey:y.localize(11,null),separator:"+"},{ctrlKey:y.localize(12,null),shiftKey:y.localize(13,null),altKey:y.localize(14,null),metaKey:y.localize(15,null),separator:"+"},{ctrlKey:y.localize(16,null),shiftKey:y.localize(17,null),altKey:y.localize(18,null),metaKey:y.localize(19,null),separator:"+"}),e.ElectronAcceleratorLabelProvider=new n({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),e.UserSettingsLabelProvider=new n({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"});function D(C,k,P){if(k===null)return"";const f=[];return C.ctrlKey&&f.push(P.ctrlKey),C.shiftKey&&f.push(P.shiftKey),C.altKey&&f.push(P.altKey),C.metaKey&&f.push(P.metaKey),k!==""&&f.push(k),f.join(P.separator)}}),define(ee[133],te([12,11]),function(G,e){return G.create("vs/base/node/processes",e)}),define(ee[73],te([0,1,44,27,10,47,9,3,34,82,13,117,24,133]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return m.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return m.TerminateResponseCode}});function t(o){switch(o){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function v(o,u){if(P.isWindows)try{const s={stdio:["pipe","pipe","ignore"]};u&&(s.cwd=u);const i=y.execFile("taskkill",["/T","/F","/PID",o.pid.toString()],s);return new Promise(r=>{i.once("error",l=>{r({success:!1,error:l})}),i.once("exit",(l,h)=>{r(l===0?{success:!0}:{success:!1,code:l!==null?l:1})})})}catch(s){return Promise.resolve({success:!1,error:s,code:s.status?t(s.status):1})}else if(P.isLinux||P.isMacintosh)try{const s=D.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",G).fsPath;return new Promise(i=>{y.execFile(s,[o.pid.toString()],{encoding:"utf8",shell:!0},(r,l,h)=>{i(r?{success:!1,error:r}:{success:!0})})})}catch(s){return Promise.resolve({success:!1,error:s})}else o.kill("SIGKILL");return Promise.resolve({success:!0})}function g(o){!o||(delete o.DEBUG,P.isMacintosh&&delete o.DYLD_LIBRARY_PATH,P.isLinux&&delete o.LD_PRELOAD)}e.removeDangerousEnvVariables=g;function w(o=f.env){return o.comspec||"cmd.exe"}e.getWindowsShell=w;class M{constructor(u,s,i,r){if(s!==void 0&&i!==void 0&&r!==void 0)this.cmd=u,this.args=s,this.shell=i,this.options=r;else{const l=u;this.cmd=l.command,this.shell=l.isShellCommand,this.args=l.args.slice(0),this.options=l.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const l=Object.create(null);Object.keys(f.env).forEach(h=>{l[h]=f.env[h]}),Object.keys(this.options.env).forEach(h=>{l[h]=this.options.env[h]}),this.options.env=l}}getSanitizedCommand(){let u=this.cmd.toLowerCase();const s=u.lastIndexOf(k.sep);return s!==-1&&(u=u.substring(s+1)),M.WellKnowCommands[u]?u:"other"}start(u){return P.isWindows&&(this.options&&this.options.cwd&&n.isUNC(this.options.cwd)||!this.options&&n.isUNC(f.cwd()))?Promise.reject(new Error(S.localize(0,null))):this.useExec().then(s=>{let i,r;const l=new Promise((h,b)=>{i=h,r=b});if(s){let h=this.cmd;this.args&&(h=h+" "+this.args.join(" ")),this.childProcess=y.exec(h,this.options,(b,L,R)=>{this.childProcess=null;const T=b;T&&T.killed?r({killed:this.terminateRequested,stdout:L.toString(),stderr:R.toString()}):this.handleExec(i,u,b,L,R)})}else{let h=null;const b=L=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(L,i,u,r);const R={terminated:this.terminateRequested};E.isNumber(L)&&(R.cmdCode=L),i(R)};if(this.shell&&P.isWindows){const L=C.deepClone(this.options);L.windowsVerbatimArguments=!0,L.detached=!1;let R=!1,T=!1;const U=[];let Q=this.ensureQuotes(this.cmd);U.push(Q.value),R=Q.quoted,this.args&&this.args.forEach(ne=>{Q=this.ensureQuotes(ne),U.push(Q.value),T=T&&Q.quoted});const se=["/s","/c"];R?T?se.push('"'+U.join(" ")+'"'):U.length>1?se.push('"'+U[0]+'" '+U.slice(1).join(" ")):se.push('"'+U[0]+'"'):se.push(U.join(" ")),h=y.spawn(w(),se,L)}else this.cmd&&(h=y.spawn(this.cmd,this.args,this.options));h&&(this.childProcess=h,this.childProcessPromise=Promise.resolve(h),this.pidResolve&&(this.pidResolve(E.isNumber(h.pid)?h.pid:-1),this.pidResolve=void 0),h.on("error",L=>{this.childProcess=null,r({terminated:this.terminateRequested,error:L})}),h.pid&&(this.childProcess.on("close",b),this.handleSpawn(h,i,u,r,!0)))}return l})}handleClose(u,s,i,r){}ensureQuotes(u){return M.regexp.test(u)?{value:'"'+u+'"',quoted:!0}:{value:u,quoted:u.length>0&&u[0]==='"'&&u[u.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(u=>u.pid,u=>-1):new Promise(u=>{this.pidResolve=u})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(u=>(this.terminateRequested=!0,v(u,this.options.cwd).then(s=>(s.success&&(this.childProcess=null),s))),u=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(u=>{if(!this.shell||!P.isWindows)return u(!1);const s=y.spawn(w(),["/s","/c"]);s.on("error",i=>u(!0)),s.on("exit",i=>u(!1))})}}e.AbstractProcess=M,M.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},M.regexp=/^[^"].* .*[^"]/;class a extends M{constructor(u,s,i,r){super(u,s,i,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(u,s,i,r,l){[r,l].forEach((h,b)=>{const L=new I.LineDecoder;L.write(h).forEach(U=>{s({line:U,source:b===0?0:1})});const T=L.end();T&&s({line:T,source:b===0?0:1})}),u({terminated:this.terminateRequested,error:i})}handleSpawn(u,s,i,r,l){const h=new I.LineDecoder,b=new I.LineDecoder;u.stdout.on("data",L=>{h.write(L).forEach(T=>i({line:T,source:0}))}),u.stderr.on("data",L=>{b.write(L).forEach(T=>i({line:T,source:1}))}),this.stdoutLineDecoder=h,this.stderrLineDecoder=b}handleClose(u,s,i,r){const l=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;l&&i({line:l,source:0});const h=this.stderrLineDecoder?this.stderrLineDecoder.end():null;h&&i({line:h,source:1})}}e.LineProcess=a;function d(o){let u=[],s=!1;const i=function(r){if(s){u.push(r);return}(!o.send(r,h=>{if(h&&console.error(h),s=!1,u.length>0){const b=u.slice(0);u=[],b.forEach(L=>i(L))}})||P.isWindows)&&(s=!0)};return{send:i}}e.createQueuedSender=d;var c;(function(o){async function u(s,i,r){if(k.isAbsolute(s))return s;if(i===void 0&&(i=f.cwd()),k.dirname(s)!=="."||(r===void 0&&E.isString(f.env.PATH)&&(r=f.env.PATH.split(k.delimiter)),r===void 0||r.length===0))return k.join(i,s);async function h(b){if(await p.Promises.exists(b)){let L;try{L=await p.Promises.stat(b)}catch(R){R.message.startsWith("EACCES")&&(L=await p.Promises.lstat(b))}return L?!L.isDirectory():!1}return!1}for(let b of r){let L;if(k.isAbsolute(b)?L=k.join(b,s):L=k.join(i,b,s),await h(L))return L;let R=L+".com";if(await h(R)||(R=L+".exe",await h(R)))return R}return k.join(i,s)}o.findExecutable=u})(c=e.win32||(e.win32={}))}),define(ee[134],te([0,1,26,3,121,73]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function k(S,t){return S===1?n.isWindows?I():C.getWindowsShell(t):m(S,t)}e.getSystemShell=k;function P(S,t){return S===1?n.isWindows?p(t):C.getWindowsShell(t):m(S,t)}e.getSystemShellSync=P;let f=null;function m(S,t){if(n.isLinux&&S===2||n.isMacintosh&&S===3)return"/bin/bash";if(!f){let v;if(n.isWindows)v="/bin/bash";else{if(v=t.SHELL,!v)try{v=(0,y.userInfo)().shell}catch{}v||(v="sh"),v==="/bin/false"&&(v="/bin/bash")}f=v}return f}let E=null;async function I(){return E||(E=(await(0,D.getFirstAvailablePowerShellInstallation)()).exePath),E}function p(S){if(E)return E;const t=n.isWindows&&parseFloat((0,y.release)())>=10,v=S.hasOwnProperty("PROCESSOR_ARCHITEW6432"),g=`${S.windir}\\${v?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return t?g:C.getWindowsShell(S)}}),define(ee[135],te([0,1,44,8,17,21,111,15,4,2,47,73,37]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class S extends p.ChannelServer{constructor(g){super({send:w=>{try{process.send&&process.send(w.buffer.toString("base64"))}catch{}},onMessage:f.Event.fromNodeEventEmitter(process,"message",w=>D.VSBuffer.wrap(Buffer.from(w,"base64")))},g);process.once("disconnect",()=>this.dispose())}}e.Server=S;class t{constructor(g,w){this.modulePath=g,this.options=w,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new f.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const M=w&&w.timeout?w.timeout:6e4;this.disposeDelayer=new n.Delayer(M),this.child=null,this._client=null}getChannel(g){const w=this;return{call(M,a,d){return w.requestPromise(g,M,a,d)},listen(M,a){return w.requestEvent(g,M,a)}}}requestPromise(g,w,M,a=C.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(a.isCancellationRequested)return Promise.reject(P.canceled());this.disposeDelayer.cancel();const d=this.getCachedChannel(g),c=(0,n.createCancelablePromise)(s=>d.call(w,M,s)),o=a.onCancellationRequested(()=>c.cancel()),u=(0,m.toDisposable)(()=>c.cancel());return this.activeRequests.add(u),c.finally(()=>{o.dispose(),this.activeRequests.delete(u),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),c}requestEvent(g,w,M){if(!this.disposeDelayer)return f.Event.None;this.disposeDelayer.cancel();let a;const d=new f.Emitter({onFirstListenerAdd:()=>{a=this.getCachedChannel(g).listen(w,M)(d.fire,d),this.activeRequests.add(a)},onLastListenerRemove:()=>{this.activeRequests.delete(a),a.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return d.event}get client(){if(!this._client){const g=this.options&&this.options.args?this.options.args:[],w=Object.create(null);w.env={...(0,E.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(w.env={...w.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(w.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(w.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(w.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),w.execArgv===void 0&&(w.execArgv=process.execArgv.filter(i=>!/^--inspect(-brk)?=/.test(i))),(0,I.removeDangerousEnvVariables)(w.env),this.child=(0,y.fork)(this.modulePath,g,w);const M=new f.Emitter;f.Event.fromNodeEventEmitter(this.child,"message",i=>i)(i=>{if((0,k.isRemoteConsoleLog)(i)){(0,k.log)(i,`IPC Library: ${this.options.serverName}`);return}M.fire(D.VSBuffer.wrap(Buffer.from(i,"base64")))});const d=this.options.useQueue?(0,I.createQueuedSender)(this.child):this.child,c=i=>this.child&&this.child.connected&&d.send(i.buffer.toString("base64")),o=M.event,u={send:c,onMessage:o};this._client=new p.ChannelClient(u);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",i=>console.warn('IPC "'+this.options.serverName+'" errored with '+i)),this.child.on("exit",(i,r)=>{process.removeListener("exit",s),this.activeRequests.forEach(l=>(0,m.dispose)(l)),this.activeRequests.clear(),i!==0&&r!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+i+" and signal "+r),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:i,signal:r})})}return this._client}getCachedChannel(g){let w=this.channels.get(g);return w||(w=this.client.getChannel(g),this.channels.set(g,w)),w}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=t}),define(ee[136],te([12,11]),function(G,e){return G.create("vs/code/electron-main/app",e)}),define(ee[137],te([12,11]),function(G,e){return G.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ee[138],te([12,11]),function(G,e){return G.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(ee[139],te([12,11]),function(G,e){return G.create("vs/platform/environment/node/argv",e)}),define(ee[140],te([12,11]),function(G,e){return G.create("vs/platform/environment/node/argvHelper",e)}),define(ee[141],te([12,11]),function(G,e){return G.create("vs/platform/environment/node/shellEnv",e)}),define(ee[142],te([12,11]),function(G,e){return G.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ee[143],te([12,11]),function(G,e){return G.create("vs/platform/extensions/common/extensionValidator",e)}),define(ee[144],te([12,11]),function(G,e){return G.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(ee[145],te([12,11]),function(G,e){return G.create("vs/platform/files/common/fileService",e)}),define(ee[146],te([12,11]),function(G,e){return G.create("vs/platform/files/common/files",e)}),define(ee[147],te([12,11]),function(G,e){return G.create("vs/platform/files/common/io",e)}),define(ee[148],te([12,11]),function(G,e){return G.create("vs/platform/files/electron-main/diskFileSystemProviderServer",e)}),define(ee[149],te([12,11]),function(G,e){return G.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(ee[150],te([12,11]),function(G,e){return G.create("vs/platform/issue/electron-main/issueMainService",e)}),define(ee[151],te([12,11]),function(G,e){return G.create("vs/platform/menubar/electron-main/menubar",e)}),define(ee[152],te([12,11]),function(G,e){return G.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(ee[153],te([12,11]),function(G,e){return G.create("vs/platform/request/common/request",e)}),define(ee[154],te([12,11]),function(G,e){return G.create("vs/platform/telemetry/common/telemetryService",e)}),define(ee[155],te([12,11]),function(G,e){return G.create("vs/platform/update/common/update.config.contribution",e)}),define(ee[156],te([12,11]),function(G,e){return G.create("vs/platform/windows/electron-main/window",e)}),define(ee[157],te([12,11]),function(G,e){return G.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(ee[158],te([12,11]),function(G,e){return G.create("vs/platform/workspaces/common/workspaces",e)}),define(ee[159],te([12,11]),function(G,e){return G.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(ee[160],te([12,11]),function(G,e){return G.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(ee[161],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEmptyWindowBackupInfo=void 0;function y(n){return typeof n?.backupFolder=="string"}e.isEmptyWindowBackupInfo=y}),define(ee[162],te([0,1,4,2]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class D{constructor(){this._onCloseEmitter=new y.Emitter,this._onReloadEmitter=new y.Emitter,this._onTerminateEmitter=new y.Emitter,this._onAttachEmitter=new y.Emitter}call(P,f,m){switch(f){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:m[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:m[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:m[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:m[0],port:m[1],subId:m[2]}))}throw new Error("Method not implemented.")}listen(P,f,m){switch(f){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=D,D.ChannelName="extensionhostdebugservice";class C extends n.Disposable{constructor(P){super();this.channel=P}reload(P){this.channel.call("reload",[P])}get onReload(){return this.channel.listen("reload")}close(P){this.channel.call("close",[P])}get onClose(){return this.channel.listen("close")}attachSession(P,f,m){this.channel.call("attach",[P,f,m])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(P,f){this.channel.call("terminate",[P,f])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(P,f){return this.channel.call("openExtensionDevelopmentHostWindow",[P,f])}}e.ExtensionHostDebugChannelClient=C}),define(ee[163],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowDriverRegistryChannelClient=e.WindowDriverChannelClient=e.WindowDriverChannel=void 0;class y{constructor(k){this.driver=k}listen(k,P){throw new Error(`No event found: ${P}`)}call(k,P,f){switch(P){case"click":return this.driver.click(f[0],f[1],f[2]);case"doubleClick":return this.driver.doubleClick(f);case"setValue":return this.driver.setValue(f[0],f[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(f);case"getElements":return this.driver.getElements(f[0],f[1]);case"getElementXY":return this.driver.getElementXY(f[0],f[1],f[2]);case"typeInEditor":return this.driver.typeInEditor(f[0],f[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(f);case"writeInTerminal":return this.driver.writeInTerminal(f[0],f[1]);case"getLocaleInfo":return this.driver.getLocaleInfo();case"getLocalizedStrings":return this.driver.getLocalizedStrings()}throw new Error(`Call not found: ${P}`)}}e.WindowDriverChannel=y;class n{constructor(k){this.channel=k}click(k,P,f){return this.channel.call("click",[k,P,f])}doubleClick(k){return this.channel.call("doubleClick",k)}setValue(k,P){return this.channel.call("setValue",[k,P])}getTitle(){return this.channel.call("getTitle")}isActiveElement(k){return this.channel.call("isActiveElement",k)}getElements(k,P){return this.channel.call("getElements",[k,P])}getElementXY(k,P,f){return this.channel.call("getElementXY",[k,P,f])}typeInEditor(k,P){return this.channel.call("typeInEditor",[k,P])}getTerminalBuffer(k){return this.channel.call("getTerminalBuffer",k)}writeInTerminal(k,P){return this.channel.call("writeInTerminal",[k,P])}getLocaleInfo(){return this.channel.call("getLocaleInfo")}getLocalizedStrings(){return this.channel.call("getLocalizedStrings")}}e.WindowDriverChannelClient=n;class D{constructor(k){this.channel=k}registerWindowDriver(k){return this.channel.call("registerWindowDriver",k)}reloadWindowDriver(k){return this.channel.call("reloadWindowDriver",k)}}e.WindowDriverRegistryChannelClient=D}),define(ee[164],te([0,1,129,46,10,9,34,16,7]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class m{constructor(v,g,w){this._args=v,this.paths=g,this.productService=w}get appRoot(){return(0,C.dirname)(D.FileAccess.asFileUri("",G).fsPath)}get userHome(){return f.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return f.URI.file((0,C.join)(this.userDataPath,"User"))}get tmpDir(){return f.URI.file(this.paths.tmpDir)}get cacheHome(){return f.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,P.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,P.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const v=(0,y.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,C.join)(this.userDataPath,"logs",v)}return this.args.logsPath}get userDataSyncLogResource(){return f.URI.file((0,C.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,P.joinPath)(f.URI.file((0,C.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return f.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return f.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,P.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,P.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const v=k.env.VSCODE_PORTABLE;return v?f.URI.file((0,C.join)(v,"argv.json")):(0,P.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,P.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return f.URI.file((0,C.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,C.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const v=this.args["builtin-extensions-dir"];return v?(0,C.resolve)(v):(0,C.normalize)((0,C.join)(D.FileAccess.asFileUri("",G).fsPath,"..","extensions"))}get extensionsDownloadPath(){const v=this.args["extensions-download-dir"];return v?(0,C.resolve)(v):(0,C.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const v=this.args["extensions-dir"];if(v)return(0,C.resolve)(v);const g=k.env.VSCODE_EXTENSIONS;if(g)return g;const w=k.env.VSCODE_PORTABLE;return w?(0,C.join)(w,"extensions"):(0,P.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const v=this.args.extensionDevelopmentPath;if(Array.isArray(v))return v.map(g=>/^[^:/?#]+?:\/\//.test(g)?f.URI.parse(g):f.URI.file((0,C.normalize)(g)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(v=>v==="ui"||v==="workspace"||v==="web"?v:"workspace")}get extensionTestsLocationURI(){const v=this.args.extensionTestsPath;if(v)return/^[^:/?#]+?:\/\//.test(v)?f.URI.parse(v):f.URI.file((0,C.normalize)(v))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const v=this.args["disable-extension"];if(v){if(typeof v=="string")return[v];if(Array.isArray(v)&&v.length>0)return v}return!1}get debugExtensionHost(){return E(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!k.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,P.joinPath)(f.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return f.URI.file((0,C.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}de([n.memoize],m.prototype,"appRoot",null),de([n.memoize],m.prototype,"userHome",null),de([n.memoize],m.prototype,"userDataPath",null),de([n.memoize],m.prototype,"appSettingsHome",null),de([n.memoize],m.prototype,"tmpDir",null),de([n.memoize],m.prototype,"cacheHome",null),de([n.memoize],m.prototype,"userRoamingDataHome",null),de([n.memoize],m.prototype,"settingsResource",null),de([n.memoize],m.prototype,"userDataSyncHome",null),de([n.memoize],m.prototype,"userDataSyncLogResource",null),de([n.memoize],m.prototype,"sync",null),de([n.memoize],m.prototype,"machineSettingsResource",null),de([n.memoize],m.prototype,"globalStorageHome",null),de([n.memoize],m.prototype,"workspaceStorageHome",null),de([n.memoize],m.prototype,"keybindingsResource",null),de([n.memoize],m.prototype,"keyboardLayoutResource",null),de([n.memoize],m.prototype,"argvResource",null),de([n.memoize],m.prototype,"snippetsHome",null),de([n.memoize],m.prototype,"isExtensionDevelopment",null),de([n.memoize],m.prototype,"untitledWorkspacesHome",null),de([n.memoize],m.prototype,"installSourcePath",null),de([n.memoize],m.prototype,"builtinExtensionsPath",null),de([n.memoize],m.prototype,"extensionsPath",null),de([n.memoize],m.prototype,"extensionDevelopmentLocationURI",null),de([n.memoize],m.prototype,"extensionDevelopmentKind",null),de([n.memoize],m.prototype,"extensionTestsLocationURI",null),de([n.memoize],m.prototype,"debugExtensionHost",null),de([n.memoize],m.prototype,"serviceMachineIdResource",null),de([n.memoize],m.prototype,"telemetryLogResource",null),de([n.memoize],m.prototype,"disableWorkspaceTrust",null),e.AbstractNativeEnvironmentService=m;function E(t,v){return S(t["inspect-extensions"],t["inspect-brk-extensions"],5870,v,t.debugId,t.extensionEnvironment)}e.parseExtensionHostPort=E;function I(t,v){return S(t["inspect-search"],t["inspect-brk-search"],5876,v,t.extensionEnvironment)}e.parseSearchPort=I;function p(t,v){return S(t["inspect-ptyhost"],t["inspect-brk-ptyhost"],5877,v,t.extensionEnvironment)}e.parsePtyHostPort=p;function S(t,v,g,w,M,a){const c=Number(v||t)||(w?null:g),o=c?Boolean(!!v):!1;let u;if(a)try{u=JSON.parse(a)}catch{}return{port:c,break:o,debugId:M,env:u}}}),define(ee[88],te([0,1,248,3,139]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const C={o:(0,D.localize)(0,null),e:(0,D.localize)(1,null),t:(0,D.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,D.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,D.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,D.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,D.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,D.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,D.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,D.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,D.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,D.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,D.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,D.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,D.localize)(14,null)},category:{type:"string",cat:"e",description:(0,D.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"extension-id[@version] | path-to-vsix",description:(0,D.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,D.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"extension-id",description:(0,D.localize)(18,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"extension-id",description:(0,D.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,D.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,D.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,D.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,D.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,D.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,D.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"extension-id",description:(0,D.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,D.localize)(27,null),args:["on","off"]},"inspect-extensions":{type:"string",deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,D.localize)(28,null)},"inspect-brk-extensions":{type:"string",deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,D.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,D.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,D.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,D.localize)(32,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string"},"inspect-brk-ptyhost":{type:"string"},"inspect-search":{type:"string",deprecates:["debugSearch"]},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"]},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},_:{type:"string[]"}};const k={onUnknownOption:()=>{},onMultipleValues:()=>{},onDeprecatedOption:()=>{}};function P(t,v,g=k){const w={},M=[],a=[];for(let u in v){const s=v[u];s.alias&&(w[u]=s.alias),s.type==="string"||s.type==="string[]"?(M.push(u),s.deprecates&&M.push(...s.deprecates)):s.type==="boolean"&&(a.push(u),s.deprecates&&a.push(...s.deprecates))}const d=y(t,{string:M,boolean:a,alias:w}),c={},o=d;c._=d._.map(u=>String(u)).filter(u=>u.length>0),delete o._;for(let u in v){const s=v[u];s.alias&&delete o[s.alias];let i=o[u];if(s.deprecates)for(const r of s.deprecates)o.hasOwnProperty(r)&&(i||(i=o[r],i&&g.onDeprecatedOption(r,s.deprecationMessage||(0,D.localize)(33,null))),delete o[r]);typeof i!="undefined"&&(s.type==="string[]"?i&&!Array.isArray(i)&&(i=[i]):s.type==="string"&&Array.isArray(i)&&(i=i.pop(),g.onMultipleValues(u,i)),c[u]=i,s.deprecationMessage&&g.onDeprecatedOption(u,s.deprecationMessage)),delete o[u]}for(let u in o)g.onUnknownOption(u);return c}e.parseArgs=P;function f(t,v){let g="";return v.args&&(Array.isArray(v.args)?g=` <${v.args.join("> <")}>`:g=` <${v.args}>`),v.alias?`-${v.alias} --${t}${g}`:`--${t}${g}`}function m(t,v){let g=0,w=[];for(const c in t){const o=t[c],u=f(c,o);g=Math.max(g,u.length),w.push([u,o.description])}let M=g+2+1;if(v-M<25)return w.reduce((c,o)=>c.concat([`  ${o[0]}`,`      ${o[1]}`]),[]);let a=v-M-1,d=[];for(const c of w){let o=c[0],u=I(c[1],a),s=E(M-o.length-2);d.push("  "+o+s+u[0]);for(let i=1;i<u.length;i++)d.push(E(M)+u[i])}return d}e.formatOptions=m;function E(t){return" ".repeat(t)}function I(t,v){let g=[];for(;t.length;){let w=t.length<v?t.length:t.lastIndexOf(" ",v),M=t.slice(0,w).trim();t=t.slice(w),g.push(M)}return g}function p(t,v,g,w,M){const a=process.stdout.isTTY&&process.stdout.columns||80,d=M?.noInputFiles!==!0?`[${(0,D.localize)(34,null)}...]`:"",c=[`${t} ${g}`];c.push(""),c.push(`${(0,D.localize)(35,null)}: ${v} [${(0,D.localize)(36,null)}]${d}`),c.push(""),M?.noPipe!==!0&&(n.isWindows?c.push((0,D.localize)(37,null,v)):c.push((0,D.localize)(38,null,v)),c.push(""));const o={};for(const u in w){const s=w[u];if(s.description&&s.cat){let i=o[s.cat];i||(o[s.cat]=i={}),i[u]=s}}for(let u in o){const s=u;let i=o[s];i&&(c.push(C[s]),c.push(...m(i,a)),c.push(""))}return c.join(`
`)}e.buildHelpMessage=p;function S(t,v){return`${t||(0,D.localize)(39,null)}
${v||(0,D.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=S}),define(ee[165],te([0,1,61,162,88]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class C extends n.ExtensionHostDebugBroadcastChannel{constructor(P){super();this.windowsMainService=P}call(P,f,m){return f==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(m[0],m[1]):super.call(P,f,m)}async openExtensionDevelopmentHostWindow(P,f){const m=(0,D.parseArgs)(P,D.OPTIONS);m.debugRenderer=f;const E=m.extensionDevelopmentPath;if(!E)return{success:!1};const[I]=this.windowsMainService.openExtensionDevelopmentHostWindow(E,{context:5,cli:m});if(!f)return{success:!0};const p=I.win;if(!p)return{success:!0};const S=p.webContents.debugger;let t=S.isAttached()?1/0:0;const v=(0,y.createServer)(g=>{t++==0&&S.attach();let w=!1;const M=c=>{w||g.write(JSON.stringify(c)+"\0")},a=(c,o,u,s)=>M({method:o,params:u,sessionId:s});p.on("close",()=>{S.removeListener("message",a),g.end(),w=!0}),S.addListener("message",a);let d=Buffer.alloc(0);g.on("data",c=>{d=Buffer.concat([d,c]);for(let o=d.indexOf(0);o!==-1;o=d.indexOf(0)){let u;try{const s=d.slice(0,o).toString("utf8");d=d.slice(o+1),u=JSON.parse(s)}catch(s){console.error("error reading cdp line",s)}S.sendCommand(u.method,u.params,u.sessionId).then(s=>M({id:u.id,sessionId:u.sessionId,result:s})).catch(s=>M({id:u.id,sessionId:u.sessionId,error:{code:0,message:s.message}}))}}),g.on("error",c=>{console.error("error on cdp pipe:",c)}),g.on("close",()=>{w=!0,--t==0&&S.detach()})});return await new Promise(g=>v.listen(0,g)),p.on("close",()=>v.close()),{rendererDebugPort:v.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=C}),function(){"use strict";function G(e,y,n,D){function C(P){const f=k(P),m=[f];return e.isAbsolute(f)||m.unshift(D),e.resolve(...m)}function k(P){const f=process.env.VSCODE_PORTABLE;if(f)return e.join(f,"user-data");let m=process.env.VSCODE_APPDATA;if(m)return e.join(m,n);const E=P["user-data-dir"];if(E)return E;switch(process.platform){case"win32":if(m=process.env.APPDATA,!m){const I=process.env.USERPROFILE;if(typeof I!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");m=e.join(I,"AppData","Roaming")}break;case"darwin":m=e.join(y.homedir(),"Library","Application Support");break;case"linux":m=process.env.XDG_CONFIG_HOME||e.join(y.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(m,n)}return{getUserDataPath:C}}if(typeof define=="function")define(ee[166],te([0,249,26,10,16,34]),function(e,y,n,D,C,k){const P=C.dirname(D.FileAccess.asFileUri("",e)),f=e.__$__nodeRequire(C.joinPath(P,"package.json").fsPath);return G(y,n,f.name,k.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),y=require("path"),n=require("os");module.exports=G(y,n,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(ee[167],te([0,1,26,164,166]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class C extends n.AbstractNativeEnvironmentService{constructor(P,f){super(P,{homeDir:(0,y.homedir)(),tmpDir:(0,y.tmpdir)(),userDataDir:(0,D.getUserDataPath)(P)},f)}}e.NativeEnvironmentService=C}),define(ee[168],te([0,1,28,26,27]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function C(k){const P=(0,D.randomPath)((0,n.tmpdir)());try{return(0,y.writeFileSync)(P,""),k&&console.log(`Marker file for --wait created: ${P}`),P}catch(f){k&&console.error(`Failed to create marker file for --wait: ${f}`);return}}e.createWaitMarkerFile=C}),define(ee[169],te([0,1,143]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const n=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,D=/^-(\d{4})(\d{2})(\d{2})$/;function C(p){return p=p.trim(),p==="*"||n.test(p)}e.isValidVersionStr=C;function k(p){if(!C(p))return null;if(p=p.trim(),p==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let S=p.match(n);return S?{hasCaret:S[1]==="^",hasGreaterEquals:S[1]===">=",majorBase:S[2]==="x"?0:parseInt(S[2],10),majorMustEqual:S[2]!=="x",minorBase:S[4]==="x"?0:parseInt(S[4],10),minorMustEqual:S[4]!=="x",patchBase:S[6]==="x"?0:parseInt(S[6],10),patchMustEqual:S[6]!=="x",preRelease:S[8]||null}:null}e.parseVersion=k;function P(p){if(!p)return null;let S=p.majorBase,t=p.majorMustEqual,v=p.minorBase,g=p.minorMustEqual,w=p.patchBase,M=p.patchMustEqual;p.hasCaret&&(S===0||(g=!1),M=!1);let a=0;if(p.preRelease){const d=D.exec(p.preRelease);if(d){const[,c,o,u]=d;a=Date.UTC(Number(c),Number(o)-1,Number(u))}}return{majorBase:S,majorMustEqual:t,minorBase:v,minorMustEqual:g,patchBase:w,patchMustEqual:M,isMinimum:p.hasGreaterEquals,notBefore:a}}e.normalizeVersion=P;function f(p,S,t){let v;typeof p=="string"?v=P(k(p)):v=p;let g;S instanceof Date?g=S.getTime():typeof S=="string"&&(g=new Date(S).getTime());let w;if(typeof t=="string"?w=P(k(t)):w=t,!v||!w)return!1;let M=v.majorBase,a=v.minorBase,d=v.patchBase,c=w.majorBase,o=w.minorBase,u=w.patchBase,s=w.notBefore,i=w.majorMustEqual,r=w.minorMustEqual,l=w.patchMustEqual;return w.isMinimum?M>c?!0:M<c?!1:a>o?!0:a<o||g&&g<s?!1:d>=u:(M===1&&c===0&&(!i||!r||!l)&&(c=1,o=0,u=0,i=!0,r=!1,l=!1),M<c?!1:M>c?!i:a<o?!1:a>o?!r:d<u?!1:d>u?!l:!(g&&g<s))}e.isValidVersion=f;function m(p,S,t,v){return t.isBuiltin||typeof t.main=="undefined"?!0:I(p,S,t.engines.vscode,v)}e.isValidExtensionVersion=m;function E(p,S,t){return p==="*"||I(S,t,p)}e.isEngineValid=E;function I(p,S,t,v=[]){let g=P(k(t));if(!g)return v.push(y.localize(0,null,t)),!1;if(g.majorBase===0){if(!g.majorMustEqual||!g.minorMustEqual)return v.push(y.localize(1,null,t)),!1}else if(!g.majorMustEqual)return v.push(y.localize(2,null,t)),!1;return f(p,S,g)?!0:(v.push(y.localize(3,null,p,t)),!1)}}),define(ee[170],te([0,1,4,2,17,51,21]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProviderChannel=void 0;class P extends n.Disposable{constructor(m,E){super();this.provider=m,this.logService=E,this.sessionToWatcher=new Map,this.watchRequests=new Map}call(m,E,I){const p=this.getUriTransformer(m);switch(E){case"stat":return this.stat(p,I[0]);case"readdir":return this.readdir(p,I[0]);case"open":return this.open(p,I[0],I[1]);case"close":return this.close(I[0]);case"read":return this.read(I[0],I[1],I[2]);case"readFile":return this.readFile(p,I[0],I[1]);case"write":return this.write(I[0],I[1],I[2],I[3],I[4]);case"writeFile":return this.writeFile(p,I[0],I[1],I[2]);case"rename":return this.rename(p,I[0],I[1],I[2]);case"copy":return this.copy(p,I[0],I[1],I[2]);case"mkdir":return this.mkdir(p,I[0]);case"delete":return this.delete(p,I[0],I[1]);case"watch":return this.watch(p,I[0],I[1],I[2],I[3]);case"unwatch":return this.unwatch(I[0],I[1])}throw new Error(`IPC Command ${E} not found`)}listen(m,E,I){const p=this.getUriTransformer(m);switch(E){case"fileChange":return this.onFileChange(p,I[0]);case"readFileStream":return this.onReadFileStream(p,I[0],I[1])}throw new Error(`Unknown event ${E}`)}stat(m,E){const I=this.transformIncoming(m,E,!0);return this.provider.stat(I)}readdir(m,E){const I=this.transformIncoming(m,E);return this.provider.readdir(I)}async readFile(m,E,I){const p=this.transformIncoming(m,E,!0),S=await this.provider.readFile(p,I);return D.VSBuffer.wrap(S)}onReadFileStream(m,E,I){const p=this.transformIncoming(m,E,!0),S=new k.CancellationTokenSource,t=new y.Emitter({onLastListenerRemove:()=>{S.cancel()}}),v=this.provider.readFileStream(p,I,S.token);return(0,C.listenStream)(v,{onData:g=>t.fire(D.VSBuffer.wrap(g)),onError:g=>t.fire(g),onEnd:()=>{t.fire("end"),t.dispose(),S.dispose()}}),t.event}writeFile(m,E,I,p){const S=this.transformIncoming(m,E);return this.provider.writeFile(S,I.buffer,p)}open(m,E,I){const p=this.transformIncoming(m,E,!0);return this.provider.open(p,I)}close(m){return this.provider.close(m)}async read(m,E,I){const p=D.VSBuffer.alloc(I),S=0,t=await this.provider.read(m,E,p.buffer,S,I);return[p,t]}write(m,E,I,p,S){return this.provider.write(m,E,I.buffer,p,S)}mkdir(m,E){const I=this.transformIncoming(m,E);return this.provider.mkdir(I)}delete(m,E,I){const p=this.transformIncoming(m,E);return this.provider.delete(p,I)}rename(m,E,I,p){const S=this.transformIncoming(m,E),t=this.transformIncoming(m,I);return this.provider.rename(S,t,p)}copy(m,E,I,p){const S=this.transformIncoming(m,E),t=this.transformIncoming(m,I);return this.provider.copy(S,t,p)}onFileChange(m,E){const I=new y.Emitter({onFirstListenerAdd:()=>{this.sessionToWatcher.set(E,this.createSessionFileWatcher(m,I))},onLastListenerRemove:()=>{(0,n.dispose)(this.sessionToWatcher.get(E)),this.sessionToWatcher.delete(E)}});return I.event}async watch(m,E,I,p,S){const t=this.sessionToWatcher.get(E);if(t){const v=this.transformIncoming(m,p),g=t.watch(I,v,S);this.watchRequests.set(E+I,g)}}async unwatch(m,E){const I=m+E,p=this.watchRequests.get(I);p&&((0,n.dispose)(p),this.watchRequests.delete(I))}dispose(){super.dispose();for(const[,m]of this.watchRequests)m.dispose();this.watchRequests.clear();for(const[,m]of this.sessionToWatcher)m.dispose();this.sessionToWatcher.clear()}}e.AbstractDiskFileSystemProviderChannel=P}),define(ee[74],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class y{constructor(D,C=[],k=!1){this.ctor=D,this.staticArguments=C,this.supportsDelayedInstantiation=k}}e.SyncDescriptor=y}),define(ee[171],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class y{constructor(C){this.incoming=new Map,this.outgoing=new Map,this.data=C}}e.Node=y;class n{constructor(C){this._hashFn=C,this._nodes=new Map}roots(){const C=[];for(let k of this._nodes.values())k.outgoing.size===0&&C.push(k);return C}insertEdge(C,k){const P=this.lookupOrInsertNode(C),f=this.lookupOrInsertNode(k);P.outgoing.set(this._hashFn(k),f),f.incoming.set(this._hashFn(C),P)}removeNode(C){const k=this._hashFn(C);this._nodes.delete(k);for(let P of this._nodes.values())P.outgoing.delete(k),P.incoming.delete(k)}lookupOrInsertNode(C){const k=this._hashFn(C);let P=this._nodes.get(k);return P||(P=new y(C),this._nodes.set(k,P)),P}lookup(C){return this._nodes.get(this._hashFn(C))}isEmpty(){return this._nodes.size===0}toString(){let C=[];for(let[k,P]of this._nodes)C.push(`${k}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return C.join(`
`)}findCycleSlow(){for(let[C,k]of this._nodes){const P=new Set([C]),f=this._findCycle(k,P);if(f)return f}}_findCycle(C,k){for(let[P,f]of C.outgoing){if(k.has(P))return[...k,P].join(" -> ");k.add(P);const m=this._findCycle(f,k);if(m)return m;k.delete(P)}}}e.Graph=n}),define(ee[5],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var y;(function(k){k.serviceIds=new Map,k.DI_TARGET="$di$target",k.DI_DEPENDENCIES="$di$dependencies";function P(f){return f[k.DI_DEPENDENCIES]||[]}k.getServiceDependencies=P})(y=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function n(k,P,f,m){P[y.DI_TARGET]===P?P[y.DI_DEPENDENCIES].push({id:k,index:f,optional:m}):(P[y.DI_DEPENDENCIES]=[{id:k,index:f,optional:m}],P[y.DI_TARGET]=P)}function D(k){if(y.serviceIds.has(k))return y.serviceIds.get(k);const P=function(f,m,E){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(P,f,E,!1)};return P.toString=()=>k,y.serviceIds.set(k,P),P}e.createDecorator=D;function C(k){return k}e.refineServiceDecorator=C}),define(ee[52],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBackupMainService=void 0,e.IBackupMainService=(0,y.createDecorator)("backupMainService")}),define(ee[19],te([0,1,13,7,5]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,D.createDecorator)("configurationService");function C(g){return g&&typeof g=="object"&&(!g.overrideIdentifier||typeof g.overrideIdentifier=="string")&&(!g.resource||g.resource instanceof n.URI)}e.isConfigurationOverrides=C;function k(g){return g&&typeof g=="object"&&(!g.overrideIdentifiers||y.isArray(g.overrideIdentifiers))&&!g.overrideIdentifier&&(!g.resource||g.resource instanceof n.URI)}e.isConfigurationUpdateOverrides=k;var P;(function(g){g[g.USER=1]="USER",g[g.USER_LOCAL=2]="USER_LOCAL",g[g.USER_REMOTE=3]="USER_REMOTE",g[g.WORKSPACE=4]="WORKSPACE",g[g.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",g[g.DEFAULT=6]="DEFAULT",g[g.MEMORY=7]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function f(g){switch(g){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=f;function m(g,w){const M=Object.create(null);for(let a in g)E(M,a,g[a],w);return M}e.toValuesTree=m;function E(g,w,M,a){const d=w.split("."),c=d.pop();let o=g;for(let u=0;u<d.length;u++){let s=d[u],i=o[s];switch(typeof i){case"undefined":i=o[s]=Object.create(null);break;case"object":break;default:a(`Ignoring ${w} as ${d.slice(0,u+1).join(".")} is ${JSON.stringify(i)}`);return}o=i}if(typeof o=="object"&&o!==null)try{o[c]=M}catch{a(`Ignoring ${w} as ${d.join(".")} is ${JSON.stringify(o)}`)}else a(`Ignoring ${w} as ${d.join(".")} is ${JSON.stringify(o)}`)}e.addToValueTree=E;function I(g,w){const M=w.split(".");p(g,M)}e.removeFromValueTree=I;function p(g,w){const M=w.shift();if(w.length===0){delete g[M];return}if(Object.keys(g).indexOf(M)!==-1){const a=g[M];typeof a=="object"&&!Array.isArray(a)&&(p(a,w),Object.keys(a).length===0&&delete g[M])}}function S(g,w,M){function a(o,u){let s=o;for(const i of u){if(typeof s!="object"||s===null)return;s=s[i]}return s}const d=w.split("."),c=a(g,d);return typeof c=="undefined"?M:c}e.getConfigurationValue=S;function t(g,w,M){Object.keys(w).forEach(a=>{a!=="__proto__"&&(a in g?y.isObject(g[a])&&y.isObject(w[a])?t(g[a],w[a],M):M&&(g[a]=w[a]):g[a]=w[a])})}e.merge=t;function v(g,w,M){const a=g.inspect(w),d=g.inspect(M);return typeof a.userValue!="undefined"||typeof a.workspaceValue!="undefined"||typeof a.workspaceFolderValue!="undefined"?a.value:typeof d.userValue!="undefined"||typeof d.workspaceValue!="undefined"||typeof d.workspaceFolderValue!="undefined"?d.value:a.defaultValue}e.getMigratedSettingValue=v}),define(ee[75],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,y.createDecorator)(e.ID);function n(D){return!!D.hostName&&!!D.errorMessage}e.isRemoteDiagnosticError=n}),define(ee[89],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,y.createDecorator)("encryptionMainService");class n{constructor(C){this.machineId=C}encryption(){return new Promise((C,k)=>G(["vscode-encrypt"],C,k))}async encrypt(C){try{return(await this.encryption()).encrypt(this.machineId,C)}catch{return C}}async decrypt(C){try{return(await this.encryption()).decrypt(this.machineId,C)}catch{return C}}}e.EncryptionMainService=n}),define(ee[53],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,y.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,y.refineServiceDecorator)(e.IEnvironmentService)}),define(ee[172],te([0,1,10,142,5]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";var C;(function(a){a.WIN32_X64="win32-x64",a.WIN32_IA32="win32-ia32",a.WIN32_ARM64="win32-arm64",a.LINUX_X64="linux-x64",a.LINUX_ARM64="linux-arm64",a.LINUX_ARMHF="linux-armhf",a.ALPINE_X64="alpine-x64",a.ALPINE_ARM64="alpine-arm64",a.DARWIN_X64="darwin-x64",a.DARWIN_ARM64="darwin-arm64",a.WEB="web",a.UNIVERSAL="universal",a.UNKNOWN="unknown",a.UNDEFINED="undefined"})(C=e.TargetPlatform||(e.TargetPlatform={}));function k(a){switch(a){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=k;function P(a){switch(a){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=P;function f(a,d){switch(a){case 3:return d==="x64"?"win32-x64":d==="ia32"?"win32-ia32":d==="arm64"?"win32-arm64":"unknown";case 2:return d==="x64"?"linux-x64":d==="arm64"?"linux-arm64":d==="arm"?"linux-armhf":"unknown";case"alpine":return d==="x64"?"alpine-x64":d==="arm64"?"alpine-arm64":"unknown";case 1:return d==="x64"?"darwin-x64":d==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=f;function m(a,d){return d==="web"&&!a.includes("web")}e.isNotWebExtensionInWebTargetPlatform=m;function E(a,d,c){return m(d,c)?!1:a==="undefined"||a==="universal"?!0:a==="unknown"?!1:a===c?!0:I(c).includes(a)}e.isTargetPlatformCompatible=E;function I(a){switch(a){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=I;function p(a){return a&&typeof a=="object"&&typeof a.id=="string"&&(!a.uuid||typeof a.uuid=="string")}e.isIExtensionIdentifier=p;var S;(function(a){a[a.NoneOrRelevance=0]="NoneOrRelevance",a[a.LastUpdatedDate=1]="LastUpdatedDate",a[a.Title=2]="Title",a[a.PublisherName=3]="PublisherName",a[a.InstallCount=4]="InstallCount",a[a.PublishedDate=10]="PublishedDate",a[a.AverageRating=6]="AverageRating",a[a.WeightedRating=12]="WeightedRating"})(S=e.SortBy||(e.SortBy={}));var t;(function(a){a[a.Default=0]="Default",a[a.Ascending=1]="Ascending",a[a.Descending=2]="Descending"})(t=e.SortOrder||(e.SortOrder={}));var v;(function(a){a.Install="install",a.Uninstall="uninstall"})(v=e.StatisticType||(e.StatisticType={}));var g;(function(a){a[a.None=1]="None",a[a.Install=2]="Install",a[a.Update=3]="Update",a[a.Migrate=4]="Migrate"})(g=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,D.createDecorator)("extensionGalleryService");var w;(function(a){a.Unsupported="Unsupported",a.UnsupportedPreRelease="UnsupportedPreRelease",a.Malicious="Malicious",a.Incompatible="Incompatible",a.IncompatiblePreRelease="IncompatiblePreRelease",a.IncompatibleTargetPlatform="IncompatibleTargetPlatform",a.Invalid="Invalid",a.Download="Download",a.Extract="Extract",a.Delete="Delete",a.Rename="Rename",a.CorruptZip="CorruptZip",a.IncompleteZip="IncompleteZip",a.Internal="Internal"})(w=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class M extends Error{constructor(d,c){super(d);this.code=c,this.name=c}}e.ExtensionManagementError=M,e.IExtensionManagementService=(0,D.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,D.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,D.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=y.FileAccess.asBrowserUri("./media/defaultIcon.png",G).toString(!0),e.ExtensionsLabel=(0,n.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,n.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,D.createDecorator)("IExtensionManagementCLIService")}),define(ee[173],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,y.createDecorator)("extensionUrlTrustService")}),define(ee[174],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcExtensionHostStarterChannelName=e.IExtensionHostStarter=void 0,e.IExtensionHostStarter=(0,y.createDecorator)("extensionHostStarter"),e.ipcExtensionHostStarterChannelName="extensionHostStarter"}),define(ee[90],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,y.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,y.createDecorator)("externalTerminal")}),define(ee[175],te([0,1,44,10,9,3,82,24,73,144,90]),function(G,e,y,n,D,C,k,P,f,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const I=m.localize(0,null);class p{async getDefaultTerminalForPlatforms(){return{windows:S.getDefaultTerminalWindows(),linux:await v.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class S extends p{openTerminal(d,c){return this.spawnTerminal(y,d,f.getWindowsShell(),c)}spawnTerminal(d,c,o,u){const s=c.windowsExec||S.getDefaultTerminalWindows();u&&u[1]===":"&&(u=u[0].toUpperCase()+u.substr(1));const i=D.basename(s).toLowerCase();if(i==="cmder"||i==="cmder.exe")return d.spawn(s,u?[u]:void 0),Promise.resolve(void 0);const r=["/c","start","/wait"];return s.indexOf(" ")>=0&&r.push('""'),r.push(s),(i==="wt"||i==="wt.exe")&&r.push("-d ."),new Promise((l,h)=>{const b=g(process),L=d.spawn(o,r,{cwd:u,env:b});L.on("error",h),L.on("exit",()=>l())})}runInTerminal(d,c,o,u,s){const i="windowsExec"in s&&s.windowsExec?s.windowsExec:S.getDefaultTerminalWindows();return new Promise((r,l)=>{const h=`"${c} - ${I}"`,b=`""${o.join('" "')}" & pause"`,L=["/c","start",h,"/wait",i,"/c",b],R=Object.assign({},g(process),u);Object.keys(R).filter(Q=>R[Q]===null).forEach(Q=>delete R[Q]);const T={cwd:c,env:R,windowsVerbatimArguments:!0};y.spawn(S.CMD,L,T).on("error",Q=>{l(w(Q))}),r(void 0)})}static getDefaultTerminalWindows(){if(!S._DEFAULT_TERMINAL_WINDOWS){const d=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");S._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${d?"Sysnative":"System32"}\\cmd.exe`}return S._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=S,S.CMD="cmd.exe";class t extends p{openTerminal(d,c){return this.spawnTerminal(y,d,c)}runInTerminal(d,c,o,u,s){const i=s.osxExec||E.DEFAULT_TERMINAL_OSX;return new Promise((r,l)=>{if(i===E.DEFAULT_TERMINAL_OSX||i==="iTerm.app"){const h=i===E.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",L=[n.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${h}.scpt`,G).fsPath,"-t",d||I,"-w",c];for(let U of o)L.push("-a"),L.push(U);if(u){const U=Object.assign({},g(process),u);for(let Q in U){const se=U[Q];se===null?(L.push("-u"),L.push(Q)):(L.push("-e"),L.push(`${Q}=${se}`))}}let R="";const T=y.spawn(t.OSASCRIPT,L);T.on("error",U=>{l(w(U))}),T.stderr.on("data",U=>{R+=U.toString()}),T.on("exit",U=>{if(U===0)r(void 0);else if(R){const Q=R.split(`
`,1);l(new Error(Q[0]))}else l(new Error(m.localize(1,null,h,U)))})}else l(new Error(m.localize(2,null,i)))})}spawnTerminal(d,c,o){const u=c.osxExec||E.DEFAULT_TERMINAL_OSX;return new Promise((s,i)=>{const r=["-a",u];o&&r.push(o);const l=g(process),h=d.spawn("/usr/bin/open",r,{cwd:o,env:l});h.on("error",i),h.on("exit",()=>s())})}}e.MacExternalTerminalService=t,t.OSASCRIPT="/usr/bin/osascript";class v extends p{openTerminal(d,c){return this.spawnTerminal(y,d,c)}runInTerminal(d,c,o,u,s){const i=s.linuxExec?Promise.resolve(s.linuxExec):v.getDefaultTerminalLinuxReady();return new Promise((r,l)=>{let h=[];i.then(b=>{b.indexOf("gnome-terminal")>=0?h.push("-x"):h.push("-e"),h.push("bash"),h.push("-c");const L=`${M(o)}; echo; read -p "${v.WAIT_MESSAGE}" -n1;`;h.push(`''${L}''`);const R=Object.assign({},g(process),u);Object.keys(R).filter(se=>R[se]===null).forEach(se=>delete R[se]);const T={cwd:c,env:R};let U="";const Q=y.spawn(b,h,T);Q.on("error",se=>{l(w(se))}),Q.stderr.on("data",se=>{U+=se.toString()}),Q.on("exit",se=>{if(se===0)r(void 0);else if(U){const ne=U.split(`
`,1);l(new Error(ne[0]))}else l(new Error(m.localize(4,null,b,se)))})})})}static async getDefaultTerminalLinuxReady(){if(!v._DEFAULT_TERMINAL_LINUX_READY)if(!C.isLinux)v._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const d=await P.Promises.exists("/etc/debian_version");v._DEFAULT_TERMINAL_LINUX_READY=new Promise(c=>{d?c("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?c("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?c("konsole"):process.env.COLORTERM?c(process.env.COLORTERM):process.env.TERM?c(process.env.TERM):c("xterm")})}return v._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(d,c,o){const u=c.linuxExec?Promise.resolve(c.linuxExec):v.getDefaultTerminalLinuxReady();return new Promise((s,i)=>{u.then(r=>{const l=g(process),h=d.spawn(r,[],{cwd:o,env:l});h.on("error",i),h.on("exit",()=>s())})})}}e.LinuxExternalTerminalService=v,v.WAIT_MESSAGE=m.localize(3,null);function g(a){const d={...a.env};return(0,k.sanitizeProcessEnvironment)(d),d}function w(a){return"errno"in a&&a.errno==="ENOENT"&&"path"in a&&typeof a.path=="string"?new Error(m.localize(5,null,a.path)):a}function M(a){let d="";for(let c of a)c.indexOf(" ")>=0?d+='"'+c+'"':d+=c,d+=" ";return d}}),define(ee[18],te([0,1,35,9,25,13,7,146,5]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,f.createDecorator)("fileService");function m(V){return V.create===!0}e.isFileOpenForWriteOptions=m;var E;(function(V){V[V.Unknown=0]="Unknown",V[V.File=1]="File",V[V.Directory=2]="Directory",V[V.SymbolicLink=64]="SymbolicLink"})(E=e.FileType||(e.FileType={}));var I;(function(V){V[V.Readonly=1]="Readonly"})(I=e.FilePermission||(e.FilePermission={}));var p;(function(V){V[V.FileReadWrite=2]="FileReadWrite",V[V.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",V[V.FileReadStream=16]="FileReadStream",V[V.FileFolderCopy=8]="FileFolderCopy",V[V.PathCaseSensitive=1024]="PathCaseSensitive",V[V.Readonly=2048]="Readonly",V[V.Trash=4096]="Trash",V[V.FileWriteUnlock=8192]="FileWriteUnlock",V[V.FileAtomicRead=16384]="FileAtomicRead"})(p=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function S(V){return!!(V.capabilities&2)}e.hasReadWriteCapability=S;function t(V){return!!(V.capabilities&8)}e.hasFileFolderCopyCapability=t;function v(V){return!!(V.capabilities&4)}e.hasOpenReadWriteCloseCapability=v;function g(V){return!!(V.capabilities&16)}e.hasFileReadStreamCapability=g;function w(V){return S(V)?!!(V.capabilities&16384):!1}e.hasFileAtomicReadCapability=w;var M;(function(V){V.FileExists="EntryExists",V.FileNotFound="EntryNotFound",V.FileNotADirectory="EntryNotADirectory",V.FileIsADirectory="EntryIsADirectory",V.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",V.FileTooLarge="EntryTooLarge",V.FileWriteLocked="EntryWriteLocked",V.NoPermissions="NoPermissions",V.Unavailable="Unavailable",V.Unknown="Unknown"})(M=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class a extends Error{constructor(K,j){super(K);this.code=j}}e.FileSystemProviderError=a;function d(V,K){const j=new a(V.toString(),K);return o(j,K),j}e.createFileSystemProviderError=d;function c(V){return V||d((0,P.localize)(0,null),M.Unknown)}e.ensureFileSystemProviderError=c;function o(V,K){return V.name=K?`${K} (FileSystemError)`:"FileSystemError",V}e.markAsFileSystemProviderError=o;function u(V){if(!V)return M.Unknown;if(V instanceof a)return V.code;const K=/^(.+) \(FileSystemError\)$/.exec(V.name);if(!K)return M.Unknown;switch(K[1]){case M.FileExists:return M.FileExists;case M.FileIsADirectory:return M.FileIsADirectory;case M.FileNotADirectory:return M.FileNotADirectory;case M.FileNotFound:return M.FileNotFound;case M.FileExceedsMemoryLimit:return M.FileExceedsMemoryLimit;case M.FileTooLarge:return M.FileTooLarge;case M.FileWriteLocked:return M.FileWriteLocked;case M.NoPermissions:return M.NoPermissions;case M.Unavailable:return M.Unavailable}return M.Unknown}e.toFileSystemProviderErrorCode=u;function s(V){if(V instanceof L)return V.fileOperationResult;switch(u(V)){case M.FileNotFound:return 1;case M.FileIsADirectory:return 0;case M.FileNotADirectory:return 10;case M.FileWriteLocked:return 5;case M.NoPermissions:return 6;case M.FileExists:return 4;case M.FileExceedsMemoryLimit:return 9;case M.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var i;(function(V){V[V.CREATE=0]="CREATE",V[V.DELETE=1]="DELETE",V[V.MOVE=2]="MOVE",V[V.COPY=3]="COPY"})(i=e.FileOperation||(e.FileOperation={}));class r{constructor(K,j,B){this.resource=K,this.operation=j,this.target=B}isOperation(K){return this.operation===K}}e.FileOperationEvent=r;var l;(function(V){V[V.UPDATED=0]="UPDATED",V[V.ADDED=1]="ADDED",V[V.DELETED=2]="DELETED"})(l=e.FileChangeType||(e.FileChangeType={}));class h{constructor(K,j){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=K;const B=new Map;for(const $ of K){const Y=B.get($.type);switch(Y?Y.push([$.resource,$]):B.set($.type,[[$.resource,$]]),$.type){case 1:this.rawAdded.push($.resource);break;case 0:this.rawUpdated.push($.resource);break;case 2:this.rawDeleted.push($.resource);break}}for(const[$,Y]of B)switch($){case 1:this.added=y.TernarySearchTree.forUris(()=>j),this.added.fill(Y);break;case 0:this.updated=y.TernarySearchTree.forUris(()=>j),this.updated.fill(Y);break;case 2:this.deleted=y.TernarySearchTree.forUris(()=>j),this.deleted.fill(Y);break}}contains(K,...j){return this.doContains(K,{includeChildren:!1},...j)}affects(K,...j){return this.doContains(K,{includeChildren:!0},...j)}doContains(K,j,...B){if(!K)return!1;const $=B.length>0;return!!((!$||B.includes(1))&&(this.added?.get(K)||j.includeChildren&&this.added?.findSuperstr(K))||(!$||B.includes(0))&&(this.updated?.get(K)||j.includeChildren&&this.updated?.findSuperstr(K))||(!$||B.includes(2))&&(this.deleted?.findSubstr(K)||j.includeChildren&&this.deleted?.findSuperstr(K)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=h;function b(V,K,j){return!V||!K||V===K||K.length>V.length?!1:(K.charAt(K.length-1)!==n.sep&&(K+=n.sep),j?(0,D.startsWithIgnoreCase)(V,K):V.indexOf(K)===0)}e.isParent=b;class L extends Error{constructor(K,j,B){super(K);this.fileOperationResult=j,this.options=B}}e.FileOperationError=L;class R extends L{constructor(K,j,B){super(K,2,B);this.stat=j}}e.NotModifiedSinceFileOperationError=R;var T;(function(V){V[V.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",V[V.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",V[V.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",V[V.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",V[V.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",V[V.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",V[V.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",V[V.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",V[V.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",V[V.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",V[V.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",V[V.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(T=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var U;(function(V){V[V.FILE=0]="FILE",V[V.FOLDER=1]="FOLDER",V[V.ROOT_FOLDER=2]="ROOT_FOLDER"})(U=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function Q(V){if(!(typeof V.size!="number"||typeof V.mtime!="number"))return V.mtime.toString(29)+V.size.toString(31)}e.etag=Q;async function se(V,K){if(!K.hasProvider(k.URI.from({scheme:V.scheme})))return new Promise(j=>{const B=K.onDidChangeFileSystemProviderRegistrations($=>{$.scheme===V.scheme&&$.added&&(B.dispose(),j())})})}e.whenProviderRegistered=se,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class ne{static formatSize(K){return(0,C.isNumber)(K)||(K=0),K<ne.KB?(0,P.localize)(1,null,K.toFixed(0)):K<ne.MB?(0,P.localize)(2,null,(K/ne.KB).toFixed(2)):K<ne.GB?(0,P.localize)(3,null,(K/ne.MB).toFixed(2)):K<ne.TB?(0,P.localize)(4,null,(K/ne.GB).toFixed(2)):(0,P.localize)(5,null,(K/ne.TB).toFixed(2))}}e.ByteSize=ne,ne.KB=1024,ne.MB=ne.KB*ne.KB,ne.GB=ne.MB*ne.KB,ne.TB=ne.GB*ne.KB;var q;(function(V){V[V.IA32=0]="IA32",V[V.OTHER=1]="OTHER"})(q=e.Arch||(e.Arch={}));function J(V){return{maxFileSize:V===0?300*ne.MB:16*ne.GB,maxHeapSize:V===0?700*ne.MB:2*700*ne.MB}}e.getPlatformLimits=J}),define(ee[54],te([0,1,250,140,88,18]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;function k(p,S){const t={onUnknownOption:g=>{console.warn((0,n.localize)(0,null,g))},onMultipleValues:(g,w)=>{console.warn((0,n.localize)(1,null,g,w))},onDeprecatedOption:(g,w)=>{console.warn((0,n.localize)(2,null,g,w))}},v=(0,D.parseArgs)(p,D.OPTIONS,S?t:void 0);return v.goto&&v._.forEach(g=>y(/^(\w:)?[^:]+(:\d*){0,2}$/.test(g),(0,n.localize)(3,null))),v["max-memory"]&&y(parseInt(v["max-memory"])>=C.MIN_MAX_MEMORY_SIZE_MB,`The max-memory argument cannot be specified lower than ${C.MIN_MAX_MEMORY_SIZE_MB} MB.`),v}function P(p){const S=p.findIndex(t=>!/^-/.test(t));if(S>-1)return[...p.slice(0,S),...p.slice(S+1)]}function f(p){let[,...S]=p;process.env.VSCODE_DEV&&(S=P(S)||[]);const t=!I(process.env);return k(S,t)}e.parseMainProcessArgv=f;function m(p){const[,,...S]=p;return k(S,!0)}e.parseCLIProcessArgv=m;function E(p,...S){const t=p.indexOf("--");return t===-1?p.push(...S):p.splice(t,0,...S),p}e.addArg=E;function I(p){return p.VSCODE_CLI==="1"}e.isLaunchedFromCli=I}),define(ee[91],te([0,1,44,9,141,21,39,15,3,32,134,54,8]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const S=1e4;let t;async function v(w,M,a){return M["force-disable-user-env"]?(w.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):f.isWindows?(w.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,I.isLaunchedFromCli)(a)&&!M["force-user-env"]?(w.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,I.isLaunchedFromCli)(a)?w.trace("resolveShellEnv(): running (--force-user-env)"):w.trace("resolveShellEnv(): running (macOS/Linux)"),t||(t=p.Promises.withAsyncBody(async(d,c)=>{const o=new C.CancellationTokenSource,u=setTimeout(()=>{o.dispose(!0),c(new Error((0,D.localize)(0,null)))},S);try{d(await g(w,o.token))}catch(s){!(0,P.isPromiseCanceledError)(s)&&!o.token.isCancellationRequested?c(new Error((0,D.localize)(1,null,(0,k.toErrorMessage)(s)))):d({})}finally{clearTimeout(u),o.dispose()}})),t)}e.getResolvedShellEnv=v;async function g(w,M){const a=process.env.ELECTRON_RUN_AS_NODE;w.trace("getUnixShellEnvironment#runAsNode",a);const d=process.env.ELECTRON_NO_ATTACH_CONSOLE;w.trace("getUnixShellEnvironment#noAttach",d);const c=(0,m.generateUuid)().replace(/-/g,"").substr(0,12),o=new RegExp(c+"(.*)"+c),u={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};w.trace("getUnixShellEnvironment#env",u);const s=await(0,E.getSystemShell)(f.OS,u);return w.trace("getUnixShellEnvironment#shell",s),new Promise((i,r)=>{if(M.isCancellationRequested)return r((0,P.canceled)());const l=(0,n.basename)(s);let h,b;const L=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(l)?(h=`& '${process.execPath}' ${L} -p '''${c}'' + JSON.stringify(process.env) + ''${c}'''`,b=["-Login","-Command"]):(h=`'${process.execPath}' ${L} -p '"${c}" + JSON.stringify(process.env) + "${c}"'`,l==="tcsh"?b=["-ic"]:b=["-ilc"]),w.trace("getUnixShellEnvironment#spawn",JSON.stringify(b),h);const R=(0,y.spawn)(s,[...b,h],{detached:!0,stdio:["ignore","pipe","pipe"],env:u});M.onCancellationRequested(()=>(R.kill(),r((0,P.canceled)()))),R.on("error",Q=>{w.error("getUnixShellEnvironment#errorChildProcess",(0,k.toErrorMessage)(Q)),r(Q)});const T=[];R.stdout.on("data",Q=>T.push(Q));const U=[];R.stderr.on("data",Q=>U.push(Q)),R.on("close",(Q,se)=>{const ne=Buffer.concat(T).toString("utf8");w.trace("getUnixShellEnvironment#raw",ne);const q=Buffer.concat(U).toString("utf8");if(q.trim()&&w.trace("getUnixShellEnvironment#stderr",q),Q||se)return r(new Error((0,D.localize)(2,null,Q,se)));const J=o.exec(ne),V=J?J[1]:"{}";try{const K=JSON.parse(V);a?K.ELECTRON_RUN_AS_NODE=a:delete K.ELECTRON_RUN_AS_NODE,d?K.ELECTRON_NO_ATTACH_CONSOLE=d:delete K.ELECTRON_NO_ATTACH_CONSOLE,delete K.XDG_RUNTIME_DIR,w.trace("getUnixShellEnvironment#result",K),i(K)}catch(K){w.error("getUnixShellEnvironment#errorCaught",(0,k.toErrorMessage)(K)),r(K)}})})}}),define(ee[176],te([0,1,17,39,15,4,2,51,7,32,18]),function(G,e,y,n,D,C,k,P,f,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class I extends k.Disposable{constructor(S,t){super();this.channel=S,this.extraCapabilities=t,this.onDidChangeCapabilities=C.Event.None,this._onDidChange=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new C.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,m.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(S){return this.channel.call("stat",[S])}readdir(S){return this.channel.call("readdir",[S])}async readFile(S,t){const{buffer:v}=await this.channel.call("readFile",[S,t]);return v}readFileStream(S,t,v){const g=(0,P.newWriteableStream)(M=>y.VSBuffer.concat(M.map(a=>y.VSBuffer.wrap(a))).buffer),w=this.channel.listen("readFileStream",[S,t])(M=>{if(M instanceof y.VSBuffer)g.write(M.buffer);else{if(M==="end")g.end();else{let a=M;a instanceof Error||(a=(0,E.createFileSystemProviderError)((0,n.toErrorMessage)(a),E.FileSystemProviderErrorCode.Unknown)),g.error(a),g.end()}w.dispose()}});return v.onCancellationRequested(()=>{g.error((0,D.canceled)()),g.end(),w.dispose()}),g}writeFile(S,t,v){return this.channel.call("writeFile",[S,y.VSBuffer.wrap(t),v])}open(S,t){return this.channel.call("open",[S,t])}close(S){return this.channel.call("close",[S])}async read(S,t,v,g,w){const[M,a]=await this.channel.call("read",[S,t,w]);return v.set(M.buffer.slice(0,a),g),a}write(S,t,v,g,w){return this.channel.call("write",[S,t,y.VSBuffer.wrap(v),g,w])}mkdir(S){return this.channel.call("mkdir",[S])}delete(S,t){return this.channel.call("delete",[S,t])}rename(S,t,v){return this.channel.call("rename",[S,t,v])}copy(S,t,v){return this.channel.call("copy",[S,t,v])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(S=>{if(Array.isArray(S)){const t=S;this._onDidChange.fire(t.map(v=>({resource:f.URI.revive(v.resource),type:v.type})))}else{const t=S;this._onDidWatchError.fire(t)}}))}watch(S,t){const v=(0,m.generateUuid)();return this.channel.call("watch",[this.sessionId,v,S,t]),(0,k.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,v]))}}e.DiskFileSystemProviderClient=I}),define(ee[92],te([0,1,17,15,147,18]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function k(E,I,p,S,t,v){let g;try{await P(E,I,p,S,t,v)}catch(w){g=w}finally{g&&t.errorTransformer&&(g=t.errorTransformer(g)),typeof g!="undefined"&&p.error(g),p.end()}}e.readFileIntoStream=k;async function P(E,I,p,S,t,v){f(v);const g=await E.open(I,{create:!1});try{f(v);let w=0,M=0,a=t&&typeof t.length=="number"?t.length:void 0,d=y.VSBuffer.alloc(Math.min(t.bufferSize,typeof a=="number"?a:t.bufferSize)),c=t&&typeof t.position=="number"?t.position:0,o=0;do M=await E.read(g,c,d.buffer,o,d.byteLength-o),c+=M,o+=M,w+=M,typeof a=="number"&&(a-=M),o===d.byteLength&&(await p.write(S(d)),d=y.VSBuffer.alloc(Math.min(t.bufferSize,typeof a=="number"?a:t.bufferSize)),o=0);while(M>0&&(typeof a!="number"||a>0)&&f(v)&&m(w,t));if(o>0){let u=o;typeof a=="number"&&(u=Math.min(o,a)),p.write(S(d.slice(0,u)))}}catch(w){throw(0,C.ensureFileSystemProviderError)(w)}finally{await E.close(g)}}function f(E){if(E.isCancellationRequested)throw(0,n.canceled)();return!0}function m(E,I){if(I?.limits){if(typeof I.limits.memory=="number"&&E>I.limits.memory)throw(0,C.createFileSystemProviderError)((0,D.localize)(0,null),C.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof I.limits.size=="number"&&E>I.limits.size)throw(0,C.createFileSystemProviderError)((0,D.localize)(1,null),C.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(ee[62],te([0,1,2,3,7,18]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.coalesceEvents=e.toFileChanges=e.AbstractRecursiveWatcherClient=void 0;class k extends y.Disposable{constructor(I,p,S){super();this.onFileChanges=I,this.onLogMessage=p,this.verboseLogging=S,this.watcherDisposables=this._register(new y.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const I=new y.DisposableStore;this.watcherDisposables.value=I,this.watcher=this.createWatcher(I),this.watcher.setVerboseLogging(this.verboseLogging),I.add(this.watcher.onDidChangeFile(p=>this.onFileChanges(p))),I.add(this.watcher.onDidLogMessage(p=>this.onLogMessage(p))),I.add(this.watcher.onDidError(p=>this.onError(p)))}onError(I){this.restartCounter<k.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${I}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${I}`)}restart(I){this.restartCounter++,this.init(),this.watch(I)}async watch(I){this.requests=I,await this.watcher?.watch(I)}async setVerboseLogging(I){this.verboseLogging=I,await this.watcher?.setVerboseLogging(I)}error(I){this.onLogMessage({type:"error",message:`[File Watcher (parcel)] ${I}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractRecursiveWatcherClient=k,k.MAX_RESTARTS=5;function P(E){return E.map(I=>({type:I.type,resource:D.URI.file(I.path)}))}e.toFileChanges=P;function f(E){const I=new m;for(const p of E)I.processEvent(p);return I.coalesce()}e.coalesceEvents=f;class m{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(I){return n.isLinux?I.path:I.path.toLowerCase()}processEvent(I){const p=this.mapPathToChange.get(this.toKey(I));let S=!1;if(p){const t=p.type,v=I.type;p.path!==I.path&&(I.type===2||I.type===1)?S=!0:t===1&&v===2?(this.mapPathToChange.delete(this.toKey(I)),this.coalesced.delete(p)):t===2&&v===1?p.type=0:t===1&&v===0||(p.type=v)}else S=!0;S&&(this.coalesced.add(I),this.mapPathToChange.set(this.toKey(I),I))}coalesce(){const I=[],p=[];return Array.from(this.coalesced).filter(S=>S.type!==2?(I.push(S),!1):!0).sort((S,t)=>S.path.length-t.path.length).filter(S=>p.some(t=>(0,C.isParent)(S.path,t,!n.isLinux))?!1:(p.push(S.path),!0)).concat(I)}}}),define(ee[93],te([0,1,28,8,21,27,113,2,71,9,3,83,24,62]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcher=void 0;class t extends P.Disposable{constructor(w,M,a,d){super();this.request=w,this.onDidFilesChange=M,this.onLogMessage=a,this.verboseLogging=d,this.throttledFileChangesWorker=new n.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},c=>this.onDidFilesChange(c)),this.fileChangesDelayer=this._register(new n.ThrottledDelayer(t.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=this.request.excludes.map(c=>(0,k.parse)(c)),this.cts=new D.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const w=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;this.trace(`Request to start watching: ${w} (excludes: ${this.request.excludes}))}`);const M=await p.Promises.stat(w);this._register(await this.doWatch(w,M.isDirectory()))}catch(w){w.code!=="ENOENT"?this.error(w):this.trace(w)}}async normalizePath(w){let M=w.path;try{M=await p.Promises.realpath(w.path),w.path===M&&(M=await(0,I.realcase)(w.path)??w.path),w.path!==M&&this.warn(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${w.path}, real: ${M})`)}catch{}return M}async doWatch(w,M){if(E.isMacintosh&&(0,C.isEqualOrParent)(w,"/Volumes/"))return this.error(`Refusing to watch ${w} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),P.Disposable.None;const a=new D.CancellationTokenSource(this.cts.token);let d=new P.DisposableStore;try{const c=(0,m.basename)(w),o=(0,y.watch)(w);d.add((0,P.toDisposable)(()=>{o.removeAllListeners(),o.close()}));const u=new Set;if(M)try{for(const i of await p.Promises.readdir(w))u.add(i)}catch(i){this.error(i)}const s=new Map;d.add((0,P.toDisposable)(()=>{for(const[,i]of s)i.dispose();s.clear()})),o.on("error",(i,r)=>{this.error(`Failed to watch ${w} for changes using fs.watch() (${i}, ${r})`),this.dispose()}),o.on("change",(i,r)=>{if(a.token.isCancellationRequested)return;this.trace(`[raw] ["${i}"] ${r}`);let l="";if(r&&(l=r.toString(),E.isMacintosh&&(l=(0,f.normalizeNFC)(l))),!(!l||i!=="change"&&i!=="rename"))if(M)if(i==="rename"){s.get(l)?.dispose();const h=setTimeout(async()=>{if(s.delete(l),l===c&&!await p.Promises.exists(w)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const b=await this.existsChildStrictCase((0,m.join)(w,l));if(a.token.isCancellationRequested)return;let L;b?u.has(l)?L=0:(L=1,u.add(l)):(u.delete(l),L=2),this.onFileChange({path:(0,m.join)(this.request.path,l),type:L})},t.FILE_DELETE_HANDLER_DELAY);s.set(l,(0,P.toDisposable)(()=>clearTimeout(h)))}else{let h;u.has(l)?h=0:(h=1,u.add(l)),this.onFileChange({path:(0,m.join)(this.request.path,l),type:h})}else if(i==="rename"||l!==c){const h=setTimeout(async()=>{const b=await p.Promises.exists(w);a.token.isCancellationRequested||(b?(this.onFileChange({path:this.request.path,type:0},!0),d.add(await this.doWatch(w,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},t.FILE_DELETE_HANDLER_DELAY);d.clear(),d.add((0,P.toDisposable)(()=>clearTimeout(h)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(c){await p.Promises.exists(w)&&!a.token.isCancellationRequested&&this.error(`Failed to watch ${w} for changes using fs.watch() (${c.toString()})`)}return(0,P.toDisposable)(()=>{a.dispose(!0),d.dispose()})}async onFileChange(w,M=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${w.type===1?"[ADDED]":w.type===2?"[DELETED]":"[CHANGED]"} ${w.path}`),!M&&this.excludes.some(a=>a(w.path))?this.verboseLogging&&this.trace(` >> ignored ${w.path}`):this.fileChangesBuffer.push(w);try{await this.fileChangesDelayer.trigger(async()=>{const a=this.fileChangesBuffer;this.fileChangesBuffer=[];const d=(0,S.coalesceEvents)(a);if(d.length>0){if(this.verboseLogging)for(const o of d)this.trace(`>> normalized ${o.type===1?"[ADDED]":o.type===2?"[DELETED]":"[CHANGED]"} ${o.path}`);this.throttledFileChangesWorker.work(d)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${d[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${d.length}, most recent change: ${d[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(w){if(E.isLinux)return p.Promises.exists(w);try{const M=(0,m.basename)(w);return(await p.Promises.readdir((0,m.dirname)(w))).some(d=>d===M)}catch(M){return this.trace(M),!1}}setVerboseLogging(w){this.verboseLogging=w}error(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${w}`})}warn(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${w}`})}trace(w){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${w}`})}dispose(){this.trace("stopping file watcher"),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcher=t,t.FILE_DELETE_HANDLER_DELAY=100,t.FILE_CHANGES_HANDLER_DELAY=50;async function v(g,w,M,a=512){const d=await p.Promises.open(g,"r"),c=Buffer.allocUnsafe(a),o=new D.CancellationTokenSource(M);let u,s=!1;const i={path:g,excludes:[]},r=new t(i,l=>{(async()=>{for(const{type:h}of l)if(h===0){if(s)return;s=!0;try{for(;!o.token.isCancellationRequested;){const{bytesRead:b}=await p.Promises.read(d,c,0,a,null);if(!b||o.token.isCancellationRequested)break;w(c.slice(0,b))}}catch(b){u=new Error(b),o.dispose(!0)}finally{s=!1}}})()});return new Promise((l,h)=>{o.token.onCancellationRequested(async()=>{r.dispose();try{await p.Promises.close(d)}catch(b){u=new Error(b)}u?h(u):l()})})}e.watchFileContents=v}),define(ee[177],te([0,1,10,37,135,62]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ParcelWatcherClient=void 0;class k extends C.AbstractRecursiveWatcherClient{constructor(f,m,E){super(f,m,E);this.init()}createWatcher(f){const m=f.add(new D.Client(y.FileAccess.asFileUri("bootstrap-fork",G).fsPath,{serverName:"File Watcher (parcel, node.js)",args:["--type=parcelWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/parcel/parcelWatcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return f.add(m.onDidProcessExit(({code:E,signal:I})=>this.onError(`terminated by itself with code ${E}, signal: ${I}`))),n.ProxyChannel.toService((0,n.getNextTickChannel)(m.getChannel("watcher")))}}e.ParcelWatcherClient=k}),define(ee[76],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class y{constructor(...D){this._entries=new Map;for(let[C,k]of D)this.set(C,k)}set(D,C){const k=this._entries.get(D);return this._entries.set(D,C),k}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=y}),define(ee[178],te([0,1,8,15,74,171,5,76]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const f=!1;class m extends Error{constructor(t){super("cyclic dependency between services");this.message=t.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${t.toString()}`}}class E{constructor(t=new P.ServiceCollection,v=!1,g){this._activeInstantiations=new Set,this._services=t,this._strict=v,this._parent=g,this._services.set(k.IInstantiationService,this)}createChild(t){return new E(t,this._strict,this)}invokeFunction(t,...v){let g=p.traceInvocation(t),w=!1;try{return t({get:a=>{if(w)throw(0,n.illegalState)("service accessor is only valid during the invocation of its target method");const d=this._getOrCreateServiceInstance(a,g);if(!d)throw new Error(`[invokeFunction] unknown service '${a}'`);return d}},...v)}finally{w=!0,g.stop()}}createInstance(t,...v){let g,w;return t instanceof D.SyncDescriptor?(g=p.traceCreation(t.ctor),w=this._createInstance(t.ctor,t.staticArguments.concat(v),g)):(g=p.traceCreation(t),w=this._createInstance(t,v,g)),g.stop(),w}_createInstance(t,v=[],g){let w=k._util.getServiceDependencies(t).sort((d,c)=>d.index-c.index),M=[];for(const d of w){let c=this._getOrCreateServiceInstance(d.id,g);if(!c&&this._strict&&!d.optional)throw new Error(`[createInstance] ${t.name} depends on UNKNOWN service ${d.id}.`);M.push(c)}let a=w.length>0?w[0].index:v.length;if(v.length!==a){console.warn(`[createInstance] First service dependency of ${t.name} at position ${a+1} conflicts with ${v.length} static arguments`);let d=a-v.length;d>0?v=v.concat(new Array(d)):v=v.slice(0,a)}return new t(...[...v,...M])}_setServiceInstance(t,v){if(this._services.get(t)instanceof D.SyncDescriptor)this._services.set(t,v);else if(this._parent)this._parent._setServiceInstance(t,v);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(t){let v=this._services.get(t);return!v&&this._parent?this._parent._getServiceInstanceOrDescriptor(t):v}_getOrCreateServiceInstance(t,v){let g=this._getServiceInstanceOrDescriptor(t);return g instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(t,g,v.branch(t,!0)):(v.branch(t,!1),g)}_safeCreateAndCacheServiceInstance(t,v,g){if(this._activeInstantiations.has(t))throw new Error(`illegal state - RECURSIVELY instantiating service '${t}'`);this._activeInstantiations.add(t);try{return this._createAndCacheServiceInstance(t,v,g)}finally{this._activeInstantiations.delete(t)}}_createAndCacheServiceInstance(t,v,g){const w=new C.Graph(d=>d.id.toString());let M=0;const a=[{id:t,desc:v,_trace:g}];for(;a.length;){const d=a.pop();if(w.lookupOrInsertNode(d),M++>1e3)throw new m(w);for(let c of k._util.getServiceDependencies(d.desc.ctor)){let o=this._getServiceInstanceOrDescriptor(c.id);if(!o&&!c.optional&&console.warn(`[createInstance] ${t} depends on ${c.id} which is NOT registered.`),o instanceof D.SyncDescriptor){const u={id:c.id,desc:o,_trace:d._trace.branch(c.id,!0)};w.insertEdge(d,u),a.push(u)}}}for(;;){const d=w.roots();if(d.length===0){if(!w.isEmpty())throw new m(w);break}for(const{data:c}of d){if(this._getServiceInstanceOrDescriptor(c.id)instanceof D.SyncDescriptor){const u=this._createServiceInstanceWithOwner(c.id,c.desc.ctor,c.desc.staticArguments,c.desc.supportsDelayedInstantiation,c._trace);this._setServiceInstance(c.id,u)}w.removeNode(c)}}return this._getServiceInstanceOrDescriptor(t)}_createServiceInstanceWithOwner(t,v,g=[],w,M){if(this._services.get(t)instanceof D.SyncDescriptor)return this._createServiceInstance(v,g,w,M);if(this._parent)return this._parent._createServiceInstanceWithOwner(t,v,g,w,M);throw new Error(`illegalState - creating UNKNOWN service instance ${v.name}`)}_createServiceInstance(t,v=[],g,w){if(g){const M=new y.IdleValue(()=>this._createInstance(t,v,w));return new Proxy(Object.create(null),{get(a,d){if(d in a)return a[d];let c=M.value,o=c[d];return typeof o!="function"||(o=o.bind(c),a[d]=o),o},set(a,d,c){return M.value[d]=c,!0}})}else return this._createInstance(t,v,w)}}e.InstantiationService=E;var I;(function(S){S[S.Creation=0]="Creation",S[S.Invocation=1]="Invocation",S[S.Branch=2]="Branch"})(I||(I={}));class p{constructor(t,v){this.type=t,this.name=v,this._start=Date.now(),this._dep=[]}static traceInvocation(t){return f?new p(1,t.name||t.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(t){return f?new p(0,t.name):p._None}branch(t,v){let g=new p(2,t.toString());return this._dep.push([t,v,g]),g}stop(){let t=Date.now()-this._start;p._totals+=t;let v=!1;function g(M,a){let d=[],c=new Array(M+1).join("	");for(const[o,u,s]of a._dep)if(u&&s){v=!0,d.push(`${c}CREATES -> ${o}`);let i=g(M+1,s);i&&d.push(i)}else d.push(`${c}uses -> ${o}`);return d.join(`
`)}let w=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${g(1,this)}`,`DONE, took ${t.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(t>2||v)&&console.log(w.join(`
`))}}p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0}),define(ee[179],te([0,1,15,132,59]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseResolvedKeybinding=void 0;class C extends D.ResolvedKeybinding{constructor(P,f){super();if(f.length===0)throw(0,y.illegalArgument)("parts");this._os=P,this._parts=f}getLabel(){return n.UILabelProvider.toLabel(this._os,this._parts,P=>this._getLabel(P))}getAriaLabel(){return n.AriaLabelProvider.toLabel(this._os,this._parts,P=>this._getAriaLabel(P))}getElectronAccelerator(){return this._parts.length>1||this._parts[0].isDuplicateModifierCase()?null:n.ElectronAcceleratorLabelProvider.toLabel(this._os,this._parts,P=>this._getElectronAccelerator(P))}getUserSettingsLabel(){return n.UserSettingsLabelProvider.toLabel(this._os,this._parts,P=>this._getUserSettingsLabel(P))}isWYSIWYG(){return this._parts.every(P=>this._isWYSIWYG(P))}isChord(){return this._parts.length>1}getParts(){return this._parts.map(P=>this._getPart(P))}_getPart(P){return new D.ResolvedKeybindingPart(P.ctrlKey,P.shiftKey,P.altKey,P.metaKey,this._getLabel(P),this._getAriaLabel(P))}getDispatchParts(){return this._parts.map(P=>this._getDispatchPart(P))}getSingleModifierDispatchParts(){return this._parts.map(P=>this._getSingleModifierDispatchPart(P))}}e.BaseResolvedKeybinding=C}),define(ee[180],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeElementsAfterNulls=e.ResolvedKeybindingItem=void 0;class y{constructor(C,k,P,f,m,E,I){this._resolvedKeybindingItemBrand=void 0,this.resolvedKeybinding=C,this.keypressParts=C?n(C.getDispatchParts()):[],C&&this.keypressParts.length===0&&(this.keypressParts=n(C.getSingleModifierDispatchParts())),this.bubble=k?k.charCodeAt(0)===94:!1,this.command=this.bubble?k.substr(1):k,this.commandArgs=P,this.when=f,this.isDefault=m,this.extensionId=E,this.isBuiltinExtension=I}}e.ResolvedKeybindingItem=y;function n(D){let C=[];for(let k=0,P=D.length;k<P;k++){const f=D[k];if(!f)return C;C.push(f)}return C}e.removeElementsAfterNulls=n}),define(ee[181],te([0,1,81,59,179,180]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USLayoutResolvedKeybinding=void 0;class k extends D.BaseResolvedKeybinding{constructor(f,m){super(m,f.parts)}_keyCodeToUILabel(f){if(this._os===2)switch(f){case 15:return"\u2190";case 16:return"\u2191";case 17:return"\u2192";case 18:return"\u2193"}return y.KeyCodeUtils.toString(f)}_getLabel(f){return f.isDuplicateModifierCase()?"":this._keyCodeToUILabel(f.keyCode)}_getAriaLabel(f){return f.isDuplicateModifierCase()?"":y.KeyCodeUtils.toString(f.keyCode)}_getElectronAccelerator(f){return y.KeyCodeUtils.toElectronAccelerator(f.keyCode)}_getUserSettingsLabel(f){if(f.isDuplicateModifierCase())return"";const m=y.KeyCodeUtils.toUserSettingsUS(f.keyCode);return m&&m.toLowerCase()}_isWYSIWYG(){return!0}_getDispatchPart(f){return k.getDispatchStr(f)}static getDispatchStr(f){if(f.isModifierKey())return null;let m="";return f.ctrlKey&&(m+="ctrl+"),f.shiftKey&&(m+="shift+"),f.altKey&&(m+="alt+"),f.metaKey&&(m+="meta+"),m+=y.KeyCodeUtils.toString(f.keyCode),m}_getSingleModifierDispatchPart(f){return f.keyCode===5&&!f.shiftKey&&!f.altKey&&!f.metaKey?"ctrl":f.keyCode===4&&!f.ctrlKey&&!f.altKey&&!f.metaKey?"shift":f.keyCode===6&&!f.ctrlKey&&!f.shiftKey&&!f.metaKey?"alt":f.keyCode===57&&!f.ctrlKey&&!f.shiftKey&&!f.altKey?"meta":null}static _scanCodeToKeyCode(f){const m=y.IMMUTABLE_CODE_TO_KEY_CODE[f];if(m!==-1)return m;switch(f){case 10:return 31;case 11:return 32;case 12:return 33;case 13:return 34;case 14:return 35;case 15:return 36;case 16:return 37;case 17:return 38;case 18:return 39;case 19:return 40;case 20:return 41;case 21:return 42;case 22:return 43;case 23:return 44;case 24:return 45;case 25:return 46;case 26:return 47;case 27:return 48;case 28:return 49;case 29:return 50;case 30:return 51;case 31:return 52;case 32:return 53;case 33:return 54;case 34:return 55;case 35:return 56;case 36:return 22;case 37:return 23;case 38:return 24;case 39:return 25;case 40:return 26;case 41:return 27;case 42:return 28;case 43:return 29;case 44:return 30;case 45:return 21;case 51:return 83;case 52:return 81;case 53:return 87;case 54:return 89;case 55:return 88;case 56:return 0;case 57:return 80;case 58:return 90;case 59:return 86;case 60:return 82;case 61:return 84;case 62:return 85;case 106:return 92}return 0}static _resolveSimpleUserBinding(f){if(!f)return null;if(f instanceof n.SimpleKeybinding)return f;const m=this._scanCodeToKeyCode(f.scanCode);return m===0?null:new n.SimpleKeybinding(f.ctrlKey,f.shiftKey,f.altKey,f.metaKey,m)}static resolveUserBinding(f,m){const E=(0,C.removeElementsAfterNulls)(f.map(I=>this._resolveSimpleUserBinding(I)));return E.length>0?[new k(new n.ChordKeybinding(E),m)]:[]}}e.USLayoutResolvedKeybinding=k}),define(ee[182],te([0,1,8]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.handleVetos=void 0;function n(D,C){if(D.length===0)return Promise.resolve(!1);const k=[];let P=!1;for(let f of D){if(f===!0)return Promise.resolve(!0);(0,y.isThenable)(f)&&k.push(f.then(m=>{m&&(P=!0)},m=>{C(m),P=!0}))}return y.Promises.settled(k).then(()=>P)}e.handleVetos=n}),define(ee[6],te([0,1,39,4,2,3,5]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,k.createDecorator)("logService"),e.ILoggerService=(0,k.createDecorator)("loggerService");function P(){return new Date().toISOString()}var f;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(f=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=f.Info;function m(u,s,i){switch(s){case f.Trace:u.trace(i);break;case f.Debug:u.debug(i);break;case f.Info:u.info(i);break;case f.Warning:u.warn(i);break;case f.Error:u.error(i);break;case f.Critical:u.critical(i);break;default:throw new Error("Invalid log level")}}e.log=m;function E(u){let s="";for(let i=0;i<u.length;i++){let r=u[i];if(typeof r=="object")try{r=JSON.stringify(r)}catch{}s+=(i>0?" ":"")+r}return s}e.format=E;class I extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new n.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(s){this.level!==s&&(this.level=s,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=I;class p extends I{constructor(s){super();this.logAlways=s}checkLogLevel(s){return this.logAlways||this.getLevel()<=s}trace(s,...i){this.checkLogLevel(f.Trace)&&this.log(f.Trace,E([s,...i]))}debug(s,...i){this.checkLogLevel(f.Debug)&&this.log(f.Debug,E([s,...i]))}info(s,...i){this.checkLogLevel(f.Info)&&this.log(f.Info,E([s,...i]))}warn(s,...i){this.checkLogLevel(f.Warning)&&this.log(f.Warning,E([s,...i]))}error(s,...i){if(this.checkLogLevel(f.Error))if(s instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=s.stack,this.log(f.Error,E(r))}else this.log(f.Error,E([s,...i]))}critical(s,...i){this.checkLogLevel(f.Critical)&&this.log(f.Critical,E([s,...i]))}flush(){}}e.AbstractMessageLogger=p;class S extends I{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s),this.useColors=!C.isWindows}trace(s,...i){this.getLevel()<=f.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,s,...i):console.log(`[main ${P()}]`,s,...i))}debug(s,...i){this.getLevel()<=f.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,s,...i):console.log(`[main ${P()}]`,s,...i))}info(s,...i){this.getLevel()<=f.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,s,...i):console.log(`[main ${P()}]`,s,...i))}warn(s,...i){this.getLevel()<=f.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,s,...i):console.warn(`[main ${P()}]`,s,...i))}error(s,...i){this.getLevel()<=f.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,s,...i):console.error(`[main ${P()}]`,s,...i))}critical(s,...i){this.getLevel()<=f.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,s,...i):console.error(`[main ${P()}]`,s,...i))}dispose(){}flush(){}}e.ConsoleMainLogger=S;class t extends I{constructor(s=e.DEFAULT_LOG_LEVEL){super();this.setLevel(s)}trace(s,...i){this.getLevel()<=f.Trace&&console.log("%cTRACE","color: #888",s,...i)}debug(s,...i){this.getLevel()<=f.Debug&&console.log("%cDEBUG","background: #eee; color: #888",s,...i)}info(s,...i){this.getLevel()<=f.Info&&console.log("%c INFO","color: #33f",s,...i)}warn(s,...i){this.getLevel()<=f.Warning&&console.log("%c WARN","color: #993",s,...i)}error(s,...i){this.getLevel()<=f.Error&&console.log("%c  ERR","color: #f33",s,...i)}critical(s,...i){this.getLevel()<=f.Critical&&console.log("%cCRITI","background: #f33; color: white",s,...i)}dispose(){}flush(){}}e.ConsoleLogger=t;class v extends I{constructor(s,i=e.DEFAULT_LOG_LEVEL){super();this.adapter=s,this.setLevel(i)}trace(s,...i){this.getLevel()<=f.Trace&&this.adapter.log(f.Trace,[this.extractMessage(s),...i])}debug(s,...i){this.getLevel()<=f.Debug&&this.adapter.log(f.Debug,[this.extractMessage(s),...i])}info(s,...i){this.getLevel()<=f.Info&&this.adapter.log(f.Info,[this.extractMessage(s),...i])}warn(s,...i){this.getLevel()<=f.Warning&&this.adapter.log(f.Warning,[this.extractMessage(s),...i])}error(s,...i){this.getLevel()<=f.Error&&this.adapter.log(f.Error,[this.extractMessage(s),...i])}critical(s,...i){this.getLevel()<=f.Critical&&this.adapter.log(f.Critical,[this.extractMessage(s),...i])}extractMessage(s){return typeof s=="string"?s:(0,y.toErrorMessage)(s,this.getLevel()<=f.Trace)}dispose(){}flush(){}}e.AdapterLogger=v;class g extends I{constructor(s){super();this.logServices=s,s.length&&this.setLevel(s[0].getLevel())}setLevel(s){for(const i of this.logServices)i.setLevel(s);super.setLevel(s)}trace(s,...i){for(const r of this.logServices)r.trace(s,...i)}debug(s,...i){for(const r of this.logServices)r.debug(s,...i)}info(s,...i){for(const r of this.logServices)r.info(s,...i)}warn(s,...i){for(const r of this.logServices)r.warn(s,...i)}error(s,...i){for(const r of this.logServices)r.error(s,...i)}critical(s,...i){for(const r of this.logServices)r.critical(s,...i)}flush(){for(const s of this.logServices)s.flush()}dispose(){for(const s of this.logServices)s.dispose()}}e.MultiplexLogService=g;class w extends D.Disposable{constructor(s){super();this.logger=s,this._register(s)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(s){this.logger.setLevel(s)}getLevel(){return this.logger.getLevel()}trace(s,...i){this.logger.trace(s,...i)}debug(s,...i){this.logger.debug(s,...i)}info(s,...i){this.logger.info(s,...i)}warn(s,...i){this.logger.warn(s,...i)}error(s,...i){this.logger.error(s,...i)}critical(s,...i){this.logger.critical(s,...i)}flush(){this.logger.flush()}}e.LogService=w;class M extends D.Disposable{constructor(s,i){super();this.logLevel=s,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(r=>{this.logLevel=r,this.logLevelChangeableLoggers.forEach(l=>l.setLevel(r))}))}getLogger(s){return this.loggers.get(s.toString())}createLogger(s,i){let r=this.loggers.get(s.toString());return r||(r=this.doCreateLogger(s,i?.always?f.Trace:this.logLevel,i),this.loggers.set(s.toString(),r),i?.always||this.logLevelChangeableLoggers.push(r)),r}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(s=>s.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=M;class a{constructor(){this.onDidChangeLogLevel=new n.Emitter().event}setLevel(s){}getLevel(){return f.Info}trace(s,...i){}debug(s,...i){}info(s,...i){}warn(s,...i){}error(s,...i){}critical(s,...i){}dispose(){}flush(){}}e.NullLogService=a;function d(u){if(u.verbose)return f.Trace;if(typeof u.logLevel=="string"){const s=c(u.logLevel.toLowerCase());if(s!==void 0)return s}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=d;function c(u){switch(u){case"trace":return f.Trace;case"debug":return f.Debug;case"info":return f.Info;case"warn":return f.Warning;case"error":return f.Error;case"critical":return f.Critical;case"off":return f.Off}}e.parseLogLevel=c;function o(u){switch(u){case f.Trace:return"trace";case f.Debug:return"debug";case f.Info:return"info";case f.Warning:return"warn";case f.Error:return"error";case f.Critical:return"critical";case f.Off:return"off"}}e.LogLevelToString=o}),define(ee[183],te([0,1,31,8,15,4,2,9,62,6]),function(G,e,y,n,D,C,k,P,f,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class E extends k.Disposable{constructor(p){super();this.logService=p,this._onDidChangeFile=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new C.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new n.ThrottledDelayer(0))}watch(p,S){return S.recursive?this.watchRecursive(p,S):this.watchNonRecursive(p,S)}watchRecursive(p,S){const t={path:this.toFilePath(p),excludes:S.excludes},v=(0,y.insert)(this.recursiveFoldersToWatch,t);return this.refreshRecursiveWatchers(),(0,k.toDisposable)(()=>{v(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(()=>this.doRefreshRecursiveWatchers()).catch(p=>(0,D.onUnexpectedError)(p))}doRefreshRecursiveWatchers(){return this.recursiveWatcher||(this.recursiveWatcher=this._register(this.createRecursiveWatcher(p=>this._onDidChangeFile.fire((0,f.toFileChanges)(p)),p=>this.onWatcherLogMessage(p),this.logService.getLevel()===m.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher?.setVerboseLogging(this.logService.getLevel()===m.LogLevel.Trace)}))),this.massageRecursiveWatchRequests(this.recursiveFoldersToWatch),this.recursiveWatcher.watch(this.recursiveFoldersToWatch)}massageRecursiveWatchRequests(p){}watchNonRecursive(p,S){const t=new k.DisposableStore,v=t.add(this.createNonRecursiveWatcher({path:this.toFilePath(p),excludes:S.excludes},g=>this._onDidChangeFile.fire((0,f.toFileChanges)(g)),g=>this.onWatcherLogMessage(g),this.logService.getLevel()===m.LogLevel.Trace));return t.add(this.logService.onDidChangeLogLevel(()=>{v.setVerboseLogging(this.logService.getLevel()===m.LogLevel.Trace)})),t}onWatcherLogMessage(p){p.type==="error"&&this._onDidWatchError.fire(p.message),this.logService[p.type](p.message)}toFilePath(p){return(0,P.normalize)(p.fsPath)}}e.AbstractDiskFileSystemProvider=E});var re=this&&this.__param||function(G,e){return function(y,n){e(y,n,G)}};define(ee[184],te([0,1,31,8,17,21,4,70,69,2,35,10,63,16,51,145,18,92,6]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let a=class extends m.Disposable{constructor(c){super();this.logService=c,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new k.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new k.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new k.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new k.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new k.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new k.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new n.ResourceQueue)}registerProvider(c,o){if(this.provider.has(c))throw new Error(`A filesystem provider for the scheme '${c}' is already registered.`);(0,p.mark)(`code/registerFilesystem/${c}`);const u=new m.DisposableStore;return this.provider.set(c,o),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:c,provider:o}),u.add(o.onDidChangeFile(s=>this._onDidFilesChange.fire(new g.FileChangesEvent(s,!this.isPathCaseSensitive(o))))),typeof o.onDidWatchError=="function"&&u.add(o.onDidWatchError(s=>this._onDidWatchError.fire(new Error(s)))),u.add(o.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:o,scheme:c}))),(0,m.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:c,provider:o}),this.provider.delete(c),(0,m.dispose)(u)})}getProvider(c){return this.provider.get(c)}async activateProvider(c){const o=[];this._onWillActivateFileSystemProvider.fire({scheme:c,join(u){o.push(u)}}),!this.provider.has(c)&&await n.Promises.settled(o)}async canHandleResource(c){return await this.activateProvider(c.scheme),this.hasProvider(c)}hasProvider(c){return this.provider.has(c.scheme)}hasCapability(c,o){const u=this.provider.get(c.scheme);return!!(u&&u.capabilities&o)}listCapabilities(){return f.Iterable.map(this.provider,([c,o])=>({scheme:c,capabilities:o.capabilities}))}async withProvider(c){if(!(0,S.isAbsolutePath)(c))throw new g.FileOperationError((0,v.localize)(0,null,this.resourceForError(c)),8);await this.activateProvider(c.scheme);const o=this.provider.get(c.scheme);if(!o){const u=new Error;throw u.name="ENOPRO",u.message=(0,v.localize)(1,null,c.toString()),u}return o}async withReadProvider(c){const o=await this.withProvider(c);if((0,g.hasOpenReadWriteCloseCapability)(o)||(0,g.hasReadWriteCapability)(o)||(0,g.hasFileReadStreamCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${c.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(c){const o=await this.withProvider(c);if((0,g.hasOpenReadWriteCloseCapability)(o)||(0,g.hasReadWriteCapability)(o))return o;throw new Error(`Filesystem provider for scheme '${c.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(c,o){try{return await this.doResolveFile(c,o)}catch(u){throw(0,g.toFileSystemProviderErrorCode)(u)===g.FileSystemProviderErrorCode.FileNotFound?new g.FileOperationError((0,v.localize)(2,null,this.resourceForError(c)),1):(0,g.ensureFileSystemProviderError)(u)}}async doResolveFile(c,o){const u=await this.withProvider(c),s=this.isPathCaseSensitive(u),i=o?.resolveTo,r=o?.resolveSingleChildDescendants,l=o?.resolveMetadata,h=await u.stat(c);let b;return this.toFileStat(u,c,h,void 0,!!l,(L,R)=>(b||(b=E.TernarySearchTree.forUris(()=>!s),b.set(c,!0),i&&b.fill(!0,i)),b.get(L.resource)||b.findSuperstr(L.resource.with({query:null,fragment:null}))?!0:L.isDirectory&&r?R===1:!1))}async toFileStat(c,o,u,s,i,r){const{providerExtUri:l}=this.getExtUri(c),h={resource:o,name:l.basename(o),isFile:(u.type&g.FileType.File)!=0,isDirectory:(u.type&g.FileType.Directory)!=0,isSymbolicLink:(u.type&g.FileType.SymbolicLink)!=0,mtime:u.mtime,ctime:u.ctime,size:u.size,readonly:Boolean((u.permissions??0)&g.FilePermission.Readonly)||Boolean(c.capabilities&2048),etag:(0,g.etag)({mtime:u.mtime,size:u.size})};if(h.isDirectory&&r(h,s)){try{const b=await c.readdir(o),L=await n.Promises.settled(b.map(async([R,T])=>{try{const U=l.joinPath(o,R),Q=i?await c.stat(U):{type:T};return await this.toFileStat(c,U,Q,b.length,i,r)}catch(U){return this.logService.trace(U),null}}));h.children=(0,y.coalesce)(L)}catch(b){this.logService.trace(b),h.children=[]}return h}return h}async resolveAll(c){return n.Promises.settled(c.map(async o=>{try{return{stat:await this.doResolveFile(o.resource,o.options),success:!0}}catch(u){return this.logService.trace(u),{stat:void 0,success:!1}}}))}async exists(c){const o=await this.withProvider(c);try{return!!await o.stat(c)}catch{return!1}}async canCreateFile(c,o){try{await this.doValidateCreateFile(c,o)}catch(u){return u}return!0}async doValidateCreateFile(c,o){if(!o?.overwrite&&await this.exists(c))throw new g.FileOperationError((0,v.localize)(3,null,this.resourceForError(c)),3,o)}async createFile(c,o=D.VSBuffer.fromString(""),u){await this.doValidateCreateFile(c,u);const s=await this.writeFile(c,o);return this._onDidRunOperation.fire(new g.FileOperationEvent(c,0,s)),s}async writeFile(c,o,u){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),{providerExtUri:i}=this.getExtUri(s);try{await this.validateWriteFile(s,c,u)||await this.mkdirp(s,i.dirname(c));let l;if((0,g.hasReadWriteCapability)(s)&&!(o instanceof D.VSBuffer))if((0,t.isReadableStream)(o)){const h=await(0,t.peekStream)(o,3);h.ended?l=D.VSBuffer.concat(h.buffer):l=h}else l=(0,t.peekReadable)(o,h=>D.VSBuffer.concat(h),3);else l=o;!(0,g.hasOpenReadWriteCloseCapability)(s)||(0,g.hasReadWriteCapability)(s)&&l instanceof D.VSBuffer?await this.doWriteUnbuffered(s,c,u,l):await this.doWriteBuffered(s,c,u,l instanceof D.VSBuffer?(0,D.bufferToReadable)(l):l)}catch(r){throw new g.FileOperationError((0,v.localize)(4,null,this.resourceForError(c),(0,g.ensureFileSystemProviderError)(r).toString()),(0,g.toFileOperationResult)(r),u)}return this.resolve(c,{resolveMetadata:!0})}async validateWriteFile(c,o,u){if(!!u?.unlock&&!(c.capabilities&8192))throw new Error((0,v.localize)(5,null,this.resourceForError(o)));let i;try{i=await c.stat(o)}catch{return}if((i.type&g.FileType.Directory)!=0)throw new g.FileOperationError((0,v.localize)(6,null,this.resourceForError(o)),0,u);if(this.throwIfFileIsReadonly(o,i),typeof u?.mtime=="number"&&typeof u.etag=="string"&&u.etag!==g.ETAG_DISABLED&&typeof i.mtime=="number"&&typeof i.size=="number"&&u.mtime<i.mtime&&u.etag!==(0,g.etag)({mtime:u.mtime,size:i.size}))throw new g.FileOperationError((0,v.localize)(7,null),3,u);return i}async readFile(c,o,u){const s=await this.withReadProvider(c);return o?.atomic?this.doReadFileAtomic(s,c,o,u):this.doReadFile(s,c,o,u)}async doReadFileAtomic(c,o,u,s){return new Promise((i,r)=>{this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(async()=>{try{const l=await this.doReadFile(c,o,u,s);i(l)}catch(l){r(l)}})})}async doReadFile(c,o,u,s){const i=await this.doReadFileStream(c,o,{...u,preferUnbuffered:!0},s);return{...i,value:await(0,D.streamToBuffer)(i.value)}}async readFileStream(c,o,u){const s=await this.withReadProvider(c);return this.doReadFileStream(s,c,o,u)}async doReadFileStream(c,o,u,s){const i=new C.CancellationTokenSource(s),r=this.validateReadFile(o,u).then(h=>h,h=>{throw i.cancel(),h});let l;try{return typeof u?.etag=="string"&&u.etag!==g.ETAG_DISABLED&&await r,u?.atomic&&(0,g.hasFileAtomicReadCapability)(c)||!((0,g.hasOpenReadWriteCloseCapability)(c)||(0,g.hasFileReadStreamCapability)(c))||(0,g.hasReadWriteCapability)(c)&&u?.preferUnbuffered?l=this.readFileUnbuffered(c,o,u):(0,g.hasFileReadStreamCapability)(c)?l=this.readFileStreamed(c,o,i.token,u):l=this.readFileBuffered(c,o,i.token,u),{...await r,value:l}}catch(h){l&&await(0,t.consumeStream)(l);const b=(0,v.localize)(8,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(h).toString());throw h instanceof g.NotModifiedSinceFileOperationError?new g.NotModifiedSinceFileOperationError(b,h.stat,u):new g.FileOperationError(b,(0,g.toFileOperationResult)(h),u)}}readFileStreamed(c,o,u,s=Object.create(null)){const i=c.readFileStream(o,s,u);return(0,t.transform)(i,{data:r=>r instanceof D.VSBuffer?r:D.VSBuffer.wrap(r),error:r=>new g.FileOperationError((0,v.localize)(9,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(r).toString()),(0,g.toFileOperationResult)(r),s)},r=>D.VSBuffer.concat(r))}readFileBuffered(c,o,u,s=Object.create(null)){const i=(0,D.newWriteableBufferStream)();return(0,w.readFileIntoStream)(c,o,i,r=>r,{...s,bufferSize:this.BUFFER_SIZE,errorTransformer:r=>new g.FileOperationError((0,v.localize)(10,null,this.resourceForError(o),(0,g.ensureFileSystemProviderError)(r).toString()),(0,g.toFileOperationResult)(r),s)},u),i}readFileUnbuffered(c,o,u){const s=(0,t.newWriteableStream)(i=>D.VSBuffer.concat(i));return(async()=>{try{let i;u?.atomic&&(0,g.hasFileAtomicReadCapability)(c)?i=await c.readFile(o,{atomic:!0}):i=await c.readFile(o),typeof u?.position=="number"&&(i=i.slice(u.position)),typeof u?.length=="number"&&(i=i.slice(0,u.length)),this.validateReadFileLimits(o,i.byteLength,u),s.end(D.VSBuffer.wrap(i))}catch(i){s.error(i),s.end()}})(),s}async validateReadFile(c,o){const u=await this.resolve(c,{resolveMetadata:!0});if(u.isDirectory)throw new g.FileOperationError((0,v.localize)(11,null,this.resourceForError(c)),0,o);if(typeof o?.etag=="string"&&o.etag!==g.ETAG_DISABLED&&o.etag===u.etag)throw new g.NotModifiedSinceFileOperationError((0,v.localize)(12,null),u,o);return this.validateReadFileLimits(c,u.size,o),u}validateReadFileLimits(c,o,u){if(u?.limits){let s;if(typeof u.limits.memory=="number"&&o>u.limits.memory&&(s=9),typeof u.limits.size=="number"&&o>u.limits.size&&(s=7),typeof s=="number")throw new g.FileOperationError((0,v.localize)(13,null,this.resourceForError(c)),s)}}async canMove(c,o,u){return this.doCanMoveCopy(c,o,"move",u)}async canCopy(c,o,u){return this.doCanMoveCopy(c,o,"copy",u)}async doCanMoveCopy(c,o,u,s){if(c.toString()!==o.toString())try{const i=u==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c):await this.withReadProvider(c),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o);await this.doValidateMoveCopy(i,c,r,o,u,s)}catch(i){return i}return!0}async move(c,o,u){const s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(c),c),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),r=await this.doMoveCopy(s,c,i,o,"move",!!u),l=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,r==="move"?2:3,l)),l}async copy(c,o,u){const s=await this.withReadProvider(c),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),r=await this.doMoveCopy(s,c,i,o,"copy",!!u),l=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,r==="copy"?3:2,l)),l}async doMoveCopy(c,o,u,s,i,r){if(o.toString()===s.toString())return i;const{exists:l,isSameResourceWithDifferentPathCase:h}=await this.doValidateMoveCopy(c,o,u,s,i,r);if(l&&!h&&r&&await this.del(s,{recursive:!0}),await this.mkdirp(u,this.getExtUri(u).providerExtUri.dirname(s)),i==="copy"){if(c===u&&(0,g.hasFileFolderCopyCapability)(c))await c.copy(o,s,{overwrite:r});else{const b=await this.resolve(o);b.isDirectory?await this.doCopyFolder(c,b,u,s):await this.doCopyFile(c,o,u,s)}return i}else return c===u?(await c.rename(o,s,{overwrite:r}),i):(await this.doMoveCopy(c,o,u,s,"copy",r),await this.del(o,{recursive:!0}),"copy")}async doCopyFile(c,o,u,s){if((0,g.hasOpenReadWriteCloseCapability)(c)&&(0,g.hasOpenReadWriteCloseCapability)(u))return this.doPipeBuffered(c,o,u,s);if((0,g.hasOpenReadWriteCloseCapability)(c)&&(0,g.hasReadWriteCapability)(u))return this.doPipeBufferedToUnbuffered(c,o,u,s);if((0,g.hasReadWriteCapability)(c)&&(0,g.hasOpenReadWriteCloseCapability)(u))return this.doPipeUnbufferedToBuffered(c,o,u,s);if((0,g.hasReadWriteCapability)(c)&&(0,g.hasReadWriteCapability)(u))return this.doPipeUnbuffered(c,o,u,s)}async doCopyFolder(c,o,u,s){await u.mkdir(s),Array.isArray(o.children)&&await n.Promises.settled(o.children.map(async i=>{const r=this.getExtUri(u).providerExtUri.joinPath(s,i.name);return i.isDirectory?this.doCopyFolder(c,await this.resolve(i.resource),u,r):this.doCopyFile(c,i.resource,u,r)}))}async doValidateMoveCopy(c,o,u,s,i,r){let l=!1;if(c===u){const{providerExtUri:b,isPathCaseSensitive:L}=this.getExtUri(c);if(L||(l=b.isEqual(o,s)),l&&i==="copy")throw new Error((0,v.localize)(14,null,this.resourceForError(o),this.resourceForError(s)));if(!l&&b.isEqualOrParent(s,o))throw new Error((0,v.localize)(15,null,this.resourceForError(o),this.resourceForError(s)))}const h=await this.exists(s);if(h&&!l){if(!r)throw new g.FileOperationError((0,v.localize)(16,null,this.resourceForError(o),this.resourceForError(s)),4);if(c===u){const{providerExtUri:b}=this.getExtUri(c);if(b.isEqualOrParent(o,s))throw new Error((0,v.localize)(17,null,this.resourceForError(o),this.resourceForError(s)))}}return{exists:h,isSameResourceWithDifferentPathCase:l}}getExtUri(c){const o=this.isPathCaseSensitive(c);return{providerExtUri:o?S.extUri:S.extUriIgnorePathCase,isPathCaseSensitive:o}}isPathCaseSensitive(c){return!!(c.capabilities&1024)}async createFolder(c){const o=this.throwIfFileSystemIsReadonly(await this.withProvider(c),c);await this.mkdirp(o,c);const u=await this.resolve(c,{resolveMetadata:!0});return this._onDidRunOperation.fire(new g.FileOperationEvent(c,0,u)),u}async mkdirp(c,o){const u=[],{providerExtUri:s}=this.getExtUri(c);for(;!s.isEqual(o,s.dirname(o));)try{if(((await c.stat(o)).type&g.FileType.Directory)==0)throw new Error((0,v.localize)(18,null,this.resourceForError(o)));break}catch(i){if((0,g.toFileSystemProviderErrorCode)(i)!==g.FileSystemProviderErrorCode.FileNotFound)throw i;u.push(s.basename(o)),o=s.dirname(o)}for(let i=u.length-1;i>=0;i--){o=s.joinPath(o,u[i]);try{await c.mkdir(o)}catch(r){if((0,g.toFileSystemProviderErrorCode)(r)!==g.FileSystemProviderErrorCode.FileExists)throw r}}}async canDelete(c,o){try{await this.doValidateDelete(c,o)}catch(u){return u}return!0}async doValidateDelete(c,o){const u=this.throwIfFileSystemIsReadonly(await this.withProvider(c),c);if(!!o?.useTrash&&!(u.capabilities&4096))throw new Error((0,v.localize)(19,null,this.resourceForError(c)));let i;try{i=await u.stat(c)}catch{}if(i)this.throwIfFileIsReadonly(c,i);else throw new g.FileOperationError((0,v.localize)(20,null,this.resourceForError(c)),1);if(!!!o?.recursive){const l=await this.resolve(c);if(l.isDirectory&&Array.isArray(l.children)&&l.children.length>0)throw new Error((0,v.localize)(21,null,this.resourceForError(c)))}return u}async del(c,o){const u=await this.doValidateDelete(c,o),s=!!o?.useTrash,i=!!o?.recursive;await u.delete(c,{recursive:i,useTrash:s}),this._onDidRunOperation.fire(new g.FileOperationEvent(c,1))}watch(c,o={recursive:!1,excludes:[]}){const u=new m.DisposableStore;let s=!1,i=()=>{s=!0};return u.add((0,m.toDisposable)(()=>i())),(async()=>{try{const r=await this.doWatch(c,o);s?(0,m.dispose)(r):i=()=>(0,m.dispose)(r)}catch(r){this.logService.error(r)}})(),u}async doWatch(c,o){const u=await this.withProvider(c),s=(0,P.hash)([this.getExtUri(u).providerExtUri.getComparisonKey(c),o]);let i=this.activeWatchers.get(s);return i||(i={count:0,disposable:u.watch(c,o)},this.activeWatchers.set(s,i)),i.count+=1,(0,m.toDisposable)(()=>{i&&(i.count--,i.count===0&&((0,m.dispose)(i.disposable),this.activeWatchers.delete(s)))})}dispose(){super.dispose();for(const[,c]of this.activeWatchers)(0,m.dispose)(c.disposable);this.activeWatchers.clear()}async doWriteBuffered(c,o,u,s){return this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(async()=>{const i=await c.open(o,{create:!0,unlock:u?.unlock??!1});try{(0,t.isReadableStream)(s)||(0,t.isReadableBufferedStream)(s)?await this.doWriteStreamBufferedQueued(c,i,s):await this.doWriteReadableBufferedQueued(c,i,s)}catch(r){throw(0,g.ensureFileSystemProviderError)(r)}finally{await c.close(i)}})}async doWriteStreamBufferedQueued(c,o,u){let s=0,i;if((0,t.isReadableBufferedStream)(u)){if(u.buffer.length>0){const r=D.VSBuffer.concat(u.buffer);await this.doWriteBuffer(c,o,r,r.byteLength,s,0),s+=r.byteLength}if(u.ended)return;i=u.stream}else i=u;return new Promise((r,l)=>{(0,t.listenStream)(i,{onData:async h=>{i.pause();try{await this.doWriteBuffer(c,o,h,h.byteLength,s,0)}catch(b){return l(b)}s+=h.byteLength,setTimeout(()=>i.resume())},onError:h=>l(h),onEnd:()=>r()})})}async doWriteReadableBufferedQueued(c,o,u){let s=0,i;for(;(i=u.read())!==null;)await this.doWriteBuffer(c,o,i,i.byteLength,s,0),s+=i.byteLength}async doWriteBuffer(c,o,u,s,i,r){let l=0;for(;l<s;)l+=await c.write(o,i+l,u.buffer,r+l,s-l)}async doWriteUnbuffered(c,o,u,s){return this.writeQueue.queueFor(o,this.getExtUri(c).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(c,o,u,s))}async doWriteUnbufferedQueued(c,o,u,s){let i;s instanceof D.VSBuffer?i=s:(0,t.isReadableStream)(s)?i=await(0,D.streamToBuffer)(s):(0,t.isReadableBufferedStream)(s)?i=await(0,D.bufferedStreamToBuffer)(s):i=(0,D.readableToBuffer)(s),await c.writeFile(o,i.buffer,{create:!0,overwrite:!0,unlock:u?.unlock??!1})}async doPipeBuffered(c,o,u,s){return this.writeQueue.queueFor(s,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeBufferedQueued(c,o,u,s))}async doPipeBufferedQueued(c,o,u,s){let i,r;try{i=await c.open(o,{create:!1}),r=await u.open(s,{create:!0,unlock:!1});const l=D.VSBuffer.alloc(this.BUFFER_SIZE);let h=0,b=0,L=0;do L=await c.read(i,h,l.buffer,b,l.byteLength-b),await this.doWriteBuffer(u,r,l,L,h,b),h+=L,b+=L,b===l.byteLength&&(b=0);while(L>0)}catch(l){throw(0,g.ensureFileSystemProviderError)(l)}finally{await n.Promises.settled([typeof i=="number"?c.close(i):Promise.resolve(),typeof r=="number"?u.close(r):Promise.resolve()])}}async doPipeUnbuffered(c,o,u,s){return this.writeQueue.queueFor(s,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(c,o,u,s))}async doPipeUnbufferedQueued(c,o,u,s){return u.writeFile(s,await c.readFile(o),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(c,o,u,s){return this.writeQueue.queueFor(s,this.getExtUri(u).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(c,o,u,s))}async doPipeUnbufferedToBufferedQueued(c,o,u,s){const i=await u.open(s,{create:!0,unlock:!1});try{const r=await c.readFile(o);await this.doWriteBuffer(u,i,D.VSBuffer.wrap(r),r.byteLength,0,0)}catch(r){throw(0,g.ensureFileSystemProviderError)(r)}finally{await u.close(i)}}async doPipeBufferedToUnbuffered(c,o,u,s){const i=await(0,D.streamToBuffer)(this.readFileBuffered(c,o,C.CancellationToken.None));await this.doWriteUnbuffered(u,s,void 0,i)}throwIfFileSystemIsReadonly(c,o){if(c.capabilities&2048)throw new g.FileOperationError((0,v.localize)(22,null,this.resourceForError(o)),6);return c}throwIfFileIsReadonly(c,o){if((o.permissions??0)&g.FilePermission.Readonly)throw new g.FileOperationError((0,v.localize)(23,null,this.resourceForError(c)),6)}resourceForError(c){return c.scheme===I.Schemas.file?c.fsPath:c.toString(!0)}};a=de([re(0,M.ILogService)],a),e.FileService=a}),define(ee[185],te([0,1,14,148,3,7,18,93,9,2,62,6,170,114]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderChannel=void 0;class t extends p.AbstractDiskFileSystemProviderChannel{constructor(w,M){super(w,M)}getUriTransformer(w){return S.DefaultURITransformer}transformIncoming(w,M){return C.URI.revive(M)}async delete(w,M,a){if(!a.useTrash)return super.delete(w,M,a);const d=this.transformIncoming(w,M),c=(0,f.normalize)(d.fsPath);try{await y.shell.trashItem(c)}catch{throw(0,k.createFileSystemProviderError)(D.isWindows?(0,n.localize)(0,null,(0,f.basename)(c)):(0,n.localize)(1,null,(0,f.basename)(c)),k.FileSystemProviderErrorCode.Unknown)}}createSessionFileWatcher(w,M){return new v(M,this.logService)}}e.DiskFileSystemProviderChannel=t;class v extends m.Disposable{constructor(w,M){super();this.sessionEmitter=w,this.logService=M,this.watcherRequests=new Map}watch(w,M,a){if(a.recursive)throw(0,k.createFileSystemProviderError)("Recursive watcher is not supported from main process",k.FileSystemProviderErrorCode.Unavailable);const d=new m.DisposableStore;this.watcherRequests.set(w,d),d.add((0,m.toDisposable)(()=>this.watcherRequests.delete(w)));const c=d.add(new P.NodeJSFileWatcher({path:(0,f.normalize)(M.fsPath),excludes:a.excludes},o=>this.sessionEmitter.fire((0,E.toFileChanges)(o)),o=>this.onWatcherLogMessage(o),this.logService.getLevel()===I.LogLevel.Trace));return d.add(this.logService.onDidChangeLogLevel(()=>{c.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)})),d}onWatcherLogMessage(w){w.type==="error"&&this.sessionEmitter.fire(w.message),this.logService[w.type](w.message)}dispose(){super.dispose();for(const[,w]of this.watcherRequests)w.dispose();this.watcherRequests.clear()}}}),define(ee[94],te([0,1,28,251,8,35,17,4,27,2,9,3,16,51,24,149,18,92,93,177,183,39]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,n.gracefulify)(y)}catch(u){console.error(`Error enabling graceful-fs: ${(0,c.toErrorMessage)(u)}`)}})();class o extends d.AbstractDiskFileSystemProvider{constructor(s,i){super(s);this.options=i,this.onDidChangeCapabilities=P.Event.None,this.resourceLocks=new C.ResourceMap(r=>p.extUriBiasedIgnorePathCase.getComparisonKey(r)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,I.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(s){try{const{stat:i,symbolicLink:r}=await t.SymlinkSupport.stat(this.toFilePath(s));return{type:this.toType(i,r),ctime:i.birthtime.getTime(),mtime:i.mtime.getTime(),size:i.size}}catch(i){throw this.toFileSystemProviderError(i)}}async readdir(s){try{const i=await t.Promises.readdir(this.toFilePath(s),{withFileTypes:!0}),r=[];return await Promise.all(i.map(async l=>{try{let h;l.isSymbolicLink()?h=(await this.stat((0,p.joinPath)(s,l.name))).type:h=this.toType(l),r.push([l.name,h])}catch(h){this.logService.trace(h)}})),r}catch(i){throw this.toFileSystemProviderError(i)}}toType(s,i){let r;return i?.dangling?r=g.FileType.Unknown:s.isFile()?r=g.FileType.File:s.isDirectory()?r=g.FileType.Directory:r=g.FileType.Unknown,i&&(r|=g.FileType.SymbolicLink),r}async createResourceLock(s){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(s)})`);let i;for(;i=this.resourceLocks.get(s);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(s)})`),await i.wait();const r=new D.Barrier;return this.resourceLocks.set(s,r),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(s)})`),(0,m.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(s)})`),this.resourceLocks.delete(s),r.open()})}async readFile(s,i){let r;try{i?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(s)})`),r=await this.createResourceLock(s));const l=this.toFilePath(s);return await t.Promises.readFile(l)}catch(l){throw this.toFileSystemProviderError(l)}finally{r?.dispose()}}readFileStream(s,i,r){const l=(0,S.newWriteableStream)(h=>k.VSBuffer.concat(h.map(b=>k.VSBuffer.wrap(b))).buffer);return(0,w.readFileIntoStream)(this,s,l,h=>h.buffer,{...i,bufferSize:256*1024},r),l}async writeFile(s,i,r){let l;try{const h=this.toFilePath(s);if(!r.create||!r.overwrite){if(await t.Promises.exists(h)){if(!r.overwrite)throw(0,g.createFileSystemProviderError)((0,v.localize)(0,null),g.FileSystemProviderErrorCode.FileExists)}else if(!r.create)throw(0,g.createFileSystemProviderError)((0,v.localize)(1,null),g.FileSystemProviderErrorCode.FileNotFound)}l=await this.open(s,{create:!0,unlock:r.unlock}),await this.write(l,0,i,0,i.byteLength)}catch(h){throw await this.toFileSystemProviderWriteError(s,h)}finally{typeof l=="number"&&await this.close(l)}}async open(s,i){let r;(0,g.isFileOpenForWriteOptions)(i)&&(r=await this.createResourceLock(s));let l;try{const h=this.toFilePath(s);if((0,g.isFileOpenForWriteOptions)(i)&&i.unlock)try{const{stat:L}=await t.SymlinkSupport.stat(h);L.mode&128||await t.Promises.chmod(h,L.mode|128)}catch(L){this.logService.trace(L)}let b;if((0,g.isFileOpenForWriteOptions)(i)){if(I.isWindows)try{await t.Promises.truncate(h,0),b="r+"}catch(L){L.code!=="ENOENT"&&this.logService.trace(L)}b||(b="w")}else b="r";l=await t.Promises.open(h,b)}catch(h){throw r?.dispose(),(0,g.isFileOpenForWriteOptions)(i)?await this.toFileSystemProviderWriteError(s,h):this.toFileSystemProviderError(h)}return this.mapHandleToPos.set(l,0),(0,g.isFileOpenForWriteOptions)(i)&&this.writeHandles.set(l,s),r&&this.mapHandleToLock.set(l,r),l}async close(s){try{if(this.mapHandleToPos.delete(s),this.writeHandles.delete(s)&&this.canFlush)try{await t.Promises.fdatasync(s)}catch(i){this.canFlush=!1,this.logService.error(i)}return await t.Promises.close(s)}catch(i){throw this.toFileSystemProviderError(i)}finally{const i=this.mapHandleToLock.get(s);i&&(this.mapHandleToLock.delete(s),i.dispose())}}async read(s,i,r,l,h){const b=this.normalizePos(s,i);let L=null;try{const R=await t.Promises.read(s,r,l,h,b);return typeof R=="number"?L=R:L=R.bytesRead,L}catch(R){throw this.toFileSystemProviderError(R)}finally{this.updatePos(s,b,L)}}normalizePos(s,i){return i===this.mapHandleToPos.get(s)?null:i}updatePos(s,i,r){const l=this.mapHandleToPos.get(s);typeof l=="number"&&(typeof i=="number"||(typeof r=="number"?this.mapHandleToPos.set(s,l+r):this.mapHandleToPos.delete(s)))}async write(s,i,r,l,h){return(0,D.retry)(()=>this.doWrite(s,i,r,l,h),100,3)}async doWrite(s,i,r,l,h){const b=this.normalizePos(s,i);let L=null;try{const R=await t.Promises.write(s,r,l,h,b);return typeof R=="number"?L=R:L=R.bytesWritten,L}catch(R){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(s),R)}finally{this.updatePos(s,b,L)}}async mkdir(s){try{await t.Promises.mkdir(this.toFilePath(s))}catch(i){throw this.toFileSystemProviderError(i)}}async delete(s,i){try{const r=this.toFilePath(s);i.recursive?await t.Promises.rm(r,t.RimRafMode.MOVE):await t.Promises.unlink(r)}catch(r){throw this.toFileSystemProviderError(r)}}async rename(s,i,r){const l=this.toFilePath(s),h=this.toFilePath(i);if(l!==h)try{await this.validateTargetDeleted(s,i,"move",r.overwrite),await t.Promises.move(l,h)}catch(b){throw(b.code==="EINVAL"||b.code==="EBUSY"||b.code==="ENAMETOOLONG")&&(b=new Error((0,v.localize)(2,null,(0,E.basename)(l),(0,E.basename)((0,E.dirname)(h)),b.toString()))),this.toFileSystemProviderError(b)}}async copy(s,i,r){const l=this.toFilePath(s),h=this.toFilePath(i);if(l!==h)try{await this.validateTargetDeleted(s,i,"copy",r.overwrite),await t.Promises.copy(l,h,{preserveSymlinks:!0})}catch(b){throw(b.code==="EINVAL"||b.code==="EBUSY"||b.code==="ENAMETOOLONG")&&(b=new Error((0,v.localize)(3,null,(0,E.basename)(l),(0,E.basename)((0,E.dirname)(h)),b.toString()))),this.toFileSystemProviderError(b)}}async validateTargetDeleted(s,i,r,l){const h=this.toFilePath(s),b=this.toFilePath(i);let L=!1;if(!!(this.capabilities&1024)||(L=(0,f.isEqual)(h,b,!0)),L&&r==="copy")throw(0,g.createFileSystemProviderError)((0,v.localize)(4,null),g.FileSystemProviderErrorCode.FileExists);if(!L&&await t.Promises.exists(b)){if(!l)throw(0,g.createFileSystemProviderError)((0,v.localize)(5,null),g.FileSystemProviderErrorCode.FileExists);await this.delete(i,{recursive:!0,useTrash:!1})}}createRecursiveWatcher(s,i,r){return new a.ParcelWatcherClient(l=>s(l),l=>i(l),r)}massageRecursiveWatchRequests(s){const i=this.options?.watcher?.usePolling;if(i===!0)for(const r of s)r.pollingInterval=this.options?.watcher?.pollingInterval??5e3;else if(Array.isArray(i))for(const r of s)i.includes(r.path)&&(r.pollingInterval=this.options?.watcher?.pollingInterval??5e3)}createNonRecursiveWatcher(s,i,r,l){return new M.NodeJSFileWatcher(s,h=>i(h),h=>r(h),l)}toFileSystemProviderError(s){if(s instanceof g.FileSystemProviderError)return s;let i;switch(s.code){case"ENOENT":i=g.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":i=g.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":i=g.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":i=g.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":i=g.FileSystemProviderErrorCode.NoPermissions;break;default:i=g.FileSystemProviderErrorCode.Unknown}return(0,g.createFileSystemProviderError)(s,i)}async toFileSystemProviderWriteError(s,i){let r=this.toFileSystemProviderError(i);if(s&&r.code===g.FileSystemProviderErrorCode.NoPermissions)try{const{stat:l}=await t.SymlinkSupport.stat(this.toFilePath(s));l.mode&128||(r=(0,g.createFileSystemProviderError)(i,g.FileSystemProviderErrorCode.FileWriteLocked))}catch(l){this.logService.trace(l)}return r}}e.DiskFileSystemProvider=o}),define(ee[95],te([0,1,6]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function n(C,k){switch(k){case y.LogLevel.Trace:return C.trace;case y.LogLevel.Debug:return C.debug;case y.LogLevel.Info:return C.info;case y.LogLevel.Warning:return C.warn;case y.LogLevel.Error:return C.error;case y.LogLevel.Critical:return C.critical;default:throw new Error("Invalid log level")}}class D extends y.AbstractLogger{constructor(k=y.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(k),this._register(this.onDidChangeLogLevel(P=>{this._logger&&this._logger.setLevel(P)}))}set logger(k){this._logger=k;for(const{level:P,args:f}of this.buffer)n(k,P).apply(k,f);this.buffer=[]}_log(k,...P){this._logger?n(this._logger,k).apply(this._logger,P):this.getLevel()<=k&&this.buffer.push({level:k,args:P})}trace(k,...P){this._log(y.LogLevel.Trace,k,...P)}debug(k,...P){this._log(y.LogLevel.Debug,k,...P)}info(k,...P){this._log(y.LogLevel.Info,k,...P)}warn(k,...P){this._log(y.LogLevel.Warning,k,...P)}error(k,...P){this._log(y.LogLevel.Error,k,...P)}critical(k,...P){this._log(y.LogLevel.Critical,k,...P)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=D}),define(ee[186],te([0,1,8,17,16,18,5,95,6]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const m=5*C.ByteSize.MB;let E=class extends f.AbstractLogger{constructor(S,t,v,g,w){super();this.name=S,this.resource=t,this.donotUseFormatters=g,this.fileService=w,this.backupIndex=1,this.setLevel(v),this.queue=this._register(new y.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=f.LogLevel.Trace&&this._log(f.LogLevel.Trace,(0,f.format)(arguments))}debug(){this.getLevel()<=f.LogLevel.Debug&&this._log(f.LogLevel.Debug,(0,f.format)(arguments))}info(){this.getLevel()<=f.LogLevel.Info&&this._log(f.LogLevel.Info,(0,f.format)(arguments))}warn(){this.getLevel()<=f.LogLevel.Warning&&this._log(f.LogLevel.Warning,(0,f.format)(arguments))}error(){if(this.getLevel()<=f.LogLevel.Error){const S=arguments[0];if(S instanceof Error){const t=Array.prototype.slice.call(arguments);t[0]=S.stack,this._log(f.LogLevel.Error,(0,f.format)(t))}else this._log(f.LogLevel.Error,(0,f.format)(arguments))}}critical(){this.getLevel()<=f.LogLevel.Critical&&this._log(f.LogLevel.Critical,(0,f.format)(arguments))}flush(){}async initialize(){try{await this.fileService.createFile(this.resource)}catch(S){if(S.fileOperationResult!==3)throw S}}_log(S,t){this.queue.queue(async()=>{await this.initializePromise;let v=await this.loadContent();v.length>m&&(await this.fileService.writeFile(this.getBackupResource(),n.VSBuffer.fromString(v)),v=""),this.donotUseFormatters?v+=t:v+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(S)}] ${t}
`,await this.fileService.writeFile(this.resource,n.VSBuffer.fromString(v))})}getCurrentTimestamp(){const S=g=>g<10?`0${g}`:g,t=g=>g<10?`00${g}`:g<100?`0${g}`:g,v=new Date;return`${v.getFullYear()}-${S(v.getMonth()+1)}-${S(v.getDate())} ${S(v.getHours())}:${S(v.getMinutes())}:${S(v.getSeconds())}.${t(v.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,D.joinPath)((0,D.dirname)(this.resource),`${(0,D.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch{return""}}stringifyLogLevel(S){switch(S){case f.LogLevel.Critical:return"critical";case f.LogLevel.Debug:return"debug";case f.LogLevel.Error:return"error";case f.LogLevel.Info:return"info";case f.LogLevel.Trace:return"trace";case f.LogLevel.Warning:return"warning"}return""}};E=de([re(4,C.IFileService)],E),e.FileLogger=E;let I=class extends f.AbstractLoggerService{constructor(S,t,v){super(S.getLevel(),S.onDidChangeLogLevel);this.instantiationService=t,this.fileService=v}doCreateLogger(S,t,v){const g=new P.BufferLogService(t);return(0,C.whenProviderRegistered)(S,this.fileService).then(()=>g.logger=this.instantiationService.createInstance(E,v?.name||(0,D.basename)(S),S,g.getLevel(),!!v?.donotUseFormatters)),g}};I=de([re(0,f.ILogService),re(1,k.IInstantiationService),re(2,C.IFileService)],I),e.FileLoggerService=I}),define(ee[187],te([0,1,4,7,6]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class C{constructor(p){this.service=p,this.onDidChangeLogLevel=y.Event.buffer(p.onDidChangeLogLevel,!0)}listen(p,S){switch(S){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${S}`)}async call(p,S,t){switch(S){case"setLevel":return this.service.setLevel(t)}throw new Error(`Call not found: ${S}`)}}e.LogLevelChannel=C;class k{constructor(p){this.channel=p}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(p){k.setLevel(this.channel,p)}static setLevel(p,S){return p.call("setLevel",S)}}e.LogLevelChannelClient=k;class P{constructor(p){this.loggerService=p,this.loggers=new Map}listen(p,S){throw new Error(`Event not found: ${S}`)}async call(p,S,t){switch(S){case"createLogger":this.createLogger(n.URI.revive(t[0]),t[1]);return;case"log":return this.log(n.URI.revive(t[0]),t[1]);case"consoleLog":return this.consoleLog(t[0],t[1])}throw new Error(`Call not found: ${S}`)}createLogger(p,S){this.loggers.set(p.toString(),this.loggerService.createLogger(p,S))}consoleLog(p,S){let t=console.log;switch(p){case D.LogLevel.Error:t=console.error;break;case D.LogLevel.Warning:t=console.warn;break;case D.LogLevel.Info:t=console.info;break}t.call(console,...S)}log(p,S){const t=this.loggers.get(p.toString());if(!t)throw new Error("Create the logger before logging");for(const[v,g]of S)(0,D.log)(t,v,g)}}e.LoggerChannel=P;class f extends D.AbstractLoggerService{constructor(p,S,t){super(p,S);this.channel=t}createConsoleMainLogger(){return new D.AdapterLogger({log:(p,S)=>{this.channel.call("consoleLog",[p,S])}})}doCreateLogger(p,S,t){return new m(this.channel,p,S,t)}}e.LoggerChannelClient=f;class m extends D.AbstractMessageLogger{constructor(p,S,t,v){super(v?.always);this.channel=p,this.file=S,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(t),this.channel.call("createLogger",[S,v]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(p,S){const t=[[p,S]];this.isLoggerCreated?this.doLog(t):this.buffer.push(...t)}doLog(p){this.channel.call("log",[this.file,p])}}class E extends D.LogService{constructor(p,S){super(S);this.parent=p,this._register(p.onDidChangeLogLevel(t=>S.setLevel(t)))}setLevel(p){super.setLevel(p),this.parent.setLevel(p)}}e.FollowerLogService=E}),define(ee[96],te([0,1,18,6]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function D(P,f,m,E,I){try{const p=await new Promise((t,v)=>{G(["spdlog"],t,v)});p.setFlushOn(n.LogLevel.Trace);const S=await p.createAsyncRotatingLogger(P,f,m,E);return I&&S.clearFormatters(),S}catch(p){console.error(p)}return null}function C(P,f,m){switch(f){case n.LogLevel.Trace:P.trace(m);break;case n.LogLevel.Debug:P.debug(m);break;case n.LogLevel.Info:P.info(m);break;case n.LogLevel.Warning:P.warn(m);break;case n.LogLevel.Error:P.error(m);break;case n.LogLevel.Critical:P.critical(m);break;default:throw new Error("Invalid log level")}}class k extends n.AbstractMessageLogger{constructor(f,m,E,I,p){super();this.buffer=[],this.setLevel(p),this._loggerCreationPromise=this._createSpdLogLogger(f,m,E,I),this._register(this.onDidChangeLogLevel(S=>{this._logger&&this._logger.setLevel(S)}))}async _createSpdLogLogger(f,m,E,I){const p=E?6:1,S=30/p*y.ByteSize.MB,t=await D(f,m,S,p,I);if(t){this._logger=t,this._logger.setLevel(this.getLevel());for(const{level:v,message:g}of this.buffer)C(this._logger,v,g);this.buffer=[]}}log(f,m){this._logger?C(this._logger,f,m):this.getLevel()<=f&&this.buffer.push({level:f,message:m})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=k}),define(ee[188],te([0,1,10,16,32,18,186,6,96]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let m=class extends P.AbstractLoggerService{constructor(I,p){super(I.getLevel(),I.onDidChangeLogLevel);this.fileService=p}doCreateLogger(I,p,S){return I.scheme===y.Schemas.file?new f.SpdLogLogger(S?.name||(0,D.generateUuid)(),I.fsPath,!S?.donotRotate,!!S?.donotUseFormatters,p):new k.FileLogger(S?.name??(0,n.basename)(I),I,p,!!S?.donotUseFormatters,this.fileService)}};m=de([re(0,P.ILogService),re(1,C.IFileService)],m),e.LoggerService=m}),define(ee[189],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function y(k){return k.submenu!==void 0}e.isMenubarMenuItemSubmenu=y;function n(k){return k.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=n;function D(k){return k.uri!==void 0}e.isMenubarMenuItemRecentAction=D;function C(k){return!y(k)&&!n(k)&&!D(k)}e.isMenubarMenuItemAction=C}),define(ee[55],te([0,1,10,3,34,16]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let k;if(typeof n.globals.vscode!="undefined"&&typeof n.globals.vscode.context!="undefined"){const P=n.globals.vscode.context.configuration();if(P)k=P.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof G?.__$__nodeRequire=="function"){const P=(0,C.dirname)(y.FileAccess.asFileUri("",G));k=G.__$__nodeRequire((0,C.joinPath)(P,"product.json").fsPath);const f=G.__$__nodeRequire((0,C.joinPath)(P,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(k,{nameShort:`${k.nameShort} Dev`,nameLong:`${k.nameLong} Dev`,dataFolderName:`${k.dataFolderName}-dev`}),Object.assign(k,{version:f.version})}else k={},Object.keys(k).length===0&&Object.assign(k,{version:"1.64.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=k}),define(ee[22],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,y.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(ee[190],te([0,1,60,6,22]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let C=class{constructor(P,f){this.productService=P,this.logService=f,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(P,f){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const m=/^(.*)#([^#]+)$/.exec(f);if(!m)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",f),!1;const[,E,I]=m;let p=this.trustedExtensionUrlPublicKeys.get(P);if(!p){if(p=this.productService.trustedExtensionUrlPublicKeys[P],!p||p.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",P),!1;this.trustedExtensionUrlPublicKeys.set(P,[...p])}const S=Buffer.from(decodeURIComponent(I),"base64");if(S.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",f),!1;const t=S.slice(0,6),v=S.readUIntBE(0,6),g=Date.now()-v;if(g<0||g>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",f),!1;const w=S.slice(6),M=y.createVerify("SHA256");M.write(t),M.write(Buffer.from(E)),M.end();for(let a=0;a<p.length;a++){let d=p[a];if(d!==null){if(typeof d=="string")try{d=y.createPublicKey({key:Buffer.from(d,"base64"),format:"der",type:"spki"}),p[a]=d}catch(c){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${a+1} for ${P}:`,c),p[a]=null;continue}if(M.verify(d,w))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",f),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",f),!1}};C=de([re(0,D.IProductService),re(1,n.ILogService)],C),e.ExtensionUrlTrustService=C}),define(ee[56],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=(0,y.createDecorator)("protocolMainService")}),define(ee[191],te([0,1,14,2,35,10,3,16,7,32,53,6]),function(G,e,y,n,D,C,k,P,f,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let p=class extends n.Disposable{constructor(t,v){super();this.logService=v,this.validRoots=D.TernarySearchTree.forUris(()=>!k.isLinux),this.validExtensions=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp"]),this.addValidFileRoot(f.URI.file(t.appRoot)),this.addValidFileRoot(f.URI.file(t.extensionsPath)),this.addValidFileRoot(t.globalStorageHome),this.addValidFileRoot(t.workspaceStorageHome),this.handleProtocols()}handleProtocols(){const{defaultSession:t}=y.session;t.protocol.registerFileProtocol(C.Schemas.vscodeFileResource,(v,g)=>this.handleResourceRequest(v,g)),t.protocol.interceptFileProtocol(C.Schemas.file,(v,g)=>this.handleFileRequest(v,g)),this._register((0,n.toDisposable)(()=>{t.protocol.unregisterProtocol(C.Schemas.vscodeFileResource),t.protocol.uninterceptProtocol(C.Schemas.file)}))}addValidFileRoot(t){return this.validRoots.get(t)?n.Disposable.None:(this.validRoots.set(t,!0),(0,n.toDisposable)(()=>this.validRoots.delete(t)))}handleFileRequest(t,v){const g=f.URI.parse(t.url);return this.logService.error(`Refused to load resource ${g.fsPath} from ${C.Schemas.file}: protocol (original URL: ${t.url})`),v({error:-3})}handleResourceRequest(t,v){const g=f.URI.parse(t.url),w=C.FileAccess.asFileUri(g);return this.validRoots.findSubstr(w)?v({path:w.fsPath}):this.validExtensions.has((0,P.extname)(w))?v({path:w.fsPath}):(this.logService.error(`${C.Schemas.vscodeFileResource}: Refused to load resource ${w.fsPath} from ${C.Schemas.vscodeFileResource}: protocol (original URL: ${t.url})`),v({error:-3}))}createIPCObjectUrl(){let t;const v=f.URI.from({scheme:"vscode",path:(0,m.generateUuid)()}),g=v.toString(),w=async()=>t;return y.ipcMain.handle(g,w),this.logService.trace(`IPC Object URL: Registered new channel ${g}.`),{resource:v,update:M=>t=M,dispose:()=>{this.logService.trace(`IPC Object URL: Removed channel ${g}.`),y.ipcMain.removeHandler(g)}}}};p=de([re(0,E.INativeEnvironmentService),re(1,I.ILogService)],p),e.ProtocolMainService=p}),define(ee[40],te([0,1,102,13]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(k,P){y.ok(n.isString(k)),y.ok(n.isObject(P)),y.ok(!this.data.has(k),"There is already an extension with this id"),this.data.set(k,P)}knows(k){return this.data.has(k)}as(k){return this.data.get(k)||null}}e.Registry=new D}),define(ee[192],te([0,1,4,40]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class C{constructor(){this._onDidChangeSchema=new y.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(f,m){this.schemasById[D(f)]=m,this._onDidChangeSchema.fire(f)}notifySchemaChanged(f){this._onDidChangeSchema.fire(f)}getSchemaContributions(){return{schemas:this.schemasById}}}const k=new C;n.Registry.add(e.Extensions.JSONContribution,k)}),define(ee[57],te([0,1,31,4,13,137,192,40]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var f;(function(d){d.Multiline="multilineText",d.Singleline="singlelineText"})(f=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var m;(function(d){d[d.APPLICATION=1]="APPLICATION",d[d.MACHINE=2]="MACHINE",d[d.WINDOW=3]="WINDOW",d[d.RESOURCE=4]="RESOURCE",d[d.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",d[d.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(m=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const E=P.Registry.as(k.Extensions.JSONContribution);class I{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new n.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new n.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:C.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(c,o=!0){this.registerConfigurations([c],o)}registerConfigurations(c,o=!0){const u=this.doRegisterConfigurations(c,o);E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:u})}deregisterConfigurations(c){const o=this.doDeregisterConfigurations(c);E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o})}updateConfigurations({add:c,remove:o}){const u=[];u.push(...this.doDeregisterConfigurations(o)),u.push(...this.doRegisterConfigurations(c,!1)),E.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,y.distinct)(u)})}registerDefaultConfigurations(c){const o=[],u=[];for(const{overrides:s,source:i}of c)for(const r in s)if(o.push(r),e.OVERRIDE_PROPERTY_REGEX.test(r)){const l={...this.configurationDefaultsOverrides.get(r)?.value||{},...s[r]};this.configurationDefaultsOverrides.set(r,{source:i,value:l});const h={type:"object",default:l,description:C.localize(1,null,r),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:l,source:D.isString(i)?void 0:i};u.push(...t(r)),this.configurationProperties[r]=h,this.defaultLanguageConfigurationOverridesNode.properties[r]=h}else{this.configurationDefaultsOverrides.set(r,{value:s[r],source:i});const l=this.configurationProperties[r];l&&(this.updatePropertyDefaultValue(r,l),this.updateSchema(r,l))}this.registerOverrideIdentifiers(u),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}deregisterDefaultConfigurations(c){const o=[];for(const{overrides:u,source:s}of c)for(const i in u){const r=this.configurationDefaultsOverrides.get(i),l=D.isString(s)?s:s?.id,h=D.isString(r?.source)?r?.source:r?.source?.id;if(l===h)if(o.push(i),this.configurationDefaultsOverrides.delete(i),e.OVERRIDE_PROPERTY_REGEX.test(i))delete this.configurationProperties[i],delete this.defaultLanguageConfigurationOverridesNode.properties[i];else{const b=this.configurationProperties[i];b&&(this.updatePropertyDefaultValue(i,b),this.updateSchema(i,b))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:o,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...c){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(c){for(const o of c)this.overrideIdentifiers.add(o);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(c,o){const u=[];return c.forEach(s=>{u.push(...this.validateAndRegisterProperties(s,o,s.extensionInfo,s.restrictedProperties)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),u}doDeregisterConfigurations(c){const o=[],u=s=>{if(s.properties)for(const i in s.properties)o.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,s.properties[i]);s.allOf&&s.allOf.forEach(i=>u(i))};for(const s of c){u(s);const i=this.configurationContributors.indexOf(s);i!==-1&&this.configurationContributors.splice(i,1)}return o}validateAndRegisterProperties(c,o=!0,u,s,i=3){i=D.isUndefinedOrNull(c.scope)?i:c.scope;let r=[],l=c.properties;if(l)for(let b in l){if(o&&M(b)){delete l[b];continue}const L=l[b];if(L.source=u,L.defaultDefaultValue=l[b].default,this.updatePropertyDefaultValue(b,L),e.OVERRIDE_PROPERTY_REGEX.test(b)?L.scope=void 0:(L.scope=D.isUndefinedOrNull(L.scope)?i:L.scope,L.restricted=D.isUndefinedOrNull(L.restricted)?!!s?.includes(b):L.restricted),l[b].hasOwnProperty("included")&&!l[b].included){this.excludedConfigurationProperties[b]=l[b],delete l[b];continue}else this.configurationProperties[b]=l[b];!l[b].deprecationMessage&&l[b].markdownDeprecationMessage&&(l[b].deprecationMessage=l[b].markdownDeprecationMessage),r.push(b)}let h=c.allOf;if(h)for(let b of h)r.push(...this.validateAndRegisterProperties(b,o,u,s,i));return r}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(c){const o=u=>{let s=u.properties;if(s)for(const r in s)this.updateSchema(r,s[r]);let i=u.allOf;i&&i.forEach(o)};o(c)}updateSchema(c,o){switch(e.allSettings.properties[c]=o,o.scope){case 1:e.applicationSettings.properties[c]=o;break;case 2:e.machineSettings.properties[c]=o;break;case 6:e.machineOverridableSettings.properties[c]=o;break;case 3:e.windowSettings.properties[c]=o;break;case 4:e.resourceSettings.properties[c]=o;break;case 5:e.resourceSettings.properties[c]=o,this.resourceLanguageSettingsSchema.properties[c]=o;break}}removeFromSchema(c,o){switch(delete e.allSettings.properties[c],o.scope){case 1:delete e.applicationSettings.properties[c];break;case 2:delete e.machineSettings.properties[c];break;case 6:delete e.machineOverridableSettings.properties[c];break;case 3:delete e.windowSettings.properties[c];break;case 4:case 5:delete e.resourceSettings.properties[c],delete this.resourceLanguageSettingsSchema.properties[c];break}}updateOverridePropertyPatternKey(){for(const c of this.overrideIdentifiers.values()){const o=`[${c}]`,u={type:"object",description:C.localize(2,null),errorMessage:C.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(o,u),e.allSettings.properties[o]=u,e.applicationSettings.properties[o]=u,e.machineSettings.properties[o]=u,e.machineOverridableSettings.properties[o]=u,e.windowSettings.properties[o]=u,e.resourceSettings.properties[o]=u}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const c={type:"object",description:C.localize(4,null),errorMessage:C.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=c,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(c,o){const u=this.configurationDefaultsOverrides.get(c);let s=u?.value,i=u?.source;D.isUndefined(s)&&(s=o.defaultDefaultValue,i=void 0),D.isUndefined(s)&&(s=g(o.type)),o.default=s,o.defaultValueSource=i}}const p="\\[([^\\]]+)\\]",S=new RegExp(p,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${p})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function t(d){const c=[];if(e.OVERRIDE_PROPERTY_REGEX.test(d)){let o=S.exec(d);for(;o?.length;){const u=o[1].trim();u&&c.push(u),o=S.exec(d)}}return(0,y.distinct)(c)}e.overrideIdentifiersFromKey=t;function v(d){return d.reduce((c,o)=>`${c}[${o}]`,"")}e.keyFromOverrideIdentifiers=v;function g(d){switch(Array.isArray(d)?d[0]:d){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=g;const w=new I;P.Registry.add(e.Extensions.Configuration,w);function M(d){return d.trim()?e.OVERRIDE_PROPERTY_REGEX.test(d)?C.localize(7,null,d):w.getConfigurationProperties()[d]!==void 0?C.localize(8,null,d):null:C.localize(6,null)}e.validateProperty=M;function a(){const d=[],c=w.getConfigurationProperties();for(const o of Object.keys(c))d.push([o,c[o].scope]);return d.push(["launch",4]),d.push(["task",4]),d}e.getScopes=a}),define(ee[193],te([0,1,31,4,43,2,35,47,13,7,19,57,40]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class S{constructor(s={},i=[],r=[]){this._contents=s,this._keys=i,this._overrides=r,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(s){return s?(0,E.getConfigurationValue)(this.contents,s):this.contents}getOverrideValue(s,i){const r=this.getContentsForOverrideIdentifer(i);return r?s?(0,E.getConfigurationValue)(r,s):r:void 0}getKeysForOverrideIdentifier(s){const i=[];for(const r of this.overrides)r.identifiers.includes(s)&&i.push(...r.keys);return y.distinct(i)}getAllOverrideIdentifiers(){const s=[];for(const i of this.overrides)s.push(...i.identifiers);return y.distinct(s)}override(s){let i=this.overrideConfigurations.get(s);return i||(i=this.createOverrideConfigurationModel(s),this.overrideConfigurations.set(s,i)),i}merge(...s){const i=P.deepClone(this.contents),r=P.deepClone(this.overrides),l=[...this.keys];for(const h of s){this.mergeContents(i,h.contents);for(const b of h.overrides){const[L]=r.filter(R=>y.equals(R.identifiers,b.identifiers));L?(this.mergeContents(L.contents,b.contents),L.keys.push(...b.keys),L.keys=y.distinct(L.keys)):r.push(P.deepClone(b))}for(const b of h.keys)l.indexOf(b)===-1&&l.push(b)}return new S(i,l,r)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(s){const i=this.getContentsForOverrideIdentifer(s);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let r={};for(const l of y.distinct([...Object.keys(this.contents),...Object.keys(i)])){let h=this.contents[l],b=i[l];b&&(typeof h=="object"&&typeof b=="object"?(h=P.deepClone(h),this.mergeContents(h,b)):h=b),r[l]=h}return new S(r,this.keys,this.overrides)}mergeContents(s,i){for(const r of Object.keys(i)){if(r in s&&f.isObject(s[r])&&f.isObject(i[r])){this.mergeContents(s[r],i[r]);continue}s[r]=P.deepClone(i[r])}}checkAndFreeze(s){return this.isFrozen&&!Object.isFrozen(s)?P.deepFreeze(s):s}getContentsForOverrideIdentifer(s){let i=null,r=null;const l=h=>{h&&(r?this.mergeContents(r,h):r=P.deepClone(h))};for(const h of this.overrides)y.equals(h.identifiers,[s])?i=h.contents:h.identifiers.includes(s)&&l(h.contents);return l(i),r}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(s,i){this.addKey(s),(0,E.addToValueTree)(this.contents,s,i,r=>{throw new Error(r)})}removeValue(s){this.removeKey(s)&&(0,E.removeFromValueTree)(this.contents,s)}addKey(s){let i=this.keys.length;for(let r=0;r<i;r++)s.indexOf(this.keys[r])===0&&(i=r);this.keys.splice(i,1,s)}removeKey(s){let i=this.keys.indexOf(s);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=S;class t extends S{constructor(s={}){const i=p.Registry.as(I.Extensions.Configuration).getConfigurationProperties(),r=Object.keys(i),l=Object.create(null),h=[];for(const b in i){const L=s[b],R=L!==void 0?L:i[b].default;(0,E.addToValueTree)(l,b,R,T=>console.error(`Conflict in default settings: ${T}`))}for(const b of Object.keys(l))I.OVERRIDE_PROPERTY_REGEX.test(b)&&h.push({identifiers:(0,I.overrideIdentifiersFromKey)(b),keys:Object.keys(l[b]),contents:(0,E.toValuesTree)(l[b],L=>console.error(`Conflict in default settings file: ${L}`))});super(l,r,h)}}e.DefaultConfigurationModel=t;class v{constructor(s){this._name=s,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new S}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(s,i){if(!f.isUndefinedOrNull(s)){const r=this.doParseContent(s);this.parseRaw(r,i)}}reparse(s){this._raw&&this.parseRaw(this._raw,s)}parseRaw(s,i){this._raw=s;const{contents:r,keys:l,overrides:h,restricted:b}=this.doParseRaw(s,i);this._configurationModel=new S(r,l,h),this._restrictedConfigurations=b||[]}doParseContent(s){let i={},r=null,l=[],h=[],b=[];function L(T){Array.isArray(l)?l.push(T):r!==null&&(l[r]=T)}let R={onObjectBegin:()=>{let T={};L(T),h.push(l),l=T,r=null},onObjectProperty:T=>{r=T},onObjectEnd:()=>{l=h.pop()},onArrayBegin:()=>{let T=[];L(T),h.push(l),l=T,r=null},onArrayEnd:()=>{l=h.pop()},onLiteralValue:L,onError:(T,U,Q)=>{b.push({error:T,offset:U,length:Q})}};if(s)try{D.visit(s,R),i=l[0]||{}}catch(T){console.error(`Error while parsing settings file ${this._name}: ${T}`),this._parseErrors=[T]}return i}doParseRaw(s,i){const r=p.Registry.as(I.Extensions.Configuration).getConfigurationProperties(),l=this.filter(s,r,!0,i);s=l.raw;const h=(0,E.toValuesTree)(s,R=>console.error(`Conflict in settings file ${this._name}: ${R}`)),b=Object.keys(s),L=this.toOverrides(s,R=>console.error(`Conflict in settings file ${this._name}: ${R}`));return{contents:h,keys:b,overrides:L,restricted:l.restricted}}filter(s,i,r,l){if(!l?.scopes&&!l?.skipRestricted)return{raw:s,restricted:[]};const h={},b=[];for(let L in s)if(I.OVERRIDE_PROPERTY_REGEX.test(L)&&r){const R=this.filter(s[L],i,!1,l);h[L]=R.raw,b.push(...R.restricted)}else{const R=i[L],T=R?typeof R.scope!="undefined"?R.scope:3:void 0;R?.restricted&&b.push(L),(T===void 0||l.scopes===void 0||l.scopes.includes(T))&&(l.skipRestricted&&R?.restricted||(h[L]=s[L]))}return{raw:h,restricted:b}}toOverrides(s,i){const r=[];for(const l of Object.keys(s))if(I.OVERRIDE_PROPERTY_REGEX.test(l)){const h={};for(const b in s[l])h[b]=s[l][b];r.push({identifiers:(0,I.overrideIdentifiersFromKey)(l),keys:Object.keys(h),contents:(0,E.toValuesTree)(h,i)})}return r}}e.ConfigurationModelParser=v;class g extends C.Disposable{constructor(s,i,r,l){super();this.userSettingsResource=s,this.scopes=i,this.fileService=l,this._onDidChange=this._register(new n.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new v(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(n.Event.filter(this.fileService.onDidFilesChange,h=>h.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const s=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(s.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new S}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=g;class w{constructor(s,i,r=new S,l=new S,h=new k.ResourceMap,b=new S,L=new k.ResourceMap,R=!0){this._defaultConfiguration=s,this._localUserConfiguration=i,this._remoteUserConfiguration=r,this._workspaceConfiguration=l,this._folderConfigurations=h,this._memoryConfiguration=b,this._memoryConfigurationByResource=L,this._freeze=R,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new k.ResourceMap,this._userConfiguration=null}getValue(s,i,r){return this.getConsolidateConfigurationModel(i,r).getValue(s)}updateValue(s,i,r={}){let l;r.resource?(l=this._memoryConfigurationByResource.get(r.resource),l||(l=new S,this._memoryConfigurationByResource.set(r.resource,l))):l=this._memoryConfiguration,i===void 0?l.removeValue(s):l.setValue(s,i),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(s,i,r){const l=this.getConsolidateConfigurationModel(i,r),h=this.getFolderConfigurationModelForResource(i.resource,r),b=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,L=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(s):this._defaultConfiguration.freeze().getValue(s),R=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(s):this.userConfiguration.freeze().getValue(s),T=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(s):this.localUserConfiguration.freeze().getValue(s),U=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(s):this.remoteUserConfiguration.freeze().getValue(s),Q=r?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(s):this._workspaceConfiguration.freeze().getValue(s):void 0,se=h?i.overrideIdentifier?h.freeze().override(i.overrideIdentifier).getValue(s):h.freeze().getValue(s):void 0,ne=i.overrideIdentifier?b.override(i.overrideIdentifier).getValue(s):b.getValue(s),q=l.getValue(s),J=y.distinct(y.flatten(l.overrides.map(V=>V.identifiers))).filter(V=>l.getOverrideValue(s,V)!==void 0);return{defaultValue:L,userValue:R,userLocalValue:T,userRemoteValue:U,workspaceValue:Q,workspaceFolderValue:se,memoryValue:ne,value:q,default:L!==void 0?{value:this._defaultConfiguration.freeze().getValue(s),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,user:R!==void 0?{value:this.userConfiguration.freeze().getValue(s),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,userLocal:T!==void 0?{value:this.localUserConfiguration.freeze().getValue(s),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,userRemote:U!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(s),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,workspace:Q!==void 0?{value:this._workspaceConfiguration.freeze().getValue(s),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,workspaceFolder:se!==void 0?{value:h?.freeze().getValue(s),override:i.overrideIdentifier?h?.freeze().getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,memory:ne!==void 0?{value:b.getValue(s),override:i.overrideIdentifier?b.getOverrideValue(s,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:J.length?J:void 0}}keys(s){const i=this.getFolderConfigurationModelForResource(void 0,s);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(s){this._defaultConfiguration=s,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(s){this._localUserConfiguration=s,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(s){this._remoteUserConfiguration=s,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(s){this._workspaceConfiguration=s,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(s,i){this._folderConfigurations.set(s,i),this._foldersConsolidatedConfigurations.delete(s)}deleteFolderConfiguration(s){this.folderConfigurations.delete(s),this._foldersConsolidatedConfigurations.delete(s)}compareAndUpdateDefaultConfiguration(s,i){const r=[];if(!i){const{added:l,updated:h,removed:b}=c(this._defaultConfiguration,s);i=[...l,...h,...b]}for(const l of i)for(const h of(0,I.overrideIdentifiersFromKey)(l)){const b=this._defaultConfiguration.getKeysForOverrideIdentifier(h),L=s.getKeysForOverrideIdentifier(h),R=[...L.filter(T=>b.indexOf(T)===-1),...b.filter(T=>L.indexOf(T)===-1),...b.filter(T=>!P.equals(this._defaultConfiguration.override(h).getValue(T),s.override(h).getValue(T)))];r.push([h,R])}return this.updateDefaultConfiguration(s),{keys:i,overrides:r}}compareAndUpdateLocalUserConfiguration(s){const{added:i,updated:r,removed:l,overrides:h}=c(this.localUserConfiguration,s),b=[...i,...r,...l];return b.length&&this.updateLocalUserConfiguration(s),{keys:b,overrides:h}}compareAndUpdateRemoteUserConfiguration(s){const{added:i,updated:r,removed:l,overrides:h}=c(this.remoteUserConfiguration,s);let b=[...i,...r,...l];return b.length&&this.updateRemoteUserConfiguration(s),{keys:b,overrides:h}}compareAndUpdateWorkspaceConfiguration(s){const{added:i,updated:r,removed:l,overrides:h}=c(this.workspaceConfiguration,s);let b=[...i,...r,...l];return b.length&&this.updateWorkspaceConfiguration(s),{keys:b,overrides:h}}compareAndUpdateFolderConfiguration(s,i){const r=this.folderConfigurations.get(s),{added:l,updated:h,removed:b,overrides:L}=c(r,i);let R=[...l,...h,...b];return(R.length||!r)&&this.updateFolderConfiguration(s,i),{keys:R,overrides:L}}compareAndDeleteFolderConfiguration(s){const i=this.folderConfigurations.get(s);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(s);const{added:r,updated:l,removed:h,overrides:b}=c(i,void 0);return{keys:[...r,...l,...h],overrides:b}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(s,i){let r=this.getConsolidatedConfigurationModelForResource(s,i);return s.overrideIdentifier?r.override(s.overrideIdentifier):r}getConsolidatedConfigurationModelForResource({resource:s},i){let r=this.getWorkspaceConsolidatedConfiguration();if(i&&s){const l=i.getFolder(s);l&&(r=this.getFolderConsolidatedConfiguration(l.uri)||r);const h=this._memoryConfigurationByResource.get(s);h&&(r=r.merge(h))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(s){let i=this._foldersConsolidatedConfigurations.get(s);if(!i){const r=this.getWorkspaceConsolidatedConfiguration(),l=this._folderConfigurations.get(s);l?(i=r.merge(l),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(s,i)):i=r}return i}getFolderConfigurationModelForResource(s,i){if(i&&s){const r=i.getFolder(s);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((s,i)=>{const{contents:r,overrides:l,keys:h}=this._folderConfigurations.get(i);return s.push([i,{contents:r,overrides:l,keys:h}]),s},[])}}allKeys(){const s=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>s.add(i)),this.userConfiguration.freeze().keys.forEach(i=>s.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>s.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(r=>s.add(r))),[...s.values()]}allOverrideIdentifiers(){const s=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>s.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>s.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>s.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(r=>s.add(r))),[...s.values()]}getAllKeysForOverrideIdentifier(s){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(s).forEach(r=>i.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(s).forEach(r=>i.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(s).forEach(r=>i.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(s).forEach(l=>i.add(l))),[...i.values()]}static parse(s){const i=this.parseConfigurationModel(s.defaults),r=this.parseConfigurationModel(s.user),l=this.parseConfigurationModel(s.workspace),h=s.folders.reduce((b,L)=>(b.set(m.URI.revive(L[0]),this.parseConfigurationModel(L[1])),b),new k.ResourceMap);return new w(i,r,new S,l,h,new S,new k.ResourceMap,!1)}static parseConfigurationModel(s){return new S(s.contents,s.keys,s.overrides).freeze()}}e.Configuration=w;function M(...u){if(u.length===0)return{keys:[],overrides:[]};if(u.length===1)return u[0];const s=new Set,i=new Map;for(const l of u)l.keys.forEach(h=>s.add(h)),l.overrides.forEach(([h,b])=>{const L=(0,k.getOrSet)(i,h,new Set);b.forEach(R=>L.add(R))});const r=[];return i.forEach((l,h)=>r.push([h,[...l.values()]])),{keys:[...s.values()],overrides:r}}e.mergeChanges=M;class a{constructor(s,i,r,l){this.change=s,this.previous=i,this.currentConfiguraiton=r,this.currentWorkspace=l,this._previousConfiguration=void 0;const h=new Set;s.keys.forEach(L=>h.add(L)),s.overrides.forEach(([,L])=>L.forEach(R=>h.add(R))),this.affectedKeys=[...h.values()];const b=new S;this.affectedKeys.forEach(L=>b.setValue(L,{})),this.affectedKeysTree=b.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(s,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,s)){if(i){const r=this.previousConfiguration?this.previousConfiguration.getValue(s,i,this.previous?.workspace):void 0,l=this.currentConfiguraiton.getValue(s,i,this.currentWorkspace);return!P.equals(r,l)}return!0}return!1}doesAffectedKeysTreeContains(s,i){let r=(0,E.toValuesTree)({[i]:!0},()=>{}),l;for(;typeof r=="object"&&(l=Object.keys(r)[0]);){if(s=s[l],!s)return!1;r=r[l]}return!0}}e.ConfigurationChangeEvent=a;class d extends a{constructor(s,i,r,l){super({keys:s.allKeys(),overrides:[]},void 0,s,i);this.source=r,this.sourceConfig=l}}e.AllKeysConfigurationChangeEvent=d;function c(u,s){const{added:i,removed:r,updated:l}=o(s,u),h=[],b=u?.getAllOverrideIdentifiers()||[],L=s?.getAllOverrideIdentifiers()||[];if(s){const R=L.filter(T=>!b.includes(T));for(const T of R)h.push([T,s.getKeysForOverrideIdentifier(T)])}if(u){const R=b.filter(T=>!L.includes(T));for(const T of R)h.push([T,u.getKeysForOverrideIdentifier(T)])}if(s&&u){for(const R of b)if(L.includes(R)){const T=o({contents:u.getOverrideValue(void 0,R)||{},keys:u.getKeysForOverrideIdentifier(R)},{contents:s.getOverrideValue(void 0,R)||{},keys:s.getKeysForOverrideIdentifier(R)});h.push([R,[...T.added,...T.removed,...T.updated]])}}return{added:i,removed:r,updated:l,overrides:h}}function o(u,s){const i=u?s?u.keys.filter(h=>s.keys.indexOf(h)===-1):[...u.keys]:[],r=s?u?s.keys.filter(h=>u.keys.indexOf(h)===-1):[...s.keys]:[],l=[];if(u&&s){for(const h of s.keys)if(u.keys.indexOf(h)!==-1){const b=(0,E.getConfigurationValue)(s.contents,h),L=(0,E.getConfigurationValue)(u.contents,h);P.equals(b,L)||l.push(h)}}return{added:i,removed:r,updated:l}}}),define(ee[194],te([0,1,8,4,2,16,19,193,57,40]),function(G,e,y,n,D,C,k,P,f,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class E extends D.Disposable{constructor(p,S){super();this.settingsResource=p,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new P.UserSettings(this.settingsResource,void 0,C.extUriBiasedIgnorePathCase,S)),this.configuration=new P.Configuration(new P.DefaultConfigurationModel,new P.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new y.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(m.Registry.as(f.Extensions.Configuration).onDidUpdateConfiguration(({properties:t})=>this.onDidDefaultConfigurationChange(t))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const p=await this.userConfiguration.loadConfiguration();this.configuration=new P.Configuration(new P.DefaultConfigurationModel,p)}getConfigurationData(){return this.configuration.toData()}getValue(p,S){const t=typeof p=="string"?p:void 0,v=(0,k.isConfigurationOverrides)(p)?p:(0,k.isConfigurationOverrides)(S)?S:{};return this.configuration.getValue(t,v,void 0)}updateValue(p,S,t,v){return Promise.reject(new Error("not supported"))}inspect(p){return this.configuration.inspect(p,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const p=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(p)}onDidChangeUserConfiguration(p){const S=this.configuration.toData(),t=this.configuration.compareAndUpdateLocalUserConfiguration(p);this.trigger(t,S,1)}onDidDefaultConfigurationChange(p){const S=this.configuration.toData(),t=this.configuration.compareAndUpdateDefaultConfiguration(new P.DefaultConfigurationModel,p);this.trigger(t,S,6)}trigger(p,S,t){const v=new P.ConfigurationChangeEvent(p,{data:S},this.configuration);v.source=t,v.sourceConfig=this.getTargetConfiguration(t),this._onDidChangeConfiguration.fire(v)}getTargetConfiguration(p){switch(p){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=E}),define(ee[195],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,y.createDecorator)("remoteAuthorityResolverService");var n;(function(C){C.Unknown="Unknown",C.NotAvailable="NotAvailable",C.TemporarilyNotAvailable="TemporarilyNotAvailable",C.NoResolverFound="NoResolverFound"})(n=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class D extends Error{constructor(k,P=n.Unknown,f){super(k);this._message=k,this._code=P,this._detail=f,this.isHandled=P===n.NotAvailable&&f===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,D.prototype)}static isTemporarilyNotAvailable(k){return k instanceof D&&k._code===n.TemporarilyNotAvailable}static isNoResolverFound(k){return k instanceof D&&k._code===n.NoResolverFound}static isHandled(k){return k instanceof D&&k.isHandled}}e.RemoteAuthorityResolverError=D}),define(ee[196],te([0,1,8,17,21,15,4,2,32,85,195]),function(G,e,y,n,D,C,k,P,f,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const I=30*1e3;var p;(function(H){H[H.Management=1]="Management",H[H.ExtensionHost=2]="ExtensionHost",H[H.Tunnel=3]="Tunnel"})(p=e.ConnectionType||(e.ConnectionType={}));function S(H){switch(H){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function t(H){const F=new D.CancellationTokenSource;return setTimeout(()=>F.cancel(),H),F.token}function v(H,F){if(H.isCancellationRequested||F.isCancellationRequested)return D.CancellationToken.Cancelled;const W=new D.CancellationTokenSource;return H.onCancellationRequested(()=>W.cancel()),F.onCancellationRequested(()=>W.cancel()),W.token}class g{constructor(F){this._state="pending",this._disposables=new P.DisposableStore,this.promise=new Promise((W,A)=>{this._resolvePromise=W,this._rejectPromise=A}),F.isCancellationRequested?this._timeout():this._disposables.add(F.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(F){this._state==="pending"?this._disposables.add(F):F.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const F=new Error("Time limit reached");return F.code="ETIMEDOUT",F.syscall="connect",F}resolve(F){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(F))}reject(F){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(F))}}function w(H,F){const W=new g(F);return W.registerDisposable(H.onControlMessage(A=>{const _=JSON.parse(A.toString()),N=K(_);N?W.reject(N):W.resolve(_)})),W.promise}function M(H,F,W,A,_,N,O){const z=new g(O);return F.connect(W,A,_,N,(x,ie)=>{z.didTimeout?(x&&H.error(x),ie?.dispose()):x||!ie?z.reject(x):z.resolve(ie)}),z.promise}function a(H,F){const W=new g(F);return H.then(A=>{W.didTimeout||W.resolve(A)},A=>{W.didTimeout||W.reject(A)}),W.promise}async function d(H,F,W,A){const _=$(H,F);H.logService.trace(`${_} 1/6. invoking socketFactory.connect().`);let N;try{N=await M(H.logService,H.socketFactory,H.host,H.port,`reconnectionToken=${H.reconnectionToken}&reconnection=${H.reconnectionProtocol?"true":"false"}`,`renderer-${S(F)}-${H.reconnectionToken}`,A)}catch(oe){throw H.logService.error(`${_} socketFactory.connect() failed or timed out. Error:`),H.logService.error(oe),oe}H.logService.trace(`${_} 2/6. socketFactory.connect() was successful.`);let O,z;H.reconnectionProtocol?(H.reconnectionProtocol.beginAcceptReconnection(N,null),O=H.reconnectionProtocol,z=!1):(O=new m.PersistentProtocol(N,null),z=!0),H.logService.trace(`${_} 3/6. sending AuthRequest control message.`);const x=await a(H.signService.createNewMessage((0,f.generateUuid)()),A),ie={type:"auth",auth:H.connectionToken||"00000000000000000000",data:x.data};O.sendControl(n.VSBuffer.fromString(JSON.stringify(ie)));try{const oe=await w(O,v(A,t(1e4)));if(oe.type!=="sign"||typeof oe.data!="string"){const he=new Error("Unexpected handshake message");throw he.code="VSCODE_CONNECTION_ERROR",he}if(H.logService.trace(`${_} 4/6. received SignRequest control message.`),!await a(H.signService.validate(x,oe.signedData),A)){const he=new Error("Refused to connect to unsupported server");throw he.code="VSCODE_CONNECTION_ERROR",he}const ce=await a(H.signService.sign(oe.data),A),le={type:"connectionType",commit:H.commit,signedData:ce,desiredConnectionType:F};return W&&(le.args=W),H.logService.trace(`${_} 5/6. sending ConnectionTypeRequest control message.`),O.sendControl(n.VSBuffer.fromString(JSON.stringify(le))),{protocol:O,ownsProtocol:z}}catch(oe){throw oe&&oe.code==="ETIMEDOUT"&&(H.logService.error(`${_} the handshake timed out. Error:`),H.logService.error(oe)),oe&&oe.code==="VSCODE_CONNECTION_ERROR"&&(H.logService.error(`${_} received error control message when negotiating connection. Error:`),H.logService.error(oe)),z&&V(O),oe}}async function c(H,F,W,A){const _=Date.now(),N=$(H,F),{protocol:O,ownsProtocol:z}=await d(H,F,W,A),x=new g(A);return x.registerDisposable(O.onControlMessage(ie=>{const oe=JSON.parse(ie.toString()),Z=K(oe);Z?(H.logService.error(`${N} received error control message when negotiating connection. Error:`),H.logService.error(Z),z&&V(O),x.reject(Z)):(H.reconnectionProtocol&&H.reconnectionProtocol.endAcceptReconnection(),H.logService.trace(`${N} 6/6. handshake finished, connection is up and running after ${Y(_)}!`),x.resolve({protocol:O,firstMessage:oe}))})),x.promise}async function o(H,F){const{protocol:W}=await c(H,1,void 0,F);return{protocol:W}}async function u(H,F,W){const{protocol:A,firstMessage:_}=await c(H,2,F,W),N=_&&_.debugPort;return{protocol:A,debugPort:N}}async function s(H,F,W){const A=Date.now(),_=$(H,3),{protocol:N}=await d(H,3,F,W);return H.logService.trace(`${_} 6/6. handshake finished, connection is up and running after ${Y(A)}!`),N}async function i(H,F,W){const{host:A,port:_,connectionToken:N}=await H.addressProvider.getAddress();return{commit:H.commit,host:A,port:_,connectionToken:N,reconnectionToken:F,reconnectionProtocol:W,socketFactory:H.socketFactory,signService:H.signService,logService:H.logService}}async function r(H,F,W){try{const A=(0,f.generateUuid)(),_=await i(H,A,null),{protocol:N}=await o(_,D.CancellationToken.None);return new q(H,F,W,A,N)}catch(A){throw H.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),H.logService.error(A),ne.triggerPermanentFailure(0,0,E.RemoteAuthorityResolverError.isHandled(A)),A}}e.connectRemoteAgentManagement=r;async function l(H,F){try{const W=(0,f.generateUuid)(),A=await i(H,W,null),{protocol:_,debugPort:N}=await u(A,F,D.CancellationToken.None);return new J(H,F,W,_,N)}catch(W){throw H.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),H.logService.error(W),ne.triggerPermanentFailure(0,0,E.RemoteAuthorityResolverError.isHandled(W)),W}}e.connectRemoteAgentExtensionHost=l;async function h(H,F,W){const A=await i(H,(0,f.generateUuid)(),null);return await s(A,{host:F,port:W},D.CancellationToken.None)}e.connectRemoteAgentTunnel=h;function b(H){return(0,y.createCancelablePromise)(F=>new Promise((W,A)=>{const _=setTimeout(W,H*1e3);F.onCancellationRequested(()=>{clearTimeout(_),W()})}))}var L;(function(H){H[H.ConnectionLost=0]="ConnectionLost",H[H.ReconnectionWait=1]="ReconnectionWait",H[H.ReconnectionRunning=2]="ReconnectionRunning",H[H.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",H[H.ConnectionGain=4]="ConnectionGain"})(L=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class R{constructor(F,W){this.reconnectionToken=F,this.millisSinceLastIncomingData=W,this.type=0}}e.ConnectionLostEvent=R;class T{constructor(F,W,A,_){this.reconnectionToken=F,this.millisSinceLastIncomingData=W,this.durationSeconds=A,this.cancellableTimer=_,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=T;class U{constructor(F,W,A){this.reconnectionToken=F,this.millisSinceLastIncomingData=W,this.attempt=A,this.type=2}}e.ReconnectionRunningEvent=U;class Q{constructor(F,W,A){this.reconnectionToken=F,this.millisSinceLastIncomingData=W,this.attempt=A,this.type=4}}e.ConnectionGainEvent=Q;class se{constructor(F,W,A,_){this.reconnectionToken=F,this.millisSinceLastIncomingData=W,this.attempt=A,this.handled=_,this.type=3}}e.ReconnectionPermanentFailureEvent=se;class ne extends P.Disposable{constructor(F,W,A,_){super();this._connectionType=F,this._onDidStateChange=this._register(new k.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=W,this.reconnectionToken=A,this.protocol=_,this._isReconnecting=!1,this._onDidStateChange.fire(new Q(this.reconnectionToken,0,0)),this._register(_.onSocketClose(N=>{const O=B(this._connectionType,this.reconnectionToken,!0);N?N.type===0?(this._options.logService.info(`${O} received socket close event (hadError: ${N.hadError}).`),N.error&&this._options.logService.error(N.error)):(this._options.logService.info(`${O} received socket close event (wasClean: ${N.wasClean}, code: ${N.code}, reason: ${N.reason}).`),N.event&&this._options.logService.error(N.event)):this._options.logService.info(`${O} received socket close event.`),this._beginReconnecting()})),this._register(_.onSocketTimeout(()=>{const N=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${N} received socket timeout event.`),this._beginReconnecting()})),ne._instances.push(this),ne._permanentFailure&&this._gotoPermanentFailure(ne._permanentFailureMillisSinceLastIncomingData,ne._permanentFailureAttempt,ne._permanentFailureHandled)}static triggerPermanentFailure(F,W,A){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=F,this._permanentFailureAttempt=W,this._permanentFailureHandled=A,this._instances.forEach(_=>_._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(F=>F._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(F=>F._pauseSocketWriting())}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(ne._permanentFailure)return;const F=B(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${F} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new R(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const W=[0,5,5,10,10,10,10,10,30];let A=-1;do{A++;const _=A<W.length?W[A]:W[W.length-1];try{if(_>0){const O=b(_);this._onDidStateChange.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),_,O)),this._options.logService.info(`${F} waiting for ${_} seconds before reconnecting...`);try{await O}catch{}}if(ne._permanentFailure){this._options.logService.error(`${F} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1)),this._options.logService.info(`${F} resolving connection...`);const N=await i(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${F} connecting to ${N.host}:${N.port}...`),await this._reconnect(N,t(I)),this._options.logService.info(`${F} reconnected!`),this._onDidStateChange.fire(new Q(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1));break}catch(N){if(N.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${F} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(N),ne.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(A>360){this._options.logService.error(`${F} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(N),ne.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(E.RemoteAuthorityResolverError.isTemporarilyNotAvailable(N)){this._options.logService.info(`${F} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((N.code==="ETIMEDOUT"||N.code==="ENETUNREACH"||N.code==="ECONNREFUSED"||N.code==="ECONNRESET")&&N.syscall==="connect"){this._options.logService.info(`${F} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((0,C.isPromiseCanceledError)(N)){this._options.logService.info(`${F} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if(N instanceof E.RemoteAuthorityResolverError){this._options.logService.error(`${F} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(N),ne.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,E.RemoteAuthorityResolverError.isHandled(N));break}this._options.logService.error(`${F} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(N),ne.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}}while(!ne._permanentFailure)}_gotoPermanentFailure(F,W,A){this._onDidStateChange.fire(new se(this.reconnectionToken,F,W,A)),V(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=ne,ne._permanentFailure=!1,ne._permanentFailureMillisSinceLastIncomingData=0,ne._permanentFailureAttempt=0,ne._permanentFailureHandled=!1,ne._instances=[];class q extends ne{constructor(F,W,A,_,N){super(1,F,_,N);this.client=this._register(new m.Client(N,{remoteAuthority:W,clientId:A},F.ipcLogger))}async _reconnect(F,W){await o(F,W)}}e.ManagementPersistentConnection=q;class J extends ne{constructor(F,W,A,_,N){super(2,F,A,_);this._startArguments=W,this.debugPort=N}async _reconnect(F,W){await u(F,this._startArguments,W)}}e.ExtensionHostPersistentConnection=J;function V(H){try{H.acceptDisconnect();const F=H.getSocket();H.dispose(),F.dispose()}catch(F){(0,C.onUnexpectedError)(F)}}function K(H){if(H&&H.type==="error"){const F=new Error(`Connection error: ${H.reason}`);return F.code="VSCODE_CONNECTION_ERROR",F}return null}function j(H,F){for(;H.length<F;)H+=" ";return H}function B(H,F,W){return`[remote-connection][${j(S(H),13)}][${F.substr(0,5)}\u2026][${W?"reconnect":"initial"}]`}function $(H,F){return`${B(F,H.reconnectionToken,!!H.reconnectionProtocol)}[${H.host}:${H.port}]`}function Y(H){return`${Date.now()-H} ms`}}),define(ee[64],te([0,1,10]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function n(m){return m.scheme===y.Schemas.vscodeRemote?m.authority:void 0}e.getRemoteAuthority=n;function D(m){if(!m)return;const E=m.indexOf("+");return E<0?m:m.substr(0,E)}e.getRemoteName=D;function C(m){return m.scheme!==y.Schemas.file&&m.scheme!==y.Schemas.vscodeRemote}e.isVirtualResource=C;function k(m){if(m.folders.length)return m.folders.every(E=>C(E.uri))?m.folders[0].uri:void 0;if(m.configuration&&C(m.configuration))return m.configuration}e.getVirtualWorkspaceLocation=k;function P(m){return k(m)?.scheme}e.getVirtualWorkspaceScheme=P;function f(m){return k(m)!==void 0}e.isVirtualWorkspace=f}),define(ee[197],te([0,1,25,5,64]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function C(p){if(typeof p=="object"&&p!==null&&p.supported!==!0)return p.description}e.getWorkspaceSupportTypeMessage=C;function k(p){return p&&typeof p=="object"&&typeof p.id=="string"&&(!p.uuid||typeof p.uuid=="string")}e.isIExtensionIdentifier=k,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(p){p[p.System=0]="System",p[p.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class f{constructor(S){this.value=S,this._lower=S.toLowerCase()}static equals(S,t){if(typeof S=="undefined"||S===null)return typeof t=="undefined"||t===null;if(typeof t=="undefined"||t===null)return!1;if(typeof S=="string"||typeof t=="string"){let v=typeof S=="string"?S:S.value,g=typeof t=="string"?t:t.value;return y.equalsIgnoreCase(v,g)}return S._lower===t._lower}static toKey(S){return typeof S=="string"?S.toLowerCase():S._lower}}e.ExtensionIdentifier=f;function m(p){return p.contributes&&p.contributes.localizations?p.contributes.localizations.length>0:!1}e.isLanguagePackExtension=m;function E(p){return p.contributes&&p.contributes.authentication?p.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=E;function I(p,S){if(S){const t=`onResolveRemoteAuthority:${(0,D.getRemoteName)(S)}`;return p.activationEvents?.indexOf(t)!==-1}return!1}e.isResolverExtension=I,e.IBuiltinExtensionsScannerService=(0,n.createDecorator)("IBuiltinExtensionsScannerService")}),define(ee[198],te([0,1,25,197]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function D(t,v){return t.uuid&&v.uuid?t.uuid===v.uuid:t.id===v.id?!0:(0,y.compareIgnoreCase)(t.id,v.id)===0}e.areSameExtensions=D;class C{constructor(v,g){this.version=g,this.id=v.id,this.uuid=v.uuid}key(){return`${this.id}-${this.version}`}equals(v){return v instanceof C?D(this,v)&&this.version===v.version:!1}}e.ExtensionIdentifierWithVersion=C;function k(t,v){return`${t}.${v}`}e.getExtensionId=k;function P(t){return t.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function f(t,v){return P(k(t,v))}e.getGalleryExtensionId=f;function m(t,v){const g=[],w=M=>{for(const a of g)if(a.some(d=>D(v(d),v(M))))return a;return null};for(const M of t){const a=w(M);a?a.push(M):g.push([M])}return g}e.groupByExtension=m;function E(t){return{id:t.identifier.id,name:t.manifest.name,galleryId:null,publisherId:t.publisherId,publisherName:t.manifest.publisher,publisherDisplayName:t.publisherDisplayName,dependencies:t.manifest.extensionDependencies&&t.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=E;function I(t){return{id:t.identifier.id,name:t.name,galleryId:t.identifier.uuid,publisherId:t.publisherId,publisherName:t.publisher,publisherDisplayName:t.publisherDisplayName,isPreReleaseVersion:t.properties.isPreReleaseVersion,dependencies:!!(t.properties.dependencies&&t.properties.dependencies.length>0),...t.telemetryData}}e.getGalleryExtensionTelemetryData=I,e.BetterMergeId=new n.ExtensionIdentifier("pprice.better-merge");function p(t){const v=new Set;if(t.malicious)for(const g of t.malicious)v.add(g.id);return v}e.getMaliciousExtensionsSet=p;function S(t,v){const g=[],w=v.manifest.extensionDependencies?.slice(0)??[];for(;w.length;){const M=w.shift();if(M&&g.every(a=>!D(a.identifier,{id:M}))){const a=t.filter(d=>D(d.identifier,{id:M}));a.length===1&&(g.push(a[0]),w.push(...a[0].manifest.extensionDependencies?.slice(0)??[]))}}return g}e.getExtensionDependencies=S}),define(ee[97],te([0,1,4,3,5,6]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,D.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,D.createDecorator)("sharedTunnelsService");var k;(function(t){t.Http="http",t.Https="https"})(k=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(t){t.ConstantPrivate="constantPrivate",t.Private="private",t.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var f;(function(t){t[t.Notify=1]="Notify",t[t.OpenBrowser=2]="OpenBrowser",t[t.OpenPreview=3]="OpenPreview",t[t.Silent=4]="Silent",t[t.Ignore=5]="Ignore",t[t.OpenBrowserOnce=6]="OpenBrowserOnce"})(f=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function m(t){if(t.scheme!=="http"&&t.scheme!=="https")return;const v=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(t.authority);if(!!v)return{address:v[1],port:+v[2]}}e.extractLocalHostUriMetaDataForPortMapping=m,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function E(t){return e.LOCALHOST_ADDRESSES.indexOf(t)>=0}e.isLocalhost=E,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function I(t){return e.ALL_INTERFACES_ADDRESSES.indexOf(t)>=0}e.isAllInterfaces=I;function p(t,v){return v?v!==1&&t<1024:!n.isWindows&&t<1024}e.isPortPrivileged=p;let S=class{constructor(v){this.logService=v,this._onTunnelOpened=new y.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new y.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new y.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(v,g){return this._tunnelProvider=v,v?(this._canElevate=g.elevation,this._privacyOptions=g.privacyOptions,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const v=[],g=Array.from(this._tunnels.values());for(let w of g){const M=Array.from(w.values());for(let a of M){const d=await a.value;d&&v.push(d)}}return v}async dispose(){for(const v of this._tunnels.values()){for(const{value:g}of v.values())await g.then(w=>w?.dispose());v.clear()}this._tunnels.clear()}openTunnel(v,g,w,M,a=!1,d=P.Private,c){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${g}:${w} on local port ${M}.`),!v)return;g||(g="localhost");const o=this.retainOrCreateTunnel(v,g,w,M,a,d,c);return o?o.then(u=>{if(!u){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(g,w);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(u);return(u.tunnelRemoteHost!==g||u.tunnelRemotePort!==w)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),o)}makeTunnel(v){return{tunnelRemotePort:v.tunnelRemotePort,tunnelRemoteHost:v.tunnelRemoteHost,tunnelLocalPort:v.tunnelLocalPort,localAddress:v.localAddress,privacy:v.privacy,protocol:v.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${v.tunnelRemoteHost}:${v.tunnelRemotePort} `);const g=this._tunnels.get(v.tunnelRemoteHost);if(g){const w=g.get(v.tunnelRemotePort);w&&(w.refcount--,await this.tryDisposeTunnel(v.tunnelRemoteHost,v.tunnelRemotePort,w))}}}}async tryDisposeTunnel(v,g,w){if(w.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${v}:${g}.`);const M=w.value.then(async a=>{a&&(await a.dispose(!0),this._onTunnelClosed.fire({host:a.tunnelRemoteHost,port:a.tunnelRemotePort}))});return this._tunnels.has(v)&&this._tunnels.get(v).delete(g),M}}async closeTunnel(v,g){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${v}:${g} `);const w=this._tunnels.get(v);if(w&&w.has(g)){const M=w.get(g);M.refcount=0,await this.tryDisposeTunnel(v,g,M)}}addTunnelToMap(v,g,w){this._tunnels.has(v)||this._tunnels.set(v,new Map),this._tunnels.get(v).set(g,{refcount:1,value:w})}async removeEmptyTunnelFromMap(v,g){const w=this._tunnels.get(v);w&&(await w.get(g)||w.delete(g),w.size===0&&this._tunnels.delete(v))}getTunnelFromMap(v,g){let w=[v];E(v)?(w.push(...e.LOCALHOST_ADDRESSES),w.push(...e.ALL_INTERFACES_ADDRESSES)):I(v)&&w.push(...e.ALL_INTERFACES_ADDRESSES);const M=w.map(a=>this._tunnels.get(a));for(const a of M){const d=a?.get(g);if(d)return d}}canTunnel(v){return!!m(v)}createWithProvider(v,g,w,M,a,d,c){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${g}:${w} on local port ${M}.`);const u={elevationRequired:a?p(M===void 0?w:M):!1},s={remoteAddress:{host:g,port:w},localAddressPort:M,privacy:d,public:d!==P.Private,protocol:c},i=v.forwardPort(s,u);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),i&&this.addTunnelToMap(g,w,i),i}};S=de([re(0,C.ILogService)],S),e.AbstractTunnelService=S}),define(ee[48],te([0,1,17,153,57,5,40]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,C.createDecorator)("requestService");function P(t){return t.res.statusCode&&t.res.statusCode>=200&&t.res.statusCode<300||t.res.statusCode===1223}e.isSuccess=P;function f(t){return t.res.statusCode===204}async function m(t){if(!P(t))throw new Error("Server returned "+t.res.statusCode);return f(t)?null:(await(0,y.streamToBuffer)(t.stream)).toString()}e.asText=m;async function E(t){if(!P(t))throw new Error("Server returned "+t.res.statusCode);if(f(t))return null;const g=(await(0,y.streamToBuffer)(t.stream)).toString();try{return JSON.parse(g)}catch(w){throw w.message+=`:
`+g,w}}e.asJson=E;function I(t){S(t)}e.updateProxyConfigurationsScope=I;let p;function S(t){const v=k.Registry.as(D.Extensions.Configuration),g=p;p={id:"http",order:15,title:(0,n.localize)(0,null),type:"object",scope:t,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,n.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,n.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,n.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,n.localize)(4,null),(0,n.localize)(5,null),(0,n.localize)(6,null),(0,n.localize)(7,null)],default:"override",description:(0,n.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,n.localize)(9,null),restricted:!0}}},v.updateConfigurations({add:[p],remove:g?[g]:[]})}S(2)}),define(ee[199],te([0,1,200,13]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function D(k,P){return k.protocol==="http:"?P.HTTP_PROXY||P.http_proxy||null:k.protocol==="https:"&&(P.HTTPS_PROXY||P.https_proxy||P.HTTP_PROXY||P.http_proxy)||null}async function C(k,P,f={}){const m=(0,y.parse)(k),E=f.proxyUrl||D(m,P);if(!E)return null;const I=(0,y.parse)(E);if(!/^https?:$/.test(I.protocol||""))return null;const p={host:I.hostname||"",port:I.port||(I.protocol==="https"?"443":"80"),auth:I.auth,rejectUnauthorized:(0,n.isBoolean)(f.strictSSL)?f.strictSSL:!0};return m.protocol==="http:"?new(await new Promise((S,t)=>{G(["http-proxy-agent"],S,t)}))(p):new(await new Promise((S,t)=>{G(["https-proxy-agent"],S,t)}))(p)}e.getProxyAgent=C}),define(ee[201],te([0,1,17,32]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function D(C,k,P){let f=P&&P.get("storage.serviceMachineId",0)||null;if(f)return f;try{const E=(await k.readFile(C.serviceMachineIdResource)).value.toString();f=(0,n.isUUID)(E)?E:null}catch{f=null}if(!f){f=(0,n.generateUuid)();try{await k.writeFile(C.serviceMachineIdResource,y.VSBuffer.fromString(f))}catch{}}return P&&P.store("storage.serviceMachineId",f,0,1),f}e.getServiceMachineId=D}),define(ee[77],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,y.createDecorator)(e.SIGN_SERVICE_ID)}),define(ee[202],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class y{constructor(){this.validators=new Map}vsda(){return new Promise((D,C)=>G(["vsda"],D,C))}async createNewMessage(D){try{const C=await this.vsda(),k=new C.validator;if(k){const P=String(y._nextId++);return this.validators.set(P,k),{id:P,data:k.createNewMessage(D)}}}catch{}return{id:"",data:D}}async validate(D,C){if(!D.id)return!0;const k=this.validators.get(D.id);if(!k)return!1;this.validators.delete(D.id);try{return k.validate(C)==="ok"}catch{return!1}}async sign(D){try{const C=await this.vsda(),k=new C.signer;if(k)return k.sign(D)}catch{}return D}}e.SignService=y,y._nextId=1}),define(ee[38],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=(0,y.createDecorator)("stateMainService")}),define(ee[20],te([0,1,14,8,4,2,3,34,13,5,182,6,38]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,m.createDecorator)("lifecycleMainService");var S;(function(v){v[v.Starting=1]="Starting",v[v.Ready=2]="Ready",v[v.AfterWindowOpen=3]="AfterWindowOpen"})(S=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let t=class ft extends C.Disposable{constructor(g,w){super();this.logService=g,this.stateMainService=w,this._onBeforeShutdown=this._register(new D.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new D.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new D.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new D.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._onBeforeUnloadWindow=this._register(new D.Emitter),this.onBeforeUnloadWindow=this._onBeforeUnloadWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=void 0,this.pendingQuitPromiseResolve=void 0,this.pendingWillShutdownPromise=void 0,this.phaseWhen=new Map,this.resolveRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}resolveRestarted(){this._wasRestarted=!!this.stateMainService.getItem(ft.QUIT_AND_RESTART_KEY),this._wasRestarted&&this.stateMainService.removeItem(ft.QUIT_AND_RESTART_KEY)}registerListeners(){const g=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),k.isMacintosh&&this.windowCounter===0&&this.fireOnWillShutdown())};y.app.addListener("before-quit",g);const w=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!k.isMacintosh)&&y.app.quit()};y.app.addListener("window-all-closed",w),y.app.once("will-quit",M=>{this.logService.trace("Lifecycle#app.on(will-quit)"),M.preventDefault(),this.fireOnWillShutdown().finally(()=>{this.resolvePendingQuitPromise(!1),y.app.removeListener("before-quit",g),y.app.removeListener("window-all-closed",w),y.app.quit()})})}fireOnWillShutdown(){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const g=[];return this._onWillShutdown.fire({join(w){g.push(w)}}),this.pendingWillShutdownPromise=(async()=>{try{await n.Promises.settled(g)}catch(w){this.logService.error(w)}try{await this.stateMainService.close()}catch(w){this.logService.error(w)}})(),this.pendingWillShutdownPromise}set phase(g){if(g<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase===g)return;this.logService.trace(`lifecycle (main): phase changed (value: ${g})`),this._phase=g;const w=this.phaseWhen.get(this._phase);w&&(w.open(),this.phaseWhen.delete(this._phase))}async when(g){if(g<=this._phase)return;let w=this.phaseWhen.get(g);w||(w=new n.Barrier,this.phaseWhen.set(g,w)),await w.wait()}registerWindow(g){const w=new C.DisposableStore;this.windowCounter++,w.add(g.onWillLoad(a=>this._onWillLoadWindow.fire({window:g,workspace:a.workspace,reason:a.reason})));const M=(0,f.assertIsDefined)(g.win);M.on("close",a=>{const d=g.id;if(this.windowToCloseRequest.has(d)){this.windowToCloseRequest.delete(d);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${g.id}`),a.preventDefault(),this.unload(g,1).then(c=>{if(c){this.windowToCloseRequest.delete(d);return}this.windowToCloseRequest.add(d),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${d}`),this._onBeforeCloseWindow.fire(g),g.close()})}),M.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${g.id}`),this.windowCounter--,w.dispose(),this.windowCounter===0&&(!k.isMacintosh||this._quitRequested)&&this.fireOnWillShutdown()})}async reload(g,w){await this.unload(g,3)||g.reload(w)}async unload(g,w){if(!g.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${g.id}`);const M=this._quitRequested?2:w;let a=await this.onBeforeUnloadWindowInRenderer(g,M);return a?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${g.id})`),this.handleWindowUnloadVeto(a)):(a=await this.onBeforeUnloadWindowInMain(g,M),a?(this.logService.trace(`Lifecycle#unload() - veto in main (window ID ${g.id})`),this.handleWindowUnloadVeto(a)):(this.logService.trace(`Lifecycle#unload() - no veto (window ID ${g.id})`),await this.onWillUnloadWindowInRenderer(g,M),!1))}handleWindowUnloadVeto(g){return g?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(g){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(g),this.pendingQuitPromiseResolve=void 0,this.pendingQuitPromise=void 0)}onBeforeUnloadWindowInRenderer(g,w){return new Promise(M=>{const a=this.oneTimeListenerTokenGenerator++,d=`vscode:ok${a}`,c=`vscode:cancel${a}`;y.ipcMain.once(d,()=>{M(!1)}),y.ipcMain.once(c,()=>{M(!0)}),g.send("vscode:onBeforeUnload",{okChannel:d,cancelChannel:c,reason:w})})}onBeforeUnloadWindowInMain(g,w){const M=[];return this._onBeforeUnloadWindow.fire({reason:w,window:g,veto(a){M.push(a)}}),(0,E.handleVetos)(M,a=>this.logService.error(a))}onWillUnloadWindowInRenderer(g,w){return new Promise(M=>{const d=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;y.ipcMain.once(d,()=>M()),g.send("vscode:onWillUnload",{replyChannel:d,reason:w})})}quit(g){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - will restart: ${g}`),g&&this.stateMainService.setItem(ft.QUIT_AND_RESTART_KEY,!0),this.pendingQuitPromise=new Promise(w=>{this.pendingQuitPromiseResolve=w,this.logService.trace("Lifecycle#quit() - calling app.quit()"),y.app.quit()}),this.pendingQuitPromise)}async relaunch(g){this.logService.trace("Lifecycle#relaunch()");const w=process.argv.slice(1);if(g?.addArgs&&w.push(...g.addArgs),g?.removeArgs)for(const d of g.removeArgs){const c=w.indexOf(d);c>=0&&w.splice(c,1)}const M=()=>{try{if(k.isWindows){const d=(0,P.cwd)();d!==process.cwd()&&process.chdir(d)}}catch(d){this.logService.error(d)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),y.app.relaunch({args:w})};y.app.once("quit",M),await this.quit(!0)&&y.app.removeListener("quit",M)}async kill(g){this.logService.trace("Lifecycle#kill()"),await this.fireOnWillShutdown(),await Promise.race([(0,n.timeout)(1e3),(async()=>{for(const w of y.BrowserWindow.getAllWindows())if(w&&!w.isDestroyed()){let M;w.webContents&&!w.webContents.isDestroyed()?M=new Promise(a=>w.once("closed",a)):M=Promise.resolve(),w.destroy(),await M}})()]),y.app.exit(g)}};t.QUIT_AND_RESTART_KEY="lifecycle.quitAndRestart",t=de([re(0,I.ILogService),re(1,p.IStateMainService)],t),e.LifecycleMainService=t}),define(ee[203],te([0,1,4,2,5,20]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,D.createDecorator)("keyboardLayoutMainService");let k=class extends n.Disposable{constructor(m){super();this._onDidChangeKeyboardLayout=this._register(new y.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,m.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const m=await new Promise((E,I)=>{G(["native-keymap"],E,I)});this._keyboardLayoutData=P(m),m.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=P(m),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};k=de([re(0,C.ILifecycleMainService)],k),e.KeyboardLayoutMainService=k;function P(f){const m=f.getKeyMap(),E=f.getCurrentKeyboardLayout();return{keyboardMapping:m,keyboardLayoutInfo:E}}}),define(ee[78],te([0,1,8,4,2,63,13,87,5]),function(G,e,y,n,D,C,k,P,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const m="__$__targetStorageMarker";e.IStorageService=(0,f.createDecorator)("storageService");var E;(function(g){g[g.NONE=0]="NONE",g[g.SHUTDOWN=1]="SHUTDOWN"})(E=e.WillSaveStateReason||(e.WillSaveStateReason={}));var I;(function(g){g[g.GLOBAL=0]="GLOBAL",g[g.WORKSPACE=1]="WORKSPACE"})(I=e.StorageScope||(e.StorageScope={}));var p;(function(g){g[g.USER=0]="USER",g[g.MACHINE=1]="MACHINE"})(p=e.StorageTarget||(e.StorageTarget={}));class S extends D.Disposable{constructor(w={flushInterval:S.DEFAULT_FLUSH_INTERVAL}){super();this.options=w,this._onDidChangeValue=this._register(new n.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new n.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new n.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new y.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,y.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,D.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,C.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,C.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(w,M){M===m?(w===0?this._globalKeyTargets=void 0:w===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:w})):this._onDidChangeValue.fire({scope:w,key:M,target:this.getKeyTargets(w)[M]})}emitWillSaveState(w){this._onWillSaveState.fire({reason:w})}get(w,M,a){return this.getStorage(M)?.get(w,a)}getBoolean(w,M,a){return this.getStorage(M)?.getBoolean(w,a)}getNumber(w,M,a){return this.getStorage(M)?.getNumber(w,a)}store(w,M,a,d){if((0,k.isUndefinedOrNull)(M)){this.remove(w,a);return}this.withPausedEmitters(()=>{this.updateKeyTarget(w,a,d),this.getStorage(a)?.set(w,M)})}remove(w,M){this.withPausedEmitters(()=>{this.updateKeyTarget(w,M,void 0),this.getStorage(M)?.delete(w)})}withPausedEmitters(w){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{w()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(w,M){const a=[],d=this.getKeyTargets(w);for(const c of Object.keys(d))d[c]===M&&a.push(c);return a}updateKeyTarget(w,M,a){const d=this.getKeyTargets(M);typeof a=="number"?d[w]!==a&&(d[w]=a,this.getStorage(M)?.set(m,JSON.stringify(d))):typeof d[w]=="number"&&(delete d[w],this.getStorage(M)?.set(m,JSON.stringify(d)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(w){return w===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(w){const M=this.get(m,w);if(M)try{return JSON.parse(M)}catch{}return Object.create(null)}isNew(w){return this.getBoolean(e.IS_NEW_KEY,w)===!0}async flush(w=E.NONE){this._onWillSaveState.fire({reason:w});const M=this.getStorage(0),a=this.getStorage(1);switch(w){case E.NONE:await y.Promises.settled([M?.whenFlushed()??Promise.resolve(),a?.whenFlushed()??Promise.resolve()]);break;case E.SHUTDOWN:await y.Promises.settled([M?.flush(0)??Promise.resolve(),a?.flush(0)??Promise.resolve()]);break}}async logStorage(){const w=this.getStorage(0)?.items??new Map,M=this.getStorage(1)?.items??new Map;return v(w,M,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}e.AbstractStorageService=S,S.DEFAULT_FLUSH_INTERVAL=60*1e3;class t extends S{constructor(){super();this.globalStorage=this._register(new P.Storage(new P.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new P.Storage(new P.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(w=>this.emitDidChangeValue(1,w))),this._register(this.globalStorage.onDidChangeStorage(w=>this.emitDidChangeValue(0,w)))}getStorage(w){return w===0?this.globalStorage:this.workspaceStorage}getLogDetails(w){return w===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(w){}}e.InMemoryStorageService=t;async function v(g,w,M,a){const d=l=>{try{return JSON.parse(l)}catch{return l}},c=new Map,o=new Map;g.forEach((l,h)=>{c.set(h,l),o.set(h,d(l))});const u=new Map,s=new Map;w.forEach((l,h)=>{u.set(h,l),s.set(h,d(l))}),console.group(`Storage: Global (path: ${M})`);let i=[];c.forEach((l,h)=>{i.push({key:h,value:l})}),console.table(i),console.groupEnd(),console.log(o),console.group(`Storage: Workspace (path: ${a})`);let r=[];u.forEach((l,h)=>{r.push({key:h,value:l})}),console.table(r),console.groupEnd(),console.log(s)}e.logStorage=v}),define(ee[204],te([0,1,3,34,7,32]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function k(m){if(y.platform===2&&/^penguin(\.|$)/i.test(m))return"chromebook"}async function P(m,E,I,p,S,t,v,g,w,M){const a=Object.create(null);a["common.machineId"]=v,a.sessionID=(0,C.generateUuid)()+Date.now(),a.commitHash=S,a.version=t,a["common.platformVersion"]=(E||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),a["common.platform"]=(0,y.PlatformToString)(y.platform),a["common.nodePlatform"]=n.platform,a["common.nodeArch"]=p,a["common.product"]=M||"desktop";const d=f(g||[]);d&&(a["common.msftInternal"]=d);let c=0;const o=Date.now();Object.defineProperties(a,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-o,enumerable:!0},"common.sequence":{get:()=>c++,enumerable:!0}}),y.isLinuxSnap&&(a["common.snap"]="true");const u=k(I);u&&(a["common.platformDetail"]=u);try{const s=await m.readFile(D.URI.file(w));a["common.source"]=s.value.toString().slice(0,30)}catch{}return a}e.resolveCommonProperties=P;function f(m){const E=n.env.USERDNSDOMAIN;if(!E)return!1;const I=E.toLowerCase();return m.some(p=>I===p)}e.verifyMicrosoftInternalDomain=f}),define(ee[29],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,y.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,y.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var n;(function(C){C[C.NONE=0]="NONE",C[C.CRASH=1]="CRASH",C[C.ERROR=2]="ERROR",C[C.USAGE=3]="USAGE"})(n=e.TelemetryLevel||(e.TelemetryLevel={}));var D;(function(C){C.OFF="off",C.CRASH="crash",C.ERROR="error",C.ON="all"})(D=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(ee[205],te([0,1,26,69,8,43,10,9,3,7,72,24,84,75,18,22,29]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function w(o,u){const s=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}];let i;const r=y.homedir().toLowerCase();switch(process.platform){case"win32":i=[{tag:"gdrive",matcher:U=>/^[a-z]:\\(my drive|shared drives)\\/.test(U)||U.startsWith(r+"\\my drive\\")},{tag:"dropbox",matcher:U=>U.startsWith(r+"\\dropbox")},{tag:"onedrive",matcher:U=>U.startsWith(r+"\\onedrive")},{tag:"box",matcher:U=>U.startsWith(r+"\\box\\")},{tag:"nextcloud",matcher:U=>U.startsWith(r+"\\nextcloud\\")},{tag:"owncloud",matcher:U=>U.startsWith(r+"\\owncloud\\")}];break;case"darwin":i=[{tag:"gdrive",matcher:U=>U.startsWith("/volumes/googledrive/")||U.startsWith(r+"/my drive/")},{tag:"dropbox",matcher:U=>U.startsWith(r+"/dropbox")},{tag:"onedrive",matcher:U=>U.startsWith(r+"/onedrive")||U.startsWith(r+"/library/cloudstorage/onedrive")},{tag:"icloud",matcher:U=>U.startsWith(r+"/library/mobile documents/")},{tag:"box",matcher:U=>U.startsWith(r+"/box/")},{tag:"nextcloud",matcher:U=>U.startsWith(r+"/nextcloud/")},{tag:"owncloud",matcher:U=>U.startsWith(r+"/owncloud/")}];break}const l=new Map,h=new Map,b=2e4;function L(U,Q,se,ne){for(const J of i){const V=U.toLowerCase();J.matcher(V)&&h.set(J.tag,1)}const q=Q.substring(U.length+1);return D.Promises.withAsyncBody(async J=>{let V;try{V=await I.Promises.readdir(Q,{withFileTypes:!0})}catch{J();return}if(ne.count>=b){ne.count+=V.length,ne.maxReached=!0,J();return}let K=V.length;if(K===0){J();return}let j=V;ne.count+V.length>b&&(ne.maxReached=!0,K=b-ne.count,j=V.slice(0,K)),ne.count+=V.length;for(const B of j)if(B.isDirectory()){if(se.includes(B.name)||await L(U,(0,P.join)(Q,B.name),se,ne),--K==0){J();return}}else{const $=B.name.lastIndexOf(".");if($>=0){const Y=B.name.substring($+1);Y&&l.set(Y,(l.get(Y)??0)+1)}for(const Y of s)Y.relativePathPattern?.test(q)!==!1&&Y.filePattern.test(B.name)&&h.set(Y.tag,(h.get(Y.tag)??0)+1);if(--K==0){J();return}}})}const R={count:0,maxReached:!1};await L(o,o,u,R);const T=await d(o);return{configFiles:M(h),fileTypes:M(l),fileCount:R.count,maxFilesReached:R.maxReached,launchConfigFiles:T}}e.collectWorkspaceStats=w;function M(o){return[...n.Iterable.map(o.entries(),([u,s])=>({name:u,count:s}))].sort((u,s)=>s.count-u.count)}function a(){const o={os:`${y.type()} ${y.arch()} ${y.release()}`,memory:`${(y.totalmem()/t.ByteSize.GB).toFixed(2)}GB (${(y.freemem()/t.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(E.virtualMachineHint.value()*100)}%`},u=y.cpus();return u&&u.length>0&&(o.cpus=`${u[0].model} (${u.length} x ${u[0].speed})`),o}e.getMachineInfo=a;async function d(o){try{const u=new Map,s=(0,P.join)(o,".vscode","launch.json"),i=await I.Promises.readFile(s),r=[],l=(0,C.parse)(i.toString(),r);if(r.length)return console.log(`Unable to parse ${s}`),[];if((0,C.getNodeType)(l)==="object"&&l.configurations)for(const h of l.configurations){const b=h.type;b&&(u.has(b)?u.set(b,u.get(b)+1):u.set(b,1))}return M(u)}catch{return[]}}e.collectLaunchConfigs=d;let c=class{constructor(u,s){this.telemetryService=u,this.productService=s}formatMachineInfo(u){const s=[];return s.push(`OS Version:       ${u.os}`),s.push(`CPUs:             ${u.cpus}`),s.push(`Memory (System):  ${u.memory}`),s.push(`VM:               ${u.vmHint}`),s.join(`
`)}formatEnvironment(u){const s=[];s.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),s.push(`OS Version:       ${y.type()} ${y.arch()} ${y.release()}`);const i=y.cpus();return i&&i.length>0&&s.push(`CPUs:             ${i[0].model} (${i.length} x ${i[0].speed})`),s.push(`Memory (System):  ${(y.totalmem()/t.ByteSize.GB).toFixed(2)}GB (${(y.freemem()/t.ByteSize.GB).toFixed(2)}GB free)`),f.isWindows||s.push(`Load (avg):       ${y.loadavg().map(r=>Math.round(r)).join(", ")}`),s.push(`VM:               ${Math.round(E.virtualMachineHint.value()*100)}%`),s.push(`Screen Reader:    ${u.screenReader?"yes":"no"}`),s.push(`Process Argv:     ${u.mainArguments.join(" ")}`),s.push(`GPU Status:       ${this.expandGPUFeatures(u.gpuFeatureStatus)}`),s.join(`
`)}async getPerformanceInfo(u,s){return Promise.all([(0,p.listProcesses)(u.mainPID),this.formatWorkspaceMetadata(u)]).then(async i=>{let[r,l]=i,h=this.formatProcessList(u,r);return s.forEach(b=>{if((0,S.isRemoteDiagnosticError)(b))h+=`
${b.errorMessage}`,l+=`
${b.errorMessage}`;else if(h+=`

Remote: ${b.hostName}`,b.processes&&(h+=`
${this.formatProcessList(u,b.processes)}`),b.workspaceMetadata){l+=`
|  Remote: ${b.hostName}`;for(const L of Object.keys(b.workspaceMetadata)){const R=b.workspaceMetadata[L];let T=`${R.fileCount} files`;R.maxFilesReached&&(T=`more than ${T}`),l+=`|    Folder (${L}): ${T}`,l+=this.formatWorkspaceStats(R)}}}),{processInfo:h,workspaceInfo:l}})}async getSystemInfo(u,s){const{memory:i,vmHint:r,os:l,cpus:h}=a(),b={os:l,memory:i,cpus:h,vmHint:r,processArgs:`${u.mainArguments.join(" ")}`,gpuStatus:u.gpuFeatureStatus,screenReader:`${u.screenReader?"yes":"no"}`,remoteData:s};return f.isWindows||(b.load=`${y.loadavg().map(L=>Math.round(L)).join(", ")}`),f.isLinux&&(b.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(b)}async getDiagnostics(u,s){const i=[];return(0,p.listProcesses)(u.mainPID).then(async r=>(i.push(""),i.push(this.formatEnvironment(u)),i.push(""),i.push(this.formatProcessList(u,r)),u.windows.some(l=>l.folderURIs&&l.folderURIs.length>0&&!l.remoteAuthority)&&(i.push(""),i.push("Workspace Stats: "),i.push(await this.formatWorkspaceMetadata(u))),s.forEach(l=>{if((0,S.isRemoteDiagnosticError)(l))i.push(`
${l.errorMessage}`);else if(i.push(`

`),i.push(`Remote:           ${l.hostName}`),i.push(this.formatMachineInfo(l.machineInfo)),l.processes&&i.push(this.formatProcessList(u,l.processes)),l.workspaceMetadata)for(const h of Object.keys(l.workspaceMetadata)){const b=l.workspaceMetadata[h];let L=`${b.fileCount} files`;b.maxFilesReached&&(L=`more than ${L}`),i.push(`Folder (${h}): ${L}`),i.push(this.formatWorkspaceStats(b))}}),i.push(""),i.push(""),i.join(`
`)))}formatWorkspaceStats(u){const s=[],i=60;let r=0;const l=(R,T)=>{const U=` ${R}(${T})`;r+U.length>i?(s.push(h),h="|                 ",r=h.length):r+=U.length,h+=U};let h="|      File types:";const b=10;let L=u.fileTypes.length>b?b:u.fileTypes.length;for(let R=0;R<L;R++){const T=u.fileTypes[R];l(T.name,T.count)}if(s.push(h),u.configFiles.length>=0&&(h="|      Conf files:",r=0,u.configFiles.forEach(R=>{l(R.name,R.count)}),s.push(h)),u.launchConfigFiles.length>0){let R="|      Launch Configs:";u.launchConfigFiles.forEach(T=>{R+=T.count>1?` ${T.name}(${T.count})`:` ${T.name}`}),s.push(R)}return s.join(`
`)}expandGPUFeatures(u){const s=Math.max(...Object.keys(u).map(i=>i.length));return Object.keys(u).map(i=>`${i}:  ${" ".repeat(s-i.length)}  ${u[i]}`).join(`
                  `)}formatWorkspaceMetadata(u){const s=[],i=[];return u.windows.forEach(r=>{r.folderURIs.length===0||!!r.remoteAuthority||(s.push(`|  Window (${r.title})`),r.folderURIs.forEach(l=>{const h=m.URI.revive(l);if(h.scheme===k.Schemas.file){const b=h.fsPath;i.push(w(b,["node_modules",".git"]).then(L=>{let R=`${L.fileCount} files`;L.maxFilesReached&&(R=`more than ${R}`),s.push(`|    Folder (${(0,P.basename)(b)}): ${R}`),s.push(this.formatWorkspaceStats(L))}).catch(L=>{s.push(`|      Error: Unable to collect workspace stats for folder ${b} (${L.toString()})`)}))}else s.push(`|    Folder (${h.toString()}): Workspace stats not available.`)}))}),Promise.all(i).then(r=>s.join(`
`)).catch(r=>`Unable to collect workspace stats: ${r}`)}formatProcessList(u,s){const i=new Map;u.windows.forEach(l=>i.set(l.pid,l.title));const r=[];return r.push("CPU %	Mem MB	   PID	Process"),s&&this.formatProcessItem(u.mainPID,i,r,s,0),r.join(`
`)}formatProcessItem(u,s,i,r,l){const h=l===0;let b;h?b=r.pid===u?`${this.productService.applicationName} main`:"remote agent":(b=`${"  ".repeat(l)} ${r.name}`,r.name==="window"&&(b=`${b} (${s.get(r.pid)})`));const L=process.platform==="win32"?r.mem:y.totalmem()*(r.mem/100);i.push(`${r.load.toFixed(0).padStart(5," ")}	${(L/t.ByteSize.MB).toFixed(0).padStart(6," ")}	${r.pid.toFixed(0).padStart(6," ")}	${b}`),Array.isArray(r.children)&&r.children.forEach(R=>this.formatProcessItem(u,s,i,R,l+1))}async reportWorkspaceStats(u){for(const{uri:s}of u.folders){const i=m.URI.revive(s);if(i.scheme!==k.Schemas.file)continue;const r=i.fsPath;try{const l=await w(r,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":u.telemetryId,rendererSessionId:u.rendererSessionId}),l.fileTypes.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:u.rendererSessionId,type:h.name,count:h.count})}),l.launchConfigFiles.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:u.rendererSessionId,type:h.name,count:h.count})}),l.configFiles.forEach(h=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:u.rendererSessionId,type:h.name,count:h.count})})}catch{}}}};c=de([re(0,g.ITelemetryService),re(1,v.IProductService)],c),e.DiagnosticsService=c}),define(ee[206],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class y{constructor(C){this.appenders=C}listen(C,k){throw new Error(`Event not found: ${k}`)}call(C,k,{eventName:P,data:f}){return this.appenders.forEach(m=>m.log(P,f)),Promise.resolve(null)}}e.TelemetryAppenderChannel=y;class n{constructor(C){this.channel=C}log(C,k){return this.channel.call("log",{eventName:C,data:k}).then(void 0,P=>`Failed to log telemetry: ${console.warn(P)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=n}),define(ee[65],te([0,1,47,13,19,29]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class k{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(w,M){return Promise.resolve(void 0)}publicLog2(w,M){return this.publicLog(w,M)}publicLogError(w,M){return Promise.resolve(void 0)}publicLogError2(w,M){return this.publicLogError(w,M)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=k,e.NullTelemetryService=new k;class P{async publicLog(w,M,a){}async publicLogError(w,M,a){}}e.NullEndpointTelemetryService=P,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function f(g,w){return w.onDidChangeConfiguration(M=>{M.source!==6&&g.publicLog2("updateConfiguration",{configurationSource:(0,D.ConfigurationTargetToString)(M.source),configurationKeys:t(M.sourceConfig)})})}e.configurationTelemetry=f;function m(g,w){return!(w.disableTelemetry||!g.enableTelemetry)}e.supportsTelemetry=m;function E(g){const w=g.getValue(C.TELEMETRY_SETTING_ID),M=g.getValue("telemetry.enableCrashReporter");if(g.getValue(C.TELEMETRY_OLD_SETTING_ID)===!1||M===!1)return 0;switch(w??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=E;function I(g){const w=Object.create(null),M=Object.create(null),a=Object.create(null);S(g,a);for(let d in a){d=d.length>150?d.substr(d.length-149):d;const c=a[d];typeof c=="number"?M[d]=c:typeof c=="boolean"?M[d]=c?1:0:typeof c=="string"?(c.length>8192&&console.warn(`Telemetry property: ${d} has been trimmed to 8192, the original length is ${c.length}`),w[d]=c.substring(0,8191)):typeof c!="undefined"&&c!==null&&(w[d]=c)}return{properties:w,measurements:M}}e.validateTelemetryData=I;function p(g){if(!g)return"none";let w="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(a=>{g.indexOf(`${a}+`)===0&&(w=a)}),w}e.cleanRemoteAuthority=p;function S(g,w,M=0,a){if(!!g)for(let d of Object.getOwnPropertyNames(g)){const c=g[d],o=a?a+d:d;Array.isArray(c)?w[o]=(0,y.safeStringify)(c):c instanceof Date?w[o]=c.toISOString():(0,n.isObject)(c)?M<2?S(c,w,M+1,o+"."):w[o]=(0,y.safeStringify)(c):w[o]=c}}function t(g){if(!g)return[];const w=[];return v(w,"",g),w}function v(g,w,M){M&&typeof M=="object"&&!Array.isArray(M)?Object.keys(M).forEach(a=>v(g,w?`${w}.${a}`:a,M[a])):g.push(w)}}),define(ee[207],te([0,1,31,21,15,47,3,34,13,7,19,53,172,198,169,18,6,22,48,201,78,29,65]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const u=k.isWeb?"web":(0,p.getTargetPlatform)(k.platform,P.arch);var s;(function(O){O[O.None=0]="None",O[O.IncludeVersions=1]="IncludeVersions",O[O.IncludeFiles=2]="IncludeFiles",O[O.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",O[O.IncludeSharedAccounts=8]="IncludeSharedAccounts",O[O.IncludeVersionProperties=16]="IncludeVersionProperties",O[O.ExcludeNonValidated=32]="ExcludeNonValidated",O[O.IncludeInstallationTargets=64]="IncludeInstallationTargets",O[O.IncludeAssetUri=128]="IncludeAssetUri",O[O.IncludeStatistics=256]="IncludeStatistics",O[O.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",O[O.Unpublished=4096]="Unpublished"})(s||(s={}));function i(...O){return String(O.reduce((z,x)=>z|x,0))}var r;(function(O){O[O.Tag=1]="Tag",O[O.ExtensionId=4]="ExtensionId",O[O.Category=5]="Category",O[O.ExtensionName=7]="ExtensionName",O[O.Target=8]="Target",O[O.Featured=9]="Featured",O[O.SearchText=10]="SearchText",O[O.ExcludeWithFlags=12]="ExcludeWithFlags"})(r||(r={}));const l={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},h={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},L={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:s.None,criteria:[],assetTypes:[]};class R{constructor(z=L){this.state=z}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(z,x=this.state.pageSize){return new R({...this.state,pageNumber:z,pageSize:x})}withFilter(z,...x){const ie=[...this.state.criteria,...x.length?x.map(oe=>({filterType:z,value:oe})):[{filterType:z}]];return new R({...this.state,criteria:ie})}withSortBy(z){return new R({...this.state,sortBy:z})}withSortOrder(z){return new R({...this.state,sortOrder:z})}withFlags(...z){return new R({...this.state,flags:z.reduce((x,ie)=>x|ie,0)})}withAssetTypes(...z){return new R({...this.state,assetTypes:z})}get raw(){const{criteria:z,pageNumber:x,pageSize:ie,sortBy:oe,sortOrder:Z,flags:ce,assetTypes:le}=this.state;return{filters:[{criteria:z,pageNumber:x,pageSize:ie,sortBy:oe,sortOrder:Z}],assetTypes:le,flags:ce}}get searchText(){const z=this.state.criteria.filter(x=>x.filterType===r.SearchText)[0];return z&&z.value?z.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(z=>String(z.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function T(O,z){const x=(O||[]).filter(ie=>ie.statisticName===z)[0];return x?x.value:0}function U(O){const z="Microsoft.VisualStudio.Code.Translation.";return O.files.filter(ie=>ie.assetType.indexOf(z)===0).reduce((ie,oe)=>{const Z=q(O,oe.assetType);return Z&&ie.push([oe.assetType.substring(z.length),Z]),ie},[])}function Q(O){if(O.properties){const z=O.properties.filter(oe=>oe.key===l.Repository),x=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),ie=z.filter(oe=>x.test(oe.value))[0];return ie?{uri:ie.value,fallbackUri:ie.value}:null}return q(O,l.Repository)}function se(O){return{uri:`${O.fallbackAssetUri}/${l.VSIX}?redirect=true${O.targetPlatform?`&targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${l.VSIX}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}}function ne(O){const z=q(O,l.Icon);if(z)return z;const x=p.DefaultIconPath;return{uri:x,fallbackUri:x}}function q(O,z){return O.files.filter(ie=>ie.assetType===z)[0]?{uri:`${O.assetUri}/${z}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${z}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}:null}function J(O,z){const x=O.properties?O.properties.filter(oe=>oe.key===z):[],ie=x.length>0&&x[0].value;return ie?ie.split(",").map(oe=>(0,S.adoptToGalleryExtensionId)(oe)):[]}function V(O){const z=O.properties?O.properties.filter(x=>x.key===h.Engine):[];return z.length>0&&z[0].value||""}function K(O){const z=O.properties?O.properties.filter(x=>x.key===h.PreRelease):[];return z.length>0&&z[0].value==="true"}function j(O){const z=O.properties?O.properties.filter(ie=>ie.key===h.LocalizedLanguages):[],x=z.length>0&&z[0].value||"";return x?x.split(","):[]}function B(O){return O.indexOf("preview")!==-1}function $(O){return O.targetPlatform?(0,p.toTargetPlatform)(O.targetPlatform):"undefined"}function Y(O){const z=(0,y.distinct)(O.versions.map($)),x=!!O.tags?.includes(p.WEB_EXTENSION_TAG),ie=z.indexOf("web");return x?ie===-1&&z.push("web"):ie!==-1&&z.splice(ie,1),z}function H(O,z){const x=(0,p.getFallbackTargetPlarforms)(z);for(let ie=0;ie<O.length;ie++){const oe=O[ie];if(oe.version===O[ie-1]?.version){let Z=ie;const ce=$(oe);if(ce===z)for(;Z>0&&O[Z-1].version===oe.version;)Z--;else if(x.includes(ce))for(;Z>0&&O[Z-1].version===oe.version&&$(O[Z-1])!==z;)Z--;Z!==ie&&(O.splice(ie,1),O.splice(Z,0,oe))}}return O}e.sortExtensionVersions=H;function F(O,z,x,ie,oe){const Z=O.versions[0],ce={manifest:q(z,l.Manifest),readme:q(z,l.Details),changelog:q(z,l.Changelog),license:q(z,l.License),repository:Q(z),download:se(z),icon:ne(z),coreTranslations:U(z)};return{identifier:{id:(0,S.getGalleryExtensionId)(O.publisher.publisherName,O.extensionName),uuid:O.extensionId},name:O.extensionName,version:z.version,displayName:O.displayName,publisherId:O.publisher.publisherId,publisher:O.publisher.publisherName,publisherDisplayName:O.publisher.displayName,publisherDomain:O.publisher.domain?{link:O.publisher.domain,verified:!!O.publisher.isDomainVerified}:void 0,description:O.shortDescription||"",installCount:T(O.statistics,"install"),rating:T(O.statistics,"averagerating"),ratingCount:T(O.statistics,"ratingcount"),categories:O.categories||[],tags:O.tags||[],releaseDate:Date.parse(O.releaseDate),lastUpdated:Date.parse(O.lastUpdated),allTargetPlatforms:x,assets:ce,properties:{dependencies:J(z,h.Dependency),extensionPack:J(z,h.ExtensionPack),engine:V(z),localizedLanguages:j(z),targetPlatform:$(z),isPreReleaseVersion:K(z)},hasPreReleaseVersion:K(Z),hasReleaseVersion:ie,preview:B(O.flags),telemetryData:oe}}let W=class{constructor(z,x,ie,oe,Z,ce,le,he){this.requestService=x,this.logService=ie,this.environmentService=oe,this.telemetryService=Z,this.fileService=ce,this.productService=le,this.configurationService=he;const ge=le.extensionsGallery;this.extensionsGalleryUrl=ge&&ge.serviceUrl,this.extensionsControlUrl=ge&&ge.controlUrl,this.commonHeadersPromise=N(le.version,le,this.environmentService,this.configurationService,this.fileService,z)}api(z=""){return`${this.extensionsGalleryUrl}${z}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(z,x,ie){const oe=(0,f.isBoolean)(x)?x:!1,Z=(0,f.isBoolean)(x)?ie:x;let ce=new R().withFlags(s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties).withPage(1,z.length).withFilter(r.ExtensionName,...z.map(({id:ge})=>ge.toLowerCase()));z.every(ge=>!ge.version)&&(ce=ce.withFlags(s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties,s.IncludeLatestVersionOnly));const{galleryExtensions:le}=await this.queryGallery(ce,u,n.CancellationToken.None),he=le.map(ge=>{const be=(0,S.getGalleryExtensionId)(ge.publisher.publisherName,ge.extensionName);return{rawGalleryExtension:ge,version:z.find(fe=>(0,S.areSameExtensions)(fe,{id:be}))?.version,preRelease:oe}});return this.converToGalleryExtensions(he,ce,u,()=>{},Z)}async getExtensions2(z){const x=[],ie=[];for(const le of z)le.uuid?ie.push(le.uuid):x.push(le.id.toLowerCase());let oe=new R().withFlags(s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties,s.IncludeLatestVersionOnly).withPage(1,z.length);ie.length&&(oe=oe.withFilter(r.ExtensionId,...ie)),x.length&&(oe=oe.withFilter(r.ExtensionId,...x));const{galleryExtensions:Z}=await this.queryGallery(oe,u,n.CancellationToken.None),ce=Z.map(le=>{const he=(0,S.getGalleryExtensionId)(le.publisher.publisherName,le.extensionName),ge=z.find(be=>(0,S.areSameExtensions)(be,{id:he,uuid:le.extensionId}));return{rawGalleryExtension:le,preRelease:!!ge?.preRelease}});return this.converToGalleryExtensions(ce,oe,u,()=>{},n.CancellationToken.None)}async getCompatibleExtension(z,x,ie){const oe=(0,p.isIExtensionIdentifier)(z)?null:z;if(oe){if((0,p.isNotWebExtensionInWebTargetPlatform)(oe.allTargetPlatforms,ie))return null;if(await this.isExtensionCompatible(oe,x,ie))return oe}const{id:Z,uuid:ce}=oe?oe.identifier:z;let le=new R().withFlags(s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties).withPage(1,1);ce?le=le.withFilter(r.ExtensionId,ce):le=le.withFilter(r.ExtensionName,Z);const{galleryExtensions:he}=await this.queryGallery(le,ie,n.CancellationToken.None),[ge]=he;if(!ge||!ge.versions.length)return null;const be=Y(ge);if((0,p.isNotWebExtensionInWebTargetPlatform)(be,ie))return null;for(let fe of ge.versions){if(!V(fe)){const me=await this.getEngine(fe);fe={...fe,properties:[...fe.properties||[],{key:h.Engine,value:me}]}}if(await this.isRawExtensionVersionCompatible(fe,x,be,ie)){const me=ge.versions.some(ye=>!K(ye));return F(ge,fe,be,me)}}return null}async isExtensionCompatible(z,x,ie){if(!(0,p.isTargetPlatformCompatible)(z.properties.targetPlatform,z.allTargetPlatforms,ie)||!x&&z.properties.isPreReleaseVersion)return!1;let oe=z.properties.engine;if(!oe){const Z=await this.getManifest(z,n.CancellationToken.None);if(!Z)throw new Error("Manifest was not found");oe=Z.engines.vscode}return(0,t.isEngineValid)(oe,this.productService.version,this.productService.date)}async isRawExtensionVersionCompatible(z,x,ie,oe){if(!(0,p.isTargetPlatformCompatible)($(z),ie,oe)||!x&&K(z))return!1;const Z=await this.getEngine(z);return(0,t.isEngineValid)(Z,this.productService.version,this.productService.date)}async query(z,x){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let ie=z.text||"";const oe=(0,C.getOrDefault)(z,fe=>fe.pageSize,50);let Z=new R().withFlags(s.IncludeLatestVersionOnly,s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties).withPage(1,oe);ie?(ie=ie.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(fe,me,ye)=>(Z=Z.withFilter(r.Category,ye||me),"")),ie=ie.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(fe,me,ye)=>(Z=Z.withFilter(r.Tag,ye||me),"")),ie=ie.replace(/\bfeatured(\s+|\b|$)/g,()=>(Z=Z.withFilter(r.Featured),"")),ie=ie.trim(),ie&&(ie=ie.length<200?ie:ie.substring(0,200),Z=Z.withFilter(r.SearchText,ie)),Z=Z.withSortBy(0)):z.ids?Z=Z.withFilter(r.ExtensionId,...z.ids):z.names?Z=Z.withFilter(r.ExtensionName,...z.names):Z=Z.withSortBy(4),typeof z.sortBy=="number"&&(Z=Z.withSortBy(z.sortBy)),typeof z.sortOrder=="number"&&(Z=Z.withSortOrder(z.sortOrder));const{galleryExtensions:ce,total:le}=await this.queryGallery(Z,u,x),he=fe=>({index:(Z.pageNumber-1)*Z.pageSize+fe,querySource:z.source}),ge=await this.converToGalleryExtensions(ce.map(fe=>({rawGalleryExtension:fe,preRelease:!!z.includePreRelease})),Z,u,he,x),be=async(fe,me)=>{if(me.isCancellationRequested)throw(0,D.canceled)();const ye=Z.withPage(fe+1),{galleryExtensions:Pe}=await this.queryGallery(ye,u,me);return await this.converToGalleryExtensions(Pe.map(Me=>({rawGalleryExtension:Me,preRelease:!!z.includePreRelease})),ye,u,he,x)};return{firstPage:ge,total:le,pageSize:Z.pageSize,getPage:be}}async converToGalleryExtensions(z,x,ie,oe,Z){const ce=(ge,be,fe,me,ye)=>{const Pe=!(fe.flags&s.IncludeLatestVersionOnly),Me=Y(ge);let Te=ge.versions[0];return Te=ge.versions.find(Oe=>Oe.version===Te.version&&(0,p.isTargetPlatformCompatible)($(Oe),Me,ie))||Te,Pe&&K(Te)&&!ye&&(Te=ge.versions.find(Oe=>Oe.version!==Te.version&&!K(Oe))||Te),F(ge,Te,Me,me,oe(be))},le=[],he=new Map;for(let ge=0;ge<z.length;ge++){const{rawGalleryExtension:be,version:fe,preRelease:me}=z[ge],ye=be.versions.some(Pe=>!K(Pe));if(fe){const Pe=be.versions.find(Me=>Me.version===fe);Pe&&le.push([ge,F(be,Pe,Y(be),ye)])}else{const Pe=ce(be,ge,x,ye,me);Pe.properties.isPreReleaseVersion?he.set(Pe.identifier.uuid,{index:ge,preRelease:me}):le.push([ge,Pe])}}if(he.size){const ge=new Date().getTime(),be=new R().withFlags(s.IncludeVersions,s.IncludeAssetUri,s.IncludeStatistics,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties).withPage(1,he.size).withFilter(r.ExtensionId,...he.keys()),{galleryExtensions:fe}=await this.queryGallery(be,ie,Z);if(this.telemetryService.publicLog2("galleryService:preReleasesQuery",{duration:new Date().getTime()-ge,count:he.size}),fe.length!==he.size)throw new Error("Not all extensions with latest versions are returned");for(const me of fe){const ye=me.versions.some(Oe=>!K(Oe)),{index:Pe,preRelease:Me}=he.get(me.extensionId),Te=ce(me,Pe,be,ye,Me);le.push([Pe,Te])}}return le.sort((ge,be)=>ge[0]-be[0]).map(([,ge])=>ge)}async queryGallery(z,x,ie){if(!this.isEnabled())throw new Error("No extension gallery service configured.");z=z.withFlags(z.flags,s.ExcludeNonValidated).withFilter(r.Target,"Microsoft.VisualStudio.Code").withFilter(r.ExcludeWithFlags,i(s.Unpublished));const oe=await this.commonHeadersPromise,Z=JSON.stringify(z.raw),ce={...oe,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(Z.length)},le=new Date().getTime();let he,ge,be=0;try{if(he=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:Z,headers:ce},ie),he.res.statusCode&&he.res.statusCode>=400&&he.res.statusCode<500)return{galleryExtensions:[],total:be};const fe=await(0,M.asJson)(he);if(fe){const me=fe.results[0],ye=me.extensions;ye.forEach(Me=>H(Me.versions,x));const Pe=me.resultMetadata&&me.resultMetadata.filter(Me=>Me.metadataType==="ResultCount")[0];return be=Pe&&Pe.metadataItems.filter(Me=>Me.name==="TotalCount")[0].count||0,{galleryExtensions:ye,total:be}}return{galleryExtensions:[],total:be}}catch(fe){throw ge=fe,fe}finally{this.telemetryService.publicLog2("galleryService:query",{...z.telemetryData,requestBodySize:String(Z.length),duration:new Date().getTime()-le,success:!!he&&(0,M.isSuccess)(he),responseBodySize:he?.res.headers["Content-Length"],statusCode:he?String(he.res.statusCode):void 0,errorCode:ge?(0,D.isPromiseCanceledError)(ge)?"canceled":(0,D.getErrorMessage)(ge).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(be)})}}async reportStatistic(z,x,ie,oe){if(!this.isEnabled())return;const Z=k.isWeb?this.api(`/itemName/${z}.${x}/version/${ie}/statType/${oe==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${z}/extensions/${x}/${ie}/stats?statType=${oe}`),ce=k.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",he={...await this.commonHeadersPromise,Accept:ce};try{await this.requestService.request({type:"POST",url:Z,headers:he},n.CancellationToken.None)}catch{}}async download(z,x,ie){this.logService.trace("ExtensionGalleryService#download",z.identifier.id);const oe=(0,S.getGalleryExtensionTelemetryData)(z),Z=new Date().getTime(),ce=be=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...oe,duration:be}),le=ie===2?"install":ie===3?"update":"",he=le?{uri:`${z.assets.download.uri}${m.URI.parse(z.assets.download.uri).query?"&":"?"}${le}=true`,fallbackUri:`${z.assets.download.fallbackUri}${m.URI.parse(z.assets.download.fallbackUri).query?"&":"?"}${le}=true`}:z.assets.download,ge=await this.getAsset(he);await this.fileService.writeFile(x,ge.stream),ce(new Date().getTime()-Z)}async getReadme(z,x){if(z.assets.readme){const ie=await this.getAsset(z.assets.readme,{},x);return await(0,M.asText)(ie)||""}return""}async getManifest(z,x){if(z.assets.manifest){const ie=await this.getAsset(z.assets.manifest,{},x),oe=await(0,M.asText)(ie);return oe?JSON.parse(oe):null}return null}async getManifestFromRawExtensionVersion(z,x){const ie=q(z,l.Manifest);if(!ie)throw new Error("Manifest was not found");const oe={"Accept-Encoding":"gzip"},Z=await this.getAsset(ie,{headers:oe});return await(0,M.asJson)(Z)}async getCoreTranslation(z,x){const ie=z.assets.coreTranslations.filter(oe=>oe[0]===x.toUpperCase())[0];if(ie){const oe=await this.getAsset(ie[1]),Z=await(0,M.asText)(oe);return Z?JSON.parse(Z):null}return null}async getChangelog(z,x){if(z.assets.changelog){const ie=await this.getAsset(z.assets.changelog,{},x);return await(0,M.asText)(ie)||""}return""}async getAllCompatibleVersions(z,x,ie){let oe=new R().withFlags(s.IncludeVersions,s.IncludeCategoryAndTags,s.IncludeFiles,s.IncludeVersionProperties).withPage(1,1);z.identifier.uuid?oe=oe.withFilter(r.ExtensionId,z.identifier.uuid):oe=oe.withFilter(r.ExtensionName,z.identifier.id);const{galleryExtensions:Z}=await this.queryGallery(oe,ie,n.CancellationToken.None);if(!Z.length)return[];const ce=Y(Z[0]);if((0,p.isNotWebExtensionInWebTargetPlatform)(ce,ie))return[];const le=[];for(const he of Z[0].versions)try{le[le.length-1]?.version!==he.version&&await this.isRawExtensionVersionCompatible(he,x,ce,ie)&&le.push({version:he.version,date:he.lastUpdated,isPreReleaseVersion:K(he)})}catch{}return le}async getAsset(z,x={},ie=n.CancellationToken.None){const oe=await this.commonHeadersPromise,Z={type:"GET"},ce={...oe,...x.headers||{}};x={...x,...Z,headers:ce};const le=z.uri,he=z.fallbackUri,ge={...x,url:le};try{const be=await this.requestService.request(ge,ie);if(be.res.statusCode===200)return be;const fe=await(0,M.asText)(be);throw new Error(`Expected 200, got back ${be.res.statusCode} instead.

${fe}`)}catch(be){if((0,D.isPromiseCanceledError)(be))throw be;const fe=(0,D.getErrorMessage)(be);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:le,message:fe});const me={...x,url:he};return this.requestService.request(me,ie)}}async getEngine(z){let x=V(z);if(!x){const ie=await this.getManifestFromRawExtensionVersion(z,n.CancellationToken.None);if(!ie)throw new Error("Manifest was not found");x=ie.engines.vscode}return x}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const z=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},n.CancellationToken.None);if(z.res.statusCode!==200)throw new Error("Could not get extensions report.");const x=await(0,M.asJson)(z),ie=[],oe={};if(x){for(const Z of x.malicious)ie.push({id:Z});if(x.unsupported)for(const Z of Object.keys(x.unsupported)){const ce=x.unsupported[Z];(0,f.isBoolean)(ce)||(oe[Z.toLowerCase()]=ce.preReleaseExtension)}}return{malicious:ie,unsupportedPreReleaseExtensions:oe}}};W=de([re(1,M.IRequestService),re(2,g.ILogService),re(3,I.IEnvironmentService),re(4,c.ITelemetryService),re(5,v.IFileService),re(6,w.IProductService),re(7,E.IConfigurationService)],W);let A=class extends W{constructor(z,x,ie,oe,Z,ce,le,he){super(z,x,ie,oe,Z,ce,le,he)}};A=de([re(0,d.IStorageService),re(1,M.IRequestService),re(2,g.ILogService),re(3,I.IEnvironmentService),re(4,c.ITelemetryService),re(5,v.IFileService),re(6,w.IProductService),re(7,E.IConfigurationService)],A),e.ExtensionGalleryService=A;let _=class extends W{constructor(z,x,ie,oe,Z,ce,le){super(void 0,z,x,ie,oe,Z,ce,le)}};_=de([re(0,M.IRequestService),re(1,g.ILogService),re(2,I.IEnvironmentService),re(3,c.ITelemetryService),re(4,v.IFileService),re(5,w.IProductService),re(6,E.IConfigurationService)],_),e.ExtensionGalleryServiceWithNoStorageService=_;async function N(O,z,x,ie,oe,Z){const ce={"X-Market-Client-Id":`VSCode ${O}`,"User-Agent":`VSCode ${O} (${z.nameShort})`},le=await(0,a.getServiceMachineId)(x,oe,Z);return(0,o.supportsTelemetry)(z,x)&&(0,o.getTelemetryLevel)(ie)===3&&(ce["X-Market-User-Id"]=le),ce}e.resolveMarketplaceHeaders=N}),define(ee[208],te([0,1,2,47,3,25,154,19,57,55,40,29,65]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let S=class{constructor(g,w){this._configurationService=w,this._experimentProperties={},this._disposables=new y.DisposableStore,this._cleanupPatterns=[],this._appenders=g.appenders,this._commonProperties=g.commonProperties||Promise.resolve({}),this._piiPaths=g.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!g.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let M of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,C.escapeRegExpCharacters)(M),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._telemetryLevel===3}),this._commonProperties.then(M=>{const a=/^[a-f0-9]+$/i.test(M["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!a})})}setExperimentProperty(g,w){this._experimentProperties[g]=w}_updateTelemetryLevel(){this._telemetryLevel=(0,p.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const g=await this._commonProperties;let w=g.sessionID,M=g["common.machineId"],a=g["common.firstSessionDate"],d=g["common.msftInternal"];return{sessionId:w,machineId:M,firstSessionDate:a,msftInternal:d}}dispose(){this._disposables.dispose()}_log(g,w,M,a){return this.telemetryLevel<w?Promise.resolve(void 0):this._commonProperties.then(d=>{M=(0,n.mixin)(M,d),M=(0,n.mixin)(M,this._experimentProperties),M=(0,n.cloneAndChange)(M,c=>{if(typeof c=="string")return this._cleanupInfo(c,a)}),this._appenders.forEach(c=>c.log(g,M))},d=>{console.error(d)})}publicLog(g,w,M){return this._log(g,3,w,M)}publicLog2(g,w,M){return this.publicLog(g,w,M)}publicLogError(g,w){return this.sendErrorTelemetry?this._log(g,2,w,!0):Promise.resolve(void 0)}publicLogError2(g,w){return this.publicLogError(g,w)}_anonymizeFilePaths(g){let w=g;const M=[];for(let o of this._cleanupPatterns)for(;;){const u=o.exec(g);if(!u)break;M.push([u.index,o.lastIndex])}const a=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,d=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let c=0;for(w="";;){const o=d.exec(g);if(!o)break;!a.test(o[0])&&M.every(([u,s])=>o.index<u||o.index>=s)&&(w+=g.substring(c,o.index)+"<REDACTED: user-file-path>",c=d.lastIndex)}return c<g.length&&(w+=g.substr(c)),w}_removePropertiesWithPossibleUserInfo(g){if(!g)return g;const w=g.toLowerCase(),M=/@[a-zA-Z0-9-.]+/;return/(key|token|sig|signature|password|passwd|pwd)[="':\s]/.test(w)?"<REDACTED: secret>":M.test(w)?"<REDACTED: email>":g}_cleanupInfo(g,w){let M=g;w&&(M=this._anonymizeFilePaths(M));for(let a of this._cleanupPatterns)M=M.replace(a,"");return M=this._removePropertiesWithPossibleUserInfo(M),M}};S.IDLE_START_EVENT_NAME="UserIdleStart",S.IDLE_STOP_EVENT_NAME="UserIdleStop",S=de([re(1,P.IConfigurationService)],S),e.TelemetryService=S;function t(){const v=(0,k.localize)(0,null,m.default.nameLong),g=m.default.privacyStatementUrl?(0,k.localize)(2,null,"https://aka.ms/vscode-telemetry",m.default.privacyStatementUrl):(0,k.localize)(1,null,"https://aka.ms/vscode-telemetry"),w=D.isWeb?"":(0,k.localize)(3,null),M=(0,k.localize)(4,null),a=(0,k.localize)(5,null),d=(0,k.localize)(6,null),c=(0,k.localize)(7,null),o=`
|       | ${M} | ${a} | ${d} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,u=(0,k.localize)(8,null);return`
${v} ${g} ${w}

&nbsp;

${c}
${o}

&nbsp;

${u}
`}E.Registry.as(f.Extensions.Configuration).registerConfiguration({id:I.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,k.localize)(9,null),properties:{[I.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,k.localize)(10,null),(0,k.localize)(11,null),(0,k.localize)(12,null),(0,k.localize)(13,null)],markdownDescription:t(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),E.Registry.as(f.Extensions.Configuration).registerConfiguration({id:I.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,k.localize)(14,null),properties:{[I.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:m.default.privacyStatementUrl?(0,k.localize)(16,null,m.default.nameLong,m.default.privacyStatementUrl):(0,k.localize)(15,null,m.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,k.localize)(17,null,`\`#${I.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(ee[209],te([0,1]),function(G,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var y;(function(n){n.DARK="dark",n.LIGHT="light",n.HIGH_CONTRAST="hc"})(y=e.ColorScheme||(e.ColorScheme={}))}),define(ee[210],te([0,1,103,4,2,5,40,209]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,C.createDecorator)("themeService");var f;(function(g){function w(M){return M&&typeof M=="object"&&typeof M.id=="string"}g.isThemeColor=w})(f=e.ThemeColor||(e.ThemeColor={}));function m(g){return{id:g}}e.themeColorFromId=m;var E;(function(g){function w(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color=="undefined"||f.isThemeColor(i.color))}g.isThemeIcon=w;const M=new RegExp(`^\\$\\((${y.CSSIcon.iconNameExpression}(?:${y.CSSIcon.iconModifierExpression})?)\\)$`);function a(i){const r=M.exec(i);if(!r)return;let[,l]=r;return{id:l}}g.fromString=a;function d(i){return{id:i}}g.fromId=d;function c(i,r){let l=i.id;const h=l.lastIndexOf("~");return h!==-1&&(l=l.substring(0,h)),r&&(l=`${l}~${r}`),{id:l}}g.modify=c;function o(i){const r=i.id.lastIndexOf("~");if(r!==-1)return i.id.substring(r+1)}g.getModifier=o;function u(i,r){return i.id===r.id&&i.color?.id===r.color?.id}g.isEqual=u;function s(i,r){return{id:i.id,color:r?m(r):void 0}}g.asThemeIcon=s,g.asClassNameArray=y.CSSIcon.asClassNameArray,g.asClassName=y.CSSIcon.asClassName,g.asCSSSelector=y.CSSIcon.asCSSSelector})(E=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=y.Codicon.file,e.FolderThemeIcon=y.Codicon.folder;function I(g){switch(g){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=I,e.Extensions={ThemingContribution:"base.contributions.theming"};class p{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new n.Emitter}onColorThemeChange(w){return this.themingParticipants.push(w),this.onThemingParticipantAddedEmitter.fire(w),(0,D.toDisposable)(()=>{const M=this.themingParticipants.indexOf(w);this.themingParticipants.splice(M,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let S=new p;k.Registry.add(e.Extensions.ThemingContribution,S);function t(g){return S.onColorThemeChange(g)}e.registerThemingParticipant=t;class v extends D.Disposable{constructor(w){super();this.themeService=w,this.theme=w.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(M=>this.onThemeChange(M)))}onThemeChange(w){this.theme=w,this.updateStyles()}updateStyles(){}getColor(w,M){let a=this.theme.getColor(w);return a&&M&&(a=M(a,this.theme)),a?a.toString():null}}e.Themable=v}),define(ee[66],te([0,1,14,3,5,38]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const k="#FFFFFF",P="#1E1E1E",f="#000000",m="theme",E="themeBackground",I="windowSplash";e.IThemeMainService=(0,D.createDecorator)("themeMainService");let p=class{constructor(t){this.stateMainService=t}getBackgroundColor(){if((n.isWindows||n.isMacintosh)&&y.nativeTheme.shouldUseInvertedColorScheme)return f;let t=this.stateMainService.getItem(E,null);if(!t){let v;(n.isWindows||n.isMacintosh)&&y.nativeTheme.shouldUseInvertedColorScheme?v="hc-black":v=this.stateMainService.getItem(m,"vs-dark").split(" ")[0],t=v==="hc-black"?f:v==="vs"?k:P}return n.isMacintosh&&t.toUpperCase()===P&&(t="#171717"),t}saveWindowSplash(t,v){this.stateMainService.setItems([{key:m,data:v.baseTheme},{key:E,data:v.colorInfo.background},{key:I,data:v}]),typeof t=="number"&&this.updateBackgroundColor(t,v)}updateBackgroundColor(t,v){for(const g of y.BrowserWindow.getAllWindows())if(g.id===t){g.setBackgroundColor(v.colorInfo.background);break}}getWindowSplash(){return this.stateMainService.getItem(I)}};p=de([re(0,C.IStateMainService)],p),e.ThemeMainService=p}),define(ee[41],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var n;(function(C){C.Uninitialized="uninitialized",C.Idle="idle",C.CheckingForUpdates="checking for updates",C.AvailableForDownload="available for download",C.Downloading="downloading",C.Downloaded="downloaded",C.Updating="updating",C.Ready="ready"})(n=e.StateType||(e.StateType={}));var D;(function(C){C[C.Setup=0]="Setup",C[C.Archive=1]="Archive",C[C.Snap=2]="Snap"})(D=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(C,k)=>({type:"idle",updateType:C,error:k}),CheckingForUpdates:C=>({type:"checking for updates",explicit:C}),AvailableForDownload:C=>({type:"available for download",update:C}),Downloading:C=>({type:"downloading",update:C}),Downloaded:C=>({type:"downloaded",update:C}),Updating:C=>({type:"updating",update:C}),Ready:C=>({type:"ready",update:C})},e.IUpdateService=(0,y.createDecorator)("updateService")}),define(ee[211],te([0,1,3,155,57,40]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),C.Registry.as(D.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,n.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,n.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,n.localize)(2,null),(0,n.localize)(3,null),(0,n.localize)(4,null),(0,n.localize)(5,null)]},"update.channel":{type:"string",default:"default",scope:1,description:(0,n.localize)(6,null),deprecationMessage:(0,n.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,n.localize)(8,null),description:(0,n.localize)(9,null),included:y.isWindows&&!y.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,n.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(ee[212],te([0,1,4,41]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class D{constructor(P){this.service=P}listen(P,f){switch(f){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${f}`)}call(P,f,m){switch(f){case"checkForUpdates":return this.service.checkForUpdates(m);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${f}`)}}e.UpdateChannel=D;class C{constructor(P){this.channel=P,this._onStateChange=new y.Emitter,this.onStateChange=this._onStateChange.event,this._state=n.State.Uninitialized,this.channel.listen("onStateChange")(f=>this.state=f),this.channel.call("_getInitialState").then(f=>this.state=f)}get state(){return this._state}set state(P){this._state=P,this._onStateChange.fire(P)}checkForUpdates(P){return this.channel.call("checkForUpdates",P)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=C}),define(ee[98],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,y.createDecorator)("urlService")}),define(ee[213],te([0,1,7]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class n{constructor(P){this.handler=P}listen(P,f){throw new Error(`Event not found: ${f}`)}call(P,f,m){switch(f){case"handleURL":return this.handler.handleURL(y.URI.revive(m[0]),m[1])}throw new Error(`Call not found: ${f}`)}}e.URLHandlerChannel=n;class D{constructor(P){this.channel=P}handleURL(P,f){return this.channel.call("handleURL",[P.toJSON(),f])}}e.URLHandlerChannelClient=D;class C{constructor(P){this.next=P}async routeCall(P,f,m,E){if(f!=="handleURL")throw new Error(`Call not found: ${f}`);if(m){const I=y.URI.revive(m);if(I&&I.query){const p=/\bwindowId=(\d+)/.exec(I.query);if(p){const S=p[1],t=new RegExp(`window:${S}`),v=P.connections.find(g=>t.test(g.ctx));if(v)return v}}}return this.next.routeCall(P,f,m,E)}routeEvent(P,f){throw new Error(`Event not found: ${f}`)}}e.URLHandlerRouter=C}),define(ee[214],te([0,1,8,2,7,22]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class k extends n.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(m,E){const I=[...this.handlers.values()];return(0,y.first)(I.map(p=>()=>p.handleURL(m,E)),void 0,!1).then(p=>p||!1)}registerHandler(m){return this.handlers.add(m),(0,n.toDisposable)(()=>this.handlers.delete(m))}}e.AbstractURLService=k;let P=class extends k{constructor(m){super();this.productService=m}create(m){let{authority:E,path:I,query:p,fragment:S}=m||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return E&&I&&I.indexOf("/")!==0&&(I=`/${I}`),D.URI.from({scheme:this.productService.urlProtocol,authority:E,path:I,query:p,fragment:S})}};P=de([re(0,C.IProductService)],P),e.NativeURLService=P}),define(ee[215],te([0,1,14,8,4,2,3,7]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function f(E){try{return P.URI.parse(E)}catch{return null}}class m{constructor(I,p,S,t,v){if(this.urlService=p,this.uris=[],this.retryCount=0,this.flushDisposable=C.Disposable.None,this.disposables=new C.DisposableStore,this.uris=I,k.isWindows){const M=t.isBuilt?[]:[`"${t.appRoot}"`];M.push("--open-url","--"),y.app.setAsDefaultProtocolClient(v.urlProtocol,process.execPath,M)}const g=D.Event.map(D.Event.fromNodeEventEmitter(y.app,"open-url",(M,a)=>({event:M,url:a})),({event:M,url:a})=>(M.preventDefault(),a));this.disposables.add(g(M=>{const a=f(M);!a||this.urlService.open(a,{originalUrl:M})})),S.getWindows().filter(M=>M.isReady).length>0?this.flush():D.Event.once(S.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(this.retryCount++>10)return;const I=[];for(const p of this.uris)await this.urlService.open(p.uri,{originalUrl:p.url})||I.push(p);I.length!==0&&(this.uris=I,this.flushDisposable=(0,n.disposableTimeout)(()=>this.flush(),500))}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=m}),define(ee[216],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,y.createDecorator)("webviewManagerService")}),define(ee[217],te([0,1,14,2,10,7]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class k extends n.Disposable{constructor(){super();const f=this.handleWebviewRequest.bind(this);y.protocol.registerFileProtocol(D.Schemas.vscodeWebview,f)}handleWebviewRequest(f,m){try{const E=C.URI.parse(f.url),I=k.validWebviewFilePaths.get(E.path);if(typeof I=="string"){const p=`vs/workbench/contrib/webview/browser/pre/${I}`,S=D.FileAccess.asFileUri(p,G);return m(decodeURIComponent(S.fsPath))}else return m({error:-10})}catch{}return m({error:-2})}}e.WebviewProtocolProvider=k,k.validWebviewFilePaths=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/main.js","main.js"],["/service-worker.js","service-worker.js"]])}),define(ee[67],te([0,1,3]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function n(m){return!!m.workspaceUri}e.isWorkspaceToOpen=n;function D(m){return!!m.folderUri}e.isFolderToOpen=D;function C(m){return!!m.fileUri}e.isFileToOpen=C;function k(m){const E=P(m),I=m.getValue("window.menuBarVisibility");return I==="default"||E==="native"&&I==="compact"||y.isMacintosh&&y.isNative?"classic":I}e.getMenuBarVisibility=k;function P(m){if(y.isWeb)return"custom";const E=m.getValue("window");if(E){if(y.isMacintosh&&E.nativeTabs===!0||y.isMacintosh&&E.nativeFullScreen===!1)return"native";const S=m.getValue("workbench.colorCustomizations");if(S?.["window.activeBorder"]||S?.["window.inactiveBorder"])return"custom";const t=E.titleBarStyle;if(t==="native"||t==="custom")return t}return y.isLinux?"native":"custom"}e.getTitleBarStyle=P;function f(m=0){return Math.pow(1.2,m)}e.zoomLevelToZoomFactor=f}),define(ee[36],te([0,1,5]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWindowsMainService=e.WindowError=e.WindowMode=e.defaultWindowState=e.OpenContext=e.UnloadReason=e.LoadReason=void 0;var n;(function(m){m[m.INITIAL=1]="INITIAL",m[m.LOAD=2]="LOAD",m[m.RELOAD=3]="RELOAD"})(n=e.LoadReason||(e.LoadReason={}));var D;(function(m){m[m.CLOSE=1]="CLOSE",m[m.QUIT=2]="QUIT",m[m.RELOAD=3]="RELOAD",m[m.LOAD=4]="LOAD"})(D=e.UnloadReason||(e.UnloadReason={}));var C;(function(m){m[m.CLI=0]="CLI",m[m.DOCK=1]="DOCK",m[m.MENU=2]="MENU",m[m.DIALOG=3]="DIALOG",m[m.DESKTOP=4]="DESKTOP",m[m.API=5]="API"})(C=e.OpenContext||(e.OpenContext={}));const k=function(m=1){return{width:1024,height:768,mode:m}};e.defaultWindowState=k;var P;(function(m){m[m.Maximized=0]="Maximized",m[m.Normal=1]="Normal",m[m.Minimized=2]="Minimized",m[m.Fullscreen=3]="Fullscreen"})(P=e.WindowMode||(e.WindowMode={}));var f;(function(m){m[m.UNRESPONSIVE=1]="UNRESPONSIVE",m[m.CRASHED=2]="CRASHED",m[m.LOAD=3]="LOAD"})(f=e.WindowError||(e.WindowError={})),e.IWindowsMainService=(0,y.createDecorator)("windowsMainService")}),define(ee[218],te([0,1,14,4,2,217,36]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let P=class extends D.Disposable{constructor(m){super();this.windowsMainService=m,this._onFoundInFrame=this._register(new n.Emitter),this.onFoundInFrame=this._onFoundInFrame.event,this._register(new C.WebviewProtocolProvider)}async setIgnoreMenuShortcuts(m,E){let I;if(typeof m.windowId=="number"){const{windowId:p}=m,S=this.windowsMainService.getWindowById(p);if(!S?.win)throw new Error(`Invalid windowId: ${p}`);I=S.win.webContents}else{const{webContentsId:p}=m;if(I=y.webContents.fromId(p),!I)throw new Error(`Invalid webContentsId: ${p}`)}I.isDestroyed()||I.setIgnoreMenuShortcuts(E)}async findInFrame(m,E,I,p){const S=this.getFrameByName(m,E),t=S;if(typeof t.findInFrame=="function"){t.findInFrame(I,{findNext:p.findNext,forward:p.forward});const v=(g,w)=>{w.finalUpdate&&(this._onFoundInFrame.fire(w),S.removeListener("found-in-frame",v))};S.on("found-in-frame",v)}}async stopFindInFrame(m,E,I){const S=this.getFrameByName(m,E);typeof S.stopFindInFrame=="function"&&S.stopFindInFrame(I.keepSelection?"keepSelection":"clearSelection")}getFrameByName(m,E){const I=this.windowsMainService.getWindowById(m.windowId);if(!I?.win)throw new Error(`Invalid windowId: ${m}`);const p=I.win.webContents.mainFrame.framesInSubtree.find(S=>S.name===E);if(!p)throw new Error(`Unknown frame: ${E}`);return p}};P=de([re(0,k.IWindowsMainService)],P),e.WebviewMainService=P}),define(ee[219],te([0,1,8,4,2]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class C extends D.Disposable{constructor({onDidOpenWindow:P,onDidFocusWindow:f,getActiveWindowId:m}){super();this.disposables=this._register(new D.DisposableStore),n.Event.latch(n.Event.any(P,f))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,y.createCancelablePromise)(()=>m()),(async()=>{try{const I=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:I}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(P){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=P}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=C}),define(ee[220],te([0,1,35,16,7,5]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,C.createDecorator)("contextService");var k;(function(p){p[p.EMPTY=1]="EMPTY",p[p.FOLDER=2]="FOLDER",p[p.WORKSPACE=3]="WORKSPACE"})(k=e.WorkbenchState||(e.WorkbenchState={}));function P(p){const S=p;return!!(S&&typeof S=="object"&&typeof S.id=="string"&&Array.isArray(S.folders))}e.isWorkspace=P;function f(p){const S=p;return!!(S&&typeof S=="object"&&D.URI.isUri(S.uri)&&typeof S.name=="string"&&typeof S.toResource=="function")}e.isWorkspaceFolder=f;class m{constructor(S,t,v,g,w){this._id=S,this._transient=v,this._configuration=g,this._ignorePathCasing=w,this._foldersMap=y.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=t}update(S){this._id=S.id,this._configuration=S.configuration,this._transient=S.transient,this._ignorePathCasing=S._ignorePathCasing,this.folders=S.folders}get folders(){return this._folders}set folders(S){this._folders=S,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(S){this._configuration=S}getFolder(S){return S&&this._foldersMap.findSubstr(S.with({scheme:S.scheme,authority:S.authority,path:S.path}))||null}updateFoldersMap(){this._foldersMap=y.TernarySearchTree.forUris(this._ignorePathCasing);for(const S of this.folders)this._foldersMap.set(S.uri,S)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=m;class E{constructor(S,t){this.raw=t,this.uri=S.uri,this.index=S.index,this.name=S.name}toResource(S){return(0,n.joinPath)(this.uri,S)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=E;function I(p){return new E({uri:p,index:0,name:(0,n.basenameOrAuthority)(p)},{uri:p.toString()})}e.toWorkspaceFolder=I}),define(ee[30],te([0,1,27,43,105,33,10,9,3,16,7,158,5,64,220]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isWorkspaceBackupInfo=e.isFolderBackupInfo=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const v=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,I.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function g(K){return(typeof K=="string"?(0,P.extname)(K):(0,m.extname)(K))===v}e.hasWorkspaceFileExtension=g,e.IWorkspacesService=(0,p.createDecorator)("workspacesService");function w(K){return K.hasOwnProperty("workspace")}e.isRecentWorkspace=w;function M(K){return K.hasOwnProperty("folderUri")}e.isRecentFolder=M;function a(K){return K.hasOwnProperty("fileUri")}e.isRecentFile=a;function d(K){return K&&K.hasOwnProperty("folderUri")}e.isFolderBackupInfo=d;function c(K){return K&&K.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=c;function o(K){const j=K;return typeof j?.id=="string"&&E.URI.isUri(j.uri)}e.isSingleFolderWorkspaceIdentifier=o;function u(K){if(K.configuration)return{id:K.id,configPath:K.configuration};if(K.folders.length===1)return{id:K.id,uri:K.folders[0].uri}}e.toWorkspaceIdentifier=u;function s(K){const j=K;return typeof j?.id=="string"&&E.URI.isUri(j.configPath)}e.isWorkspaceIdentifier=s;function i(K){const j=K;if(j?.uri)return{id:j.id,uri:E.URI.revive(j.uri)};const B=K;if(B?.configPath)return{id:B.id,configPath:E.URI.revive(B.configPath)};if(K?.id)return{id:K.id}}e.reviveIdentifier=i;function r(K,j){return m.extUriBiasedIgnorePathCase.isEqualOrParent(K,j.untitledWorkspacesHome)}e.isUntitledWorkspace=r;function l(K){return h(K)||b(K)}e.isStoredWorkspaceFolder=l;function h(K){const j=K;return typeof j?.path=="string"&&(!j.name||typeof j.name=="string")}e.isRawFileWorkspaceFolder=h;function b(K){const j=K;return typeof j?.uri=="string"&&(!j.name||typeof j.name=="string")}e.isRawUriWorkspaceFolder=b;function L(K,j,B,$,Y=!f.isWindows,H){if(K.scheme!==$.scheme)return{name:B,uri:K.toString(!0)};let F=j?void 0:H.relativePath($,K);if(F!==void 0)F.length===0?F=".":f.isWindows&&K.scheme===k.Schemas.file&&!Y&&(F=F.replace(/\//g,"\\"));else if(K.scheme===k.Schemas.file)F=K.fsPath,f.isWindows&&(F=(0,C.normalizeDriveLetter)(F),Y&&(F=(0,y.toSlashes)(F)));else{if(!H.isEqualAuthority(K.authority,$.authority))return{name:B,uri:K.toString(!0)};F=K.path}return{name:B,path:F}}e.getStoredWorkspaceFolder=L;function R(K,j,B){let $=[],Y=new Set;const H=B.dirname(j);for(let F of K){let W;if(h(F))F.path&&(W=B.resolvePath(H,F.path));else if(b(F))try{W=E.URI.parse(F.uri),W.path[0]!=="/"&&(W=W.with({path:"/"+W.path}))}catch(A){console.warn(A)}if(W){let A=B.getComparisonKey(W);if(!Y.has(A)){Y.add(A);const _=F.name||B.basenameOrAuthority(W);$.push(new t.WorkspaceFolder({uri:W,name:_,index:$.length},F))}}}return $}e.toWorkspaceFolders=R;function T(K,j,B,$,Y){let H=U(j,K);const F=Y.dirname(j),W=Y.dirname($),A=[],_=Q(H.folders);for(const x of H.folders){const ie=h(x)?Y.resolvePath(F,x.path):E.URI.parse(x.uri);let oe;B?oe=!1:oe=!h(x)||(0,P.isAbsolute)(x.path),A.push(L(ie,oe,x.name,W,_,Y))}const N={insertSpaces:!1,tabSize:4,eol:f.isLinux||f.isMacintosh?`
`:`\r
`},O=D.setProperty(K,["folders"],A,N);let z=D.applyEdits(K,O);return(0,m.isEqualAuthority)(H.remoteAuthority,(0,S.getRemoteAuthority)($))&&(z=D.applyEdits(z,D.removeProperty(z,["remoteAuthority"],N))),z}e.rewriteWorkspaceFileForNewLocation=T;function U(K,j){let B=n.parse(j);if(B&&Array.isArray(B.folders))B.folders=B.folders.filter($=>l($));else throw new Error(`${K} looks like an invalid workspace file.`);return B}function Q(K){return f.isWindows?K.some(j=>h(j)&&j.path.indexOf("/")>=0):!0}e.useSlashForPath=Q;function se(K){return K.workspace&&typeof K.workspace=="object"&&typeof K.workspace.id=="string"&&typeof K.workspace.configPath=="string"}function ne(K){return typeof K.folderUri=="string"}function q(K){return typeof K.fileUri=="string"}function J(K,j){const B={workspaces:[],files:[]};if(K){const $=function(H,F){for(let W=0;W<H.length;W++)try{F(H[W],W)}catch(A){j.warn(`Error restoring recent entry ${JSON.stringify(H[W])}: ${A.toString()}. Skip entry.`)}},Y=K;if(Array.isArray(Y.entries))$(Y.entries,H=>{const F=H.label,W=H.remoteAuthority;se(H)?B.workspaces.push({label:F,remoteAuthority:W,workspace:{id:H.workspace.id,configPath:E.URI.parse(H.workspace.configPath)}}):ne(H)?B.workspaces.push({label:F,remoteAuthority:W,folderUri:E.URI.parse(H.folderUri)}):q(H)&&B.files.push({label:F,remoteAuthority:W,fileUri:E.URI.parse(H.fileUri)})});else{const H=K;Array.isArray(H.workspaces3)&&$(H.workspaces3,(F,W)=>{const A=Array.isArray(H.workspaceLabels)&&H.workspaceLabels[W]||void 0;typeof F=="object"&&typeof F.id=="string"&&typeof F.configURIPath=="string"?B.workspaces.push({label:A,workspace:{id:F.id,configPath:E.URI.parse(F.configURIPath)}}):typeof F=="string"&&B.workspaces.push({label:A,folderUri:E.URI.parse(F)})}),Array.isArray(H.files2)&&$(H.files2,(F,W)=>{const A=Array.isArray(H.fileLabels)&&H.fileLabels[W]||void 0;typeof F=="string"&&B.files.push({label:A,fileUri:E.URI.parse(F)})})}}return B}e.restoreRecentlyOpened=J;function V(K){const j={entries:[]};for(const B of K.workspaces)M(B)?j.entries.push({folderUri:B.folderUri.toString(),label:B.label,remoteAuthority:B.remoteAuthority}):j.entries.push({workspace:{id:B.workspace.id,configPath:B.workspace.configPath.toString()},label:B.label,remoteAuthority:B.remoteAuthority});for(const B of K.files)j.entries.push({fileUri:B.fileUri.toString(),label:B.label,remoteAuthority:B.remoteAuthority});return j}e.toStoreData=V}),define(ee[49],te([0,1,14,8,70,33,2,71,9,3,13,24,138,5,6,38,30]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,S.createDecorator)("dialogMainService");let w=class vt{constructor(a,d){this.stateMainService=a,this.logService=d,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new n.Queue}pickFileFolder(a,d){return this.doPick({...a,pickFolders:!0,pickFiles:!0,title:(0,p.localize)(0,null)},d)}pickFolder(a,d){return this.doPick({...a,pickFolders:!0,title:(0,p.localize)(1,null)},d)}pickFile(a,d){return this.doPick({...a,pickFiles:!0,title:(0,p.localize)(2,null)},d)}pickWorkspace(a,d){const c=(0,p.localize)(3,null),o=(0,C.mnemonicButtonLabel)((0,p.localize)(4,null)),u=g.WORKSPACE_FILTER;return this.doPick({...a,pickFiles:!0,title:c,filters:u,buttonLabel:o},d)}async doPick(a,d){const c={title:a.title,buttonLabel:a.buttonLabel,filters:a.filters};c.defaultPath=a.defaultPath||this.stateMainService.getItem(vt.workingDirPickerStorageKey),(typeof a.pickFiles=="boolean"||typeof a.pickFolders=="boolean")&&(c.properties=void 0,a.pickFiles&&a.pickFolders&&(c.properties=["multiSelections","openDirectory","openFile","createDirectory"])),c.properties||(c.properties=["multiSelections",a.pickFolders?"openDirectory":"openFile","createDirectory"]),m.isMacintosh&&c.properties.push("treatPackageAsDirectory");const o=d||y.BrowserWindow.getFocusedWindow(),u=await this.showOpenDialog(c,(0,E.withNullAsUndefined)(o));if(u&&u.filePaths&&u.filePaths.length>0)return this.stateMainService.setItem(vt.workingDirPickerStorageKey,(0,f.dirname)(u.filePaths[0])),u.filePaths}getWindowDialogQueue(a){if(a){let d=this.windowDialogQueues.get(a.id);return d||(d=new n.Queue,this.windowDialogQueues.set(a.id,d)),d}else return this.noWindowDialogueQueue}showMessageBox(a,d){return this.getWindowDialogQueue(d).queue(async()=>d?y.dialog.showMessageBox(d,a):y.dialog.showMessageBox(a))}async showSaveDialog(a,d){const c=this.acquireFileDialogLock(a,d);if(!c)return this.logService.error("[DialogMainService]: file save dialog is already or will be showing for the window with the same configuration"),{canceled:!0};try{return await this.getWindowDialogQueue(d).queue(async()=>{let o;return d?o=await y.dialog.showSaveDialog(d,a):o=await y.dialog.showSaveDialog(a),o.filePath=this.normalizePath(o.filePath),o})}finally{(0,k.dispose)(c)}}normalizePath(a){return a&&m.isMacintosh&&(a=(0,P.normalizeNFC)(a)),a}normalizePaths(a){return a.map(d=>this.normalizePath(d))}async showOpenDialog(a,d){a.defaultPath&&(await I.Promises.exists(a.defaultPath)||(a.defaultPath=void 0));const c=this.acquireFileDialogLock(a,d);if(!c)return this.logService.error("[DialogMainService]: file open dialog is already or will be showing for the window with the same configuration"),{canceled:!0,filePaths:[]};try{return await this.getWindowDialogQueue(d).queue(async()=>{let o;return d?o=await y.dialog.showOpenDialog(d,a):o=await y.dialog.showOpenDialog(a),o.filePaths=this.normalizePaths(o.filePaths),o})}finally{(0,k.dispose)(c)}}acquireFileDialogLock(a,d){if(!d)return k.Disposable.None;this.logService.trace("[DialogMainService]: request to acquire file dialog lock",a);let c=this.windowFileDialogLocks.get(d.id);c||(c=new Set,this.windowFileDialogLocks.set(d.id,c));const o=(0,D.hash)(a);if(!c.has(o))return this.logService.trace("[DialogMainService]: new file dialog lock created",a),c.add(o),(0,k.toDisposable)(()=>{this.logService.trace("[DialogMainService]: file dialog lock disposed",a),c?.delete(o),c?.size===0&&this.windowFileDialogLocks.delete(d.id)})}};w.workingDirPickerStorageKey="pickerWorkingDir",w=de([re(0,v.IStateMainService),re(1,t.ILogService)],w),e.DialogMainService=w}),define(ee[221],te([0,1,4,2,30]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class C extends n.Disposable{constructor(P,f){super();this.logService=P,this.storageMainService=f,this._onDidChangeGlobalStorage=this._register(new y.Emitter),this.onDidChangeGlobalStorage=this._onDidChangeGlobalStorage.event,this.registerGlobalStorageListeners()}registerGlobalStorageListeners(){this._register(y.Event.debounce(this.storageMainService.globalStorage.onDidChangeStorage,(P,f)=>(P?P.push(f):P=[f],P),C.STORAGE_CHANGE_DEBOUNCE_TIME)(P=>{P.length&&this._onDidChangeGlobalStorage.fire(this.serializeGlobalStorageEvents(P))}))}serializeGlobalStorageEvents(P){const f=new Map,m=new Set;return P.forEach(E=>{const I=this.storageMainService.globalStorage.get(E.key);typeof I=="string"?f.set(E.key,I):m.add(E.key)}),{changed:Array.from(f.entries()),deleted:Array.from(m.values())}}listen(P,f){switch(f){case"onDidChangeGlobalStorage":return this.onDidChangeGlobalStorage}throw new Error(`Event not found: ${f}`)}async call(P,f,m){const E=(0,D.reviveIdentifier)(m.workspace),I=await this.withStorageInitialized(E);switch(f){case"getItems":return Array.from(I.items.entries());case"updateItems":{const p=m;if(p.insert)for(const[S,t]of p.insert)I.set(S,t);p.delete&&p.delete.forEach(S=>I.delete(S));break}case"close":{if(E)return I.close();break}default:throw new Error(`Call not found: ${f}`)}}async withStorageInitialized(P){const f=P?this.storageMainService.workspaceStorage(P):this.storageMainService.globalStorage;try{await f.init()}catch(m){this.logService.error(`StorageIPC#init: Unable to init ${P?"workspace":"global"} storage due to ${m}`)}return f}}e.StorageDatabaseChannel=C,C.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(ee[222],te([0,1,8,4,2,9,24,87,127,6,78,29,30]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageMain=e.GlobalStorageMain=void 0;class S extends D.Disposable{constructor(w){super();this.logService=w,this._onDidChangeStorage=this._register(new n.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new n.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this._storage=new P.Storage(new P.InMemoryStorageDatabase),this.initializePromise=void 0,this.whenInitPromise=new y.DeferredPromise,this.whenInit=this.whenInitPromise.p}get storage(){return this._storage}init(){return this.initializePromise||(this.initializePromise=(async()=>{try{const w=await this.doCreate();this._storage.dispose(),this._storage=w,this._register(w.onDidChangeStorage(a=>this._onDidChangeStorage.fire({key:a}))),await this.doInit(w);const M=w.getBoolean(E.IS_NEW_KEY);M===void 0?w.set(E.IS_NEW_KEY,!0):M&&w.set(E.IS_NEW_KEY,!1)}catch(w){this.logService.error(`StorageMain#initialize(): Unable to init storage due to ${w}`)}finally{this.whenInitPromise.complete()}})()),this.initializePromise}createLoggingOptions(){return{logTrace:this.logService.getLevel()===m.LogLevel.Trace?w=>this.logService.trace(w):void 0,logError:w=>this.logService.error(w)}}doInit(w){return w.init()}get items(){return this._storage.items}get(w,M){return this._storage.get(w,M)}set(w,M){return this._storage.set(w,M)}delete(w){return this._storage.delete(w)}async close(){this.initializePromise&&await this.initializePromise,await this._storage.close(),this._onDidCloseStorage.fire()}}class t extends S{constructor(w,M,a){super(M);this.options=w,this.environmentService=a}async doCreate(){let w;return this.options.useInMemoryStorage?w=f.SQLiteStorageDatabase.IN_MEMORY_PATH:w=(0,C.join)(this.environmentService.globalStorageHome.fsPath,t.STORAGE_NAME),new P.Storage(new f.SQLiteStorageDatabase(w,{logging:this.createLoggingOptions()}))}async doInit(w){await super.doInit(w),this.updateTelemetryState(w)}updateTelemetryState(w){w.get(I.firstSessionDateStorageKey,void 0)===void 0&&w.set(I.firstSessionDateStorageKey,new Date().toUTCString());const a=w.get(I.currentSessionDateStorageKey,void 0),d=new Date().toUTCString();w.set(I.lastSessionDateStorageKey,typeof a=="undefined"?null:a),w.set(I.currentSessionDateStorageKey,d)}}e.GlobalStorageMain=t,t.STORAGE_NAME="state.vscdb";class v extends S{constructor(w,M,a,d){super(a);this.workspace=w,this.options=M,this.environmentService=d}async doCreate(){const{storageFilePath:w,wasCreated:M}=await this.prepareWorkspaceStorageFolder();return new P.Storage(new f.SQLiteStorageDatabase(w,{logging:this.createLoggingOptions()}),{hint:M?P.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:f.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const w=(0,C.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),M=(0,C.join)(w,v.WORKSPACE_STORAGE_NAME);return await k.Promises.exists(w)?{storageFilePath:M,wasCreated:!1}:(await k.Promises.mkdir(w,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(w),{storageFilePath:M,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(w){let M;if((0,p.isSingleFolderWorkspaceIdentifier)(this.workspace)?M={folder:this.workspace.uri.toString()}:(0,p.isWorkspaceIdentifier)(this.workspace)&&(M={workspace:this.workspace.configPath.toString()}),M)try{const a=(0,C.join)(w,v.WORKSPACE_META_NAME);await k.Promises.exists(a)||await k.Promises.writeFile(a,JSON.stringify(M,void 0,2))}catch(a){this.logService.error(`StorageMain#ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${a}`)}}}e.WorkspaceStorageMain=v,v.WORKSPACE_STORAGE_NAME="state.vscdb",v.WORKSPACE_META_NAME="workspace.json"}),define(ee[99],te([0,1,16,7,30]),function(G,e,y,n,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function C(f,m,E){for(const p of f){const S=p.openedWorkspace;if((0,D.isWorkspaceIdentifier)(S)){const t=E(S);if(t){if(t.folders.some(v=>y.extUriBiasedIgnorePathCase.isEqualOrParent(m,v.uri)))return p}else if(y.extUriBiasedIgnorePathCase.isEqualOrParent(m,S.configPath))return p}}const I=f.filter(p=>(0,D.isSingleFolderWorkspaceIdentifier)(p.openedWorkspace)&&y.extUriBiasedIgnorePathCase.isEqualOrParent(m,p.openedWorkspace.uri));if(I.length)return I.sort((p,S)=>-(p.openedWorkspace.uri.path.length-S.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=C;function k(f,m){for(const E of f)if((0,D.isWorkspaceIdentifier)(E.openedWorkspace)&&y.extUriBiasedIgnorePathCase.isEqual(E.openedWorkspace.configPath,m)||(0,D.isSingleFolderWorkspaceIdentifier)(E.openedWorkspace)&&y.extUriBiasedIgnorePathCase.isEqual(E.openedWorkspace.uri,m))return E}e.findWindowOnWorkspaceOrFolder=k;function P(f,m){const E=I=>m.some(p=>y.extUriBiasedIgnorePathCase.isEqual(n.URI.file(p),n.URI.file(I)));for(const I of f)if(I.config?.extensionDevelopmentPath?.some(p=>E(p)))return I}e.findWindowOnExtensionDevelopmentPath=P}),define(ee[223],te([0,1,14,2,3,16,7,19,20,6,38,36,30]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let S=class yt extends n.Disposable{constructor(a,d,c,o,u){super();this.windowsMainService=a,this.stateMainService=d,this.lifecycleMainService=c,this.logService=o,this.configurationService=u,this._state=t(this.stateMainService.getItem(yt.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){y.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(a=>this.onBeforeCloseWindow(a)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(a=>{a.newCount-a.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(a=>this.onBeforeCloseWindow(a))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const a={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!a.lastActiveWindow){let o=this.windowsMainService.getLastActiveWindow();(!o||o.isExtensionDevelopmentHost)&&(o=this.windowsMainService.getWindows().find(u=>!u.isExtensionDevelopmentHost)),o&&(a.lastActiveWindow=this.toWindowState(o))}const d=this.windowsMainService.getWindows().find(o=>o.isExtensionDevelopmentHost&&!o.isExtensionTestHost);d&&(a.lastPluginDevelopmentHostWindow=this.toWindowState(d)),this.windowsMainService.getWindowCount()>1&&(a.openedWindows=this.windowsMainService.getWindows().filter(o=>!o.isExtensionDevelopmentHost).map(o=>this.toWindowState(o)));const c=g(a);this.stateMainService.setItem(yt.windowsStateStorageKey,c),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",c)}onBeforeCloseWindow(a){if(this.lifecycleMainService.quitRequested)return;const d=this.toWindowState(a);a.isExtensionDevelopmentHost&&!a.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=d:!a.isExtensionDevelopmentHost&&a.openedWorkspace&&this._state.openedWindows.forEach(c=>{const o=(0,p.isWorkspaceIdentifier)(a.openedWorkspace)&&c.workspace?.id===a.openedWorkspace.id,u=(0,p.isSingleFolderWorkspaceIdentifier)(a.openedWorkspace)&&c.folderUri&&C.extUriBiasedIgnorePathCase.isEqual(c.folderUri,a.openedWorkspace.uri);(o||u)&&(c.uiState=d.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=d)}toWindowState(a){return{workspace:(0,p.isWorkspaceIdentifier)(a.openedWorkspace)?a.openedWorkspace:void 0,folderUri:(0,p.isSingleFolderWorkspaceIdentifier)(a.openedWorkspace)?a.openedWorkspace.uri:void 0,backupPath:a.backupPath,remoteAuthority:a.remoteAuthority,uiState:a.serializeWindowState()}}getNewWindowState(a){const d=this.doGetNewWindowState(a),c=this.configurationService.getValue("window");let o;return d.hasDefaultState?o=!!(c?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(c.newWindowDimensions)>=0):(o=!!(this.lifecycleMainService.wasRestarted||c?.restoreFullscreen),o&&D.isMacintosh&&this.windowsMainService.getWindows().some(u=>u.isFullScreen)&&(o=!1)),d.mode===3&&!o&&(d.mode=1),d}doGetNewWindowState(a){const d=this.windowsMainService.getLastActiveWindow();if(!a.extensionTestsPath){if(!!a.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const r=a.workspace;if((0,p.isWorkspaceIdentifier)(r)){const h=this.state.openedWindows.filter(b=>b.workspace&&b.workspace.id===r.id).map(b=>b.uiState);if(h.length)return h[0]}if((0,p.isSingleFolderWorkspaceIdentifier)(r)){const h=this.state.openedWindows.filter(b=>b.folderUri&&C.extUriBiasedIgnorePathCase.isEqual(b.folderUri,r.uri)).map(b=>b.uiState);if(h.length)return h[0]}else if(a.backupPath){const h=this.state.openedWindows.filter(b=>b.backupPath===a.backupPath).map(b=>b.uiState);if(h.length)return h[0]}const l=this.lastClosedState||this.state.lastActiveWindow;if(!d&&l)return l.uiState}let c;const o=y.screen.getAllDisplays();if(o.length===1)c=o[0];else{if(D.isMacintosh){const r=y.screen.getCursorScreenPoint();c=y.screen.getDisplayNearestPoint(r)}!c&&d&&(c=y.screen.getDisplayMatching(d.getBounds())),c||(c=y.screen.getPrimaryDisplay()||o[0])}let u=(0,I.defaultWindowState)();u.x=Math.round(c.bounds.x+c.bounds.width/2-u.width/2),u.y=Math.round(c.bounds.y+c.bounds.height/2-u.height/2);const s=this.configurationService.getValue("window");let i=!0;if(s?.newWindowDimensions){if(s.newWindowDimensions==="maximized")u.mode=0,i=!1;else if(s.newWindowDimensions==="fullscreen")u.mode=3,i=!1;else if((s.newWindowDimensions==="inherit"||s.newWindowDimensions==="offset")&&d){const r=d.serializeWindowState();r.mode===3?u.mode=3:u=r,i=u.mode!==3&&s.newWindowDimensions==="offset"}}return i&&(u=this.ensureNoOverlap(u)),u.hasDefaultState=!0,u}ensureNoOverlap(a){if(this.windowsMainService.getWindows().length===0)return a;a.x=typeof a.x=="number"?a.x:0,a.y=typeof a.y=="number"?a.y:0;const d=this.windowsMainService.getWindows().map(c=>c.getBounds());for(;d.some(c=>c.x===a.x||c.y===a.y);)a.x+=30,a.y+=30;return a}};S.windowsStateStorageKey="windowsState",S=de([re(0,I.IWindowsMainService),re(1,E.IStateMainService),re(2,f.ILifecycleMainService),re(3,m.ILogService),re(4,P.IConfigurationService)],S),e.WindowsStateHandler=S;function t(M){const a={openedWindows:[]},d=M||{openedWindows:[]};return d.lastActiveWindow&&(a.lastActiveWindow=v(d.lastActiveWindow)),d.lastPluginDevelopmentHostWindow&&(a.lastPluginDevelopmentHostWindow=v(d.lastPluginDevelopmentHostWindow)),Array.isArray(d.openedWindows)&&(a.openedWindows=d.openedWindows.map(c=>v(c))),a}e.restoreWindowsState=t;function v(M){const a={uiState:M.uiState};return M.backupPath&&(a.backupPath=M.backupPath),M.remoteAuthority&&(a.remoteAuthority=M.remoteAuthority),M.folder&&(a.folderUri=k.URI.parse(M.folder)),M.workspaceIdentifier&&(a.workspace={id:M.workspaceIdentifier.id,configPath:k.URI.parse(M.workspaceIdentifier.configURIPath)}),a}function g(M){return{lastActiveWindow:M.lastActiveWindow&&w(M.lastActiveWindow),lastPluginDevelopmentHostWindow:M.lastPluginDevelopmentHostWindow&&w(M.lastPluginDevelopmentHostWindow),openedWindows:M.openedWindows.map(a=>w(a))}}e.getWindowsStateStoreData=g;function w(M){return{workspaceIdentifier:M.workspace&&{id:M.workspace.id,configURIPath:M.workspace.configPath.toString()},folder:M.folderUri&&M.folderUri.toString(),backupPath:M.backupPath,remoteAuthority:M.remoteAuthority,uiState:M.uiState}}}),define(ee[100],te([0,1,60,28,10,3,16]),function(G,e,y,n,D,C,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=void 0;function P(m){function E(){let I=m.scheme===D.Schemas.file?(0,k.originalFSPath)(m):m.toString();return C.isLinux||(I=I.toLowerCase()),(0,y.createHash)("md5").update(I).digest("hex")}return{id:E(),configPath:m}}e.getWorkspaceIdentifier=P;function f(m,E){function I(){if(m.scheme!==D.Schemas.file)return(0,y.createHash)("md5").update(m.toString()).digest("hex");if(!E)try{E=(0,n.statSync)(m.fsPath)}catch{return}let S;return C.isLinux?S=E.ino:C.isMacintosh?S=E.birthtime.getTime():C.isWindows&&(typeof E.birthtimeMs=="number"?S=Math.floor(E.birthtimeMs):S=E.birthtime.getTime()),(0,y.createHash)("md5").update(m.fsPath).update(S?String(S):"").digest("hex")}const p=I();if(typeof p=="string")return{id:p,uri:m}}e.getSingleFolderWorkspaceIdentifier=f}),define(ee[224],te([0,1,15,10,6,252,115,20]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerMainProcessExtensionHostStarter=void 0;class f{constructor(p,S){this._worker=new C.Worker(n.FileAccess.asFileUri("vs/platform/extensions/node/extensionHostStarterWorkerMain.js",G).fsPath),this._worker.on("message",p),this._worker.on("error",S)}getId(){return 1}postMessage(p,S){this._worker.postMessage(p,S)}dispose(){this._worker.terminate()}}let m=class{constructor(p){this._logService=p}async logInfo(p){this._logService.info(p)}};m=de([re(0,D.ILogService)],m);let E=class{constructor(p,S){this._logService=p,this._shutdown=!1,this._proxy=null;const t={create:(v,g,w)=>{const M=new f(g,w);return M.postMessage(v,[]),M}};this._worker=new k.SimpleWorkerClient(t,"vs/platform/extensions/node/extensionHostStarterWorker",new m(this._logService)),this._initialize(),S.onWillShutdown(v=>{this._shutdown=!0,this._proxy&&v.join(this._proxy.waitForAllExit(6e3))})}dispose(){}async _initialize(){this._proxy=await this._worker.getProxyObject(),this._logService.info("ExtensionHostStarterWorker created")}onDynamicStdout(p){return this._proxy.onDynamicStdout(p)}onDynamicStderr(p){return this._proxy.onDynamicStderr(p)}onDynamicMessage(p){return this._proxy.onDynamicMessage(p)}onDynamicError(p){return this._proxy.onDynamicError(p)}onDynamicExit(p){return this._proxy.onDynamicExit(p)}async createExtensionHost(){const p=await this._worker.getProxyObject();if(this._shutdown)throw(0,y.canceled)();return p.createExtensionHost()}async start(p,S){const t=await this._worker.getProxyObject();if(this._shutdown)throw(0,y.canceled)();return t.start(p,S)}async enableInspectPort(p){const S=await this._worker.getProxyObject();if(this._shutdown)throw(0,y.canceled)();return S.enableInspectPort(p)}async kill(p){const S=await this._worker.getProxyObject();if(this._shutdown)throw(0,y.canceled)();return S.kill(p)}};E=de([re(0,D.ILogService),re(1,P.ILifecycleMainService)],E),e.WorkerMainProcessExtensionHostStarter=E}),define(ee[58],te([0,1,60,61,26,17,15,4,2,9,3,32,37,85,225]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class v{constructor(R,T=""){this.debugLabel=T,this.socket=R,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=U=>{if(this.traceSocketEvent("error",{code:U?.code,message:U?.message}),U){if(U.code==="EPIPE")return;(0,k.onUnexpectedError)(U)}},this.socket.on("error",this._errorListener)}traceSocketEvent(R,T){S.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,R,T)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(R){const T=U=>{this.traceSocketEvent("read",U),R(C.VSBuffer.wrap(U))};return this.socket.on("data",T),{dispose:()=>this.socket.off("data",T)}}onClose(R){const T=U=>{this.traceSocketEvent("close",{hadError:U}),R({type:0,hadError:U,error:void 0})};return this.socket.on("close",T),{dispose:()=>this.socket.off("close",T)}}onEnd(R){const T=()=>{this.traceSocketEvent("nodeEndReceived"),R()};return this.socket.on("end",T),{dispose:()=>this.socket.off("end",T)}}write(R){if(!this.socket.destroyed)try{this.traceSocketEvent("write",R),this.socket.write(R.buffer,T=>{if(T){if(T.code==="EPIPE")return;(0,k.onUnexpectedError)(T)}})}catch(T){if(T.code==="EPIPE")return;(0,k.onUnexpectedError)(T)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((R,T)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),R();return}const U=()=>{this.socket.off("close",U),this.socket.off("end",U),this.socket.off("error",U),this.socket.off("timeout",U),this.socket.off("drain",U),this.traceSocketEvent("nodeDrainEnd"),R()};this.socket.on("close",U),this.socket.on("end",U),this.socket.on("error",U),this.socket.on("timeout",U),this.socket.on("drain",U)})}}e.NodeSocket=v;var g;(function(L){L[L.MinHeaderByteSize=2]="MinHeaderByteSize"})(g||(g={}));var w;(function(L){L[L.PeekHeader=1]="PeekHeader",L[L.ReadHeader=2]="ReadHeader",L[L.ReadBody=3]="ReadBody",L[L.Fin=4]="Fin"})(w||(w={}));class M extends f.Disposable{constructor(R,T,U,Q){super();this._onData=this._register(new P.Emitter),this._onClose=this._register(new P.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=R,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:T,inflateBytesLength:U?.byteLength||0,recordInflateBytes:Q}),this._flowManager=this._register(new a(this,T,U,Q,this._onData,(se,ne)=>this._write(se,ne))),this._register(this._flowManager.onError(se=>{console.error(se),(0,k.onUnexpectedError)(se),this._onClose.fire({type:0,hadError:!0,error:se})})),this._incomingData=new S.ChunkStream,this._register(this.socket.onData(se=>this._acceptChunk(se))),this._register(this.socket.onClose(se=>this._onClose.fire(se)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(R,T){this.socket.traceSocketEvent(R,T)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(R){return this._onData.event(R)}onClose(R){return this._onClose.event(R)}onEnd(R){return this.socket.onEnd(R)}write(R){this._flowManager.writeMessage(R)}_write(R,T){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",R);let U=2;R.byteLength<126?U+=0:R.byteLength<2**16?U+=2:U+=8;const Q=C.VSBuffer.alloc(U);if(T?Q.writeUInt8(194,0):Q.writeUInt8(130,0),R.byteLength<126)Q.writeUInt8(R.byteLength,1);else if(R.byteLength<2**16){Q.writeUInt8(126,1);let se=1;Q.writeUInt8(R.byteLength>>>8&255,++se),Q.writeUInt8(R.byteLength>>>0&255,++se)}else{Q.writeUInt8(127,1);let se=1;Q.writeUInt8(0,++se),Q.writeUInt8(0,++se),Q.writeUInt8(0,++se),Q.writeUInt8(0,++se),Q.writeUInt8(R.byteLength>>>24&255,++se),Q.writeUInt8(R.byteLength>>>16&255,++se),Q.writeUInt8(R.byteLength>>>8&255,++se),Q.writeUInt8(R.byteLength>>>0&255,++se)}this.socket.write(C.VSBuffer.concat([Q,R]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(R){if(R.byteLength!==0){for(this._incomingData.acceptChunk(R);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const T=this._incomingData.peek(this._state.readLen),U=T.readUInt8(0),Q=(U&128)>>>7,se=(U&64)>>>6,ne=T.readUInt8(1),q=(ne&128)>>>7,J=ne&127;this._state.state=2,this._state.readLen=2+(q?4:0)+(J===126?2:0)+(J===127?8:0),this._state.fin=Q,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(se)),this._state.firstFrameOfMessage=Boolean(Q),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const T=this._incomingData.read(this._state.readLen),U=T.readUInt8(1),Q=(U&128)>>>7;let se=U&127,ne=1;se===126?se=T.readUInt8(++ne)*2**8+T.readUInt8(++ne):se===127&&(se=T.readUInt8(++ne)*0+T.readUInt8(++ne)*0+T.readUInt8(++ne)*0+T.readUInt8(++ne)*0+T.readUInt8(++ne)*2**24+T.readUInt8(++ne)*2**16+T.readUInt8(++ne)*2**8+T.readUInt8(++ne));let q=0;Q&&(q=T.readUInt8(++ne)*2**24+T.readUInt8(++ne)*2**16+T.readUInt8(++ne)*2**8+T.readUInt8(++ne)),this._state.state=3,this._state.readLen=se,this._state.mask=q,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const T=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",T),o(T,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",T),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(T,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await P.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=M;class a extends f.Disposable{constructor(R,T,U,Q,se,ne){super();this._tracer=R,this._onData=se,this._writeFn=ne,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new P.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,T?(this._zlibInflateStream=this._register(new d(this._tracer,Q,U,{windowBits:15})),this._zlibDeflateStream=this._register(new c(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(q=>this._onError.fire(q))),this._register(this._zlibDeflateStream.onError(q=>this._onError.fire(q)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:C.VSBuffer.alloc(0)}writeMessage(R){this._writeQueue.push(R),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const R=this._writeQueue.shift();if(this._zlibDeflateStream){const T=await this._deflateMessage(this._zlibDeflateStream,R);this._writeFn(T,!0)}else this._writeFn(R,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(R,T){return new Promise((U,Q)=>{R.write(T),R.flush(se=>U(se))})}acceptFrame(R,T,U){this._readQueue.push({data:R,isCompressed:T,isLastFrameOfMessage:U}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const R=this._readQueue.shift();if(this._zlibInflateStream&&R.isCompressed){const T=await this._inflateFrame(this._zlibInflateStream,R.data,R.isLastFrameOfMessage);this._onData.fire(T)}else this._onData.fire(R.data)}this._isProcessingReadQueue=!1}}_inflateFrame(R,T,U){return new Promise((Q,se)=>{R.write(T),U&&R.write(C.VSBuffer.fromByteArray([0,0,255,255])),R.flush(ne=>Q(ne))})}}class d extends f.Disposable{constructor(R,T,U,Q){super();this._tracer=R,this._recordInflateBytes=T,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=t.createInflateRaw(Q),this._zlibInflate.on("error",se=>{this._tracer.traceSocketEvent("zlibInflateError",{message:se?.message,code:se?.code}),this._onError.fire(se)}),this._zlibInflate.on("data",se=>{this._tracer.traceSocketEvent("zlibInflateData",se),this._pendingInflateData.push(C.VSBuffer.wrap(se))}),U&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",U.buffer),this._zlibInflate.write(U.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?C.VSBuffer.concat(this._recordedInflateBytes):C.VSBuffer.alloc(0)}write(R){this._recordInflateBytes&&this._recordedInflateBytes.push(R.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",R),this._zlibInflate.write(R.buffer)}flush(R){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const T=C.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,R(T)})}}class c extends f.Disposable{constructor(R,T){super();this._tracer=R,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=t.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",U=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:U?.message,code:U?.code}),this._onError.fire(U)}),this._zlibDeflate.on("data",U=>{this._tracer.traceSocketEvent("zlibDeflateData",U),this._pendingDeflateData.push(C.VSBuffer.wrap(U))})}write(R){this._tracer.traceSocketEvent("zlibDeflateWrite",R.buffer),this._zlibDeflate.write(R.buffer)}flush(R){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let T=C.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,T=T.slice(0,T.byteLength-4),R(T)})}}function o(L,R){if(R===0)return;let T=L.byteLength>>>2;for(let J=0;J<T;J++){const V=L.readUInt32BE(J*4);L.writeUInt32BE(V^R,J*4)}let U=T*4,Q=L.byteLength-U;const se=R>>>24&255,ne=R>>>16&255,q=R>>>8&255;Q>=1&&L.writeUInt8(L.readUInt8(U)^se,U),Q>=2&&L.writeUInt8(L.readUInt8(U+1)^ne,U+1),Q>=3&&L.writeUInt8(L.readUInt8(U+2)^q,U+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const u={[2]:107,[1]:103};function s(){const L=(0,I.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${L}-sock`;let R;return e.XDG_RUNTIME_DIR?R=(0,m.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${L}.sock`):R=(0,m.join)((0,D.tmpdir)(),`vscode-ipc-${L}.sock`),r(R),R}e.createRandomIPCHandle=s;function i(L,R,T){const U=(0,y.createHash)("md5").update(L).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${U}-${T}-${R}-sock`;let Q;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?Q=(0,m.join)(e.XDG_RUNTIME_DIR,`vscode-${U.substr(0,8)}-${T}-${R}.sock`):Q=(0,m.join)(L,`${T}-${R}.sock`),r(Q),Q}e.createStaticIPCHandle=i;function r(L){const R=u[E.platform];typeof R=="number"&&L.length>=R&&console.warn(`WARNING: IPC handle "${L}" is longer than ${R} chars, try a shorter --user-data-dir`)}class l extends p.IPCServer{constructor(R){super(l.toClientConnectionEvent(R));this.server=R}static toClientConnectionEvent(R){const T=P.Event.fromNodeEventEmitter(R,"connection");return P.Event.map(T,U=>({protocol:new S.Protocol(new v(U,"ipc-server-connection")),onDidClientDisconnect:P.Event.once(P.Event.fromNodeEventEmitter(U,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=l;function h(L){return new Promise((R,T)=>{const U=(0,n.createServer)();U.on("error",T),U.listen(L,()=>{U.removeListener("error",T),R(new l(U))})})}e.serve=h;function b(L,R){return new Promise((T,U)=>{const Q=(0,n.createConnection)(L,()=>{Q.removeListener("error",U),T(S.Client.fromSocket(new v(Q,`ipc-client${R}`),R))});Q.once("error",U)})}e.connect=b}),define(ee[226],te([0,1,58]),function(G,e,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class n{constructor(f){this.driver=f}listen(f,m){throw new Error("No event found")}call(f,m,E){switch(m){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(E);case"startTracing":return this.driver.startTracing(E[0],E[1]);case"stopTracing":return this.driver.stopTracing(E[0],E[1],E[2]);case"reloadWindow":return this.driver.reloadWindow(E);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(E[0],E[1]);case"click":return this.driver.click(E[0],E[1],E[2],E[3]);case"doubleClick":return this.driver.doubleClick(E[0],E[1]);case"setValue":return this.driver.setValue(E[0],E[1],E[2]);case"getTitle":return this.driver.getTitle(E[0]);case"isActiveElement":return this.driver.isActiveElement(E[0],E[1]);case"getElements":return this.driver.getElements(E[0],E[1],E[2]);case"getElementXY":return this.driver.getElementXY(E[0],E[1],E[2]);case"typeInEditor":return this.driver.typeInEditor(E[0],E[1],E[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(E[0],E[1]);case"writeInTerminal":return this.driver.writeInTerminal(E[0],E[1],E[2]);case"getLocaleInfo":return this.driver.getLocaleInfo(E);case"getLocalizedStrings":return this.driver.getLocalizedStrings(E)}throw new Error(`Call not found: ${m}`)}}e.DriverChannel=n;class D{constructor(f){this.channel=f}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(f){return this.channel.call("capturePage",f)}startTracing(f,m){return this.channel.call("startTracing",[f,m])}stopTracing(f,m,E){return this.channel.call("stopTracing",[f,m,E])}reloadWindow(f){return this.channel.call("reloadWindow",f)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(f,m){return this.channel.call("dispatchKeybinding",[f,m])}click(f,m,E,I){return this.channel.call("click",[f,m,E,I])}doubleClick(f,m){return this.channel.call("doubleClick",[f,m])}setValue(f,m,E){return this.channel.call("setValue",[f,m,E])}getTitle(f){return this.channel.call("getTitle",[f])}isActiveElement(f,m){return this.channel.call("isActiveElement",[f,m])}getElements(f,m,E){return this.channel.call("getElements",[f,m,E])}getElementXY(f,m,E,I){return this.channel.call("getElementXY",[f,m,E,I])}typeInEditor(f,m,E){return this.channel.call("typeInEditor",[f,m,E])}getTerminalBuffer(f,m){return this.channel.call("getTerminalBuffer",[f,m])}writeInTerminal(f,m,E){return this.channel.call("writeInTerminal",[f,m,E])}getLocaleInfo(f){return this.channel.call("getLocaleInfo",f)}getLocalizedStrings(f){return this.channel.call("getLocalizedStrings",f)}}e.DriverChannelClient=D;class C{constructor(f){this.registry=f}listen(f,m){throw new Error(`Event not found: ${m}`)}call(f,m,E){switch(m){case"registerWindowDriver":return this.registry.registerWindowDriver(E);case"reloadWindowDriver":return this.registry.reloadWindowDriver(E)}throw new Error(`Call not found: ${m}`)}}e.WindowDriverRegistryChannel=C;async function k(P){const f=await(0,y.connect)(P,"driverClient"),m=f.getChannel("driver"),E=new D(m);return{client:f,driver:E}}e.connect=k}),define(ee[23],te([0,1,46,9,58,53,167,5]),function(G,e,y,n,D,C,k,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,P.refineServiceDecorator)(C.IEnvironmentService);class f extends k.NativeEnvironmentService{get cachedLanguagesPath(){return(0,n.join)(this.userDataPath,"clp")}get backupHome(){return(0,n.join)(this.userDataPath,"Backups")}get backupWorkspacesPath(){return(0,n.join)(this.backupHome,"workspaces.json")}get mainIPCHandle(){return(0,D.createStaticIPCHandle)(this.userDataPath,"main",this.productService.version)}get mainLockfile(){return(0,n.join)(this.userDataPath,"code.lock")}get sandbox(){return!!this.args.__sandbox}get driverVerbose(){return!!this.args["driver-verbose"]}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}get useCodeCache(){return!!this.codeCachePath}}de([y.memoize],f.prototype,"cachedLanguagesPath",null),de([y.memoize],f.prototype,"backupHome",null),de([y.memoize],f.prototype,"backupWorkspacesPath",null),de([y.memoize],f.prototype,"mainIPCHandle",null),de([y.memoize],f.prototype,"mainLockfile",null),de([y.memoize],f.prototype,"sandbox",null),de([y.memoize],f.prototype,"driverVerbose",null),de([y.memoize],f.prototype,"disableUpdates",null),de([y.memoize],f.prototype,"disableKeytar",null),de([y.memoize],f.prototype,"codeCachePath",null),de([y.memoize],f.prototype,"useCodeCache",null),e.EnvironmentMainService=f}),define(ee[227],te([0,1,60,28,27,10,9,3,16,7,24,161,19,23,18,6,30]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let w=class{constructor(a,d,c){this.configurationService=d,this.logService=c,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=f.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(o,u)=>(0,D.isEqual)(o,u,!P.isLinux)},this.backupHome=a.backupHome,this.workspacesJsonPath=a.backupWorkspacesPath}async initialize(){let a;try{a=JSON.parse(await E.Promises.readFile(this.workspacesJsonPath,"utf8"))}catch{a=Object.create(null)}this.emptyWindows=await this.validateEmptyWorkspaces(a.emptyWorkspaceInfos);let d=[];try{Array.isArray(a.rootURIWorkspaces)&&(d=a.rootURIWorkspaces.map(o=>({workspace:{id:o.id,configPath:m.URI.parse(o.configURIPath)},remoteAuthority:o.remoteAuthority})))}catch{}this.workspaces=await this.validateWorkspaces(d);let c=[];try{Array.isArray(a.folderWorkspaceInfos)?c=a.folderWorkspaceInfos.map(o=>({folderUri:m.URI.parse(o.folderUri),remoteAuthority:o.remoteAuthority})):Array.isArray(a.folderURIWorkspaces)&&(c=a.folderURIWorkspaces.map(o=>({folderUri:m.URI.parse(o),remoteAuthority:void 0})))}catch{}this.folders=await this.validateFolders(c),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==t.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===t.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){return this.configurationService.getValue()?.files?.hotExit||t.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(a,d){this.workspaces.some(o=>a.workspace.id===o.workspace.id)||(this.workspaces.push(a),this.saveSync());const c=this.getBackupPath(a.workspace.id);return d&&this.moveBackupFolderSync(c,d),c}moveBackupFolderSync(a,d){if(n.existsSync(a)&&this.convertToEmptyWindowBackupSync(a),n.existsSync(d))try{n.renameSync(d,a)}catch(c){this.logService.error(`Backup: Could not move backup folder to new location: ${c.toString()}`)}}unregisterWorkspaceBackupSync(a){const d=a.id,c=this.workspaces.findIndex(o=>o.workspace.id===d);c!==-1&&(this.workspaces.splice(c,1),this.saveSync())}registerFolderBackupSync(a){return this.folders.some(d=>this.backupUriComparer.isEqual(a.folderUri,d.folderUri))||(this.folders.push(a),this.saveSync()),this.getBackupPath(this.getFolderHash(a))}unregisterFolderBackupSync(a){const d=this.folders.findIndex(c=>this.backupUriComparer.isEqual(a,c.folderUri));d!==-1&&(this.folders.splice(d,1),this.saveSync())}registerEmptyWindowBackupSync(a,d){const c=a||this.getRandomEmptyWindowId();return this.emptyWindows.some(o=>!!o.backupFolder&&this.backupPathComparer.isEqual(o.backupFolder,c))||(this.emptyWindows.push({backupFolder:c,remoteAuthority:d}),this.saveSync()),this.getBackupPath(c)}unregisterEmptyWindowBackupSync(a){const d=this.emptyWindows.findIndex(c=>!!c.backupFolder&&this.backupPathComparer.isEqual(c.backupFolder,a));d!==-1&&(this.emptyWindows.splice(d,1),this.saveSync())}getBackupPath(a){return(0,k.join)(this.backupHome,a)}async validateWorkspaces(a){if(!Array.isArray(a))return[];const d=new Set,c=[];for(let o of a){const u=o.workspace;if(!(0,g.isWorkspaceIdentifier)(u))return[];if(!d.has(u.id)){d.add(u.id);const s=this.getBackupPath(u.id);await this.doHasBackups(s)?u.configPath.scheme!==C.Schemas.file||await E.Promises.exists(u.configPath.fsPath)?c.push(o):await this.convertToEmptyWindowBackup(s):await this.deleteStaleBackup(s)}}return c}async validateFolders(a){if(!Array.isArray(a))return[];const d=[],c=new Set;for(let o of a){const u=o.folderUri,s=this.backupUriComparer.getComparisonKey(u);if(!c.has(s)){c.add(s);const i=this.getBackupPath(this.getFolderHash(o));await this.doHasBackups(i)?u.scheme!==C.Schemas.file||await E.Promises.exists(u.fsPath)?d.push(o):await this.convertToEmptyWindowBackup(i):await this.deleteStaleBackup(i)}}return d}async validateEmptyWorkspaces(a){if(!Array.isArray(a))return[];const d=[],c=new Set;for(let o of a){const u=o.backupFolder;if(typeof u!="string")return[];if(!c.has(u)){c.add(u);const s=this.getBackupPath(u);await this.doHasBackups(s)?d.push(o):await this.deleteStaleBackup(s)}}return d}async deleteStaleBackup(a){try{await E.Promises.exists(a)&&await E.Promises.rm(a,E.RimRafMode.MOVE)}catch(d){this.logService.error(`Backup: Could not delete stale backup: ${d.toString()}`)}}async convertToEmptyWindowBackup(a){let d=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(o=>!!o.backupFolder&&this.backupPathComparer.isEqual(o.backupFolder,d));)d=this.getRandomEmptyWindowId();const c=this.getBackupPath(d);try{await E.Promises.rename(a,c)}catch(o){return this.logService.error(`Backup: Could not rename backup folder: ${o.toString()}`),!1}return this.emptyWindows.push({backupFolder:d}),!0}convertToEmptyWindowBackupSync(a){let d=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(o=>!!o.backupFolder&&this.backupPathComparer.isEqual(o.backupFolder,d));)d=this.getRandomEmptyWindowId();const c=this.getBackupPath(d);try{n.renameSync(a,c)}catch(o){return this.logService.error(`Backup: Could not rename backup folder: ${o.toString()}`),!1}return this.emptyWindows.push({backupFolder:d}),!0}async getDirtyWorkspaces(){const a=[];for(const d of this.workspaces)await this.hasBackups(d)&&a.push(d);for(const d of this.folders)await this.hasBackups(d)&&a.push(d);return a}hasBackups(a){let d;return(0,I.isEmptyWindowBackupInfo)(a)?d=a.backupFolder:(0,g.isFolderBackupInfo)(a)?d=this.getBackupPath(this.getFolderHash(a)):d=this.getBackupPath(a.workspace.id),this.doHasBackups(d)}async doHasBackups(a){try{const d=await E.Promises.readdir(a);for(const c of d)try{if((await E.Promises.readdir((0,k.join)(a,c))).length>0)return!0}catch{}}catch{}return!1}saveSync(){try{(0,E.writeFileSync)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(a){this.logService.error(`Backup: Could not save workspaces.json: ${a.toString()}`)}}async save(){try{await E.Promises.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(a){this.logService.error(`Backup: Could not save workspaces.json: ${a.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(a=>({id:a.workspace.id,configURIPath:a.workspace.configPath.toString(),remoteAuthority:a.remoteAuthority})),folderWorkspaceInfos:this.folders.map(a=>({folderUri:a.folderUri.toString(),remoteAuthority:a.remoteAuthority})),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(a){const d=a.folderUri;let c;return d.scheme===C.Schemas.file?c=P.isLinux?d.fsPath:d.fsPath.toLowerCase():c=d.toString().toLowerCase(),(0,y.createHash)("md5").update(c).digest("hex")}};w=de([re(0,S.IEnvironmentMainService),re(1,p.IConfigurationService),re(2,v.ILogService)],w),e.BackupMainService=w}),define(ee[228],te([0,1,8,4,106,59,2,3,37,58,163,226,23,181,20,36,18,7,9,17,6]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.serve=e.Driver=void 0;function c(s){return s<21}let o=class{constructor(i,r,l,h,b,L,R){this.windowServer=i,this.options=r,this.windowsMainService=l,this.lifecycleMainService=h,this.fileService=b,this.environmentMainService=L,this.logService=R,this.registeredWindowIds=new Set,this.reloadingWindowIds=new Set,this.onDidReloadingChange=new n.Emitter}async registerWindowDriver(i){return this.logService.info(`[driver] registerWindowDriver(${i})`),this.registeredWindowIds.add(i),this.reloadingWindowIds.delete(i),this.onDidReloadingChange.fire(),this.options}async reloadWindowDriver(i){this.logService.info(`[driver] reloadWindowDriver(${i})`),this.reloadingWindowIds.add(i)}async getWindowIds(){this.logService.info("[driver] getWindowIds(): begin");const i=this.windowsMainService.getWindows().map(r=>r.id).filter(r=>this.registeredWindowIds.has(r)&&!this.reloadingWindowIds.has(r));return this.logService.info(`[driver] getWindowIds(): end (windowIds: ${i.join(", ")})`),i}async capturePage(i){const r=this.windowsMainService.getWindowById(i)??this.windowsMainService.getLastActiveWindow();if(!r?.win)throw new Error("Invalid window");return(await r.win.webContents.capturePage()).toPNG().toString("base64")}async startTracing(i,r){}async stopTracing(i,r,l){if(!l)return;const h=await this.capturePage(i),b=Buffer.from(h,"base64");await this.fileService.writeFile(w.URI.file((0,M.join)(this.environmentMainService.logsPath,`${r}.png`)),a.VSBuffer.wrap(b))}async reloadWindow(i){this.logService.info(`[driver] reloadWindow(${i})`),await this.whenUnfrozen(i);const r=this.windowsMainService.getWindowById(i);if(!r)throw new Error("Invalid window");this.reloadingWindowIds.add(i),this.lifecycleMainService.reload(r)}exitApplication(){return this.logService.info("[driver] exitApplication()"),this.lifecycleMainService.quit()}async dispatchKeybinding(i,r){await this.whenUnfrozen(i);const l=D.KeybindingParser.parseUserBinding(r);for(let h of l)await this._dispatchKeybinding(i,h)}async _dispatchKeybinding(i,r){if(r instanceof C.ScanCodeBinding)throw new Error("ScanCodeBindings not supported");const l=this.windowsMainService.getWindowById(i);if(!l?.win)throw new Error("Invalid window");const h=l.win.webContents,b=new C.SimpleKeybinding(!1,!1,!1,!1,r.keyCode),R=new S.USLayoutResolvedKeybinding(b.toChord(),P.OS).getElectronAccelerator(),T=[];r.ctrlKey&&T.push("ctrl"),r.metaKey&&T.push("meta"),r.shiftKey&&T.push("shift"),r.altKey&&T.push("alt"),h.sendInputEvent({type:"keyDown",keyCode:R,modifiers:T}),c(r.keyCode)||h.sendInputEvent({type:"char",keyCode:R,modifiers:T}),h.sendInputEvent({type:"keyUp",keyCode:R,modifiers:T}),await(0,y.timeout)(100)}async click(i,r,l,h){await(await this.getWindowDriver(i)).click(r,l,h)}async doubleClick(i,r){await(await this.getWindowDriver(i)).doubleClick(r)}async setValue(i,r,l){await(await this.getWindowDriver(i)).setValue(r,l)}async getTitle(i){return await(await this.getWindowDriver(i)).getTitle()}async isActiveElement(i,r){return await(await this.getWindowDriver(i)).isActiveElement(r)}async getElements(i,r,l){return await(await this.getWindowDriver(i)).getElements(r,l)}async getElementXY(i,r,l,h){return await(await this.getWindowDriver(i)).getElementXY(r,l,h)}async typeInEditor(i,r,l){await(await this.getWindowDriver(i)).typeInEditor(r,l)}async getTerminalBuffer(i,r){return await(await this.getWindowDriver(i)).getTerminalBuffer(r)}async writeInTerminal(i,r,l){await(await this.getWindowDriver(i)).writeInTerminal(r,l)}async getLocaleInfo(i){return await(await this.getWindowDriver(i)).getLocaleInfo()}async getLocalizedStrings(i){return await(await this.getWindowDriver(i)).getLocalizedStrings()}async getWindowDriver(i){this.logService.info(`[driver] getWindowDriver(${i})`),await this.whenUnfrozen(i);const r=`window:${i}`,l=new f.StaticRouter(b=>b===r),h=this.windowServer.getChannel("windowDriver",l);return new E.WindowDriverChannelClient(h)}async whenUnfrozen(i){for(;this.reloadingWindowIds.has(i);)await n.Event.toPromise(this.onDidReloadingChange.event)}};o=de([re(2,v.IWindowsMainService),re(3,t.ILifecycleMainService),re(4,g.IFileService),re(5,p.IEnvironmentMainService),re(6,d.ILogService)],o),e.Driver=o;async function u(s,i,r,l){const h=r.driverVerbose,b=l.createInstance(o,s,{verbose:h}),L=new I.WindowDriverRegistryChannel(b);s.registerChannel("windowDriverRegistry",L);const R=await(0,m.serve)(i),T=new I.DriverChannel(b);return R.registerChannel("driver",T),(0,k.combinedDisposable)(R,s)}e.serve=u}),define(ee[229],te([0,1,61,58]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(D,C,k,P,f){const m=I=>f(I,void 0),E=y.createConnection({host:D,port:C},()=>{E.removeListener("error",m);const I=Buffer.alloc(16);for(let v=0;v<16;v++)I[v]=Math.round(Math.random()*256);const p=I.toString("base64"),S=[`GET ws://${/:/.test(D)?`[${D}]`:D}:${C}/?${k}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${p}`];E.write(S.join(`\r
`)+`\r
\r
`);const t=v=>{v.toString().indexOf(`\r
\r
`)>=0&&(E.off("data",t),f(void 0,new n.NodeSocket(E,P)))};E.on("data",t)});E.setNoDelay(!0),E.once("error",m)}}}),define(ee[230],te([0,1,61,120,229,8,2,19,6,22,196,97,77]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function S(M,a,d,c,o){let u;for(let s=3;s&&(u&&u.dispose(),u=await new t(M,a,d,c,o).waitForReady(),!(o&&n.BROWSER_RESTRICTED_PORTS[o]||!n.BROWSER_RESTRICTED_PORTS[u.tunnelLocalPort]));s--);return u}class t extends k.Disposable{constructor(a,d,c,o,u){super();this.defaultTunnelHost=d,this.suggestedLocalPort=u,this.privacy=I.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=a,this._server=y.createServer(),this._barrier=new C.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=s=>this._onConnection(s),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=o,this.tunnelRemoteHost=c}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(d=>{d()})}async waitForReady(){let a=await(0,n.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),d=null;return this._server.listen(a,this.defaultTunnelHost),await this._barrier.wait(),d=this._server.address(),d||(a=0,this._server.listen(a,this.defaultTunnelHost),await this._barrier.wait(),d=this._server.address()),this.tunnelLocalPort=d.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${d.port}`,this}async _onConnection(a){a.pause();const d=(0,I.isLocalhost)(this.tunnelRemoteHost)||(0,I.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,c=await(0,E.connectRemoteAgentTunnel)(this._options,d,this.tunnelRemotePort),o=c.getSocket().socket,u=c.readEntireBuffer();c.dispose(),u.byteLength>0&&a.write(u.buffer),a.on("end",()=>{this._socketsDispose.delete(a.localAddress),o.end()}),a.on("close",()=>o.end()),a.on("error",()=>{this._socketsDispose.delete(a.localAddress),o.destroy()}),o.on("end",()=>a.end()),o.on("close",()=>a.end()),o.on("error",()=>{a.destroy()}),a.pipe(o),o.pipe(a),this._socketsDispose.set(a.localAddress,()=>{a.end(),o.end()})}}let v=class extends I.AbstractTunnelService{constructor(a,d,c,o,u){super(d);this.socketFactory=a,this.signService=c,this.productService=o,this.configurationService=u}get defaultTunnelHost(){const a=this.configurationService.getValue("remote.localPortHost");return!a||a==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(a,d,c,o,u,s,i){const r=this.getTunnelFromMap(d,c);if(r)return++r.refcount,r.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,d,c,o,u,s,i);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${d}:${c} on local port ${o}.`);const l={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:a,signService:this.signService,logService:this.logService,ipcLogger:null},h=S(l,this.defaultTunnelHost,d,c,o);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(d,c,h),h}}};v=de([re(1,f.ILogService),re(2,p.ISignService),re(3,m.IProductService),re(4,P.IConfigurationService)],v),e.BaseTunnelService=v;let g=class extends v{constructor(a,d,c,o){super(D.nodeSocketFactory,a,d,c,o)}};g=de([re(0,f.ILogService),re(1,p.ISignService),re(2,m.IProductService),re(3,P.IConfigurationService)],g),e.TunnelService=g;let w=class extends k.Disposable{constructor(a,d,c,o){super();this.logService=a,this.productService=d,this.signService=c,this.configurationService=o,this._tunnelServices=new Map}async openTunnel(a,d,c,o,u,s,i,r){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${c}:${o} on local port ${u}.`),!this._tunnelServices.has(a)){const l=new g(this.logService,this.signService,this.productService,this.configurationService);this._register(l),this._tunnelServices.set(a,l),l.onTunnelClosed(async()=>{(await l.tunnels).length===0&&(l.dispose(),this._tunnelServices.delete(a))})}return this._tunnelServices.get(a).openTunnel(d,c,o,u,s,i,r)}};w=de([re(0,f.ILogService),re(1,m.IProductService),re(2,p.ISignService),re(3,P.IConfigurationService)],w),e.SharedTunnelsService=w}),define(ee[231],te([0,1,200,8,17,15,2,13,19,53,91,6,199,225]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let t=class extends k.Disposable{constructor(g,w,M){super();this.environmentService=w,this.logService=M,this.configure(g.getValue()),this._register(g.onDidChangeConfiguration(()=>this.configure(g.getValue()),this))}configure(g){this.proxyUrl=g.http&&g.http.proxy,this.strictSSL=!!(g.http&&g.http.proxyStrictSSL),this.authorization=g.http&&g.http.proxyAuthorization}async request(g,w){this.logService.trace("RequestService#request",g.url);const{proxyUrl:M,strictSSL:a}=this;let d;try{d=await(0,E.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(u){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request resolving shell environment failed",u))}const c={...process.env,...d},o=g.agent?g.agent:await(0,p.getProxyAgent)(g.url||"",c,{proxyUrl:M,strictSSL:a});return g.agent=o,g.strictSSL=a,this.authorization&&(g.headers={...g.headers||{},"Proxy-Authorization":this.authorization}),this._request(g,w)}async getNodeRequest(g){return((0,y.parse)(g.url).protocol==="https:"?await new Promise((a,d)=>{G(["https"],a,d)}):await new Promise((a,d)=>{G(["http"],a,d)})).request}_request(g,w){return n.Promises.withAsyncBody(async(M,a)=>{let d;const c=(0,y.parse)(g.url),o=g.getRawRequest?g.getRawRequest(g):await this.getNodeRequest(g),u={hostname:c.hostname,port:c.port?parseInt(c.port):c.protocol==="https:"?443:80,protocol:c.protocol,path:c.path,method:g.type||"GET",headers:g.headers,agent:g.agent,rejectUnauthorized:(0,P.isBoolean)(g.strictSSL)?g.strictSSL:!0};g.user&&g.password&&(u.auth=g.user+":"+g.password),d=o(u,s=>{const i=(0,P.isNumber)(g.followRedirects)?g.followRedirects:3;if(s.statusCode&&s.statusCode>=300&&s.statusCode<400&&i>0&&s.headers.location)this._request({...g,url:s.headers.location,followRedirects:i-1},w).then(M,a);else{let r=s;s.headers["content-encoding"]==="gzip"&&(r=s.pipe((0,S.createGunzip)())),M({res:s,stream:(0,D.streamToBufferReadableStream)(r)})}}),d.on("error",a),g.timeout&&d.setTimeout(g.timeout),g.data&&typeof g.data=="string"&&d.write(g.data),d.end(),w.onCancellationRequested(()=>{d.abort(),a((0,C.canceled)())})})}async resolveProxy(g){}};t=de([re(0,f.IConfigurationService),re(1,m.INativeEnvironmentService),re(2,I.ILogService)],t),e.RequestService=t}),define(ee[232],te([0,1,14,231]),function(G,e,y,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function D(k){return y.net.request}class C extends n.RequestService{request(P,f){return super.request({...P||{},getRawRequest:D},f)}}e.RequestMainService=C}),define(ee[233],te([0,1,14,8,4,2,10,13,86,23,20,6,55,56,66,39]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let g=class extends C.Disposable{constructor(M,a,d,c,o,u,s){super();this.machineId=M,this.userEnv=a,this.environmentMainService=d,this.lifecycleMainService=c,this.logService=o,this.themeMainService=u,this.protocolMainService=s,this.firstWindowConnectionBarrier=new n.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new D.Emitter),this.onDidError=D.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){y.ipcMain.on("vscode:createSharedProcessMessageChannel",(M,a)=>this.onWindowConnection(M,a)),y.ipcMain.on("vscode:relaySharedProcessWorkerMessageChannel",(M,a)=>this.onWorkerConnection(M,a)),this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown()))}async onWindowConnection(M,a){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const d=await this.connect();if(M.sender.isDestroyed())return d.close();M.sender.postMessage("vscode:createSharedProcessMessageChannelResult",a,[d])}onWorkerConnection(M,a){this.logService.trace("SharedProcess: onWorkerConnection",a);const d=new C.DisposableStore,c=u=>{!this.isAlive()||(this.logService.trace(`SharedProcess: disposing worker (reason: '${u}')`,a),d.dispose(),this.send("vscode:electron-main->shared-process=disposeWorker",a))},o=y.BrowserWindow.fromId(a.reply.windowId);if(!o||o.isDestroyed()||o.webContents.isDestroyed()||!a.reply.channel){c("unavailable");return}d.add(D.Event.filter(this.lifecycleMainService.onWillLoadWindow,u=>u.window.win===o)(()=>c("load"))),d.add(D.Event.fromNodeEventEmitter(o,"closed")(()=>c("closed"))),o.webContents.postMessage(a.reply.channel,a.reply.nonce,M.ports)}onWillShutdown(){const M=this.window;!M||(this.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(M.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{M.close()}catch{}this.window=void 0},0))}send(M,...a){if(!this.isAlive()){this.logService.warn(`Sending IPC message to channel '${M}' for shared process window that is destroyed`);return}try{this.window?.webContents.send(M,...a)}catch(d){this.logService.warn(`Error sending IPC message to channel '${M}' of shared process: ${(0,v.toErrorMessage)(d)}`)}}whenReady(){return this._whenReady||(this._whenReady=new Promise(M=>y.ipcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),M()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.createWindow(),this.registerWindowListeners(),await new Promise(M=>y.ipcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),M()}))})()),this._whenIpcReady}createWindow(){const M=this._register(this.protocolMainService.createIPCObjectUrl());this.window=new y.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:k.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",G).fsPath,additionalArguments:[`--vscode-window-config=${M.resource.toString()}`,"--vscode-window-kind=shared-process"],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",nodeIntegration:!0,nodeIntegrationInWorker:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,images:!1,webgl:!1}}),M.update({machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,codeCachePath:this.environmentMainService.codeCachePath,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel(),product:p.default}),this.window.loadURL(k.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",G).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=M=>{this.logService.trace("SharedProcess#close prevented"),M.preventDefault(),this.window?.isVisible()&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(M,a)=>this._onDidError.fire({type:2,details:a})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1})),this.window.webContents.on("did-fail-load",(M,a,d)=>this._onDidError.fire({type:3,details:{reason:d,exitCode:a}})))}async connect(){await this.whenIpcReady;const M=(0,P.assertIsDefined)(this.window);return(0,f.connect)(M)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}isVisible(){return this.window?.isVisible()??!1}isAlive(){const M=this.window;return M?!M.isDestroyed()&&!M.webContents.isDestroyed():!1}};g=de([re(2,m.IEnvironmentMainService),re(3,E.ILifecycleMainService),re(4,I.ILogService),re(5,t.IThemeMainService),re(6,S.IProtocolMainService)],g),e.SharedProcess=g}),define(ee[234],te([0,1,8,17,9,13,7,23,18,6]),function(G,e,y,n,D,C,k,P,f,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=e.FileStorage=void 0;class E{constructor(S,t,v){this.storagePath=S,this.logService=t,this.fileService=v,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new y.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(S){S.fileOperationResult!==1&&this.logService.error(S)}}getItem(S,t){const v=this.storage[S];return(0,C.isUndefinedOrNull)(v)?t:v}setItem(S,t){this.setItems([{key:S,data:t}])}setItems(S){let t=!1;for(const{key:v,data:g}of S)this.storage[v]!==g&&((0,C.isUndefinedOrNull)(g)?(0,C.isUndefined)(this.storage[v])||(this.storage[v]=void 0,t=!0):(this.storage[v]=g,t=!0));t&&this.save()}removeItem(S){(0,C.isUndefined)(this.storage[S])||(this.storage[S]=void 0,this.save())}async save(S){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),S)}async doSave(){if(!this.initializing)return;await this.initializing;const S=JSON.stringify(this.storage,null,4);if(S!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,n.VSBuffer.fromString(S)),this.lastSavedStorageContents=S}catch(t){this.logService.error(t)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=E;let I=class Et{constructor(S,t,v){this.fileStorage=new E(k.URI.file((0,D.join)(S.userDataPath,Et.STATE_FILE)),t,v)}async init(){return this.fileStorage.init()}getItem(S,t){return this.fileStorage.getItem(S,t)}setItem(S,t){this.fileStorage.setItem(S,t)}setItems(S){this.fileStorage.setItems(S)}removeItem(S){this.fileStorage.removeItem(S)}close(){return this.fileStorage.close()}};I.STATE_FILE="storage.json",I=de([re(0,P.IEnvironmentMainService),re(1,m.ILogService),re(2,f.IFileService)],I),e.StateMainService=I}),define(ee[79],te([0,1,42,2,53,23,5,20,6,78,222]),function(G,e,y,n,D,C,k,P,f,m,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GlobalStorageMainService=e.IGlobalStorageMainService=e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,k.createDecorator)("storageMainService");let I=class extends n.Disposable{constructor(t,v,g){super();this.logService=t,this.environmentService=v,this.lifecycleMainService=g,this.globalStorage=this.createGlobalStorage(),this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.globalStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(async t=>{t.workspace&&this.workspaceStorage(t.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(t=>{t.join(this.globalStorage.close());for(const[,v]of this.mapWorkspaceToStorage)t.join(v.close())}))}createGlobalStorage(){if(this.globalStorage)return this.globalStorage;this.logService.trace("StorageMainService: creating global storage");const t=new E.GlobalStorageMain(this.getStorageOptions(),this.logService,this.environmentService);return(0,y.once)(t.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed global storage")}),t}createWorkspaceStorage(t){return new E.WorkspaceStorageMain(t,this.getStorageOptions(),this.logService,this.environmentService)}workspaceStorage(t){let v=this.mapWorkspaceToStorage.get(t.id);return v||(this.logService.trace(`StorageMainService: creating workspace storage (${t.id})`),v=this.createWorkspaceStorage(t),this.mapWorkspaceToStorage.set(t.id,v),(0,y.once)(v.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${t.id})`),this.mapWorkspaceToStorage.delete(t.id)})),v}};I=de([re(0,f.ILogService),re(1,D.IEnvironmentService),re(2,P.ILifecycleMainService)],I),e.StorageMainService=I,e.IGlobalStorageMainService=(0,k.createDecorator)("globalStorageMainService");let p=class extends m.AbstractStorageService{constructor(t,v){super();this.environmentMainService=t,this.storageMainService=v,this.whenReady=this.storageMainService.globalStorage.whenInit}doInitialize(){return this.storageMainService.globalStorage.whenInit}getStorage(t){switch(t){case 0:return this.storageMainService.globalStorage.storage;case 1:return}}getLogDetails(t){return t===0?this.environmentMainService.globalStorageHome.fsPath:void 0}shouldFlushWhenIdle(){return!1}migrate(){throw new Error("Migrating storage is unsupported from main process")}};p=de([re(0,C.IEnvironmentMainService),re(1,e.IStorageMainService)],p),e.GlobalStorageMainService=p}),define(ee[80],te([0,1,8,21,4,19,23,20,6,22,48,41]),function(G,e,y,n,D,C,k,P,f,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function p(t,v,g){return`${g.updateUrl}/api/update/${t}/${v}/${g.commit}`}e.createUpdateURL=p;let S=class{constructor(v,g,w,M,a,d){this.lifecycleMainService=v,this.configurationService=g,this.environmentMainService=w,this.requestService=M,this.logService=a,this.productService=d,this._state=I.State.Uninitialized,this._onStateChange=new D.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(v){this.logService.info("update#setState",v.type),this._state=v,this._onStateChange.fire(v)}initialize(){if(!this.environmentMainService.isBuilt)return;if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const v=this.getUpdateMode(),g=this.getProductQuality(v);if(!g){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(g),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(I.State.Idle(this.getUpdateType())),v==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}v==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,w=>this.logService.error(w))}getUpdateMode(){return(0,C.getMigratedSettingValue)(this.configurationService,"update.mode","update.channel")}getProductQuality(v){return v==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(v=60*60*1e3){return(0,y.timeout)(v).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(v){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(v)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(v){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(v=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${v}`),!v&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}async isLatestVersion(){if(this.url){if(this.getUpdateMode()==="none")return!1}else return;return(await this.requestService.request({url:this.url},n.CancellationToken.None)).res.statusCode===204}getUpdateType(){return 1}doQuitAndInstall(){}};S=de([re(0,P.ILifecycleMainService),re(1,C.IConfigurationService),re(2,k.IEnvironmentMainService),re(3,E.IRequestService),re(4,f.ILogService),re(5,m.IProductService)],S),e.AbstractUpdateService=S}),define(ee[235],te([0,1,14,46,4,2,19,23,20,6,22,48,29,41,80]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let v=class extends t.AbstractUpdateService{constructor(w,M,a,d,c,o,u){super(w,M,d,c,o,u);this.telemetryService=a,this.disposables=new C.DisposableStore}get onRawError(){return D.Event.fromNodeEventEmitter(y.autoUpdater,"error",(w,M)=>M)}get onRawUpdateNotAvailable(){return D.Event.fromNodeEventEmitter(y.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return D.Event.fromNodeEventEmitter(y.autoUpdater,"update-available",(w,M,a)=>({url:M,version:a,productVersion:a}))}get onRawUpdateDownloaded(){return D.Event.fromNodeEventEmitter(y.autoUpdater,"update-downloaded",(w,M,a,d)=>({releaseNotes:M,version:a,productVersion:a,date:d}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(w){this.logService.error("UpdateService error:",w);const a=(this.state.type==="checking for updates"?this.state.explicit:!0)?w:void 0;this.setState(S.State.Idle(1,a))}buildUpdateFeedUrl(w){let M;this.productService.darwinUniversalAssetId?M=this.productService.darwinUniversalAssetId:M=process.arch==="x64"?"darwin":"darwin-arm64";const a=(0,t.createUpdateURL)(M,w,this.productService);try{y.autoUpdater.setFeedURL({url:a})}catch(d){this.logService.error("Failed to set update feed URL",d);return}return a}doCheckForUpdates(w){this.setState(S.State.CheckingForUpdates(w)),y.autoUpdater.checkForUpdates()}onUpdateAvailable(w){this.state.type==="checking for updates"&&this.setState(S.State.Downloading(w))}onUpdateDownloaded(w){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:w.version}),this.setState(S.State.Ready(w)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.setState(S.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),y.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};de([n.memoize],v.prototype,"onRawError",null),de([n.memoize],v.prototype,"onRawUpdateNotAvailable",null),de([n.memoize],v.prototype,"onRawUpdateAvailable",null),de([n.memoize],v.prototype,"onRawUpdateDownloaded",null),v=de([re(0,f.ILifecycleMainService),re(1,k.IConfigurationService),re(2,p.ITelemetryService),re(3,P.IEnvironmentMainService),re(4,I.IRequestService),re(5,m.ILogService),re(6,E.IProductService)],v),e.DarwinUpdateService=v}),define(ee[236],te([0,1,44,28,8,4,9,23,20,6,29,41]),function(G,e,y,n,D,C,k,P,f,m,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let p=class{constructor(v,g,w){if(this.lifecycleMainService=v,this.logService=w,this._state=I.State.Uninitialized,this._onStateChange=new C.Emitter,this.onStateChange=this._onStateChange.event,g.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(I.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,M=>this.logService.error(M))}get state(){return this._state}setState(v){this.logService.info("update#setState",v.type),this._state=v,this._onStateChange.fire(v)}scheduleCheckForUpdates(v=60*60*1e3){return(0,D.timeout)(v).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(v){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(v)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(v){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(v=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${v}`),!v&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};p=de([re(0,f.ILifecycleMainService),re(1,P.IEnvironmentMainService),re(2,m.ILogService)],p);let S=class extends p{constructor(v,g,w,M,a,d){super(w,M,a);this.snap=v,this.snapRevision=g,this.telemetryService=d;const c=(0,n.watch)(k.dirname(this.snap)),o=C.Event.fromNodeEventEmitter(c,"change",(r,l)=>l),u=C.Event.filter(o,r=>r==="current"),i=C.Event.debounce(u,(r,l)=>l,2e3)(()=>this.checkForUpdates(!1));w.onWillShutdown(()=>{i.dispose(),c.close()})}doCheckForUpdates(){this.setState(I.State.CheckingForUpdates(!1)),this.isUpdateAvailable().then(v=>{v?this.setState(I.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(I.State.Idle(2)))},v=>{this.logService.error(v),this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(I.State.Idle(2,v.message||v))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,y.spawn)("sleep 3 && "+k.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const v=await new Promise((w,M)=>(0,n.realpath)(`${k.dirname(this.snap)}/current`,(a,d)=>a?M(a):w(d))),g=k.basename(v);return this.snapRevision!==g}isLatestVersion(){return this.isUpdateAvailable().then(void 0,v=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};S=de([re(2,f.ILifecycleMainService),re(3,P.IEnvironmentMainService),re(4,m.ILogService),re(5,E.ITelemetryService)],S),e.SnapUpdateService=S}),define(ee[45],te([0,1,14,28,4,43,33,2,10,9,3,16,13,24,160,52,49,23,5,6,22,99,30,100]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,M.createDecorator)("workspacesManagementMainService");let s=class extends P.Disposable{constructor(r,l,h,b,L){super();this.environmentMainService=r,this.logService=l,this.backupMainService=h,this.dialogMainService=b,this.productService=L,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new D.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new D.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(r){return this.doResolveLocalWorkspace(r,l=>(0,n.readFileSync)(l,"utf8"))}resolveLocalWorkspace(r){return this.doResolveLocalWorkspace(r,l=>S.Promises.readFile(l,"utf8"))}doResolveLocalWorkspace(r,l){if(!!this.isWorkspacePath(r)&&r.scheme===f.Schemas.file)try{const h=l(r.fsPath);return h instanceof Promise?h.then(b=>this.doResolveWorkspace(r,b),b=>{}):this.doResolveWorkspace(r,h)}catch{return}}isWorkspacePath(r){return(0,o.isUntitledWorkspace)(r,this.environmentMainService)||(0,o.hasWorkspaceFileExtension)(r)}doResolveWorkspace(r,l){try{const h=this.doParseStoredWorkspace(r,l),b=(0,u.getWorkspaceIdentifier)(r);return{id:b.id,configPath:b.configPath,folders:(0,o.toWorkspaceFolders)(h.folders,b.configPath,I.extUriBiasedIgnorePathCase),remoteAuthority:h.remoteAuthority,transient:h.transient}}catch(h){this.logService.warn(h.toString())}}doParseStoredWorkspace(r,l){const h=(0,C.parse)(l);if(h&&Array.isArray(h.folders))h.folders=h.folders.filter(b=>(0,o.isStoredWorkspaceFolder)(b));else throw new Error(`${r.toString(!0)} looks like an invalid workspace file.`);return h}async createUntitledWorkspace(r,l){const{workspace:h,storedWorkspace:b}=this.newUntitledWorkspace(r,l),L=h.configPath.fsPath;return await S.Promises.mkdir((0,m.dirname)(L),{recursive:!0}),await S.Promises.writeFile(L,JSON.stringify(b,null,"	")),h}createUntitledWorkspaceSync(r,l){const{workspace:h,storedWorkspace:b}=this.newUntitledWorkspace(r,l),L=h.configPath.fsPath;return(0,n.mkdirSync)((0,m.dirname)(L),{recursive:!0}),(0,S.writeFileSync)(L,JSON.stringify(b,null,"	")),h}newUntitledWorkspace(r=[],l){const h=(Date.now()+Math.round(Math.random()*1e3)).toString(),b=(0,I.joinPath)(this.untitledWorkspacesHome,h),L=(0,I.joinPath)(b,o.UNTITLED_WORKSPACE_NAME),R=[];for(const T of r)R.push((0,o.getStoredWorkspaceFolder)(T.uri,!0,T.name,b,!E.isWindows,I.extUriBiasedIgnorePathCase));return{workspace:(0,u.getWorkspaceIdentifier)(L),storedWorkspace:{folders:R,remoteAuthority:l}}}async getWorkspaceIdentifier(r){return(0,u.getWorkspaceIdentifier)(r)}isUntitledWorkspace(r){return(0,o.isUntitledWorkspace)(r.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(r){!this.isUntitledWorkspace(r)||(this.doDeleteUntitledWorkspaceSync(r),this._onDidDeleteUntitledWorkspace.fire(r))}async deleteUntitledWorkspace(r){this.deleteUntitledWorkspaceSync(r)}doDeleteUntitledWorkspaceSync(r){const l=(0,I.originalFSPath)(r.configPath);try{(0,S.rimrafSync)((0,m.dirname)(l));const h=(0,m.join)(this.environmentMainService.workspaceStorageHome.fsPath,r.id);(0,n.existsSync)(h)&&(0,S.writeFileSync)((0,m.join)(h,"obsolete"),"")}catch(h){this.logService.warn(`Unable to delete untitled workspace ${l} (${h}).`)}}getUntitledWorkspacesSync(){const r=[];try{const l=(0,S.readdirSync)(this.untitledWorkspacesHome.fsPath).map(h=>(0,I.joinPath)(this.untitledWorkspacesHome,h,o.UNTITLED_WORKSPACE_NAME));for(const h of l){const b=(0,u.getWorkspaceIdentifier)(h),L=this.resolveLocalWorkspaceSync(h);L?r.push({workspace:b,remoteAuthority:L.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(b)}}catch(l){l.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${l}).`)}return r}async enterWorkspace(r,l,h){if(!r||!r.win||!r.isReady||!await this.isValidTargetWorkspacePath(r,l,h))return;const L=this.doEnterWorkspace(r,(0,u.getWorkspaceIdentifier)(h));if(!!L)return this._onDidEnterWorkspace.fire({window:r,workspace:L.workspace}),L}async isValidTargetWorkspacePath(r,l,h){if(!h)return!0;if((0,o.isWorkspaceIdentifier)(r.openedWorkspace)&&I.extUriBiasedIgnorePathCase.isEqual(r.openedWorkspace.configPath,h))return!1;if((0,c.findWindowOnWorkspaceOrFolder)(l,h)){const b={title:this.productService.nameLong,type:"info",buttons:[(0,k.mnemonicButtonLabel)((0,t.localize)(0,null))],message:(0,t.localize)(1,null,(0,I.basename)(h)),detail:(0,t.localize)(2,null),noLink:!0,defaultId:0};return await this.dialogMainService.showMessageBox(b,(0,p.withNullAsUndefined)(y.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(r,l){if(!r.config)return;r.focus();let h;return r.config.extensionDevelopmentPath||(h=this.backupMainService.registerWorkspaceBackupSync({workspace:l,remoteAuthority:r.remoteAuthority},r.config.backupPath)),(0,o.isWorkspaceIdentifier)(r.openedWorkspace)&&this.isUntitledWorkspace(r.openedWorkspace)&&this.deleteUntitledWorkspaceSync(r.openedWorkspace),r.config.workspace=l,r.config.backupPath=h,{workspace:l,backupPath:h}}};s=de([re(0,w.IEnvironmentMainService),re(1,a.ILogService),re(2,v.IBackupMainService),re(3,g.IDialogMainService),re(4,d.IProductService)],s),e.WorkspacesManagementMainService=s}),define(ee[101],te([0,1,14,31,21,3,13,7,24,19,54,5,6,98,36,30,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,I.createDecorator)(e.ID);let w=class{constructor(a,d,c,o,u){this.logService=a,this.windowsMainService=d,this.urlService=c,this.workspacesManagementMainService=o,this.configurationService=u}async start(a,d){this.logService.trace("Received data from other instance: ",a,d),C.isMacintosh&&y.app.focus({steal:!0});const c=this.parseOpenUrl(a);if(c.length){let o=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(o=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),o.then(()=>{for(const{uri:u,url:s}of c)this.urlService.open(u,{originalUrl:s})})}else return this.startOpenWindow(a,d)}parseOpenUrl(a){return a["open-url"]&&a._urls&&a._urls.length>0?(0,n.coalesce)(a._urls.map(d=>{try{return{uri:P.URI.parse(d),url:d}}catch{return null}})):[]}async startOpenWindow(a,d){const c=(0,E.isLaunchedFromCli)(d)?0:4;let o=[];const u=a.wait&&a.waitMarkerFilePath?P.URI.file(a.waitMarkerFilePath):void 0,s=a.remote||void 0,i={context:c,cli:a,userEnv:d,waitMarkerFileURI:u,remoteAuthority:s};if(a.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(a.extensionDevelopmentPath,i);else if(!a._.length&&!a["folder-uri"]&&!a["file-uri"]){let r=!1;if(a["new-window"]||a["unity-launch"])r=!0;else if(a["reuse-window"])r=!1;else switch(this.configurationService.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":r=!0;break;case"off":r=!1;break;default:r=!C.isMacintosh}if(r)o=this.windowsMainService.open({...i,forceNewWindow:!0,forceEmpty:!0});else{const l=this.windowsMainService.getLastActiveWindow();l?(this.windowsMainService.openExistingWindow(l,i),o=[l]):o=this.windowsMainService.open({...i,forceEmpty:!0})}}else o=this.windowsMainService.open({...i,forceNewWindow:a["new-window"],preferNewWindow:!a["reuse-window"]&&!a.wait,forceReuseWindow:a["reuse-window"],diffMode:a.diff,addMode:a.add,noRecentEntry:!!a["skip-add-to-recently-opened"],gotoLineMode:a.goto});if(u&&o.length===1&&o[0])return Promise.race([o[0].whenClosedOrLoaded,(0,f.whenDeleted)(u.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const a=[];return y.BrowserWindow.getAllWindows().forEach(d=>{const c=this.windowsMainService.getWindowById(d.id);c?a.push(this.codeWindowToInfo(c)):a.push(this.browserWindowToInfo(d))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:a,screenReader:!!y.app.accessibilitySupportEnabled,gpuFeatureStatus:y.app.getGPUFeatureStatus()}}async getRemoteDiagnostics(a){const d=this.windowsMainService.getWindows();return(await Promise.all(d.map(o=>new Promise(u=>{const s=o.remoteAuthority;if(s){const i=`vscode:getDiagnosticInfoResponse${o.id}`,r={includeProcesses:a.includeProcesses,folders:a.includeWorkspaceMetadata?this.getFolderURIs(o):void 0};o.sendWhenReady("vscode:getDiagnosticInfo",D.CancellationToken.None,{replyChannel:i,args:r}),y.ipcMain.once(i,(l,h)=>{h||u({hostName:s,errorMessage:`Unable to resolve connection to '${s}'.`}),u(h)}),setTimeout(()=>{u({hostName:s,errorMessage:`Connection to '${s}' could not be established`})},5e3)}else u(void 0)})))).filter(o=>!!o)}getFolderURIs(a){const d=[],c=a.openedWorkspace;if((0,v.isSingleFolderWorkspaceIdentifier)(c))d.push(c.uri);else if((0,v.isWorkspaceIdentifier)(c)){const o=this.workspacesManagementMainService.resolveLocalWorkspaceSync(c.configPath);o&&o.folders.forEach(s=>{d.push(s.uri)})}return d}codeWindowToInfo(a){const d=this.getFolderURIs(a),c=(0,k.assertIsDefined)(a.win);return this.browserWindowToInfo(c,d,a.remoteAuthority)}browserWindowToInfo(a,d=[],c){return{pid:a.webContents.getOSProcessId(),title:a.getTitle(),folderURIs:d,remoteAuthority:c}}};w=de([re(0,p.ILogService),re(1,t.IWindowsMainService),re(2,S.IURLService),re(3,g.IWorkspacesManagementMainService),re(4,m.IConfigurationService)],w),e.LaunchMainService=w}),define(ee[50],te([0,1,44,14,26,119,46,4,33,2,10,9,3,7,83,72,24,152,49,23,5,20,6,22,29,66,36,30,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u,s,i,r,l,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,d.createDecorator)("nativeHostMainService");let b=class gt extends m.Disposable{constructor(R,T,U,Q,se,ne,q,J,V,K){super();this.sharedProcess=R,this.windowsMainService=T,this.dialogMainService=U,this.lifecycleMainService=Q,this.environmentMainService=se,this.telemetryService=ne,this.logService=q,this.productService=J,this.themeMainService=V,this.workspacesManagementMainService=K,this.onDidOpenWindow=P.Event.map(this.windowsMainService.onDidOpenWindow,j=>j.id),this.onDidMaximizeWindow=P.Event.filter(P.Event.fromNodeEventEmitter(n.app,"browser-window-maximize",(j,B)=>B.id),j=>!!this.windowsMainService.getWindowById(j)),this.onDidUnmaximizeWindow=P.Event.filter(P.Event.fromNodeEventEmitter(n.app,"browser-window-unmaximize",(j,B)=>B.id),j=>!!this.windowsMainService.getWindowById(j)),this.onDidBlurWindow=P.Event.filter(P.Event.fromNodeEventEmitter(n.app,"browser-window-blur",(j,B)=>B.id),j=>!!this.windowsMainService.getWindowById(j)),this.onDidFocusWindow=P.Event.any(P.Event.map(P.Event.filter(P.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),j=>!!j),j=>j.id),P.Event.filter(P.Event.fromNodeEventEmitter(n.app,"browser-window-focus",(j,B)=>B.id),j=>!!this.windowsMainService.getWindowById(j))),this.onDidResumeOS=P.Event.fromNodeEventEmitter(n.powerMonitor,"resume"),this._onDidChangeColorScheme=this._register(new P.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,this._onDidChangePassword=this._register(new P.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=P.Event.debounce(P.Event.any(P.Event.filter(P.Event.fromNodeEventEmitter(n.screen,"display-metrics-changed",(j,B,$)=>$),j=>!(Array.isArray(j)&&j.length===1&&j[0]==="workArea")),P.Event.fromNodeEventEmitter(n.screen,"display-added"),P.Event.fromNodeEventEmitter(n.screen,"display-removed")),()=>{},100),this.registerListeners()}registerListeners(){n.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire(this.osColorScheme)})}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(T=>({id:T.id,workspace:T.openedWorkspace,title:T.win?.getTitle()??"",filename:T.getRepresentedFilename(),dirty:T.isDocumentEdited()}))}async getWindowCount(R){return this.windowsMainService.getWindowCount()}async getActiveWindowId(R){const T=n.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(T)return T.id}openWindow(R,T,U){return Array.isArray(T)?this.doOpenWindow(R,T,U):this.doOpenEmptyWindow(R,T)}async doOpenWindow(R,T,U=Object.create(null)){T.length>0&&this.windowsMainService.open({context:5,contextWindowId:R,urisToOpen:T,cli:this.environmentMainService.args,forceNewWindow:U.forceNewWindow,forceReuseWindow:U.forceReuseWindow,preferNewWindow:U.preferNewWindow,diffMode:U.diffMode,addMode:U.addMode,gotoLineMode:U.gotoLineMode,noRecentEntry:U.noRecentEntry,waitMarkerFileURI:U.waitMarkerFileURI,remoteAuthority:U.remoteAuthority||void 0})}async doOpenEmptyWindow(R,T){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:R},T)}async toggleFullScreen(R){const T=this.windowById(R);T&&T.toggleFullScreen()}async handleTitleDoubleClick(R){const T=this.windowById(R);T&&T.handleTitleDoubleClick()}async isMaximized(R){const T=this.windowById(R);return T?.win?T.win.isMaximized():!1}async maximizeWindow(R){const T=this.windowById(R);T?.win&&T.win.maximize()}async unmaximizeWindow(R){const T=this.windowById(R);T?.win&&T.win.unmaximize()}async minimizeWindow(R){const T=this.windowById(R);T?.win&&T.win.minimize()}async focusWindow(R,T){T&&typeof T.windowId=="number"&&(R=T.windowId);const U=this.windowById(R);U&&U.focus({force:T?.force??!1})}async setMinimumSize(R,T,U){const Q=this.windowById(R);if(Q?.win){const[se,ne]=Q.win.getSize(),[q,J]=Q.win.getMinimumSize(),[V,K]=[T??q,U??J],[j,B]=[Math.max(se,V),Math.max(ne,K)];(q!==V||J!==K)&&Q.win.setMinimumSize(V,K),(se!==j||ne!==B)&&Q.win.setSize(j,B)}}async saveWindowSplash(R,T){this.themeMainService.saveWindowSplash(R,T)}async installShellCommand(R){const{source:T,target:U}=await this.getShellCommandLink();try{const{symbolicLink:Q}=await g.SymlinkSupport.stat(T);if(Q&&!Q.dangling){const se=await(0,t.realpath)(T);if(U===se)return}await g.Promises.unlink(T)}catch(Q){if(Q.code!=="ENOENT")throw Q}try{await g.Promises.symlink(U,T)}catch(Q){if(Q.code!=="EACCES"&&Q.code!=="ENOENT")throw Q;const{response:se}=await this.showMessageBox(R,{title:this.productService.nameLong,type:"info",message:(0,w.localize)(0,null,this.productService.nameShort),buttons:[(0,f.mnemonicButtonLabel)((0,w.localize)(1,null)),(0,f.mnemonicButtonLabel)((0,w.localize)(2,null))],noLink:!0,defaultId:0,cancelId:1});if(se===0)try{const ne=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${U}' '${T}'\\" with administrator privileges"`;await(0,C.promisify)(y.exec)(ne)}catch{throw new Error((0,w.localize)(3,null,T))}}}async uninstallShellCommand(R){const{source:T}=await this.getShellCommandLink();try{await g.Promises.unlink(T)}catch(U){switch(U.code){case"EACCES":{const{response:Q}=await this.showMessageBox(R,{title:this.productService.nameLong,type:"info",message:(0,w.localize)(4,null,this.productService.nameShort),buttons:[(0,f.mnemonicButtonLabel)((0,w.localize)(5,null)),(0,f.mnemonicButtonLabel)((0,w.localize)(6,null))],noLink:!0,defaultId:0,cancelId:1});if(Q===0)try{const se=`osascript -e "do shell script \\"rm '${T}'\\" with administrator privileges"`;await(0,C.promisify)(y.exec)(se)}catch{throw new Error((0,w.localize)(7,null,T))}break}case"ENOENT":break;default:throw U}}}async getShellCommandLink(){const R=(0,I.resolve)(this.environmentMainService.appRoot,"bin","code"),T=`/usr/local/bin/${this.productService.applicationName}`;if(!await g.Promises.exists(R))throw new Error((0,w.localize)(8,null,R));return{source:T,target:R}}async showMessageBox(R,T){return this.dialogMainService.showMessageBox(T,this.toBrowserWindow(R))}async showSaveDialog(R,T){return this.dialogMainService.showSaveDialog(T,this.toBrowserWindow(R))}async showOpenDialog(R,T){return this.dialogMainService.showOpenDialog(T,this.toBrowserWindow(R))}toBrowserWindow(R){const T=this.windowById(R);if(T?.win)return T.win}async pickFileFolderAndOpen(R,T){const U=await this.dialogMainService.pickFileFolder(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFileFolder",T.telemetryExtraData),this.doOpenPicked(await Promise.all(U.map(async Q=>await g.SymlinkSupport.existsDirectory(Q)?{folderUri:S.URI.file(Q)}:{fileUri:S.URI.file(Q)})),T,R))}async pickFolderAndOpen(R,T){const U=await this.dialogMainService.pickFolder(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFolder",T.telemetryExtraData),this.doOpenPicked(U.map(Q=>({folderUri:S.URI.file(Q)})),T,R))}async pickFileAndOpen(R,T){const U=await this.dialogMainService.pickFile(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openFile",T.telemetryExtraData),this.doOpenPicked(U.map(Q=>({fileUri:S.URI.file(Q)})),T,R))}async pickWorkspaceAndOpen(R,T){const U=await this.dialogMainService.pickWorkspace(T);U&&(this.sendPickerTelemetry(U,T.telemetryEventName||"openWorkspace",T.telemetryExtraData),this.doOpenPicked(U.map(Q=>({workspaceUri:S.URI.file(Q)})),T,R))}doOpenPicked(R,T,U){this.windowsMainService.open({context:3,contextWindowId:U,cli:this.environmentMainService.args,urisToOpen:R,forceNewWindow:T.forceNewWindow})}sendPickerTelemetry(R,T,U){const Q=R?R.length:0;this.telemetryService.publicLog(T,{...U,outcome:Q?"success":"canceled",numberOfPaths:Q})}async showItemInFolder(R,T){n.shell.showItemInFolder(T)}async setRepresentedFilename(R,T){const U=this.windowById(R);U&&U.setRepresentedFilename(T)}async setDocumentEdited(R,T){const U=this.windowById(R);U&&U.setDocumentEdited(T)}async openExternal(R,T){return p.isLinuxSnap?this.safeSnapOpenExternal(T):n.shell.openExternal(T),!0}safeSnapOpenExternal(R){const T=process.env.GDK_PIXBUF_MODULE_FILE,U=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,n.shell.openExternal(R),process.env.GDK_PIXBUF_MODULE_FILE=T,process.env.GDK_PIXBUF_MODULEDIR=U}moveItemToTrash(R,T){return n.shell.trashItem(T)}async isAdmin(){let R;return p.isWindows?R=(await new Promise((T,U)=>{G(["native-is-elevated"],T,U)}))():R=process.getuid()===0,R}async writeElevated(R,T,U,Q){const se=await new Promise((ne,q)=>{G(["@vscode/sudo-prompt"],ne,q)});return new Promise((ne,q)=>{const J=[`"${this.cliPath}"`];Q?.unlock&&J.push("--file-chmod"),J.push("--file-write",`"${T.fsPath}"`,`"${U.fsPath}"`);const V={name:this.productService.nameLong.replace("-",""),icns:p.isMacintosh&&this.environmentMainService.isBuilt?(0,I.join)((0,I.dirname)(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};se.exec(J.join(" "),V,(K,j,B)=>{j&&this.logService.trace(`[sudo-prompt] received stdout: ${j}`),B&&this.logService.trace(`[sudo-prompt] received stderr: ${B}`),K?q(K):ne(void 0)})})}get cliPath(){return p.isWindows?this.environmentMainService.isBuilt?(0,I.join)((0,I.dirname)(process.execPath),"bin",`${this.productService.applicationName}.cmd`):(0,I.join)(this.environmentMainService.appRoot,"scripts","code-cli.bat"):p.isLinux?this.environmentMainService.isBuilt?(0,I.join)((0,I.dirname)(process.execPath),"bin",`${this.productService.applicationName}`):(0,I.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?(0,I.join)(this.environmentMainService.appRoot,"bin","code"):(0,I.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,D.totalmem)(),freemem:(0,D.freemem)(),loadavg:(0,D.loadavg)()}}async getOSProperties(){return{arch:(0,D.arch)(),platform:(0,D.platform)(),release:(0,D.release)(),type:(0,D.type)(),cpus:(0,D.cpus)()}}async getOSVirtualMachineHint(){return v.virtualMachineHint.value()}get osColorScheme(){return{highContrast:n.nativeTheme.shouldUseInvertedColorScheme||n.nativeTheme.shouldUseHighContrastColors,dark:n.nativeTheme.shouldUseDarkColors}}async getOSColorScheme(){return this.osColorScheme}async killProcess(R,T,U){process.kill(T,U)}async readClipboardText(R,T){return n.clipboard.readText(T)}async writeClipboardText(R,T,U){return n.clipboard.writeText(T,U)}async readClipboardFindText(R){return n.clipboard.readFindText()}async writeClipboardFindText(R,T){return n.clipboard.writeFindText(T)}async writeClipboardBuffer(R,T,U,Q){return n.clipboard.writeBuffer(T,Buffer.from(U),Q)}async readClipboardBuffer(R,T){return n.clipboard.readBuffer(T)}async hasClipboard(R,T,U){return n.clipboard.has(T,U)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){n.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){n.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){n.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){n.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){n.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(R,T){const U=this.windowById(R);U&&U.updateTouchBar(T)}async notifyReady(R){const T=this.windowById(R);T&&T.setReady()}async relaunch(R,T){return this.lifecycleMainService.relaunch(T)}async reload(R,T){const U=this.windowById(R);if(U){if((0,l.isWorkspaceIdentifier)(U.openedWorkspace)){const Q=U.openedWorkspace.configPath;if(Q.scheme===E.Schemas.file&&(await this.workspacesManagementMainService.resolveLocalWorkspace(Q))?.transient)return this.openWindow(U.id,{forceReuseWindow:!0})}return this.lifecycleMainService.reload(U,T?.disableExtensions!==void 0?{_:[],"disable-extensions":T.disableExtensions}:void 0)}}async closeWindow(R){this.closeWindowById(R,R)}async closeWindowById(R,T){const U=this.windowById(T);if(U?.win)return U.win.close()}async quit(R){const T=this.windowsMainService.getLastActiveWindow();T?.isExtensionDevelopmentHost&&this.windowsMainService.getWindowCount()>1&&T.win?T.win.close():this.lifecycleMainService.quit()}async exit(R,T){await this.lifecycleMainService.kill(T)}async resolveProxy(R,T){const Q=this.windowById(R)?.win?.webContents?.session;if(Q)return Q.resolveProxy(T)}async openDevTools(R,T){const U=this.windowById(R);U?.win&&U.win.webContents.openDevTools(T)}async toggleDevTools(R){const T=this.windowById(R);T?.win&&T.win.webContents.toggleDevTools()}async sendInputEvent(R,T){const U=this.windowById(R);U?.win&&(T.type==="mouseDown"||T.type==="mouseUp")&&U.win.webContents.sendInputEvent(T)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(R,T,U,Q){if(!p.isWindows)return;const se=await new Promise((ne,q)=>{G(["@vscode/windows-registry"],ne,q)});try{return se.GetStringRegKey(T,U,Q)}catch{return}}async getPassword(R,T,U){const Q=await this.withKeytar(),se=await Q.getPassword(T,U);if(se)try{let{content:ne,hasNextChunk:q}=JSON.parse(se);if(!ne||!q)return se;let J=1;for(;q;){const V=await Q.getPassword(T,`${U}-${J}`),K=JSON.parse(V);ne+=K.content,q=K.hasNextChunk,J++}return ne}catch{return se}return se}async setPassword(R,T,U,Q){const se=await this.withKeytar(),ne=3,q=async(J,V,K)=>{let j=0,B;for(;j<ne;)try{await se.setPassword(J,V,K);return}catch($){B=$,this.logService.warn("Error attempting to set a password: ",$),j++,await new Promise(Y=>setTimeout(Y,200))}throw B};if(p.isWindows&&Q.length>gt.MAX_PASSWORD_LENGTH){let J=0,V=0,K=!0;for(;K;){const j=Q.substring(J,J+gt.PASSWORD_CHUNK_SIZE);J+=gt.PASSWORD_CHUNK_SIZE,K=Q.length-J>0;const B={content:j,hasNextChunk:K};await q(T,V?`${U}-${V}`:U,JSON.stringify(B)),V++}}else await q(T,U,Q);this._onDidChangePassword.fire({service:T,account:U})}async deletePassword(R,T,U){const se=await(await this.withKeytar()).deletePassword(T,U);return se&&this._onDidChangePassword.fire({service:T,account:U}),se}async findPassword(R,T){return(await this.withKeytar()).findPassword(T)}async findCredentials(R,T){return(await this.withKeytar()).findCredentials(T)}async withKeytar(){if(this.environmentMainService.disableKeytar)throw new Error("keytar has been disabled via --disable-keytar option");return await new Promise((R,T)=>{G(["keytar"],R,T)})}windowById(R){if(typeof R=="number")return this.windowsMainService.getWindowById(R)}};b.MAX_PASSWORD_LENGTH=2500,b.PASSWORD_CHUNK_SIZE=b.MAX_PASSWORD_LENGTH-100,de([k.memoize],b.prototype,"cliPath",null),b=de([re(1,r.IWindowsMainService),re(2,M.IDialogMainService),re(3,c.ILifecycleMainService),re(4,a.IEnvironmentMainService),re(5,s.ITelemetryService),re(6,o.ILogService),re(7,u.IProductService),re(8,i.IThemeMainService),re(9,h.IWorkspacesManagementMainService)],b),e.NativeHostMainService=b}),define(ee[237],te([0,1,14,21,4,70,2,32,89,6,50,22,36]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var S;(function(v){v[v.Initial=1]="Initial",v[v.StoredCredentialsUsed=2]="StoredCredentialsUsed",v[v.LoginDialogShown=3]="LoginDialogShown"})(S||(S={}));let t=class extends k.Disposable{constructor(g,w,M,a,d){super();this.logService=g,this.windowsMainService=w,this.nativeHostMainService=M,this.encryptionMainService=a,this.productService=d,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=S.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const g=D.Event.fromNodeEventEmitter(y.app,"login",(w,M,a,d,c)=>({event:w,webContents:M,req:a,authInfo:d,callback:c}));this._register(g(this.onLogin,this))}async onLogin({event:g,authInfo:w,req:M,callback:a}){if(!w.isProxy)return;if(!this.pendingProxyResolve&&this.state===S.LoginDialogShown&&M.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}g.preventDefault();let d;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),d=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(w);try{d=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}a(d?.username,d?.password)}async resolveProxyCredentials(g){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const w=await this.doResolveProxyCredentials(g);if(w)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),w;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(g){this.logService.trace("auth#doResolveProxyCredentials - enter",g);const w=String((0,C.hash)({scheme:g.scheme,host:g.host,port:g.port}));let M,a;try{const u=await this.nativeHostMainService.getPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,w);if(u){const s=JSON.parse(await this.encryptionMainService.decrypt(u));M=s.username,a=s.password}}catch(u){this.logService.error(u)}if(this.state!==S.StoredCredentialsUsed&&typeof M=="string"&&typeof a=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=S.StoredCredentialsUsed,{username:M,password:a};const d=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!d){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${d.id} to handle proxy login`);const c={authInfo:g,username:this.sessionCredentials?.username??M,password:this.sessionCredentials?.password??a,replyChannel:`vscode:proxyAuthResponse:${(0,P.generateUuid)()}`};d.sendWhenReady("vscode:openProxyAuthenticationDialog",n.CancellationToken.None,c),this.state=S.LoginDialogShown;const o=await new Promise(u=>{const s=async(i,r,l)=>{if(r===c.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${d.id}`),d.win?.webContents.off("ipc-message",s),l){const h={username:l.username,password:l.password};try{if(l.remember){const b=await this.encryptionMainService.encrypt(JSON.stringify(h));await this.nativeHostMainService.setPassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,w,b)}else await this.nativeHostMainService.deletePassword(void 0,this.PROXY_CREDENTIALS_SERVICE_KEY,w)}catch(b){this.logService.error(b)}u({username:h.username,password:h.password})}else u(void 0)};d.win?.webContents.on("ipc-message",s)});return this.sessionCredentials=o,o}};t=de([re(0,m.ILogService),re(1,p.IWindowsMainService),re(2,E.INativeHostMainService),re(3,f.IEncryptionMainService),re(4,I.IProductService)],t),e.ProxyAuthHandler=t}),define(ee[238],te([0,1,14,26,33,2,10,3,84,150,75,49,23,5,101,6,50,55,22,56,67]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=(0,S.createDecorator)("issueMainService");let c=class It{constructor(u,s,i,r,l,h,b,L,R){this.userEnv=u,this.environmentMainService=s,this.launchMainService=i,this.logService=r,this.diagnosticsService=l,this.dialogMainService=h,this.nativeHostMainService=b,this.protocolMainService=L,this.productService=R,this.issueReporterWindow=null,this.issueReporterParentWindow=null,this.processExplorerWindow=null,this.processExplorerParentWindow=null,this.registerListeners()}registerListeners(){y.ipcMain.on("vscode:issueSystemInfoRequest",async u=>{const[s,i]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),r=await this.diagnosticsService.getSystemInfo(s,i);this.safeSend(u,"vscode:issueSystemInfoResponse",r)}),y.ipcMain.on("vscode:listProcesses",async u=>{const s=[];try{const i=await this.launchMainService.getMainProcessId();s.push({name:(0,m.localize)(0,null),rootProcess:await(0,f.listProcesses)(i)}),(await this.launchMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(l=>{(0,E.isRemoteDiagnosticError)(l)?s.push({name:l.hostName,rootProcess:l}):l.processes&&s.push({name:l.hostName,rootProcess:l.processes})})}catch(i){this.logService.error(`Listing processes failed: ${i}`)}this.safeSend(u,"vscode:listProcessesResponse",s)}),y.ipcMain.on("vscode:issueReporterClipboard",async u=>{const s={title:this.productService.nameLong,message:(0,m.localize)(1,null),type:"warning",buttons:[(0,D.mnemonicButtonLabel)((0,m.localize)(2,null)),(0,D.mnemonicButtonLabel)((0,m.localize)(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.issueReporterWindow){const i=await this.dialogMainService.showMessageBox(s,this.issueReporterWindow);this.safeSend(u,"vscode:issueReporterClipboardResponse",i.response===0)}}),y.ipcMain.on("vscode:issuePerformanceInfoRequest",async u=>{const s=await this.getPerformanceInfo();this.safeSend(u,"vscode:issuePerformanceInfoResponse",s)}),y.ipcMain.on("vscode:issueReporterConfirmClose",async()=>{const u={title:this.productService.nameLong,message:(0,m.localize)(4,null),type:"warning",buttons:[(0,D.mnemonicButtonLabel)((0,m.localize)(5,null)),(0,D.mnemonicButtonLabel)((0,m.localize)(6,null))],defaultId:0,cancelId:1,noLink:!0};this.issueReporterWindow&&(await this.dialogMainService.showMessageBox(u,this.issueReporterWindow)).response===0&&this.issueReporterWindow&&(this.issueReporterWindow.destroy(),this.issueReporterWindow=null)}),y.ipcMain.on("vscode:workbenchCommand",(u,s)=>{const{id:i,from:r,args:l}=s;let h;switch(r){case"issueReporter":h=this.issueReporterParentWindow;break;case"processExplorer":h=this.processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${r}`)}h&&h.webContents.send("vscode:runAction",{id:i,from:r,args:l})}),y.ipcMain.on("vscode:openExternal",(u,s)=>{this.nativeHostMainService.openExternal(void 0,s)}),y.ipcMain.on("vscode:closeIssueReporter",u=>{this.issueReporterWindow&&this.issueReporterWindow.close()}),y.ipcMain.on("vscode:closeProcessExplorer",u=>{this.processExplorerWindow&&this.processExplorerWindow.close()}),y.ipcMain.on("vscode:windowsInfoRequest",async u=>{const s=await this.launchMainService.getMainProcessInfo();this.safeSend(u,"vscode:windowsInfoResponse",s.windows)})}safeSend(u,s,...i){u.sender.isDestroyed()||u.sender.send(s,...i)}async openReporter(u){if(!this.issueReporterWindow&&(this.issueReporterParentWindow=y.BrowserWindow.getFocusedWindow(),this.issueReporterParentWindow)){const s=new C.DisposableStore,i=s.add(this.protocolMainService.createIPCObjectUrl()),r=this.getWindowPosition(this.issueReporterParentWindow,700,800);this.issueReporterWindow=this.createBrowserWindow(r,i,{backgroundColor:u.styles.backgroundColor,title:(0,m.localize)(7,null),zoomLevel:u.zoomLevel,alwaysOnTop:!1},"issue-reporter"),i.update({appRoot:this.environmentMainService.appRoot,windowId:this.issueReporterWindow.id,userEnv:this.userEnv,data:u,disableExtensions:!!this.environmentMainService.disableExtensions,os:{type:(0,n.type)(),arch:(0,n.arch)(),release:(0,n.release)()},product:w.default}),this.issueReporterWindow.loadURL(k.FileAccess.asBrowserUri("vs/code/electron-sandbox/issue/issueReporter.html",G).toString(!0)),this.issueReporterWindow.on("close",()=>{this.issueReporterWindow=null,s.dispose()}),this.issueReporterParentWindow.on("closed",()=>{this.issueReporterWindow&&(this.issueReporterWindow.close(),this.issueReporterWindow=null,s.dispose())})}this.issueReporterWindow&&this.focusWindow(this.issueReporterWindow)}async openProcessExplorer(u){if(!this.processExplorerWindow&&(this.processExplorerParentWindow=y.BrowserWindow.getFocusedWindow(),this.processExplorerParentWindow)){const s=new C.DisposableStore,i=s.add(this.protocolMainService.createIPCObjectUrl()),r=this.getWindowPosition(this.processExplorerParentWindow,800,500);this.processExplorerWindow=this.createBrowserWindow(r,i,{backgroundColor:u.styles.backgroundColor,title:(0,m.localize)(8,null),zoomLevel:u.zoomLevel,alwaysOnTop:!0},"process-explorer"),i.update({appRoot:this.environmentMainService.appRoot,windowId:this.processExplorerWindow.id,userEnv:this.userEnv,data:u,product:w.default}),this.processExplorerWindow.loadURL(k.FileAccess.asBrowserUri("vs/code/electron-sandbox/processExplorer/processExplorer.html",G).toString(!0)),this.processExplorerWindow.on("close",()=>{this.processExplorerWindow=null,s.dispose()}),this.processExplorerParentWindow.on("close",()=>{this.processExplorerWindow&&(this.processExplorerWindow.close(),this.processExplorerWindow=null,s.dispose())})}this.processExplorerWindow&&this.focusWindow(this.processExplorerWindow)}focusWindow(u){u.isMinimized()&&u.restore(),u.focus()}createBrowserWindow(u,s,i,r){const l=new y.BrowserWindow({fullscreen:!1,skipTaskbar:!0,resizable:!0,width:u.width,height:u.height,minWidth:300,minHeight:200,x:u.x,y:u.y,title:i.title,backgroundColor:i.backgroundColor||It.DEFAULT_BACKGROUND_COLOR,webPreferences:{preload:k.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",G).fsPath,additionalArguments:[`--vscode-window-config=${s.resource.toString()}`,`--vscode-window-kind=${r}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,d.zoomLevelToZoomFactor)(i.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:i.alwaysOnTop});return l.setMenuBarVisibility(!1),l}async getSystemStatus(){const[u,s]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.diagnosticsService.getDiagnostics(u,s)}getWindowPosition(u,s,i){let r;const l=y.screen.getAllDisplays();if(l.length===1)r=l[0];else{if(P.isMacintosh){const L=y.screen.getCursorScreenPoint();r=y.screen.getDisplayNearestPoint(L)}!r&&u&&(r=y.screen.getDisplayMatching(u.getBounds())),r||(r=y.screen.getPrimaryDisplay()||l[0])}const h={width:s,height:i},b=r.bounds;return h.x=b.x+b.width/2-h.width/2,h.y=b.y+b.height/2-h.height/2,b.width>0&&b.height>0&&(h.x<b.x&&(h.x=b.x),h.y<b.y&&(h.y=b.y),h.x>b.x+b.width&&(h.x=b.x),h.y>b.y+b.height&&(h.y=b.y),h.width>b.width&&(h.width=b.width),h.height>b.height&&(h.height=b.height)),h}async getPerformanceInfo(){try{const[u,s]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.diagnosticsService.getPerformanceInfo(u,s)}catch(u){throw this.logService.warn("issueService#getPerformanceInfo ",u.message),u}}};c.DEFAULT_BACKGROUND_COLOR="#1E1E1E",c=de([re(1,p.IEnvironmentMainService),re(2,t.ILaunchMainService),re(3,v.ILogService),re(4,E.IDiagnosticsService),re(5,I.IDialogMainService),re(6,g.INativeHostMainService),re(7,a.IProtocolMainService),re(8,M.IProductService)],c),e.IssueMainService=c}),define(ee[239],te([0,1,21,19,23,20,6,50,22,48,29,41,80]),function(G,e,y,n,D,C,k,P,f,m,E,I,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let S=class extends p.AbstractUpdateService{constructor(v,g,w,M,a,d,c,o){super(v,g,M,a,d,o);this.telemetryService=w,this.nativeHostMainService=c}buildUpdateFeedUrl(v){return(0,p.createUpdateURL)(`linux-${process.arch}`,v,this.productService)}doCheckForUpdates(v){!this.url||(this.setState(I.State.CheckingForUpdates(v)),this.requestService.request({url:this.url},y.CancellationToken.None).then(m.asJson).then(g=>{!g||!g.url||!g.version||!g.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!v}),this.setState(I.State.Idle(1))):this.setState(I.State.AvailableForDownload(g))}).then(void 0,g=>{this.logService.error(g),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!v});const w=v?g.message||g:void 0;this.setState(I.State.Idle(1,w))}))}async doDownloadUpdate(v){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):v.update.url&&this.nativeHostMainService.openExternal(void 0,v.update.url),this.setState(I.State.Idle(1))}};S=de([re(0,C.ILifecycleMainService),re(1,n.IConfigurationService),re(2,E.ITelemetryService),re(3,D.IEnvironmentMainService),re(4,m.IRequestService),re(5,k.ILogService),re(6,P.INativeHostMainService),re(7,f.IProductService)],S),e.LinuxUpdateService=S}),define(ee[240],te([0,1,44,28,26,8,21,46,9,7,116,24,19,23,18,20,6,50,22,48,29,41,80]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function u(l,h=1e3){for(;!l();)await(0,C.timeout)(h)}let s;function i(){return typeof s=="undefined"&&(s=n.existsSync(f.join(f.dirname(process.execPath),"unins000.exe"))?0:1),s}let r=class extends o.AbstractUpdateService{constructor(h,b,L,R,T,U,Q,se,ne){super(h,b,R,T,U,ne);this.telemetryService=L,this.fileService=Q,this.nativeHostMainService=se}get cachePath(){const h=f.join((0,D.tmpdir)(),`vscode-update-${this.productService.target}-${process.arch}`);return I.Promises.mkdir(h,{recursive:!0}).then(()=>h)}initialize(){super.initialize(),i()===0&&this.telemetryService.publicLog("update:win32SetupTarget",{target:this.productService.target})}buildUpdateFeedUrl(h){let b="win32";return process.arch!=="ia32"&&(b+=`-${process.arch}`),i()===1?b+="-archive":this.productService.target==="user"&&(b+="-user"),(0,o.createUpdateURL)(b,h,this.productService)}doCheckForUpdates(h){!this.url||(this.setState(c.State.CheckingForUpdates(h)),this.requestService.request({url:this.url},k.CancellationToken.None).then(a.asJson).then(b=>{const L=i();return!b||!b.url||!b.version||!b.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!h}),this.setState(c.State.Idle(L)),Promise.resolve(null)):L===1?(this.setState(c.State.AvailableForDownload(b)),Promise.resolve(null)):(this.setState(c.State.Downloading(b)),this.cleanup(b.version).then(()=>this.getUpdatePackagePath(b.version).then(R=>I.Promises.exists(R).then(T=>{if(T)return Promise.resolve(R);const U=b.url,Q=b.hash,se=`${R}.tmp`;return this.requestService.request({url:U},k.CancellationToken.None).then(ne=>this.fileService.writeFile(m.URI.file(se),ne.stream)).then(Q?()=>(0,E.checksum)(se,b.hash):()=>{}).then(()=>I.Promises.rename(se,R)).then(()=>R)})).then(R=>{const T=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:R},T&&b.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(c.State.Downloaded(b)):this.setState(c.State.Ready(b))})))}).then(void 0,b=>{this.logService.error(b),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!h});const L=h?b.message||b:void 0;this.setState(c.State.Idle(i(),L))}))}async doDownloadUpdate(h){h.update.url&&this.nativeHostMainService.openExternal(void 0,h.update.url),this.setState(c.State.Idle(i()))}async getUpdatePackagePath(h){const b=await this.cachePath;return f.join(b,`CodeSetup-${this.productService.quality}-${h}.exe`)}async cleanup(h=null){const b=h?U=>!new RegExp(`${this.productService.quality}-${h}\\.exe$`).test(U):()=>!0,L=await this.cachePath,T=(await I.Promises.readdir(L)).filter(b).map(async U=>{try{await I.Promises.unlink(f.join(L,U))}catch{}});await Promise.all(T)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const h=this.state.update;this.setState(c.State.Updating(h));const b=await this.cachePath;this.availableUpdate.updateFilePath=f.join(b,`CodeSetup-${this.productService.quality}-${h.version}.flag`),await I.Promises.writeFile(this.availableUpdate.updateFilePath,"flag"),(0,y.spawn)(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(c.State.Idle(i()))});const R=`${this.productService.win32MutexName}-ready`,T=await new Promise((U,Q)=>{G(["windows-mutex"],U,Q)});u(()=>T.isActive(R)).then(()=>this.setState(c.State.Ready(h)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?n.unlinkSync(this.availableUpdate.updateFilePath):(0,y.spawn)(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return i()}};de([P.memoize],r.prototype,"cachePath",null),r=de([re(0,v.ILifecycleMainService),re(1,p.IConfigurationService),re(2,d.ITelemetryService),re(3,S.IEnvironmentMainService),re(4,a.IRequestService),re(5,g.ILogService),re(6,t.IFileService),re(7,w.INativeHostMainService),re(8,M.IProductService)],r),e.Win32UpdateService=r}),define(ee[241],te([0,1,14,8,21,39,4,33,2,10,9,63,3,7,156,52,19,49,23,54,207,18,20,6,22,56,79,29,210,66,67,36,30,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u,s,i,r,l,h,b,L,R,T,U){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var Q;(function(ne){ne[ne.NONE=0]="NONE",ne[ne.LOADING=1]="LOADING",ne[ne.NAVIGATING=2]="NAVIGATING",ne[ne.READY=3]="READY"})(Q||(Q={}));let se=class extends f.Disposable{constructor(q,J,V,K,j,B,$,Y,H,F,W,A,_,N,O){super();this.logService=J,this.environmentMainService=V,this.fileService=K,this.globalStorageMainService=j,this.configurationService=B,this.themeMainService=$,this.workspacesManagementMainService=Y,this.backupMainService=H,this.telemetryService=F,this.dialogMainService=W,this.lifecycleMainService=A,this.productService=_,this.protocolMainService=N,this.windowsMainService=O,this._onWillLoad=this._register(new k.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new k.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new k.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new k.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0,this.configObjectUrl=this._register(this.protocolMainService.createIPCObjectUrl()),this.wasLoaded=!1,this.readyState=0;{const[z,x]=this.restoreWindowState(q.state);this.windowState=z,this.logService.trace("window#ctor: using window state",z);const ie=this.windowState.mode===0||this.windowState.mode===3,oe=this.configurationService.getValue("window"),Z={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:L.WindowMinimumSize.WIDTH,minHeight:L.WindowMinimumSize.HEIGHT,show:!ie,title:this.productService.nameLong,webPreferences:{preload:m.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",G).fsPath,additionalArguments:[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:(0,L.zoomLevelToZoomFactor)(oe?.zoomLevel),...this.environmentMainService.sandbox?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}}};p.isLinux?Z.icon=(0,E.join)(this.environmentMainService.appRoot,"resources/linux/code.png"):p.isWindows&&!this.environmentMainService.isBuilt&&(Z.icon=(0,E.join)(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),p.isMacintosh&&!this.useNativeFullScreen()&&(Z.fullscreenable=!1),p.isMacintosh&&(Z.acceptFirstMouse=!0,oe?.clickThroughInactive===!1&&(Z.acceptFirstMouse=!1));const ce=p.isMacintosh&&oe?.nativeTabs===!0;ce&&(Z.tabbingIdentifier=this.productService.nameShort);const le=(0,L.getTitleBarStyle)(this.configurationService)==="custom";if(le&&(Z.titleBarStyle="hidden",this.hiddenTitleBarStyle=!0,p.isMacintosh||(Z.frame=!1)),(0,I.mark)("code/willCreateCodeBrowserWindow"),this._win=new y.BrowserWindow(Z),(0,I.mark)("code/didCreateCodeBrowserWindow"),this._id=this._win.id,this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),p.isMacintosh&&le&&this._win.setSheetOffset(22),p.isMacintosh&&x&&(!ce||y.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(he=>typeof he=="number")){const he=this.windowState;this._win.setBounds({width:he.width,height:he.height,x:he.x,y:he.y})}ie&&((0,I.mark)("code/willMaximizeCodeWindow"),this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.isVisible()||this._win.show(),(0,I.mark)("code/didMaximizeCodeWindow")),this._lastFocusTime=Date.now()}this.onConfigurationUpdated(),this.createTouchBar(),this.registerListeners()}get id(){return this._id}get win(){return this._win}get lastFocusTime(){return this._lastFocusTime}get backupPath(){return this.currentConfig?.backupPath}get openedWorkspace(){return this.currentConfig?.workspace}get remoteAuthority(){return this.currentConfig?.remoteAuthority}get config(){return this.currentConfig}get hasHiddenTitleBarStyle(){return!!this.hiddenTitleBarStyle}get isExtensionDevelopmentHost(){return!!this.currentConfig?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this.currentConfig?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this.currentConfig?.debugId}setRepresentedFilename(q){p.isMacintosh?this._win.setRepresentedFilename(q):this.representedFilename=q}getRepresentedFilename(){return p.isMacintosh?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(q){p.isMacintosh&&this._win.setDocumentEdited(q),this.documentEdited=q}isDocumentEdited(){return p.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(q){p.isMacintosh&&q?.force&&y.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}setReady(){for(this.readyState=3;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(q=>{if(this.isReady)return q(this);this.whenReadyCallbacks.push(q)})}get isReady(){return this.readyState===3}get whenClosedOrLoaded(){return new Promise(q=>{function J(){V.dispose(),K.dispose(),q()}const V=this.onDidClose(()=>J()),K=this.onWillLoad(()=>J())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(j,B)=>this.onWindowError(2,B)),this._win.webContents.on("did-fail-load",(j,B,$)=>this.onWindowError(3,{reason:$,exitCode:B})),this._win.webContents.on("will-prevent-unload",j=>{j.preventDefault()}),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()});const q=new Set([m.Schemas.file,m.Schemas.vscodeFileResource,m.Schemas.vscodeRemoteResource,"devtools"]),J=j=>{for(let B=j;B;B=B.parent)if(B.url.startsWith(`${m.Schemas.vscodeWebview}://`))return!0;return!1},V=j=>j.resourceType==="xhr"||J(j.frame);this._win.webContents.session.webRequest.onBeforeRequest((j,B)=>{const $=S.URI.parse(j.url);return $.path.endsWith(".svg")&&!q.has($.scheme)?B({cancel:!V(j)}):B({cancel:!1})}),this._win.webContents.session.webRequest.onHeadersReceived((j,B)=>{const $=j.responseHeaders,Y=$["content-type"]||$["Content-Type"];if(Y&&Array.isArray(Y)){const H=S.URI.parse(j.url);if(H.path.endsWith(".svg")&&q.has(H.scheme))return $["Content-Type"]=["image/svg+xml"],B({cancel:!1,responseHeaders:$});if(!H.path.includes(m.Schemas.vscodeRemoteResource)&&Y.some(F=>F.toLowerCase().includes("image/svg")))return B({cancel:!V(j)})}return B({cancel:!1})}),this._win.webContents.on("did-finish-load",()=>{this.readyState=1,this.pendingLoadConfig&&(this.currentConfig=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),this._win.on("maximize",j=>{this.currentConfig&&(this.currentConfig.maximized=!0),y.app.emit("browser-window-maximize",j,this._win)}),this._win.on("unmaximize",j=>{this.currentConfig&&(this.currentConfig.maximized=!1),y.app.emit("browser-window-unmaximize",j,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",D.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",D.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(()=>this.onConfigurationUpdated())),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(j=>this.onDidDeleteUntitledWorkspace(j)));const K=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:K},async(j,B)=>{const $=await this.getMarketplaceHeaders();B({cancel:!1,requestHeaders:Object.assign(j.requestHeaders,$)})})}getMarketplaceHeaders(){return this.marketplaceHeadersPromise||(this.marketplaceHeadersPromise=(0,d.resolveMarketplaceHeaders)(this.productService.version,this.productService,this.environmentMainService,this.configurationService,this.fileService,this.globalStorageMainService)),this.marketplaceHeadersPromise}async onWindowError(q,J){switch(q){case 2:this.logService.error(`CodeWindow: renderer process crashed (reason: ${J?.reason||"<unknown>"}, code: ${J?.exitCode||"<unknown>"})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load (reason: ${J?.reason||"<unknown>"}, code: ${J?.exitCode||"<unknown>"})`);break}switch(this.telemetryService.publicLog2("windowerror",{type:q,reason:J?.reason,code:J?.exitCode}),q){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.environmentMainService.driverHandle){this.destroyWindow(!1);return}if(q===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const V=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,P.mnemonicButtonLabel)((0,t.localize)(0,null)),(0,P.mnemonicButtonLabel)((0,t.localize)(1,null)),(0,P.mnemonicButtonLabel)((0,t.localize)(2,null))],message:(0,t.localize)(3,null),detail:(0,t.localize)(4,null),noLink:!0,defaultId:0,cancelId:1},this._win);if(V.response!==1){const K=V.response===0;this.destroyWindow(K)}}else if(q===2){let V;J?V=(0,t.localize)(6,null,J.reason,J.exitCode??"<unknown>"):V=(0,t.localize)(5,null);const j=(await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,P.mnemonicButtonLabel)((0,t.localize)(7,null)),(0,P.mnemonicButtonLabel)((0,t.localize)(8,null))],message:V,detail:(0,t.localize)(9,null),noLink:!0,defaultId:0},this._win)).response===0;this.destroyWindow(j)}break}}destroyWindow(q){if(this._onDidDestroy.fire(),this._win?.destroy(),q&&this.config){let J,V;(0,T.isSingleFolderWorkspaceIdentifier)(this.openedWorkspace)?J={folderUri:this.openedWorkspace.uri}:(0,T.isWorkspaceIdentifier)(this.openedWorkspace)?J={workspaceUri:this.openedWorkspace.configPath}:V=!0;const[K]=this.windowsMainService.open({context:5,userEnv:this.config.userEnv,cli:{...this.environmentMainService.args,_:[]},urisToOpen:J?[J]:void 0,forceEmpty:V,forceNewWindow:!0,remoteAuthority:this.remoteAuthority});K.focus()}}onDidDeleteUntitledWorkspace(q){this.openedWorkspace?.id===q.id&&this.currentConfig&&(this.currentConfig.workspace=void 0)}onConfigurationUpdated(){const q=this.getMenuBarVisibility();q!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=q,this.setMenuBarVisibility(q));let J=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;J?.endsWith("/")&&(J=J.substr(0,J.length-1));const V=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((J||"").indexOf("@")===-1&&(J!==this.currentHttpProxy||V!==this.currentNoProxy)){this.currentHttpProxy=J,this.currentNoProxy=V;const K=J||"",j=V?`${V},<local>`:"<local>";this.logService.trace(`Setting proxy to '${K}', bypassing '${j}'`),this._win.webContents.session.setProxy({proxyRules:K,proxyBypassRules:j,pacScript:""})}}addTabbedWindow(q){p.isMacintosh&&q.win&&this._win.addTabbedWindow(q.win)}load(q,J=Object.create(null)){this.isDocumentEdited()&&(!J.isReload||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),J.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),this.updateConfiguration(q,J),this.readyState===0?this.currentConfig=q:(this.pendingLoadConfig=q,this.readyState=2),this._win.loadURL(m.FileAccess.asBrowserUri(this.environmentMainService.sandbox?"vs/code/electron-sandbox/workbench/workbench.html":"vs/code/electron-browser/workbench/workbench.html",G).toString(!0));const V=this.wasLoaded;this.wasLoaded=!0,!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&this._register(new n.RunOnceScheduler(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)).schedule(),this._onWillLoad.fire({workspace:q.workspace,reason:J.isReload?3:V?2:1})}updateConfiguration(q,J){const V=(this.currentConfig??this.pendingLoadConfig)?.userEnv;if(V){const K=(0,a.isLaunchedFromCli)(V)&&!(0,a.isLaunchedFromCli)(q.userEnv),j=this.isExtensionDevelopmentHost;(K||j)&&(q.userEnv={...V,...q.userEnv})}process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(q.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),J.disableExtensions!==void 0&&(q["disable-extensions"]=J.disableExtensions),q.fullscreen=this.isFullScreen,q.maximized=this._win.isMaximized(),q.partsSplash=this.themeMainService.getWindowSplash(),(0,I.mark)("code/willOpenNewWindow"),q.perfMarks=(0,I.getMarks)(),this.configObjectUrl.update(q)}async reload(q){const J=Object.assign({},this.currentConfig);J.workspace=await this.validateWorkspaceBeforeReload(J),delete J.filesToOpenOrCreate,delete J.filesToDiff,delete J.filesToWait,this.isExtensionDevelopmentHost&&q&&(J.verbose=q.verbose,J.debugId=q.debugId,J.extensionEnvironment=q.extensionEnvironment,J["inspect-extensions"]=q["inspect-extensions"],J["inspect-brk-extensions"]=q["inspect-brk-extensions"],J["extensions-dir"]=q["extensions-dir"]),J.isInitialStartup=!1,this.load(J,{isReload:!0,disableExtensions:q?.["disable-extensions"]})}async validateWorkspaceBeforeReload(q){if((0,T.isWorkspaceIdentifier)(q.workspace)){const J=q.workspace.configPath;if(J.scheme===m.Schemas.file&&!await this.fileService.exists(J))return}else if((0,T.isSingleFolderWorkspaceIdentifier)(q.workspace)){const J=q.workspace.uri;if(J.scheme===m.Schemas.file&&!await this.fileService.exists(J))return}return q.workspace}serializeWindowState(){if(!this._win)return(0,R.defaultWindowState)();if(this.isFullScreen){let V;try{V=y.screen.getDisplayMatching(this.getBounds())}catch{}const K=(0,R.defaultWindowState)();return{mode:3,display:V?V.id:void 0,width:this.windowState.width||K.width,height:this.windowState.height||K.height,x:this.windowState.x||0,y:this.windowState.y||0}}const q=Object.create(null);let J;if(!p.isMacintosh&&this._win.isMaximized()?J=0:J=1,J===0?q.mode=0:q.mode=1,J===1||J===0){let V;J===1?V=this.getBounds():V=this._win.getNormalBounds(),q.x=V.x,q.y=V.y,q.width=V.width,q.height=V.height}return q}restoreWindowState(q){(0,I.mark)("code/willRestoreCodeWindowState");let J=!1;if(q)try{const V=y.screen.getAllDisplays();J=V.length>1,q=this.validateWindowState(q,V)}catch(V){this.logService.warn(`Unexpected error validating window state: ${V}
${V.stack}`)}return(0,I.mark)("code/didRestoreCodeWindowState"),[q||(0,R.defaultWindowState)(),J]}validateWindowState(q,J){if(this.logService.trace(`window#validateWindowState: validating window state on ${J.length} display(s)`,q),typeof q.x!="number"||typeof q.y!="number"||typeof q.width!="number"||typeof q.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(q.width<=0||q.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(J.length===1){const j=this.getWorkingArea(J[0]);if(j){let B=function(){!q||typeof q.x!="number"||typeof q.y!="number"||!j||(q.x<j.x&&(q.x=j.x),q.y<j.y&&(q.y=j.y))};this.logService.trace("window#validateWindowState: 1 monitor working area",j),B(),q.width>j.width&&(q.width=j.width),q.height>j.height&&(q.height=j.height),q.x>j.x+j.width-128&&(q.x=j.x+j.width-q.width),q.y>j.y+j.height-128&&(q.y=j.y+j.height-q.height),B()}return q}if(q.display&&q.mode===3){const j=J.find(B=>B.id===q.display);if(j&&typeof j.bounds?.x=="number"&&typeof j.bounds?.y=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const B=(0,R.defaultWindowState)(3);return B.x=j.bounds.x,B.y=j.bounds.y,B}}let V,K;try{V=y.screen.getDisplayMatching({x:q.x,y:q.y,width:q.width,height:q.height}),K=this.getWorkingArea(V)}catch{}if(V&&K&&q.x+q.width>K.x&&q.y+q.height>K.y&&q.x<K.x+K.width&&q.y<K.y+K.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",K),q}getWorkingArea(q){if(q.workArea.width>0&&q.workArea.height>0)return q.workArea;if(q.bounds.width>0&&q.bounds.height>0)return q.bounds}getBounds(){const[q,J]=this._win.getPosition(),[V,K]=this._win.getSize();return{x:q,y:J,width:V,height:K}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(q){this.useNativeFullScreen()?this.setNativeFullScreen(q):this.setSimpleFullScreen(q),this.sendWhenReady(q?"vscode:enterFullScreen":"vscode:leaveFullScreen",D.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(q){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(q)}setSimpleFullScreen(q){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(q),this._win.webContents.focus()}useNativeFullScreen(){const q=this.configurationService.getValue("window");return!q||typeof q.nativeFullScreen!="boolean"||q.nativeTabs?!0:q.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let q=(0,L.getMenuBarVisibility)(this.configurationService);return["visible","toggle","hidden"].indexOf(q)<0&&(q="classic"),q}setMenuBarVisibility(q,J=!0){p.isMacintosh||(q==="toggle"&&J&&this.send("vscode:showInfoMessage",(0,t.localize)(10,null)),q==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(q)}):this.doSetMenuBarVisibility(q))}doSetMenuBarVisibility(q){const J=this.isFullScreen;switch(q){case"classic":this._win.setMenuBarVisibility(!J),this._win.autoHideMenuBar=J;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(p.isMacintosh)switch(y.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(q,J,...V){this.isReady?this.send(q,...V):this.ready().then(()=>{J.isCancellationRequested||this.send(q,...V)})}send(q,...J){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel '${q}' for window that is destroyed`);return}try{this._win.webContents.send(q,...J)}catch(V){this.logService.warn(`Error sending IPC message to channel '${q}' of window ${this._id}: ${(0,C.toErrorMessage)(V)}`)}}}updateTouchBar(q){!p.isMacintosh||this.touchBarGroups.forEach((J,V)=>{const K=q[V];J.segments=this.createTouchBarGroupSegments(K)})}createTouchBar(){if(!!p.isMacintosh){for(let q=0;q<10;q++){const J=this.createTouchBarGroup();this.touchBarGroups.push(J)}this._win.setTouchBar(new y.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(q=[]){const J=this.createTouchBarGroupSegments(q),V=new y.TouchBar.TouchBarSegmentedControl({segments:J,mode:"buttons",segmentStyle:"automatic",change:K=>{this.sendWhenReady("vscode:runAction",D.CancellationToken.None,{id:V.segments[K].id,from:"touchbar"})}});return V}createTouchBarGroupSegments(q=[]){return q.map(V=>{let K;V.icon&&!h.ThemeIcon.isThemeIcon(V.icon)&&V.icon?.dark?.scheme===m.Schemas.file&&(K=y.nativeImage.createFromPath(S.URI.revive(V.icon.dark).fsPath),K.isEmpty()&&(K=void 0));let j;return typeof V.title=="string"?j=V.title:j=V.title.value,{id:V.id,label:K?void 0:j,icon:K}})}dispose(){super.dispose(),this._win=null}};se=de([re(1,u.ILogService),re(2,M.IEnvironmentMainService),re(3,c.IFileService),re(4,r.IGlobalStorageMainService),re(5,g.IConfigurationService),re(6,b.IThemeMainService),re(7,U.IWorkspacesManagementMainService),re(8,v.IBackupMainService),re(9,l.ITelemetryService),re(10,w.IDialogMainService),re(11,o.ILifecycleMainService),re(12,s.IProductService),re(13,i.IProtocolMainService),re(14,R.IWindowsMainService)],se),e.CodeWindow=se}),define(ee[68],te([0,1,14,31,8,4,33,2,10,3,16,7,24,159,5,20,6,38,79,30,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,t.createDecorator)("workspacesHistoryMainService");let c=class ze extends P.Disposable{constructor(u,s,i,r,l){super();this.stateMainService=u,this.logService=s,this.workspacesManagementMainService=i,this.lifecycleMainService=r,this.globalStorageMainService=l,this._onDidChangeRecentlyOpened=this._register(new C.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new D.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(u=>this.addRecentlyOpened([{workspace:u.workspace,remoteAuthority:u.window.remoteAuthority}])))}async addRecentlyOpened(u){const s=[],i=[];for(let r of u)if((0,a.isRecentWorkspace)(r))!this.workspacesManagementMainService.isUntitledWorkspace(r.workspace)&&this.indexOfWorkspace(s,r.workspace)===-1&&s.push(r);else if((0,a.isRecentFolder)(r))this.indexOfFolder(s,r.folderUri)===-1&&s.push(r);else{const l=this.indexOfFile(i,r.fileUri)>=0,h=r.fileUri.scheme===f.Schemas.file&&ze.COMMON_FILES_FILTER.indexOf((0,E.basename)(r.fileUri))>=0;!l&&!h&&(i.push(r),m.isWindows&&r.fileUri.scheme===f.Schemas.file&&y.app.addRecentDocument(r.fileUri.fsPath))}await this.addEntriesFromStorage(s,i),s.length>ze.MAX_TOTAL_RECENT_ENTRIES&&(s.length=ze.MAX_TOTAL_RECENT_ENTRIES),i.length>ze.MAX_TOTAL_RECENT_ENTRIES&&(i.length=ze.MAX_TOTAL_RECENT_ENTRIES),await this.saveRecentlyOpened({workspaces:s,files:i}),this._onDidChangeRecentlyOpened.fire(),m.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}async removeRecentlyOpened(u){const s=h=>{const b=this.location(h);for(const L of u)if(E.extUriBiasedIgnorePathCase.isEqual(L,b))return!1;return!0},i=await this.getRecentlyOpened(),r=i.workspaces.filter(s),l=i.files.filter(s);(r.length!==i.workspaces.length||l.length!==i.files.length)&&(await this.saveRecentlyOpened({files:l,workspaces:r}),this._onDidChangeRecentlyOpened.fire(),m.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async clearRecentlyOpened(){await this.saveRecentlyOpened({workspaces:[],files:[]}),y.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}async getRecentlyOpened(u){const s=[],i=[];if(u){const l=u.config?.workspace;(0,a.isWorkspaceIdentifier)(l)&&!this.workspacesManagementMainService.isUntitledWorkspace(l)?s.push({workspace:l,remoteAuthority:u.remoteAuthority}):(0,a.isSingleFolderWorkspaceIdentifier)(l)&&s.push({folderUri:l.uri,remoteAuthority:u.remoteAuthority})}const r=u?.config?.filesToOpenOrCreate;if(r)for(let l of r){const h=l.fileUri;h&&this.indexOfFile(i,h)===-1&&i.push({fileUri:h})}return await this.addEntriesFromStorage(s,i),{workspaces:s,files:i}}async addEntriesFromStorage(u,s){let i=await this.getRecentlyOpenedFromStorage();for(let r of i.workspaces){let l=(0,a.isRecentFolder)(r)?this.indexOfFolder(u,r.folderUri):this.indexOfWorkspace(u,r.workspace);l>=0?u[l].label=u[l].label||r.label:u.push(r)}for(let r of i.files){let l=this.indexOfFile(s,r.fileUri);l>=0?s[l].label=s[l].label||r.label:s.push(r)}}async getRecentlyOpenedFromStorage(){await this.globalStorageMainService.whenReady;let u;const s=this.globalStorageMainService.get(ze.RECENTLY_OPENED_STORAGE_KEY,0);if(typeof s=="string")try{u=JSON.parse(s)}catch(i){this.logService.error("Unexpected error parsing opened paths list",i)}else u=this.stateMainService.getItem(ze.legacyRecentlyOpenedStorageKey),u&&(this.stateMainService.removeItem(ze.legacyRecentlyOpenedStorageKey),this.globalStorageMainService.store(ze.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify(u),0,1));return(0,a.restoreRecentlyOpened)(u,this.logService)}async saveRecentlyOpened(u){await this.globalStorageMainService.whenReady,this.globalStorageMainService.store(ze.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify((0,a.toStoreData)(u)),0,1)}location(u){return(0,a.isRecentFolder)(u)?u.folderUri:(0,a.isRecentFile)(u)?u.fileUri:u.workspace.configPath}indexOfWorkspace(u,s){return u.findIndex(i=>(0,a.isRecentWorkspace)(i)&&i.workspace.id===s.id)}indexOfFolder(u,s){return u.findIndex(i=>(0,a.isRecentFolder)(i)&&E.extUriBiasedIgnorePathCase.isEqual(i.folderUri,s))}indexOfFile(u,s){return u.findIndex(i=>E.extUriBiasedIgnorePathCase.isEqual(i.fileUri,s))}async handleWindowsJumpList(){!m.isWindows||(await this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}async updateWindowsJumpList(){if(!m.isWindows)return;const u=[];if(u.push({type:"tasks",items:[{type:"task",title:(0,S.localize)(0,null),description:(0,S.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),(await this.getRecentlyOpened()).workspaces.length>0){let s=[];for(let l of y.app.getJumpListSettings().removedItems){const h=l.args;if(h){const b=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(h);b&&s.push(I.URI.parse(b[2]))}}await this.removeRecentlyOpened(s);let i=!1;const r=(0,n.coalesce)((await this.getRecentlyOpened()).workspaces.slice(0,ze.MAX_WINDOWS_JUMP_LIST_ENTRIES).map(l=>{const h=(0,a.isRecentWorkspace)(l)?l.workspace:l.folderUri,{title:b,description:L}=this.getWindowsJumpListLabel(h,l.label);let R;return I.URI.isUri(h)?R=`--folder-uri "${h.toString()}"`:(i=!0,R=`--file-uri "${h.configPath.toString()}"`),{type:"task",title:b.substr(0,255),description:L.substr(0,255),program:process.execPath,args:R,iconPath:"explorer.exe",iconIndex:0}}));r.length>0&&u.push({type:"custom",name:i?(0,S.localize)(2,null):(0,S.localize)(3,null),items:r})}u.push({type:"recent"});try{y.app.setJumpList(u)}catch(s){this.logService.warn("updateWindowsJumpList#setJumpList",s)}}getWindowsJumpListLabel(u,s){if(s)return{title:(0,k.splitName)(s).name,description:s};if(I.URI.isUri(u))return{title:(0,E.basename)(u),description:this.renderJumpListPathDescription(u)};if(this.workspacesManagementMainService.isUntitledWorkspace(u))return{title:(0,S.localize)(4,null),description:""};let i=(0,E.basename)(u.configPath);return i.endsWith(a.WORKSPACE_EXTENSION)&&(i=i.substr(0,i.length-a.WORKSPACE_EXTENSION.length-1)),{title:(0,S.localize)(5,null,i),description:this.renderJumpListPathDescription(u.configPath)}}renderJumpListPathDescription(u){return u.scheme==="file"?(0,k.normalizeDriveLetter)(u.fsPath):u.toString()}async updateMacOSRecentDocuments(){if(!m.isMacintosh)return;y.app.clearRecentDocuments();const u=await this.getRecentlyOpened(),s=[];let i=0;for(let l=0;l<u.workspaces.length&&i<ze.MAX_MACOS_DOCK_RECENT_WORKSPACES;l++){const h=this.location(u.workspaces[l]);if(h.scheme===f.Schemas.file){const b=(0,E.originalFSPath)(h);await p.Promises.exists(b)&&(s.push(b),i++)}}const r=[];for(let l=0;l<u.files.length&&i<ze.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;l++){const h=this.location(u.files[l]);if(h.scheme===f.Schemas.file){const b=(0,E.originalFSPath)(h);if(ze.COMMON_FILES_FILTER.includes((0,E.basename)(h))||s.includes(b))continue;await p.Promises.exists(b)&&(r.push(b),i++)}}r.reverse().forEach(l=>y.app.addRecentDocument(l)),s.reverse().forEach(l=>y.app.addRecentDocument(l))}};c.MAX_TOTAL_RECENT_ENTRIES=500,c.RECENTLY_OPENED_STORAGE_KEY="history.recentlyOpenedPathsList",c.legacyRecentlyOpenedStorageKey="openedPathsList",c.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,c.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,c.MAX_WINDOWS_JUMP_LIST_ENTRIES=7,c.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],c=de([re(0,w.IStateMainService),re(1,g.ILogService),re(2,d.IWorkspacesManagementMainService),re(3,v.ILifecycleMainService),re(4,M.IGlobalStorageMainService)],c),e.WorkspacesHistoryMainService=c}),define(ee[242],te([0,1,14,8,21,33,3,7,151,19,23,20,6,189,50,22,38,29,41,67,36,68]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const o="menu";let u=class St{constructor(r,l,h,b,L,R,T,U,Q,se,ne){this.updateService=r,this.configurationService=l,this.windowsMainService=h,this.environmentMainService=b,this.telemetryService=L,this.workspacesHistoryMainService=R,this.stateMainService=T,this.lifecycleMainService=U,this.logService=Q,this.nativeHostMainService=se,this.productService=ne,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new n.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new n.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(k.isMacintosh||(0,a.getTitleBarStyle)(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const r=this.stateMainService.getItem(St.lastKnownMenubarStorageKey);r&&(r.menus&&(this.menubarMenus=r.menus),r.keybindings&&(this.keybindings=r.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(R,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(R,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(R,T,U)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:o}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(R,T,U)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:o}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const r=this.productService.twitterUrl;r&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(r,"openTwitterUrl"));const l=this.productService.requestFeatureUrl;l&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(l,"openUserVoiceUrl"));const h=this.productService.reportIssueUrl;h&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(h,"openReportIssues"));const b=this.productService.licenseUrl;b&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(k.language){const R=b.indexOf("?")>0?"&":"?";this.openUrl(`${b}${R}lang=${k.language}`,"openLicenseUrl")}else this.openUrl(b,"openLicenseUrl")});const L=this.productService.privacyStatementUrl;L&&b&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{this.openUrl(L,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(r=>this.onDidChangeWindowsCount(r)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){let r=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof r!="boolean"?!0:r}get currentEnableNativeTabs(){if(!k.isMacintosh)return!1;let r=this.configurationService.getValue("window.nativeTabs");return typeof r!="boolean"?!1:r}updateMenu(r,l){this.menubarMenus=r.menus,this.keybindings=r.keybindings,this.stateMainService.setItem(St.lastKnownMenubarStorageKey,r),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(r){!k.isMacintosh||(r.oldCount===0&&r.newCount>0||r.oldCount>0&&r.newCount===0)&&(this.closedLastWindow=r.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!k.isMacintosh||(this.noActiveWindow=!y.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const r=y.Menu.getApplicationMenu();if(r&&this.oldMenus.push(r),Object.keys(this.menubarMenus).length===0){y.Menu.setApplicationMenu(k.isMacintosh?new y.Menu:null);return}const l=new y.Menu;let h;if(k.isMacintosh){const L=new y.Menu;h=new y.MenuItem({label:this.productService.nameShort,submenu:L}),this.setMacApplicationMenu(L),l.append(h)}if(k.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const L=new y.Menu;L.append(new y.MenuItem({label:this.mnemonicLabel(f.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),y.app.dock.setMenu(L)}if(this.shouldDrawMenu("File")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(1,null)),submenu:L});this.setMenuById(L,"File"),l.append(R)}if(this.shouldDrawMenu("Edit")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(2,null)),submenu:L});this.setMenuById(L,"Edit"),l.append(R)}if(this.shouldDrawMenu("Selection")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(3,null)),submenu:L});this.setMenuById(L,"Selection"),l.append(R)}if(this.shouldDrawMenu("View")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(4,null)),submenu:L});this.setMenuById(L,"View"),l.append(R)}if(this.shouldDrawMenu("Go")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(5,null)),submenu:L});this.setMenuById(L,"Go"),l.append(R)}if(this.shouldDrawMenu("Run")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(6,null)),submenu:L});this.setMenuById(L,"Run"),l.append(R)}if(this.shouldDrawMenu("Terminal")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(7,null)),submenu:L});this.setMenuById(L,"Terminal"),l.append(R)}let b;if(this.shouldDrawMenu("Window")){const L=new y.Menu;b=new y.MenuItem({label:this.mnemonicLabel(f.localize(8,null)),submenu:L,role:"window"}),this.setMacWindowMenu(L)}if(b&&l.append(b),this.shouldDrawMenu("Help")){const L=new y.Menu,R=new y.MenuItem({label:this.mnemonicLabel(f.localize(9,null)),submenu:L,role:"help"});this.setMenuById(L,"Help"),l.append(R)}l.items&&l.items.length>0?y.Menu.setApplicationMenu(l):y.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(r){const l=this.createMenuItem(f.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),h=this.getUpdateMenuItems();let b;if(this.shouldDrawMenu("Preferences")){const q=new y.Menu;this.setMenuById(q,"Preferences"),b=new y.MenuItem({label:this.mnemonicLabel(f.localize(11,null)),submenu:q})}const L=new y.Menu,R=new y.MenuItem({label:f.localize(12,null),role:"services",submenu:L}),T=new y.MenuItem({label:f.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),U=new y.MenuItem({label:f.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),Q=new y.MenuItem({label:f.localize(15,null),role:"unhide"}),se=new y.MenuItem(this.likeAction("workbench.action.quit",{label:f.localize(16,null,this.productService.nameLong),click:()=>{const q=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!y.BrowserWindow.getFocusedWindow()||q?.isMinimized())&&this.nativeHostMainService.quit(void 0)}})),ne=[l];ne.push(...h),b&&ne.push(s(),b),ne.push(s(),R,s(),T,U,Q,s(),se),ne.forEach(q=>r.append(q))}shouldDrawMenu(r){if(!k.isMacintosh&&(0,a.getTitleBarStyle)(this.configurationService)==="custom")return!1;switch(r){case"File":case"Help":if(k.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[r];case"Window":if(k.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[r]}}setMenu(r,l){l.forEach(h=>{if((0,S.isMenubarMenuItemSeparator)(h))r.append(s());else if((0,S.isMenubarMenuItemSubmenu)(h)){const b=new y.Menu,L=new y.MenuItem({label:this.mnemonicLabel(h.label),submenu:b});this.setMenu(b,h.submenu.items),r.append(L)}else(0,S.isMenubarMenuItemRecentAction)(h)?r.append(this.createOpenRecentMenuItem(h)):(0,S.isMenubarMenuItemAction)(h)&&(h.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(r),k.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[h.id]?r.append(new y.MenuItem(this.likeAction(h.id,{label:this.mnemonicLabel(h.label),click:this.fallbackMenuHandlers[h.id]}))):r.append(this.createMenuItem(h.label,h.id,!1,h.checked)):r.append(this.createMenuItem(h.label,h.id,h.enabled!==!1,!!h.checked)):r.append(this.createMenuItem(h.label,h.id,h.enabled!==!1,!!h.checked)))})}setMenuById(r,l){this.menubarMenus&&this.menubarMenus[l]&&this.setMenu(r,this.menubarMenus[l].items)}insertCheckForUpdatesItems(r){const l=this.getUpdateMenuItems();l.length&&(l.forEach(h=>r.append(h)),r.append(s()))}createOpenRecentMenuItem(r){const l=P.URI.revive(r.uri),h=r.id,b=h==="openRecentFile"?{fileUri:l}:h==="openRecentWorkspace"?{workspaceUri:l}:{folderUri:l};return new y.MenuItem(this.likeAction(h,{label:r.label,click:(L,R,T)=>{const U=this.isOptionClick(T);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[b],forceNewWindow:U,gotoLineMode:!1,remoteAuthority:r.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([l])}},!1))}isOptionClick(r){return!!(r&&(!k.isMacintosh&&(r.ctrlKey||r.shiftKey)||k.isMacintosh&&(r.metaKey||r.altKey)))}createRoleMenuItem(r,l,h){const b={label:this.mnemonicLabel(r),role:h,enabled:!0};return new y.MenuItem(this.withKeybinding(l,b))}setMacWindowMenu(r){const l=new y.MenuItem({label:f.localize(17,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),h=new y.MenuItem({label:f.localize(18,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),b=new y.MenuItem({label:f.localize(19,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),L=this.createMenuItem(f.localize(20,null),"workbench.action.switchWindow"),R=[];this.currentEnableNativeTabs&&(R.push(s()),R.push(this.createMenuItem(f.localize(21,null),"workbench.action.newWindowTab")),R.push(this.createRoleMenuItem(f.localize(22,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),R.push(this.createRoleMenuItem(f.localize(23,null),"workbench.action.showNextWindowTab","selectNextTab")),R.push(this.createRoleMenuItem(f.localize(24,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),R.push(this.createRoleMenuItem(f.localize(25,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[l,h,s(),L,...R,s(),b].forEach(T=>r.append(T))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new y.MenuItem({label:this.mnemonicLabel(f.localize(26,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate"),this.updateService.checkForUpdates(!0)},0)})];case"checking for updates":return[new y.MenuItem({label:f.localize(27,null),enabled:!1})];case"available for download":return[new y.MenuItem({label:this.mnemonicLabel(f.localize(28,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new y.MenuItem({label:f.localize(29,null),enabled:!1})];case"downloaded":return[new y.MenuItem({label:this.mnemonicLabel(f.localize(30,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new y.MenuItem({label:f.localize(31,null),enabled:!1})];case"ready":return[new y.MenuItem({label:this.mnemonicLabel(f.localize(32,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(r,l,h,b){const L=this.mnemonicLabel(r),R=typeof l=="function"?l:(ne,q,J)=>{const V=ne?ne.userSettingsLabel:null;let K=l;Array.isArray(l)&&(K=this.isOptionClick(J)?l[1]:l[0]),V&&J.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:V}):this.runActionInRenderer({type:"commandId",commandId:K})},T=typeof h=="boolean"?h:this.windowsMainService.getWindowCount()>0,U=typeof b=="boolean"?b:!1,Q={label:L,click:R,enabled:T};U&&(Q.type="checkbox",Q.checked=U);let se;return typeof l=="string"?se=l:Array.isArray(l)&&(se=l[0]),k.isMacintosh&&(se==="editor.action.clipboardCutAction"?Q.role="cut":se==="editor.action.clipboardCopyAction"?Q.role="copy":se==="editor.action.clipboardPasteAction"&&(Q.role="paste"),se==="undo"?Q.click=this.makeContextAwareClickHandler(R,{inDevTools:ne=>ne.undo(),inNoWindow:()=>y.Menu.sendActionToFirstResponder("undo:")}):se==="redo"?Q.click=this.makeContextAwareClickHandler(R,{inDevTools:ne=>ne.redo(),inNoWindow:()=>y.Menu.sendActionToFirstResponder("redo:")}):se==="editor.action.selectAll"&&(Q.click=this.makeContextAwareClickHandler(R,{inDevTools:ne=>ne.selectAll(),inNoWindow:()=>y.Menu.sendActionToFirstResponder("selectAll:")}))),new y.MenuItem(this.withKeybinding(se,Q))}makeContextAwareClickHandler(r,l){return(h,b,L)=>{const R=y.BrowserWindow.getFocusedWindow();if(!R)return l.inNoWindow();if(R.webContents.isDevToolsFocused()&&R.webContents.devToolsWebContents)return l.inDevTools(R.webContents.devToolsWebContents);r(h,b||R,L)}}runActionInRenderer(r){let l=y.BrowserWindow.getFocusedWindow();if(!l){const b=this.windowsMainService.getLastActiveWindow();b?.isMinimized()&&(l=b.win)}const h=l?this.windowsMainService.getWindowById(l.id):void 0;if(h){if(this.logService.trace("menubar#runActionInRenderer",r),k.isMacintosh&&!this.environmentMainService.isBuilt&&!h.isReady&&(r.type==="commandId"&&r.commandId==="workbench.action.toggleDevTools"||r.type!=="commandId"&&r.userSettingsLabel==="alt+cmd+i"))return;if(r.type==="commandId"){const b={id:r.commandId,from:"menu"};h.sendWhenReady("vscode:runAction",D.CancellationToken.None,b)}else{const b={userSettingsLabel:r.userSettingsLabel};h.sendWhenReady("vscode:runKeybinding",D.CancellationToken.None,b)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",r)}withKeybinding(r,l){const h=typeof r=="string"?this.keybindings[r]:void 0;if(h?.label){if(h.isNative!==!1)l.accelerator=h.label,l.userSettingsLabel=h.userSettingsLabel;else if(typeof l.label=="string"){const b=l.label.indexOf("[");b>=0?l.label=`${l.label.substr(0,b)} [${h.label}]`:l.label=`${l.label} [${h.label}]`}}else l.accelerator=void 0;return l}likeAction(r,l,h=!l.accelerator){h&&(l=this.withKeybinding(r,l));const b=l.click;return l.click=(L,R,T)=>{this.reportMenuActionTelemetry(r),b&&b(L,R,T)},l}openUrl(r,l){this.nativeHostMainService.openExternal(void 0,r),this.reportMenuActionTelemetry(l)}reportMenuActionTelemetry(r){this.telemetryService.publicLog2("workbenchActionExecuted",{id:r,from:o})}mnemonicLabel(r){return(0,C.mnemonicMenuLabel)(r,!this.currentEnableMenuBarMnemonics)}};u.lastKnownMenubarStorageKey="lastKnownMenubarData",u=de([re(0,M.IUpdateService),re(1,m.IConfigurationService),re(2,d.IWindowsMainService),re(3,E.IEnvironmentMainService),re(4,w.ITelemetryService),re(5,c.IWorkspacesHistoryMainService),re(6,g.IStateMainService),re(7,I.ILifecycleMainService),re(8,p.ILogService),re(9,t.INativeHostMainService),re(10,v.IProductService)],u),e.Menubar=u;function s(){return new y.MenuItem({type:"separator"})}}),define(ee[243],te([0,1,5,20,6,242]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,y.createDecorator)("menubarMainService");let k=class{constructor(f,m,E){this.instantiationService=f,this.lifecycleMainService=m,this.logService=E,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(C.Menubar)}async updateMenubar(f,m){this.logService.trace("menubarService#updateMenubar",f),(await this.menubar).updateMenu(m,f)}};k=de([re(0,y.IInstantiationService),re(1,n.ILifecycleMainService),re(2,D.ILogService)],k),e.MenubarMainService=k}),define(ee[244],te([0,1,14,28,26,31,21,4,27,42,33,2,10,9,63,3,34,16,13,7,157,52,19,49,23,18,5,20,6,55,22,56,64,38,67,241,99,223,30,100,68,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u,s,i,r,l,h,b,L,R,T,U,Q,se,ne,q,J,V,K,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function B(H){return(0,J.isWorkspaceIdentifier)(H?.workspace)}function $(H){return(0,J.isSingleFolderWorkspaceIdentifier)(H?.workspace)}let Y=class tt extends I.Disposable{constructor(F,W,A,_,N,O,z,x,ie,oe,Z,ce,le,he,ge){super();this.machineId=F,this.initialUserEnv=W,this.logService=A,this.stateMainService=_,this.environmentMainService=N,this.lifecycleMainService=O,this.backupMainService=z,this.configurationService=x,this.workspacesHistoryMainService=ie,this.workspacesManagementMainService=oe,this.instantiationService=Z,this.dialogMainService=ce,this.fileService=le,this.productService=he,this.protocolMainService=ge,this._onDidOpenWindow=this._register(new P.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new P.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new P.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new P.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new q.WindowsStateHandler(this,this.stateMainService,this.lifecycleMainService,this.logService,this.configurationService)),this.registerListeners()}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(F=>this._onDidSignalReadyWindow.fire(F.window))),this._register(this.onDidSignalReadyWindow(F=>{if(F.config?.extensionDevelopmentPath||F.config?.extensionTestsPath){const W=new I.DisposableStore;if(W.add(P.Event.any(F.onDidClose,F.onDidDestroy)(()=>W.dispose())),F.config.extensionDevelopmentPath)for(const A of F.config.extensionDevelopmentPath)W.add(this.protocolMainService.addValidFileRoot(a.URI.file(A)));F.config.extensionTestsPath&&W.add(this.protocolMainService.addValidFileRoot(a.URI.file(F.config.extensionTestsPath)))}}))}openEmptyWindow(F,W){let A=this.environmentMainService.args;const _=W?.remoteAuthority||void 0,N=!0,O=W?.forceReuseWindow,z=!O;return this.open({...F,cli:A,forceEmpty:N,forceNewWindow:z,forceReuseWindow:O,remoteAuthority:_})}openExistingWindow(F,W){F.focus(),this.handleWaitMarkerFile(W,[F])}open(F){this.logService.trace("windowsManager#open"),F.addMode&&(F.initialStartup||!this.getLastActiveWindow())&&(F.addMode=!1);const W=[],A=[],_=[],N=[],O=[];let z,x=0;const ie=this.getPathsToOpen(F);this.logService.trace("windowsManager#open pathsToOpen",ie);for(const le of ie)$(le)?F.addMode?W.push(le):A.push(le):B(le)?_.push(le):le.fileUri?(z||(z={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:le.remoteAuthority}),z.filesToOpenOrCreate.push(le)):le.backupPath?O.push({backupFolder:(0,S.basename)(le.backupPath),remoteAuthority:le.remoteAuthority}):x++;F.diffMode&&z&&z.filesToOpenOrCreate.length>=2&&(z.filesToDiff=z.filesToOpenOrCreate.slice(0,2),z.filesToOpenOrCreate=[]),z&&F.waitMarkerFileURI&&(z.filesToWait={paths:[...z.filesToDiff,...z.filesToOpenOrCreate],waitMarkerFileUri:F.waitMarkerFileURI}),F.initialStartup?(N.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),_.push(...N),O.push(...this.backupMainService.getEmptyWindowBackupPaths())):O.length=0;const{windows:oe,filesOpenedInWindow:Z}=this.doOpen(F,_,A,O,x,z,W);if(this.logService.trace(`windowsManager#open used window count ${oe.length} (workspacesToOpen: ${_.length}, foldersToOpen: ${A.length}, emptyToRestore: ${O.length}, emptyToOpen: ${x})`),oe.length>1)if(Z)Z.focus();else{const le=this.windowsStateHandler.state.lastActiveWindow&&!F.forceEmpty&&!F.cli._.length&&!F.cli["file-uri"]&&!F.cli["folder-uri"]&&!(F.urisToOpen&&F.urisToOpen.length);let he=!0,ge=!0;if(le){const be=oe.filter(fe=>this.windowsStateHandler.state.lastActiveWindow&&fe.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);be.length&&(be[0].focus(),he=!1,ge=!1)}if(he)for(let be=oe.length-1;be>=0;be--){const fe=oe[be];if(!(fe.openedWorkspace&&N.some(me=>fe.openedWorkspace&&me.workspace.id===fe.openedWorkspace.id)||fe.backupPath&&O.some(me=>fe.backupPath&&me.backupFolder===(0,S.basename)(fe.backupPath)))){fe.focus(),ge=!1;break}}ge&&oe[oe.length-1].focus()}const ce=z&&z.filesToDiff.length>0;if(!oe.some(le=>le.isExtensionDevelopmentHost)&&!ce&&!F.noRecentEntry){const le=[];for(const he of ie)B(he)&&!he.transient?le.push({label:he.label,workspace:he.workspace,remoteAuthority:he.remoteAuthority}):$(he)?le.push({label:he.label,folderUri:he.workspace.uri,remoteAuthority:he.remoteAuthority}):he.fileUri&&le.push({label:he.label,fileUri:he.fileUri,remoteAuthority:he.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(le)}return this.handleWaitMarkerFile(F,oe),oe}handleWaitMarkerFile(F,W){const A=F.waitMarkerFileURI;F.context===0&&A&&W.length===1&&W[0]&&(async()=>{await W[0].whenClosedOrLoaded;try{await this.fileService.del(A)}catch{}})()}doOpen(F,W,A,_,N,O,z){const x=[];let ie;function oe(fe,me){x.push(fe),me&&(ie=fe,O=void 0)}let{openFolderInNewWindow:Z,openFilesInNewWindow:ce}=this.shouldOpenNewWindow(F);if(!F.initialStartup&&z.length>0){const fe=z[0].remoteAuthority,me=this.getLastActiveWindowForAuthority(fe);me&&oe(this.doAddFoldersToExistingWindow(me,z.map(ye=>ye.workspace.uri)))}const le=A.length+W.length+_.length;if(O&&le===0){const fe=O.filesToOpenOrCreate[0]||O.filesToDiff[0],me=this.getWindows().filter(Pe=>O&&(0,w.isEqualAuthority)(Pe.remoteAuthority,O.remoteAuthority));let ye;fe?.fileUri&&!ce&&((F.context===4||F.context===0||F.context===1)&&(ye=(0,ne.findWindowOnFile)(me,fe.fileUri,Pe=>Pe.configPath.scheme===p.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(Pe.configPath):void 0)),ye||(ye=this.doGetLastActiveWindow(me))),ye?(0,J.isWorkspaceIdentifier)(ye.openedWorkspace)?W.push({workspace:ye.openedWorkspace,remoteAuthority:ye.remoteAuthority}):(0,J.isSingleFolderWorkspaceIdentifier)(ye.openedWorkspace)?A.push({workspace:ye.openedWorkspace,remoteAuthority:ye.remoteAuthority}):oe(this.doOpenFilesInExistingWindow(F,ye,O),!0):oe(this.openInBrowserWindow({userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,filesToOpen:O,forceNewWindow:!0,remoteAuthority:O.remoteAuthority,forceNewTabbedWindow:F.forceNewTabbedWindow}),!0)}const he=(0,C.distinct)(W,fe=>fe.workspace.id);if(he.length>0){const fe=(0,C.coalesce)(he.map(me=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),me.workspace.configPath)));if(fe.length>0){const me=fe[0],ye=(0,w.isEqualAuthority)(O?.remoteAuthority,me.remoteAuthority)?O:void 0;oe(this.doOpenFilesInExistingWindow(F,me,ye),!!ye),Z=!0}he.forEach(me=>{if(fe.some(Me=>Me.openedWorkspace&&Me.openedWorkspace.id===me.workspace.id))return;const ye=me.remoteAuthority,Pe=(0,w.isEqualAuthority)(O?.remoteAuthority,ye)?O:void 0;oe(this.doOpenFolderOrWorkspace(F,me,Z,Pe),!!Pe),Z=!0})}const ge=(0,C.distinct)(A,fe=>w.extUriBiasedIgnorePathCase.getComparisonKey(fe.workspace.uri));if(ge.length>0){const fe=(0,C.coalesce)(ge.map(me=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),me.workspace.uri)));if(fe.length>0){const me=fe[0],ye=(0,w.isEqualAuthority)(O?.remoteAuthority,me.remoteAuthority)?O:void 0;oe(this.doOpenFilesInExistingWindow(F,me,ye),!!ye),Z=!0}ge.forEach(me=>{if(fe.some(Me=>(0,J.isSingleFolderWorkspaceIdentifier)(Me.openedWorkspace)&&w.extUriBiasedIgnorePathCase.isEqual(Me.openedWorkspace.uri,me.workspace.uri)))return;const ye=me.remoteAuthority,Pe=(0,w.isEqualAuthority)(O?.remoteAuthority,ye)?O:void 0;oe(this.doOpenFolderOrWorkspace(F,me,Z,Pe),!!Pe),Z=!0})}const be=(0,C.distinct)(_,fe=>fe.backupFolder);if(be.length>0&&be.forEach(fe=>{const me=fe.remoteAuthority,ye=(0,w.isEqualAuthority)(O?.remoteAuthority,me)?O:void 0;oe(this.doOpenEmpty(F,!0,me,ye,fe),!!ye),Z=!0}),x.length===0||O){O&&!N&&N++;const fe=O?O.remoteAuthority:F.remoteAuthority;for(let me=0;me<N;me++)oe(this.doOpenEmpty(F,Z,fe,O),!!O),Z=!0}return{windows:(0,C.distinct)(x),filesOpenedInWindow:ie}}doOpenFilesInExistingWindow(F,W,A){this.logService.trace("windowsManager#doOpenFilesInExistingWindow",{filesToOpen:A}),W.focus();const _={filesToOpenOrCreate:A?.filesToOpenOrCreate,filesToDiff:A?.filesToDiff,filesToWait:A?.filesToWait,termProgram:F?.userEnv?.TERM_PROGRAM};return W.sendWhenReady("vscode:openFiles",k.CancellationToken.None,_),W}doAddFoldersToExistingWindow(F,W){this.logService.trace("windowsManager#doAddFoldersToExistingWindow",{foldersToAdd:W}),F.focus();const A={foldersToAdd:W};return F.sendWhenReady("vscode:addFolders",k.CancellationToken.None,A),F}doOpenEmpty(F,W,A,_,N){this.logService.trace("windowsManager#doOpenEmpty",{restore:!!N,remoteAuthority:A,filesToOpen:_,forceNewWindow:W});let O;return!W&&typeof F.contextWindowId=="number"&&(O=this.getWindowById(F.contextWindowId)),this.openInBrowserWindow({userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,remoteAuthority:A,forceNewWindow:W,forceNewTabbedWindow:F.forceNewTabbedWindow,filesToOpen:_,windowToUse:O,emptyWindowBackupInfo:N})}doOpenFolderOrWorkspace(F,W,A,_,N){return this.logService.trace("windowsManager#doOpenFolderOrWorkspace",{folderOrWorkspace:W,filesToOpen:_}),!A&&!N&&typeof F.contextWindowId=="number"&&(N=this.getWindowById(F.contextWindowId)),this.openInBrowserWindow({workspace:W.workspace,userEnv:F.userEnv,cli:F.cli,initialStartup:F.initialStartup,remoteAuthority:W.remoteAuthority,forceNewWindow:A,forceNewTabbedWindow:F.forceNewTabbedWindow,filesToOpen:_,windowToUse:N})}getPathsToOpen(F){let W,A=!1,_=!1;if(F.urisToOpen&&F.urisToOpen.length>0?(W=this.doExtractPathsFromAPI(F),A=!0):F.forceEmpty?W=[Object.create(null)]:F.cli._.length||F.cli["folder-uri"]||F.cli["file-uri"]?(W=this.doExtractPathsFromCLI(F.cli),W.length===0&&W.push(Object.create(null)),A=!0):(W=this.doGetPathsFromLastSession(),W.length===0&&W.push(Object.create(null)),_=!0),!F.addMode&&A){const N=W.filter(O=>$(O));if(N.length>1){const O=N[0].remoteAuthority;if(N.every(z=>(0,w.isEqualAuthority)(z.remoteAuthority,O))){const z=this.workspacesManagementMainService.createUntitledWorkspaceSync(N.map(x=>({uri:x.workspace.uri})));W.push({workspace:z,remoteAuthority:O}),W=W.filter(x=>!$(x))}}}return F.initialStartup&&!_&&this.configurationService.getValue("window")?.restoreWindows==="preserve"&&W.unshift(...this.doGetPathsFromLastSession().filter(N=>B(N)||$(N)||N.backupPath)),W}doExtractPathsFromAPI(F){const W=[],A={gotoLineMode:F.gotoLineMode,remoteAuthority:F.remoteAuthority};for(const _ of(0,C.coalesce)(F.urisToOpen||[])){const N=this.resolveOpenable(_,A);if(N)N.label=_.label,W.push(N);else{const O=this.resourceFromOpenable(_),z={title:this.productService.nameLong,type:"info",buttons:[(0,E.mnemonicButtonLabel)((0,d.localize)(0,null))],defaultId:0,message:O.scheme===p.Schemas.file?(0,d.localize)(1,null):(0,d.localize)(2,null),detail:O.scheme===p.Schemas.file?(0,d.localize)(3,null,(0,E.getPathLabel)(O.fsPath,this.environmentMainService)):(0,d.localize)(4,null,O.toString()),noLink:!0};this.dialogMainService.showMessageBox(z,(0,M.withNullAsUndefined)(y.BrowserWindow.getFocusedWindow()))}}return W}doExtractPathsFromCLI(F){const W=[],A={ignoreFileNotFound:!0,gotoLineMode:F.goto,remoteAuthority:F.remote||void 0,forceOpenWorkspaceAsFile:!1},_=F["folder-uri"];if(_)for(const z of _){const x=this.cliArgToUri(z);if(x){const ie=this.resolveOpenable({folderUri:x},A);ie&&W.push(ie)}}const N=F["file-uri"];if(N)for(const z of N){const x=this.cliArgToUri(z);if(x){const ie=this.resolveOpenable((0,J.hasWorkspaceFileExtension)(z)?{workspaceUri:x}:{fileUri:x},A);ie&&W.push(ie)}}const O=F._;for(const z of O){const x=A.remoteAuthority?this.doResolvePathRemote(z,A):this.doResolveFilePath(z,A);x&&W.push(x)}return W}cliArgToUri(F){try{const W=a.URI.parse(F);if(!W.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${F}`);return}return W}catch(W){this.logService.error(`Invalid URI input string: ${F}, ${W.message}`)}}doGetPathsFromLastSession(){const F=this.getRestoreWindowsSetting();switch(F){case"none":return[];case"one":case"all":case"preserve":case"folders":{const W=[];F!=="one"&&W.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&W.push(this.windowsStateHandler.state.lastActiveWindow);const A=[];for(const _ of W)if(_.workspace){const N=this.resolveOpenable({workspaceUri:_.workspace.configPath},{remoteAuthority:_.remoteAuthority,rejectTransientWorkspaces:!0});B(N)&&A.push(N)}else if(_.folderUri){const N=this.resolveOpenable({folderUri:_.folderUri},{remoteAuthority:_.remoteAuthority});$(N)&&A.push(N)}else F!=="folders"&&_.backupPath&&A.push({backupPath:_.backupPath,remoteAuthority:_.remoteAuthority});return A}}}getRestoreWindowsSetting(){let F;return this.lifecycleMainService.wasRestarted?F="all":(F=this.configurationService.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(F)||(F="all")),F}resolveOpenable(F,W=Object.create(null)){let A=this.resourceFromOpenable(F);return A.scheme===p.Schemas.file?((0,Q.isFileToOpen)(F)&&(W={...W,forceOpenWorkspaceAsFile:!0}),this.doResolveFilePath(A.fsPath,W)):this.doResolveRemoteOpenable(F,W)}doResolveRemoteOpenable(F,W){let A=this.resourceFromOpenable(F);const _=(0,T.getRemoteAuthority)(A)||W.remoteAuthority;if(A=(0,w.removeTrailingPathSeparator)((0,w.normalizePath)(A)),(0,Q.isFileToOpen)(F)){if(W.gotoLineMode){const{path:N,line:O,column:z}=(0,f.parseLineAndColumnAware)(A.path);return{fileUri:A.with({path:N}),selection:O?{startLineNumber:O,startColumn:z||1}:void 0,remoteAuthority:_}}return{fileUri:A,remoteAuthority:_}}else if((0,Q.isWorkspaceToOpen)(F))return{workspace:(0,V.getWorkspaceIdentifier)(A),remoteAuthority:_};return{workspace:(0,V.getSingleFolderWorkspaceIdentifier)(A),remoteAuthority:_}}resourceFromOpenable(F){return(0,Q.isWorkspaceToOpen)(F)?F.workspaceUri:(0,Q.isFolderToOpen)(F)?F.folderUri:F.fileUri}doResolveFilePath(F,W){let A,_;W.gotoLineMode&&({path:F,line:A,column:_}=(0,f.parseLineAndColumnAware)(F)),F=(0,f.sanitizeFilePath)((0,S.normalize)(F),(0,g.cwd)());try{const N=(0,n.statSync)(F);if(N.isFile()){if(!W.forceOpenWorkspaceAsFile){const O=this.workspacesManagementMainService.resolveLocalWorkspaceSync(a.URI.file(F));if(O)return O.transient&&W.rejectTransientWorkspaces?void 0:{workspace:{id:O.id,configPath:O.configPath},type:i.FileType.File,exists:!0,remoteAuthority:O.remoteAuthority,transient:O.transient}}return{fileUri:a.URI.file(F),type:i.FileType.File,exists:!0,selection:A?{startLineNumber:A,startColumn:_||1}:void 0}}else{if(N.isDirectory())return{workspace:(0,V.getSingleFolderWorkspaceIdentifier)(a.URI.file(F),N),type:i.FileType.Directory,exists:!0};if(!v.isWindows&&F==="/dev/null")return{fileUri:a.URI.file(F),type:i.FileType.File,exists:!0}}}catch{const O=a.URI.file(F);if(this.workspacesHistoryMainService.removeRecentlyOpened([O]),W.ignoreFileNotFound)return{fileUri:O,type:i.FileType.File,exists:!1}}}doResolvePathRemote(F,W){const A=F.charCodeAt(0),_=W.remoteAuthority;let N,O;W.gotoLineMode&&({path:F,line:N,column:O}=(0,f.parseLineAndColumnAware)(F)),A!==47&&((0,f.isWindowsDriveLetter)(A)&&F.charCodeAt(F.charCodeAt(1))===58&&(F=(0,f.toSlashes)(F)),F=`/${F}`);const z=a.URI.from({scheme:p.Schemas.vscodeRemote,authority:_,path:F});if(F.charCodeAt(F.length-1)!==47){if((0,J.hasWorkspaceFileExtension)(F))return W.forceOpenWorkspaceAsFile?{fileUri:z,selection:N?{startLineNumber:N,startColumn:O||1}:void 0,remoteAuthority:W.remoteAuthority}:{workspace:(0,V.getWorkspaceIdentifier)(z),remoteAuthority:_};if(W.gotoLineMode||S.posix.basename(F).indexOf(".")!==-1)return{fileUri:z,selection:N?{startLineNumber:N,startColumn:O||1}:void 0,remoteAuthority:_}}return{workspace:(0,V.getSingleFolderWorkspaceIdentifier)(z),remoteAuthority:_}}shouldOpenNewWindow(F){const W=this.configurationService.getValue("window"),A=W?.openFoldersInNewWindow||"default",_=W?.openFilesInNewWindow||"off";let N=(F.preferNewWindow||F.forceNewWindow)&&!F.forceReuseWindow;!F.forceNewWindow&&!F.forceReuseWindow&&(A==="on"||A==="off")&&(N=A==="on");let O=!1;return F.forceNewWindow||F.forceReuseWindow?O=!!F.forceNewWindow&&!F.forceReuseWindow:(v.isMacintosh?F.context===1&&(O=!0):F.context!==3&&F.context!==2&&!(F.userEnv&&F.userEnv.TERM_PROGRAM==="vscode")&&(O=!0),!F.cli.extensionDevelopmentPath&&(_==="on"||_==="off")&&(O=_==="on")),{openFolderInNewWindow:!!N,openFilesInNewWindow:O}}openExtensionDevelopmentHostWindow(F,W){const A=(0,ne.findWindowOnExtensionDevelopmentPath)(this.getWindows(),F);if(A)return this.lifecycleMainService.reload(A,W.cli),A.focus(),[A];let _=W.cli["folder-uri"]||[],N=W.cli["file-uri"]||[],O=W.cli._;if(!O.length&&!_.length&&!N.length&&!W.cli.extensionTestsPath){const oe=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,Z=oe&&(oe.workspace||oe.folderUri);Z&&(a.URI.isUri(Z)?Z.scheme===p.Schemas.file?O=[Z.fsPath]:_=[Z.toString()]:Z.configPath.scheme===p.Schemas.file?O=[(0,w.originalFSPath)(Z.configPath)]:N=[Z.configPath.toString()])}let z=W.remoteAuthority;for(const oe of F)if(oe.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const Z=a.URI.parse(oe),ce=(0,T.getRemoteAuthority)(Z);ce&&(z?(0,w.isEqualAuthority)(ce,z)||this.logService.error("more than one extension development path authority"):z=ce)}O=O.filter(oe=>{const Z=a.URI.file(oe);return(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),Z)?!1:(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(Z),z)}),_=_.filter(oe=>{const Z=this.cliArgToUri(oe);return Z&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),Z)?!1:Z?(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(Z),z):!1}),N=N.filter(oe=>{const Z=this.cliArgToUri(oe);return Z&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),Z)?!1:Z?(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(Z),z):!1}),W.cli._=O,W.cli["folder-uri"]=_,W.cli["file-uri"]=N;const x=!O.length&&!_.length&&!N.length,ie={context:W.context,cli:W.cli,forceNewWindow:!0,forceEmpty:x,userEnv:W.userEnv,noRecentEntry:!0,waitMarkerFileURI:W.waitMarkerFileURI,remoteAuthority:z};return this.open(ie)}openInBrowserWindow(F){const W=this.configurationService.getValue("window"),A={...this.environmentMainService.args,...F.cli,machineId:this.machineId,windowId:-1,mainPid:process.pid,appRoot:this.environmentMainService.appRoot,execPath:process.execPath,codeCachePath:this.environmentMainService.codeCachePath,backupPath:F.emptyWindowBackupInfo?(0,S.join)(this.environmentMainService.backupHome,F.emptyWindowBackupInfo.backupFolder):void 0,homeDir:this.environmentMainService.userHome.fsPath,tmpDir:this.environmentMainService.tmpDir.fsPath,userDataDir:this.environmentMainService.userDataPath,remoteAuthority:F.remoteAuthority,workspace:F.workspace,userEnv:{...this.initialUserEnv,...F.userEnv},filesToOpenOrCreate:F.filesToOpen?.filesToOpenOrCreate,filesToDiff:F.filesToOpen?.filesToDiff,filesToWait:F.filesToOpen?.filesToWait,logLevel:this.logService.getLevel(),logsPath:this.environmentMainService.logsPath,product:b.default,isInitialStartup:F.initialStartup,perfMarks:(0,t.getMarks)(),os:{release:(0,D.release)(),hostname:(0,D.hostname)()},zoomLevel:typeof W?.zoomLevel=="number"?W.zoomLevel:void 0,autoDetectHighContrast:W?.autoDetectHighContrast??!0,accessibilitySupport:y.app.accessibilitySupportEnabled,colorScheme:{dark:y.nativeTheme.shouldUseDarkColors,highContrast:y.nativeTheme.shouldUseInvertedColorScheme||y.nativeTheme.shouldUseHighContrastColors}};let _;if(!F.forceNewWindow&&!F.forceNewTabbedWindow&&(_=F.windowToUse||this.getLastActiveWindow(),_&&_.focus()),_){const N=_.config;!A.extensionDevelopmentPath&&N&&!!N.extensionDevelopmentPath&&(A.extensionDevelopmentPath=N.extensionDevelopmentPath,A.verbose=N.verbose,A["inspect-brk-extensions"]=N["inspect-brk-extensions"],A.debugId=N.debugId,A.extensionEnvironment=N.extensionEnvironment,A["inspect-extensions"]=N["inspect-extensions"],A["extensions-dir"]=N["extensions-dir"])}else{const N=this.windowsStateHandler.getNewWindowState(A);(0,t.mark)("code/willCreateCodeWindow");const O=_=this.instantiationService.createInstance(se.CodeWindow,{state:N,extensionDevelopmentPath:A.extensionDevelopmentPath,isExtensionTestHost:!!A.extensionTestsPath});if((0,t.mark)("code/didCreateCodeWindow"),F.forceNewTabbedWindow){const x=this.getLastActiveWindow();x&&x.addTabbedWindow(O)}tt.WINDOWS.push(O),this._onDidOpenWindow.fire(O),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,m.once)(O.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(O)),(0,m.once)(O.onDidClose)(()=>this.onWindowClosed(O)),(0,m.once)(O.onDidDestroy)(()=>this._onDidDestroyWindow.fire(O));const z=(0,M.assertIsDefined)(O.win?.webContents);z.removeAllListeners("devtools-reload-page"),z.on("devtools-reload-page",()=>this.lifecycleMainService.reload(O)),this.lifecycleMainService.registerWindow(O)}return A.windowId=_.id,_.isReady?this.lifecycleMainService.unload(_,4).then(N=>{N||this.doOpenInBrowserWindow(_,A,F)}):this.doOpenInBrowserWindow(_,A,F),_}doOpenInBrowserWindow(F,W,A){if(!W.extensionDevelopmentPath)if((0,J.isWorkspaceIdentifier)(W.workspace))W.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:W.workspace,remoteAuthority:W.remoteAuthority});else if((0,J.isSingleFolderWorkspaceIdentifier)(W.workspace))W.backupPath=this.backupMainService.registerFolderBackupSync({folderUri:W.workspace.uri,remoteAuthority:W.remoteAuthority});else{const _=A.emptyWindowBackupInfo&&A.emptyWindowBackupInfo.backupFolder;W.backupPath=this.backupMainService.registerEmptyWindowBackupSync(_,W.remoteAuthority)}F.load(W)}onWindowClosed(F){const W=tt.WINDOWS.indexOf(F);tt.WINDOWS.splice(W,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const F=y.BrowserWindow.getFocusedWindow();if(F)return this.getWindowById(F.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(F){return this.doGetLastActiveWindow(this.getWindows().filter(W=>(0,w.isEqualAuthority)(W.remoteAuthority,F)))}doGetLastActiveWindow(F){const W=Math.max.apply(Math,F.map(A=>A.lastFocusTime));return F.find(A=>A.lastFocusTime===W)}sendToFocused(F,...W){const A=this.getFocusedWindow()||this.getLastActiveWindow();A&&A.sendWhenReady(F,k.CancellationToken.None,...W)}sendToAll(F,W,A){for(const _ of this.getWindows())A&&A.indexOf(_.id)>=0||_.sendWhenReady(F,k.CancellationToken.None,W)}getWindows(){return tt.WINDOWS}getWindowCount(){return tt.WINDOWS.length}getWindowById(F){const W=this.getWindows().filter(A=>A.id===F);return(0,C.firstOrDefault)(W)}getWindowByWebContents(F){const W=y.BrowserWindow.fromWebContents(F);if(!!W)return this.getWindowById(W.id)}};Y.WINDOWS=[],Y=de([re(2,h.ILogService),re(3,U.IStateMainService),re(4,s.IEnvironmentMainService),re(5,l.ILifecycleMainService),re(6,c.IBackupMainService),re(7,o.IConfigurationService),re(8,K.IWorkspacesHistoryMainService),re(9,j.IWorkspacesManagementMainService),re(10,r.IInstantiationService),re(11,u.IDialogMainService),re(12,i.IFileService),re(13,L.IProductService),re(14,R.IProtocolMainService)],Y),e.WindowsMainService=Y}),define(ee[245],te([0,1,52,36,68,45]),function(G,e,y,n,D,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let k=class{constructor(f,m,E,I){this.workspacesManagementMainService=f,this.windowsMainService=m,this.workspacesHistoryMainService=E,this.backupMainService=I,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(f,m){const E=this.windowsMainService.getWindowById(f);if(E)return this.workspacesManagementMainService.enterWorkspace(E,this.windowsMainService.getWindows(),m)}createUntitledWorkspace(f,m,E){return this.workspacesManagementMainService.createUntitledWorkspace(m,E)}deleteUntitledWorkspace(f,m){return this.workspacesManagementMainService.deleteUntitledWorkspace(m)}getWorkspaceIdentifier(f,m){return this.workspacesManagementMainService.getWorkspaceIdentifier(m)}getRecentlyOpened(f){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(f))}addRecentlyOpened(f,m){return this.workspacesHistoryMainService.addRecentlyOpened(m)}removeRecentlyOpened(f,m){return this.workspacesHistoryMainService.removeRecentlyOpened(m)}clearRecentlyOpened(f){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};k=de([re(0,C.IWorkspacesManagementMainService),re(1,n.IWindowsMainService),re(2,D.IWorkspacesHistoryMainService),re(3,y.IBackupMainService)],k),e.WorkspacesMainService=k}),define(ee[246],te([0,1,14,28,26,17,39,15,27,42,43,33,2,10,9,3,13,7,32,72,123,37,126,86,237,136,52,227,19,165,75,49,228,89,23,54,91,173,190,174,224,90,175,176,18,185,94,74,5,76,238,203,101,20,6,187,243,50,22,64,233,77,38,221,79,204,29,206,208,65,41,212,235,239,236,240,98,213,214,215,216,218,36,244,219,30,68,245,45]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u,s,i,r,l,h,b,L,R,T,U,Q,se,ne,q,J,V,K,j,B,$,Y,H,F,W,A,_,N,O,z,x,ie,oe,Z,ce,le,he,ge,be,fe,me,ye,Pe,Me,Te,Oe,Be,He,mt,ot,at,ct,qe,je,X,ae,ue,pe,Ie,Re,_e,Ke,Ne,We,$e,Ve){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let Ye=class extends p.Disposable{constructor(we,Se,Ee,ve,ke,De,Ce,Ae,Fe,Xe){super();this.mainProcessNodeIpcServer=we,this.userEnv=Se,this.mainInstantiationService=Ee,this.logService=ve,this.environmentMainService=ke,this.lifecycleMainService=De,this.configurationService=Ce,this.stateMainService=Ae,this.fileService=Fe,this.productService=Xe,this.configureSession(),this.registerListeners()}configureSession(){const we=ve=>ve?.startsWith(`${S.Schemas.vscodeWebview}://`),Se=new Set(["clipboard-read","clipboard-sanitized-write"]);y.session.defaultSession.setPermissionRequestHandler((ve,ke,De,Ce)=>we(Ce.requestingUrl)?De(Se.has(ke)):De(!1)),y.session.defaultSession.setPermissionCheckHandler((ve,ke,De,Ce)=>we(Ce.requestingUrl)?Se.has(ke):!1);const Ee=y.session.defaultSession;typeof Ee.setCodeCachePath=="function"&&this.environmentMainService.codeCachePath&&Ee.setCodeCachePath((0,t.join)(this.environmentMainService.codeCachePath,"chrome"))}registerListeners(){(0,P.setUnexpectedErrorHandler)(Ee=>this.onUnexpectedError(Ee)),process.on("uncaughtException",Ee=>(0,P.onUnexpectedError)(Ee)),process.on("unhandledRejection",Ee=>(0,P.onUnexpectedError)(Ee)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),(0,d.registerContextMenuListener)(),y.app.on("accessibility-support-changed",(Ee,ve)=>{this.windowsMainService?.sendToAll("vscode:accessibilitySupportChanged",ve)}),y.app.on("activate",(Ee,ve)=>{this.logService.trace("app#activate"),ve||this.windowsMainService?.openEmptyWindow({context:1})}),y.app.on("web-contents-created",(Ee,ve)=>{ve.on("will-navigate",ke=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),ke.preventDefault()}),ve.setWindowOpenHandler(({url:ke})=>(this.nativeHostMainService?.openExternal(void 0,ke),{action:"deny"}))});let we=[],Se;y.app.on("open-file",(Ee,ve)=>{this.logService.trace("app#open-file: ",ve),Ee.preventDefault(),we.push(this.getWindowOpenableFromPathSync(ve)),Se!==void 0&&(clearTimeout(Se),Se=void 0),Se=setTimeout(()=>{this.windowsMainService?.open({context:1,cli:this.environmentMainService.args,urisToOpen:we,gotoLineMode:!1,preferNewWindow:!0}),we=[],Se=void 0},100)}),y.app.on("new-window-for-tab",()=>{this.windowsMainService?.openEmptyWindow({context:4})}),y.ipcMain.handle("vscode:fetchShellEnv",Ee=>{const ve=this.windowsMainService?.getWindowByWebContents(Ee.sender);let ke,De;return ve?.config?(ke=ve.config,De={...process.env,...ve.config.userEnv}):(ke=this.environmentMainService.args,De=process.env),this.resolveShellEnvironment(ke,De,!1)}),y.ipcMain.handle("vscode:writeNlsFile",(Ee,ve,ke)=>{const De=this.validateNlsPath([ve]);if(!De||typeof ke!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(De,C.VSBuffer.fromString(ke))}),y.ipcMain.handle("vscode:readNlsFile",async(Ee,...ve)=>{const ke=this.validateNlsPath(ve);if(!ke)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(ke)).value.toString()}),y.ipcMain.on("vscode:toggleDevTools",Ee=>Ee.sender.toggleDevTools()),y.ipcMain.on("vscode:openDevTools",Ee=>Ee.sender.openDevTools()),y.ipcMain.on("vscode:reloadWindow",Ee=>Ee.sender.reload())}validateNlsPath(we){let Se;for(const Ee of we)typeof Ee=="string"&&(typeof Se!="string"?Se=Ee:Se=(0,t.join)(Se,Ee));if(!(typeof Se!="string"||!(0,t.isAbsolute)(Se)||!(0,f.isEqualOrParent)(Se,this.environmentMainService.cachedLanguagesPath,!v.isLinux)))return w.URI.file(Se)}onUnexpectedError(we){if(we){const Se={message:`[uncaught exception in main]: ${we.message}`,stack:we.stack};this.windowsMainService?.sendToFocused("vscode:reportError",JSON.stringify(Se))}this.logService.error(`[uncaught exception in main]: ${we}`),we.stack&&this.logService.error(we.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const we=this.productService.win32AppUserModelId;v.isWindows&&we&&y.app.setAppUserModelId(we);try{v.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!y.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&y.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Fe){this.logService.error(Fe)}const Se=new o.Server;this.logService.trace("Resolving machine identifier...");const Ee=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${Ee}`);const{sharedProcess:ve,sharedProcessReady:ke,sharedProcessClient:De}=this.setupSharedProcess(Ee),Ce=await this.initServices(Ee,ve,ke);if(this.environmentMainService.driverHandle){const Fe=await(0,T.serve)(Se,this.environmentMainService.driverHandle,this.environmentMainService,Ce);this.logService.info("Driver started at:",this.environmentMainService.driverHandle),this._register(Fe)}this._register(Ce.createInstance(s.ProxyAuthHandler)),Ce.invokeFunction(Fe=>this.initChannels(Fe,Se,De));const Ae=Ce.invokeFunction(Fe=>this.openFirstWindow(Fe,Se));Ce.invokeFunction(Fe=>this.afterWindowOpen(Fe,ve)),this.environmentMainService.args.trace&&Ce.invokeFunction(Fe=>this.stopTracingEventually(Fe,Ae))}async resolveMachineId(){let we=this.stateMainService.getItem(Me.machineIdKey);return(!we||v.isMacintosh&&we==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(we=await(0,a.getMachineId)(),this.stateMainService.setItem(Me.machineIdKey,we)),we}setupSharedProcess(we){const Se=this._register(this.mainInstantiationService.createInstance(ge.SharedProcess,we,this.userEnv)),Ee=(async()=>{this.logService.trace("Main->SharedProcess#connect");const ke=await Se.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new u.Client(ke,"main")})(),ve=(async()=>(await Se.whenReady(),Ee))();return{sharedProcess:Se,sharedProcessReady:ve,sharedProcessClient:Ee}}async initServices(we,Se,Ee){const ve=new _.ServiceCollection;switch(process.platform){case"win32":ve.set(He.IUpdateService,new W.SyncDescriptor(qe.Win32UpdateService));break;case"linux":v.isLinuxSnap?ve.set(He.IUpdateService,new W.SyncDescriptor(ct.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ve.set(He.IUpdateService,new W.SyncDescriptor(at.LinuxUpdateService));break;case"darwin":ve.set(He.IUpdateService,new W.SyncDescriptor(ot.DarwinUpdateService));break}ve.set(Re.IWindowsMainService,new W.SyncDescriptor(_e.WindowsMainService,[we,this.userEnv])),ve.set(R.IDialogMainService,new W.SyncDescriptor(R.DialogMainService)),ve.set(z.ILaunchMainService,new W.SyncDescriptor(z.LaunchMainService)),ve.set(L.IDiagnosticsService,c.ProxyChannel.toService((0,c.getDelayedChannel)(Ee.then(De=>De.getChannel("diagnostics"))))),ve.set(N.IIssueMainService,new W.SyncDescriptor(N.IssueMainService,[this.userEnv])),ve.set(U.IEncryptionMainService,new W.SyncDescriptor(U.EncryptionMainService,[we])),ve.set(O.IKeyboardLayoutMainService,new W.SyncDescriptor(O.KeyboardLayoutMainService)),ve.set(ce.INativeHostMainService,new W.SyncDescriptor(ce.NativeHostMainService,[Se])),ve.set(pe.IWebviewManagerService,new W.SyncDescriptor(Ie.WebviewMainService)),ve.set(Ne.IWorkspacesService,new W.SyncDescriptor($e.WorkspacesMainService)),ve.set(Ve.IWorkspacesManagementMainService,new W.SyncDescriptor(Ve.WorkspacesManagementMainService)),ve.set(We.IWorkspacesHistoryMainService,new W.SyncDescriptor(We.WorkspacesHistoryMainService)),ve.set(Z.IMenubarMainService,new W.SyncDescriptor(Z.MenubarMainService)),ve.set(q.IExtensionUrlTrustService,new W.SyncDescriptor(J.ExtensionUrlTrustService)),ve.set(V.IExtensionHostStarter,new W.SyncDescriptor(K.WorkerMainProcessExtensionHostStarter)),ve.set(ye.IStorageMainService,new W.SyncDescriptor(ye.StorageMainService)),ve.set(ye.IGlobalStorageMainService,new W.SyncDescriptor(ye.GlobalStorageMainService)),v.isWindows?ve.set(j.IExternalTerminalMainService,new W.SyncDescriptor(B.WindowsExternalTerminalService)):v.isMacintosh?ve.set(j.IExternalTerminalMainService,new W.SyncDescriptor(B.MacExternalTerminalService)):v.isLinux&&ve.set(j.IExternalTerminalMainService,new W.SyncDescriptor(B.LinuxExternalTerminalService));const ke=new l.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ve.set(r.IBackupMainService,ke),ve.set(je.IURLService,new W.SyncDescriptor(ae.NativeURLService)),(0,Be.supportsTelemetry)(this.productService,this.environmentMainService)){const De=(0,c.getDelayedChannel)(Ee.then(Qe=>Qe.getChannel("telemetryAppender"))),Ce=new Te.TelemetryAppenderClient(De),Ae=(0,Pe.resolveCommonProperties)(this.fileService,(0,D.release)(),(0,D.hostname)(),process.arch,this.productService.commit,this.productService.version,we,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),Fe=[this.environmentMainService.appRoot,this.environmentMainService.extensionsPath],Xe={appenders:[Ce],commonProperties:Ae,piiPaths:Fe,sendErrorTelemetry:!0};ve.set(Me.ITelemetryService,new W.SyncDescriptor(Oe.TelemetryService,[Xe]))}else ve.set(Me.ITelemetryService,Be.NullTelemetryService);return await ke.initialize(),this.mainInstantiationService.createChild(ve)}initChannels(we,Se,Ee){const ve=c.ProxyChannel.fromService(we.get(z.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ve);const ke=this.fileService.getProvider(S.Schemas.file);(0,g.assertType)(ke instanceof F.DiskFileSystemProvider);const De=new H.DiskFileSystemProviderChannel(ke,this.logService);Se.registerChannel($.LOCAL_FILE_SYSTEM_CHANNEL_NAME,De),Ee.then(Le=>Le.registerChannel($.LOCAL_FILE_SYSTEM_CHANNEL_NAME,De));const Ce=new mt.UpdateChannel(we.get(He.IUpdateService));Se.registerChannel("update",Ce);const Ae=c.ProxyChannel.fromService(we.get(N.IIssueMainService));Se.registerChannel("issue",Ae);const Fe=c.ProxyChannel.fromService(we.get(U.IEncryptionMainService));Se.registerChannel("encryption",Fe);const Xe=c.ProxyChannel.fromService(we.get(be.ISignService));Se.registerChannel("sign",Xe);const Qe=c.ProxyChannel.fromService(we.get(O.IKeyboardLayoutMainService));Se.registerChannel("keyboardLayout",Qe),this.nativeHostMainService=we.get(ce.INativeHostMainService);const Je=c.ProxyChannel.fromService(this.nativeHostMainService);Se.registerChannel("nativeHost",Je),Ee.then(Le=>Le.registerChannel("nativeHost",Je));const it=c.ProxyChannel.fromService(we.get(Ne.IWorkspacesService));Se.registerChannel("workspaces",it);const wt=c.ProxyChannel.fromService(we.get(Z.IMenubarMainService));Se.registerChannel("menubar",wt);const Ue=c.ProxyChannel.fromService(we.get(je.IURLService));Se.registerChannel("url",Ue);const ut=c.ProxyChannel.fromService(we.get(q.IExtensionUrlTrustService));Se.registerChannel("extensionUrlTrust",ut);const nt=c.ProxyChannel.fromService(we.get(pe.IWebviewManagerService));Se.registerChannel("webview",nt);const Ze=this._register(new me.StorageDatabaseChannel(this.logService,we.get(ye.IStorageMainService)));Se.registerChannel("storage",Ze),Ee.then(Le=>Le.registerChannel("storage",Ze));const ht=c.ProxyChannel.fromService(we.get(j.IExternalTerminalMainService));Se.registerChannel("externalTerminal",ht);const rt=new oe.LogLevelChannel(we.get(ie.ILogService));Se.registerChannel("logLevel",rt),Ee.then(Le=>Le.registerChannel("logLevel",rt));const xe=new oe.LoggerChannel(we.get(ie.ILoggerService));Se.registerChannel("logger",xe),Ee.then(Le=>Le.registerChannel("logger",xe));const st=new b.ElectronExtensionHostDebugBroadcastChannel(we.get(Re.IWindowsMainService));Se.registerChannel("extensionhostdebugservice",st);const dt=c.ProxyChannel.fromService(we.get(V.IExtensionHostStarter));Se.registerChannel(V.ipcExtensionHostStarterChannelName,dt)}openFirstWindow(we,Se){const Ee=this.windowsMainService=we.get(Re.IWindowsMainService),ve=we.get(je.IURLService),ke=we.get(ce.INativeHostMainService);this.lifecycleMainService.phase=2;const De=[],Ce=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(Le=>{try{return{uri:w.URI.parse(Le),url:Le}}catch{return}}).filter(Le=>{if(!Le||this.shouldBlockURI(Le.uri))return!1;const et=this.getWindowOpenableFromProtocolLink(Le.uri);return et?(De.push(et),!1):!0}),Ae=this,Fe=this.environmentMainService,Xe=this.productService;ve.registerHandler({async handleURL(Le,et){if(Le.scheme===Xe.urlProtocol&&Le.path==="workspace"&&(Le=Le.with({authority:"file",path:w.URI.parse(Le.query).path,query:""})),Ae.shouldBlockURI(Le))return!0;const bt=Ae.getWindowOpenableFromProtocolLink(Le);if(bt){const[pt]=Ee.open({context:5,cli:{...Fe.args},urisToOpen:[bt],gotoLineMode:!0});return pt.focus(),!0}if(v.isMacintosh&&Ee.getWindowCount()===0){const[pt]=Ee.open({context:5,cli:{...Fe.args},forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,he.getRemoteAuthority)(Le)});return await pt.ready(),ve.open(Le,et)}return!1}});const Qe=this._register(new Ke.ActiveWindowManager({onDidOpenWindow:ke.onDidOpenWindow,onDidFocusWindow:ke.onDidFocusWindow,getActiveWindowId:()=>ke.getActiveWindowId(-1)})),Je=new c.StaticRouter(Le=>Qe.getActiveClientId().then(et=>Le===et)),it=new X.URLHandlerRouter(Je),wt=Se.getChannel("urlHandler",it);ve.registerHandler(new X.URLHandlerChannelClient(wt)),this._register(new ue.ElectronURLListener(Ce,ve,Ee,this.environmentMainService,this.productService));const Ue=this.environmentMainService.args,ut=global.macOpenFiles,nt=(0,se.isLaunchedFromCli)(process.env)?0:4,Ze=Ue._.length,ht=!!Ue["folder-uri"],rt=!!Ue["file-uri"],xe=Ue["skip-add-to-recently-opened"]===!0,st=Ue.wait&&Ue.waitMarkerFilePath?w.URI.file(Ue.waitMarkerFilePath):void 0,dt=Ue.remote||void 0;return De.length>0?Ee.open({context:nt,cli:Ue,urisToOpen:De,gotoLineMode:!0,initialStartup:!0}):Ue["new-window"]&&!Ze&&!ht&&!rt?Ee.open({context:nt,cli:Ue,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:xe,waitMarkerFileURI:st,initialStartup:!0,remoteAuthority:dt}):ut.length&&!Ze&&!ht&&!rt?Ee.open({context:1,cli:Ue,urisToOpen:ut.map(Le=>this.getWindowOpenableFromPathSync(Le)),noRecentEntry:xe,waitMarkerFileURI:st,initialStartup:!0}):Ee.open({context:nt,cli:Ue,forceNewWindow:Ue["new-window"]||!Ze&&Ue["unity-launch"],diffMode:Ue.diff,noRecentEntry:xe,waitMarkerFileURI:st,gotoLineMode:Ue.goto,initialStartup:!0,remoteAuthority:dt})}shouldBlockURI(we){return!!(we.authority===S.Schemas.file&&v.isWindows&&y.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[(0,I.mnemonicButtonLabel)((0,i.localize)(0,null)),(0,I.mnemonicButtonLabel)((0,i.localize)(1,null))],defaultId:0,cancelId:1,message:(0,i.localize)(2,null,(0,I.getPathLabel)(we.fsPath,this.environmentMainService),this.productService.nameShort),detail:(0,i.localize)(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(we){if(!!we.path){if(we.authority===S.Schemas.file){const Se=w.URI.file(we.fsPath);return(0,Ne.hasWorkspaceFileExtension)(Se)?{workspaceUri:Se}:{fileUri:Se}}else if(we.authority===S.Schemas.vscodeRemote){const Se=we.path.indexOf(t.posix.sep,1);if(Se!==-1){const Ee=we.path.substring(1,Se),ve=we.path.substring(Se),ke=w.URI.from({scheme:S.Schemas.vscodeRemote,authority:Ee,path:ve,query:we.query,fragment:we.fragment});return(0,Ne.hasWorkspaceFileExtension)(ve)?{workspaceUri:ke}:/:[\d]+$/.test(ve)?{fileUri:ke}:{folderUri:ke}}}}}getWindowOpenableFromPathSync(we){try{if((0,n.statSync)(we).isDirectory())return{folderUri:w.URI.file(we)};if((0,Ne.hasWorkspaceFileExtension)(we))return{workspaceUri:w.URI.file(we)}}catch{}return{fileUri:w.URI.file(we)}}async afterWindowOpen(we,Se){this.lifecycleMainService.phase=3;let Ee=!1;(0,m.once)(this.lifecycleMainService.onWillShutdown)(()=>Ee=!0);const ve=we.get(Me.ITelemetryService);this._register(Se.onDidError(({type:Ce,details:Ae})=>{let Fe;switch(Ce){case 1:Fe="SharedProcess: detected unresponsive window";break;case 2:Fe=`SharedProcess: crashed (detail: ${Ae?.reason??"<unknown>"}, code: ${Ae?.exitCode??"<unknown>"})`;break;case 3:Fe=`SharedProcess: failed to load (detail: ${Ae?.reason??"<unknown>"}, code: ${Ae?.exitCode??"<unknown>"})`;break}(0,P.onUnexpectedError)(new Error(Fe)),ve.publicLog2("sharedprocesserror",{type:Ce,reason:Ae?.reason,code:Ae?.exitCode,visible:Se.isVisible(),shuttingdown:Ee})}));const ke=this.productService.win32MutexName;if(v.isWindows&&ke)try{const Ce=G.__$__nodeRequire("windows-mutex").Mutex,Ae=new Ce(ke);(0,m.once)(this.lifecycleMainService.onWillShutdown)(()=>Ae.release())}catch(Ce){this.logService.error(Ce)}y.protocol.registerHttpProtocol(S.Schemas.vscodeRemoteResource,(Ce,Ae)=>{Ae({url:Ce.url.replace(/^vscode-remote-resource:/,"http:"),method:Ce.method})});const De=we.get(He.IUpdateService);(De instanceof qe.Win32UpdateService||De instanceof at.LinuxUpdateService||De instanceof ot.DarwinUpdateService)&&De.initialize(),this.resolveShellEnvironment(this.environmentMainService.args,process.env,!0);try{const Ae=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse((0,E.stripComments)(Ae))["enable-crash-reporter"]===void 0){const Qe=(0,Be.getTelemetryLevel)(this.configurationService)>=1,Je=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${Qe},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,M.generateUuid)()}"`,"}"],it=Ae.substring(0,Ae.length-2).concat(`,
`,Je.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,C.VSBuffer.fromString(it))}}catch(Ce){this.logService.error(Ce)}}async resolveShellEnvironment(we,Se,Ee){try{return await(0,ne.getResolvedShellEnv)(this.logService,we,Se)}catch(ve){const ke=(0,k.toErrorMessage)(ve);Ee?this.windowsMainService?.sendToFocused("vscode:showResolveShellEnvError",ke):this.logService.error(ke)}return{}}stopTracingEventually(we,Se){this.logService.info("Tracing: waiting for windows to get ready...");const Ee=we.get(R.IDialogMainService);let ve=!1;const ke=async Ce=>{if(ve)return;ve=!0;const Ae=await y.contentTracing.stopRecording(`${(0,f.randomPath)(this.environmentMainService.userHome.fsPath,this.productService.applicationName)}.trace.txt`);Ce?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${Ae}`):Ee.showMessageBox({title:this.productService.nameLong,type:"info",message:(0,i.localize)(4,null),detail:(0,i.localize)(5,null,Ae),buttons:[(0,I.mnemonicButtonLabel)((0,i.localize)(6,null))],defaultId:0,noLink:!0},(0,g.withNullAsUndefined)(y.BrowserWindow.getFocusedWindow()))},De=setTimeout(()=>ke(!0),3e4);Promise.all(Se.map(Ce=>Ce.ready())).then(()=>{clearTimeout(De),ke(!1)})}};Ye=de([re(2,A.IInstantiationService),re(3,ie.ILogService),re(4,Q.IEnvironmentMainService),re(5,x.ILifecycleMainService),re(6,h.IConfigurationService),re(7,fe.IStateMainService),re(8,Y.IFileService),re(9,le.IProductService)],Ye),e.CodeApplication=Ye}),define(ee[253],te([0,1,14,28,31,8,39,15,27,42,33,10,9,63,3,34,25,24,37,58,246,11,19,194,205,23,54,168,18,184,94,74,178,76,20,95,6,188,96,55,22,56,191,97,230,48,232,77,202,38,234,65,66,211]),function(G,e,y,n,D,C,k,P,f,m,E,I,p,S,t,v,g,w,M,a,d,c,o,u,s,i,r,l,h,b,L,R,T,U,Q,se,ne,q,J,V,K,j,B,$,Y,H,F,W,A,_,N,O,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class x{main(){try{this.startup()}catch(Z){console.error(Z.message),y.app.exit(1)}}async startup(){(0,P.setUnexpectedErrorHandler)(me=>console.error(me));const[Z,ce,le,he,ge,be,fe]=this.createServices();try{try{await this.initServices(le,he,ge)}catch(me){throw this.handleStartupDataDirError(le,fe.nameLong,me),me}await Z.invokeFunction(async me=>{const ye=me.get(ne.ILogService),Pe=me.get(Q.ILifecycleMainService),Me=me.get(h.IFileService),Te=await this.claimInstance(ye,le,Pe,Z,fe,!0);return w.Promises.writeFile(le.mainLockfile,String(process.pid)).catch(Oe=>{ye.warn(`Error writing main lockfile: ${Oe.stack}`)}),be.logger=new J.SpdLogLogger("main",(0,p.join)(le.logsPath,"main.log"),!0,!1,be.getLevel()),(0,m.once)(Pe.onWillShutdown)(Oe=>{Me.dispose(),he.dispose(),Oe.join(w.Promises.unlink(le.mainLockfile).catch(()=>{}))}),Z.createInstance(d.CodeApplication,Te,ce).startup()})}catch(me){Z.invokeFunction(this.quit,me)}}createServices(){const Z=new U.ServiceCollection,ce={_serviceBrand:void 0,...V.default};Z.set(K.IProductService,ce);const le=new i.EnvironmentMainService(this.resolveArgs(),ce),he=this.patchEnvironment(le);Z.set(i.IEnvironmentMainService,le);const ge=new se.BufferLogService,be=new ne.MultiplexLogService([new ne.ConsoleMainLogger((0,ne.getLogLevel)(le)),ge]);process.once("exit",()=>be.dispose()),Z.set(ne.ILogService,be);const fe=new b.FileService(be);Z.set(h.IFileService,fe);const me=new L.DiskFileSystemProvider(be);fe.registerProvider(I.Schemas.file,me),Z.set(ne.ILoggerService,new q.LoggerService(be,fe));const ye=new u.ConfigurationService(le.settingsResource,fe);Z.set(o.IConfigurationService,ye),Z.set(Q.ILifecycleMainService,new R.SyncDescriptor(Q.LifecycleMainService));const Pe=new N.StateMainService(le,be,fe);return Z.set(_.IStateMainService,Pe),Z.set(H.IRequestService,new R.SyncDescriptor(F.RequestMainService)),Z.set(z.IThemeMainService,new R.SyncDescriptor(z.ThemeMainService)),Z.set(W.ISignService,new R.SyncDescriptor(A.SignService)),Z.set($.ITunnelService,new R.SyncDescriptor(Y.TunnelService)),Z.set(j.IProtocolMainService,new R.SyncDescriptor(B.ProtocolMainService)),[new T.InstantiationService(Z,!0),he,le,ye,Pe,ge,ce]}patchEnvironment(Z){const ce={VSCODE_IPC_HOOK:Z.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(le=>{const he=process.env[le];typeof he=="string"&&(ce[le]=he)}),Object.assign(process.env,ce),ce}initServices(Z,ce,le){return C.Promises.settled([Promise.all([Z.extensionsPath,Z.codeCachePath,Z.logsPath,Z.globalStorageHome.fsPath,Z.workspaceStorageHome.fsPath,Z.backupHome].map(he=>he?w.Promises.mkdir(he,{recursive:!0}):void 0)),ce.initialize(),le.init()])}async claimInstance(Z,ce,le,he,ge,be){let fe;try{(0,S.mark)("code/willStartMainServer"),fe=await(0,a.serve)(ce.mainIPCHandle),(0,S.mark)("code/didStartMainServer"),(0,m.once)(le.onWillShutdown)(()=>fe.dispose())}catch(me){if(me.code!=="EADDRINUSE")throw this.handleStartupDataDirError(ce,ge.nameLong,me),me;let ye;try{ye=await(0,a.connect)(ce.mainIPCHandle,"main")}catch(Te){if(!be||t.isWindows||Te.code!=="ECONNREFUSED")throw Te.code==="EPERM"&&this.showStartupWarningDialog((0,c.localize)(0,null,ge.nameShort),(0,c.localize)(1,null),ge.nameLong),Te;try{(0,n.unlinkSync)(ce.mainIPCHandle)}catch(Oe){throw Z.warn("Could not delete obsolete instance handle",Oe),Oe}return this.claimInstance(Z,ce,le,he,ge,!1)}if(ce.extensionTestsLocationURI&&!ce.debugExtensionHost.break){const Te="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw Z.error(Te),ye.dispose(),new Error(Te)}let Pe;!ce.args.wait&&!ce.args.status&&(Pe=setTimeout(()=>{this.showStartupWarningDialog((0,c.localize)(2,null,ge.nameShort),(0,c.localize)(3,null),ge.nameLong)},1e4));const Me=M.ProxyChannel.toService(ye.getChannel("launch"),{disableMarshalling:!0});if(ce.args.status)return he.invokeFunction(async()=>{const Te=new s.DiagnosticsService(O.NullTelemetryService,ge),Oe=await Me.getMainProcessInfo(),Be=await Me.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),He=await Te.getDiagnostics(Oe,Be);throw console.log(He),new P.ExpectedError});throw t.isWindows&&await this.windowsAllowSetForegroundWindow(Me,Z),Z.trace("Sending env to running instance..."),await Me.start(ce.args,process.env),ye.dispose(),Pe&&clearTimeout(Pe),new P.ExpectedError("Sent env to running instance. Terminating...")}if(ce.args.status)throw Z.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new P.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),fe}handleStartupDataDirError(Z,ce,le){if(le.code==="EACCES"||le.code==="EPERM"){const he=(0,D.coalesce)([Z.userDataPath,Z.extensionsPath,a.XDG_RUNTIME_DIR]).map(ge=>(0,E.getPathLabel)(ge,Z));this.showStartupWarningDialog((0,c.localize)(4,null),(0,c.localize)(5,null,(0,k.toErrorMessage)(le),he.join(`
`)),ce)}}showStartupWarningDialog(Z,ce,le){y.dialog.showMessageBoxSync({title:le,type:"warning",buttons:[(0,E.mnemonicButtonLabel)((0,c.localize)(6,null))],message:Z,detail:ce,defaultId:0,noLink:!0})}async windowsAllowSetForegroundWindow(Z,ce){if(t.isWindows){const le=await Z.getMainProcessId();ce.trace("Sending some foreground love to the running instance:",le);try{(await new Promise((he,ge)=>{G(["windows-foreground-love"],he,ge)})).allowSetForegroundWindow(le)}catch(he){ce.error(he)}}}quit(Z,ce){const le=Z.get(ne.ILogService),he=Z.get(Q.ILifecycleMainService);let ge=0;ce&&(ce.isExpected?ce.message&&le.trace(ce.message):(ge=1,ce.stack?le.error(ce.stack):le.error(`Startup error: ${ce.toString()}`))),he.kill(ge)}resolveArgs(){const Z=this.validatePaths((0,r.parseMainProcessArgv)(process.argv));if(Z.wait&&!Z.waitMarkerFilePath){const ce=(0,l.createWaitMarkerFile)(Z.verbose);ce&&((0,r.addArg)(process.argv,"--waitMarkerFilePath",ce),Z.waitMarkerFilePath=ce)}return Z}validatePaths(Z){if(Z["open-url"]&&(Z._urls=Z._,Z._=[]),!Z.remote){const ce=this.doValidatePaths(Z._,Z.goto);Z._=ce}return Z}doValidatePaths(Z,ce){const le=(0,v.cwd)(),he=Z.map(fe=>{let me=String(fe),ye;ce&&(ye=(0,f.parseLineAndColumnAware)(me),me=ye.path),me&&(me=this.preparePath(le,me));const Pe=(0,f.sanitizeFilePath)(me,le),Me=(0,p.basename)(Pe);return Me&&!(0,f.isValidBasename)(Me)?null:ce&&ye?(ye.path=Pe,this.toPath(ye)):Pe}),ge=t.isWindows||t.isMacintosh,be=(0,D.distinct)(he,fe=>fe&&ge?fe.toLowerCase():fe||"");return(0,D.coalesce)(be)}preparePath(Z,ce){return t.isWindows&&(ce=(0,g.rtrim)(ce,'"')),ce=(0,g.trim)((0,g.trim)(ce," "),"	"),t.isWindows&&(ce=(0,p.resolve)(Z,ce),ce=(0,g.rtrim)(ce,".")),ce}toPath(Z){const ce=[Z.path];return typeof Z.line=="number"&&ce.push(String(Z.line)),typeof Z.column=="number"&&ce.push(String(Z.column)),ce.join(":")}}new x().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/753319a08f8e74700b1dba3a29bf0a6af7c2953f/core/vs/code/electron-main/main.js.map
