/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Q=["require","exports","vs/base/common/lifecycle","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/base/common/errors","vs/base/common/types","vs/base/common/event","vs/base/common/uri","vs/base/common/network","vs/base/common/path","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/platform","vs/base/node/pfs","vs/platform/files/common/files","vs/base/common/buffer","vs/base/common/resources","vs/base/common/arrays","vs/platform/environment/common/environment","vs/base/common/objects","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/cancellation","vs/platform/configuration/common/configuration","vs/base/common/strings","vs/base/common/uuid","vs/base/common/errorMessage","vs/base/common/process","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetry","vs/platform/product/common/productService","os","vs/platform/configuration/common/configurationRegistry","vs/platform/telemetry/common/telemetryUtils","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/stream","child_process","vs/platform/instantiation/common/descriptors","vs/platform/extensions/common/extensions","vs/base/common/semver/semver","vs/platform/request/common/request","vs/base/node/zip","vs/base/common/decorators","vs/base/common/extpath","vs/base/parts/ipc/common/ipc","vs/base/node/processes","vs/platform/extensions/common/extensionValidator","vs/platform/download/common/download","vs/platform/files/common/io","vs/platform/instantiation/common/serviceCollection","vs/platform/localizations/common/localizations","vs/base/common/map","vs/base/common/assert","vs/base/common/json","vs/base/common/processes","vs/base/common/skipList","vs/base/common/hash","vs/base/common/console","vs/base/common/marshalling","vs/base/common/labels","vs/base/node/decoder","vs/base/node/powershell","vs/base/parts/storage/common/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/shellEnv","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/environment/node/shellEnv","vs/platform/files/node/watcher/parcel/parcelWatcherClient","vs/platform/files/common/watcher","vs/platform/instantiation/common/instantiationService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","fs","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/localizations/node/localizations","vs/platform/download/common/downloadService","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/storage/common/storage","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryService","vs/platform/product/common/product","vs/platform/telemetry/node/appInsightsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","path","vs/platform/environment/node/argvHelper","vs/base/common/iterator","graceful-fs","vs/platform/files/node/watcher/nodejs/nodejsWatcher","crypto","yauzl","yazl","zlib","vs/code/node/cliProcessMain"],Z=function(x){for(var t=[],L=0,D=x.length;L<D;L++)t[L]=Q[x[L]];return t};define(Q[54],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=void 0;function L(D,S){if(!D)throw new Error(S?`Assertion failed (${S})`:"Assertion Failed")}t.ok=L}),define(Q[44],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.throttle=t.debounce=t.memoize=t.createDecorator=void 0;function L(C){return(b,u,v)=>{let I=null,O=null;if(typeof v.value=="function"?(I="value",O=v.value):typeof v.get=="function"&&(I="get",O=v.get),!O)throw new Error("not supported");v[I]=C(O,u)}}t.createDecorator=L;function D(C,b,u){let v=null,I=null;if(typeof u.value=="function"?(v="value",I=u.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof u.get=="function"&&(v="get",I=u.get),!I)throw new Error("not supported");const O=`$memoize$${b}`;u[v]=function(...g){return this.hasOwnProperty(O)||Object.defineProperty(this,O,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,g)}),this[O]}}t.memoize=D;function S(C,b,u){return L((v,I)=>{const O=`$debounce$${I}`,g=`$debounce$result$${I}`;return function(...P){this[g]||(this[g]=u?u():void 0),clearTimeout(this[O]),b&&(this[g]=b(this[g],...P),P=[this[g]]),this[O]=setTimeout(()=>{v.apply(this,P),this[g]=u?u():void 0},C)}})}t.debounce=S;function R(C,b,u){return L((v,I)=>{const O=`$throttle$timer$${I}`,g=`$throttle$result$${I}`,P=`$throttle$lastRun$${I}`,h=`$throttle$pending$${I}`;return function(...w){if(this[g]||(this[g]=u?u():void 0),(this[P]===null||this[P]===void 0)&&(this[P]=-Number.MAX_VALUE),b&&(this[g]=b(this[g],...w)),this[h])return;const l=this[P]+C;l<=Date.now()?(this[P]=Date.now(),v.apply(this,[this[g]]),this[g]=u?u():void 0):(this[h]=!0,this[O]=setTimeout(()=>{this[h]=!1,this[P]=Date.now(),v.apply(this,[this[g]]),this[g]=u?u():void 0},l-Date.now()))}})}t.throttle=R}),define(Q[55],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getNodeType=t.stripComments=t.visit=t.findNodeAtOffset=t.contains=t.getNodeValue=t.getNodePath=t.findNodeAtLocation=t.parseTree=t.parse=t.getLocation=t.createScanner=t.ParseOptions=t.ParseErrorCode=t.SyntaxKind=t.ScanError=void 0;var L;(function(n){n[n.None=0]="None",n[n.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=2]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",n[n.InvalidUnicode=4]="InvalidUnicode",n[n.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",n[n.InvalidCharacter=6]="InvalidCharacter"})(L=t.ScanError||(t.ScanError={}));var D;(function(n){n[n.OpenBraceToken=1]="OpenBraceToken",n[n.CloseBraceToken=2]="CloseBraceToken",n[n.OpenBracketToken=3]="OpenBracketToken",n[n.CloseBracketToken=4]="CloseBracketToken",n[n.CommaToken=5]="CommaToken",n[n.ColonToken=6]="ColonToken",n[n.NullKeyword=7]="NullKeyword",n[n.TrueKeyword=8]="TrueKeyword",n[n.FalseKeyword=9]="FalseKeyword",n[n.StringLiteral=10]="StringLiteral",n[n.NumericLiteral=11]="NumericLiteral",n[n.LineCommentTrivia=12]="LineCommentTrivia",n[n.BlockCommentTrivia=13]="BlockCommentTrivia",n[n.LineBreakTrivia=14]="LineBreakTrivia",n[n.Trivia=15]="Trivia",n[n.Unknown=16]="Unknown",n[n.EOF=17]="EOF"})(D=t.SyntaxKind||(t.SyntaxKind={}));var S;(function(n){n[n.InvalidSymbol=1]="InvalidSymbol",n[n.InvalidNumberFormat=2]="InvalidNumberFormat",n[n.PropertyNameExpected=3]="PropertyNameExpected",n[n.ValueExpected=4]="ValueExpected",n[n.ColonExpected=5]="ColonExpected",n[n.CommaExpected=6]="CommaExpected",n[n.CloseBraceExpected=7]="CloseBraceExpected",n[n.CloseBracketExpected=8]="CloseBracketExpected",n[n.EndOfFileExpected=9]="EndOfFileExpected",n[n.InvalidCommentToken=10]="InvalidCommentToken",n[n.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=12]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",n[n.InvalidUnicode=14]="InvalidUnicode",n[n.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",n[n.InvalidCharacter=16]="InvalidCharacter"})(S=t.ParseErrorCode||(t.ParseErrorCode={}));var R;(function(n){n.DEFAULT={allowTrailingComma:!0}})(R=t.ParseOptions||(t.ParseOptions={}));function C(n,r=!1){let e=0,i=n.length,s="",a=0,f=16,p=0;function E(te){let ge=0,W=0;for(;ge<te;){const $=n.charCodeAt(e);if($>=48&&$<=57)W=W*16+$-48;else if($>=65&&$<=70)W=W*16+$-65+10;else if($>=97&&$<=102)W=W*16+$-97+10;else break;e++,ge++}return ge<te&&(W=-1),W}function T(te){e=te,s="",a=0,f=16,p=0}function F(){const te=e;if(n.charCodeAt(e)===48)e++;else for(e++;e<n.length&&v(n.charCodeAt(e));)e++;if(e<n.length&&n.charCodeAt(e)===46)if(e++,e<n.length&&v(n.charCodeAt(e)))for(e++;e<n.length&&v(n.charCodeAt(e));)e++;else return p=3,n.substring(te,e);let ge=e;if(e<n.length&&(n.charCodeAt(e)===69||n.charCodeAt(e)===101))if(e++,(e<n.length&&n.charCodeAt(e)===43||n.charCodeAt(e)===45)&&e++,e<n.length&&v(n.charCodeAt(e))){for(e++;e<n.length&&v(n.charCodeAt(e));)e++;ge=e}else p=3;return n.substring(te,ge)}function B(){let te="",ge=e;for(;;){if(e>=i){te+=n.substring(ge,e),p=2;break}const W=n.charCodeAt(e);if(W===34){te+=n.substring(ge,e),e++;break}if(W===92){if(te+=n.substring(ge,e),e++,e>=i){p=2;break}switch(n.charCodeAt(e++)){case 34:te+='"';break;case 92:te+="\\";break;case 47:te+="/";break;case 98:te+="\b";break;case 102:te+="\f";break;case 110:te+=`
`;break;case 114:te+="\r";break;case 116:te+="	";break;case 117:{const re=E(4);re>=0?te+=String.fromCharCode(re):p=4;break}default:p=5}ge=e;continue}if(W>=0&&W<=31)if(u(W)){te+=n.substring(ge,e),p=2;break}else p=6;e++}return te}function J(){if(s="",p=0,a=e,e>=i)return a=i,f=17;let te=n.charCodeAt(e);if(b(te)){do e++,s+=String.fromCharCode(te),te=n.charCodeAt(e);while(b(te));return f=15}if(u(te))return e++,s+=String.fromCharCode(te),te===13&&n.charCodeAt(e)===10&&(e++,s+=`
`),f=14;switch(te){case 123:return e++,f=1;case 125:return e++,f=2;case 91:return e++,f=3;case 93:return e++,f=4;case 58:return e++,f=6;case 44:return e++,f=5;case 34:return e++,s=B(),f=10;case 47:{const ge=e-1;if(n.charCodeAt(e+1)===47){for(e+=2;e<i&&!u(n.charCodeAt(e));)e++;return s=n.substring(ge,e),f=12}if(n.charCodeAt(e+1)===42){e+=2;const W=i-1;let $=!1;for(;e<W;){if(n.charCodeAt(e)===42&&n.charCodeAt(e+1)===47){e+=2,$=!0;break}e++}return $||(e++,p=1),s=n.substring(ge,e),f=13}return s+=String.fromCharCode(te),e++,f=16}case 45:if(s+=String.fromCharCode(te),e++,e===i||!v(n.charCodeAt(e)))return f=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return s+=F(),f=11;default:for(;e<i&&se(te);)e++,te=n.charCodeAt(e);if(a!==e){switch(s=n.substring(a,e),s){case"true":return f=8;case"false":return f=9;case"null":return f=7}return f=16}return s+=String.fromCharCode(te),e++,f=16}}function se(te){if(b(te)||u(te))return!1;switch(te){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ie(){let te;do te=J();while(te>=12&&te<=15);return te}return{setPosition:T,getPosition:()=>e,scan:r?ie:J,getToken:()=>f,getTokenValue:()=>s,getTokenOffset:()=>a,getTokenLength:()=>e-a,getTokenError:()=>p}}t.createScanner=C;function b(n){return n===32||n===9||n===11||n===12||n===160||n===5760||n>=8192&&n<=8203||n===8239||n===8287||n===12288||n===65279}function u(n){return n===10||n===13||n===8232||n===8233}function v(n){return n>=48&&n<=57}var I;(function(n){n[n.nullCharacter=0]="nullCharacter",n[n.maxAsciiCharacter=127]="maxAsciiCharacter",n[n.lineFeed=10]="lineFeed",n[n.carriageReturn=13]="carriageReturn",n[n.lineSeparator=8232]="lineSeparator",n[n.paragraphSeparator=8233]="paragraphSeparator",n[n.nextLine=133]="nextLine",n[n.space=32]="space",n[n.nonBreakingSpace=160]="nonBreakingSpace",n[n.enQuad=8192]="enQuad",n[n.emQuad=8193]="emQuad",n[n.enSpace=8194]="enSpace",n[n.emSpace=8195]="emSpace",n[n.threePerEmSpace=8196]="threePerEmSpace",n[n.fourPerEmSpace=8197]="fourPerEmSpace",n[n.sixPerEmSpace=8198]="sixPerEmSpace",n[n.figureSpace=8199]="figureSpace",n[n.punctuationSpace=8200]="punctuationSpace",n[n.thinSpace=8201]="thinSpace",n[n.hairSpace=8202]="hairSpace",n[n.zeroWidthSpace=8203]="zeroWidthSpace",n[n.narrowNoBreakSpace=8239]="narrowNoBreakSpace",n[n.ideographicSpace=12288]="ideographicSpace",n[n.mathematicalSpace=8287]="mathematicalSpace",n[n.ogham=5760]="ogham",n[n._=95]="_",n[n.$=36]="$",n[n._0=48]="_0",n[n._1=49]="_1",n[n._2=50]="_2",n[n._3=51]="_3",n[n._4=52]="_4",n[n._5=53]="_5",n[n._6=54]="_6",n[n._7=55]="_7",n[n._8=56]="_8",n[n._9=57]="_9",n[n.a=97]="a",n[n.b=98]="b",n[n.c=99]="c",n[n.d=100]="d",n[n.e=101]="e",n[n.f=102]="f",n[n.g=103]="g",n[n.h=104]="h",n[n.i=105]="i",n[n.j=106]="j",n[n.k=107]="k",n[n.l=108]="l",n[n.m=109]="m",n[n.n=110]="n",n[n.o=111]="o",n[n.p=112]="p",n[n.q=113]="q",n[n.r=114]="r",n[n.s=115]="s",n[n.t=116]="t",n[n.u=117]="u",n[n.v=118]="v",n[n.w=119]="w",n[n.x=120]="x",n[n.y=121]="y",n[n.z=122]="z",n[n.A=65]="A",n[n.B=66]="B",n[n.C=67]="C",n[n.D=68]="D",n[n.E=69]="E",n[n.F=70]="F",n[n.G=71]="G",n[n.H=72]="H",n[n.I=73]="I",n[n.J=74]="J",n[n.K=75]="K",n[n.L=76]="L",n[n.M=77]="M",n[n.N=78]="N",n[n.O=79]="O",n[n.P=80]="P",n[n.Q=81]="Q",n[n.R=82]="R",n[n.S=83]="S",n[n.T=84]="T",n[n.U=85]="U",n[n.V=86]="V",n[n.W=87]="W",n[n.X=88]="X",n[n.Y=89]="Y",n[n.Z=90]="Z",n[n.ampersand=38]="ampersand",n[n.asterisk=42]="asterisk",n[n.at=64]="at",n[n.backslash=92]="backslash",n[n.bar=124]="bar",n[n.caret=94]="caret",n[n.closeBrace=125]="closeBrace",n[n.closeBracket=93]="closeBracket",n[n.closeParen=41]="closeParen",n[n.colon=58]="colon",n[n.comma=44]="comma",n[n.dot=46]="dot",n[n.doubleQuote=34]="doubleQuote",n[n.equals=61]="equals",n[n.exclamation=33]="exclamation",n[n.greaterThan=62]="greaterThan",n[n.lessThan=60]="lessThan",n[n.minus=45]="minus",n[n.openBrace=123]="openBrace",n[n.openBracket=91]="openBracket",n[n.openParen=40]="openParen",n[n.percent=37]="percent",n[n.plus=43]="plus",n[n.question=63]="question",n[n.semicolon=59]="semicolon",n[n.singleQuote=39]="singleQuote",n[n.slash=47]="slash",n[n.tilde=126]="tilde",n[n.backspace=8]="backspace",n[n.formFeed=12]="formFeed",n[n.byteOrderMark=65279]="byteOrderMark",n[n.tab=9]="tab",n[n.verticalTab=11]="verticalTab"})(I||(I={}));function O(n,r){const e=[],i=new Object;let s;const a={value:{},offset:0,length:0,type:"object",parent:void 0};let f=!1;function p(E,T,F,B){a.value=E,a.offset=T,a.length=F,a.type=B,a.colonOffset=void 0,s=a}try{c(n,{onObjectBegin:(E,T)=>{if(r<=E)throw i;s=void 0,f=r>E,e.push("")},onObjectProperty:(E,T,F)=>{if(r<T||(p(E,T,F,"property"),e[e.length-1]=E,r<=T+F))throw i},onObjectEnd:(E,T)=>{if(r<=E)throw i;s=void 0,e.pop()},onArrayBegin:(E,T)=>{if(r<=E)throw i;s=void 0,e.push(0)},onArrayEnd:(E,T)=>{if(r<=E)throw i;s=void 0,e.pop()},onLiteralValue:(E,T,F)=>{if(r<T||(p(E,T,F,o(E)),r<=T+F))throw i},onSeparator:(E,T,F)=>{if(r<=T)throw i;if(E===":"&&s&&s.type==="property")s.colonOffset=T,f=!1,s=void 0;else if(E===","){const B=e[e.length-1];typeof B=="number"?e[e.length-1]=B+1:(f=!0,e[e.length-1]=""),s=void 0}}})}catch(E){if(E!==i)throw E}return{path:e,previousNode:s,isAtPropertyKey:f,matches:E=>{let T=0;for(let F=0;T<E.length&&F<e.length;F++)if(E[T]===e[F]||E[T]==="*")T++;else if(E[T]!=="**")return!1;return T===E.length}}}t.getLocation=O;function g(n,r=[],e=R.DEFAULT){let i=null,s=[];const a=[];function f(E){Array.isArray(s)?s.push(E):i!==null&&(s[i]=E)}return c(n,{onObjectBegin:()=>{const E={};f(E),a.push(s),s=E,i=null},onObjectProperty:E=>{i=E},onObjectEnd:()=>{s=a.pop()},onArrayBegin:()=>{const E=[];f(E),a.push(s),s=E,i=null},onArrayEnd:()=>{s=a.pop()},onLiteralValue:f,onError:(E,T,F)=>{r.push({error:E,offset:T,length:F})}},e),s[0]}t.parse=g;function P(n,r=[],e=R.DEFAULT){let i={type:"array",offset:-1,length:-1,children:[],parent:void 0};function s(E){i.type==="property"&&(i.length=E-i.offset,i=i.parent)}function a(E){return i.children.push(E),E}c(n,{onObjectBegin:E=>{i=a({type:"object",offset:E,length:-1,parent:i,children:[]})},onObjectProperty:(E,T,F)=>{i=a({type:"property",offset:T,length:-1,parent:i,children:[]}),i.children.push({type:"string",value:E,offset:T,length:F,parent:i})},onObjectEnd:(E,T)=>{i.length=E+T-i.offset,i=i.parent,s(E+T)},onArrayBegin:(E,T)=>{i=a({type:"array",offset:E,length:-1,parent:i,children:[]})},onArrayEnd:(E,T)=>{i.length=E+T-i.offset,i=i.parent,s(E+T)},onLiteralValue:(E,T,F)=>{a({type:o(E),offset:T,length:F,parent:i,value:E}),s(T+F)},onSeparator:(E,T,F)=>{i.type==="property"&&(E===":"?i.colonOffset=T:E===","&&s(T))},onError:(E,T,F)=>{r.push({error:E,offset:T,length:F})}},e);const p=i.children[0];return p&&delete p.parent,p}t.parseTree=P;function h(n,r){if(!n)return;let e=n;for(let i of r)if(typeof i=="string"){if(e.type!=="object"||!Array.isArray(e.children))return;let s=!1;for(const a of e.children)if(Array.isArray(a.children)&&a.children[0].value===i){e=a.children[1],s=!0;break}if(!s)return}else{const s=i;if(e.type!=="array"||s<0||!Array.isArray(e.children)||s>=e.children.length)return;e=e.children[s]}return e}t.findNodeAtLocation=h;function w(n){if(!n.parent||!n.parent.children)return[];const r=w(n.parent);if(n.parent.type==="property"){const e=n.parent.children[0].value;r.push(e)}else if(n.parent.type==="array"){const e=n.parent.children.indexOf(n);e!==-1&&r.push(e)}return r}t.getNodePath=w;function l(n){switch(n.type){case"array":return n.children.map(l);case"object":{const r=Object.create(null);for(let e of n.children){const i=e.children[1];i&&(r[e.children[0].value]=l(i))}return r}case"null":case"string":case"number":case"boolean":return n.value;default:return}}t.getNodeValue=l;function d(n,r,e=!1){return r>=n.offset&&r<n.offset+n.length||e&&r===n.offset+n.length}t.contains=d;function y(n,r,e=!1){if(d(n,r,e)){const i=n.children;if(Array.isArray(i))for(let s=0;s<i.length&&i[s].offset<=r;s++){const a=y(i[s],r,e);if(a)return a}return n}}t.findNodeAtOffset=y;function c(n,r,e=R.DEFAULT){const i=C(n,!1);function s(K){return K?()=>K(i.getTokenOffset(),i.getTokenLength()):()=>!0}function a(K){return K?ee=>K(ee,i.getTokenOffset(),i.getTokenLength()):()=>!0}const f=s(r.onObjectBegin),p=a(r.onObjectProperty),E=s(r.onObjectEnd),T=s(r.onArrayBegin),F=s(r.onArrayEnd),B=a(r.onLiteralValue),J=a(r.onSeparator),se=s(r.onComment),ie=a(r.onError),te=e&&e.disallowComments,ge=e&&e.allowTrailingComma;function W(){for(;;){const K=i.scan();switch(i.getTokenError()){case 4:$(14);break;case 5:$(15);break;case 3:$(13);break;case 1:te||$(11);break;case 2:$(12);break;case 6:$(16);break}switch(K){case 12:case 13:te?$(10):se();break;case 16:$(1);break;case 15:case 14:break;default:return K}}}function $(K,ee=[],G=[]){if(ie(K),ee.length+G.length>0){let le=i.getToken();for(;le!==17;){if(ee.indexOf(le)!==-1){W();break}else if(G.indexOf(le)!==-1)break;le=W()}}}function re(K){const ee=i.getTokenValue();return K?B(ee):p(ee),W(),!0}function M(){switch(i.getToken()){case 11:{let K=0;try{K=JSON.parse(i.getTokenValue()),typeof K!="number"&&($(2),K=0)}catch{$(2)}B(K);break}case 7:B(null);break;case 8:B(!0);break;case 9:B(!1);break;default:return!1}return W(),!0}function A(){return i.getToken()!==10?($(3,[],[2,5]),!1):(re(!1),i.getToken()===6?(J(":"),W(),ne()||$(4,[],[2,5])):$(5,[],[2,5]),!0)}function j(){f(),W();let K=!1;for(;i.getToken()!==2&&i.getToken()!==17;){if(i.getToken()===5){if(K||$(4,[],[]),J(","),W(),i.getToken()===2&&ge)break}else K&&$(6,[],[]);A()||$(4,[],[2,5]),K=!0}return E(),i.getToken()!==2?$(7,[2],[]):W(),!0}function H(){T(),W();let K=!1;for(;i.getToken()!==4&&i.getToken()!==17;){if(i.getToken()===5){if(K||$(4,[],[]),J(","),W(),i.getToken()===4&&ge)break}else K&&$(6,[],[]);ne()||$(4,[],[4,5]),K=!0}return F(),i.getToken()!==4?$(8,[4],[]):W(),!0}function ne(){switch(i.getToken()){case 3:return H();case 1:return j();case 10:return re(!0);default:return M()}}return W(),i.getToken()===17?e.allowEmptyContent?!0:($(4,[],[]),!1):ne()?(i.getToken()!==17&&$(9,[],[]),!0):($(4,[],[]),!1)}t.visit=c;function m(n,r){let e=C(n),i=[],s,a=0,f;do switch(f=e.getPosition(),s=e.scan(),s){case 12:case 13:case 17:a!==f&&i.push(n.substring(a,f)),r!==void 0&&i.push(e.getTokenValue().replace(/[^\r\n]/g,r)),a=e.getPosition();break}while(s!==17);return i.join("")}t.stripComments=m;function o(n){switch(typeof n){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(n){if(Array.isArray(n))return"array"}else return"null";return"object"}default:return"null"}}t.getNodeType=o}),function(){function x(S){const R=[];typeof S=="number"&&R.push("code/timeOrigin",S);function C(u){R.push(u,Date.now())}function b(){const u=[];for(let v=0;v<R.length;v+=2)u.push({name:R[v],startTime:R[v+1]});return u}return{mark:C,getMarks:b}}function t(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?x():{mark(S){performance.mark(S)},getMarks(){let S=performance.timeOrigin;typeof S!="number"&&(S=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(S)}];for(const C of performance.getEntriesByType("mark"))R.push({name:C.name,startTime:Math.round(S+C.startTime)});return R}};if(typeof process=="object"){const S=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return x(S)}else return console.trace("perf-util loaded in UNKNOWN environment"),x()}function L(S){return S.MonacoPerformanceMarks||(S.MonacoPerformanceMarks=t()),S.MonacoPerformanceMarks}var D;typeof global=="object"?D=global:typeof self=="object"?D=self:D={},typeof define=="function"?define("vs/base/common/performance",[],function(){return L(D)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=L(D):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),D.perf=L(D))}(),define(Q[56],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.sanitizeProcessEnvironment=t.TerminateResponseCode=t.Source=void 0;var L;(function(R){R[R.stdout=0]="stdout",R[R.stderr=1]="stderr"})(L=t.Source||(t.Source={}));var D;(function(R){R[R.Success=0]="Success",R[R.Unknown=1]="Unknown",R[R.AccessDenied=2]="AccessDenied",R[R.ProcessNotFound=3]="ProcessNotFound"})(D=t.TerminateResponseCode||(t.TerminateResponseCode={}));function S(R,...C){const b=C.reduce((I,O)=>(I[O]=!0,I),{}),u=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(R).filter(I=>!b[I]).forEach(I=>{for(let O=0;O<u.length;O++)if(I.search(u[O])!==-1){delete R[I];break}})}t.sanitizeProcessEnvironment=S}),function(x,t){if(typeof exports=="object"&&typeof module=="object")module.exports=t();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],t);else{var L=t();for(var D in L)(typeof exports=="object"?exports:x)[D]=L[D]}}(typeof self!="undefined"?self:this,function(){return function(x){var t={};function L(D){if(t[D])return t[D].exports;var S=t[D]={i:D,l:!1,exports:{}};return x[D].call(S.exports,S,S.exports,L),S.l=!0,S.exports}return L.m=x,L.c=t,L.d=function(D,S,R){L.o(D,S)||Object.defineProperty(D,S,{enumerable:!0,get:R})},L.r=function(D){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(D,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(D,"__esModule",{value:!0})},L.t=function(D,S){if(1&S&&(D=L(D)),8&S||4&S&&typeof D=="object"&&D&&D.__esModule)return D;var R=Object.create(null);if(L.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:D}),2&S&&typeof D!="string")for(var C in D)L.d(R,C,function(b){return D[b]}.bind(null,C));return R},L.n=function(D){var S=D&&D.__esModule?function(){return D.default}:function(){return D};return L.d(S,"a",S),S},L.o=function(D,S){return Object.prototype.hasOwnProperty.call(D,S)},L.p="",L(L.s=0)}([function(x,t,L){(function(D){var S;t=x.exports=G,S=typeof D=="object"&&D.env&&D.env.NODE_DEBUG&&/\bsemver\b/i.test(D.env.NODE_DEBUG)?function(){var k=Array.prototype.slice.call(arguments,0);k.unshift("SEMVER"),console.log.apply(console,k)}:function(){},t.SEMVER_SPEC_VERSION="2.0.0";var R=256,C=Number.MAX_SAFE_INTEGER||9007199254740991,b=t.re=[],u=t.src=[],v=0,I=v++;u[I]="0|[1-9]\\d*";var O=v++;u[O]="[0-9]+";var g=v++;u[g]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var P=v++;u[P]="("+u[I]+")\\.("+u[I]+")\\.("+u[I]+")";var h=v++;u[h]="("+u[O]+")\\.("+u[O]+")\\.("+u[O]+")";var w=v++;u[w]="(?:"+u[I]+"|"+u[g]+")";var l=v++;u[l]="(?:"+u[O]+"|"+u[g]+")";var d=v++;u[d]="(?:-("+u[w]+"(?:\\."+u[w]+")*))";var y=v++;u[y]="(?:-?("+u[l]+"(?:\\."+u[l]+")*))";var c=v++;u[c]="[0-9A-Za-z-]+";var m=v++;u[m]="(?:\\+("+u[c]+"(?:\\."+u[c]+")*))";var o=v++,n="v?"+u[P]+u[d]+"?"+u[m]+"?";u[o]="^"+n+"$";var r="[v=\\s]*"+u[h]+u[y]+"?"+u[m]+"?",e=v++;u[e]="^"+r+"$";var i=v++;u[i]="((?:<|>)?=?)";var s=v++;u[s]=u[O]+"|x|X|\\*";var a=v++;u[a]=u[I]+"|x|X|\\*";var f=v++;u[f]="[v=\\s]*("+u[a]+")(?:\\.("+u[a]+")(?:\\.("+u[a]+")(?:"+u[d]+")?"+u[m]+"?)?)?";var p=v++;u[p]="[v=\\s]*("+u[s]+")(?:\\.("+u[s]+")(?:\\.("+u[s]+")(?:"+u[y]+")?"+u[m]+"?)?)?";var E=v++;u[E]="^"+u[i]+"\\s*"+u[f]+"$";var T=v++;u[T]="^"+u[i]+"\\s*"+u[p]+"$";var F=v++;u[F]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var B=v++;u[B]="(?:~>?)";var J=v++;u[J]="(\\s*)"+u[B]+"\\s+",b[J]=new RegExp(u[J],"g");var se=v++;u[se]="^"+u[B]+u[f]+"$";var ie=v++;u[ie]="^"+u[B]+u[p]+"$";var te=v++;u[te]="(?:\\^)";var ge=v++;u[ge]="(\\s*)"+u[te]+"\\s+",b[ge]=new RegExp(u[ge],"g");var W=v++;u[W]="^"+u[te]+u[f]+"$";var $=v++;u[$]="^"+u[te]+u[p]+"$";var re=v++;u[re]="^"+u[i]+"\\s*("+r+")$|^$";var M=v++;u[M]="^"+u[i]+"\\s*("+n+")$|^$";var A=v++;u[A]="(\\s*)"+u[i]+"\\s*("+r+"|"+u[f]+")",b[A]=new RegExp(u[A],"g");var j=v++;u[j]="^\\s*("+u[f]+")\\s+-\\s+("+u[f]+")\\s*$";var H=v++;u[H]="^\\s*("+u[p]+")\\s+-\\s+("+u[p]+")\\s*$";var ne=v++;u[ne]="(<|>)?=?\\s*\\*";for(var K=0;K<35;K++)S(K,u[K]),b[K]||(b[K]=new RegExp(u[K]));function ee(k,V){if(k instanceof G)return k;if(typeof k!="string"||k.length>R||!(V?b[e]:b[o]).test(k))return null;try{return new G(k,V)}catch{return null}}function G(k,V){if(k instanceof G){if(k.loose===V)return k;k=k.version}else if(typeof k!="string")throw new TypeError("Invalid Version: "+k);if(k.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof G))return new G(k,V);S("SemVer",k,V),this.loose=V;var q=k.trim().match(V?b[e]:b[o]);if(!q)throw new TypeError("Invalid Version: "+k);if(this.raw=k,this.major=+q[1],this.minor=+q[2],this.patch=+q[3],this.major>C||this.major<0)throw new TypeError("Invalid major version");if(this.minor>C||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>C||this.patch<0)throw new TypeError("Invalid patch version");q[4]?this.prerelease=q[4].split(".").map(function(fe){if(/^[0-9]+$/.test(fe)){var me=+fe;if(me>=0&&me<C)return me}return fe}):this.prerelease=[],this.build=q[5]?q[5].split("."):[],this.format()}t.parse=ee,t.valid=function(k,V){var q=ee(k,V);return q?q.version:null},t.clean=function(k,V){var q=ee(k.trim().replace(/^[=v]+/,""),V);return q?q.version:null},t.SemVer=G,G.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},G.prototype.toString=function(){return this.version},G.prototype.compare=function(k){return S("SemVer.compare",this.version,this.loose,k),k instanceof G||(k=new G(k,this.loose)),this.compareMain(k)||this.comparePre(k)},G.prototype.compareMain=function(k){return k instanceof G||(k=new G(k,this.loose)),U(this.major,k.major)||U(this.minor,k.minor)||U(this.patch,k.patch)},G.prototype.comparePre=function(k){if(k instanceof G||(k=new G(k,this.loose)),this.prerelease.length&&!k.prerelease.length)return-1;if(!this.prerelease.length&&k.prerelease.length)return 1;if(!this.prerelease.length&&!k.prerelease.length)return 0;var V=0;do{var q=this.prerelease[V],fe=k.prerelease[V];if(S("prerelease compare",V,q,fe),q===void 0&&fe===void 0)return 0;if(fe===void 0)return 1;if(q===void 0)return-1;if(q!==fe)return U(q,fe)}while(++V)},G.prototype.inc=function(k,V){switch(k){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",V);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",V);break;case"prepatch":this.prerelease.length=0,this.inc("patch",V),this.inc("pre",V);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",V),this.inc("pre",V);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var q=this.prerelease.length;--q>=0;)typeof this.prerelease[q]=="number"&&(this.prerelease[q]++,q=-2);q===-1&&this.prerelease.push(0)}V&&(this.prerelease[0]===V?isNaN(this.prerelease[1])&&(this.prerelease=[V,0]):this.prerelease=[V,0]);break;default:throw new Error("invalid increment argument: "+k)}return this.format(),this.raw=this.version,this},t.inc=function(k,V,q,fe){typeof q=="string"&&(fe=q,q=void 0);try{return new G(k,q).inc(V,fe).version}catch{return null}},t.diff=function(k,V){if(X(k,V))return null;var q=ee(k),fe=ee(V);if(q.prerelease.length||fe.prerelease.length){for(var me in q)if((me==="major"||me==="minor"||me==="patch")&&q[me]!==fe[me])return"pre"+me;return"prerelease"}for(var me in q)if((me==="major"||me==="minor"||me==="patch")&&q[me]!==fe[me])return me},t.compareIdentifiers=U;var le=/^[0-9]+$/;function U(k,V){var q=le.test(k),fe=le.test(V);return q&&fe&&(k=+k,V=+V),q&&!fe?-1:fe&&!q?1:k<V?-1:k>V?1:0}function N(k,V,q){return new G(k,q).compare(new G(V,q))}function _(k,V,q){return N(k,V,q)>0}function z(k,V,q){return N(k,V,q)<0}function X(k,V,q){return N(k,V,q)===0}function Y(k,V,q){return N(k,V,q)!==0}function he(k,V,q){return N(k,V,q)>=0}function ce(k,V,q){return N(k,V,q)<=0}function de(k,V,q,fe){var me;switch(V){case"===":typeof k=="object"&&(k=k.version),typeof q=="object"&&(q=q.version),me=k===q;break;case"!==":typeof k=="object"&&(k=k.version),typeof q=="object"&&(q=q.version),me=k!==q;break;case"":case"=":case"==":me=X(k,q,fe);break;case"!=":me=Y(k,q,fe);break;case">":me=_(k,q,fe);break;case">=":me=he(k,q,fe);break;case"<":me=z(k,q,fe);break;case"<=":me=ce(k,q,fe);break;default:throw new TypeError("Invalid operator: "+V)}return me}function oe(k,V){if(k instanceof oe){if(k.loose===V)return k;k=k.value}if(!(this instanceof oe))return new oe(k,V);S("comparator",k,V),this.loose=V,this.parse(k),this.semver===pe?this.value="":this.value=this.operator+this.semver.version,S("comp",this)}t.rcompareIdentifiers=function(k,V){return U(V,k)},t.major=function(k,V){return new G(k,V).major},t.minor=function(k,V){return new G(k,V).minor},t.patch=function(k,V){return new G(k,V).patch},t.compare=N,t.compareLoose=function(k,V){return N(k,V,!0)},t.rcompare=function(k,V,q){return N(V,k,q)},t.sort=function(k,V){return k.sort(function(q,fe){return t.compare(q,fe,V)})},t.rsort=function(k,V){return k.sort(function(q,fe){return t.rcompare(q,fe,V)})},t.gt=_,t.lt=z,t.eq=X,t.neq=Y,t.gte=he,t.lte=ce,t.cmp=de,t.Comparator=oe;var pe={};function ue(k,V){if(k instanceof ue)return k.loose===V?k:new ue(k.raw,V);if(k instanceof oe)return new ue(k.value,V);if(!(this instanceof ue))return new ue(k,V);if(this.loose=V,this.raw=k,this.set=k.split(/\s*\|\|\s*/).map(function(q){return this.parseRange(q.trim())},this).filter(function(q){return q.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+k);this.format()}function ye(k){return!k||k.toLowerCase()==="x"||k==="*"}function De(k,V,q,fe,me,Le,Se,Ne,Pe,Ae,xe,Re,Oe){return((V=ye(q)?"":ye(fe)?">="+q+".0.0":ye(me)?">="+q+"."+fe+".0":">="+V)+" "+(Ne=ye(Pe)?"":ye(Ae)?"<"+(+Pe+1)+".0.0":ye(xe)?"<"+Pe+"."+(+Ae+1)+".0":Re?"<="+Pe+"."+Ae+"."+xe+"-"+Re:"<="+Ne)).trim()}function Ce(k,V){for(var q=0;q<k.length;q++)if(!k[q].test(V))return!1;if(V.prerelease.length){for(q=0;q<k.length;q++)if(S(k[q].semver),k[q].semver!==pe&&k[q].semver.prerelease.length>0){var fe=k[q].semver;if(fe.major===V.major&&fe.minor===V.minor&&fe.patch===V.patch)return!0}return!1}return!0}function Te(k,V,q){try{V=new ue(V,q)}catch{return!1}return V.test(k)}function Fe(k,V,q,fe){var me,Le,Se,Ne,Pe;switch(k=new G(k,fe),V=new ue(V,fe),q){case">":me=_,Le=ce,Se=z,Ne=">",Pe=">=";break;case"<":me=z,Le=he,Se=_,Ne="<",Pe="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Te(k,V,fe))return!1;for(var Ae=0;Ae<V.set.length;++Ae){var xe=V.set[Ae],Re=null,Oe=null;if(xe.forEach(function(Me){Me.semver===pe&&(Me=new oe(">=0.0.0")),Re=Re||Me,Oe=Oe||Me,me(Me.semver,Re.semver,fe)?Re=Me:Se(Me.semver,Oe.semver,fe)&&(Oe=Me)}),Re.operator===Ne||Re.operator===Pe||(!Oe.operator||Oe.operator===Ne)&&Le(k,Oe.semver)||Oe.operator===Pe&&Se(k,Oe.semver))return!1}return!0}oe.prototype.parse=function(k){var V=this.loose?b[re]:b[M],q=k.match(V);if(!q)throw new TypeError("Invalid comparator: "+k);this.operator=q[1],this.operator==="="&&(this.operator=""),q[2]?this.semver=new G(q[2],this.loose):this.semver=pe},oe.prototype.toString=function(){return this.value},oe.prototype.test=function(k){return S("Comparator.test",k,this.loose),this.semver===pe||(typeof k=="string"&&(k=new G(k,this.loose)),de(k,this.operator,this.semver,this.loose))},oe.prototype.intersects=function(k,V){if(!(k instanceof oe))throw new TypeError("a Comparator is required");var q;if(this.operator==="")return q=new ue(k.value,V),Te(this.value,q,V);if(k.operator==="")return q=new ue(this.value,V),Te(k.semver,q,V);var fe=!(this.operator!==">="&&this.operator!==">"||k.operator!==">="&&k.operator!==">"),me=!(this.operator!=="<="&&this.operator!=="<"||k.operator!=="<="&&k.operator!=="<"),Le=this.semver.version===k.semver.version,Se=!(this.operator!==">="&&this.operator!=="<="||k.operator!==">="&&k.operator!=="<="),Ne=de(this.semver,"<",k.semver,V)&&(this.operator===">="||this.operator===">")&&(k.operator==="<="||k.operator==="<"),Pe=de(this.semver,">",k.semver,V)&&(this.operator==="<="||this.operator==="<")&&(k.operator===">="||k.operator===">");return fe||me||Le&&Se||Ne||Pe},t.Range=ue,ue.prototype.format=function(){return this.range=this.set.map(function(k){return k.join(" ").trim()}).join("||").trim(),this.range},ue.prototype.toString=function(){return this.range},ue.prototype.parseRange=function(k){var V=this.loose;k=k.trim(),S("range",k,V);var q=V?b[H]:b[j];k=k.replace(q,De),S("hyphen replace",k),k=k.replace(b[A],"$1$2$3"),S("comparator trim",k,b[A]),k=(k=(k=k.replace(b[J],"$1~")).replace(b[ge],"$1^")).split(/\s+/).join(" ");var fe=V?b[re]:b[M],me=k.split(" ").map(function(Le){return function(Se,Ne){return S("comp",Se),Se=function(Pe,Ae){return Pe.trim().split(/\s+/).map(function(xe){return function(Re,Oe){S("caret",Re,Oe);var Me=Oe?b[$]:b[W];return Re.replace(Me,function(Ue,Ee,we,be,Ie){var ke;return S("caret",Re,Ue,Ee,we,be,Ie),ye(Ee)?ke="":ye(we)?ke=">="+Ee+".0.0 <"+(+Ee+1)+".0.0":ye(be)?ke=Ee==="0"?">="+Ee+"."+we+".0 <"+Ee+"."+(+we+1)+".0":">="+Ee+"."+we+".0 <"+(+Ee+1)+".0.0":Ie?(S("replaceCaret pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=Ee==="0"?we==="0"?">="+Ee+"."+we+"."+be+Ie+" <"+Ee+"."+we+"."+(+be+1):">="+Ee+"."+we+"."+be+Ie+" <"+Ee+"."+(+we+1)+".0":">="+Ee+"."+we+"."+be+Ie+" <"+(+Ee+1)+".0.0"):(S("no pr"),ke=Ee==="0"?we==="0"?">="+Ee+"."+we+"."+be+" <"+Ee+"."+we+"."+(+be+1):">="+Ee+"."+we+"."+be+" <"+Ee+"."+(+we+1)+".0":">="+Ee+"."+we+"."+be+" <"+(+Ee+1)+".0.0"),S("caret return",ke),ke})}(xe,Ae)}).join(" ")}(Se,Ne),S("caret",Se),Se=function(Pe,Ae){return Pe.trim().split(/\s+/).map(function(xe){return function(Re,Oe){var Me=Oe?b[ie]:b[se];return Re.replace(Me,function(Ue,Ee,we,be,Ie){var ke;return S("tilde",Re,Ue,Ee,we,be,Ie),ye(Ee)?ke="":ye(we)?ke=">="+Ee+".0.0 <"+(+Ee+1)+".0.0":ye(be)?ke=">="+Ee+"."+we+".0 <"+Ee+"."+(+we+1)+".0":Ie?(S("replaceTilde pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=">="+Ee+"."+we+"."+be+Ie+" <"+Ee+"."+(+we+1)+".0"):ke=">="+Ee+"."+we+"."+be+" <"+Ee+"."+(+we+1)+".0",S("tilde return",ke),ke})}(xe,Ae)}).join(" ")}(Se,Ne),S("tildes",Se),Se=function(Pe,Ae){return S("replaceXRanges",Pe,Ae),Pe.split(/\s+/).map(function(xe){return function(Re,Oe){Re=Re.trim();var Me=Oe?b[T]:b[E];return Re.replace(Me,function(Ue,Ee,we,be,Ie,ke){S("xRange",Re,Ue,Ee,we,be,Ie,ke);var je=ye(we),ze=je||ye(be),Ve=ze||ye(Ie);return Ee==="="&&Ve&&(Ee=""),je?Ue=Ee===">"||Ee==="<"?"<0.0.0":"*":Ee&&Ve?(ze&&(be=0),Ve&&(Ie=0),Ee===">"?(Ee=">=",ze?(we=+we+1,be=0,Ie=0):Ve&&(be=+be+1,Ie=0)):Ee==="<="&&(Ee="<",ze?we=+we+1:be=+be+1),Ue=Ee+we+"."+be+"."+Ie):ze?Ue=">="+we+".0.0 <"+(+we+1)+".0.0":Ve&&(Ue=">="+we+"."+be+".0 <"+we+"."+(+be+1)+".0"),S("xRange return",Ue),Ue})}(xe,Ae)}).join(" ")}(Se,Ne),S("xrange",Se),Se=function(Pe,Ae){return S("replaceStars",Pe,Ae),Pe.trim().replace(b[ne],"")}(Se,Ne),S("stars",Se),Se}(Le,V)}).join(" ").split(/\s+/);return this.loose&&(me=me.filter(function(Le){return!!Le.match(fe)})),me=me.map(function(Le){return new oe(Le,V)})},ue.prototype.intersects=function(k,V){if(!(k instanceof ue))throw new TypeError("a Range is required");return this.set.some(function(q){return q.every(function(fe){return k.set.some(function(me){return me.every(function(Le){return fe.intersects(Le,V)})})})})},t.toComparators=function(k,V){return new ue(k,V).set.map(function(q){return q.map(function(fe){return fe.value}).join(" ").trim().split(" ")})},ue.prototype.test=function(k){if(!k)return!1;typeof k=="string"&&(k=new G(k,this.loose));for(var V=0;V<this.set.length;V++)if(Ce(this.set[V],k))return!0;return!1},t.satisfies=Te,t.maxSatisfying=function(k,V,q){var fe=null,me=null;try{var Le=new ue(V,q)}catch{return null}return k.forEach(function(Se){Le.test(Se)&&(fe&&me.compare(Se)!==-1||(me=new G(fe=Se,q)))}),fe},t.minSatisfying=function(k,V,q){var fe=null,me=null;try{var Le=new ue(V,q)}catch{return null}return k.forEach(function(Se){Le.test(Se)&&(fe&&me.compare(Se)!==1||(me=new G(fe=Se,q)))}),fe},t.validRange=function(k,V){try{return new ue(k,V).range||"*"}catch{return null}},t.ltr=function(k,V,q){return Fe(k,V,"<",q)},t.gtr=function(k,V,q){return Fe(k,V,">",q)},t.outside=Fe,t.prerelease=function(k,V){var q=ee(k,V);return q&&q.prerelease.length?q.prerelease:null},t.intersects=function(k,V,q){return k=new ue(k,q),V=new ue(V,q),k.intersects(V)},t.coerce=function(k){if(k instanceof G)return k;if(typeof k!="string")return null;var V=k.match(b[F]);return V==null?null:ee((V[1]||"0")+"."+(V[2]||"0")+"."+(V[3]||"0"))}}).call(this,L(1))},function(x,t){var L,D,S=x.exports={};function R(){throw new Error("setTimeout has not been defined")}function C(){throw new Error("clearTimeout has not been defined")}function b(l){if(L===setTimeout)return setTimeout(l,0);if((L===R||!L)&&setTimeout)return L=setTimeout,setTimeout(l,0);try{return L(l,0)}catch{try{return L.call(null,l,0)}catch{return L.call(this,l,0)}}}(function(){try{L=typeof setTimeout=="function"?setTimeout:R}catch{L=R}try{D=typeof clearTimeout=="function"?clearTimeout:C}catch{D=C}})();var u,v=[],I=!1,O=-1;function g(){I&&u&&(I=!1,u.length?v=u.concat(v):O=-1,v.length&&P())}function P(){if(!I){var l=b(g);I=!0;for(var d=v.length;d;){for(u=v,v=[];++O<d;)u&&u[O].run();O=-1,d=v.length}u=null,I=!1,function(y){if(D===clearTimeout)return clearTimeout(y);if((D===C||!D)&&clearTimeout)return D=clearTimeout,clearTimeout(y);try{D(y)}catch{try{return D.call(null,y)}catch{return D.call(this,y)}}}(l)}}function h(l,d){this.fun=l,this.array=d}function w(){}S.nextTick=function(l){var d=new Array(arguments.length-1);if(arguments.length>1)for(var y=1;y<arguments.length;y++)d[y-1]=arguments[y];v.push(new h(l,d)),v.length!==1||I||b(P)},h.prototype.run=function(){this.fun.apply(null,this.array)},S.title="browser",S.browser=!0,S.env={},S.argv=[],S.version="",S.versions={},S.on=w,S.addListener=w,S.once=w,S.off=w,S.removeListener=w,S.removeAllListeners=w,S.emit=w,S.prependListener=w,S.prependOnceListener=w,S.listeners=function(l){return[]},S.binding=function(l){throw new Error("process.binding is not supported")},S.cwd=function(){return"/"},S.chdir=function(l){throw new Error("process.chdir is not supported")},S.umask=function(){return 0}}])}),define(Q[57],Z([0,1]),function(x,t){"use strict";var L;Object.defineProperty(t,"__esModule",{value:!0}),t.SkipList=void 0;class D{constructor(b,u,v){this.level=b,this.key=u,this.value=v,this.forward=[]}}const S=void 0;class R{constructor(b,u=2**16){this.comparator=b,this[L]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(u)|0),this._header=new D(this._maxLevel,S,S)}get size(){return this._size}clear(){this._header=new D(this._maxLevel,S,S)}has(b){return Boolean(R._search(this,b,this.comparator))}get(b){return R._search(this,b,this.comparator)?.value}set(b,u){return R._insert(this,b,u,this.comparator)&&(this._size+=1),this}delete(b){const u=R._delete(this,b,this.comparator);return u&&(this._size-=1),u}forEach(b,u){let v=this._header.forward[0];for(;v;)b.call(u,v.value,v.key,this),v=v.forward[0]}[(L=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let b=this._header.forward[0];for(;b;)yield[b.key,b.value],b=b.forward[0]}*keys(){let b=this._header.forward[0];for(;b;)yield b.key,b=b.forward[0]}*values(){let b=this._header.forward[0];for(;b;)yield b.value,b=b.forward[0]}toString(){let b="[SkipList]:",u=this._header.forward[0];for(;u;)b+=`node(${u.key}, ${u.value}, lvl:${u.level})`,u=u.forward[0];return b}static _search(b,u,v){let I=b._header;for(let O=b._level-1;O>=0;O--)for(;I.forward[O]&&v(I.forward[O].key,u)<0;)I=I.forward[O];if(I=I.forward[0],I&&v(I.key,u)===0)return I}static _insert(b,u,v,I){let O=[],g=b._header;for(let P=b._level-1;P>=0;P--){for(;g.forward[P]&&I(g.forward[P].key,u)<0;)g=g.forward[P];O[P]=g}if(g=g.forward[0],g&&I(g.key,u)===0)return g.value=v,!1;{let P=R._randomLevel(b);if(P>b._level){for(let h=b._level;h<P;h++)O[h]=b._header;b._level=P}g=new D(P,u,v);for(let h=0;h<P;h++)g.forward[h]=O[h].forward[h],O[h].forward[h]=g;return!0}}static _randomLevel(b,u=.5){let v=1;for(;Math.random()<u&&v<b._maxLevel;)v+=1;return v}static _delete(b,u,v){let I=[],O=b._header;for(let g=b._level-1;g>=0;g--){for(;O.forward[g]&&v(O.forward[g].key,u)<0;)O=O.forward[g];I[g]=O}if(O=O.forward[0],!O||v(O.key,u)!==0)return!1;for(let g=0;g<b._level&&I[g].forward[g]===O;g++)I[g].forward[g]=O.forward[g];for(;b._level>0&&b._header.forward[b._level-1]===S;)b._level-=1;return!0}}t.SkipList=R}),define(Q[37],Z([0,1,6,2]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.prefixedStream=t.prefixedReadable=t.transform=t.toReadable=t.emptyStream=t.toStream=t.peekStream=t.listenStream=t.consumeStream=t.peekReadable=t.consumeReadable=t.newWriteableStream=t.isReadableBufferedStream=t.isReadableStream=void 0;function S(c){const m=c;return m?[m.on,m.pause,m.resume,m.destroy].every(o=>typeof o=="function"):!1}t.isReadableStream=S;function R(c){const m=c;return m?S(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean":!1}t.isReadableBufferedStream=R;function C(c,m){return new b(c,m)}t.newWriteableStream=C;class b{constructor(m,o){this.reducer=m,this.options=o,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(o=>this.pendingWritePromises.push(o))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(o=>o(m))}emitError(m){this.listeners.error.length===0?(0,L.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(o=>o(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,o){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(o),this.resume();break;case"end":this.listeners.end.push(o),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(o),this.state.flowing&&this.flowErrors();break}}removeListener(m,o){if(this.state.destroyed)return;let n;switch(m){case"data":n=this.listeners.data;break;case"end":n=this.listeners.end;break;case"error":n=this.listeners.error;break}if(n){const r=n.indexOf(o);r>=0&&n.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const o=[...this.pendingWritePromises];this.pendingWritePromises.length=0,o.forEach(n=>n())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function u(c,m){const o=[];let n;for(;(n=c.read())!==null;)o.push(n);return m(o)}t.consumeReadable=u;function v(c,m,o){const n=[];let r;for(;(r=c.read())!==null&&n.length<o;)n.push(r);return r===null&&n.length>0?m(n):{read:()=>{if(n.length>0)return n.shift();if(typeof r!="undefined"){const e=r;return r=void 0,e}return c.read()}}}t.peekReadable=v;function I(c,m){return new Promise((o,n)=>{const r=[];O(c,{onData:e=>{m&&r.push(e)},onError:e=>{m?n(e):o(void 0)},onEnd:()=>{o(m?m(r):void 0)}})})}t.consumeStream=I;function O(c,m){let o=!1;return c.on("error",n=>{o||m.onError(n)}),c.on("end",()=>{o||m.onEnd()}),c.on("data",n=>{o||m.onData(n)}),(0,D.toDisposable)(()=>o=!0)}t.listenStream=O;function g(c,m){return new Promise((o,n)=>{const r=new D.DisposableStore,e=[],i=f=>{if(e.push(f),e.length>m)return r.dispose(),c.pause(),o({stream:c,buffer:e,ended:!1})},s=f=>n(f),a=()=>o({stream:c,buffer:e,ended:!0});r.add((0,D.toDisposable)(()=>c.removeListener("error",s))),c.on("error",s),r.add((0,D.toDisposable)(()=>c.removeListener("end",a))),c.on("end",a),r.add((0,D.toDisposable)(()=>c.removeListener("data",i))),c.on("data",i)})}t.peekStream=g;function P(c,m){const o=C(m);return o.end(c),o}t.toStream=P;function h(){const c=C(()=>{throw new Error("not supported")});return c.end(),c}t.emptyStream=h;function w(c){let m=!1;return{read:()=>m?null:(m=!0,c)}}t.toReadable=w;function l(c,m,o){const n=C(o);return O(c,{onData:r=>n.write(m.data(r)),onError:r=>n.error(m.error?m.error(r):r),onEnd:()=>n.end()}),n}t.transform=l;function d(c,m,o){let n=!1;return{read:()=>{const r=m.read();return n?r:(n=!0,r!==null?o([c,r]):c)}}}t.prefixedReadable=d;function y(c,m,o){let n=!1;const r=C(o);return O(m,{onData:e=>n?r.write(e):(n=!0,r.write(o([c,e]))),onError:e=>r.error(e),onEnd:()=>{n||(n=!0,r.write(c)),r.end()}}),r}t.prefixedStream=y}),define(Q[17],Z([0,1,37]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.encodeBase64=t.decodeBase64=t.prefixedBufferStream=t.prefixedBufferReadable=t.newWriteableBufferStream=t.streamToBufferReadableStream=t.bufferToStream=t.bufferedStreamToBuffer=t.streamToBuffer=t.bufferToReadable=t.readableToBuffer=t.writeUInt8=t.readUInt8=t.writeUInt32LE=t.readUInt32LE=t.writeUInt32BE=t.readUInt32BE=t.writeUInt16LE=t.readUInt16LE=t.VSBuffer=void 0;const D=typeof Buffer!="undefined";let S,R;class C{constructor(p){this.buffer=p,this.byteLength=this.buffer.byteLength}static alloc(p){return D?new C(Buffer.allocUnsafe(p)):new C(new Uint8Array(p))}static wrap(p){return D&&!Buffer.isBuffer(p)&&(p=Buffer.from(p.buffer,p.byteOffset,p.byteLength)),new C(p)}static fromString(p,E){return!(E?.dontUseNodeBuffer||!1)&&D?new C(Buffer.from(p)):(S||(S=new TextEncoder),new C(S.encode(p)))}static fromByteArray(p){const E=C.alloc(p.length);for(let T=0,F=p.length;T<F;T++)E.buffer[T]=p[T];return E}static concat(p,E){if(typeof E=="undefined"){E=0;for(let B=0,J=p.length;B<J;B++)E+=p[B].byteLength}const T=C.alloc(E);let F=0;for(let B=0,J=p.length;B<J;B++){const se=p[B];T.set(se,F),F+=se.byteLength}return T}clone(){const p=C.alloc(this.byteLength);return p.set(this),p}toString(){return D?this.buffer.toString():(R||(R=new TextDecoder),R.decode(this.buffer))}slice(p,E){return new C(this.buffer.subarray(p,E))}set(p,E){if(p instanceof C)this.buffer.set(p.buffer,E);else if(p instanceof Uint8Array)this.buffer.set(p,E);else if(p instanceof ArrayBuffer)this.buffer.set(new Uint8Array(p),E);else if(ArrayBuffer.isView(p))this.buffer.set(new Uint8Array(p.buffer,p.byteOffset,p.byteLength),E);else throw new Error("Unkown argument 'array'")}readUInt32BE(p){return v(this.buffer,p)}writeUInt32BE(p,E){I(this.buffer,p,E)}readUInt32LE(p){return O(this.buffer,p)}writeUInt32LE(p,E){g(this.buffer,p,E)}readUInt8(p){return P(this.buffer,p)}writeUInt8(p,E){h(this.buffer,p,E)}}t.VSBuffer=C;function b(f,p){return f[p+0]<<0>>>0|f[p+1]<<8>>>0}t.readUInt16LE=b;function u(f,p,E){f[E+0]=p&255,p=p>>>8,f[E+1]=p&255}t.writeUInt16LE=u;function v(f,p){return f[p]*2**24+f[p+1]*2**16+f[p+2]*2**8+f[p+3]}t.readUInt32BE=v;function I(f,p,E){f[E+3]=p,p=p>>>8,f[E+2]=p,p=p>>>8,f[E+1]=p,p=p>>>8,f[E]=p}t.writeUInt32BE=I;function O(f,p){return f[p+0]<<0>>>0|f[p+1]<<8>>>0|f[p+2]<<16>>>0|f[p+3]<<24>>>0}t.readUInt32LE=O;function g(f,p,E){f[E+0]=p&255,p=p>>>8,f[E+1]=p&255,p=p>>>8,f[E+2]=p&255,p=p>>>8,f[E+3]=p&255}t.writeUInt32LE=g;function P(f,p){return f[p]}t.readUInt8=P;function h(f,p,E){f[E]=p}t.writeUInt8=h;function w(f){return L.consumeReadable(f,p=>C.concat(p))}t.readableToBuffer=w;function l(f){return L.toReadable(f)}t.bufferToReadable=l;function d(f){return L.consumeStream(f,p=>C.concat(p))}t.streamToBuffer=d;async function y(f){return f.ended?C.concat(f.buffer):C.concat([...f.buffer,await d(f.stream)])}t.bufferedStreamToBuffer=y;function c(f){return L.toStream(f,p=>C.concat(p))}t.bufferToStream=c;function m(f){return L.transform(f,{data:p=>typeof p=="string"?C.fromString(p):C.wrap(p)},p=>C.concat(p))}t.streamToBufferReadableStream=m;function o(f){return L.newWriteableStream(p=>C.concat(p),f)}t.newWriteableBufferStream=o;function n(f,p){return L.prefixedReadable(f,p,E=>C.concat(E))}t.prefixedBufferReadable=n;function r(f,p){return L.prefixedStream(f,p,E=>C.concat(E))}t.prefixedBufferStream=r;function e(f){let p=0,E=0,T=0;const F=new Uint8Array(Math.floor(f.length/4*3)),B=se=>{switch(E){case 3:F[T++]=p|se,E=0;break;case 2:F[T++]=p|se>>>2,p=se<<6,E=3;break;case 1:F[T++]=p|se>>>4,p=se<<4,E=2;break;default:p=se<<2,E=1}};for(let se=0;se<f.length;se++){const ie=f.charCodeAt(se);if(ie>=65&&ie<=90)B(ie-65);else if(ie>=97&&ie<=122)B(ie-97+26);else if(ie>=48&&ie<=57)B(ie-48+52);else if(ie===43||ie===45)B(62);else if(ie===47||ie===95)B(63);else{if(ie===61)break;throw new SyntaxError(`Unexpected base64 character ${f[se]}`)}}const J=T;for(;E>0;)B(0);return C.wrap(F).slice(0,J)}t.decodeBase64=e;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function a({buffer:f},p=!0,E=!1){const T=E?s:i;let F="";const B=f.byteLength%3;let J=0;for(;J<f.byteLength-B;J+=3){const se=f[J+0],ie=f[J+1],te=f[J+2];F+=T[se>>>2],F+=T[(se<<4|ie>>>4)&63],F+=T[(ie<<2|te>>>6)&63],F+=T[te&63]}if(B===1){const se=f[J+0];F+=T[se>>>2],F+=T[se<<4&63],p&&(F+="==")}else if(B===2){const se=f[J+0],ie=f[J+1];F+=T[se>>>2],F+=T[(se<<4|ie>>>4)&63],F+=T[ie<<2&63],p&&(F+="=")}return F}t.encodeBase64=a}),define(Q[58],Z([0,1,26]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringSHA1=t.toHexString=t.Hasher=t.stringHash=t.numberHash=t.doHash=t.hash=void 0;function D(d){return S(d,0)}t.hash=D;function S(d,y){switch(typeof d){case"object":return d===null?R(349,y):Array.isArray(d)?u(d,y):v(d,y);case"string":return b(d,y);case"boolean":return C(d,y);case"number":return R(d,y);case"undefined":return R(937,y);default:return R(617,y)}}t.doHash=S;function R(d,y){return(y<<5)-y+d|0}t.numberHash=R;function C(d,y){return R(d?433:863,y)}function b(d,y){y=R(149417,y);for(let c=0,m=d.length;c<m;c++)y=R(d.charCodeAt(c),y);return y}t.stringHash=b;function u(d,y){return y=R(104579,y),d.reduce((c,m)=>S(m,c),y)}function v(d,y){return y=R(181387,y),Object.keys(d).sort().reduce((c,m)=>(c=b(m,c),S(d[m],c)),y)}class I{constructor(){this._value=0}get value(){return this._value}hash(y){return this._value=S(y,this._value),this._value}}t.Hasher=I;var O;(function(d){d[d.BLOCK_SIZE=64]="BLOCK_SIZE",d[d.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(O||(O={}));function g(d,y,c=32){const m=c-y,o=~((1<<m)-1);return(d<<y|(o&d)>>>m)>>>0}function P(d,y=0,c=d.byteLength,m=0){for(let o=0;o<c;o++)d[y+o]=m}function h(d,y,c="0"){for(;d.length<y;)d=c+d;return d}function w(d,y=32){return d instanceof ArrayBuffer?Array.from(new Uint8Array(d)).map(c=>c.toString(16).padStart(2,"0")).join(""):h((d>>>0).toString(16),y/4)}t.toHexString=w;class l{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(y){const c=y.length;if(c===0)return;const m=this._buff;let o=this._buffLen,n=this._leftoverHighSurrogate,r,e;for(n!==0?(r=n,e=-1,n=0):(r=y.charCodeAt(0),e=0);;){let i=r;if(L.isHighSurrogate(r))if(e+1<c){const s=y.charCodeAt(e+1);L.isLowSurrogate(s)?(e++,i=L.computeCodePoint(r,s)):i=65533}else{n=r;break}else L.isLowSurrogate(r)&&(i=65533);if(o=this._push(m,o,i),e++,e<c)r=y.charCodeAt(e);else break}this._buffLen=o,this._leftoverHighSurrogate=n}_push(y,c,m){return m<128?y[c++]=m:m<2048?(y[c++]=192|(m&1984)>>>6,y[c++]=128|(m&63)>>>0):m<65536?(y[c++]=224|(m&61440)>>>12,y[c++]=128|(m&4032)>>>6,y[c++]=128|(m&63)>>>0):(y[c++]=240|(m&1835008)>>>18,y[c++]=128|(m&258048)>>>12,y[c++]=128|(m&4032)>>>6,y[c++]=128|(m&63)>>>0),c>=64&&(this._step(),c-=64,this._totalLen+=64,y[0]=y[64+0],y[1]=y[64+1],y[2]=y[64+2]),c}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),w(this._h0)+w(this._h1)+w(this._h2)+w(this._h3)+w(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,P(this._buff,this._buffLen),this._buffLen>56&&(this._step(),P(this._buff));const y=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(y/4294967296),!1),this._buffDV.setUint32(60,y%4294967296,!1),this._step()}_step(){const y=l._bigBlock32,c=this._buffDV;for(let f=0;f<64;f+=4)y.setUint32(f,c.getUint32(f,!1),!1);for(let f=64;f<320;f+=4)y.setUint32(f,g(y.getUint32(f-12,!1)^y.getUint32(f-32,!1)^y.getUint32(f-56,!1)^y.getUint32(f-64,!1),1),!1);let m=this._h0,o=this._h1,n=this._h2,r=this._h3,e=this._h4,i,s,a;for(let f=0;f<80;f++)f<20?(i=o&n|~o&r,s=1518500249):f<40?(i=o^n^r,s=1859775393):f<60?(i=o&n|o&r|n&r,s=2400959708):(i=o^n^r,s=3395469782),a=g(m,5)+i+e+s+y.getUint32(f*4,!1)&4294967295,e=r,r=n,n=g(o,30),o=m,m=a;this._h0=this._h0+m&4294967295,this._h1=this._h1+o&4294967295,this._h2=this._h2+n&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+e&4294967295}}t.StringSHA1=l,l._bigBlock32=new DataView(new ArrayBuffer(320))}),define(Q[21],Z([0,1,7]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.filter=t.getCaseInsensitive=t.distinct=t.getOrDefault=t.safeStringify=t.equals=t.mixin=t.cloneAndChange=t.deepFreeze=t.deepClone=void 0;function D(w){if(!w||typeof w!="object"||w instanceof RegExp)return w;const l=Array.isArray(w)?[]:{};return Object.keys(w).forEach(d=>{w[d]&&typeof w[d]=="object"?l[d]=D(w[d]):l[d]=w[d]}),l}t.deepClone=D;function S(w){if(!w||typeof w!="object")return w;const l=[w];for(;l.length>0;){const d=l.shift();Object.freeze(d);for(const y in d)if(R.call(d,y)){const c=d[y];typeof c=="object"&&!Object.isFrozen(c)&&l.push(c)}}return w}t.deepFreeze=S;const R=Object.prototype.hasOwnProperty;function C(w,l){return b(w,l,new Set)}t.cloneAndChange=C;function b(w,l,d){if((0,L.isUndefinedOrNull)(w))return w;const y=l(w);if(typeof y!="undefined")return y;if((0,L.isArray)(w)){const c=[];for(const m of w)c.push(b(m,l,d));return c}if((0,L.isObject)(w)){if(d.has(w))throw new Error("Cannot clone recursive data-structure");d.add(w);const c={};for(let m in w)R.call(w,m)&&(c[m]=b(w[m],l,d));return d.delete(w),c}return w}function u(w,l,d=!0){return(0,L.isObject)(w)?((0,L.isObject)(l)&&Object.keys(l).forEach(y=>{y in w?d&&((0,L.isObject)(w[y])&&(0,L.isObject)(l[y])?u(w[y],l[y],d):w[y]=l[y]):w[y]=l[y]}),w):l}t.mixin=u;function v(w,l){if(w===l)return!0;if(w==null||l===null||l===void 0||typeof w!=typeof l||typeof w!="object"||Array.isArray(w)!==Array.isArray(l))return!1;let d,y;if(Array.isArray(w)){if(w.length!==l.length)return!1;for(d=0;d<w.length;d++)if(!v(w[d],l[d]))return!1}else{const c=[];for(y in w)c.push(y);c.sort();const m=[];for(y in l)m.push(y);if(m.sort(),!v(c,m))return!1;for(d=0;d<c.length;d++)if(!v(w[c[d]],l[c[d]]))return!1}return!0}t.equals=v;function I(w){const l=new Set;return JSON.stringify(w,(d,y)=>{if((0,L.isObject)(y)||Array.isArray(y)){if(l.has(y))return"[Circular]";l.add(y)}return y})}t.safeStringify=I;function O(w,l,d){const y=l(w);return typeof y=="undefined"?d:y}t.getOrDefault=O;function g(w,l){const d=Object.create(null);return!w||!l||Object.keys(l).forEach(c=>{const m=w[c],o=l[c];v(m,o)||(d[c]=o)}),d}t.distinct=g;function P(w,l){const d=l.toLowerCase(),y=Object.keys(w).find(c=>c.toLowerCase()===d);return y?w[y]:w[l]}t.getCaseInsensitive=P;function h(w,l){const d=Object.create(null);for(const[y,c]of Object.entries(w))l(y,c)&&(d[y]=c);return d}t.filter=h}),define(Q[59],Z([0,1,9]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.log=t.getFirstFrame=t.parse=t.isRemoteConsoleLog=void 0;function D(v){const I=v;return I&&typeof I.type=="string"&&typeof I.severity=="string"}t.isRemoteConsoleLog=D;function S(v){const I=[];let O;try{const g=JSON.parse(v.arguments),P=g[g.length-1];P&&P.__$stack&&(g.pop(),O=P.__$stack),I.push(...g)}catch{I.push("Unable to log remote console arguments",v.arguments)}return{args:I,stack:O}}t.parse=S;function R(v){if(typeof v!="string")return R(S(v).stack);const I=v;if(I){const O=C(I),g=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(O||"");if(g&&g.length===4)return{uri:L.URI.file(g[1]),line:Number(g[2]),column:Number(g[3])}}}t.getFirstFrame=R;function C(v){if(!v)return v;const I=v.indexOf(`
`);return I===-1?v:v.substring(0,I)}function b(v,I){const{args:O,stack:g}=S(v),P=typeof O[0]=="string"&&O.length===1;let h=C(g);h&&(h=`(${h.trim()})`);let w=[];if(typeof O[0]=="string"?h&&P?w=[`%c[${I}] %c${O[0]} %c${h}`,u("blue"),u(""),u("grey")]:w=[`%c[${I}] %c${O[0]}`,u("blue"),u(""),...O.slice(1)]:w=[`%c[${I}]%`,u("blue"),...O],h&&!P&&w.push(h),typeof console[v.severity]!="function")throw new Error("Unknown console method");console[v.severity].apply(console,w)}t.log=b;function u(v){return`color: ${v}`}}),define(Q[60],Z([0,1,17,26,9]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.revive=t.MarshalledId=t.parse=t.stringify=void 0;function R(I){return JSON.stringify(I,u)}t.stringify=R;function C(I){let O=JSON.parse(I);return O=v(O),O}t.parse=C;var b;(function(I){I[I.Uri=1]="Uri",I[I.Regexp=2]="Regexp",I[I.ScmResource=3]="ScmResource",I[I.ScmResourceGroup=4]="ScmResourceGroup",I[I.ScmProvider=5]="ScmProvider",I[I.CommentController=6]="CommentController",I[I.CommentThread=7]="CommentThread",I[I.CommentThreadReply=8]="CommentThreadReply",I[I.CommentNode=9]="CommentNode",I[I.CommentThreadNode=10]="CommentThreadNode",I[I.TimelineActionContext=11]="TimelineActionContext",I[I.NotebookCellActionContext=12]="NotebookCellActionContext",I[I.TestItemContext=13]="TestItemContext"})(b=t.MarshalledId||(t.MarshalledId={}));function u(I,O){return O instanceof RegExp?{$mid:2,source:O.source,flags:(0,D.regExpFlags)(O)}:O}function v(I,O=0){if(!I||O>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return S.URI.revive(I);case 2:return new RegExp(I.source,I.flags)}if(I instanceof L.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let g=0;g<I.length;++g)I[g]=v(I[g],O+1);else for(const g in I)Object.hasOwnProperty.call(I,g)&&(I[g]=v(I[g],O+1))}return I}t.revive=v}),define(Q[61],Z([0,1,45,10,11,14,18,26,9]),function(x,t,L,D,S,R,C,b,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.splitName=t.unmnemonicLabel=t.mnemonicButtonLabel=t.mnemonicMenuLabel=t.template=t.shorten=t.untildify=t.tildify=t.normalizeDriveLetter=t.getBaseLabel=t.getPathLabel=void 0;function v(i,s,a){if(typeof i=="string"&&(i=u.URI.file(i)),a){const p=a.getWorkspaceFolder(i);if(p){const E=a.getWorkspace().folders.length>1;let T;if((0,C.isEqual)(p.uri,i)?T="":T=(0,C.relativePath)(p.uri,i),E){const F=p.name?p.name:(0,C.basename)(p.uri);T=T?F+" \u2022 "+T:F}return T}}if(i.scheme!==D.Schemas.file&&i.scheme!==D.Schemas.untitled)return i.with({query:null,fragment:null}).toString(!0);if((0,L.hasDriveLetter)(i.fsPath))return(0,S.normalize)(O(i.fsPath));let f=(0,S.normalize)(i.fsPath);return!R.isWindows&&s?.userHome&&(f=P(f,s.userHome.fsPath)),f}t.getPathLabel=v;function I(i){if(!i)return;typeof i=="string"&&(i=u.URI.file(i));const s=(0,C.basename)(i)||(i.scheme===D.Schemas.file?i.fsPath:i.path);return R.isWindows&&(0,L.isRootOrDriveLetter)(s)?O(s):s}t.getBaseLabel=I;function O(i,s){return(0,L.hasDriveLetter)(i,s)?i.charAt(0).toUpperCase()+i.slice(1):i}t.normalizeDriveLetter=O;let g=Object.create(null);function P(i,s){if(R.isWindows||!i||!s)return i;let a=g.original===s?g.normalized:void 0;return a||(a=`${(0,b.rtrim)(s,S.posix.sep)}${S.posix.sep}`,g={original:s,normalized:a}),(R.isLinux?i.startsWith(a):(0,b.startsWithIgnoreCase)(i,a))&&(i=`~/${i.substr(a.length)}`),i}t.tildify=P;function h(i,s){return i.replace(/^~($|\/|\\)/,`${s}$1`)}t.untildify=h;const w="\u2026",l="\\\\",d="~";function y(i,s=S.sep){const a=new Array(i.length);let f=!1;for(let p=0;p<i.length;p++){let E=i[p];if(E===""){a[p]=`.${s}`;continue}if(!E){a[p]=E;continue}f=!0;let T="";E.indexOf(l)===0?(T=E.substr(0,E.indexOf(l)+l.length),E=E.substr(E.indexOf(l)+l.length)):E.indexOf(s)===0?(T=E.substr(0,E.indexOf(s)+s.length),E=E.substr(E.indexOf(s)+s.length)):E.indexOf(d)===0&&(T=E.substr(0,E.indexOf(d)+d.length),E=E.substr(E.indexOf(d)+d.length));const F=E.split(s);for(let B=1;f&&B<=F.length;B++)for(let J=F.length-B;f&&J>=0;J--){f=!1;let se=F.slice(J,J+B).join(s);for(let ie=0;!f&&ie<i.length;ie++)if(ie!==p&&i[ie]&&i[ie].indexOf(se)>-1){const te=J+B===F.length,ge=J>0&&i[ie].indexOf(s)>-1?s+se:se,W=i[ie].endsWith(ge);f=!te||W}if(!f){let ie="";(F[0].endsWith(":")||T!=="")&&(J===1&&(J=0,B++,se=F[0]+s+se),J>0&&(ie=F[0]+s),ie=T+ie),J>0&&(ie=ie+w+s),ie=ie+se,J+B<F.length&&(ie=ie+s+w),a[p]=ie}}f&&(a[p]=E)}return a}t.shorten=y;var c;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(c||(c={}));function m(i,s=Object.create(null)){const a=[];let f=!1,p="";for(const E of i)if(E==="$"||f&&E==="{")p&&a.push({value:p,type:c.TEXT}),p="",f=!0;else if(E==="}"&&f){const T=s[p];if(typeof T=="string")T.length&&a.push({value:T,type:c.VARIABLE});else if(T){const F=a[a.length-1];(!F||F.type!==c.SEPARATOR)&&a.push({value:T.label,type:c.SEPARATOR})}p="",f=!1}else p+=E;return p&&!f&&a.push({value:p,type:c.TEXT}),a.filter((E,T)=>{if(E.type===c.SEPARATOR){const F=a[T-1],B=a[T+1];return[F,B].every(J=>J&&(J.type===c.VARIABLE||J.type===c.TEXT)&&J.value.length>0)}return!0}).map(E=>E.value).join("")}t.template=m;function o(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,R.isMacintosh?"&":"&&"):i.replace(/&&|&/g,a=>a==="&"?"&&":"&")}t.mnemonicMenuLabel=o;function n(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,""):R.isWindows?i.replace(/&&|&/g,a=>a==="&"?"&&":"&"):i.replace(/&&/g,"_")}t.mnemonicButtonLabel=n;function r(i){return i.replace(/&/g,"&&")}t.unmnemonicLabel=r;function e(i){const s=i.indexOf("/")!==-1?S.posix:S.win32,a=s.basename(i),f=s.dirname(i);return a.length?{name:a,parentPath:f}:{name:f,parentPath:""}}t.splitName=e}),define(Q[27],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.generateUuid=t.isUUID=void 0;const L=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(u){return L.test(u)}t.isUUID=D;const S=new Uint8Array(16),R=[];for(let u=0;u<256;u++)R.push(u.toString(16).padStart(2,"0"));let C;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?C=crypto.getRandomValues.bind(crypto):C=function(u){for(let v=0;v<u.length;v++)u[v]=Math.floor(Math.random()*256);return u};function b(){C(S),S[6]=S[6]&15|64,S[8]=S[8]&63|128;let u=0,v="";return v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v+="-",v+=R[S[u++]],v+=R[S[u++]],v+="-",v+=R[S[u++]],v+=R[S[u++]],v+="-",v+=R[S[u++]],v+=R[S[u++]],v+="-",v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v+=R[S[u++]],v}t.generateUuid=b}),define(Q[62],Z([0,1,129]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LineDecoder=void 0;class D{constructor(R="utf8"){this.stringDecoder=new L.StringDecoder(R),this.remaining=null}write(R){const C=[],b=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(b.length<1)return C;let u=0,v,I=u;for(;I<b.length;)if(v=b.charCodeAt(I),v===13||v===10){if(C.push(b.substring(u,I)),I++,I<b.length){const O=v;v=b.charCodeAt(I),(O===13&&v===10||O===10&&v===13)&&I++}u=I}else I++;return this.remaining=u<b.length?b.substr(u):null,C}end(){return this.remaining}}t.LineDecoder=D}),define(Q[63],Z([0,1,33,11,15]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getFirstAvailablePowerShellInstallation=t.enumeratePowerShellInstallations=void 0;const R=/^\d+$/,C=/^Microsoft.PowerShell_.*/,b=/^Microsoft.PowerShellPreview_.*/;var u;(function(m){m[m.x64=0]="x64",m[m.x86=1]="x86",m[m.ARM=2]="ARM"})(u||(u={}));let v;switch(process.arch){case"ia32":case"x32":v=1;break;case"arm":case"arm64":v=2;break;default:v=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class O{constructor(o,n,r){this.exePath=o,this.displayName=n,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await S.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function g({useAlternateBitness:m=!1}={}){return m?v===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function P({useAlternateBitness:m=!1,findPreview:o=!1}={}){const n=g({useAlternateBitness:m});if(!n)return null;const r=D.join(n,"PowerShell");if(!await S.SymlinkSupport.existsDirectory(r))return null;let e=-1,i=null;for(const f of await S.Promises.readdir(r)){let p=-1;if(o){const T=f.indexOf("-");if(T<0)continue;const F=f.substring(0,T);if(!R.test(F)||f.substring(T+1)!=="preview")continue;p=parseInt(F,10)}else{if(!R.test(f))continue;p=parseInt(f,10)}if(p<=e)continue;const E=D.join(r,f,"pwsh.exe");!await S.SymlinkSupport.existsFile(E)||(i=E,e=p)}if(!i)return null;const s=n.includes("x86")?" (x86)":"",a=o?" Preview":"";return new O(i,`PowerShell${a}${s}`,!0)}async function h({findPreview:m}={}){if(!process.env.LOCALAPPDATA)return null;const o=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await S.SymlinkSupport.existsDirectory(o))return null;const{pwshMsixDirRegex:n,pwshMsixName:r}=m?{pwshMsixDirRegex:b,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:C,pwshMsixName:"PowerShell (Store)"};for(const e of await S.Promises.readdir(o))if(n.test(e)){const i=D.join(o,e,"pwsh.exe");return new O(i,r)}return null}function w(){const m=D.join(L.homedir(),".dotnet","tools","pwsh.exe");return new O(m,".NET Core PowerShell Global Tool")}function l(){const m=D.join(process.env.windir,v===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new O(m,"Windows PowerShell",!0)}async function*d(){let m=await P();m&&(yield m),m=await P({useAlternateBitness:!0}),m&&(yield m),m=await h(),m&&(yield m),m=w(),m&&(yield m),m=await P({findPreview:!0}),m&&(yield m),m=await h({findPreview:!0}),m&&(yield m),m=await P({useAlternateBitness:!0,findPreview:!0}),m&&(yield m),m=l(),m&&(yield m)}async function*y(){for await(const m of d())await m.exists()&&(yield m)}t.enumeratePowerShellInstallations=y;async function c(){for await(const m of y())return m;return null}t.getFirstAvailablePowerShellInstallation=c});var ve=this&&this.__decorate||function(x,t,L,D){var S=arguments.length,R=S<3?t:D===null?D=Object.getOwnPropertyDescriptor(t,L):D,C;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(x,t,L,D);else for(var b=x.length-1;b>=0;b--)(C=x[b])&&(R=(S<3?C(R):S>3?C(t,L,R):C(t,L))||R);return S>3&&R&&Object.defineProperty(t,L,R),R};define(Q[46],Z([0,1,19,3,17,24,44,6,8,2,60,26,7]),function(x,t,L,D,S,R,C,b,u,v,I,O,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IPCLogger=t.logWithColors=t.ProxyChannel=t.StaticRouter=t.getNextTickChannel=t.getDelayedChannel=t.IPCClient=t.IPCServer=t.ChannelClient=t.RequestInitiator=t.ChannelServer=t.ResponseType=t.RequestType=void 0;var P;(function(M){M[M.Promise=100]="Promise",M[M.PromiseCancel=101]="PromiseCancel",M[M.EventListen=102]="EventListen",M[M.EventDispose=103]="EventDispose"})(P=t.RequestType||(t.RequestType={}));function h(M){switch(M){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var w;(function(M){M[M.Initialize=200]="Initialize",M[M.PromiseSuccess=201]="PromiseSuccess",M[M.PromiseError=202]="PromiseError",M[M.PromiseErrorObj=203]="PromiseErrorObj",M[M.EventFire=204]="EventFire"})(w=t.ResponseType||(t.ResponseType={}));function l(M){switch(M){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var d;(function(M){M[M.Uninitialized=0]="Uninitialized",M[M.Idle=1]="Idle"})(d||(d={}));class y{constructor(A){this.buffer=A,this.pos=0}read(A){const j=this.buffer.slice(this.pos,this.pos+A);return this.pos+=j.byteLength,j}}class c{constructor(){this.buffers=[]}get buffer(){return S.VSBuffer.concat(this.buffers)}write(A){this.buffers.push(A)}}var m;(function(M){M[M.Undefined=0]="Undefined",M[M.String=1]="String",M[M.Buffer=2]="Buffer",M[M.VSBuffer=3]="VSBuffer",M[M.Array=4]="Array",M[M.Object=5]="Object"})(m||(m={}));function o(M){const A=S.VSBuffer.alloc(4);return A.writeUInt32BE(M,0),A}function n(M){return M.read(4).readUInt32BE(0)}function r(M){const A=S.VSBuffer.alloc(1);return A.writeUInt8(M,0),A}const e={Undefined:r(m.Undefined),String:r(m.String),Buffer:r(m.Buffer),VSBuffer:r(m.VSBuffer),Array:r(m.Array),Object:r(m.Object)},i=typeof Buffer!="undefined";function s(M,A){if(typeof A=="undefined")M.write(e.Undefined);else if(typeof A=="string"){const j=S.VSBuffer.fromString(A);M.write(e.String),M.write(o(j.byteLength)),M.write(j)}else if(i&&Buffer.isBuffer(A)){const j=S.VSBuffer.wrap(A);M.write(e.Buffer),M.write(o(j.byteLength)),M.write(j)}else if(A instanceof S.VSBuffer)M.write(e.VSBuffer),M.write(o(A.byteLength)),M.write(A);else if(Array.isArray(A)){M.write(e.Array),M.write(o(A.length));for(const j of A)s(M,j)}else{const j=S.VSBuffer.fromString(JSON.stringify(A));M.write(e.Object),M.write(o(j.byteLength)),M.write(j)}}function a(M){switch(M.read(1).readUInt8(0)){case m.Undefined:return;case m.String:return M.read(n(M)).toString();case m.Buffer:return M.read(n(M)).buffer;case m.VSBuffer:return M.read(n(M));case m.Array:{const j=n(M),H=[];for(let ne=0;ne<j;ne++)H.push(a(M));return H}case m.Object:return JSON.parse(M.read(n(M)).toString())}}class f{constructor(A,j,H=null,ne=1e3){this.protocol=A,this.ctx=j,this.logger=H,this.timeoutDelay=ne,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(K=>this.onRawMessage(K)),this.sendResponse({type:200})}registerChannel(A,j){this.channels.set(A,j),setTimeout(()=>this.flushPendingRequests(A),0)}sendResponse(A){switch(A.type){case 200:{const j=this.send([A.type]);this.logger&&this.logger.logOutgoing(j,0,1,l(A.type));return}case 201:case 202:case 204:case 203:{const j=this.send([A.type,A.id],A.data);this.logger&&this.logger.logOutgoing(j,A.id,1,l(A.type),A.data);return}}}send(A,j=void 0){const H=new c;return s(H,A),s(H,j),this.sendBuffer(H.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onRawMessage(A){const j=new y(A),H=a(j),ne=a(j),K=H[0];switch(K){case 100:return this.logger&&this.logger.logIncoming(A.byteLength,H[1],1,`${h(K)}: ${H[2]}.${H[3]}`,ne),this.onPromise({type:K,id:H[1],channelName:H[2],name:H[3],arg:ne});case 102:return this.logger&&this.logger.logIncoming(A.byteLength,H[1],1,`${h(K)}: ${H[2]}.${H[3]}`,ne),this.onEventListen({type:K,id:H[1],channelName:H[2],name:H[3],arg:ne});case 101:return this.logger&&this.logger.logIncoming(A.byteLength,H[1],1,`${h(K)}`),this.disposeActiveRequest({type:K,id:H[1]});case 103:return this.logger&&this.logger.logIncoming(A.byteLength,H[1],1,`${h(K)}`),this.disposeActiveRequest({type:K,id:H[1]})}}onPromise(A){const j=this.channels.get(A.channelName);if(!j){this.collectPendingRequest(A);return}const H=new R.CancellationTokenSource;let ne;try{ne=j.call(this.ctx,A.name,A.arg,H.token)}catch(G){ne=Promise.reject(G)}const K=A.id;ne.then(G=>{this.sendResponse({id:K,data:G,type:201}),this.activeRequests.delete(A.id)},G=>{G instanceof Error?this.sendResponse({id:K,data:{message:G.message,name:G.name,stack:G.stack?G.stack.split?G.stack.split(`
`):G.stack:void 0},type:202}):this.sendResponse({id:K,data:G,type:203}),this.activeRequests.delete(A.id)});const ee=(0,v.toDisposable)(()=>H.cancel());this.activeRequests.set(A.id,ee)}onEventListen(A){const j=this.channels.get(A.channelName);if(!j){this.collectPendingRequest(A);return}const H=A.id,K=j.listen(this.ctx,A.name,A.arg)(ee=>this.sendResponse({id:H,data:ee,type:204}));this.activeRequests.set(A.id,K)}disposeActiveRequest(A){const j=this.activeRequests.get(A.id);j&&(j.dispose(),this.activeRequests.delete(A.id))}collectPendingRequest(A){let j=this.pendingRequests.get(A.channelName);j||(j=[],this.pendingRequests.set(A.channelName,j));const H=setTimeout(()=>{console.error(`Unknown channel: ${A.channelName}`),A.type===100&&this.sendResponse({id:A.id,data:{name:"Unknown channel",message:`Channel name '${A.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);j.push({request:A,timeoutTimer:H})}flushPendingRequests(A){const j=this.pendingRequests.get(A);if(j){for(const H of j)switch(clearTimeout(H.timeoutTimer),H.request.type){case 100:this.onPromise(H.request);break;case 102:this.onEventListen(H.request);break}this.pendingRequests.delete(A)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(A=>A.dispose()),this.activeRequests.clear()}}t.ChannelServer=f;var p;(function(M){M[M.LocalSide=0]="LocalSide",M[M.OtherSide=1]="OtherSide"})(p=t.RequestInitiator||(t.RequestInitiator={}));class E{constructor(A,j=null){this.protocol=A,this.isDisposed=!1,this.state=d.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new u.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(H=>this.onBuffer(H)),this.logger=j}getChannel(A){const j=this;return{call(H,ne,K){return j.isDisposed?Promise.reject(b.canceled()):j.requestPromise(A,H,ne,K)},listen(H,ne){return j.isDisposed?Promise.reject(b.canceled()):j.requestEvent(A,H,ne)}}}requestPromise(A,j,H,ne=R.CancellationToken.None){const K=this.lastRequestId++,G={id:K,type:100,channelName:A,name:j,arg:H};if(ne.isCancellationRequested)return Promise.reject(b.canceled());let le;return new Promise((N,_)=>{if(ne.isCancellationRequested)return _(b.canceled());const z=()=>{const ce=de=>{switch(de.type){case 201:this.handlers.delete(K),N(de.data);break;case 202:{this.handlers.delete(K);const oe=new Error(de.data.message);oe.stack=de.data.stack,oe.name=de.data.name,_(oe);break}case 203:this.handlers.delete(K),_(de.data);break}};this.handlers.set(K,ce),this.sendRequest(G)};let X=null;this.state===d.Idle?z():(X=(0,D.createCancelablePromise)(ce=>this.whenInitialized()),X.then(()=>{X=null,z()}));const Y=()=>{X?(X.cancel(),X=null):this.sendRequest({id:K,type:101}),_(b.canceled())},he=ne.onCancellationRequested(Y);le=(0,v.combinedDisposable)((0,v.toDisposable)(Y),he),this.activeRequests.add(le)}).finally(()=>{this.activeRequests.delete(le)})}requestEvent(A,j,H){const ne=this.lastRequestId++,ee={id:ne,type:102,channelName:A,name:j,arg:H};let G=null;const le=new u.Emitter({onFirstListenerAdd:()=>{G=(0,D.createCancelablePromise)(N=>this.whenInitialized()),G.then(()=>{G=null,this.activeRequests.add(le),this.sendRequest(ee)})},onLastListenerRemove:()=>{G?(G.cancel(),G=null):(this.activeRequests.delete(le),this.sendRequest({id:ne,type:103}))}}),U=N=>le.fire(N.data);return this.handlers.set(ne,U),le.event}sendRequest(A){switch(A.type){case 100:case 102:{const j=this.send([A.type,A.id,A.channelName,A.name],A.arg);this.logger&&this.logger.logOutgoing(j,A.id,0,`${h(A.type)}: ${A.channelName}.${A.name}`,A.arg);return}case 101:case 103:{const j=this.send([A.type,A.id]);this.logger&&this.logger.logOutgoing(j,A.id,0,h(A.type));return}}}send(A,j=void 0){const H=new c;return s(H,A),s(H,j),this.sendBuffer(H.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onBuffer(A){const j=new y(A),H=a(j),ne=a(j),K=H[0];switch(K){case 200:return this.logger&&this.logger.logIncoming(A.byteLength,0,0,l(K)),this.onResponse({type:H[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(A.byteLength,H[1],0,l(K),ne),this.onResponse({type:H[0],id:H[1],data:ne})}}onResponse(A){if(A.type===200){this.state=d.Idle,this._onDidInitialize.fire();return}const j=this.handlers.get(A.id);j&&j(A)}get onDidInitializePromise(){return u.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===d.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(A=>A.dispose()),this.activeRequests.clear()}}ve([C.memoize],E.prototype,"onDidInitializePromise",null),t.ChannelClient=E;class T{constructor(A){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new u.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new u.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,A(({protocol:j,onDidClientDisconnect:H})=>{u.Event.once(j.onMessage)(K=>{const ee=new y(K),G=a(ee),le=new f(j,G),U=new E(j);this.channels.forEach((_,z)=>le.registerChannel(z,_));const N={channelServer:le,channelClient:U,ctx:G};this._connections.add(N),this._onDidAddConnection.fire(N),H(()=>{le.dispose(),U.dispose(),this._connections.delete(N),this._onDidRemoveConnection.fire(N)})})})}get connections(){const A=[];return this._connections.forEach(j=>A.push(j)),A}getChannel(A,j){const H=this;return{call(ne,K,ee){let G;if((0,g.isFunction)(j)){let U=(0,L.getRandomElement)(H.connections.filter(j));G=U?Promise.resolve(U):u.Event.toPromise(u.Event.filter(H.onDidAddConnection,j))}else G=j.routeCall(H,ne,K);const le=G.then(U=>U.channelClient.getChannel(A));return B(le).call(ne,K,ee)},listen(ne,K){if((0,g.isFunction)(j))return H.getMulticastEvent(A,j,ne,K);const ee=j.routeEvent(H,ne,K).then(G=>G.channelClient.getChannel(A));return B(ee).listen(ne,K)}}}getMulticastEvent(A,j,H,ne){const K=this;let ee=new v.DisposableStore;const G=new u.Emitter({onFirstListenerAdd:()=>{ee=new v.DisposableStore;const le=new u.EventMultiplexer,U=new Map,N=z=>{const Y=z.channelClient.getChannel(A).listen(H,ne),he=le.add(Y);U.set(z,he)},_=z=>{const X=U.get(z);!X||(X.dispose(),U.delete(z))};K.connections.filter(j).forEach(N),u.Event.filter(K.onDidAddConnection,j)(N,void 0,ee),K.onDidRemoveConnection(_,void 0,ee),le.event(G.fire,G,ee),ee.add(le)},onLastListenerRemove:()=>{ee.dispose()}});return G.event}registerChannel(A,j){this.channels.set(A,j),this._connections.forEach(H=>{H.channelServer.registerChannel(A,j)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}t.IPCServer=T;class F{constructor(A,j,H=null){const ne=new c;s(ne,j),A.send(ne.buffer),this.channelClient=new E(A,H),this.channelServer=new f(A,j,H)}getChannel(A){return this.channelClient.getChannel(A)}registerChannel(A,j){this.channelServer.registerChannel(A,j)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}t.IPCClient=F;function B(M){return{call(A,j,H){return M.then(ne=>ne.call(A,j,H))},listen(A,j){const H=new u.Relay;return M.then(ne=>H.input=ne.listen(A,j)),H.event}}}t.getDelayedChannel=B;function J(M){let A=!1;return{call(j,H,ne){return A?M.call(j,H,ne):(0,D.timeout)(0).then(()=>A=!0).then(()=>M.call(j,H,ne))},listen(j,H){if(A)return M.listen(j,H);const ne=new u.Relay;return(0,D.timeout)(0).then(()=>A=!0).then(()=>ne.input=M.listen(j,H)),ne.event}}}t.getNextTickChannel=J;class se{constructor(A){this.fn=A}routeCall(A){return this.route(A)}routeEvent(A){return this.route(A)}async route(A){for(const j of A.connections)if(await Promise.resolve(this.fn(j.ctx)))return Promise.resolve(j);return await u.Event.toPromise(A.onDidAddConnection),await this.route(A)}}t.StaticRouter=se;var ie;(function(M){function A(K,ee){const G=K,le=ee&&ee.disableMarshalling,U=new Map;for(const N in G)H(N)&&U.set(N,u.Event.buffer(G[N],!0));return new class{listen(N,_,z){const X=U.get(_);if(X)return X;if(ne(_)){const Y=G[_];if(typeof Y=="function")return Y.call(G,z)}throw new Error(`Event not found: ${_}`)}call(N,_,z){const X=G[_];if(typeof X=="function"){if(!le&&Array.isArray(z))for(let Y=0;Y<z.length;Y++)z[Y]=(0,I.revive)(z[Y]);return X.apply(G,z)}throw new Error(`Method not found: ${_}`)}}}M.fromService=A;function j(K,ee){const G=ee&&ee.disableMarshalling;return new Proxy({},{get(le,U){if(typeof U=="string")return ee?.properties?.has(U)?ee.properties.get(U):ne(U)?function(N){return K.listen(U,N)}:H(U)?K.listen(U):async function(...N){let _;ee&&!(0,g.isUndefinedOrNull)(ee.context)?_=[ee.context,...N]:_=N;const z=await K.call(U,_);return G?z:(0,I.revive)(z)};throw new Error(`Property not found: ${String(U)}`)}})}M.toService=j;function H(K){return K[0]==="o"&&K[1]==="n"&&O.isUpperAsciiLetter(K.charCodeAt(2))}function ne(K){return/^onDynamic/.test(K)&&O.isUpperAsciiLetter(K.charCodeAt(9))}})(ie=t.ProxyChannel||(t.ProxyChannel={}));const te=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ge(M){if(Array.isArray(M))return M;if(M&&typeof M=="object"&&typeof M.toString=="function"){let A=M.toString();if(A!=="[object Object]")return A}return M}function W(M){return Array.isArray(M)?M.map(ge):ge(M)}function $(M,A,j,H,ne,K,ee){ee=W(ee);const G=te[ne],le=G[H%G.length];let U=[`%c[${M}]%c[${String(A).padStart(7," ")}]%c[len: ${String(j).padStart(5," ")}]%c${String(H).padStart(5," ")} - ${K}`,"color: darkgreen","color: grey","color: grey",`color: ${le}`];/\($/.test(K)?(U=U.concat(ee),U.push(")")):U.push(ee),console.log.apply(console,U)}t.logWithColors=$;class re{constructor(A,j){this._outgoingPrefix=A,this._incomingPrefix=j,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(A,j,H,ne,K){this._totalOutgoing+=A,$(this._outgoingPrefix,this._totalOutgoing,A,j,H,ne,K)}logIncoming(A,j,H,ne,K){this._totalIncoming+=A,$(this._incomingPrefix,this._totalIncoming,A,j,H,ne,K)}}t.IPCLogger=re}),define(Q[64],Z([0,1,3,8,2,7]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InMemoryStorageDatabase=t.Storage=t.isStorageItemsChangeEvent=t.StorageHint=void 0;var C;(function(O){O[O.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(C=t.StorageHint||(t.StorageHint={}));function b(O){const g=O;return g?.changed instanceof Map||g?.deleted instanceof Set}t.isStorageItemsChangeEvent=b;var u;(function(O){O[O.None=0]="None",O[O.Initialized=1]="Initialized",O[O.Closed=2]="Closed"})(u||(u={}));class v extends S.Disposable{constructor(g,P=Object.create(null)){super();this.database=g,this.options=P,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=u.None,this.cache=new Map,this.flushDelayer=new L.ThrottledDelayer(v.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(g=>this.onDidChangeItemsExternal(g)))}onDidChangeItemsExternal(g){g.changed?.forEach((P,h)=>this.accept(h,P)),g.deleted?.forEach(P=>this.accept(P,void 0))}accept(g,P){if(this.state===u.Closed)return;let h=!1;(0,R.isUndefinedOrNull)(P)?h=this.cache.delete(g):this.cache.get(g)!==P&&(this.cache.set(g,P),h=!0),h&&this._onDidChangeStorage.fire(g)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===u.None&&(this.state=u.Initialized,this.options.hint!==C.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(g,P){const h=this.cache.get(g);return(0,R.isUndefinedOrNull)(h)?P:h}getBoolean(g,P){const h=this.get(g);return(0,R.isUndefinedOrNull)(h)?P:h==="true"}getNumber(g,P){const h=this.get(g);return(0,R.isUndefinedOrNull)(h)?P:parseInt(h,10)}async set(g,P){if(this.state===u.Closed)return;if((0,R.isUndefinedOrNull)(P))return this.delete(g);const h=String(P);if(this.cache.get(g)!==h)return this.cache.set(g,h),this.pendingInserts.set(g,h),this.pendingDeletes.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async delete(g){if(!(this.state===u.Closed||!this.cache.delete(g)))return this.pendingDeletes.has(g)||this.pendingDeletes.add(g),this.pendingInserts.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=u.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const g={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(g).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(g){if(!!this.hasPending)return this.doFlush(g)}async doFlush(g){return this.flushDelayer.trigger(()=>this.flushPending(),g)}async whenFlushed(){if(!!this.hasPending)return new Promise(g=>this.whenFlushedCallbacks.push(g))}dispose(){this.flushDelayer.dispose(),super.dispose()}}t.Storage=v,v.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=D.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(g){g.insert&&g.insert.forEach((P,h)=>this.items.set(h,P)),g.delete&&g.delete.forEach(P=>this.items.delete(P))}async close(){}}t.InMemoryStorageDatabase=I}),define(Q[65],Z([4,5]),function(x,t){return x.create("vs/base/common/date",t)}),define(Q[66],Z([0,1,65]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toLocalISOString=t.fromNow=void 0;const D=60,S=D*60,R=S*24,C=R*7,b=R*30,u=R*365;function v(O,g){typeof O!="number"&&(O=O.getTime());const P=Math.round((new Date().getTime()-O)/1e3);if(P<-30)return(0,L.localize)(0,null,v(new Date().getTime()+P*1e3,!1));if(P<30)return(0,L.localize)(1,null);let h;return P<D?(h=P,g?h===1?(0,L.localize)(2,null,h):(0,L.localize)(3,null,h):h===1?(0,L.localize)(4,null,h):(0,L.localize)(5,null,h)):P<S?(h=Math.floor(P/D),g?h===1?(0,L.localize)(6,null,h):(0,L.localize)(7,null,h):h===1?(0,L.localize)(8,null,h):(0,L.localize)(9,null,h)):P<R?(h=Math.floor(P/S),g?h===1?(0,L.localize)(10,null,h):(0,L.localize)(11,null,h):h===1?(0,L.localize)(12,null,h):(0,L.localize)(13,null,h)):P<C?(h=Math.floor(P/R),g?h===1?(0,L.localize)(14,null,h):(0,L.localize)(15,null,h):h===1?(0,L.localize)(16,null,h):(0,L.localize)(17,null,h)):P<b?(h=Math.floor(P/C),g?h===1?(0,L.localize)(18,null,h):(0,L.localize)(19,null,h):h===1?(0,L.localize)(20,null,h):(0,L.localize)(21,null,h)):P<u?(h=Math.floor(P/b),g?h===1?(0,L.localize)(22,null,h):(0,L.localize)(23,null,h):h===1?(0,L.localize)(24,null,h):(0,L.localize)(25,null,h)):(h=Math.floor(P/u),g?h===1?(0,L.localize)(26,null,h):(0,L.localize)(27,null,h):h===1?(0,L.localize)(28,null,h):(0,L.localize)(29,null,h))}t.fromNow=v;function I(O){return O.getFullYear()+"-"+String(O.getMonth()+1).padStart(2,"0")+"-"+String(O.getDate()).padStart(2,"0")+"T"+String(O.getHours()).padStart(2,"0")+":"+String(O.getMinutes()).padStart(2,"0")+":"+String(O.getSeconds()).padStart(2,"0")+"."+(O.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}t.toLocalISOString=I}),define(Q[67],Z([4,5]),function(x,t){return x.create("vs/base/common/errorMessage",t)}),define(Q[28],Z([0,1,19,7,67]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.toErrorMessage=void 0;function R(v,I){return I&&(v.stack||v.stacktrace)?S.localize(0,null,b(v),C(v.stack)||C(v.stacktrace)):b(v)}function C(v){return Array.isArray(v)?v.join(`
`):v}function b(v){return typeof v.code=="string"&&typeof v.errno=="number"&&typeof v.syscall=="string"?S.localize(1,null,v.message):v.message||S.localize(2,null)}function u(v=null,I=!1){if(!v)return S.localize(3,null);if(Array.isArray(v)){const O=L.coalesce(v),g=u(O[0],I);return O.length>1?S.localize(4,null,g,O.length):g}if(D.isString(v))return v;if(v.detail){const O=v.detail;if(O.error)return R(O.error,I);if(O.exception)return R(O.exception,I)}return v.stack?R(v,I):v.message?v.message:S.localize(5,null)}t.toErrorMessage=u}),define(Q[68],Z([4,5]),function(x,t){return x.create("vs/base/node/processes",t)}),define(Q[47],Z([0,1,38,45,10,21,11,14,29,56,7,62,15,68]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.win32=t.createQueuedSender=t.LineProcess=t.AbstractProcess=t.getWindowsShell=t.removeDangerousEnvVariables=t.TerminateResponseCode=t.Source=void 0,Object.defineProperty(t,"Source",{enumerable:!0,get:function(){return v.Source}}),Object.defineProperty(t,"TerminateResponseCode",{enumerable:!0,get:function(){return v.TerminateResponseCode}});function h(n){switch(n){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function w(n,r){if(b.isWindows)try{const e={stdio:["pipe","pipe","ignore"]};r&&(e.cwd=r);const i=L.execFile("taskkill",["/T","/F","/PID",n.pid.toString()],e);return new Promise(s=>{i.once("error",a=>{s({success:!1,error:a})}),i.once("exit",(a,f)=>{s(a===0?{success:!0}:{success:!1,code:a!==null?a:1})})})}catch(e){return Promise.resolve({success:!1,error:e,code:e.status?h(e.status):1})}else if(b.isLinux||b.isMacintosh)try{const e=S.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",x).fsPath;return new Promise(i=>{L.execFile(e,[n.pid.toString()],{encoding:"utf8",shell:!0},(s,a,f)=>{i(s?{success:!1,error:s}:{success:!0})})})}catch(e){return Promise.resolve({success:!1,error:e})}else n.kill("SIGKILL");return Promise.resolve({success:!0})}function l(n){!n||(delete n.DEBUG,b.isMacintosh&&delete n.DYLD_LIBRARY_PATH,b.isLinux&&delete n.LD_PRELOAD)}t.removeDangerousEnvVariables=l;function d(n=u.env){return n.comspec||"cmd.exe"}t.getWindowsShell=d;class y{constructor(r,e,i,s){if(e!==void 0&&i!==void 0&&s!==void 0)this.cmd=r,this.args=e,this.shell=i,this.options=s;else{const a=r;this.cmd=a.command,this.shell=a.isShellCommand,this.args=a.args.slice(0),this.options=a.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const a=Object.create(null);Object.keys(u.env).forEach(f=>{a[f]=u.env[f]}),Object.keys(this.options.env).forEach(f=>{a[f]=this.options.env[f]}),this.options.env=a}}getSanitizedCommand(){let r=this.cmd.toLowerCase();const e=r.lastIndexOf(C.sep);return e!==-1&&(r=r.substring(e+1)),y.WellKnowCommands[r]?r:"other"}start(r){return b.isWindows&&(this.options&&this.options.cwd&&D.isUNC(this.options.cwd)||!this.options&&D.isUNC(u.cwd()))?Promise.reject(new Error(P.localize(0,null))):this.useExec().then(e=>{let i,s;const a=new Promise((f,p)=>{i=f,s=p});if(e){let f=this.cmd;this.args&&(f=f+" "+this.args.join(" ")),this.childProcess=L.exec(f,this.options,(p,E,T)=>{this.childProcess=null;const F=p;F&&F.killed?s({killed:this.terminateRequested,stdout:E.toString(),stderr:T.toString()}):this.handleExec(i,r,p,E,T)})}else{let f=null;const p=E=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(E,i,r,s);const T={terminated:this.terminateRequested};I.isNumber(E)&&(T.cmdCode=E),i(T)};if(this.shell&&b.isWindows){const E=R.deepClone(this.options);E.windowsVerbatimArguments=!0,E.detached=!1;let T=!1,F=!1;const B=[];let J=this.ensureQuotes(this.cmd);B.push(J.value),T=J.quoted,this.args&&this.args.forEach(ie=>{J=this.ensureQuotes(ie),B.push(J.value),F=F&&J.quoted});const se=["/s","/c"];T?F?se.push('"'+B.join(" ")+'"'):B.length>1?se.push('"'+B[0]+'" '+B.slice(1).join(" ")):se.push('"'+B[0]+'"'):se.push(B.join(" ")),f=L.spawn(d(),se,E)}else this.cmd&&(f=L.spawn(this.cmd,this.args,this.options));f&&(this.childProcess=f,this.childProcessPromise=Promise.resolve(f),this.pidResolve&&(this.pidResolve(I.isNumber(f.pid)?f.pid:-1),this.pidResolve=void 0),f.on("error",E=>{this.childProcess=null,s({terminated:this.terminateRequested,error:E})}),f.pid&&(this.childProcess.on("close",p),this.handleSpawn(f,i,r,s,!0)))}return a})}handleClose(r,e,i,s){}ensureQuotes(r){return y.regexp.test(r)?{value:'"'+r+'"',quoted:!0}:{value:r,quoted:r.length>0&&r[0]==='"'&&r[r.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(r=>r.pid,r=>-1):new Promise(r=>{this.pidResolve=r})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(r=>(this.terminateRequested=!0,w(r,this.options.cwd).then(e=>(e.success&&(this.childProcess=null),e))),r=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(r=>{if(!this.shell||!b.isWindows)return r(!1);const e=L.spawn(d(),["/s","/c"]);e.on("error",i=>r(!0)),e.on("exit",i=>r(!1))})}}t.AbstractProcess=y,y.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},y.regexp=/^[^"].* .*[^"]/;class c extends y{constructor(r,e,i,s){super(r,e,i,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(r,e,i,s,a){[s,a].forEach((f,p)=>{const E=new O.LineDecoder;E.write(f).forEach(B=>{e({line:B,source:p===0?0:1})});const F=E.end();F&&e({line:F,source:p===0?0:1})}),r({terminated:this.terminateRequested,error:i})}handleSpawn(r,e,i,s,a){const f=new O.LineDecoder,p=new O.LineDecoder;r.stdout.on("data",E=>{f.write(E).forEach(F=>i({line:F,source:0}))}),r.stderr.on("data",E=>{p.write(E).forEach(F=>i({line:F,source:1}))}),this.stdoutLineDecoder=f,this.stderrLineDecoder=p}handleClose(r,e,i,s){const a=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;a&&i({line:a,source:0});const f=this.stderrLineDecoder?this.stderrLineDecoder.end():null;f&&i({line:f,source:1})}}t.LineProcess=c;function m(n){let r=[],e=!1;const i=function(s){if(e){r.push(s);return}(!n.send(s,f=>{if(f&&console.error(f),e=!1,r.length>0){const p=r.slice(0);r=[],p.forEach(E=>i(E))}})||b.isWindows)&&(e=!0)};return{send:i}}t.createQueuedSender=m;var o;(function(n){async function r(e,i,s){if(C.isAbsolute(e))return e;if(i===void 0&&(i=u.cwd()),C.dirname(e)!=="."||(s===void 0&&I.isString(u.env.PATH)&&(s=u.env.PATH.split(C.delimiter)),s===void 0||s.length===0))return C.join(i,e);async function f(p){if(await g.Promises.exists(p)){let E;try{E=await g.Promises.stat(p)}catch(T){T.message.startsWith("EACCES")&&(E=await g.Promises.lstat(p))}return E?!E.isDirectory():!1}return!1}for(let p of s){let E;if(C.isAbsolute(p)?E=C.join(p,e):E=C.join(i,p,e),await f(E))return E;let T=E+".com";if(await f(T)||(T=E+".exe",await f(T)))return T}return C.join(i,e)}n.findExecutable=r})(o=t.win32||(t.win32={}))}),define(Q[69],Z([0,1,33,14,63,47]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSystemShellSync=t.getSystemShell=void 0;async function C(P,h){return P===1?D.isWindows?O():R.getWindowsShell(h):v(P,h)}t.getSystemShell=C;function b(P,h){return P===1?D.isWindows?g(h):R.getWindowsShell(h):v(P,h)}t.getSystemShellSync=b;let u=null;function v(P,h){if(D.isLinux&&P===2||D.isMacintosh&&P===3)return"/bin/bash";if(!u){let w;if(D.isWindows)w="/bin/bash";else{if(w=h.SHELL,!w)try{w=(0,L.userInfo)().shell}catch{}w||(w="sh"),w==="/bin/false"&&(w="/bin/bash")}u=w}return u}let I=null;async function O(){return I||(I=(await(0,S.getFirstAvailablePowerShellInstallation)()).exePath),I}function g(P){if(I)return I;const h=D.isWindows&&parseFloat((0,L.release)())>=10,w=P.hasOwnProperty("PROCESSOR_ARCHITEW6432"),l=`${P.windir}\\${w?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?l:R.getWindowsShell(P)}}),define(Q[70],Z([0,1,38,3,17,24,59,6,8,2,21,47,46]),function(x,t,L,D,S,R,C,b,u,v,I,O,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Client=t.Server=void 0;class P extends g.ChannelServer{constructor(l){super({send:d=>{try{process.send&&process.send(d.buffer.toString("base64"))}catch{}},onMessage:u.Event.fromNodeEventEmitter(process,"message",d=>S.VSBuffer.wrap(Buffer.from(d,"base64")))},l);process.once("disconnect",()=>this.dispose())}}t.Server=P;class h{constructor(l,d){this.modulePath=l,this.options=d,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new u.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const y=d&&d.timeout?d.timeout:6e4;this.disposeDelayer=new D.Delayer(y),this.child=null,this._client=null}getChannel(l){const d=this;return{call(y,c,m){return d.requestPromise(l,y,c,m)},listen(y,c){return d.requestEvent(l,y,c)}}}requestPromise(l,d,y,c=R.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(c.isCancellationRequested)return Promise.reject(b.canceled());this.disposeDelayer.cancel();const m=this.getCachedChannel(l),o=(0,D.createCancelablePromise)(e=>m.call(d,y,e)),n=c.onCancellationRequested(()=>o.cancel()),r=(0,v.toDisposable)(()=>o.cancel());return this.activeRequests.add(r),o.finally(()=>{n.dispose(),this.activeRequests.delete(r),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),o}requestEvent(l,d,y){if(!this.disposeDelayer)return u.Event.None;this.disposeDelayer.cancel();let c;const m=new u.Emitter({onFirstListenerAdd:()=>{c=this.getCachedChannel(l).listen(d,y)(m.fire,m),this.activeRequests.add(c)},onLastListenerRemove:()=>{this.activeRequests.delete(c),c.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return m.event}get client(){if(!this._client){const l=this.options&&this.options.args?this.options.args:[],d=Object.create(null);d.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(d.env={...d.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(d.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(d.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(d.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),d.execArgv===void 0&&(d.execArgv=process.execArgv.filter(i=>!/^--inspect(-brk)?=/.test(i))),(0,O.removeDangerousEnvVariables)(d.env),this.child=(0,L.fork)(this.modulePath,l,d);const y=new u.Emitter;u.Event.fromNodeEventEmitter(this.child,"message",i=>i)(i=>{if((0,C.isRemoteConsoleLog)(i)){(0,C.log)(i,`IPC Library: ${this.options.serverName}`);return}y.fire(S.VSBuffer.wrap(Buffer.from(i,"base64")))});const m=this.options.useQueue?(0,O.createQueuedSender)(this.child):this.child,o=i=>this.child&&this.child.connected&&m.send(i.buffer.toString("base64")),n=y.event,r={send:o,onMessage:n};this._client=new g.ChannelClient(r);const e=()=>this.disposeClient();process.once("exit",e),this.child.on("error",i=>console.warn('IPC "'+this.options.serverName+'" errored with '+i)),this.child.on("exit",(i,s)=>{process.removeListener("exit",e),this.activeRequests.forEach(a=>(0,v.dispose)(a)),this.activeRequests.clear(),i!==0&&s!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+i+" and signal "+s),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:i,signal:s})})}return this._client}getCachedChannel(l){let d=this.channels.get(l);return d||(d=this.client.getChannel(l),this.channels.set(l,d)),d}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}t.Client=h}),define(Q[71],Z([4,5]),function(x,t){return x.create("vs/base/node/zip",t)}),define(Q[72],Z([4,5]),function(x,t){return x.create("vs/platform/configuration/common/configurationRegistry",t)}),define(Q[73],Z([4,5]),function(x,t){return x.create("vs/platform/environment/node/shellEnv",t)}),define(Q[74],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",t)}),define(Q[75],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/common/extensionManagement",t)}),define(Q[76],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/common/extensionManagementCLIService",t)}),define(Q[77],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionManagementService",t)}),define(Q[78],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionManagementUtil",t)}),define(Q[79],Z([4,5]),function(x,t){return x.create("vs/platform/extensionManagement/node/extensionsScanner",t)}),define(Q[80],Z([4,5]),function(x,t){return x.create("vs/platform/extensions/common/extensionValidator",t)}),define(Q[81],Z([4,5]),function(x,t){return x.create("vs/platform/files/common/fileService",t)}),define(Q[82],Z([4,5]),function(x,t){return x.create("vs/platform/files/common/io",t)}),define(Q[83],Z([4,5]),function(x,t){return x.create("vs/platform/files/node/diskFileSystemProvider",t)}),define(Q[84],Z([4,5]),function(x,t){return x.create("vs/platform/request/common/request",t)}),define(Q[85],Z([4,5]),function(x,t){return x.create("vs/platform/telemetry/common/telemetryService",t)}),define(Q[86],Z([0,1,66,44,10,11,29,18,9]),function(x,t,L,D,S,R,C,b,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.parsePtyHostPort=t.parseSearchPort=t.parseExtensionHostPort=t.AbstractNativeEnvironmentService=void 0;class v{constructor(w,l,d){this._args=w,this.paths=l,this.productService=d}get appRoot(){return(0,R.dirname)(S.FileAccess.asFileUri("",x).fsPath)}get userHome(){return u.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return u.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return u.URI.file(this.paths.tmpDir)}get cacheHome(){return u.URI.file(this.userDataPath)}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return(0,b.joinPath)(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return(0,b.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const w=(0,L.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,R.join)(this.userDataPath,"logs",w)}return this.args.logsPath}get userDataSyncLogResource(){return u.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,b.joinPath)(u.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return u.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return u.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return(0,b.joinPath)(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return(0,b.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const w=C.env.VSCODE_PORTABLE;return w?u.URI.file((0,R.join)(w,"argv.json")):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get snippetsHome(){return(0,b.joinPath)(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return u.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const w=this.args["builtin-extensions-dir"];return w?(0,R.resolve)(w):(0,R.normalize)((0,R.join)(S.FileAccess.asFileUri("",x).fsPath,"..","extensions"))}get extensionsDownloadPath(){const w=this.args["extensions-download-dir"];return w?(0,R.resolve)(w):(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const w=this.args["extensions-dir"];if(w)return(0,R.resolve)(w);const l=C.env.VSCODE_EXTENSIONS;if(l)return l;const d=C.env.VSCODE_PORTABLE;return d?(0,R.join)(d,"extensions"):(0,b.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const w=this.args.extensionDevelopmentPath;if(Array.isArray(w))return w.map(l=>/^[^:/?#]+?:\/\//.test(l)?u.URI.parse(l):u.URI.file((0,R.normalize)(l)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(w=>w==="ui"||w==="workspace"||w==="web"?w:"workspace")}get extensionTestsLocationURI(){const w=this.args.extensionTestsPath;if(w)return/^[^:/?#]+?:\/\//.test(w)?u.URI.parse(w):u.URI.file((0,R.normalize)(w))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const w=this.args["disable-extension"];if(w){if(typeof w=="string")return[w];if(Array.isArray(w)&&w.length>0)return w}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!C.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,b.joinPath)(u.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get driverHandle(){return this.args.driver}get telemetryLogResource(){return u.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get args(){return this._args}}ve([D.memoize],v.prototype,"appRoot",null),ve([D.memoize],v.prototype,"userHome",null),ve([D.memoize],v.prototype,"userDataPath",null),ve([D.memoize],v.prototype,"appSettingsHome",null),ve([D.memoize],v.prototype,"tmpDir",null),ve([D.memoize],v.prototype,"cacheHome",null),ve([D.memoize],v.prototype,"userRoamingDataHome",null),ve([D.memoize],v.prototype,"settingsResource",null),ve([D.memoize],v.prototype,"userDataSyncHome",null),ve([D.memoize],v.prototype,"userDataSyncLogResource",null),ve([D.memoize],v.prototype,"sync",null),ve([D.memoize],v.prototype,"machineSettingsResource",null),ve([D.memoize],v.prototype,"globalStorageHome",null),ve([D.memoize],v.prototype,"workspaceStorageHome",null),ve([D.memoize],v.prototype,"keybindingsResource",null),ve([D.memoize],v.prototype,"keyboardLayoutResource",null),ve([D.memoize],v.prototype,"argvResource",null),ve([D.memoize],v.prototype,"snippetsHome",null),ve([D.memoize],v.prototype,"isExtensionDevelopment",null),ve([D.memoize],v.prototype,"untitledWorkspacesHome",null),ve([D.memoize],v.prototype,"installSourcePath",null),ve([D.memoize],v.prototype,"builtinExtensionsPath",null),ve([D.memoize],v.prototype,"extensionsPath",null),ve([D.memoize],v.prototype,"extensionDevelopmentLocationURI",null),ve([D.memoize],v.prototype,"extensionDevelopmentKind",null),ve([D.memoize],v.prototype,"extensionTestsLocationURI",null),ve([D.memoize],v.prototype,"debugExtensionHost",null),ve([D.memoize],v.prototype,"serviceMachineIdResource",null),ve([D.memoize],v.prototype,"telemetryLogResource",null),ve([D.memoize],v.prototype,"disableWorkspaceTrust",null),t.AbstractNativeEnvironmentService=v;function I(h,w){return P(h["inspect-extensions"],h["inspect-brk-extensions"],5870,w,h.debugId,h.extensionEnvironment)}t.parseExtensionHostPort=I;function O(h,w){return P(h["inspect-search"],h["inspect-brk-search"],5876,w,h.extensionEnvironment)}t.parseSearchPort=O;function g(h,w){return P(h["inspect-ptyhost"],h["inspect-brk-ptyhost"],5877,w,h.extensionEnvironment)}t.parsePtyHostPort=g;function P(h,w,l,d,y,c){const o=Number(w||h)||(d?null:l),n=o?Boolean(!!w):!1;let r;if(c)try{r=JSON.parse(c)}catch{}return{port:o,break:n,debugId:y,env:r}}}),function(){"use strict";function x(t,L,D,S){function R(b){const u=C(b),v=[u];return t.isAbsolute(u)||v.unshift(S),t.resolve(...v)}function C(b){const u=process.env.VSCODE_PORTABLE;if(u)return t.join(u,"user-data");let v=process.env.VSCODE_APPDATA;if(v)return t.join(v,D);const I=b["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(v=process.env.APPDATA,!v){const O=process.env.USERPROFILE;if(typeof O!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");v=t.join(O,"AppData","Roaming")}break;case"darwin":v=t.join(L.homedir(),"Library","Application Support");break;case"linux":v=process.env.XDG_CONFIG_HOME||t.join(L.homedir(),".config");break;default:throw new Error("Platform not supported")}return t.join(v,D)}return{getUserDataPath:R}}if(typeof define=="function")define(Q[87],Z([0,130,33,10,18,29]),function(t,L,D,S,R,C){const b=R.dirname(S.FileAccess.asFileUri("",t)),u=t.__$__nodeRequire(R.joinPath(b,"package.json").fsPath);return x(L,D,u.name,C.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const t=require("../../../../../package.json"),L=require("path"),D=require("os");module.exports=x(L,D,t.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(Q[88],Z([0,1,33,86,87]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NativeEnvironmentService=void 0;class R extends D.AbstractNativeEnvironmentService{constructor(b,u){super(b,{homeDir:(0,L.homedir)(),tmpDir:(0,L.tmpdir)(),userDataDir:(0,S.getUserDataPath)(b)},u)}}t.NativeEnvironmentService=R}),define(Q[89],Z([0,1,21]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.localizeManifest=void 0;const D=/^%([\w\d.-]+)%$/i;function S(R,C){const b=u=>{if(typeof u!="string")return;const v=D.exec(u);if(!v)return;const I=C[v[1]]??u;return typeof I=="string"?I:typeof I.message=="string"?I.message:u};return(0,L.cloneAndChange)(R,b)}t.localizeManifest=S}),define(Q[48],Z([0,1,80]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isEngineValid=t.isValidExtensionVersion=t.isValidVersion=t.normalizeVersion=t.parseVersion=t.isValidVersionStr=void 0;const D=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,S=/^-(\d{4})(\d{2})(\d{2})$/;function R(g){return g=g.trim(),g==="*"||D.test(g)}t.isValidVersionStr=R;function C(g){if(!R(g))return null;if(g=g.trim(),g==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let P=g.match(D);return P?{hasCaret:P[1]==="^",hasGreaterEquals:P[1]===">=",majorBase:P[2]==="x"?0:parseInt(P[2],10),majorMustEqual:P[2]!=="x",minorBase:P[4]==="x"?0:parseInt(P[4],10),minorMustEqual:P[4]!=="x",patchBase:P[6]==="x"?0:parseInt(P[6],10),patchMustEqual:P[6]!=="x",preRelease:P[8]||null}:null}t.parseVersion=C;function b(g){if(!g)return null;let P=g.majorBase,h=g.majorMustEqual,w=g.minorBase,l=g.minorMustEqual,d=g.patchBase,y=g.patchMustEqual;g.hasCaret&&(P===0||(l=!1),y=!1);let c=0;if(g.preRelease){const m=S.exec(g.preRelease);if(m){const[,o,n,r]=m;c=Date.UTC(Number(o),Number(n)-1,Number(r))}}return{majorBase:P,majorMustEqual:h,minorBase:w,minorMustEqual:l,patchBase:d,patchMustEqual:y,isMinimum:g.hasGreaterEquals,notBefore:c}}t.normalizeVersion=b;function u(g,P,h){let w;typeof g=="string"?w=b(C(g)):w=g;let l;P instanceof Date?l=P.getTime():typeof P=="string"&&(l=new Date(P).getTime());let d;if(typeof h=="string"?d=b(C(h)):d=h,!w||!d)return!1;let y=w.majorBase,c=w.minorBase,m=w.patchBase,o=d.majorBase,n=d.minorBase,r=d.patchBase,e=d.notBefore,i=d.majorMustEqual,s=d.minorMustEqual,a=d.patchMustEqual;return d.isMinimum?y>o?!0:y<o?!1:c>n?!0:c<n||l&&l<e?!1:m>=r:(y===1&&o===0&&(!i||!s||!a)&&(o=1,n=0,r=0,i=!0,s=!1,a=!1),y<o?!1:y>o?!i:c<n?!1:c>n?!s:m<r?!1:m>r?!a:!(l&&l<e))}t.isValidVersion=u;function v(g,P,h,w){return h.isBuiltin||typeof h.main=="undefined"?!0:O(g,P,h.engines.vscode,w)}t.isValidExtensionVersion=v;function I(g,P,h){return g==="*"||O(P,h,g)}t.isEngineValid=I;function O(g,P,h,w=[]){let l=b(C(h));if(!l)return w.push(L.localize(0,null,h)),!1;if(l.majorBase===0){if(!l.majorMustEqual||!l.minorMustEqual)return w.push(L.localize(1,null,h)),!1}else if(!l.majorMustEqual)return w.push(L.localize(2,null,h)),!1;return u(g,P,l)?!0:(w.push(L.localize(3,null,g,h)),!1)}}),define(Q[39],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SyncDescriptor=void 0;class L{constructor(S,R=[],C=!1){this.ctor=S,this.staticArguments=R,this.supportsDelayedInstantiation=C}}t.SyncDescriptor=L}),define(Q[90],Z([0,1,39]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSingletonServiceDescriptors=t.registerSingleton=void 0;const D=[];function S(C,b,u){b instanceof L.SyncDescriptor||(b=new L.SyncDescriptor(b,[],u)),D.push([C,b])}t.registerSingleton=S;function R(){return D}t.getSingletonServiceDescriptors=R}),define(Q[91],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Graph=t.Node=void 0;class L{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}t.Node=L;class D{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(let C of this._nodes.values())C.outgoing.size===0&&R.push(C);return R}insertEdge(R,C){const b=this.lookupOrInsertNode(R),u=this.lookupOrInsertNode(C);b.outgoing.set(this._hashFn(C),u),u.incoming.set(this._hashFn(R),b)}removeNode(R){const C=this._hashFn(R);this._nodes.delete(C);for(let b of this._nodes.values())b.outgoing.delete(C),b.incoming.delete(C)}lookupOrInsertNode(R){const C=this._hashFn(R);let b=this._nodes.get(C);return b||(b=new L(R),this._nodes.set(C,b)),b}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){let R=[];for(let[C,b]of this._nodes)R.push(`${C}, (incoming)[${[...b.incoming.keys()].join(", ")}], (outgoing)[${[...b.outgoing.keys()].join(",")}]`);return R.join(`
`)}findCycleSlow(){for(let[R,C]of this._nodes){const b=new Set([R]),u=this._findCycle(C,b);if(u)return u}}_findCycle(R,C){for(let[b,u]of R.outgoing){if(C.has(b))return[...C,b].join(" -> ");C.add(b);const v=this._findCycle(u,C);if(v)return v;C.delete(b)}}}t.Graph=D}),define(Q[25],Z([0,1,7,9,12]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getMigratedSettingValue=t.merge=t.getConfigurationValue=t.removeFromValueTree=t.addToValueTree=t.toValuesTree=t.ConfigurationTargetToString=t.ConfigurationTarget=t.isConfigurationUpdateOverrides=t.isConfigurationOverrides=t.IConfigurationService=void 0,t.IConfigurationService=(0,S.createDecorator)("configurationService");function R(l){return l&&typeof l=="object"&&(!l.overrideIdentifier||typeof l.overrideIdentifier=="string")&&(!l.resource||l.resource instanceof D.URI)}t.isConfigurationOverrides=R;function C(l){return l&&typeof l=="object"&&(!l.overrideIdentifiers||L.isArray(l.overrideIdentifiers))&&!l.overrideIdentifier&&(!l.resource||l.resource instanceof D.URI)}t.isConfigurationUpdateOverrides=C;var b;(function(l){l[l.USER=1]="USER",l[l.USER_LOCAL=2]="USER_LOCAL",l[l.USER_REMOTE=3]="USER_REMOTE",l[l.WORKSPACE=4]="WORKSPACE",l[l.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",l[l.DEFAULT=6]="DEFAULT",l[l.MEMORY=7]="MEMORY"})(b=t.ConfigurationTarget||(t.ConfigurationTarget={}));function u(l){switch(l){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}t.ConfigurationTargetToString=u;function v(l,d){const y=Object.create(null);for(let c in l)I(y,c,l[c],d);return y}t.toValuesTree=v;function I(l,d,y,c){const m=d.split("."),o=m.pop();let n=l;for(let r=0;r<m.length;r++){let e=m[r],i=n[e];switch(typeof i){case"undefined":i=n[e]=Object.create(null);break;case"object":break;default:c(`Ignoring ${d} as ${m.slice(0,r+1).join(".")} is ${JSON.stringify(i)}`);return}n=i}if(typeof n=="object"&&n!==null)try{n[o]=y}catch{c(`Ignoring ${d} as ${m.join(".")} is ${JSON.stringify(n)}`)}else c(`Ignoring ${d} as ${m.join(".")} is ${JSON.stringify(n)}`)}t.addToValueTree=I;function O(l,d){const y=d.split(".");g(l,y)}t.removeFromValueTree=O;function g(l,d){const y=d.shift();if(d.length===0){delete l[y];return}if(Object.keys(l).indexOf(y)!==-1){const c=l[y];typeof c=="object"&&!Array.isArray(c)&&(g(c,d),Object.keys(c).length===0&&delete l[y])}}function P(l,d,y){function c(n,r){let e=n;for(const i of r){if(typeof e!="object"||e===null)return;e=e[i]}return e}const m=d.split("."),o=c(l,m);return typeof o=="undefined"?y:o}t.getConfigurationValue=P;function h(l,d,y){Object.keys(d).forEach(c=>{c!=="__proto__"&&(c in l?L.isObject(l[c])&&L.isObject(d[c])?h(l[c],d[c],y):y&&(l[c]=d[c]):l[c]=d[c])})}t.merge=h;function w(l,d,y){const c=l.inspect(d),m=l.inspect(y);return typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:c.defaultValue}t.getMigratedSettingValue=w}),define(Q[49],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDownloadService=void 0,t.IDownloadService=(0,L.createDecorator)("downloadService")}),define(Q[20],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.INativeEnvironmentService=t.IEnvironmentService=void 0,t.IEnvironmentService=(0,L.createDecorator)("environmentService"),t.INativeEnvironmentService=(0,L.refineServiceDecorator)(t.IEnvironmentService)}),define(Q[22],Z([0,1,10,75,12]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IExtensionManagementCLIService=t.PreferencesLocalizedLabel=t.PreferencesLabel=t.ExtensionsChannelId=t.ExtensionsLocalizedLabel=t.ExtensionsLabel=t.DefaultIconPath=t.IExtensionTipsService=t.IGlobalExtensionEnablementService=t.ENABLED_EXTENSIONS_STORAGE_PATH=t.DISABLED_EXTENSIONS_STORAGE_PATH=t.IExtensionManagementService=t.ExtensionManagementError=t.ExtensionManagementErrorCode=t.IExtensionGalleryService=t.InstallOperation=t.StatisticType=t.SortOrder=t.SortBy=t.isIExtensionIdentifier=t.getFallbackTargetPlarforms=t.isTargetPlatformCompatible=t.isNotWebExtensionInWebTargetPlatform=t.getTargetPlatform=t.toTargetPlatform=t.TargetPlatformToString=t.TargetPlatform=t.WEB_EXTENSION_TAG=t.EXTENSION_IDENTIFIER_REGEX=t.EXTENSION_IDENTIFIER_PATTERN=void 0,t.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",t.EXTENSION_IDENTIFIER_REGEX=new RegExp(t.EXTENSION_IDENTIFIER_PATTERN),t.WEB_EXTENSION_TAG="__web_extension";var R;(function(c){c.WIN32_X64="win32-x64",c.WIN32_IA32="win32-ia32",c.WIN32_ARM64="win32-arm64",c.LINUX_X64="linux-x64",c.LINUX_ARM64="linux-arm64",c.LINUX_ARMHF="linux-armhf",c.ALPINE_X64="alpine-x64",c.ALPINE_ARM64="alpine-arm64",c.DARWIN_X64="darwin-x64",c.DARWIN_ARM64="darwin-arm64",c.WEB="web",c.UNIVERSAL="universal",c.UNKNOWN="unknown",c.UNDEFINED="undefined"})(R=t.TargetPlatform||(t.TargetPlatform={}));function C(c){switch(c){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}t.TargetPlatformToString=C;function b(c){switch(c){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}t.toTargetPlatform=b;function u(c,m){switch(c){case 3:return m==="x64"?"win32-x64":m==="ia32"?"win32-ia32":m==="arm64"?"win32-arm64":"unknown";case 2:return m==="x64"?"linux-x64":m==="arm64"?"linux-arm64":m==="arm"?"linux-armhf":"unknown";case"alpine":return m==="x64"?"alpine-x64":m==="arm64"?"alpine-arm64":"unknown";case 1:return m==="x64"?"darwin-x64":m==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}t.getTargetPlatform=u;function v(c,m){return m==="web"&&!c.includes("web")}t.isNotWebExtensionInWebTargetPlatform=v;function I(c,m,o){return v(m,o)?!1:c==="undefined"||c==="universal"?!0:c==="unknown"?!1:c===o?!0:O(o).includes(c)}t.isTargetPlatformCompatible=I;function O(c){switch(c){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}t.getFallbackTargetPlarforms=O;function g(c){return c&&typeof c=="object"&&typeof c.id=="string"&&(!c.uuid||typeof c.uuid=="string")}t.isIExtensionIdentifier=g;var P;(function(c){c[c.NoneOrRelevance=0]="NoneOrRelevance",c[c.LastUpdatedDate=1]="LastUpdatedDate",c[c.Title=2]="Title",c[c.PublisherName=3]="PublisherName",c[c.InstallCount=4]="InstallCount",c[c.PublishedDate=10]="PublishedDate",c[c.AverageRating=6]="AverageRating",c[c.WeightedRating=12]="WeightedRating"})(P=t.SortBy||(t.SortBy={}));var h;(function(c){c[c.Default=0]="Default",c[c.Ascending=1]="Ascending",c[c.Descending=2]="Descending"})(h=t.SortOrder||(t.SortOrder={}));var w;(function(c){c.Install="install",c.Uninstall="uninstall"})(w=t.StatisticType||(t.StatisticType={}));var l;(function(c){c[c.None=1]="None",c[c.Install=2]="Install",c[c.Update=3]="Update",c[c.Migrate=4]="Migrate"})(l=t.InstallOperation||(t.InstallOperation={})),t.IExtensionGalleryService=(0,S.createDecorator)("extensionGalleryService");var d;(function(c){c.Unsupported="Unsupported",c.UnsupportedPreRelease="UnsupportedPreRelease",c.Malicious="Malicious",c.Incompatible="Incompatible",c.IncompatiblePreRelease="IncompatiblePreRelease",c.IncompatibleTargetPlatform="IncompatibleTargetPlatform",c.Invalid="Invalid",c.Download="Download",c.Extract="Extract",c.Delete="Delete",c.Rename="Rename",c.CorruptZip="CorruptZip",c.IncompleteZip="IncompleteZip",c.Internal="Internal"})(d=t.ExtensionManagementErrorCode||(t.ExtensionManagementErrorCode={}));class y extends Error{constructor(m,o){super(m);this.code=o,this.name=o}}t.ExtensionManagementError=y,t.IExtensionManagementService=(0,S.createDecorator)("extensionManagementService"),t.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",t.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",t.IGlobalExtensionEnablementService=(0,S.createDecorator)("IGlobalExtensionEnablementService"),t.IExtensionTipsService=(0,S.createDecorator)("IExtensionTipsService"),t.DefaultIconPath=L.FileAccess.asBrowserUri("./media/defaultIcon.png",x).toString(!0),t.ExtensionsLabel=(0,D.localize)(0,null),t.ExtensionsLocalizedLabel={value:t.ExtensionsLabel,original:"Extensions"},t.ExtensionsChannelId="extensions",t.PreferencesLabel=(0,D.localize)(1,null),t.PreferencesLocalizedLabel={value:t.PreferencesLabel,original:"Preferences"},t.IExtensionManagementCLIService=(0,S.createDecorator)("IExtensionManagementCLIService")}),define(Q[92],Z([0,1,38,11,73,24,28,6,14,27,69,131,3]),function(x,t,L,D,S,R,C,b,u,v,I,O,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getResolvedShellEnv=void 0;const P=1e4;let h;async function w(d,y,c){return y["force-disable-user-env"]?(d.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):u.isWindows?(d.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,O.isLaunchedFromCli)(c)&&!y["force-user-env"]?(d.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,O.isLaunchedFromCli)(c)?d.trace("resolveShellEnv(): running (--force-user-env)"):d.trace("resolveShellEnv(): running (macOS/Linux)"),h||(h=g.Promises.withAsyncBody(async(m,o)=>{const n=new R.CancellationTokenSource,r=setTimeout(()=>{n.dispose(!0),o(new Error((0,S.localize)(0,null)))},P);try{m(await l(d,n.token))}catch(e){!(0,b.isPromiseCanceledError)(e)&&!n.token.isCancellationRequested?o(new Error((0,S.localize)(1,null,(0,C.toErrorMessage)(e)))):m({})}finally{clearTimeout(r),n.dispose()}})),h)}t.getResolvedShellEnv=w;async function l(d,y){const c=process.env.ELECTRON_RUN_AS_NODE;d.trace("getUnixShellEnvironment#runAsNode",c);const m=process.env.ELECTRON_NO_ATTACH_CONSOLE;d.trace("getUnixShellEnvironment#noAttach",m);const o=(0,v.generateUuid)().replace(/-/g,"").substr(0,12),n=new RegExp(o+"(.*)"+o),r={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};d.trace("getUnixShellEnvironment#env",r);const e=await(0,I.getSystemShell)(u.OS,r);return d.trace("getUnixShellEnvironment#shell",e),new Promise((i,s)=>{if(y.isCancellationRequested)return s((0,b.canceled)());const a=(0,D.basename)(e);let f,p;const E=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(a)?(f=`& '${process.execPath}' ${E} -p '''${o}'' + JSON.stringify(process.env) + ''${o}'''`,p=["-Login","-Command"]):(f=`'${process.execPath}' ${E} -p '"${o}" + JSON.stringify(process.env) + "${o}"'`,a==="tcsh"?p=["-ic"]:p=["-ilc"]),d.trace("getUnixShellEnvironment#spawn",JSON.stringify(p),f);const T=(0,L.spawn)(e,[...p,f],{detached:!0,stdio:["ignore","pipe","pipe"],env:r});y.onCancellationRequested(()=>(T.kill(),s((0,b.canceled)()))),T.on("error",J=>{d.error("getUnixShellEnvironment#errorChildProcess",(0,C.toErrorMessage)(J)),s(J)});const F=[];T.stdout.on("data",J=>F.push(J));const B=[];T.stderr.on("data",J=>B.push(J)),T.on("close",(J,se)=>{const ie=Buffer.concat(F).toString("utf8");d.trace("getUnixShellEnvironment#raw",ie);const te=Buffer.concat(B).toString("utf8");if(te.trim()&&d.trace("getUnixShellEnvironment#stderr",te),J||se)return s(new Error((0,S.localize)(2,null,J,se)));const ge=n.exec(ie),W=ge?ge[1]:"{}";try{const $=JSON.parse(W);c?$.ELECTRON_RUN_AS_NODE=c:delete $.ELECTRON_RUN_AS_NODE,m?$.ELECTRON_NO_ATTACH_CONSOLE=m:delete $.ELECTRON_NO_ATTACH_CONSOLE,delete $.XDG_RUNTIME_DIR,d.trace("getUnixShellEnvironment#result",$),i($)}catch($){d.error("getUnixShellEnvironment#errorCaught",(0,C.toErrorMessage)($)),s($)}})})}}),define(Q[50],Z([0,1,17,6,82,16]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.readFileIntoStream=void 0;async function C(I,O,g,P,h,w){let l;try{await b(I,O,g,P,h,w)}catch(d){l=d}finally{l&&h.errorTransformer&&(l=h.errorTransformer(l)),typeof l!="undefined"&&g.error(l),g.end()}}t.readFileIntoStream=C;async function b(I,O,g,P,h,w){u(w);const l=await I.open(O,{create:!1});try{u(w);let d=0,y=0,c=h&&typeof h.length=="number"?h.length:void 0,m=L.VSBuffer.alloc(Math.min(h.bufferSize,typeof c=="number"?c:h.bufferSize)),o=h&&typeof h.position=="number"?h.position:0,n=0;do y=await I.read(l,o,m.buffer,n,m.byteLength-n),o+=y,n+=y,d+=y,typeof c=="number"&&(c-=y),n===m.byteLength&&(await g.write(P(m)),m=L.VSBuffer.alloc(Math.min(h.bufferSize,typeof c=="number"?c:h.bufferSize)),n=0);while(y>0&&(typeof c!="number"||c>0)&&u(w)&&v(d,h));if(n>0){let r=n;typeof c=="number"&&(r=Math.min(n,c)),g.write(P(m.slice(0,r)))}}catch(d){throw(0,R.ensureFileSystemProviderError)(d)}finally{await I.close(l)}}function u(I){if(I.isCancellationRequested)throw(0,D.canceled)();return!0}function v(I,O){if(O?.limits){if(typeof O.limits.memory=="number"&&I>O.limits.memory)throw(0,R.createFileSystemProviderError)((0,S.localize)(0,null),R.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof O.limits.size=="number"&&I>O.limits.size)throw(0,R.createFileSystemProviderError)((0,S.localize)(1,null),R.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Q[93],Z([0,1,10,46,70,94]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ParcelWatcherClient=void 0;class C extends R.AbstractRecursiveWatcherClient{constructor(u,v,I){super(u,v,I);this.init()}createWatcher(u){const v=u.add(new S.Client(L.FileAccess.asFileUri("bootstrap-fork",x).fsPath,{serverName:"File Watcher (parcel, node.js)",args:["--type=parcelWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/parcel/parcelWatcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return u.add(v.onDidProcessExit(({code:I,signal:O})=>this.onError(`terminated by itself with code ${I}, signal: ${O}`))),D.ProxyChannel.toService((0,D.getNextTickChannel)(v.getChannel("watcher")))}}t.ParcelWatcherClient=C}),define(Q[51],Z([0,1]),function(x,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ServiceCollection=void 0;class L{constructor(...S){this._entries=new Map;for(let[R,C]of S)this.set(R,C)}set(S,R){const C=this._entries.get(S);return this._entries.set(S,R),C}has(S){return this._entries.has(S)}get(S){return this._entries.get(S)}}t.ServiceCollection=L}),define(Q[95],Z([0,1,3,6,39,91,12,51]),function(x,t,L,D,S,R,C,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InstantiationService=void 0;const u=!1;class v extends Error{constructor(h){super("cyclic dependency between services");this.message=h.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${h.toString()}`}}class I{constructor(h=new b.ServiceCollection,w=!1,l){this._activeInstantiations=new Set,this._services=h,this._strict=w,this._parent=l,this._services.set(C.IInstantiationService,this)}createChild(h){return new I(h,this._strict,this)}invokeFunction(h,...w){let l=g.traceInvocation(h),d=!1;try{return h({get:c=>{if(d)throw(0,D.illegalState)("service accessor is only valid during the invocation of its target method");const m=this._getOrCreateServiceInstance(c,l);if(!m)throw new Error(`[invokeFunction] unknown service '${c}'`);return m}},...w)}finally{d=!0,l.stop()}}createInstance(h,...w){let l,d;return h instanceof S.SyncDescriptor?(l=g.traceCreation(h.ctor),d=this._createInstance(h.ctor,h.staticArguments.concat(w),l)):(l=g.traceCreation(h),d=this._createInstance(h,w,l)),l.stop(),d}_createInstance(h,w=[],l){let d=C._util.getServiceDependencies(h).sort((m,o)=>m.index-o.index),y=[];for(const m of d){let o=this._getOrCreateServiceInstance(m.id,l);if(!o&&this._strict&&!m.optional)throw new Error(`[createInstance] ${h.name} depends on UNKNOWN service ${m.id}.`);y.push(o)}let c=d.length>0?d[0].index:w.length;if(w.length!==c){console.warn(`[createInstance] First service dependency of ${h.name} at position ${c+1} conflicts with ${w.length} static arguments`);let m=c-w.length;m>0?w=w.concat(new Array(m)):w=w.slice(0,c)}return new h(...[...w,...y])}_setServiceInstance(h,w){if(this._services.get(h)instanceof S.SyncDescriptor)this._services.set(h,w);else if(this._parent)this._parent._setServiceInstance(h,w);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){let w=this._services.get(h);return!w&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):w}_getOrCreateServiceInstance(h,w){let l=this._getServiceInstanceOrDescriptor(h);return l instanceof S.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,l,w.branch(h,!0)):(w.branch(h,!1),l)}_safeCreateAndCacheServiceInstance(h,w,l){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,w,l)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,w,l){const d=new R.Graph(m=>m.id.toString());let y=0;const c=[{id:h,desc:w,_trace:l}];for(;c.length;){const m=c.pop();if(d.lookupOrInsertNode(m),y++>1e3)throw new v(d);for(let o of C._util.getServiceDependencies(m.desc.ctor)){let n=this._getServiceInstanceOrDescriptor(o.id);if(!n&&!o.optional&&console.warn(`[createInstance] ${h} depends on ${o.id} which is NOT registered.`),n instanceof S.SyncDescriptor){const r={id:o.id,desc:n,_trace:m._trace.branch(o.id,!0)};d.insertEdge(m,r),c.push(r)}}}for(;;){const m=d.roots();if(m.length===0){if(!d.isEmpty())throw new v(d);break}for(const{data:o}of m){if(this._getServiceInstanceOrDescriptor(o.id)instanceof S.SyncDescriptor){const r=this._createServiceInstanceWithOwner(o.id,o.desc.ctor,o.desc.staticArguments,o.desc.supportsDelayedInstantiation,o._trace);this._setServiceInstance(o.id,r)}d.removeNode(o)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,w,l=[],d,y){if(this._services.get(h)instanceof S.SyncDescriptor)return this._createServiceInstance(w,l,d,y);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,w,l,d,y);throw new Error(`illegalState - creating UNKNOWN service instance ${w.name}`)}_createServiceInstance(h,w=[],l,d){if(l){const y=new L.IdleValue(()=>this._createInstance(h,w,d));return new Proxy(Object.create(null),{get(c,m){if(m in c)return c[m];let o=y.value,n=o[m];return typeof n!="function"||(n=n.bind(o),c[m]=n),n},set(c,m,o){return y.value[m]=o,!0}})}else return this._createInstance(h,w,d)}}t.InstantiationService=I;var O;(function(P){P[P.Creation=0]="Creation",P[P.Invocation=1]="Invocation",P[P.Branch=2]="Branch"})(O||(O={}));class g{constructor(h,w){this.type=h,this.name=w,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return u?new g(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):g._None}static traceCreation(h){return u?new g(0,h.name):g._None}branch(h,w){let l=new g(2,h.toString());return this._dep.push([h,w,l]),l}stop(){let h=Date.now()-this._start;g._totals+=h;let w=!1;function l(y,c){let m=[],o=new Array(y+1).join("	");for(const[n,r,e]of c._dep)if(r&&e){w=!0,m.push(`${o}CREATES -> ${n}`);let i=l(y+1,e);i&&m.push(i)}else m.push(`${o}uses -> ${n}`);return m.join(`
`)}let d=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${l(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${g._totals.toFixed(2)}ms)`];(h>2||w)&&console.log(d.join(`
`))}}g._None=new class extends g{constructor(){super(-1,null)}stop(){}branch(){return this}},g._totals=0}),define(Q[52],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isValidLocalization=t.ILocalizationsService=void 0,t.ILocalizationsService=(0,L.createDecorator)("localizationsService");function D(S){if(typeof S.languageId!="string"||!Array.isArray(S.translations)||S.translations.length===0)return!1;for(const R of S.translations)if(typeof R.id!="string"||typeof R.path!="string")return!1;return!(S.languageName&&typeof S.languageName!="string"||S.localizedLanguageName&&typeof S.localizedLanguageName!="string")}t.isValidLocalization=D}),define(Q[13],Z([0,1,28,8,2,14,12]),function(x,t,L,D,S,R,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LogLevelToString=t.parseLogLevel=t.getLogLevel=t.NullLogService=t.AbstractLoggerService=t.LogService=t.MultiplexLogService=t.AdapterLogger=t.ConsoleLogger=t.ConsoleMainLogger=t.AbstractMessageLogger=t.AbstractLogger=t.format=t.log=t.DEFAULT_LOG_LEVEL=t.LogLevel=t.ILoggerService=t.ILogService=void 0,t.ILogService=(0,C.createDecorator)("logService"),t.ILoggerService=(0,C.createDecorator)("loggerService");function b(){return new Date().toISOString()}var u;(function(r){r[r.Trace=0]="Trace",r[r.Debug=1]="Debug",r[r.Info=2]="Info",r[r.Warning=3]="Warning",r[r.Error=4]="Error",r[r.Critical=5]="Critical",r[r.Off=6]="Off"})(u=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=u.Info;function v(r,e,i){switch(e){case u.Trace:r.trace(i);break;case u.Debug:r.debug(i);break;case u.Info:r.info(i);break;case u.Warning:r.warn(i);break;case u.Error:r.error(i);break;case u.Critical:r.critical(i);break;default:throw new Error("Invalid log level")}}t.log=v;function I(r){let e="";for(let i=0;i<r.length;i++){let s=r[i];if(typeof s=="object")try{s=JSON.stringify(s)}catch{}e+=(i>0?" ":"")+s}return e}t.format=I;class O extends S.Disposable{constructor(){super(...arguments);this.level=t.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new D.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}t.AbstractLogger=O;class g extends O{constructor(e){super();this.logAlways=e}checkLogLevel(e){return this.logAlways||this.getLevel()<=e}trace(e,...i){this.checkLogLevel(u.Trace)&&this.log(u.Trace,I([e,...i]))}debug(e,...i){this.checkLogLevel(u.Debug)&&this.log(u.Debug,I([e,...i]))}info(e,...i){this.checkLogLevel(u.Info)&&this.log(u.Info,I([e,...i]))}warn(e,...i){this.checkLogLevel(u.Warning)&&this.log(u.Warning,I([e,...i]))}error(e,...i){if(this.checkLogLevel(u.Error))if(e instanceof Error){const s=Array.prototype.slice.call(arguments);s[0]=e.stack,this.log(u.Error,I(s))}else this.log(u.Error,I([e,...i]))}critical(e,...i){this.checkLogLevel(u.Critical)&&this.log(u.Critical,I([e,...i]))}flush(){}}t.AbstractMessageLogger=g;class P extends O{constructor(e=t.DEFAULT_LOG_LEVEL){super();this.setLevel(e),this.useColors=!R.isWindows}trace(e,...i){this.getLevel()<=u.Trace&&(this.useColors?console.log(`[90m[main ${b()}][0m`,e,...i):console.log(`[main ${b()}]`,e,...i))}debug(e,...i){this.getLevel()<=u.Debug&&(this.useColors?console.log(`[90m[main ${b()}][0m`,e,...i):console.log(`[main ${b()}]`,e,...i))}info(e,...i){this.getLevel()<=u.Info&&(this.useColors?console.log(`[90m[main ${b()}][0m`,e,...i):console.log(`[main ${b()}]`,e,...i))}warn(e,...i){this.getLevel()<=u.Warning&&(this.useColors?console.warn(`[93m[main ${b()}][0m`,e,...i):console.warn(`[main ${b()}]`,e,...i))}error(e,...i){this.getLevel()<=u.Error&&(this.useColors?console.error(`[91m[main ${b()}][0m`,e,...i):console.error(`[main ${b()}]`,e,...i))}critical(e,...i){this.getLevel()<=u.Critical&&(this.useColors?console.error(`[90m[main ${b()}][0m`,e,...i):console.error(`[main ${b()}]`,e,...i))}dispose(){}flush(){}}t.ConsoleMainLogger=P;class h extends O{constructor(e=t.DEFAULT_LOG_LEVEL){super();this.setLevel(e)}trace(e,...i){this.getLevel()<=u.Trace&&console.log("%cTRACE","color: #888",e,...i)}debug(e,...i){this.getLevel()<=u.Debug&&console.log("%cDEBUG","background: #eee; color: #888",e,...i)}info(e,...i){this.getLevel()<=u.Info&&console.log("%c INFO","color: #33f",e,...i)}warn(e,...i){this.getLevel()<=u.Warning&&console.log("%c WARN","color: #993",e,...i)}error(e,...i){this.getLevel()<=u.Error&&console.log("%c  ERR","color: #f33",e,...i)}critical(e,...i){this.getLevel()<=u.Critical&&console.log("%cCRITI","background: #f33; color: white",e,...i)}dispose(){}flush(){}}t.ConsoleLogger=h;class w extends O{constructor(e,i=t.DEFAULT_LOG_LEVEL){super();this.adapter=e,this.setLevel(i)}trace(e,...i){this.getLevel()<=u.Trace&&this.adapter.log(u.Trace,[this.extractMessage(e),...i])}debug(e,...i){this.getLevel()<=u.Debug&&this.adapter.log(u.Debug,[this.extractMessage(e),...i])}info(e,...i){this.getLevel()<=u.Info&&this.adapter.log(u.Info,[this.extractMessage(e),...i])}warn(e,...i){this.getLevel()<=u.Warning&&this.adapter.log(u.Warning,[this.extractMessage(e),...i])}error(e,...i){this.getLevel()<=u.Error&&this.adapter.log(u.Error,[this.extractMessage(e),...i])}critical(e,...i){this.getLevel()<=u.Critical&&this.adapter.log(u.Critical,[this.extractMessage(e),...i])}extractMessage(e){return typeof e=="string"?e:(0,L.toErrorMessage)(e,this.getLevel()<=u.Trace)}dispose(){}flush(){}}t.AdapterLogger=w;class l extends O{constructor(e){super();this.logServices=e,e.length&&this.setLevel(e[0].getLevel())}setLevel(e){for(const i of this.logServices)i.setLevel(e);super.setLevel(e)}trace(e,...i){for(const s of this.logServices)s.trace(e,...i)}debug(e,...i){for(const s of this.logServices)s.debug(e,...i)}info(e,...i){for(const s of this.logServices)s.info(e,...i)}warn(e,...i){for(const s of this.logServices)s.warn(e,...i)}error(e,...i){for(const s of this.logServices)s.error(e,...i)}critical(e,...i){for(const s of this.logServices)s.critical(e,...i)}flush(){for(const e of this.logServices)e.flush()}dispose(){for(const e of this.logServices)e.dispose()}}t.MultiplexLogService=l;class d extends S.Disposable{constructor(e){super();this.logger=e,this._register(e)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(e){this.logger.setLevel(e)}getLevel(){return this.logger.getLevel()}trace(e,...i){this.logger.trace(e,...i)}debug(e,...i){this.logger.debug(e,...i)}info(e,...i){this.logger.info(e,...i)}warn(e,...i){this.logger.warn(e,...i)}error(e,...i){this.logger.error(e,...i)}critical(e,...i){this.logger.critical(e,...i)}flush(){this.logger.flush()}}t.LogService=d;class y extends S.Disposable{constructor(e,i){super();this.logLevel=e,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(i(s=>{this.logLevel=s,this.logLevelChangeableLoggers.forEach(a=>a.setLevel(s))}))}getLogger(e){return this.loggers.get(e.toString())}createLogger(e,i){let s=this.loggers.get(e.toString());return s||(s=this.doCreateLogger(e,i?.always?u.Trace:this.logLevel,i),this.loggers.set(e.toString(),s),i?.always||this.logLevelChangeableLoggers.push(s)),s}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(e=>e.dispose()),this.loggers.clear(),super.dispose()}}t.AbstractLoggerService=y;class c{constructor(){this.onDidChangeLogLevel=new D.Emitter().event}setLevel(e){}getLevel(){return u.Info}trace(e,...i){}debug(e,...i){}info(e,...i){}warn(e,...i){}error(e,...i){}critical(e,...i){}dispose(){}flush(){}}t.NullLogService=c;function m(r){if(r.verbose)return u.Trace;if(typeof r.logLevel=="string"){const e=o(r.logLevel.toLowerCase());if(e!==void 0)return e}return t.DEFAULT_LOG_LEVEL}t.getLogLevel=m;function o(r){switch(r){case"trace":return u.Trace;case"debug":return u.Debug;case"info":return u.Info;case"warn":return u.Warning;case"error":return u.Error;case"critical":return u.Critical;case"off":return u.Off}}t.parseLogLevel=o;function n(r){switch(r){case u.Trace:return"trace";case u.Debug:return"debug";case u.Info:return"info";case u.Warning:return"warn";case u.Error:return"error";case u.Critical:return"critical";case u.Off:return"off"}}t.LogLevelToString=n});var ae=this&&this.__param||function(x,t){return function(L,D){t(L,D,x)}};define(Q[96],Z([0,1,38,3,28,8,2,10,11,15,20,13]),function(x,t,L,D,S,R,C,b,u,v,I,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsLifecycle=void 0;let g=class extends C.Disposable{constructor(h,w){super();this.environmentService=h,this.logService=w,this.processesLimiter=new D.Limiter(5)}async postUninstall(h){const w=this.parseScript(h,"uninstall");return w&&(this.logService.info(h.identifier.id,h.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(w.script,"uninstall",w.args,!0,h).then(()=>this.logService.info(h.identifier.id,h.manifest.version,"Finished running post uninstall script"),l=>this.logService.error(h.identifier.id,h.manifest.version,`Failed to run post uninstall script: ${l}`)))),v.Promises.rm(this.getExtensionStoragePath(h)).then(void 0,l=>this.logService.error("Error while removing extension storage path",l))}parseScript(h,w){const l=`vscode:${w}`;if(h.location.scheme===b.Schemas.file&&h.manifest&&h.manifest.scripts&&typeof h.manifest.scripts[l]=="string"){const d=h.manifest.scripts[l].split(" ");return d.length<2||d[0]!=="node"||!d[1]?(this.logService.warn(h.identifier.id,h.manifest.version,`${l} should be a node script`),null):{script:(0,u.join)(h.location.fsPath,d[1]),args:d.slice(2)||[]}}return null}runLifecycleHook(h,w,l,d,y){return new Promise((c,m)=>{const o=this.start(h,w,l,y);let n;const r=e=>{n&&(clearTimeout(n),n=null),e?m(e):c(void 0)};o.on("error",e=>{r((0,S.toErrorMessage)(e)||"Unknown")}),o.on("exit",(e,i)=>{r(e?`post-${w} process exited with code ${e}`:void 0)}),d&&(n=setTimeout(()=>{n=null,o.kill(),m("timed out")},5e3))})}start(h,w,l,d){const y={silent:!0,execArgv:void 0},c=(0,L.fork)(h,[`--type=extension-post-${w}`,...l],y);c.stdout.setEncoding("utf8"),c.stderr.setEncoding("utf8");const m=R.Event.fromNodeEventEmitter(c.stdout,"data"),o=R.Event.fromNodeEventEmitter(c.stderr,"data");m(e=>this.logService.info(d.identifier.id,d.manifest.version,`post-${w}`,e)),o(e=>this.logService.error(d.identifier.id,d.manifest.version,`post-${w}`,e));const n=R.Event.any(R.Event.map(m,e=>({data:`%c${e}`,format:[""]})),R.Event.map(o,e=>({data:`%c${e}`,format:["color: red"]})));return R.Event.debounce(n,(e,i)=>e?{data:e.data+i.data,format:[...e.format,...i.format]}:{data:i.data,format:i.format},100)(e=>{console.group(d.identifier.id),console.log(e.data,...e.format),console.groupEnd()}),c}getExtensionStoragePath(h){return(0,u.join)(this.environmentService.globalStorageHome.fsPath,h.identifier.id.toLowerCase())}};g=ve([ae(0,I.IEnvironmentService),ae(1,O.ILogService)],g),t.ExtensionsLifecycle=g}),define(Q[97],Z([0,1,19,3,6,8,2,11,94,13]),function(x,t,L,D,S,R,C,b,u,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractDiskFileSystemProvider=void 0;class I extends C.Disposable{constructor(g){super();this.logService=g,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new D.ThrottledDelayer(0))}watch(g,P){return P.recursive?this.watchRecursive(g,P):this.watchNonRecursive(g,P)}watchRecursive(g,P){const h={path:this.toFilePath(g),excludes:P.excludes},w=(0,L.insert)(this.recursiveFoldersToWatch,h);return this.refreshRecursiveWatchers(),(0,C.toDisposable)(()=>{w(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(()=>this.doRefreshRecursiveWatchers()).catch(g=>(0,S.onUnexpectedError)(g))}doRefreshRecursiveWatchers(){return this.recursiveWatcher||(this.recursiveWatcher=this._register(this.createRecursiveWatcher(g=>this._onDidChangeFile.fire((0,u.toFileChanges)(g)),g=>this.onWatcherLogMessage(g),this.logService.getLevel()===v.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher?.setVerboseLogging(this.logService.getLevel()===v.LogLevel.Trace)}))),this.massageRecursiveWatchRequests(this.recursiveFoldersToWatch),this.recursiveWatcher.watch(this.recursiveFoldersToWatch)}massageRecursiveWatchRequests(g){}watchNonRecursive(g,P){const h=new C.DisposableStore,w=h.add(this.createNonRecursiveWatcher({path:this.toFilePath(g),excludes:P.excludes},l=>this._onDidChangeFile.fire((0,u.toFileChanges)(l)),l=>this.onWatcherLogMessage(l),this.logService.getLevel()===v.LogLevel.Trace));return h.add(this.logService.onDidChangeLogLevel(()=>{w.setVerboseLogging(this.logService.getLevel()===v.LogLevel.Trace)})),h}onWatcherLogMessage(g){g.type==="error"&&this._onDidWatchError.fire(g.message),this.logService[g.type](g.message)}toFilePath(g){return(0,b.normalize)(g.fsPath)}}t.AbstractDiskFileSystemProvider=I}),define(Q[98],Z([0,1,19,3,17,24,8,58,132,2,53,10,99,18,37,81,16,50,13]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FileService=void 0;let c=class extends v.Disposable{constructor(o){super();this.logService=o,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new C.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new C.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new C.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new C.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new C.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new C.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new D.ResourceQueue)}registerProvider(o,n){if(this.provider.has(o))throw new Error(`A filesystem provider for the scheme '${o}' is already registered.`);(0,g.mark)(`code/registerFilesystem/${o}`);const r=new v.DisposableStore;return this.provider.set(o,n),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:o,provider:n}),r.add(n.onDidChangeFile(e=>this._onDidFilesChange.fire(new l.FileChangesEvent(e,!this.isPathCaseSensitive(n))))),typeof n.onDidWatchError=="function"&&r.add(n.onDidWatchError(e=>this._onDidWatchError.fire(new Error(e)))),r.add(n.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:n,scheme:o}))),(0,v.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:o,provider:n}),this.provider.delete(o),(0,v.dispose)(r)})}getProvider(o){return this.provider.get(o)}async activateProvider(o){const n=[];this._onWillActivateFileSystemProvider.fire({scheme:o,join(r){n.push(r)}}),!this.provider.has(o)&&await D.Promises.settled(n)}async canHandleResource(o){return await this.activateProvider(o.scheme),this.hasProvider(o)}hasProvider(o){return this.provider.has(o.scheme)}hasCapability(o,n){const r=this.provider.get(o.scheme);return!!(r&&r.capabilities&n)}listCapabilities(){return u.Iterable.map(this.provider,([o,n])=>({scheme:o,capabilities:n.capabilities}))}async withProvider(o){if(!(0,P.isAbsolutePath)(o))throw new l.FileOperationError((0,w.localize)(0,null,this.resourceForError(o)),8);await this.activateProvider(o.scheme);const n=this.provider.get(o.scheme);if(!n){const r=new Error;throw r.name="ENOPRO",r.message=(0,w.localize)(1,null,o.toString()),r}return n}async withReadProvider(o){const n=await this.withProvider(o);if((0,l.hasOpenReadWriteCloseCapability)(n)||(0,l.hasReadWriteCapability)(n)||(0,l.hasFileReadStreamCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(o){const n=await this.withProvider(o);if((0,l.hasOpenReadWriteCloseCapability)(n)||(0,l.hasReadWriteCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${o.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(o,n){try{return await this.doResolveFile(o,n)}catch(r){throw(0,l.toFileSystemProviderErrorCode)(r)===l.FileSystemProviderErrorCode.FileNotFound?new l.FileOperationError((0,w.localize)(2,null,this.resourceForError(o)),1):(0,l.ensureFileSystemProviderError)(r)}}async doResolveFile(o,n){const r=await this.withProvider(o),e=this.isPathCaseSensitive(r),i=n?.resolveTo,s=n?.resolveSingleChildDescendants,a=n?.resolveMetadata,f=await r.stat(o);let p;return this.toFileStat(r,o,f,void 0,!!a,(E,T)=>(p||(p=I.TernarySearchTree.forUris(()=>!e),p.set(o,!0),i&&p.fill(!0,i)),p.get(E.resource)||p.findSuperstr(E.resource.with({query:null,fragment:null}))?!0:E.isDirectory&&s?T===1:!1))}async toFileStat(o,n,r,e,i,s){const{providerExtUri:a}=this.getExtUri(o),f={resource:n,name:a.basename(n),isFile:(r.type&l.FileType.File)!=0,isDirectory:(r.type&l.FileType.Directory)!=0,isSymbolicLink:(r.type&l.FileType.SymbolicLink)!=0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:Boolean((r.permissions??0)&l.FilePermission.Readonly)||Boolean(o.capabilities&2048),etag:(0,l.etag)({mtime:r.mtime,size:r.size})};if(f.isDirectory&&s(f,e)){try{const p=await o.readdir(n),E=await D.Promises.settled(p.map(async([T,F])=>{try{const B=a.joinPath(n,T),J=i?await o.stat(B):{type:F};return await this.toFileStat(o,B,J,p.length,i,s)}catch(B){return this.logService.trace(B),null}}));f.children=(0,L.coalesce)(E)}catch(p){this.logService.trace(p),f.children=[]}return f}return f}async resolveAll(o){return D.Promises.settled(o.map(async n=>{try{return{stat:await this.doResolveFile(n.resource,n.options),success:!0}}catch(r){return this.logService.trace(r),{stat:void 0,success:!1}}}))}async exists(o){const n=await this.withProvider(o);try{return!!await n.stat(o)}catch{return!1}}async canCreateFile(o,n){try{await this.doValidateCreateFile(o,n)}catch(r){return r}return!0}async doValidateCreateFile(o,n){if(!n?.overwrite&&await this.exists(o))throw new l.FileOperationError((0,w.localize)(3,null,this.resourceForError(o)),3,n)}async createFile(o,n=S.VSBuffer.fromString(""),r){await this.doValidateCreateFile(o,r);const e=await this.writeFile(o,n);return this._onDidRunOperation.fire(new l.FileOperationEvent(o,0,e)),e}async writeFile(o,n,r){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),{providerExtUri:i}=this.getExtUri(e);try{await this.validateWriteFile(e,o,r)||await this.mkdirp(e,i.dirname(o));let a;if((0,l.hasReadWriteCapability)(e)&&!(n instanceof S.VSBuffer))if((0,h.isReadableStream)(n)){const f=await(0,h.peekStream)(n,3);f.ended?a=S.VSBuffer.concat(f.buffer):a=f}else a=(0,h.peekReadable)(n,f=>S.VSBuffer.concat(f),3);else a=n;!(0,l.hasOpenReadWriteCloseCapability)(e)||(0,l.hasReadWriteCapability)(e)&&a instanceof S.VSBuffer?await this.doWriteUnbuffered(e,o,r,a):await this.doWriteBuffered(e,o,r,a instanceof S.VSBuffer?(0,S.bufferToReadable)(a):a)}catch(s){throw new l.FileOperationError((0,w.localize)(4,null,this.resourceForError(o),(0,l.ensureFileSystemProviderError)(s).toString()),(0,l.toFileOperationResult)(s),r)}return this.resolve(o,{resolveMetadata:!0})}async validateWriteFile(o,n,r){if(!!r?.unlock&&!(o.capabilities&8192))throw new Error((0,w.localize)(5,null,this.resourceForError(n)));let i;try{i=await o.stat(n)}catch{return}if((i.type&l.FileType.Directory)!=0)throw new l.FileOperationError((0,w.localize)(6,null,this.resourceForError(n)),0,r);if(this.throwIfFileIsReadonly(n,i),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==l.ETAG_DISABLED&&typeof i.mtime=="number"&&typeof i.size=="number"&&r.mtime<i.mtime&&r.etag!==(0,l.etag)({mtime:r.mtime,size:i.size}))throw new l.FileOperationError((0,w.localize)(7,null),3,r);return i}async readFile(o,n,r){const e=await this.withReadProvider(o);return n?.atomic?this.doReadFileAtomic(e,o,n,r):this.doReadFile(e,o,n,r)}async doReadFileAtomic(o,n,r,e){return new Promise((i,s)=>{this.writeQueue.queueFor(n,this.getExtUri(o).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(o,n,r,e);i(a)}catch(a){s(a)}})})}async doReadFile(o,n,r,e){const i=await this.doReadFileStream(o,n,{...r,preferUnbuffered:!0},e);return{...i,value:await(0,S.streamToBuffer)(i.value)}}async readFileStream(o,n,r){const e=await this.withReadProvider(o);return this.doReadFileStream(e,o,n,r)}async doReadFileStream(o,n,r,e){const i=new R.CancellationTokenSource(e),s=this.validateReadFile(n,r).then(f=>f,f=>{throw i.cancel(),f});let a;try{return typeof r?.etag=="string"&&r.etag!==l.ETAG_DISABLED&&await s,r?.atomic&&(0,l.hasFileAtomicReadCapability)(o)||!((0,l.hasOpenReadWriteCloseCapability)(o)||(0,l.hasFileReadStreamCapability)(o))||(0,l.hasReadWriteCapability)(o)&&r?.preferUnbuffered?a=this.readFileUnbuffered(o,n,r):(0,l.hasFileReadStreamCapability)(o)?a=this.readFileStreamed(o,n,i.token,r):a=this.readFileBuffered(o,n,i.token,r),{...await s,value:a}}catch(f){a&&await(0,h.consumeStream)(a);const p=(0,w.localize)(8,null,this.resourceForError(n),(0,l.ensureFileSystemProviderError)(f).toString());throw f instanceof l.NotModifiedSinceFileOperationError?new l.NotModifiedSinceFileOperationError(p,f.stat,r):new l.FileOperationError(p,(0,l.toFileOperationResult)(f),r)}}readFileStreamed(o,n,r,e=Object.create(null)){const i=o.readFileStream(n,e,r);return(0,h.transform)(i,{data:s=>s instanceof S.VSBuffer?s:S.VSBuffer.wrap(s),error:s=>new l.FileOperationError((0,w.localize)(9,null,this.resourceForError(n),(0,l.ensureFileSystemProviderError)(s).toString()),(0,l.toFileOperationResult)(s),e)},s=>S.VSBuffer.concat(s))}readFileBuffered(o,n,r,e=Object.create(null)){const i=(0,S.newWriteableBufferStream)();return(0,d.readFileIntoStream)(o,n,i,s=>s,{...e,bufferSize:this.BUFFER_SIZE,errorTransformer:s=>new l.FileOperationError((0,w.localize)(10,null,this.resourceForError(n),(0,l.ensureFileSystemProviderError)(s).toString()),(0,l.toFileOperationResult)(s),e)},r),i}readFileUnbuffered(o,n,r){const e=(0,h.newWriteableStream)(i=>S.VSBuffer.concat(i));return(async()=>{try{let i;r?.atomic&&(0,l.hasFileAtomicReadCapability)(o)?i=await o.readFile(n,{atomic:!0}):i=await o.readFile(n),typeof r?.position=="number"&&(i=i.slice(r.position)),typeof r?.length=="number"&&(i=i.slice(0,r.length)),this.validateReadFileLimits(n,i.byteLength,r),e.end(S.VSBuffer.wrap(i))}catch(i){e.error(i),e.end()}})(),e}async validateReadFile(o,n){const r=await this.resolve(o,{resolveMetadata:!0});if(r.isDirectory)throw new l.FileOperationError((0,w.localize)(11,null,this.resourceForError(o)),0,n);if(typeof n?.etag=="string"&&n.etag!==l.ETAG_DISABLED&&n.etag===r.etag)throw new l.NotModifiedSinceFileOperationError((0,w.localize)(12,null),r,n);return this.validateReadFileLimits(o,r.size,n),r}validateReadFileLimits(o,n,r){if(r?.limits){let e;if(typeof r.limits.memory=="number"&&n>r.limits.memory&&(e=9),typeof r.limits.size=="number"&&n>r.limits.size&&(e=7),typeof e=="number")throw new l.FileOperationError((0,w.localize)(13,null,this.resourceForError(o)),e)}}async canMove(o,n,r){return this.doCanMoveCopy(o,n,"move",r)}async canCopy(o,n,r){return this.doCanMoveCopy(o,n,"copy",r)}async doCanMoveCopy(o,n,r,e){if(o.toString()!==n.toString())try{const i=r==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o):await this.withReadProvider(o),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);await this.doValidateMoveCopy(i,o,s,n,r,e)}catch(i){return i}return!0}async move(o,n,r){const e=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(o),o),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),s=await this.doMoveCopy(e,o,i,n,"move",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new l.FileOperationEvent(o,s==="move"?2:3,a)),a}async copy(o,n,r){const e=await this.withReadProvider(o),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),s=await this.doMoveCopy(e,o,i,n,"copy",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new l.FileOperationEvent(o,s==="copy"?3:2,a)),a}async doMoveCopy(o,n,r,e,i,s){if(n.toString()===e.toString())return i;const{exists:a,isSameResourceWithDifferentPathCase:f}=await this.doValidateMoveCopy(o,n,r,e,i,s);if(a&&!f&&s&&await this.del(e,{recursive:!0}),await this.mkdirp(r,this.getExtUri(r).providerExtUri.dirname(e)),i==="copy"){if(o===r&&(0,l.hasFileFolderCopyCapability)(o))await o.copy(n,e,{overwrite:s});else{const p=await this.resolve(n);p.isDirectory?await this.doCopyFolder(o,p,r,e):await this.doCopyFile(o,n,r,e)}return i}else return o===r?(await o.rename(n,e,{overwrite:s}),i):(await this.doMoveCopy(o,n,r,e,"copy",s),await this.del(n,{recursive:!0}),"copy")}async doCopyFile(o,n,r,e){if((0,l.hasOpenReadWriteCloseCapability)(o)&&(0,l.hasOpenReadWriteCloseCapability)(r))return this.doPipeBuffered(o,n,r,e);if((0,l.hasOpenReadWriteCloseCapability)(o)&&(0,l.hasReadWriteCapability)(r))return this.doPipeBufferedToUnbuffered(o,n,r,e);if((0,l.hasReadWriteCapability)(o)&&(0,l.hasOpenReadWriteCloseCapability)(r))return this.doPipeUnbufferedToBuffered(o,n,r,e);if((0,l.hasReadWriteCapability)(o)&&(0,l.hasReadWriteCapability)(r))return this.doPipeUnbuffered(o,n,r,e)}async doCopyFolder(o,n,r,e){await r.mkdir(e),Array.isArray(n.children)&&await D.Promises.settled(n.children.map(async i=>{const s=this.getExtUri(r).providerExtUri.joinPath(e,i.name);return i.isDirectory?this.doCopyFolder(o,await this.resolve(i.resource),r,s):this.doCopyFile(o,i.resource,r,s)}))}async doValidateMoveCopy(o,n,r,e,i,s){let a=!1;if(o===r){const{providerExtUri:p,isPathCaseSensitive:E}=this.getExtUri(o);if(E||(a=p.isEqual(n,e)),a&&i==="copy")throw new Error((0,w.localize)(14,null,this.resourceForError(n),this.resourceForError(e)));if(!a&&p.isEqualOrParent(e,n))throw new Error((0,w.localize)(15,null,this.resourceForError(n),this.resourceForError(e)))}const f=await this.exists(e);if(f&&!a){if(!s)throw new l.FileOperationError((0,w.localize)(16,null,this.resourceForError(n),this.resourceForError(e)),4);if(o===r){const{providerExtUri:p}=this.getExtUri(o);if(p.isEqualOrParent(n,e))throw new Error((0,w.localize)(17,null,this.resourceForError(n),this.resourceForError(e)))}}return{exists:f,isSameResourceWithDifferentPathCase:a}}getExtUri(o){const n=this.isPathCaseSensitive(o);return{providerExtUri:n?P.extUri:P.extUriIgnorePathCase,isPathCaseSensitive:n}}isPathCaseSensitive(o){return!!(o.capabilities&1024)}async createFolder(o){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);await this.mkdirp(n,o);const r=await this.resolve(o,{resolveMetadata:!0});return this._onDidRunOperation.fire(new l.FileOperationEvent(o,0,r)),r}async mkdirp(o,n){const r=[],{providerExtUri:e}=this.getExtUri(o);for(;!e.isEqual(n,e.dirname(n));)try{if(((await o.stat(n)).type&l.FileType.Directory)==0)throw new Error((0,w.localize)(18,null,this.resourceForError(n)));break}catch(i){if((0,l.toFileSystemProviderErrorCode)(i)!==l.FileSystemProviderErrorCode.FileNotFound)throw i;r.push(e.basename(n)),n=e.dirname(n)}for(let i=r.length-1;i>=0;i--){n=e.joinPath(n,r[i]);try{await o.mkdir(n)}catch(s){if((0,l.toFileSystemProviderErrorCode)(s)!==l.FileSystemProviderErrorCode.FileExists)throw s}}}async canDelete(o,n){try{await this.doValidateDelete(o,n)}catch(r){return r}return!0}async doValidateDelete(o,n){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(o),o);if(!!n?.useTrash&&!(r.capabilities&4096))throw new Error((0,w.localize)(19,null,this.resourceForError(o)));let i;try{i=await r.stat(o)}catch{}if(i)this.throwIfFileIsReadonly(o,i);else throw new l.FileOperationError((0,w.localize)(20,null,this.resourceForError(o)),1);if(!!!n?.recursive){const a=await this.resolve(o);if(a.isDirectory&&Array.isArray(a.children)&&a.children.length>0)throw new Error((0,w.localize)(21,null,this.resourceForError(o)))}return r}async del(o,n){const r=await this.doValidateDelete(o,n),e=!!n?.useTrash,i=!!n?.recursive;await r.delete(o,{recursive:i,useTrash:e}),this._onDidRunOperation.fire(new l.FileOperationEvent(o,1))}watch(o,n={recursive:!1,excludes:[]}){const r=new v.DisposableStore;let e=!1,i=()=>{e=!0};return r.add((0,v.toDisposable)(()=>i())),(async()=>{try{const s=await this.doWatch(o,n);e?(0,v.dispose)(s):i=()=>(0,v.dispose)(s)}catch(s){this.logService.error(s)}})(),r}async doWatch(o,n){const r=await this.withProvider(o),e=(0,b.hash)([this.getExtUri(r).providerExtUri.getComparisonKey(o),n]);let i=this.activeWatchers.get(e);return i||(i={count:0,disposable:r.watch(o,n)},this.activeWatchers.set(e,i)),i.count+=1,(0,v.toDisposable)(()=>{i&&(i.count--,i.count===0&&((0,v.dispose)(i.disposable),this.activeWatchers.delete(e)))})}dispose(){super.dispose();for(const[,o]of this.activeWatchers)(0,v.dispose)(o.disposable);this.activeWatchers.clear()}async doWriteBuffered(o,n,r,e){return this.writeQueue.queueFor(n,this.getExtUri(o).providerExtUri).queue(async()=>{const i=await o.open(n,{create:!0,unlock:r?.unlock??!1});try{(0,h.isReadableStream)(e)||(0,h.isReadableBufferedStream)(e)?await this.doWriteStreamBufferedQueued(o,i,e):await this.doWriteReadableBufferedQueued(o,i,e)}catch(s){throw(0,l.ensureFileSystemProviderError)(s)}finally{await o.close(i)}})}async doWriteStreamBufferedQueued(o,n,r){let e=0,i;if((0,h.isReadableBufferedStream)(r)){if(r.buffer.length>0){const s=S.VSBuffer.concat(r.buffer);await this.doWriteBuffer(o,n,s,s.byteLength,e,0),e+=s.byteLength}if(r.ended)return;i=r.stream}else i=r;return new Promise((s,a)=>{(0,h.listenStream)(i,{onData:async f=>{i.pause();try{await this.doWriteBuffer(o,n,f,f.byteLength,e,0)}catch(p){return a(p)}e+=f.byteLength,setTimeout(()=>i.resume())},onError:f=>a(f),onEnd:()=>s()})})}async doWriteReadableBufferedQueued(o,n,r){let e=0,i;for(;(i=r.read())!==null;)await this.doWriteBuffer(o,n,i,i.byteLength,e,0),e+=i.byteLength}async doWriteBuffer(o,n,r,e,i,s){let a=0;for(;a<e;)a+=await o.write(n,i+a,r.buffer,s+a,e-a)}async doWriteUnbuffered(o,n,r,e){return this.writeQueue.queueFor(n,this.getExtUri(o).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(o,n,r,e))}async doWriteUnbufferedQueued(o,n,r,e){let i;e instanceof S.VSBuffer?i=e:(0,h.isReadableStream)(e)?i=await(0,S.streamToBuffer)(e):(0,h.isReadableBufferedStream)(e)?i=await(0,S.bufferedStreamToBuffer)(e):i=(0,S.readableToBuffer)(e),await o.writeFile(n,i.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1})}async doPipeBuffered(o,n,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeBufferedQueued(o,n,r,e))}async doPipeBufferedQueued(o,n,r,e){let i,s;try{i=await o.open(n,{create:!1}),s=await r.open(e,{create:!0,unlock:!1});const a=S.VSBuffer.alloc(this.BUFFER_SIZE);let f=0,p=0,E=0;do E=await o.read(i,f,a.buffer,p,a.byteLength-p),await this.doWriteBuffer(r,s,a,E,f,p),f+=E,p+=E,p===a.byteLength&&(p=0);while(E>0)}catch(a){throw(0,l.ensureFileSystemProviderError)(a)}finally{await D.Promises.settled([typeof i=="number"?o.close(i):Promise.resolve(),typeof s=="number"?r.close(s):Promise.resolve()])}}async doPipeUnbuffered(o,n,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(o,n,r,e))}async doPipeUnbufferedQueued(o,n,r,e){return r.writeFile(e,await o.readFile(n),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(o,n,r,e){return this.writeQueue.queueFor(e,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(o,n,r,e))}async doPipeUnbufferedToBufferedQueued(o,n,r,e){const i=await r.open(e,{create:!0,unlock:!1});try{const s=await o.readFile(n);await this.doWriteBuffer(r,i,S.VSBuffer.wrap(s),s.byteLength,0,0)}catch(s){throw(0,l.ensureFileSystemProviderError)(s)}finally{await r.close(i)}}async doPipeBufferedToUnbuffered(o,n,r,e){const i=await(0,S.streamToBuffer)(this.readFileBuffered(o,n,R.CancellationToken.None));await this.doWriteUnbuffered(r,e,void 0,i)}throwIfFileSystemIsReadonly(o,n){if(o.capabilities&2048)throw new l.FileOperationError((0,w.localize)(22,null,this.resourceForError(n)),6);return o}throwIfFileIsReadonly(o,n){if((n.permissions??0)&l.FilePermission.Readonly)throw new l.FileOperationError((0,w.localize)(23,null,this.resourceForError(o)),6)}resourceForError(o){return o.scheme===O.Schemas.file?o.fsPath:o.toString(!0)}};c=ve([ae(0,y.ILogService)],c),t.FileService=c}),define(Q[100],Z([0,1,101,133,3,53,17,8,45,2,11,14,18,37,15,83,16,50,134,93,97,28]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y,c,m,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DiskFileSystemProvider=void 0,(()=>{try{(0,D.gracefulify)(L)}catch(r){console.error(`Error enabling graceful-fs: ${(0,o.toErrorMessage)(r)}`)}})();class n extends m.AbstractDiskFileSystemProvider{constructor(e,i){super(e);this.options=i,this.onDidChangeCapabilities=b.Event.None,this.resourceLocks=new R.ResourceMap(s=>g.extUriBiasedIgnorePathCase.getComparisonKey(s)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384,O.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(e){try{const{stat:i,symbolicLink:s}=await h.SymlinkSupport.stat(this.toFilePath(e));return{type:this.toType(i,s),ctime:i.birthtime.getTime(),mtime:i.mtime.getTime(),size:i.size}}catch(i){throw this.toFileSystemProviderError(i)}}async readdir(e){try{const i=await h.Promises.readdir(this.toFilePath(e),{withFileTypes:!0}),s=[];return await Promise.all(i.map(async a=>{try{let f;a.isSymbolicLink()?f=(await this.stat((0,g.joinPath)(e,a.name))).type:f=this.toType(a),s.push([a.name,f])}catch(f){this.logService.trace(f)}})),s}catch(i){throw this.toFileSystemProviderError(i)}}toType(e,i){let s;return i?.dangling?s=l.FileType.Unknown:e.isFile()?s=l.FileType.File:e.isDirectory()?s=l.FileType.Directory:s=l.FileType.Unknown,i&&(s|=l.FileType.SymbolicLink),s}async createResourceLock(e){this.logService.trace(`[Disk FileSystemProvider]: request to acquire resource lock (${this.toFilePath(e)})`);let i;for(;i=this.resourceLocks.get(e);)this.logService.trace(`[Disk FileSystemProvider]: waiting for resource lock to be released (${this.toFilePath(e)})`),await i.wait();const s=new S.Barrier;return this.resourceLocks.set(e,s),this.logService.trace(`[Disk FileSystemProvider]: new resource lock created (${this.toFilePath(e)})`),(0,v.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: resource lock disposed (${this.toFilePath(e)})`),this.resourceLocks.delete(e),s.open()})}async readFile(e,i){let s;try{i?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(e)})`),s=await this.createResourceLock(e));const a=this.toFilePath(e);return await h.Promises.readFile(a)}catch(a){throw this.toFileSystemProviderError(a)}finally{s?.dispose()}}readFileStream(e,i,s){const a=(0,P.newWriteableStream)(f=>C.VSBuffer.concat(f.map(p=>C.VSBuffer.wrap(p))).buffer);return(0,d.readFileIntoStream)(this,e,a,f=>f.buffer,{...i,bufferSize:256*1024},s),a}async writeFile(e,i,s){let a;try{const f=this.toFilePath(e);if(!s.create||!s.overwrite){if(await h.Promises.exists(f)){if(!s.overwrite)throw(0,l.createFileSystemProviderError)((0,w.localize)(0,null),l.FileSystemProviderErrorCode.FileExists)}else if(!s.create)throw(0,l.createFileSystemProviderError)((0,w.localize)(1,null),l.FileSystemProviderErrorCode.FileNotFound)}a=await this.open(e,{create:!0,unlock:s.unlock}),await this.write(a,0,i,0,i.byteLength)}catch(f){throw await this.toFileSystemProviderWriteError(e,f)}finally{typeof a=="number"&&await this.close(a)}}async open(e,i){let s;(0,l.isFileOpenForWriteOptions)(i)&&(s=await this.createResourceLock(e));let a;try{const f=this.toFilePath(e);if((0,l.isFileOpenForWriteOptions)(i)&&i.unlock)try{const{stat:E}=await h.SymlinkSupport.stat(f);E.mode&128||await h.Promises.chmod(f,E.mode|128)}catch(E){this.logService.trace(E)}let p;if((0,l.isFileOpenForWriteOptions)(i)){if(O.isWindows)try{await h.Promises.truncate(f,0),p="r+"}catch(E){E.code!=="ENOENT"&&this.logService.trace(E)}p||(p="w")}else p="r";a=await h.Promises.open(f,p)}catch(f){throw s?.dispose(),(0,l.isFileOpenForWriteOptions)(i)?await this.toFileSystemProviderWriteError(e,f):this.toFileSystemProviderError(f)}return this.mapHandleToPos.set(a,0),(0,l.isFileOpenForWriteOptions)(i)&&this.writeHandles.set(a,e),s&&this.mapHandleToLock.set(a,s),a}async close(e){try{if(this.mapHandleToPos.delete(e),this.writeHandles.delete(e)&&this.canFlush)try{await h.Promises.fdatasync(e)}catch(i){this.canFlush=!1,this.logService.error(i)}return await h.Promises.close(e)}catch(i){throw this.toFileSystemProviderError(i)}finally{const i=this.mapHandleToLock.get(e);i&&(this.mapHandleToLock.delete(e),i.dispose())}}async read(e,i,s,a,f){const p=this.normalizePos(e,i);let E=null;try{const T=await h.Promises.read(e,s,a,f,p);return typeof T=="number"?E=T:E=T.bytesRead,E}catch(T){throw this.toFileSystemProviderError(T)}finally{this.updatePos(e,p,E)}}normalizePos(e,i){return i===this.mapHandleToPos.get(e)?null:i}updatePos(e,i,s){const a=this.mapHandleToPos.get(e);typeof a=="number"&&(typeof i=="number"||(typeof s=="number"?this.mapHandleToPos.set(e,a+s):this.mapHandleToPos.delete(e)))}async write(e,i,s,a,f){return(0,S.retry)(()=>this.doWrite(e,i,s,a,f),100,3)}async doWrite(e,i,s,a,f){const p=this.normalizePos(e,i);let E=null;try{const T=await h.Promises.write(e,s,a,f,p);return typeof T=="number"?E=T:E=T.bytesWritten,E}catch(T){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(e),T)}finally{this.updatePos(e,p,E)}}async mkdir(e){try{await h.Promises.mkdir(this.toFilePath(e))}catch(i){throw this.toFileSystemProviderError(i)}}async delete(e,i){try{const s=this.toFilePath(e);i.recursive?await h.Promises.rm(s,h.RimRafMode.MOVE):await h.Promises.unlink(s)}catch(s){throw this.toFileSystemProviderError(s)}}async rename(e,i,s){const a=this.toFilePath(e),f=this.toFilePath(i);if(a!==f)try{await this.validateTargetDeleted(e,i,"move",s.overwrite),await h.Promises.move(a,f)}catch(p){throw(p.code==="EINVAL"||p.code==="EBUSY"||p.code==="ENAMETOOLONG")&&(p=new Error((0,w.localize)(2,null,(0,I.basename)(a),(0,I.basename)((0,I.dirname)(f)),p.toString()))),this.toFileSystemProviderError(p)}}async copy(e,i,s){const a=this.toFilePath(e),f=this.toFilePath(i);if(a!==f)try{await this.validateTargetDeleted(e,i,"copy",s.overwrite),await h.Promises.copy(a,f,{preserveSymlinks:!0})}catch(p){throw(p.code==="EINVAL"||p.code==="EBUSY"||p.code==="ENAMETOOLONG")&&(p=new Error((0,w.localize)(3,null,(0,I.basename)(a),(0,I.basename)((0,I.dirname)(f)),p.toString()))),this.toFileSystemProviderError(p)}}async validateTargetDeleted(e,i,s,a){const f=this.toFilePath(e),p=this.toFilePath(i);let E=!1;if(!!(this.capabilities&1024)||(E=(0,u.isEqual)(f,p,!0)),E&&s==="copy")throw(0,l.createFileSystemProviderError)((0,w.localize)(4,null),l.FileSystemProviderErrorCode.FileExists);if(!E&&await h.Promises.exists(p)){if(!a)throw(0,l.createFileSystemProviderError)((0,w.localize)(5,null),l.FileSystemProviderErrorCode.FileExists);await this.delete(i,{recursive:!0,useTrash:!1})}}createRecursiveWatcher(e,i,s){return new c.ParcelWatcherClient(a=>e(a),a=>i(a),s)}massageRecursiveWatchRequests(e){const i=this.options?.watcher?.usePolling;if(i===!0)for(const s of e)s.pollingInterval=this.options?.watcher?.pollingInterval??5e3;else if(Array.isArray(i))for(const s of e)i.includes(s.path)&&(s.pollingInterval=this.options?.watcher?.pollingInterval??5e3)}createNonRecursiveWatcher(e,i,s,a){return new y.NodeJSFileWatcher(e,f=>i(f),f=>s(f),a)}toFileSystemProviderError(e){if(e instanceof l.FileSystemProviderError)return e;let i;switch(e.code){case"ENOENT":i=l.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":i=l.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":i=l.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":i=l.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":i=l.FileSystemProviderErrorCode.NoPermissions;break;default:i=l.FileSystemProviderErrorCode.Unknown}return(0,l.createFileSystemProviderError)(e,i)}async toFileSystemProviderWriteError(e,i){let s=this.toFileSystemProviderError(i);if(e&&s.code===l.FileSystemProviderErrorCode.NoPermissions)try{const{stat:a}=await h.SymlinkSupport.stat(this.toFilePath(e));a.mode&128||(s=(0,l.createFileSystemProviderError)(i,l.FileSystemProviderErrorCode.FileWriteLocked))}catch(a){this.logService.trace(a)}return s}}t.DiskFileSystemProvider=n}),define(Q[102],Z([0,1,16,13]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpdLogLogger=void 0;async function S(b,u,v,I,O){try{const g=await new Promise((h,w)=>{x(["spdlog"],h,w)});g.setFlushOn(D.LogLevel.Trace);const P=await g.createAsyncRotatingLogger(b,u,v,I);return O&&P.clearFormatters(),P}catch(g){console.error(g)}return null}function R(b,u,v){switch(u){case D.LogLevel.Trace:b.trace(v);break;case D.LogLevel.Debug:b.debug(v);break;case D.LogLevel.Info:b.info(v);break;case D.LogLevel.Warning:b.warn(v);break;case D.LogLevel.Error:b.error(v);break;case D.LogLevel.Critical:b.critical(v);break;default:throw new Error("Invalid log level")}}class C extends D.AbstractMessageLogger{constructor(u,v,I,O,g){super();this.buffer=[],this.setLevel(g),this._loggerCreationPromise=this._createSpdLogLogger(u,v,I,O),this._register(this.onDidChangeLogLevel(P=>{this._logger&&this._logger.setLevel(P)}))}async _createSpdLogLogger(u,v,I,O){const g=I?6:1,P=30/g*L.ByteSize.MB,h=await S(u,v,P,g,O);if(h){this._logger=h,this._logger.setLevel(this.getLevel());for(const{level:w,message:l}of this.buffer)R(this._logger,w,l);this.buffer=[]}}log(u,v){this._logger?R(this._logger,u,v):this.getLevel()<=u&&this.buffer.push({level:u,message:v})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}t.SpdLogLogger=C}),define(Q[32],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.productSchemaId=t.IProductService=void 0,t.IProductService=(0,L.createDecorator)("productService"),t.productSchemaId="vscode://schemas/vscode-product"}),define(Q[30],Z([0,1,54,7]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Registry=void 0;class S{constructor(){this.data=new Map}add(C,b){L.ok(D.isString(C)),L.ok(D.isObject(b)),L.ok(!this.data.has(C),"There is already an extension with this id"),this.data.set(C,b)}knows(C){return this.data.has(C)}as(C){return this.data.get(C)||null}}t.Registry=new S}),define(Q[103],Z([0,1,8,30]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions=void 0,t.Extensions={JSONContribution:"base.contributions.json"};function S(b){return b.length>0&&b.charAt(b.length-1)==="#"?b.substring(0,b.length-1):b}class R{constructor(){this._onDidChangeSchema=new L.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(u,v){this.schemasById[S(u)]=v,this._onDidChangeSchema.fire(u)}notifySchemaChanged(u){this._onDidChangeSchema.fire(u)}getSchemaContributions(){return{schemas:this.schemasById}}}const C=new R;D.Registry.add(t.Extensions.JSONContribution,C)}),define(Q[34],Z([0,1,19,8,7,72,103,30]),function(x,t,L,D,S,R,C,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getScopes=t.validateProperty=t.getDefaultValue=t.keyFromOverrideIdentifiers=t.overrideIdentifiersFromKey=t.OVERRIDE_PROPERTY_REGEX=t.OVERRIDE_PROPERTY_PATTERN=t.configurationDefaultsSchemaId=t.resourceLanguageSettingsSchemaId=t.resourceSettings=t.windowSettings=t.machineOverridableSettings=t.machineSettings=t.applicationSettings=t.allSettings=t.ConfigurationScope=t.Extensions=t.EditPresentationTypes=void 0;var u;(function(m){m.Multiline="multilineText",m.Singleline="singlelineText"})(u=t.EditPresentationTypes||(t.EditPresentationTypes={})),t.Extensions={Configuration:"base.contributions.configuration"};var v;(function(m){m[m.APPLICATION=1]="APPLICATION",m[m.MACHINE=2]="MACHINE",m[m.WINDOW=3]="WINDOW",m[m.RESOURCE=4]="RESOURCE",m[m.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",m[m.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(v=t.ConfigurationScope||(t.ConfigurationScope={})),t.allSettings={properties:{},patternProperties:{}},t.applicationSettings={properties:{},patternProperties:{}},t.machineSettings={properties:{},patternProperties:{}},t.machineOverridableSettings={properties:{},patternProperties:{}},t.windowSettings={properties:{},patternProperties:{}},t.resourceSettings={properties:{},patternProperties:{}},t.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",t.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const I=b.Registry.as(C.Extensions.JSONContribution);class O{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:R.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},I.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(o,n=!0){this.registerConfigurations([o],n)}registerConfigurations(o,n=!0){const r=this.doRegisterConfigurations(o,n);I.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}deregisterConfigurations(o){const n=this.doDeregisterConfigurations(o);I.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n})}updateConfigurations({add:o,remove:n}){const r=[];r.push(...this.doDeregisterConfigurations(n)),r.push(...this.doRegisterConfigurations(o,!1)),I.registerSchema(t.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,L.distinct)(r)})}registerDefaultConfigurations(o){const n=[],r=[];for(const{overrides:e,source:i}of o)for(const s in e)if(n.push(s),t.OVERRIDE_PROPERTY_REGEX.test(s)){const a={...this.configurationDefaultsOverrides.get(s)?.value||{},...e[s]};this.configurationDefaultsOverrides.set(s,{source:i,value:a});const f={type:"object",default:a,description:R.localize(1,null,s),$ref:t.resourceLanguageSettingsSchemaId,defaultDefaultValue:a,source:S.isString(i)?void 0:i};r.push(...h(s)),this.configurationProperties[s]=f,this.defaultLanguageConfigurationOverridesNode.properties[s]=f}else{this.configurationDefaultsOverrides.set(s,{value:e[s],source:i});const a=this.configurationProperties[s];a&&(this.updatePropertyDefaultValue(s,a),this.updateSchema(s,a))}this.registerOverrideIdentifiers(r),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}deregisterDefaultConfigurations(o){const n=[];for(const{overrides:r,source:e}of o)for(const i in r){const s=this.configurationDefaultsOverrides.get(i),a=S.isString(e)?e:e?.id,f=S.isString(s?.source)?s?.source:s?.source?.id;if(a===f)if(n.push(i),this.configurationDefaultsOverrides.delete(i),t.OVERRIDE_PROPERTY_REGEX.test(i))delete this.configurationProperties[i],delete this.defaultLanguageConfigurationOverridesNode.properties[i];else{const p=this.configurationProperties[i];p&&(this.updatePropertyDefaultValue(i,p),this.updateSchema(i,p))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...o){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(o){for(const n of o)this.overrideIdentifiers.add(n);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(o,n){const r=[];return o.forEach(e=>{r.push(...this.validateAndRegisterProperties(e,n,e.extensionInfo,e.restrictedProperties)),this.configurationContributors.push(e),this.registerJSONConfiguration(e)}),r}doDeregisterConfigurations(o){const n=[],r=e=>{if(e.properties)for(const i in e.properties)n.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,e.properties[i]);e.allOf&&e.allOf.forEach(i=>r(i))};for(const e of o){r(e);const i=this.configurationContributors.indexOf(e);i!==-1&&this.configurationContributors.splice(i,1)}return n}validateAndRegisterProperties(o,n=!0,r,e,i=3){i=S.isUndefinedOrNull(o.scope)?i:o.scope;let s=[],a=o.properties;if(a)for(let p in a){if(n&&y(p)){delete a[p];continue}const E=a[p];if(E.source=r,E.defaultDefaultValue=a[p].default,this.updatePropertyDefaultValue(p,E),t.OVERRIDE_PROPERTY_REGEX.test(p)?E.scope=void 0:(E.scope=S.isUndefinedOrNull(E.scope)?i:E.scope,E.restricted=S.isUndefinedOrNull(E.restricted)?!!e?.includes(p):E.restricted),a[p].hasOwnProperty("included")&&!a[p].included){this.excludedConfigurationProperties[p]=a[p],delete a[p];continue}else this.configurationProperties[p]=a[p];!a[p].deprecationMessage&&a[p].markdownDeprecationMessage&&(a[p].deprecationMessage=a[p].markdownDeprecationMessage),s.push(p)}let f=o.allOf;if(f)for(let p of f)s.push(...this.validateAndRegisterProperties(p,n,r,e,i));return s}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(o){const n=r=>{let e=r.properties;if(e)for(const s in e)this.updateSchema(s,e[s]);let i=r.allOf;i&&i.forEach(n)};n(o)}updateSchema(o,n){switch(t.allSettings.properties[o]=n,n.scope){case 1:t.applicationSettings.properties[o]=n;break;case 2:t.machineSettings.properties[o]=n;break;case 6:t.machineOverridableSettings.properties[o]=n;break;case 3:t.windowSettings.properties[o]=n;break;case 4:t.resourceSettings.properties[o]=n;break;case 5:t.resourceSettings.properties[o]=n,this.resourceLanguageSettingsSchema.properties[o]=n;break}}removeFromSchema(o,n){switch(delete t.allSettings.properties[o],n.scope){case 1:delete t.applicationSettings.properties[o];break;case 2:delete t.machineSettings.properties[o];break;case 6:delete t.machineOverridableSettings.properties[o];break;case 3:delete t.windowSettings.properties[o];break;case 4:case 5:delete t.resourceSettings.properties[o],delete this.resourceLanguageSettingsSchema.properties[o];break}}updateOverridePropertyPatternKey(){for(const o of this.overrideIdentifiers.values()){const n=`[${o}]`,r={type:"object",description:R.localize(2,null),errorMessage:R.localize(3,null),$ref:t.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(n,r),t.allSettings.properties[n]=r,t.applicationSettings.properties[n]=r,t.machineSettings.properties[n]=r,t.machineOverridableSettings.properties[n]=r,t.windowSettings.properties[n]=r,t.resourceSettings.properties[n]=r}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const o={type:"object",description:R.localize(4,null),errorMessage:R.localize(5,null),$ref:t.resourceLanguageSettingsSchemaId};t.allSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,t.applicationSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,t.machineSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,t.machineOverridableSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,t.windowSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,t.resourceSettings.patternProperties[t.OVERRIDE_PROPERTY_PATTERN]=o,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(o,n){const r=this.configurationDefaultsOverrides.get(o);let e=r?.value,i=r?.source;S.isUndefined(e)&&(e=n.defaultDefaultValue,i=void 0),S.isUndefined(e)&&(e=l(n.type)),n.default=e,n.defaultValueSource=i}}const g="\\[([^\\]]+)\\]",P=new RegExp(g,"g");t.OVERRIDE_PROPERTY_PATTERN=`^(${g})+$`,t.OVERRIDE_PROPERTY_REGEX=new RegExp(t.OVERRIDE_PROPERTY_PATTERN);function h(m){const o=[];if(t.OVERRIDE_PROPERTY_REGEX.test(m)){let n=P.exec(m);for(;n?.length;){const r=n[1].trim();r&&o.push(r),n=P.exec(m)}}return(0,L.distinct)(o)}t.overrideIdentifiersFromKey=h;function w(m){return m.reduce((o,n)=>`${o}[${n}]`,"")}t.keyFromOverrideIdentifiers=w;function l(m){switch(Array.isArray(m)?m[0]:m){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}t.getDefaultValue=l;const d=new O;b.Registry.add(t.Extensions.Configuration,d);function y(m){return m.trim()?t.OVERRIDE_PROPERTY_REGEX.test(m)?R.localize(7,null,m):d.getConfigurationProperties()[m]!==void 0?R.localize(8,null,m):null:R.localize(6,null)}t.validateProperty=y;function c(){const m=[],o=d.getConfigurationProperties();for(const n of Object.keys(o))m.push([n,o[n].scope]);return m.push(["launch",4]),m.push(["task",4]),m}t.getScopes=c}),define(Q[104],Z([0,1,19,8,55,2,53,21,7,9,25,34,30]),function(x,t,L,D,S,R,C,b,u,v,I,O,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AllKeysConfigurationChangeEvent=t.ConfigurationChangeEvent=t.mergeChanges=t.Configuration=t.UserSettings=t.ConfigurationModelParser=t.DefaultConfigurationModel=t.ConfigurationModel=void 0;class P{constructor(e={},i=[],s=[]){this._contents=e,this._keys=i,this._overrides=s,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(e){return e?(0,I.getConfigurationValue)(this.contents,e):this.contents}getOverrideValue(e,i){const s=this.getContentsForOverrideIdentifer(i);return s?e?(0,I.getConfigurationValue)(s,e):s:void 0}getKeysForOverrideIdentifier(e){const i=[];for(const s of this.overrides)s.identifiers.includes(e)&&i.push(...s.keys);return L.distinct(i)}getAllOverrideIdentifiers(){const e=[];for(const i of this.overrides)e.push(...i.identifiers);return L.distinct(e)}override(e){let i=this.overrideConfigurations.get(e);return i||(i=this.createOverrideConfigurationModel(e),this.overrideConfigurations.set(e,i)),i}merge(...e){const i=b.deepClone(this.contents),s=b.deepClone(this.overrides),a=[...this.keys];for(const f of e){this.mergeContents(i,f.contents);for(const p of f.overrides){const[E]=s.filter(T=>L.equals(T.identifiers,p.identifiers));E?(this.mergeContents(E.contents,p.contents),E.keys.push(...p.keys),E.keys=L.distinct(E.keys)):s.push(b.deepClone(p))}for(const p of f.keys)a.indexOf(p)===-1&&a.push(p)}return new P(i,a,s)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(e){const i=this.getContentsForOverrideIdentifer(e);if(!i||typeof i!="object"||!Object.keys(i).length)return this;let s={};for(const a of L.distinct([...Object.keys(this.contents),...Object.keys(i)])){let f=this.contents[a],p=i[a];p&&(typeof f=="object"&&typeof p=="object"?(f=b.deepClone(f),this.mergeContents(f,p)):f=p),s[a]=f}return new P(s,this.keys,this.overrides)}mergeContents(e,i){for(const s of Object.keys(i)){if(s in e&&u.isObject(e[s])&&u.isObject(i[s])){this.mergeContents(e[s],i[s]);continue}e[s]=b.deepClone(i[s])}}checkAndFreeze(e){return this.isFrozen&&!Object.isFrozen(e)?b.deepFreeze(e):e}getContentsForOverrideIdentifer(e){let i=null,s=null;const a=f=>{f&&(s?this.mergeContents(s,f):s=b.deepClone(f))};for(const f of this.overrides)L.equals(f.identifiers,[e])?i=f.contents:f.identifiers.includes(e)&&a(f.contents);return a(i),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(e,i){this.addKey(e),(0,I.addToValueTree)(this.contents,e,i,s=>{throw new Error(s)})}removeValue(e){this.removeKey(e)&&(0,I.removeFromValueTree)(this.contents,e)}addKey(e){let i=this.keys.length;for(let s=0;s<i;s++)e.indexOf(this.keys[s])===0&&(i=s);this.keys.splice(i,1,e)}removeKey(e){let i=this.keys.indexOf(e);return i!==-1?(this.keys.splice(i,1),!0):!1}}t.ConfigurationModel=P;class h extends P{constructor(e={}){const i=g.Registry.as(O.Extensions.Configuration).getConfigurationProperties(),s=Object.keys(i),a=Object.create(null),f=[];for(const p in i){const E=e[p],T=E!==void 0?E:i[p].default;(0,I.addToValueTree)(a,p,T,F=>console.error(`Conflict in default settings: ${F}`))}for(const p of Object.keys(a))O.OVERRIDE_PROPERTY_REGEX.test(p)&&f.push({identifiers:(0,O.overrideIdentifiersFromKey)(p),keys:Object.keys(a[p]),contents:(0,I.toValuesTree)(a[p],E=>console.error(`Conflict in default settings file: ${E}`))});super(a,s,f)}}t.DefaultConfigurationModel=h;class w{constructor(e){this._name=e,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new P}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(e,i){if(!u.isUndefinedOrNull(e)){const s=this.doParseContent(e);this.parseRaw(s,i)}}reparse(e){this._raw&&this.parseRaw(this._raw,e)}parseRaw(e,i){this._raw=e;const{contents:s,keys:a,overrides:f,restricted:p}=this.doParseRaw(e,i);this._configurationModel=new P(s,a,f),this._restrictedConfigurations=p||[]}doParseContent(e){let i={},s=null,a=[],f=[],p=[];function E(F){Array.isArray(a)?a.push(F):s!==null&&(a[s]=F)}let T={onObjectBegin:()=>{let F={};E(F),f.push(a),a=F,s=null},onObjectProperty:F=>{s=F},onObjectEnd:()=>{a=f.pop()},onArrayBegin:()=>{let F=[];E(F),f.push(a),a=F,s=null},onArrayEnd:()=>{a=f.pop()},onLiteralValue:E,onError:(F,B,J)=>{p.push({error:F,offset:B,length:J})}};if(e)try{S.visit(e,T),i=a[0]||{}}catch(F){console.error(`Error while parsing settings file ${this._name}: ${F}`),this._parseErrors=[F]}return i}doParseRaw(e,i){const s=g.Registry.as(O.Extensions.Configuration).getConfigurationProperties(),a=this.filter(e,s,!0,i);e=a.raw;const f=(0,I.toValuesTree)(e,T=>console.error(`Conflict in settings file ${this._name}: ${T}`)),p=Object.keys(e),E=this.toOverrides(e,T=>console.error(`Conflict in settings file ${this._name}: ${T}`));return{contents:f,keys:p,overrides:E,restricted:a.restricted}}filter(e,i,s,a){if(!a?.scopes&&!a?.skipRestricted)return{raw:e,restricted:[]};const f={},p=[];for(let E in e)if(O.OVERRIDE_PROPERTY_REGEX.test(E)&&s){const T=this.filter(e[E],i,!1,a);f[E]=T.raw,p.push(...T.restricted)}else{const T=i[E],F=T?typeof T.scope!="undefined"?T.scope:3:void 0;T?.restricted&&p.push(E),(F===void 0||a.scopes===void 0||a.scopes.includes(F))&&(a.skipRestricted&&T?.restricted||(f[E]=e[E]))}return{raw:f,restricted:p}}toOverrides(e,i){const s=[];for(const a of Object.keys(e))if(O.OVERRIDE_PROPERTY_REGEX.test(a)){const f={};for(const p in e[a])f[p]=e[a][p];s.push({identifiers:(0,O.overrideIdentifiersFromKey)(a),keys:Object.keys(f),contents:(0,I.toValuesTree)(f,i)})}return s}}t.ConfigurationModelParser=w;class l extends R.Disposable{constructor(e,i,s,a){super();this.userSettingsResource=e,this.scopes=i,this.fileService=a,this._onDidChange=this._register(new D.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new w(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(D.Event.filter(this.fileService.onDidFilesChange,f=>f.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const e=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(e.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new P}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}t.UserSettings=l;class d{constructor(e,i,s=new P,a=new P,f=new C.ResourceMap,p=new P,E=new C.ResourceMap,T=!0){this._defaultConfiguration=e,this._localUserConfiguration=i,this._remoteUserConfiguration=s,this._workspaceConfiguration=a,this._folderConfigurations=f,this._memoryConfiguration=p,this._memoryConfigurationByResource=E,this._freeze=T,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new C.ResourceMap,this._userConfiguration=null}getValue(e,i,s){return this.getConsolidateConfigurationModel(i,s).getValue(e)}updateValue(e,i,s={}){let a;s.resource?(a=this._memoryConfigurationByResource.get(s.resource),a||(a=new P,this._memoryConfigurationByResource.set(s.resource,a))):a=this._memoryConfiguration,i===void 0?a.removeValue(e):a.setValue(e,i),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(e,i,s){const a=this.getConsolidateConfigurationModel(i,s),f=this.getFolderConfigurationModelForResource(i.resource,s),p=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,E=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),T=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.userConfiguration.freeze().getValue(e),F=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.localUserConfiguration.freeze().getValue(e),B=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this.remoteUserConfiguration.freeze().getValue(e),J=s?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,se=f?i.overrideIdentifier?f.freeze().override(i.overrideIdentifier).getValue(e):f.freeze().getValue(e):void 0,ie=i.overrideIdentifier?p.override(i.overrideIdentifier).getValue(e):p.getValue(e),te=a.getValue(e),ge=L.distinct(L.flatten(a.overrides.map(W=>W.identifiers))).filter(W=>a.getOverrideValue(e,W)!==void 0);return{defaultValue:E,userValue:T,userLocalValue:F,userRemoteValue:B,workspaceValue:J,workspaceFolderValue:se,memoryValue:ie,value:te,default:E!==void 0?{value:this._defaultConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,user:T!==void 0?{value:this.userConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,userRemote:B!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,workspace:J!==void 0?{value:this._workspaceConfiguration.freeze().getValue(e),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,workspaceFolder:se!==void 0?{value:f?.freeze().getValue(e),override:i.overrideIdentifier?f?.freeze().getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,memory:ie!==void 0?{value:p.getValue(e),override:i.overrideIdentifier?p.getOverrideValue(e,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:ge.length?ge:void 0}}keys(e){const i=this.getFolderConfigurationModelForResource(void 0,e);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(e){this._localUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(e){this._remoteUserConfiguration=e,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(e,i){this._folderConfigurations.set(e,i),this._foldersConsolidatedConfigurations.delete(e)}deleteFolderConfiguration(e){this.folderConfigurations.delete(e),this._foldersConsolidatedConfigurations.delete(e)}compareAndUpdateDefaultConfiguration(e,i){const s=[];if(!i){const{added:a,updated:f,removed:p}=o(this._defaultConfiguration,e);i=[...a,...f,...p]}for(const a of i)for(const f of(0,O.overrideIdentifiersFromKey)(a)){const p=this._defaultConfiguration.getKeysForOverrideIdentifier(f),E=e.getKeysForOverrideIdentifier(f),T=[...E.filter(F=>p.indexOf(F)===-1),...p.filter(F=>E.indexOf(F)===-1),...p.filter(F=>!b.equals(this._defaultConfiguration.override(f).getValue(F),e.override(f).getValue(F)))];s.push([f,T])}return this.updateDefaultConfiguration(e),{keys:i,overrides:s}}compareAndUpdateLocalUserConfiguration(e){const{added:i,updated:s,removed:a,overrides:f}=o(this.localUserConfiguration,e),p=[...i,...s,...a];return p.length&&this.updateLocalUserConfiguration(e),{keys:p,overrides:f}}compareAndUpdateRemoteUserConfiguration(e){const{added:i,updated:s,removed:a,overrides:f}=o(this.remoteUserConfiguration,e);let p=[...i,...s,...a];return p.length&&this.updateRemoteUserConfiguration(e),{keys:p,overrides:f}}compareAndUpdateWorkspaceConfiguration(e){const{added:i,updated:s,removed:a,overrides:f}=o(this.workspaceConfiguration,e);let p=[...i,...s,...a];return p.length&&this.updateWorkspaceConfiguration(e),{keys:p,overrides:f}}compareAndUpdateFolderConfiguration(e,i){const s=this.folderConfigurations.get(e),{added:a,updated:f,removed:p,overrides:E}=o(s,i);let T=[...a,...f,...p];return(T.length||!s)&&this.updateFolderConfiguration(e,i),{keys:T,overrides:E}}compareAndDeleteFolderConfiguration(e){const i=this.folderConfigurations.get(e);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(e);const{added:s,updated:a,removed:f,overrides:p}=o(i,void 0);return{keys:[...s,...a,...f],overrides:p}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(e,i){let s=this.getConsolidatedConfigurationModelForResource(e,i);return e.overrideIdentifier?s.override(e.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:e},i){let s=this.getWorkspaceConsolidatedConfiguration();if(i&&e){const a=i.getFolder(e);a&&(s=this.getFolderConsolidatedConfiguration(a.uri)||s);const f=this._memoryConfigurationByResource.get(e);f&&(s=s.merge(f))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(e){let i=this._foldersConsolidatedConfigurations.get(e);if(!i){const s=this.getWorkspaceConsolidatedConfiguration(),a=this._folderConfigurations.get(e);a?(i=s.merge(a),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(e,i)):i=s}return i}getFolderConfigurationModelForResource(e,i){if(i&&e){const s=i.getFolder(e);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((e,i)=>{const{contents:s,overrides:a,keys:f}=this._folderConfigurations.get(i);return e.push([i,{contents:s,overrides:a,keys:f}]),e},[])}}allKeys(){const e=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>e.add(i)),this.userConfiguration.freeze().keys.forEach(i=>e.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>e.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(s=>e.add(s))),[...e.values()]}allOverrideIdentifiers(){const e=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>e.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>e.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>e.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(s=>e.add(s))),[...e.values()]}getAllKeysForOverrideIdentifier(e){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>i.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>i.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(e).forEach(s=>i.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(e).forEach(a=>i.add(a))),[...i.values()]}static parse(e){const i=this.parseConfigurationModel(e.defaults),s=this.parseConfigurationModel(e.user),a=this.parseConfigurationModel(e.workspace),f=e.folders.reduce((p,E)=>(p.set(v.URI.revive(E[0]),this.parseConfigurationModel(E[1])),p),new C.ResourceMap);return new d(i,s,new P,a,f,new P,new C.ResourceMap,!1)}static parseConfigurationModel(e){return new P(e.contents,e.keys,e.overrides).freeze()}}t.Configuration=d;function y(...r){if(r.length===0)return{keys:[],overrides:[]};if(r.length===1)return r[0];const e=new Set,i=new Map;for(const a of r)a.keys.forEach(f=>e.add(f)),a.overrides.forEach(([f,p])=>{const E=(0,C.getOrSet)(i,f,new Set);p.forEach(T=>E.add(T))});const s=[];return i.forEach((a,f)=>s.push([f,[...a.values()]])),{keys:[...e.values()],overrides:s}}t.mergeChanges=y;class c{constructor(e,i,s,a){this.change=e,this.previous=i,this.currentConfiguraiton=s,this.currentWorkspace=a,this._previousConfiguration=void 0;const f=new Set;e.keys.forEach(E=>f.add(E)),e.overrides.forEach(([,E])=>E.forEach(T=>f.add(T))),this.affectedKeys=[...f.values()];const p=new P;this.affectedKeys.forEach(E=>p.setValue(E,{})),this.affectedKeysTree=p.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=d.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(e,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,e)){if(i){const s=this.previousConfiguration?this.previousConfiguration.getValue(e,i,this.previous?.workspace):void 0,a=this.currentConfiguraiton.getValue(e,i,this.currentWorkspace);return!b.equals(s,a)}return!0}return!1}doesAffectedKeysTreeContains(e,i){let s=(0,I.toValuesTree)({[i]:!0},()=>{}),a;for(;typeof s=="object"&&(a=Object.keys(s)[0]);){if(e=e[a],!e)return!1;s=s[a]}return!0}}t.ConfigurationChangeEvent=c;class m extends c{constructor(e,i,s,a){super({keys:e.allKeys(),overrides:[]},void 0,e,i);this.source=s,this.sourceConfig=a}}t.AllKeysConfigurationChangeEvent=m;function o(r,e){const{added:i,removed:s,updated:a}=n(e,r),f=[],p=r?.getAllOverrideIdentifiers()||[],E=e?.getAllOverrideIdentifiers()||[];if(e){const T=E.filter(F=>!p.includes(F));for(const F of T)f.push([F,e.getKeysForOverrideIdentifier(F)])}if(r){const T=p.filter(F=>!E.includes(F));for(const F of T)f.push([F,r.getKeysForOverrideIdentifier(F)])}if(e&&r){for(const T of p)if(E.includes(T)){const F=n({contents:r.getOverrideValue(void 0,T)||{},keys:r.getKeysForOverrideIdentifier(T)},{contents:e.getOverrideValue(void 0,T)||{},keys:e.getKeysForOverrideIdentifier(T)});f.push([T,[...F.added,...F.removed,...F.updated]])}}return{added:i,removed:s,updated:a,overrides:f}}function n(r,e){const i=r?e?r.keys.filter(f=>e.keys.indexOf(f)===-1):[...r.keys]:[],s=e?r?e.keys.filter(f=>r.keys.indexOf(f)===-1):[...e.keys]:[],a=[];if(r&&e){for(const f of e.keys)if(r.keys.indexOf(f)!==-1){const p=(0,I.getConfigurationValue)(e.contents,f),E=(0,I.getConfigurationValue)(r.contents,f);b.equals(p,E)||a.push(f)}}return{added:i,removed:s,updated:a}}}),define(Q[105],Z([0,1,3,8,2,18,25,104,34,30]),function(x,t,L,D,S,R,C,b,u,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConfigurationService=void 0;class I extends S.Disposable{constructor(g,P){super();this.settingsResource=g,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new b.UserSettings(this.settingsResource,void 0,R.extUriBiasedIgnorePathCase,P)),this.configuration=new b.Configuration(new b.DefaultConfigurationModel,new b.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new L.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(u.Extensions.Configuration).onDidUpdateConfiguration(({properties:h})=>this.onDidDefaultConfigurationChange(h))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const g=await this.userConfiguration.loadConfiguration();this.configuration=new b.Configuration(new b.DefaultConfigurationModel,g)}getConfigurationData(){return this.configuration.toData()}getValue(g,P){const h=typeof g=="string"?g:void 0,w=(0,C.isConfigurationOverrides)(g)?g:(0,C.isConfigurationOverrides)(P)?P:{};return this.configuration.getValue(h,w,void 0)}updateValue(g,P,h,w){return Promise.reject(new Error("not supported"))}inspect(g){return this.configuration.inspect(g,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const g=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(g)}onDidChangeUserConfiguration(g){const P=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(g);this.trigger(h,P,1)}onDidDefaultConfigurationChange(g){const P=this.configuration.toData(),h=this.configuration.compareAndUpdateDefaultConfiguration(new b.DefaultConfigurationModel,g);this.trigger(h,P,6)}trigger(g,P,h){const w=new b.ConfigurationChangeEvent(g,{data:P},this.configuration);w.source=h,w.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(w)}getTargetConfiguration(g){switch(g){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}t.ConfigurationService=I}),define(Q[106],Z([0,1,10]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isVirtualWorkspace=t.getVirtualWorkspaceScheme=t.getVirtualWorkspaceLocation=t.isVirtualResource=t.getRemoteName=t.getRemoteAuthority=void 0;function D(v){return v.scheme===L.Schemas.vscodeRemote?v.authority:void 0}t.getRemoteAuthority=D;function S(v){if(!v)return;const I=v.indexOf("+");return I<0?v:v.substr(0,I)}t.getRemoteName=S;function R(v){return v.scheme!==L.Schemas.file&&v.scheme!==L.Schemas.vscodeRemote}t.isVirtualResource=R;function C(v){if(v.folders.length)return v.folders.every(I=>R(I.uri))?v.folders[0].uri:void 0;if(v.configuration&&R(v.configuration))return v.configuration}t.getVirtualWorkspaceLocation=C;function b(v){return C(v)?.scheme}t.getVirtualWorkspaceScheme=b;function u(v){return C(v)!==void 0}t.isVirtualWorkspace=u}),define(Q[40],Z([0,1,26,12,106]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IBuiltinExtensionsScannerService=t.isResolverExtension=t.isAuthenticationProviderExtension=t.isLanguagePackExtension=t.ExtensionIdentifier=t.ExtensionType=t.EXTENSION_CATEGORIES=t.isIExtensionIdentifier=t.getWorkspaceSupportTypeMessage=t.ALL_EXTENSION_KINDS=t.BUILTIN_MANIFEST_CACHE_FILE=t.USER_MANIFEST_CACHE_FILE=t.MANIFEST_CACHE_FOLDER=void 0,t.MANIFEST_CACHE_FOLDER="CachedExtensions",t.USER_MANIFEST_CACHE_FILE="user",t.BUILTIN_MANIFEST_CACHE_FILE="builtin",t.ALL_EXTENSION_KINDS=["ui","workspace","web"];function R(g){if(typeof g=="object"&&g!==null&&g.supported!==!0)return g.description}t.getWorkspaceSupportTypeMessage=R;function C(g){return g&&typeof g=="object"&&typeof g.id=="string"&&(!g.uuid||typeof g.uuid=="string")}t.isIExtensionIdentifier=C,t.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var b;(function(g){g[g.System=0]="System",g[g.User=1]="User"})(b=t.ExtensionType||(t.ExtensionType={}));class u{constructor(P){this.value=P,this._lower=P.toLowerCase()}static equals(P,h){if(typeof P=="undefined"||P===null)return typeof h=="undefined"||h===null;if(typeof h=="undefined"||h===null)return!1;if(typeof P=="string"||typeof h=="string"){let w=typeof P=="string"?P:P.value,l=typeof h=="string"?h:h.value;return L.equalsIgnoreCase(w,l)}return P._lower===h._lower}static toKey(P){return typeof P=="string"?P.toLowerCase():P._lower}}t.ExtensionIdentifier=u;function v(g){return g.contributes&&g.contributes.localizations?g.contributes.localizations.length>0:!1}t.isLanguagePackExtension=v;function I(g){return g.contributes&&g.contributes.authentication?g.contributes.authentication.length>0:!1}t.isAuthenticationProviderExtension=I;function O(g,P){if(P){const h=`onResolveRemoteAuthority:${(0,S.getRemoteName)(P)}`;return g.activationEvents?.indexOf(h)!==-1}return!1}t.isResolverExtension=O,t.IBuiltinExtensionsScannerService=(0,D.createDecorator)("IBuiltinExtensionsScannerService")}),define(Q[23],Z([0,1,26,40]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getExtensionDependencies=t.getMaliciousExtensionsSet=t.BetterMergeId=t.getGalleryExtensionTelemetryData=t.getLocalExtensionTelemetryData=t.groupByExtension=t.getGalleryExtensionId=t.adoptToGalleryExtensionId=t.getExtensionId=t.ExtensionIdentifierWithVersion=t.areSameExtensions=void 0;function S(h,w){return h.uuid&&w.uuid?h.uuid===w.uuid:h.id===w.id?!0:(0,L.compareIgnoreCase)(h.id,w.id)===0}t.areSameExtensions=S;class R{constructor(w,l){this.version=l,this.id=w.id,this.uuid=w.uuid}key(){return`${this.id}-${this.version}`}equals(w){return w instanceof R?S(this,w)&&this.version===w.version:!1}}t.ExtensionIdentifierWithVersion=R;function C(h,w){return`${h}.${w}`}t.getExtensionId=C;function b(h){return h.toLocaleLowerCase()}t.adoptToGalleryExtensionId=b;function u(h,w){return b(C(h,w))}t.getGalleryExtensionId=u;function v(h,w){const l=[],d=y=>{for(const c of l)if(c.some(m=>S(w(m),w(y))))return c;return null};for(const y of h){const c=d(y);c?c.push(y):l.push([y])}return l}t.groupByExtension=v;function I(h){return{id:h.identifier.id,name:h.manifest.name,galleryId:null,publisherId:h.publisherId,publisherName:h.manifest.publisher,publisherDisplayName:h.publisherDisplayName,dependencies:h.manifest.extensionDependencies&&h.manifest.extensionDependencies.length>0}}t.getLocalExtensionTelemetryData=I;function O(h){return{id:h.identifier.id,name:h.name,galleryId:h.identifier.uuid,publisherId:h.publisherId,publisherName:h.publisher,publisherDisplayName:h.publisherDisplayName,isPreReleaseVersion:h.properties.isPreReleaseVersion,dependencies:!!(h.properties.dependencies&&h.properties.dependencies.length>0),...h.telemetryData}}t.getGalleryExtensionTelemetryData=O,t.BetterMergeId=new D.ExtensionIdentifier("pprice.better-merge");function g(h){const w=new Set;if(h.malicious)for(const l of h.malicious)w.add(l.id);return w}t.getMaliciousExtensionsSet=g;function P(h,w){const l=[],d=w.manifest.extensionDependencies?.slice(0)??[];for(;d.length;){const y=d.shift();if(y&&l.every(c=>!S(c.identifier,{id:y}))){const c=h.filter(m=>S(m.identifier,{id:y}));c.length===1&&(l.push(c[0]),d.push(...c[0].manifest.extensionDependencies?.slice(0)??[]))}}return l}t.getExtensionDependencies=P}),define(Q[107],Z([0,1,24,6,61,10,41,9,76,22,23,40]),function(x,t,L,D,S,R,C,b,u,v,I,O){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementCLIService=t.getIdAndVersion=void 0;const g=y=>(0,u.localize)(0,null,y),P=(0,u.localize)(1,null,"ms-dotnettools.csharp");function h(y,c){return c?`${y.publisher}.${y.name}@${y.version}`:`${y.publisher}.${y.name}`}const w=/^([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;function l(y){const c=w.exec(y);return c&&c[1]?[(0,I.adoptToGalleryExtensionId)(c[1]),c[2]]:[(0,I.adoptToGalleryExtensionId)(y),void 0]}t.getIdAndVersion=l;let d=class{constructor(c,m){this.extensionManagementService=c,this.extensionGalleryService=m}get location(){}async listExtensions(c,m,o=console){let n=await this.extensionManagementService.getInstalled(1);const r=O.EXTENSION_CATEGORIES.map(i=>i.toLowerCase());if(m&&m!==""){if(r.indexOf(m.toLowerCase())<0){o.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}n=n.filter(i=>i.manifest.categories?i.manifest.categories.map(a=>a.toLowerCase()).indexOf(m.toLowerCase())>-1:!1)}else if(m===""){o.log("Possible Categories: "),r.forEach(i=>{o.log(i)});return}this.location&&o.log((0,u.localize)(2,null,this.location)),n=n.sort((i,s)=>i.identifier.id.localeCompare(s.identifier.id));let e;for(let i of n)e!==i.identifier.id&&(e=i.identifier.id,o.log(h(i.manifest,c)))}async installExtensions(c,m,o,n,r=console){const e=[],i=[];c.length&&r.log(this.location?(0,u.localize)(3,null,this.location):(0,u.localize)(4,null));const s=await this.extensionManagementService.getInstalled(1),a=(E,T)=>{const F=s.find(B=>(0,I.areSameExtensions)(B.identifier,{id:E}));if(F){if(!T&&!n)return r.log((0,u.localize)(5,null,E,F.manifest.version,E)),!1;if(T&&F.manifest.version===T)return r.log((0,u.localize)(6,null,`${E}@${T}`)),!1}return!0},f=[],p=[];for(const E of c)if(E instanceof b.URI)f.push(E);else{const[T,F]=l(E);a(T,F)&&p.push({id:T,version:F,installOptions:{...o,isBuiltin:!1}})}for(const E of m){const[T,F]=l(E);a(T,F)&&p.push({id:T,version:F,installOptions:{...o,isBuiltin:!0}})}if(f.length&&await Promise.all(f.map(async E=>{try{const T=await this.installVSIX(E,{...o,isBuiltin:!1},n,r);T&&i.push(T)}catch(T){r.error(T.message||T.stack||T),e.push(E.toString())}})),p.length){const E=await this.getGalleryExtensions(p);await Promise.all(p.map(async T=>{const F=E.get(T.id.toLowerCase());if(F)try{const B=await this.installFromGallery(T,F,s,n,r);B&&i.push(B)}catch(B){r.error(B.message||B.stack||B),e.push(T.id)}else r.error(`${g(T.version?`${T.id}@${T.version}`:T.id)}
${P}`),e.push(T.id)}))}if(e.length)throw new Error((0,u.localize)(7,null,e.join(", ")))}async installVSIX(c,m,o,n){const r=await this.extensionManagementService.getManifest(c);if(!r)throw new Error("Invalid vsix");if(await this.validateVSIX(r,o,n))try{return await this.extensionManagementService.install(c,m),n.log((0,u.localize)(8,null,(0,S.getBaseLabel)(c))),r}catch(i){if((0,D.isPromiseCanceledError)(i))return n.log((0,u.localize)(9,null,(0,S.getBaseLabel)(c))),null;throw i}return null}async getGalleryExtensions(c){const m=new Map,o=await this.extensionGalleryService.getExtensions(c,c.some(n=>n.installOptions.installPreReleaseVersion),L.CancellationToken.None);for(const n of o)m.set(n.identifier.id.toLowerCase(),n);return m}async installFromGallery({id:c,version:m,installOptions:o},n,r,e,i){const s=await this.extensionGalleryService.getManifest(n,L.CancellationToken.None);if(s&&!this.validateExtensionKind(s,i))return null;const a=r.find(f=>(0,I.areSameExtensions)(f.identifier,n.identifier));if(a){if(n.version===a.manifest.version)return i.log((0,u.localize)(10,null,m?`${c}@${m}`:c)),null;i.log((0,u.localize)(11,null,c,n.version))}try{return o.isBuiltin?i.log(m?(0,u.localize)(12,null,c,m):(0,u.localize)(13,null,c)):i.log(m?(0,u.localize)(14,null,c,m):(0,u.localize)(15,null,c)),await this.extensionManagementService.installFromGallery(n,{...o,installGivenVersion:!!m}),i.log((0,u.localize)(16,null,c,n.version)),s}catch(f){if((0,D.isPromiseCanceledError)(f))return i.log((0,u.localize)(17,null,c)),null;throw f}}validateExtensionKind(c,m){return!0}async validateVSIX(c,m,o){const n={id:(0,I.getGalleryExtensionId)(c.publisher,c.name)},e=(await this.extensionManagementService.getInstalled(1)).find(i=>(0,I.areSameExtensions)(n,i.identifier)&&(0,C.gt)(i.manifest.version,c.version));return e&&!m?(o.log((0,u.localize)(18,null,e.identifier.id,e.manifest.version,c.version)),!1):this.validateExtensionKind(c,o)}async uninstallExtensions(c,m,o=console){const n=async e=>{if(e instanceof b.URI){const i=await this.extensionManagementService.getManifest(e);return h(i)}return e},r=[];for(const e of c){const i=await n(e),a=(await this.extensionManagementService.getInstalled()).filter(f=>(0,I.areSameExtensions)(f.identifier,{id:i}));if(!a.length)throw new Error(`${this.notInstalled(i)}
${P}`);if(a.some(f=>f.type===0)){o.log((0,u.localize)(19,null,i));return}if(!m&&a.some(f=>f.isBuiltin)){o.log((0,u.localize)(20,null,i));return}o.log((0,u.localize)(21,null,i));for(const f of a)await this.extensionManagementService.uninstall(f),r.push(f);this.location?o.log((0,u.localize)(22,null,i,this.location)):o.log((0,u.localize)(23,null,i))}}async locateExtension(c,m=console){const o=await this.extensionManagementService.getInstalled();c.forEach(n=>{o.forEach(r=>{if(r.identifier.id===n&&r.location.scheme===R.Schemas.file){m.log(r.location.fsPath);return}})})}notInstalled(c){return this.location?(0,u.localize)(24,null,c,this.location):(0,u.localize)(25,null,c)}};d=ve([ae(0,v.IExtensionManagementService),ae(1,v.IExtensionGalleryService)],d),t.ExtensionManagementCLIService=d}),define(Q[108],Z([0,1,3,6,2,14,18,41,9,27,15,20,22,23,16,13]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsDownloader=void 0;const l=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let d=class extends S.Disposable{constructor(c,m,o,n){super();this.fileService=m,this.extensionGalleryService=o,this.logService=n,this.extensionsDownloadDir=u.URI.file(c.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(c,m){await this.cleanUpPromise;const o=this.getName(c),n=(0,C.joinPath)(this.extensionsDownloadDir,o);if(!await this.fileService.exists(n)){const r=(0,C.joinPath)(this.extensionsDownloadDir,`.${(0,v.generateUuid)()}`);await this.fileService.exists(r)||await this.extensionGalleryService.download(c,r,m);try{await this.rename(r,n,Date.now()+2*60*1e3)}catch(e){try{await this.fileService.del(r)}catch{}if(e.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",c.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,D.getErrorMessage)(e)}. Deleted the vsix from downloaded location`,r.path),e}}return n}async delete(c){await this.cleanUpPromise,await this.fileService.del(c)}async rename(c,m,o){try{await I.Promises.rename(c.fsPath,m.fsPath)}catch(n){if(R.isWindows&&n&&n.code==="EPERM"&&Date.now()<o)return this.logService.info(`Failed renaming ${c} to ${m} with 'EPERM' error. Trying again...`),this.rename(c,m,o);throw n}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const c=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(c.children){const m=[],o=[];for(const e of c.children){const i=this.parse(e.name);i&&o.push([i,e])}const n=(0,P.groupByExtension)(o,([e])=>e),r=[];for(const e of n)e.sort((i,s)=>b.rcompare(i[0].version,s[0].version)),m.push(...e.slice(1).map(i=>i[1].resource)),r.push(e[0][1]);r.sort((e,i)=>e.mtime-i.mtime),m.push(...r.slice(0,Math.max(0,r.length-this.cache)).map(e=>e.resource)),await L.Promises.settled(m.map(e=>(this.logService.trace("Deleting vsix from cache",e.path),this.fileService.del(e))))}}catch(c){this.logService.error(c)}}getName(c){return this.cache?`${new P.ExtensionIdentifierWithVersion(c.identifier,c.version).key().toLowerCase()}${c.properties.targetPlatform!=="undefined"?`-${c.properties.targetPlatform}`:""}`:(0,v.generateUuid)()}parse(c){const m=l.exec(c);return m&&m[1]&&m[2]?new P.ExtensionIdentifierWithVersion({id:m[1]},m[2]):null}};d=ve([ae(0,O.INativeEnvironmentService),ae(1,h.IFileService),ae(2,g.IExtensionGalleryService),ae(3,w.ILogService)],d),t.ExtensionsDownloader=d}),define(Q[109],Z([0,1,2,11,15,40]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsManifestCache=void 0;class C extends L.Disposable{constructor(u,v){super();this.environmentService=u,this.extensionsManifestCache=(0,D.join)(this.environmentService.userDataPath,R.MANIFEST_CACHE_FOLDER,R.USER_MANIFEST_CACHE_FILE),this._register(v.onDidInstallExtensions(I=>this.onDidInstallExtensions(I))),this._register(v.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtensions(u){u.some(v=>!!v.local)&&this.invalidate()}onDidUnInstallExtension(u){u.error||this.invalidate()}invalidate(){S.Promises.rm(this.extensionsManifestCache,S.RimRafMode.MOVE).then(()=>{},()=>{})}}t.ExtensionsManifestCache=C}),define(Q[110],Z([0,1,135,19,3,2,10,11,15,20,22,23,52,13]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.LocalizationsService=void 0;let h=class extends R.Disposable{constructor(d,y,c){super();this.extensionManagementService=d,this.logService=c,this.cache=this._register(new w(y,c)),this.extensionManagementService.registerParticipant({postInstall:async m=>this.postInstallExtension(m),postUninstall:async m=>this.postUninstallExtension(m)})}async getLanguageIds(){const d=await this.cache.getLanguagePacks(),y=["en",...Object.keys(d)];return(0,D.distinct)(y)}async postInstallExtension(d){d&&d.manifest&&d.manifest.contributes&&d.manifest.contributes.localizations&&d.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",d.identifier.id),await this.update())}async postUninstallExtension(d){const y=await this.cache.getLanguagePacks();Object.keys(y).some(c=>y[c]&&y[c].extensions.some(m=>(0,O.areSameExtensions)(m.extensionIdentifier,d.identifier)))&&(this.logService.info("Removing language packs from the extension",d.identifier.id),await this.update())}async update(){const[d,y]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),c=await this.cache.update(y);return!(0,D.equals)(Object.keys(d),Object.keys(c))}};h=ve([ae(0,I.IExtensionManagementService),ae(1,v.INativeEnvironmentService),ae(2,P.ILogService)],h),t.LocalizationsService=h;let w=class extends R.Disposable{constructor(d,y){super();this.logService=y,this.languagePacks={},this.languagePacksFilePath=(0,b.join)(d.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new S.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(d){return this.withLanguagePacks(y=>{Object.keys(y).forEach(c=>delete y[c]),this.createLanguagePacksFromExtensions(y,...d)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(d,...y){for(const c of y)c&&c.manifest&&c.manifest.contributes&&c.manifest.contributes.localizations&&c.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(d,c);Object.keys(d).forEach(c=>this.updateHash(d[c]))}createLanguagePacksFromExtension(d,y){const c=y.identifier,m=y.manifest.contributes&&y.manifest.contributes.localizations?y.manifest.contributes.localizations:[];for(const o of m)if(y.location.scheme===C.Schemas.file&&(0,g.isValidLocalization)(o)){let n=d[o.languageId];n||(n={hash:"",extensions:[],translations:{}},d[o.languageId]=n);let r=n.extensions.filter(e=>(0,O.areSameExtensions)(e.extensionIdentifier,c))[0];r?r.version=y.manifest.version:n.extensions.push({extensionIdentifier:c,version:y.manifest.version});for(const e of o.translations)n.translations[e.id]=(0,b.join)(y.location.fsPath,e.path)}}updateHash(d){if(d){const y=(0,L.createHash)("md5");for(const c of d.extensions)y.update(c.extensionIdentifier.uuid||c.extensionIdentifier.id).update(c.version);d.hash=y.digest("hex")}}withLanguagePacks(d=()=>null){return this.languagePacksFileLimiter.queue(()=>{let y=null;return u.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,c=>c.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(c)).then(c=>{try{return JSON.parse(c)}catch{return{}}}).then(c=>(y=d(c),c)).then(c=>{for(const o of Object.keys(c))c[o]||delete c[o];this.languagePacks=c,this.initializedCache=!0;const m=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",m),u.Promises.writeFile(this.languagePacksFilePath,m)}).then(()=>y,c=>this.logService.error(c))})}};w=ve([ae(0,v.INativeEnvironmentService),ae(1,P.ILogService)],w)}),define(Q[42],Z([0,1,17,84,34,12,30]),function(x,t,L,D,S,R,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.updateProxyConfigurationsScope=t.asJson=t.asText=t.isSuccess=t.IRequestService=void 0,t.IRequestService=(0,R.createDecorator)("requestService");function b(h){return h.res.statusCode&&h.res.statusCode>=200&&h.res.statusCode<300||h.res.statusCode===1223}t.isSuccess=b;function u(h){return h.res.statusCode===204}async function v(h){if(!b(h))throw new Error("Server returned "+h.res.statusCode);return u(h)?null:(await(0,L.streamToBuffer)(h.stream)).toString()}t.asText=v;async function I(h){if(!b(h))throw new Error("Server returned "+h.res.statusCode);if(u(h))return null;const l=(await(0,L.streamToBuffer)(h.stream)).toString();try{return JSON.parse(l)}catch(d){throw d.message+=`:
`+l,d}}t.asJson=I;function O(h){P(h)}t.updateProxyConfigurationsScope=O;let g;function P(h){const w=C.Registry.as(S.Extensions.Configuration),l=g;g={id:"http",order:15,title:(0,D.localize)(0,null),type:"object",scope:h,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,D.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,D.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,D.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,D.localize)(4,null),(0,D.localize)(5,null),(0,D.localize)(6,null),(0,D.localize)(7,null)],default:"override",description:(0,D.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,D.localize)(9,null),restricted:!0}}},w.updateConfigurations({add:[g],remove:l?[l]:[]})}P(2)}),define(Q[111],Z([0,1,24,10,16,42]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.DownloadService=void 0;let C=class{constructor(u,v){this.requestService=u,this.fileService=v}async download(u,v,I=L.CancellationToken.None){if(u.scheme===D.Schemas.file||u.scheme===D.Schemas.vscodeRemote){await this.fileService.copy(u,v);return}const O={type:"GET",url:u.toString()},g=await this.requestService.request(O,I);if(g.res.statusCode===200)await this.fileService.writeFile(v,g.stream);else{const P=await(0,R.asText)(g);throw new Error(`Expected 200, got back ${g.res.statusCode} instead.

${P}`)}}};C=ve([ae(0,R.IRequestService),ae(1,S.IFileService)],C),t.DownloadService=C}),define(Q[112],Z([0,1,113,7]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getProxyAgent=void 0;function S(C,b){return C.protocol==="http:"?b.HTTP_PROXY||b.http_proxy||null:C.protocol==="https:"&&(b.HTTPS_PROXY||b.https_proxy||b.HTTP_PROXY||b.http_proxy)||null}async function R(C,b,u={}){const v=(0,L.parse)(C),I=u.proxyUrl||S(v,b);if(!I)return null;const O=(0,L.parse)(I);if(!/^https?:$/.test(O.protocol||""))return null;const g={host:O.hostname||"",port:O.port||(O.protocol==="https"?"443":"80"),auth:O.auth,rejectUnauthorized:(0,D.isBoolean)(u.strictSSL)?u.strictSSL:!0};return v.protocol==="http:"?new(await new Promise((P,h)=>{x(["http-proxy-agent"],P,h)}))(g):new(await new Promise((P,h)=>{x(["https-proxy-agent"],P,h)}))(g)}t.getProxyAgent=R}),define(Q[114],Z([0,1,17,27]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getServiceMachineId=void 0;async function S(R,C,b){let u=b&&b.get("storage.serviceMachineId",0)||null;if(u)return u;try{const I=(await C.readFile(R.serviceMachineIdResource)).value.toString();u=(0,D.isUUID)(I)?I:null}catch{u=null}if(!u){u=(0,D.generateUuid)();try{await C.writeFile(R.serviceMachineIdResource,L.VSBuffer.fromString(u))}catch{}}return b&&b.store("storage.serviceMachineId",u,0,1),u}t.getServiceMachineId=S}),define(Q[115],Z([0,1,3,8,2,99,7,64,12]),function(x,t,L,D,S,R,C,b,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.logStorage=t.InMemoryStorageService=t.AbstractStorageService=t.StorageTarget=t.StorageScope=t.WillSaveStateReason=t.IStorageService=t.IS_NEW_KEY=void 0,t.IS_NEW_KEY="__$__isNewStorageMarker";const v="__$__targetStorageMarker";t.IStorageService=(0,u.createDecorator)("storageService");var I;(function(l){l[l.NONE=0]="NONE",l[l.SHUTDOWN=1]="SHUTDOWN"})(I=t.WillSaveStateReason||(t.WillSaveStateReason={}));var O;(function(l){l[l.GLOBAL=0]="GLOBAL",l[l.WORKSPACE=1]="WORKSPACE"})(O=t.StorageScope||(t.StorageScope={}));var g;(function(l){l[l.USER=0]="USER",l[l.MACHINE=1]="MACHINE"})(g=t.StorageTarget||(t.StorageTarget={}));class P extends S.Disposable{constructor(d={flushInterval:P.DEFAULT_FLUSH_INTERVAL}){super();this.options=d,this._onDidChangeValue=this._register(new D.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new D.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new D.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new L.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new S.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,L.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,S.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,R.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,R.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(d,y){y===v?(d===0?this._globalKeyTargets=void 0:d===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:d})):this._onDidChangeValue.fire({scope:d,key:y,target:this.getKeyTargets(d)[y]})}emitWillSaveState(d){this._onWillSaveState.fire({reason:d})}get(d,y,c){return this.getStorage(y)?.get(d,c)}getBoolean(d,y,c){return this.getStorage(y)?.getBoolean(d,c)}getNumber(d,y,c){return this.getStorage(y)?.getNumber(d,c)}store(d,y,c,m){if((0,C.isUndefinedOrNull)(y)){this.remove(d,c);return}this.withPausedEmitters(()=>{this.updateKeyTarget(d,c,m),this.getStorage(c)?.set(d,y)})}remove(d,y){this.withPausedEmitters(()=>{this.updateKeyTarget(d,y,void 0),this.getStorage(y)?.delete(d)})}withPausedEmitters(d){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{d()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(d,y){const c=[],m=this.getKeyTargets(d);for(const o of Object.keys(m))m[o]===y&&c.push(o);return c}updateKeyTarget(d,y,c){const m=this.getKeyTargets(y);typeof c=="number"?m[d]!==c&&(m[d]=c,this.getStorage(y)?.set(v,JSON.stringify(m))):typeof m[d]=="number"&&(delete m[d],this.getStorage(y)?.set(v,JSON.stringify(m)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(d){return d===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(d){const y=this.get(v,d);if(y)try{return JSON.parse(y)}catch{}return Object.create(null)}isNew(d){return this.getBoolean(t.IS_NEW_KEY,d)===!0}async flush(d=I.NONE){this._onWillSaveState.fire({reason:d});const y=this.getStorage(0),c=this.getStorage(1);switch(d){case I.NONE:await L.Promises.settled([y?.whenFlushed()??Promise.resolve(),c?.whenFlushed()??Promise.resolve()]);break;case I.SHUTDOWN:await L.Promises.settled([y?.flush(0)??Promise.resolve(),c?.flush(0)??Promise.resolve()]);break}}async logStorage(){const d=this.getStorage(0)?.items??new Map,y=this.getStorage(1)?.items??new Map;return w(d,y,this.getLogDetails(0)??"",this.getLogDetails(1)??"")}}t.AbstractStorageService=P,P.DEFAULT_FLUSH_INTERVAL=60*1e3;class h extends P{constructor(){super();this.globalStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new b.Storage(new b.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(d=>this.emitDidChangeValue(1,d))),this._register(this.globalStorage.onDidChangeStorage(d=>this.emitDidChangeValue(0,d)))}getStorage(d){return d===0?this.globalStorage:this.workspaceStorage}getLogDetails(d){return d===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(d){}}t.InMemoryStorageService=h;async function w(l,d,y,c){const m=a=>{try{return JSON.parse(a)}catch{return a}},o=new Map,n=new Map;l.forEach((a,f)=>{o.set(f,a),n.set(f,m(a))});const r=new Map,e=new Map;d.forEach((a,f)=>{r.set(f,a),e.set(f,m(a))}),console.group(`Storage: Global (path: ${y})`);let i=[];o.forEach((a,f)=>{i.push({key:f,value:a})}),console.table(i),console.groupEnd(),console.log(n),console.group(`Storage: Workspace (path: ${c})`);let s=[];r.forEach((a,f)=>{s.push({key:f,value:a})}),console.table(s),console.groupEnd(),console.log(e)}t.logStorage=w}),define(Q[116],Z([0,1,14,29,9,27]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.verifyMicrosoftInternalDomain=t.resolveCommonProperties=void 0;function C(v){if(L.platform===2&&/^penguin(\.|$)/i.test(v))return"chromebook"}async function b(v,I,O,g,P,h,w,l,d,y){const c=Object.create(null);c["common.machineId"]=w,c.sessionID=(0,R.generateUuid)()+Date.now(),c.commitHash=P,c.version=h,c["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),c["common.platform"]=(0,L.PlatformToString)(L.platform),c["common.nodePlatform"]=D.platform,c["common.nodeArch"]=g,c["common.product"]=y||"desktop";const m=u(l||[]);m&&(c["common.msftInternal"]=m);let o=0;const n=Date.now();Object.defineProperties(c,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>o++,enumerable:!0}}),L.isLinuxSnap&&(c["common.snap"]="true");const r=C(O);r&&(c["common.platformDetail"]=r);try{const e=await v.readFile(S.URI.file(d));c["common.source"]=e.value.toString().slice(0,30)}catch{}return c}t.resolveCommonProperties=b;function u(v){const I=D.env.USERDNSDOMAIN;if(!I)return!1;const O=I.toLowerCase();return v.some(g=>O===g)}t.verifyMicrosoftInternalDomain=u}),define(Q[31],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TelemetryConfiguration=t.TelemetryLevel=t.TELEMETRY_OLD_SETTING_ID=t.TELEMETRY_SETTING_ID=t.TELEMETRY_SECTION_ID=t.machineIdKey=t.lastSessionDateStorageKey=t.firstSessionDateStorageKey=t.currentSessionDateStorageKey=t.ICustomEndpointTelemetryService=t.ITelemetryService=void 0,t.ITelemetryService=(0,L.createDecorator)("telemetryService"),t.ICustomEndpointTelemetryService=(0,L.createDecorator)("customEndpointTelemetryService"),t.currentSessionDateStorageKey="telemetry.currentSessionDate",t.firstSessionDateStorageKey="telemetry.firstSessionDate",t.lastSessionDateStorageKey="telemetry.lastSessionDate",t.machineIdKey="telemetry.machineId",t.TELEMETRY_SECTION_ID="telemetry",t.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",t.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var D;(function(R){R[R.NONE=0]="NONE",R[R.CRASH=1]="CRASH",R[R.ERROR=2]="ERROR",R[R.USAGE=3]="USAGE"})(D=t.TelemetryLevel||(t.TelemetryLevel={}));var S;(function(R){R.OFF="off",R.CRASH="crash",R.ERROR="error",R.ON="all"})(S=t.TelemetryConfiguration||(t.TelemetryConfiguration={}))}),define(Q[117],Z([0,1,19,3,24,6,8,2,14,7,9,74,22,23,13,32,31]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AbstractExtensionTask=t.reportTelemetry=t.joinErrors=t.AbstractExtensionManagementService=void 0;let d=class extends b.Disposable{constructor(r,e,i,s){super();this.galleryService=r,this.telemetryService=e,this.logService=i,this.productService=s,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new C.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new C.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new C.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new C.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,b.toDisposable)(()=>{this.installingExtensions.forEach(a=>a.cancel()),this.uninstallingExtensions.forEach(a=>a.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(r){const e=await this.getTargetPlatform();return r.allTargetPlatforms.some(i=>(0,g.isTargetPlatformCompatible)(i,r.allTargetPlatforms,e))}async installFromGallery(r,e={}){try{if(!this.galleryService.isEnabled())throw new g.ExtensionManagementError(O.localize(0,null),g.ExtensionManagementErrorCode.Internal);const i=await this.checkAndGetCompatibleVersion(r,!e.installGivenVersion,!!e.installPreReleaseVersion);return await this.installExtension(i.manifest,i.extension,e)}catch(i){throw m(this.telemetryService,"extensionGallery:install",(0,P.getGalleryExtensionTelemetryData)(r),void 0,i),this.logService.error("Failed to install extension.",r.identifier.id),this.logService.error(i),c(i)}}async migrateUnsupportedExtensions(){try{const r=await this.getExtensionsControlManifest();if(!r.unsupportedPreReleaseExtensions)return;const e=await this.getInstalled(1);for(const[i,s]of Object.entries(r.unsupportedPreReleaseExtensions)){const a=e.find(E=>(0,P.areSameExtensions)(E.identifier,{id:i}));if(!a)continue;const f=await this.galleryService.getCompatibleExtension({id:s.id},!0,await this.getTargetPlatform());if(!f){this.logService.info(`Skipping migrating '${a.identifier.id}' extension because, the comaptible target '${s.id}' extension is not found`);continue}const p=await this.galleryService.getManifest(f,S.CancellationToken.None);if(!p){this.logService.info(`Skipping migrating '${a.identifier.id}' extension because, the manifest for '${s.id}' extension is not found`);continue}try{this.logService.info(`Migrating '${a.identifier.id}' extension to '${s.id}' extension...`),await Promise.allSettled([this.uninstall(a),this.installExtension(p,f,{installPreReleaseVersion:!0,isMachineScoped:a.isMachineScoped,operation:4})]),this.logService.info(`Migrated '${a.identifier.id}' extension to '${s.id}' extension.`)}catch(E){this.logService.error(E)}}}catch(r){this.logService.error(r)}}async uninstall(r,e={}){return this.logService.trace("ExtensionManagementService#uninstall",r.identifier.id),this.unininstallExtension(r,e)}async reinstallFromGallery(r){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",r.identifier.id),!this.galleryService.isEnabled())throw new Error(O.localize(1,null));const e=await this.findGalleryExtension(r);if(!e)throw new Error(O.localize(2,null));await this.createUninstallExtensionTask(r,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(e)}getExtensionsControlManifest(){const r=new Date().getTime();return(!this.extensionsControlManifest||r-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=r),this.extensionsControlManifest}registerParticipant(r){this.participants.push(r)}async installExtension(r,e,i){if(!I.URI.isUri(e)){let E=this.installingExtensions.get(new P.ExtensionIdentifierWithVersion(e.identifier,e.version).key());if(E)return this.logService.info("Extensions is already requested to install",e.identifier.id),E.waitUntilTaskIsFinished();i={...i,installOnlyNewlyAddedFromExtensionPack:!0}}const s=[],a=[],f=this.createInstallExtensionTask(r,e,i);I.URI.isUri(e)||this.installingExtensions.set(new P.ExtensionIdentifierWithVersion(f.identifier,r.version).key(),f),this._onInstallExtension.fire({identifier:f.identifier,source:e}),this.logService.info("Installing extension:",f.identifier.id),s.push({task:f,manifest:r});let p=!1;try{if(i.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",f.identifier.id);else try{const T=await this.getAllDepsAndPackExtensionsToInstall(f.identifier,r,!!i.installOnlyNewlyAddedFromExtensionPack,!!i.installPreReleaseVersion);for(const{gallery:F,manifest:B}of T)if(p=p||!!B.extensionDependencies?.some(J=>(0,P.areSameExtensions)({id:J},f.identifier)),this.installingExtensions.has(new P.ExtensionIdentifierWithVersion(F.identifier,F.version).key()))this.logService.info("Extension is already requested to install",F.identifier.id);else{const J=this.createInstallExtensionTask(B,F,{...i,donotIncludePackAndDependencies:!0});this.installingExtensions.set(new P.ExtensionIdentifierWithVersion(J.identifier,B.version).key(),J),this._onInstallExtension.fire({identifier:J.identifier,source:F}),this.logService.info("Installing extension:",J.identifier.id),s.push({task:J,manifest:B})}}catch(T){if(I.URI.isUri(f.source))(0,L.isNonEmptyArray)(r.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",f.identifier.id,T.message),(0,L.isNonEmptyArray)(r.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",f.identifier.id,T.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",f.identifier.id),T}const E=s.reduce((T,{task:F,manifest:B})=>(T.set(F.identifier.id.toLowerCase(),{task:F,manifest:B}),T),new Map);for(;E.size;){let T;const F=[...E.values()].filter(({manifest:B})=>!B.extensionDependencies?.some(J=>E.has(J.toLowerCase())));F.length?T=E.size===1?F:F.filter(({task:B})=>!(B===f&&!p)):(this.logService.info("Found extensions with circular dependencies",F.map(({task:B})=>B.identifier.id)),T=[...E.values()]),await this.joinAllSettled(T.map(async({task:B})=>{const J=new Date().getTime(),se=(0,v.isUndefined)(i.operation)?B.operation:i.operation;try{const ie=await B.run();if(await this.joinAllSettled(this.participants.map(te=>te.postInstall(ie,B.source,i,S.CancellationToken.None))),!I.URI.isUri(B.source)&&(m(this.telemetryService,se===3?"extensionGallery:update":"extensionGallery:install",(0,P.getGalleryExtensionTelemetryData)(B.source),new Date().getTime()-J,void 0),u.isWeb&&se!==3))try{await this.galleryService.reportStatistic(ie.manifest.publisher,ie.manifest.name,ie.manifest.version,"install")}catch{}a.push({local:ie,identifier:B.identifier,operation:se,source:B.source})}catch(ie){throw I.URI.isUri(B.source)||m(this.telemetryService,se===3?"extensionGallery:update":"extensionGallery:install",(0,P.getGalleryExtensionTelemetryData)(B.source),new Date().getTime()-J,ie),this.logService.error("Error while installing the extension:",B.identifier.id),ie}finally{E.delete(B.identifier.id.toLowerCase())}}))}return a.forEach(({identifier:T})=>this.logService.info("Extension installed successfully:",T.id)),this._onDidInstallExtensions.fire(a),a.filter(({identifier:T})=>(0,P.areSameExtensions)(T,f.identifier))[0].local}catch(E){if(s.forEach(({task:T})=>T.cancel()),a.length)try{const T=await Promise.allSettled(a.map(({local:F})=>this.createUninstallExtensionTask(F,{versionOnly:!0}).run()));for(let F=0;F<T.length;F++){const B=T[F],{identifier:J}=a[F];B.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",J.id):this.logService.warn("Rollback: Error while uninstalling extension",J.id,(0,R.getErrorMessage)(B.reason))}}catch(T){this.logService.warn("Error while rolling back extensions",(0,R.getErrorMessage)(T),a.map(({identifier:F})=>F.id))}throw this._onDidInstallExtensions.fire(s.map(({task:T})=>({identifier:T.identifier,operation:2,source:T.source}))),E}finally{for(const{task:E,manifest:T}of s)if(!I.URI.isUri(E.source)){const F=new P.ExtensionIdentifierWithVersion(E.identifier,T.version).key();this.installingExtensions.delete(F)||this.logService.warn("Installation task is not found in the cache",F)}}}async joinAllSettled(r){const e=[],i=[],s=await Promise.allSettled(r);for(const a of s)a.status==="fulfilled"?e.push(a.value):i.push(a.reason);if(i.length)throw y(i);return e}async getAllDepsAndPackExtensionsToInstall(r,e,i,s){if(!this.galleryService.isEnabled())return[];let a=await this.getInstalled();const f=[r,...a.map(T=>T.identifier)],p=[],E=async(T,F)=>{const B=F.extensionDependencies||[],J=[...B];if(F.extensionPack){const se=i?a.find(ie=>(0,P.areSameExtensions)(ie.identifier,T)):void 0;for(const ie of F.extensionPack)se&&se.manifest.extensionPack&&se.manifest.extensionPack.some(te=>(0,P.areSameExtensions)({id:te},{id:ie}))||J.every(te=>!(0,P.areSameExtensions)({id:te},{id:ie}))&&J.push(ie)}if(J.length){const se=[...f,...p.map(te=>te.gallery.identifier)],ie=J.filter(te=>se.every(ge=>!(0,P.areSameExtensions)(ge,{id:te})));if(ie.length){const te=await this.galleryService.query({names:ie,pageSize:J.length},S.CancellationToken.None);for(const ge of te.firstPage){if(se.find(re=>(0,P.areSameExtensions)(re,ge.identifier)))continue;const W=B.some(re=>(0,P.areSameExtensions)({id:re},ge.identifier));let $;try{$=await this.checkAndGetCompatibleVersion(ge,!0,s)}catch(re){if(re instanceof g.ExtensionManagementError&&re.code===g.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!W){this.logService.info("Skipping the packed extension as it cannot be installed",ge.identifier.id);continue}else throw re}p.push({gallery:$.extension,manifest:$.manifest}),await E($.extension.identifier,F)}}}};return await E(r,e),a=await this.getInstalled(),p.filter(T=>!a.some(F=>(0,P.areSameExtensions)(F.identifier,T.gallery.identifier)))}async checkAndGetCompatibleVersion(r,e,i){const s=await this.getExtensionsControlManifest();if((0,P.getMaliciousExtensionsSet)(s).has(r.identifier.id))throw new g.ExtensionManagementError(O.localize(3,null,r.identifier.id),g.ExtensionManagementErrorCode.Malicious);if(!!s.unsupportedPreReleaseExtensions&&!!s.unsupportedPreReleaseExtensions[r.identifier.id])throw new g.ExtensionManagementError(O.localize(4,null,r.identifier.id,s.unsupportedPreReleaseExtensions[r.identifier.id].displayName),g.ExtensionManagementErrorCode.UnsupportedPreRelease);if(!await this.canInstall(r)){const p=await this.getTargetPlatform();throw new g.ExtensionManagementError(O.localize(5,null,r.identifier.id,this.productService.nameLong,(0,g.TargetPlatformToString)(p)),g.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const a=await this.getCompatibleVersion(r,e,i);if(a){if(i&&r.hasPreReleaseVersion&&!a.properties.isPreReleaseVersion)throw new g.ExtensionManagementError(O.localize(6,null,r.identifier.id,this.productService.nameLong,this.productService.version),g.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw new g.ExtensionManagementError(O.localize(7,null,r.identifier.id,this.productService.nameLong,this.productService.version),g.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",a.identifier.id);const f=await this.galleryService.getManifest(a,S.CancellationToken.None);if(f===null)throw new g.ExtensionManagementError(`Missing manifest for extension ${r.identifier.id}`,g.ExtensionManagementErrorCode.Invalid);if(f.version!==a.version)throw new g.ExtensionManagementError(`Cannot install '${r.identifier.id}' extension because of version mismatch in Marketplace`,g.ExtensionManagementErrorCode.Invalid);return{extension:a,manifest:f}}async getCompatibleVersion(r,e,i){const s=await this.getTargetPlatform();let a=null;return e&&r.hasPreReleaseVersion&&r.properties.isPreReleaseVersion!==i&&(a=await this.galleryService.getCompatibleExtension(r.identifier,i,s)),!a&&await this.galleryService.isExtensionCompatible(r,i,s)&&(a=r),!a&&e&&(a=await this.galleryService.getCompatibleExtension(r,i,s)),a}async unininstallExtension(r,e){const i=this.uninstallingExtensions.get(r.identifier.id.toLowerCase());if(i)return this.logService.info("Extensions is already requested to uninstall",r.identifier.id),i.waitUntilTaskIsFinished();const s=(E,T)=>{const F=this.createUninstallExtensionTask(E,T);return this.uninstallingExtensions.set(F.extension.identifier.id.toLowerCase(),F),this.logService.info("Uninstalling extension:",E.identifier.id),this._onUninstallExtension.fire(E.identifier),F},a=(E,T)=>{T?this.logService.error("Failed to uninstall extension:",E.identifier.id,T.message):this.logService.info("Successfully uninstalled extension:",E.identifier.id),m(this.telemetryService,"extensionGallery:uninstall",(0,P.getLocalExtensionTelemetryData)(E),void 0,T),this._onDidUninstallExtension.fire({identifier:E.identifier,error:T?.code})},f=[],p=[];try{f.push(s(r,{}));const E=await this.getInstalled(1);if(e.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",r.identifier.id);else{const T=this.getAllPackExtensionsToUninstall(r,E);for(const F of T)this.uninstallingExtensions.has(F.identifier.id.toLowerCase())?this.logService.info("Extensions is already requested to uninstall",F.identifier.id):f.push(s(F,{}))}e.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",r.identifier.id):this.checkForDependents(f.map(T=>T.extension),E,r),await this.joinAllSettled(f.map(async T=>{try{if(await T.run(),await this.joinAllSettled(this.participants.map(F=>F.postUninstall(T.extension,e,S.CancellationToken.None))),T.extension.identifier.uuid)try{await this.galleryService.reportStatistic(T.extension.manifest.publisher,T.extension.manifest.name,T.extension.manifest.version,"uninstall")}catch{}a(T.extension)}catch(F){const B=F instanceof g.ExtensionManagementError?F:new g.ExtensionManagementError((0,R.getErrorMessage)(F),g.ExtensionManagementErrorCode.Internal);throw a(T.extension,B),B}finally{p.push(T)}}))}catch(E){const T=E instanceof g.ExtensionManagementError?E:new g.ExtensionManagementError((0,R.getErrorMessage)(E),g.ExtensionManagementErrorCode.Internal);for(const F of f){try{F.cancel()}catch{}p.includes(F)||a(F.extension,T)}throw T}finally{for(const E of f)this.uninstallingExtensions.delete(E.extension.identifier.id.toLowerCase())||this.logService.warn("Uninstallation task is not found in the cache",E.extension.identifier.id)}}checkForDependents(r,e,i){for(const s of r){const a=this.getDependents(s,e);if(a.length){const f=a.filter(p=>!r.some(E=>(0,P.areSameExtensions)(E.identifier,p.identifier)));if(f.length)throw new Error(this.getDependentsErrorMessage(s,f,i))}}}getDependentsErrorMessage(r,e,i){return i===r?e.length===1?O.localize(8,null,i.manifest.displayName||i.manifest.name,e[0].manifest.displayName||e[0].manifest.name):e.length===2?O.localize(9,null,i.manifest.displayName||i.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):O.localize(10,null,i.manifest.displayName||i.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):e.length===1?O.localize(11,null,i.manifest.displayName||i.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name):e.length===2?O.localize(12,null,i.manifest.displayName||i.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name):O.localize(13,null,i.manifest.displayName||i.manifest.name,r.manifest.displayName||r.manifest.name,e[0].manifest.displayName||e[0].manifest.name,e[1].manifest.displayName||e[1].manifest.name)}getAllPackExtensionsToUninstall(r,e,i=[]){if(i.indexOf(r)!==-1)return[];i.push(r);const s=r.manifest.extensionPack?r.manifest.extensionPack:[];if(s.length){const a=e.filter(p=>!p.isBuiltin&&s.some(E=>(0,P.areSameExtensions)({id:E},p.identifier))),f=[];for(const p of a)f.push(...this.getAllPackExtensionsToUninstall(p,e,i));return[...a,...f]}return[]}getDependents(r,e){return e.filter(i=>i.manifest.extensionDependencies&&i.manifest.extensionDependencies.some(s=>(0,P.areSameExtensions)({id:s},r.identifier)))}async findGalleryExtension(r){if(r.identifier.uuid){const e=await this.findGalleryExtensionById(r.identifier.uuid);return e||this.findGalleryExtensionByName(r.identifier.id)}return this.findGalleryExtensionByName(r.identifier.id)}async findGalleryExtensionById(r){return(await this.galleryService.query({ids:[r],pageSize:1},S.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName(r){return(await this.galleryService.query({names:[r],pageSize:1},S.CancellationToken.None)).firstPage[0]}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const r=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",r),r}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[]}}}};d=ve([ae(0,g.IExtensionGalleryService),ae(1,l.ITelemetryService),ae(2,h.ILogService),ae(3,w.IProductService)],d),t.AbstractExtensionManagementService=d;function y(n){const r=Array.isArray(n)?n:[n];return r.length===1?r[0]instanceof Error?r[0]:new Error(r[0]):r.reduce((e,i)=>new Error(`${e.message}${e.message?",":""}${i instanceof Error?i.message:i}`),new Error(""))}t.joinErrors=y;function c(n){if(n instanceof g.ExtensionManagementError)return n;const r=new g.ExtensionManagementError(n.message,g.ExtensionManagementErrorCode.Internal);return r.stack=n.stack,r}function m(n,r,e,i,s){const a=s?s instanceof g.ExtensionManagementError?s.code:g.ExtensionManagementErrorCode.Internal:void 0;n.publicLogError(r,{...e,success:!s,duration:i,errorcode:a})}t.reportTelemetry=m;class o{constructor(){this.barrier=new D.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(r=>this.doRun(r))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(r=>new Promise((e,i)=>{const s=r.onCancellationRequested(()=>{s.dispose(),i((0,R.canceled)())})})),this.barrier.open()),this.cancellablePromise.cancel()}}t.AbstractExtensionTask=o}),define(Q[35],Z([0,1,21,7,25,31]),function(x,t,L,D,S,R){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.cleanRemoteAuthority=t.validateTelemetryData=t.getTelemetryLevel=t.supportsTelemetry=t.configurationTelemetry=t.NullAppender=t.NullEndpointTelemetryService=t.NullTelemetryService=t.NullTelemetryServiceShape=void 0;class C{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=0}publicLog(d,y){return Promise.resolve(void 0)}publicLog2(d,y){return this.publicLog(d,y)}publicLogError(d,y){return Promise.resolve(void 0)}publicLogError2(d,y){return this.publicLogError(d,y)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}t.NullTelemetryServiceShape=C,t.NullTelemetryService=new C;class b{async publicLog(d,y,c){}async publicLogError(d,y,c){}}t.NullEndpointTelemetryService=b,t.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function u(l,d){return d.onDidChangeConfiguration(y=>{y.source!==6&&l.publicLog2("updateConfiguration",{configurationSource:(0,S.ConfigurationTargetToString)(y.source),configurationKeys:h(y.sourceConfig)})})}t.configurationTelemetry=u;function v(l,d){return!(d.disableTelemetry||!l.enableTelemetry)}t.supportsTelemetry=v;function I(l){const d=l.getValue(R.TELEMETRY_SETTING_ID),y=l.getValue("telemetry.enableCrashReporter");if(l.getValue(R.TELEMETRY_OLD_SETTING_ID)===!1||y===!1)return 0;switch(d??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}t.getTelemetryLevel=I;function O(l){const d=Object.create(null),y=Object.create(null),c=Object.create(null);P(l,c);for(let m in c){m=m.length>150?m.substr(m.length-149):m;const o=c[m];typeof o=="number"?y[m]=o:typeof o=="boolean"?y[m]=o?1:0:typeof o=="string"?(o.length>8192&&console.warn(`Telemetry property: ${m} has been trimmed to 8192, the original length is ${o.length}`),d[m]=o.substring(0,8191)):typeof o!="undefined"&&o!==null&&(d[m]=o)}return{properties:d,measurements:y}}t.validateTelemetryData=O;function g(l){if(!l)return"none";let d="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(c=>{l.indexOf(`${c}+`)===0&&(d=c)}),d}t.cleanRemoteAuthority=g;function P(l,d,y=0,c){if(!!l)for(let m of Object.getOwnPropertyNames(l)){const o=l[m],n=c?c+m:m;Array.isArray(o)?d[n]=(0,L.safeStringify)(o):o instanceof Date?d[n]=o.toISOString():(0,D.isObject)(o)?y<2?P(o,d,y+1,n+"."):d[n]=(0,L.safeStringify)(o):d[n]=o}}function h(l){if(!l)return[];const d=[];return w(d,"",l),d}function w(l,d,y){y&&typeof y=="object"&&!Array.isArray(y)?Object.keys(y).forEach(c=>w(l,d?`${d}.${c}`:c,y[c])):l.push(d)}}),define(Q[118],Z([0,1,19,24,6,21,14,29,7,9,25,20,22,23,48,16,13,32,42,114,115,31,35]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y,c,m,o,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.resolveMarketplaceHeaders=t.ExtensionGalleryServiceWithNoStorageService=t.ExtensionGalleryService=t.sortExtensionVersions=void 0;const r=C.isWeb?"web":(0,g.getTargetPlatform)(C.platform,b.arch);var e;(function(U){U[U.None=0]="None",U[U.IncludeVersions=1]="IncludeVersions",U[U.IncludeFiles=2]="IncludeFiles",U[U.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",U[U.IncludeSharedAccounts=8]="IncludeSharedAccounts",U[U.IncludeVersionProperties=16]="IncludeVersionProperties",U[U.ExcludeNonValidated=32]="ExcludeNonValidated",U[U.IncludeInstallationTargets=64]="IncludeInstallationTargets",U[U.IncludeAssetUri=128]="IncludeAssetUri",U[U.IncludeStatistics=256]="IncludeStatistics",U[U.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",U[U.Unpublished=4096]="Unpublished"})(e||(e={}));function i(...U){return String(U.reduce((N,_)=>N|_,0))}var s;(function(U){U[U.Tag=1]="Tag",U[U.ExtensionId=4]="ExtensionId",U[U.Category=5]="Category",U[U.ExtensionName=7]="ExtensionName",U[U.Target=8]="Target",U[U.Featured=9]="Featured",U[U.SearchText=10]="SearchText",U[U.ExcludeWithFlags=12]="ExcludeWithFlags"})(s||(s={}));const a={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},f={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},E={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:e.None,criteria:[],assetTypes:[]};class T{constructor(N=E){this.state=N}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(N,_=this.state.pageSize){return new T({...this.state,pageNumber:N,pageSize:_})}withFilter(N,..._){const z=[...this.state.criteria,..._.length?_.map(X=>({filterType:N,value:X})):[{filterType:N}]];return new T({...this.state,criteria:z})}withSortBy(N){return new T({...this.state,sortBy:N})}withSortOrder(N){return new T({...this.state,sortOrder:N})}withFlags(...N){return new T({...this.state,flags:N.reduce((_,z)=>_|z,0)})}withAssetTypes(...N){return new T({...this.state,assetTypes:N})}get raw(){const{criteria:N,pageNumber:_,pageSize:z,sortBy:X,sortOrder:Y,flags:he,assetTypes:ce}=this.state;return{filters:[{criteria:N,pageNumber:_,pageSize:z,sortBy:X,sortOrder:Y}],assetTypes:ce,flags:he}}get searchText(){const N=this.state.criteria.filter(_=>_.filterType===s.SearchText)[0];return N&&N.value?N.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(N=>String(N.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function F(U,N){const _=(U||[]).filter(z=>z.statisticName===N)[0];return _?_.value:0}function B(U){const N="Microsoft.VisualStudio.Code.Translation.";return U.files.filter(z=>z.assetType.indexOf(N)===0).reduce((z,X)=>{const Y=te(U,X.assetType);return Y&&z.push([X.assetType.substring(N.length),Y]),z},[])}function J(U){if(U.properties){const N=U.properties.filter(X=>X.key===a.Repository),_=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),z=N.filter(X=>_.test(X.value))[0];return z?{uri:z.value,fallbackUri:z.value}:null}return te(U,a.Repository)}function se(U){return{uri:`${U.fallbackAssetUri}/${a.VSIX}?redirect=true${U.targetPlatform?`&targetPlatform=${U.targetPlatform}`:""}`,fallbackUri:`${U.fallbackAssetUri}/${a.VSIX}${U.targetPlatform?`?targetPlatform=${U.targetPlatform}`:""}`}}function ie(U){const N=te(U,a.Icon);if(N)return N;const _=g.DefaultIconPath;return{uri:_,fallbackUri:_}}function te(U,N){return U.files.filter(z=>z.assetType===N)[0]?{uri:`${U.assetUri}/${N}${U.targetPlatform?`?targetPlatform=${U.targetPlatform}`:""}`,fallbackUri:`${U.fallbackAssetUri}/${N}${U.targetPlatform?`?targetPlatform=${U.targetPlatform}`:""}`}:null}function ge(U,N){const _=U.properties?U.properties.filter(X=>X.key===N):[],z=_.length>0&&_[0].value;return z?z.split(",").map(X=>(0,P.adoptToGalleryExtensionId)(X)):[]}function W(U){const N=U.properties?U.properties.filter(_=>_.key===f.Engine):[];return N.length>0&&N[0].value||""}function $(U){const N=U.properties?U.properties.filter(_=>_.key===f.PreRelease):[];return N.length>0&&N[0].value==="true"}function re(U){const N=U.properties?U.properties.filter(z=>z.key===f.LocalizedLanguages):[],_=N.length>0&&N[0].value||"";return _?_.split(","):[]}function M(U){return U.indexOf("preview")!==-1}function A(U){return U.targetPlatform?(0,g.toTargetPlatform)(U.targetPlatform):"undefined"}function j(U){const N=(0,L.distinct)(U.versions.map(A)),_=!!U.tags?.includes(g.WEB_EXTENSION_TAG),z=N.indexOf("web");return _?z===-1&&N.push("web"):z!==-1&&N.splice(z,1),N}function H(U,N){const _=(0,g.getFallbackTargetPlarforms)(N);for(let z=0;z<U.length;z++){const X=U[z];if(X.version===U[z-1]?.version){let Y=z;const he=A(X);if(he===N)for(;Y>0&&U[Y-1].version===X.version;)Y--;else if(_.includes(he))for(;Y>0&&U[Y-1].version===X.version&&A(U[Y-1])!==N;)Y--;Y!==z&&(U.splice(z,1),U.splice(Y,0,X))}}return U}t.sortExtensionVersions=H;function ne(U,N,_,z,X){const Y=U.versions[0],he={manifest:te(N,a.Manifest),readme:te(N,a.Details),changelog:te(N,a.Changelog),license:te(N,a.License),repository:J(N),download:se(N),icon:ie(N),coreTranslations:B(N)};return{identifier:{id:(0,P.getGalleryExtensionId)(U.publisher.publisherName,U.extensionName),uuid:U.extensionId},name:U.extensionName,version:N.version,displayName:U.displayName,publisherId:U.publisher.publisherId,publisher:U.publisher.publisherName,publisherDisplayName:U.publisher.displayName,publisherDomain:U.publisher.domain?{link:U.publisher.domain,verified:!!U.publisher.isDomainVerified}:void 0,description:U.shortDescription||"",installCount:F(U.statistics,"install"),rating:F(U.statistics,"averagerating"),ratingCount:F(U.statistics,"ratingcount"),categories:U.categories||[],tags:U.tags||[],releaseDate:Date.parse(U.releaseDate),lastUpdated:Date.parse(U.lastUpdated),allTargetPlatforms:_,assets:he,properties:{dependencies:ge(N,f.Dependency),extensionPack:ge(N,f.ExtensionPack),engine:W(N),localizedLanguages:re(N),targetPlatform:A(N),isPreReleaseVersion:$(N)},hasPreReleaseVersion:$(Y),hasReleaseVersion:z,preview:M(U.flags),telemetryData:X}}let K=class{constructor(N,_,z,X,Y,he,ce,de){this.requestService=_,this.logService=z,this.environmentService=X,this.telemetryService=Y,this.fileService=he,this.productService=ce,this.configurationService=de;const oe=ce.extensionsGallery;this.extensionsGalleryUrl=oe&&oe.serviceUrl,this.extensionsControlUrl=oe&&oe.controlUrl,this.commonHeadersPromise=le(ce.version,ce,this.environmentService,this.configurationService,this.fileService,N)}api(N=""){return`${this.extensionsGalleryUrl}${N}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(N,_,z){const X=(0,u.isBoolean)(_)?_:!1,Y=(0,u.isBoolean)(_)?z:_;let he=new T().withFlags(e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties).withPage(1,N.length).withFilter(s.ExtensionName,...N.map(({id:oe})=>oe.toLowerCase()));N.every(oe=>!oe.version)&&(he=he.withFlags(e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties,e.IncludeLatestVersionOnly));const{galleryExtensions:ce}=await this.queryGallery(he,r,D.CancellationToken.None),de=ce.map(oe=>{const pe=(0,P.getGalleryExtensionId)(oe.publisher.publisherName,oe.extensionName);return{rawGalleryExtension:oe,version:N.find(ue=>(0,P.areSameExtensions)(ue,{id:pe}))?.version,preRelease:X}});return this.converToGalleryExtensions(de,he,r,()=>{},Y)}async getExtensions2(N){const _=[],z=[];for(const ce of N)ce.uuid?z.push(ce.uuid):_.push(ce.id.toLowerCase());let X=new T().withFlags(e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties,e.IncludeLatestVersionOnly).withPage(1,N.length);z.length&&(X=X.withFilter(s.ExtensionId,...z)),_.length&&(X=X.withFilter(s.ExtensionId,..._));const{galleryExtensions:Y}=await this.queryGallery(X,r,D.CancellationToken.None),he=Y.map(ce=>{const de=(0,P.getGalleryExtensionId)(ce.publisher.publisherName,ce.extensionName),oe=N.find(pe=>(0,P.areSameExtensions)(pe,{id:de,uuid:ce.extensionId}));return{rawGalleryExtension:ce,preRelease:!!oe?.preRelease}});return this.converToGalleryExtensions(he,X,r,()=>{},D.CancellationToken.None)}async getCompatibleExtension(N,_,z){const X=(0,g.isIExtensionIdentifier)(N)?null:N;if(X){if((0,g.isNotWebExtensionInWebTargetPlatform)(X.allTargetPlatforms,z))return null;if(await this.isExtensionCompatible(X,_,z))return X}const{id:Y,uuid:he}=X?X.identifier:N;let ce=new T().withFlags(e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties).withPage(1,1);he?ce=ce.withFilter(s.ExtensionId,he):ce=ce.withFilter(s.ExtensionName,Y);const{galleryExtensions:de}=await this.queryGallery(ce,z,D.CancellationToken.None),[oe]=de;if(!oe||!oe.versions.length)return null;const pe=j(oe);if((0,g.isNotWebExtensionInWebTargetPlatform)(pe,z))return null;for(let ue of oe.versions){if(!W(ue)){const ye=await this.getEngine(ue);ue={...ue,properties:[...ue.properties||[],{key:f.Engine,value:ye}]}}if(await this.isRawExtensionVersionCompatible(ue,_,pe,z)){const ye=oe.versions.some(De=>!$(De));return ne(oe,ue,pe,ye)}}return null}async isExtensionCompatible(N,_,z){if(!(0,g.isTargetPlatformCompatible)(N.properties.targetPlatform,N.allTargetPlatforms,z)||!_&&N.properties.isPreReleaseVersion)return!1;let X=N.properties.engine;if(!X){const Y=await this.getManifest(N,D.CancellationToken.None);if(!Y)throw new Error("Manifest was not found");X=Y.engines.vscode}return(0,h.isEngineValid)(X,this.productService.version,this.productService.date)}async isRawExtensionVersionCompatible(N,_,z,X){if(!(0,g.isTargetPlatformCompatible)(A(N),z,X)||!_&&$(N))return!1;const Y=await this.getEngine(N);return(0,h.isEngineValid)(Y,this.productService.version,this.productService.date)}async query(N,_){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let z=N.text||"";const X=(0,R.getOrDefault)(N,ue=>ue.pageSize,50);let Y=new T().withFlags(e.IncludeLatestVersionOnly,e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties).withPage(1,X);z?(z=z.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ue,ye,De)=>(Y=Y.withFilter(s.Category,De||ye),"")),z=z.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ue,ye,De)=>(Y=Y.withFilter(s.Tag,De||ye),"")),z=z.replace(/\bfeatured(\s+|\b|$)/g,()=>(Y=Y.withFilter(s.Featured),"")),z=z.trim(),z&&(z=z.length<200?z:z.substring(0,200),Y=Y.withFilter(s.SearchText,z)),Y=Y.withSortBy(0)):N.ids?Y=Y.withFilter(s.ExtensionId,...N.ids):N.names?Y=Y.withFilter(s.ExtensionName,...N.names):Y=Y.withSortBy(4),typeof N.sortBy=="number"&&(Y=Y.withSortBy(N.sortBy)),typeof N.sortOrder=="number"&&(Y=Y.withSortOrder(N.sortOrder));const{galleryExtensions:he,total:ce}=await this.queryGallery(Y,r,_),de=ue=>({index:(Y.pageNumber-1)*Y.pageSize+ue,querySource:N.source}),oe=await this.converToGalleryExtensions(he.map(ue=>({rawGalleryExtension:ue,preRelease:!!N.includePreRelease})),Y,r,de,_),pe=async(ue,ye)=>{if(ye.isCancellationRequested)throw(0,S.canceled)();const De=Y.withPage(ue+1),{galleryExtensions:Ce}=await this.queryGallery(De,r,ye);return await this.converToGalleryExtensions(Ce.map(Te=>({rawGalleryExtension:Te,preRelease:!!N.includePreRelease})),De,r,de,_)};return{firstPage:oe,total:ce,pageSize:Y.pageSize,getPage:pe}}async converToGalleryExtensions(N,_,z,X,Y){const he=(oe,pe,ue,ye,De)=>{const Ce=!(ue.flags&e.IncludeLatestVersionOnly),Te=j(oe);let Fe=oe.versions[0];return Fe=oe.versions.find(k=>k.version===Fe.version&&(0,g.isTargetPlatformCompatible)(A(k),Te,z))||Fe,Ce&&$(Fe)&&!De&&(Fe=oe.versions.find(k=>k.version!==Fe.version&&!$(k))||Fe),ne(oe,Fe,Te,ye,X(pe))},ce=[],de=new Map;for(let oe=0;oe<N.length;oe++){const{rawGalleryExtension:pe,version:ue,preRelease:ye}=N[oe],De=pe.versions.some(Ce=>!$(Ce));if(ue){const Ce=pe.versions.find(Te=>Te.version===ue);Ce&&ce.push([oe,ne(pe,Ce,j(pe),De)])}else{const Ce=he(pe,oe,_,De,ye);Ce.properties.isPreReleaseVersion?de.set(Ce.identifier.uuid,{index:oe,preRelease:ye}):ce.push([oe,Ce])}}if(de.size){const oe=new Date().getTime(),pe=new T().withFlags(e.IncludeVersions,e.IncludeAssetUri,e.IncludeStatistics,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties).withPage(1,de.size).withFilter(s.ExtensionId,...de.keys()),{galleryExtensions:ue}=await this.queryGallery(pe,z,Y);if(this.telemetryService.publicLog2("galleryService:preReleasesQuery",{duration:new Date().getTime()-oe,count:de.size}),ue.length!==de.size)throw new Error("Not all extensions with latest versions are returned");for(const ye of ue){const De=ye.versions.some(k=>!$(k)),{index:Ce,preRelease:Te}=de.get(ye.extensionId),Fe=he(ye,Ce,pe,De,Te);ce.push([Ce,Fe])}}return ce.sort((oe,pe)=>oe[0]-pe[0]).map(([,oe])=>oe)}async queryGallery(N,_,z){if(!this.isEnabled())throw new Error("No extension gallery service configured.");N=N.withFlags(N.flags,e.ExcludeNonValidated).withFilter(s.Target,"Microsoft.VisualStudio.Code").withFilter(s.ExcludeWithFlags,i(e.Unpublished));const X=await this.commonHeadersPromise,Y=JSON.stringify(N.raw),he={...X,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(Y.length)},ce=new Date().getTime();let de,oe,pe=0;try{if(de=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:Y,headers:he},z),de.res.statusCode&&de.res.statusCode>=400&&de.res.statusCode<500)return{galleryExtensions:[],total:pe};const ue=await(0,y.asJson)(de);if(ue){const ye=ue.results[0],De=ye.extensions;De.forEach(Te=>H(Te.versions,_));const Ce=ye.resultMetadata&&ye.resultMetadata.filter(Te=>Te.metadataType==="ResultCount")[0];return pe=Ce&&Ce.metadataItems.filter(Te=>Te.name==="TotalCount")[0].count||0,{galleryExtensions:De,total:pe}}return{galleryExtensions:[],total:pe}}catch(ue){throw oe=ue,ue}finally{this.telemetryService.publicLog2("galleryService:query",{...N.telemetryData,requestBodySize:String(Y.length),duration:new Date().getTime()-ce,success:!!de&&(0,y.isSuccess)(de),responseBodySize:de?.res.headers["Content-Length"],statusCode:de?String(de.res.statusCode):void 0,errorCode:oe?(0,S.isPromiseCanceledError)(oe)?"canceled":(0,S.getErrorMessage)(oe).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(pe)})}}async reportStatistic(N,_,z,X){if(!this.isEnabled())return;const Y=C.isWeb?this.api(`/itemName/${N}.${_}/version/${z}/statType/${X==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${N}/extensions/${_}/${z}/stats?statType=${X}`),he=C.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",de={...await this.commonHeadersPromise,Accept:he};try{await this.requestService.request({type:"POST",url:Y,headers:de},D.CancellationToken.None)}catch{}}async download(N,_,z){this.logService.trace("ExtensionGalleryService#download",N.identifier.id);const X=(0,P.getGalleryExtensionTelemetryData)(N),Y=new Date().getTime(),he=pe=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...X,duration:pe}),ce=z===2?"install":z===3?"update":"",de=ce?{uri:`${N.assets.download.uri}${v.URI.parse(N.assets.download.uri).query?"&":"?"}${ce}=true`,fallbackUri:`${N.assets.download.fallbackUri}${v.URI.parse(N.assets.download.fallbackUri).query?"&":"?"}${ce}=true`}:N.assets.download,oe=await this.getAsset(de);await this.fileService.writeFile(_,oe.stream),he(new Date().getTime()-Y)}async getReadme(N,_){if(N.assets.readme){const z=await this.getAsset(N.assets.readme,{},_);return await(0,y.asText)(z)||""}return""}async getManifest(N,_){if(N.assets.manifest){const z=await this.getAsset(N.assets.manifest,{},_),X=await(0,y.asText)(z);return X?JSON.parse(X):null}return null}async getManifestFromRawExtensionVersion(N,_){const z=te(N,a.Manifest);if(!z)throw new Error("Manifest was not found");const X={"Accept-Encoding":"gzip"},Y=await this.getAsset(z,{headers:X});return await(0,y.asJson)(Y)}async getCoreTranslation(N,_){const z=N.assets.coreTranslations.filter(X=>X[0]===_.toUpperCase())[0];if(z){const X=await this.getAsset(z[1]),Y=await(0,y.asText)(X);return Y?JSON.parse(Y):null}return null}async getChangelog(N,_){if(N.assets.changelog){const z=await this.getAsset(N.assets.changelog,{},_);return await(0,y.asText)(z)||""}return""}async getAllCompatibleVersions(N,_,z){let X=new T().withFlags(e.IncludeVersions,e.IncludeCategoryAndTags,e.IncludeFiles,e.IncludeVersionProperties).withPage(1,1);N.identifier.uuid?X=X.withFilter(s.ExtensionId,N.identifier.uuid):X=X.withFilter(s.ExtensionName,N.identifier.id);const{galleryExtensions:Y}=await this.queryGallery(X,z,D.CancellationToken.None);if(!Y.length)return[];const he=j(Y[0]);if((0,g.isNotWebExtensionInWebTargetPlatform)(he,z))return[];const ce=[];for(const de of Y[0].versions)try{ce[ce.length-1]?.version!==de.version&&await this.isRawExtensionVersionCompatible(de,_,he,z)&&ce.push({version:de.version,date:de.lastUpdated,isPreReleaseVersion:$(de)})}catch{}return ce}async getAsset(N,_={},z=D.CancellationToken.None){const X=await this.commonHeadersPromise,Y={type:"GET"},he={...X,..._.headers||{}};_={..._,...Y,headers:he};const ce=N.uri,de=N.fallbackUri,oe={..._,url:ce};try{const pe=await this.requestService.request(oe,z);if(pe.res.statusCode===200)return pe;const ue=await(0,y.asText)(pe);throw new Error(`Expected 200, got back ${pe.res.statusCode} instead.

${ue}`)}catch(pe){if((0,S.isPromiseCanceledError)(pe))throw pe;const ue=(0,S.getErrorMessage)(pe);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ce,message:ue});const ye={..._,url:de};return this.requestService.request(ye,z)}}async getEngine(N){let _=W(N);if(!_){const z=await this.getManifestFromRawExtensionVersion(N,D.CancellationToken.None);if(!z)throw new Error("Manifest was not found");_=z.engines.vscode}return _}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[]};const N=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(N.res.statusCode!==200)throw new Error("Could not get extensions report.");const _=await(0,y.asJson)(N),z=[],X={};if(_){for(const Y of _.malicious)z.push({id:Y});if(_.unsupported)for(const Y of Object.keys(_.unsupported)){const he=_.unsupported[Y];(0,u.isBoolean)(he)||(X[Y.toLowerCase()]=he.preReleaseExtension)}}return{malicious:z,unsupportedPreReleaseExtensions:X}}};K=ve([ae(1,y.IRequestService),ae(2,l.ILogService),ae(3,O.IEnvironmentService),ae(4,o.ITelemetryService),ae(5,w.IFileService),ae(6,d.IProductService),ae(7,I.IConfigurationService)],K);let ee=class extends K{constructor(N,_,z,X,Y,he,ce,de){super(N,_,z,X,Y,he,ce,de)}};ee=ve([ae(0,m.IStorageService),ae(1,y.IRequestService),ae(2,l.ILogService),ae(3,O.IEnvironmentService),ae(4,o.ITelemetryService),ae(5,w.IFileService),ae(6,d.IProductService),ae(7,I.IConfigurationService)],ee),t.ExtensionGalleryService=ee;let G=class extends K{constructor(N,_,z,X,Y,he,ce){super(void 0,N,_,z,X,Y,he,ce)}};G=ve([ae(0,y.IRequestService),ae(1,l.ILogService),ae(2,O.IEnvironmentService),ae(3,o.ITelemetryService),ae(4,w.IFileService),ae(5,d.IProductService),ae(6,I.IConfigurationService)],G),t.ExtensionGalleryServiceWithNoStorageService=G;async function le(U,N,_,z,X,Y){const he={"X-Market-Client-Id":`VSCode ${U}`,"User-Agent":`VSCode ${U} (${N.nameShort})`},ce=await(0,c.getServiceMachineId)(_,X,Y);return(0,n.supportsTelemetry)(N,_)&&(0,n.getTelemetryLevel)(z)===3&&(he["X-Market-User-Id"]=ce),he}t.resolveMarketplaceHeaders=le}),define(Q[119],Z([0,1,2,21,14,26,85,25,34,120,30,31,35]),function(x,t,L,D,S,R,C,b,u,v,I,O,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TelemetryService=void 0;let P=class{constructor(l,d){this._configurationService=d,this._experimentProperties={},this._disposables=new L.DisposableStore,this._cleanupPatterns=[],this._appenders=l.appenders,this._commonProperties=l.commonProperties||Promise.resolve({}),this._piiPaths=l.piiPaths||[],this._telemetryLevel=3,this.sendErrorTelemetry=!!l.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let y of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,R.escapeRegExpCharacters)(y),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._telemetryLevel===3}),this._commonProperties.then(y=>{const c=/^[a-f0-9]+$/i.test(y["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!c})})}setExperimentProperty(l,d){this._experimentProperties[l]=d}_updateTelemetryLevel(){this._telemetryLevel=(0,g.getTelemetryLevel)(this._configurationService)}get telemetryLevel(){return this._telemetryLevel}async getTelemetryInfo(){const l=await this._commonProperties;let d=l.sessionID,y=l["common.machineId"],c=l["common.firstSessionDate"],m=l["common.msftInternal"];return{sessionId:d,machineId:y,firstSessionDate:c,msftInternal:m}}dispose(){this._disposables.dispose()}_log(l,d,y,c){return this.telemetryLevel<d?Promise.resolve(void 0):this._commonProperties.then(m=>{y=(0,D.mixin)(y,m),y=(0,D.mixin)(y,this._experimentProperties),y=(0,D.cloneAndChange)(y,o=>{if(typeof o=="string")return this._cleanupInfo(o,c)}),this._appenders.forEach(o=>o.log(l,y))},m=>{console.error(m)})}publicLog(l,d,y){return this._log(l,3,d,y)}publicLog2(l,d,y){return this.publicLog(l,d,y)}publicLogError(l,d){return this.sendErrorTelemetry?this._log(l,2,d,!0):Promise.resolve(void 0)}publicLogError2(l,d){return this.publicLogError(l,d)}_anonymizeFilePaths(l){let d=l;const y=[];for(let n of this._cleanupPatterns)for(;;){const r=n.exec(l);if(!r)break;y.push([r.index,n.lastIndex])}const c=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,m=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let o=0;for(d="";;){const n=m.exec(l);if(!n)break;!c.test(n[0])&&y.every(([r,e])=>n.index<r||n.index>=e)&&(d+=l.substring(o,n.index)+"<REDACTED: user-file-path>",o=m.lastIndex)}return o<l.length&&(d+=l.substr(o)),d}_removePropertiesWithPossibleUserInfo(l){if(!l)return l;const d=l.toLowerCase(),y=/@[a-zA-Z0-9-.]+/;return/(key|token|sig|signature|password|passwd|pwd)[="':\s]/.test(d)?"<REDACTED: secret>":y.test(d)?"<REDACTED: email>":l}_cleanupInfo(l,d){let y=l;d&&(y=this._anonymizeFilePaths(y));for(let c of this._cleanupPatterns)y=y.replace(c,"");return y=this._removePropertiesWithPossibleUserInfo(y),y}};P.IDLE_START_EVENT_NAME="UserIdleStart",P.IDLE_STOP_EVENT_NAME="UserIdleStop",P=ve([ae(1,b.IConfigurationService)],P),t.TelemetryService=P;function h(){const w=(0,C.localize)(0,null,v.default.nameLong),l=v.default.privacyStatementUrl?(0,C.localize)(2,null,"https://aka.ms/vscode-telemetry",v.default.privacyStatementUrl):(0,C.localize)(1,null,"https://aka.ms/vscode-telemetry"),d=S.isWeb?"":(0,C.localize)(3,null),y=(0,C.localize)(4,null),c=(0,C.localize)(5,null),m=(0,C.localize)(6,null),o=(0,C.localize)(7,null),n=`
|       | ${y} | ${c} | ${m} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,C.localize)(8,null);return`
${w} ${l} ${d}

&nbsp;

${o}
${n}

&nbsp;

${r}
`}I.Registry.as(u.Extensions.Configuration).registerConfiguration({id:O.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,C.localize)(9,null),properties:{[O.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,C.localize)(10,null),(0,C.localize)(11,null),(0,C.localize)(12,null),(0,C.localize)(13,null)],markdownDescription:h(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),I.Registry.as(u.Extensions.Configuration).registerConfiguration({id:O.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,C.localize)(14,null),properties:{[O.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:v.default.privacyStatementUrl?(0,C.localize)(16,null,v.default.nameLong,v.default.privacyStatementUrl):(0,C.localize)(15,null,v.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,C.localize)(17,null,`\`#${O.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(Q[121],Z([0,1,6,21,35]),function(x,t,L,D,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.AppInsightsAppender=void 0;async function R(b,u){const v=await new Promise((O,g)=>{x(["applicationinsights"],O,g)});let I;return v.defaultClient?(I=new v.TelemetryClient(b),I.channel.setUseDiskRetryCaching(!0)):(v.setup(b).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),I=v.defaultClient),b.indexOf("AIF-")===0&&(I.config.endpointUrl=u?"https://mobile.events.data.microsoft.com/collect/v1":"https://vortex.data.microsoft.com/collect/v1"),I}class C{constructor(u,v,I,O,g){this._eventPrefix=u,this._defaultData=v,this.testCollector=O,this.mirrored=g,this._defaultData||(this._defaultData=Object.create(null)),typeof I=="function"?this._aiClient=I():this._aiClient=I,this._asyncAIClient=null}_withAIClient(u){if(!!this._aiClient){if(typeof this._aiClient!="string"){u(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=R(this._aiClient,this.testCollector??!1)),this._asyncAIClient.then(v=>{u(v)},v=>{(0,L.onUnexpectedError)(v),console.error(v)})}}log(u,v){!this._aiClient||(v=(0,D.mixin)(v,this._defaultData),v=(0,S.validateTelemetryData)(v),this.testCollector&&(v.properties["common.useragent"]=this.mirrored?"mirror-collector++":"collector++"),this._withAIClient(I=>I.trackEvent({name:this._eventPrefix+"/"+u,properties:v.properties,measurements:v.measurements})))}flush(){return this._aiClient?new Promise(u=>{this._withAIClient(v=>{v.flush({callback:()=>{this._aiClient=void 0,u(void 0)}})})}):Promise.resolve(void 0)}}t.AppInsightsAppender=C}),define(Q[122],Z([0,1,11,15]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buildTelemetryMessage=void 0;async function S(R,C){const b=Object.create(null),u=(I,O)=>{const g=JSON.parse(I);b[O]=g};if(C){const I=[],O=await D.Promises.readdir(C);for(const P of O)try{(await D.Promises.stat((0,L.join)(C,P))).isDirectory()&&I.push(P)}catch{}const g=[];for(const P of I)(await D.Promises.readdir((0,L.join)(C,P))).filter(w=>w==="telemetry.json").length===1&&g.push(P);for(const P of g){const h=(await D.Promises.readFile((0,L.join)(C,P,"telemetry.json"))).toString();u(h,P)}}let v=(await D.Promises.readFile((0,L.join)(R,"telemetry-core.json"))).toString();return u(v,"vscode-core"),v=(await D.Promises.readFile((0,L.join)(R,"telemetry-extensions.json"))).toString(),u(v,"vscode-extensions"),JSON.stringify(b,null,4)}t.buildTelemetryMessage=S}),define(Q[36],Z([0,1,12]),function(x,t,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IUriIdentityService=void 0,t.IUriIdentityService=(0,L.createDecorator)("IUriIdentityService")}),define(Q[123],Z([0,1,8,2,9,20,23,16,13,36]),function(x,t,L,D,S,R,C,b,u,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsWatcher=void 0;let I=class extends D.Disposable{constructor(g,P,h,w,l){super();this.extensionsManagementService=g,this.logService=w,this.uriIdentityService=l,this._onDidChangeExtensionsByAnotherSource=this._register(new L.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled(1).then(y=>{this.installedExtensions=y.map(c=>c.identifier),this.startTimestamp=Date.now()}),this._register(g.onInstallExtension(y=>this.onInstallExtension(y))),this._register(g.onDidInstallExtensions(y=>this.onDidInstallExtensions(y))),this._register(g.onDidUninstallExtension(y=>this.onDidUninstallExtension(y)));const d=S.URI.file(h.extensionsPath);this._register(P.watch(d)),this._register(L.Event.filter(P.onDidFilesChange,y=>y.rawChanges.some(c=>this.doesChangeAffects(c,d)))(()=>this.onDidChange()))}doesChangeAffects(g,P){return this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(g.resource),P)?this.uriIdentityService.extUri.isEqual(g.resource,this.uriIdentityService.extUri.joinPath(P,".obsolete"))?!0:!(g.type!==1&&g.type!==2||this.uriIdentityService.extUri.basename(g.resource).startsWith(".")):!1}onInstallExtension(g){this.addInstallingExtension(g.identifier)}onDidInstallExtensions(g){for(const P of g)this.removeInstallingExtension(P.identifier),P.local&&this.addInstalledExtension(P.identifier)}onDidUninstallExtension(g){g.error||this.removeInstalledExtension(g.identifier)}addInstallingExtension(g){this.removeInstallingExtension(g),this.installingExtensions.push(g)}removeInstallingExtension(g){this.installingExtensions=this.installingExtensions.filter(P=>!(0,C.areSameExtensions)(P,g))}addInstalledExtension(g){this.installedExtensions&&(this.removeInstalledExtension(g),this.installedExtensions.push(g))}removeInstalledExtension(g){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(P=>!(0,C.areSameExtensions)(P,g)))}async onDidChange(){if(this.installedExtensions){const g=await this.extensionsManagementService.getInstalled(1),P=g.filter(w=>[...this.installingExtensions,...this.installedExtensions].some(l=>(0,C.areSameExtensions)(l,w.identifier))?!1:w.installedTimestamp&&w.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",w.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",w.identifier.id),!1)),h=this.installedExtensions.filter(w=>this.installingExtensions.some(l=>(0,C.areSameExtensions)(l,w))?!1:g.every(l=>!(0,C.areSameExtensions)(l.identifier,w))?(this.logService.info("Detected extension removed from another source",w.id),!0):!1);this.installedExtensions=g.map(w=>w.identifier),(P.length||h.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:P,removed:h})}}};I=ve([ae(1,b.IFileService),ae(2,R.INativeEnvironmentService),ae(3,u.ILogService),ae(4,v.IUriIdentityService)],I),t.ExtensionsWatcher=I}),define(Q[124],Z([0,1,36,90,16,18,57,8,2]),function(x,t,L,D,S,R,C,b,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.UriIdentityService=void 0;class v{constructor(g){this.uri=g,this.time=v._clock++}touch(){return this.time=v._clock++,this}}v._clock=0;let I=class{constructor(g){this._fileService=g,this._dispooables=new u.DisposableStore,this._limit=2**16;const P=new Map,h=w=>{let l=P.get(w.scheme);return l===void 0&&(l=g.hasProvider(w)&&!this._fileService.hasCapability(w,1024),P.set(w.scheme,l)),l};this._dispooables.add(b.Event.any(g.onDidChangeFileSystemProviderRegistrations,g.onDidChangeFileSystemProviderCapabilities)(w=>{P.delete(w.scheme)})),this.extUri=new R.ExtUri(h),this._canonicalUris=new C.SkipList((w,l)=>this.extUri.compare(w,l,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(g){this._fileService.hasProvider(g)&&(g=(0,R.normalizePath)(g));let P=this._canonicalUris.get(g);return P?P.touch().uri.with({fragment:g.fragment}):(this._canonicalUris.set(g,new v(g)),this._checkTrim(),g)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const g=[...this._canonicalUris.entries()].sort((h,w)=>h[1].touch<w[1].touch?1:h[1].touch>w[1].touch?-1:0);v._clock=0,this._canonicalUris.clear();const P=this._limit*.5;for(let h=0;h<P;h++)this._canonicalUris.set(g[h][0],g[h][1].touch())}};I=ve([ae(0,S.IFileService)],I),t.UriIdentityService=I,(0,D.registerSingleton)(L.IUriIdentityService,I,!0)}),define(Q[43],Z([0,1,101,3,11,7,15,71,136,137]),function(x,t,L,D,S,R,C,b,u,v){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.buffer=t.extract=t.zip=t.ExtractError=void 0;class I extends Error{constructor(n,r){let e=r.message;switch(n){case"CorruptZip":e=`Corrupt ZIP: ${e}`;break}super(e);this.type=n,this.cause=r}}t.ExtractError=I;function O(o){const n=o.externalFileAttributes>>16||33188;return[448,56,7].map(r=>n&r).reduce((r,e)=>r+e,n&61440)}function g(o){if(o instanceof I)return o;let n;return/end of central directory record signature not found/.test(o.message)&&(n="CorruptZip"),new I(n,o)}function P(o,n,r,e,i,s){const a=S.dirname(n),f=S.join(e,a);if(!f.startsWith(e))return Promise.reject(new Error(b.localize(0,null,n)));const p=S.join(e,n);let E;return s.onCancellationRequested(()=>{E&&E.destroy()}),Promise.resolve(C.Promises.mkdir(f,{recursive:!0})).then(()=>new Promise((T,F)=>{if(!s.isCancellationRequested)try{E=(0,L.createWriteStream)(p,{mode:r}),E.once("close",()=>T()),E.once("error",F),o.once("error",F),o.pipe(E)}catch(B){F(B)}}))}function h(o,n,r,e){let i=(0,D.createCancelablePromise)(()=>Promise.resolve()),s=0;return e.onCancellationRequested(()=>{i.cancel(),o.close()}),new Promise((a,f)=>{const p=new D.Sequencer,E=T=>{T.isCancellationRequested||(s++,o.readEntry())};o.once("error",f),o.once("close",()=>i.then(()=>{e.isCancellationRequested||o.entryCount===s?a():f(new I("Incomplete",new Error(b.localize(1,null,s,o.entryCount))))},f)),o.readEntry(),o.on("entry",T=>{if(e.isCancellationRequested)return;if(!r.sourcePathRegex.test(T.fileName)){E(e);return}const F=T.fileName.replace(r.sourcePathRegex,"");if(/\/$/.test(F)){const se=S.join(n,F);i=(0,D.createCancelablePromise)(ie=>C.Promises.mkdir(se,{recursive:!0}).then(()=>E(ie)).then(void 0,f));return}const B=l(o,T),J=O(T);i=(0,D.createCancelablePromise)(se=>p.queue(()=>B.then(ie=>P(ie,F,J,n,r,se).then(()=>E(se)))).then(null,f))})})}function w(o,n=!1){return new Promise((r,e)=>{(0,u.open)(o,n?{lazyEntries:!0}:void 0,(i,s)=>{i?e(g(i)):r((0,R.assertIsDefined)(s))})})}function l(o,n){return new Promise((r,e)=>{o.openReadStream(n,(i,s)=>{i?e(g(i)):r((0,R.assertIsDefined)(s))})})}function d(o,n){return new Promise((r,e)=>{const i=new v.ZipFile;n.forEach(a=>{a.contents?i.addBuffer(typeof a.contents=="string"?Buffer.from(a.contents,"utf8"):a.contents,a.path):a.localPath&&i.addFile(a.localPath,a.path)}),i.end();const s=(0,L.createWriteStream)(o);i.outputStream.pipe(s),i.outputStream.once("error",e),s.once("error",e),s.once("finish",()=>r(o))})}t.zip=d;function y(o,n,r={},e){const i=new RegExp(r.sourcePath?`^${r.sourcePath}`:"");let s=w(o,!0);return r.overwrite&&(s=s.then(a=>C.Promises.rm(n).then(()=>a))),s.then(a=>h(a,n,{sourcePathRegex:i},e))}t.extract=y;function c(o,n){return w(o).then(r=>new Promise((e,i)=>{r.on("entry",s=>{s.fileName===n&&l(r,s).then(a=>e(a),a=>i(a))}),r.once("close",()=>i(new Error(b.localize(2,null,n))))}))}function m(o,n){return c(o,n).then(r=>new Promise((e,i)=>{const s=[];r.once("error",i),r.on("data",a=>s.push(a)),r.on("end",()=>e(Buffer.concat(s)))}))}t.buffer=m}),define(Q[125],Z([0,1,43,78]),function(x,t,L,D){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getManifest=void 0;function S(R){return(0,L.buffer)(R,"extension/package.json").then(C=>{try{return JSON.parse(C.toString("utf8"))}catch{throw new Error((0,D.localize)(0,null))}})}t.getManifest=S}),define(Q[126],Z([0,1,19,3,6,2,10,11,14,18,41,9,27,15,43,79,20,22,23,89,16,13,32]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y,c,m,o,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionsScanner=void 0;let r=class extends R.Disposable{constructor(i,s,a,f,p){super();this.beforeRemovingExtension=i,this.fileService=s,this.logService=a,this.environmentService=f,this.productService=p,this._devSystemExtensionsPath=null,this.systemExtensionsPath=f.builtinExtensionsPath,this.extensionsPath=f.extensionsPath,this.uninstalledPath=b.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new D.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(i){const s=[];(i===null||i===0)&&s.push(this.scanSystemExtensions().then(null,a=>Promise.reject(new d.ExtensionManagementError(this.joinErrors(a).message,d.ExtensionManagementErrorCode.Internal)))),(i===null||i===1)&&s.push(this.scanUserExtensions(!0).then(null,a=>Promise.reject(new d.ExtensionManagementError(this.joinErrors(a).message,d.ExtensionManagementErrorCode.Internal))));try{const a=await Promise.all(s);return(0,L.flatten)(a)}catch(a){throw this.joinErrors(a)}}async scanUserExtensions(i){this.logService.trace("Started scanning user extensions");let[s,a]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return a=a.filter(f=>!s[new y.ExtensionIdentifierWithVersion(f.identifier,f.manifest.version).key()]),i&&(a=(0,y.groupByExtension)(a,p=>p.identifier).map(p=>p.sort((E,T)=>I.rcompare(E.manifest.version,T.manifest.version))[0])),this.logService.trace("Scanned user extensions:",a.length),a}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(i,s,a,f){const p=i.key(),E=b.join(this.extensionsPath,`.${(0,g.generateUuid)()}`),T=b.join(this.extensionsPath,p);try{await P.Promises.rm(T)}catch{try{await P.Promises.rm(T)}catch{}throw new d.ExtensionManagementError((0,w.localize)(0,null,T,i.id),d.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(i,s,E,f);let F=await this.scanExtension(O.URI.file(E),1);if(!F)throw new Error((0,w.localize)(1,null,E));await this.storeMetadata(F,{...a,installedTimestamp:Date.now()});try{await this.rename(i,E,T,Date.now()+2*60*1e3),this.logService.info("Renamed to",T)}catch(B){try{await P.Promises.rm(E)}catch{}if(B.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",i.id);else throw this.logService.info(`Rename failed because of ${(0,S.getErrorMessage)(B)}. Deleted from extracted location`,E),B}try{F=await this.scanExtension(O.URI.file(T),1)}catch{}if(F)return F;throw new Error((0,w.localize)(2,null,this.extensionsPath))}async saveMetadataForLocalExtension(i,s){return this.setMetadata(i,s),await this.storeMetadata(i,{...s,installedTimestamp:i.installedTimestamp}),i}async storeMetadata(i,s){s.isMachineScoped=s.isMachineScoped||void 0,s.isBuiltin=s.isBuiltin||void 0,s.installedTimestamp=s.installedTimestamp||void 0;const a=b.join(i.location.fsPath,"package.json"),f=await P.Promises.readFile(a,"utf8"),{manifest:p}=await this.parseManifest(f);return p.__metadata=s,await P.Promises.writeFile(a,JSON.stringify(p,null,"	")),i}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...i){const s=i.map(a=>new y.ExtensionIdentifierWithVersion(a.identifier,a.manifest.version));await this.withUninstalledExtensions(a=>{s.forEach(f=>a[f.key()]=!0)})}async setInstalled(i){await this.withUninstalledExtensions(f=>delete f[i.key()]);const a=(await this.scanExtensions(1)).find(f=>new y.ExtensionIdentifierWithVersion(f.identifier,f.manifest.version).equals(i))||null;return a?(await this.storeMetadata(a,{installedTimestamp:Date.now()}),this.scanExtension(a.location,1)):null}async withUninstalledExtensions(i){return this.uninstalledFileLimiter.queue(async()=>{let s;try{s=await P.Promises.readFile(this.uninstalledPath,"utf8")}catch(f){if(f.code!=="ENOENT")throw f}let a={};if(s)try{a=JSON.parse(s)}catch{}return i&&(i(a),Object.keys(a).length?await P.Promises.writeFile(this.uninstalledPath,JSON.stringify(a)):await P.Promises.rm(this.uninstalledPath)),a})}async removeExtension(i,s){this.logService.trace(`Deleting ${s} extension from disk`,i.identifier.id,i.location.fsPath),await P.Promises.rm(i.location.fsPath),this.logService.info("Deleted from disk",i.identifier.id,i.location.fsPath)}async removeUninstalledExtension(i){await this.removeExtension(i,"uninstalled"),await this.withUninstalledExtensions(s=>delete s[new y.ExtensionIdentifierWithVersion(i.identifier,i.manifest.version).key()])}async extractAtLocation(i,s,a,f){this.logService.trace(`Started extracting the extension from ${s} to ${a}`);try{await P.Promises.rm(a)}catch(p){throw new d.ExtensionManagementError(this.joinErrors(p).message,d.ExtensionManagementErrorCode.Delete)}try{await(0,h.extract)(s,a,{sourcePath:"extension",overwrite:!0},f),this.logService.info(`Extracted extension to ${a}:`,i.id)}catch(p){try{await P.Promises.rm(a)}catch{}let E=d.ExtensionManagementErrorCode.Extract;throw p instanceof h.ExtractError&&(p.type==="CorruptZip"?E=d.ExtensionManagementErrorCode.CorruptZip:p.type==="Incomplete"&&(E=d.ExtensionManagementErrorCode.IncompleteZip)),new d.ExtensionManagementError(p.message,E)}}async rename(i,s,a,f){try{await P.Promises.rename(s,a)}catch(p){if(u.isWindows&&p&&p.code==="EPERM"&&Date.now()<f)return this.logService.info(`Failed renaming ${s} to ${a} with 'EPERM' error. Trying again...`,i.id),this.rename(i,s,a,f);throw new d.ExtensionManagementError(p.message||(0,w.localize)(3,null,s,a),p.code||d.ExtensionManagementErrorCode.Rename)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const i=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return i;const s=this.scanDevSystemExtensions(),[a,f]=await Promise.all([i,s]);return[...a,...f]}async scanExtensionsInDir(i,s){const a=new D.Limiter(10),f=await this.fileService.resolve(O.URI.file(i));return f.children?(await Promise.all(f.children.filter(E=>E.isDirectory).map(E=>a.queue(async()=>s===1&&(0,v.basename)(E.resource).indexOf(".")===0?null:this.scanExtension(E.resource,s))))).filter(E=>E&&E.identifier):[]}async scanExtension(i,s){try{const a=await this.fileService.resolve(i);if(a.children){const{manifest:f,metadata:p}=await this.readManifest(i.fsPath),E=a.children.find(({name:J})=>/^readme(\.txt|\.md|)$/i.test(J))?.resource,T=a.children.find(({name:J})=>/^changelog(\.txt|\.md|)$/i.test(J))?.resource,F={id:(0,y.getGalleryExtensionId)(f.publisher,f.name)},B={type:s,identifier:F,manifest:f,location:i,readmeUrl:E,changelogUrl:T,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:s===0};return this.setMetadata(B,p),B}}catch(a){s!==0&&this.logService.trace(a)}return null}async scanDefaultSystemExtensions(){const i=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",i.length),i}async scanDevSystemExtensions(){const i=this.getDevSystemExtensionsList();if(i.length){const s=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",s.length),s.filter(a=>i.some(f=>(0,y.areSameExtensions)(a.identifier,{id:f})))}else return[]}setMetadata(i,s){i.publisherDisplayName=s?.publisherDisplayName||null,i.publisherId=s?.publisherId||null,i.identifier.uuid=s?.id,i.isMachineScoped=!!s?.isMachineScoped,i.isPreReleaseVersion=!!s?.isPreReleaseVersion,i.preRelease=!!s?.preRelease,i.isBuiltin=i.type===0||!!s?.isBuiltin,i.installedTimestamp=s?.installedTimestamp}async removeUninstalledExtensions(){const i=await this.getUninstalledExtensions(),s=await this.scanAllUserExtensions(),a=new Set;for(const E of s)i[new y.ExtensionIdentifierWithVersion(E.identifier,E.manifest.version).key()]||a.add(E.identifier.id.toLowerCase());const f=(0,y.groupByExtension)(s,E=>E.identifier);await D.Promises.settled(f.map(async E=>{const T=E.sort((F,B)=>I.rcompare(F.manifest.version,B.manifest.version))[0];a.has(T.identifier.id.toLowerCase())||await this.beforeRemovingExtension(T)}));const p=s.filter(E=>i[new y.ExtensionIdentifierWithVersion(E.identifier,E.manifest.version).key()]);await D.Promises.settled(p.map(E=>this.removeUninstalledExtension(E)))}async removeOutdatedExtensions(){const i=await this.scanAllUserExtensions(),s=[],a=(0,y.groupByExtension)(i,f=>f.identifier);s.push(...(0,L.flatten)(a.map(f=>f.sort((p,E)=>I.rcompare(p.manifest.version,E.manifest.version)).slice(1)))),await D.Promises.settled(s.map(f=>this.removeExtension(f,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(i=>i.name)}joinErrors(i){const s=Array.isArray(i)?i:[i];return s.length===1?s[0]instanceof Error?s[0]:new Error(s[0]):s.reduce((a,f)=>new Error(`${a.message}${a.message?",":""}${f instanceof Error?f.message:f}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=b.normalize(b.join(C.FileAccess.asFileUri("",x).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(i){const s=[P.Promises.readFile(b.join(i,"package.json"),"utf8").then(E=>this.parseManifest(E)),P.Promises.readFile(b.join(i,"package.nls.json"),"utf8").then(void 0,E=>E.code!=="ENOENT"?Promise.reject(E):"{}").then(E=>JSON.parse(E))],[{manifest:a,metadata:f},p]=await Promise.all(s);return{manifest:(0,c.localizeManifest)(a,p),metadata:f}}parseManifest(i){return new Promise((s,a)=>{try{const f=JSON.parse(i),p=f.__metadata||null;s({manifest:f,metadata:p})}catch{a(new Error((0,w.localize)(4,null)))}})}};r=ve([ae(1,m.IFileService),ae(2,o.ILogService),ae(3,l.INativeEnvironmentService),ae(4,n.IProductService)],r),t.ExtensionsScanner=r}),define(Q[127],Z([0,1,28,6,10,11,14,29,18,41,9,27,15,43,77,49,20,117,22,23,108,96,125,109,126,123,48,16,12,13,32,31,36]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y,c,m,o,n,r,e,i,s,a,f,p,E,T,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ExtensionManagementService=void 0;let B=class extends d.AbstractExtensionManagementService{constructor(W,$,re,M,A,j,H,ne,K){super(W,$,re,ne);this.environmentService=M,this.downloadService=A,this.fileService=H;const ee=this._register(j.createInstance(o.ExtensionsLifecycle));this.extensionsScanner=this._register(j.createInstance(e.ExtensionsScanner,le=>ee.postUninstall(le))),this.manifestCache=this._register(new r.ExtensionsManifestCache(M,this)),this.extensionsDownloader=this._register(j.createInstance(m.ExtensionsDownloader));const G=this._register(new i.ExtensionsWatcher(this,H,M,re,K));this._register(G.onDidChangeExtensionsByAnotherSource(({added:le,removed:U})=>{le.length&&this._onDidInstallExtensions.fire(le.map(N=>({identifier:N.identifier,operation:1,local:N}))),U.forEach(N=>this._onDidUninstallExtension.fire({identifier:N}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(async()=>{const W=await this.isAlpineLinux(),$=(0,y.getTargetPlatform)(W?"alpine":C.platform,b.arch);return this.logService.debug("ExtensionManagementService#TargetPlatform:",$),$})()),this._targetPlatformPromise}async isAlpineLinux(){if(!C.isLinux)return!1;let W;try{W=(await this.fileService.readFile(I.URI.file("/etc/os-release"))).value.toString()}catch{try{W=(await this.fileService.readFile(I.URI.file("/usr/lib/os-release"))).value.toString()}catch(re){this.logService.debug("Error while getting the os-release file.",(0,D.getErrorMessage)(re))}}return!!W&&(W.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async zip(W){this.logService.trace("ExtensionManagementService#zip",W.identifier.id);const $=await this.collectFiles(W),re=await(0,P.zip)((0,u.joinPath)(this.environmentService.tmpDir,(0,O.generateUuid)()).fsPath,$);return I.URI.file(re)}async unzip(W){return this.logService.trace("ExtensionManagementService#unzip",W.toString()),(await this.install(W)).identifier}async getManifest(W){const $=await this.downloadVsix(W),re=R.resolve($.fsPath);return(0,n.getManifest)(re)}getInstalled(W=null){return this.extensionsScanner.scanExtensions(W)}async install(W,$={}){this.logService.trace("ExtensionManagementService#install",W.toString());const re=await this.downloadVsix(W),M=await(0,n.getManifest)(R.resolve(re.fsPath));if(M.engines&&M.engines.vscode&&!(0,s.isEngineValid)(M.engines.vscode,this.productService.version,this.productService.date))throw new Error(h.localize(0,null,(0,c.getGalleryExtensionId)(M.publisher,M.name),this.productService.version));return this.installExtension(M,re,$)}async updateMetadata(W,$){this.logService.trace("ExtensionManagementService#updateMetadata",W.identifier.id);const re={...W.manifest.__metadata||{},...$};return $.isPreReleaseVersion&&(re.preRelease=!0),W=await this.extensionsScanner.saveMetadataForLocalExtension(W,re),this.manifestCache.invalidate(),W}async updateExtensionScope(W,$){return this.logService.trace("ExtensionManagementService#updateExtensionScope",W.identifier.id),W=await this.extensionsScanner.saveMetadataForLocalExtension(W,{...W.manifest.__metadata||{},isMachineScoped:$}),this.manifestCache.invalidate(),W}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async downloadVsix(W){if(W.scheme===S.Schemas.file)return W;const $=(0,u.joinPath)(this.environmentService.tmpDir,(0,O.generateUuid)());return await this.downloadService.download(W,$),$}createInstallExtensionTask(W,$,re){return I.URI.isUri($)?new ie(W,$,re,this.galleryService,this.extensionsScanner,this.logService):new se($,re,this.extensionsDownloader,this.extensionsScanner,this.logService)}createUninstallExtensionTask(W,$){return new te(W,$,this.extensionsScanner)}async collectFiles(W){const $=async M=>{let A=await g.Promises.readdir(M);A=A.map(ne=>R.join(M,ne));const j=await Promise.all(A.map(ne=>g.Promises.stat(ne)));let H=Promise.resolve([]);return j.forEach((ne,K)=>{const ee=A[K];ne.isFile()&&(H=H.then(G=>[...G,ee])),ne.isDirectory()&&(H=H.then(G=>$(ee).then(le=>[...G,...le])))}),H};return(await $(W.location.fsPath)).map(M=>({path:`extension/${R.relative(W.location.fsPath,M)}`,localPath:M}))}};B=ve([ae(0,y.IExtensionGalleryService),ae(1,T.ITelemetryService),ae(2,p.ILogService),ae(3,l.INativeEnvironmentService),ae(4,w.IDownloadService),ae(5,f.IInstantiationService),ae(6,a.IFileService),ae(7,E.IProductService),ae(8,F.IUriIdentityService)],B),t.ExtensionManagementService=B;class J extends d.AbstractExtensionTask{constructor(W,$,re,M){super();this.identifier=W,this.source=$,this.extensionsScanner=re,this.logService=M,this._operation=2}get operation(){return this._operation}async installExtension(W,$){try{const re=await this.unsetUninstalledAndGetLocal(W.identifierWithVersion);if(re)return W.metadata?this.extensionsScanner.saveMetadataForLocalExtension(re,{...re.manifest.__metadata||{},...W.metadata}):re}catch{throw C.isMacintosh?new y.ExtensionManagementError(h.localize(1,null),y.ExtensionManagementErrorCode.Internal):new y.ExtensionManagementError(h.localize(2,null),y.ExtensionManagementErrorCode.Internal)}return this.extract(W,$)}async unsetUninstalledAndGetLocal(W){if(!await this.isUninstalled(W))return null;this.logService.trace("Removing the extension from uninstalled list:",W.id);const re=await this.extensionsScanner.setInstalled(W);return this.logService.info("Removed the extension from uninstalled list:",W.id),re}async isUninstalled(W){return!!(await this.extensionsScanner.getUninstalledExtensions())[W.key()]}async extract({zipPath:W,identifierWithVersion:$,metadata:re},M){let A=await this.extensionsScanner.extractUserExtension($,W,re,M);return this.logService.info("Extracting completed.",$.id),A}}class se extends J{constructor(W,$,re,M,A){super(W.identifier,W,M,A);this.gallery=W,this.options=$,this.extensionsDownloader=re}async doRun(W){const re=(await this.extensionsScanner.scanExtensions(null)).find(A=>(0,c.areSameExtensions)(A.identifier,this.gallery.identifier));re&&(this._operation=3);const M=await this.downloadInstallableExtension(this.gallery,this._operation);M.metadata.isMachineScoped=this.options.isMachineScoped||re?.isMachineScoped,M.metadata.isBuiltin=this.options.isBuiltin||re?.isBuiltin,M.metadata.isPreReleaseVersion=this.gallery.properties.isPreReleaseVersion,M.metadata.preRelease=this.gallery.hasPreReleaseVersion?this.gallery.properties.isPreReleaseVersion:re?.preRelease;try{const A=await this.installExtension(M,W);return re&&v.neq(re.manifest.version,this.gallery.version)&&await this.extensionsScanner.setUninstalled(re),A}catch(A){throw await this.deleteDownloadedVSIX(M.zipPath),A}}async deleteDownloadedVSIX(W){try{await this.extensionsDownloader.delete(I.URI.file(W))}catch($){this.logService.warn("Error while deleting the downloaded vsix",W.toString(),(0,D.getErrorMessage)($))}}async downloadInstallableExtension(W,$){const re={id:W.identifier.uuid,publisherId:W.publisherId,publisherDisplayName:W.publisherDisplayName};let M;try{this.logService.trace("Started downloading extension:",W.identifier.id),M=(await this.extensionsDownloader.downloadExtension(W,$)).fsPath,this.logService.info("Downloaded extension:",W.identifier.id,M)}catch(A){throw new y.ExtensionManagementError((0,d.joinErrors)(A).message,y.ExtensionManagementErrorCode.Download)}try{const A=await(0,n.getManifest)(M);return{zipPath:M,identifierWithVersion:new c.ExtensionIdentifierWithVersion(W.identifier,A.version),metadata:re}}catch(A){throw await this.deleteDownloadedVSIX(M),new y.ExtensionManagementError((0,d.joinErrors)(A).message,y.ExtensionManagementErrorCode.Invalid)}}}class ie extends J{constructor(W,$,re,M,A,j){super({id:(0,c.getGalleryExtensionId)(W.publisher,W.name)},$,A,j);this.manifest=W,this.location=$,this.options=re,this.galleryService=M}async doRun(W){const $=new c.ExtensionIdentifierWithVersion(this.identifier,this.manifest.version),M=(await this.extensionsScanner.scanExtensions(1)).find(j=>(0,c.areSameExtensions)(this.identifier,j.identifier)),A=await this.getMetadata(this.identifier.id,this.manifest.version,W);if(A.isMachineScoped=this.options.isMachineScoped||M?.isMachineScoped,A.isBuiltin=this.options.isBuiltin||M?.isBuiltin,M)if(this._operation=3,$.equals(new c.ExtensionIdentifierWithVersion(M.identifier,M.manifest.version)))try{await this.extensionsScanner.removeExtension(M,"existing")}catch{throw new Error(h.localize(3,null,this.manifest.displayName||this.manifest.name))}else v.gt(M.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(M);else{const j=await this.unsetUninstalledAndGetLocal($);if(j)try{await this.extensionsScanner.removeExtension(j,"existing")}catch{throw new Error(h.localize(4,null,this.manifest.displayName||this.manifest.name))}}return this.installExtension({zipPath:R.resolve(this.location.fsPath),identifierWithVersion:$,metadata:A},W)}async getMetadata(W,$,re){try{let[M]=await this.galleryService.getExtensions([{id:W,version:$}],re);if(M||([M]=await this.galleryService.getExtensions([{id:W}],re)),M)return{id:M.identifier.uuid,publisherDisplayName:M.publisherDisplayName,publisherId:M.publisherId,isPreReleaseVersion:M.properties.isPreReleaseVersion,preRelease:M.properties.isPreReleaseVersion}}catch{}return{}}}class te extends d.AbstractExtensionTask{constructor(W,$,re){super();this.extension=W,this.options=$,this.extensionsScanner=re}async doRun(W){const $=[],re=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const M=new c.ExtensionIdentifierWithVersion(this.extension.identifier,this.extension.manifest.version);$.push(...re.filter(A=>M.equals(new c.ExtensionIdentifierWithVersion(A.identifier,A.manifest.version))))}else $.push(...re.filter(M=>(0,c.areSameExtensions)(M.identifier,this.extension.identifier)));if(!$.length)throw new Error(h.localize(5,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...$),this.options.remove)for(const M of $)try{W.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(M)}catch(A){throw new Error(h.localize(6,null,(0,L.toErrorMessage)(A)))}}}}),define(Q[128],Z([0,1,113,3,17,6,2,7,25,20,92,13,112,138]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.RequestService=void 0;let h=class extends C.Disposable{constructor(l,d,y){super();this.environmentService=d,this.logService=y,this.configure(l.getValue()),this._register(l.onDidChangeConfiguration(()=>this.configure(l.getValue()),this))}configure(l){this.proxyUrl=l.http&&l.http.proxy,this.strictSSL=!!(l.http&&l.http.proxyStrictSSL),this.authorization=l.http&&l.http.proxyAuthorization}async request(l,d){this.logService.trace("RequestService#request",l.url);const{proxyUrl:y,strictSSL:c}=this;let m;try{m=await(0,I.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(r){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request resolving shell environment failed",r))}const o={...process.env,...m},n=l.agent?l.agent:await(0,g.getProxyAgent)(l.url||"",o,{proxyUrl:y,strictSSL:c});return l.agent=n,l.strictSSL=c,this.authorization&&(l.headers={...l.headers||{},"Proxy-Authorization":this.authorization}),this._request(l,d)}async getNodeRequest(l){return((0,L.parse)(l.url).protocol==="https:"?await new Promise((c,m)=>{x(["https"],c,m)}):await new Promise((c,m)=>{x(["http"],c,m)})).request}_request(l,d){return D.Promises.withAsyncBody(async(y,c)=>{let m;const o=(0,L.parse)(l.url),n=l.getRawRequest?l.getRawRequest(l):await this.getNodeRequest(l),r={hostname:o.hostname,port:o.port?parseInt(o.port):o.protocol==="https:"?443:80,protocol:o.protocol,path:o.path,method:l.type||"GET",headers:l.headers,agent:l.agent,rejectUnauthorized:(0,b.isBoolean)(l.strictSSL)?l.strictSSL:!0};l.user&&l.password&&(r.auth=l.user+":"+l.password),m=n(r,e=>{const i=(0,b.isNumber)(l.followRedirects)?l.followRedirects:3;if(e.statusCode&&e.statusCode>=300&&e.statusCode<400&&i>0&&e.headers.location)this._request({...l,url:e.headers.location,followRedirects:i-1},d).then(y,c);else{let s=e;e.headers["content-encoding"]==="gzip"&&(s=e.pipe((0,P.createGunzip)())),y({res:e,stream:(0,S.streamToBufferReadableStream)(s)})}}),m.on("error",c),l.timeout&&m.setTimeout(l.timeout),l.data&&typeof l.data=="string"&&m.write(l.data),m.end(),d.onCancellationRequested(()=>{m.abort(),c((0,R.canceled)())})})}async resolveProxy(l){}};h=ve([ae(0,u.IConfigurationService),ae(1,v.INativeEnvironmentService),ae(2,O.ILogService)],h),t.RequestService=h}),define(Q[139],Z([0,1,33,3,17,28,6,2,10,11,29,9,15,25,105,49,111,20,88,118,22,107,127,16,98,100,39,95,51,52,110,13,102,120,32,42,128,116,31,119,35,121,122,36,124]),function(x,t,L,D,S,R,C,b,u,v,I,O,g,P,h,w,l,d,y,c,m,o,n,r,e,i,s,a,f,p,E,T,F,B,J,se,ie,te,ge,W,$,re,M,A,j){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.main=void 0;class H extends b.Disposable{constructor(ee){super();this.argv=ee,this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[ee,G]=await this.initServices();return ee.invokeFunction(async le=>{const U=le.get(T.ILogService),N=le.get(r.IFileService),_=le.get(d.INativeEnvironmentService),z=le.get(m.IExtensionManagementCLIService);U.info("CLI main",this.argv),this.registerErrorHandler(U),await this.doRun(_,z,N),await Promise.all(G.map(X=>{(0,D.raceTimeout)(X.flush(),1e3)}))})}async initServices(){const ee=new f.ServiceCollection,G={_serviceBrand:void 0,...B.default};ee.set(J.IProductService,G);const le=new y.NativeEnvironmentService(this.argv,G);ee.set(d.INativeEnvironmentService,le),await Promise.all([le.appSettingsHome.fsPath,le.extensionsPath].map(ce=>ce?g.Promises.mkdir(ce,{recursive:!0}):void 0));const U=(0,T.getLogLevel)(le),N=[];N.push(new F.SpdLogLogger("cli",(0,v.join)(le.logsPath,"cli.log"),!0,!1,U)),U===T.LogLevel.Trace&&N.push(new T.ConsoleLogger(U));const _=this._register(new T.MultiplexLogService(N));ee.set(T.ILogService,_);const z=this._register(new e.FileService(_));ee.set(r.IFileService,z);const X=this._register(new i.DiskFileSystemProvider(_));z.registerProvider(u.Schemas.file,X);const Y=this._register(new h.ConfigurationService(le.settingsResource,z));ee.set(P.IConfigurationService,Y),await Y.initialize(),ee.set(A.IUriIdentityService,new j.UriIdentityService(z)),ee.set(se.IRequestService,new s.SyncDescriptor(ie.RequestService)),ee.set(w.IDownloadService,new s.SyncDescriptor(l.DownloadService)),ee.set(m.IExtensionManagementService,new s.SyncDescriptor(n.ExtensionManagementService)),ee.set(m.IExtensionGalleryService,new s.SyncDescriptor(c.ExtensionGalleryServiceWithNoStorageService)),ee.set(m.IExtensionManagementCLIService,new s.SyncDescriptor(o.ExtensionManagementCLIService)),ee.set(p.ILocalizationsService,new s.SyncDescriptor(E.LocalizationsService));const he=[];if((0,$.supportsTelemetry)(G,le)){G.aiConfig&&G.aiConfig.asimovKey&&he.push(new re.AppInsightsAppender("monacoworkbench",null,G.aiConfig.asimovKey));const{appRoot:ce,extensionsPath:de,installSourcePath:oe}=le,pe={appenders:he,sendErrorTelemetry:!1,commonProperties:(async()=>{let ue;try{const ye=await g.Promises.readFile((0,v.join)(le.userDataPath,"storage.json"));ue=JSON.parse(ye.toString())[ge.machineIdKey]}catch(ye){ye.code!=="ENOENT"&&_.error(ye)}return(0,te.resolveCommonProperties)(z,(0,L.release)(),(0,L.hostname)(),process.arch,G.commit,G.version,ue,G.msftInternalDomains,oe)})(),piiPaths:[ce,de]};ee.set(ge.ITelemetryService,new s.SyncDescriptor(W.TelemetryService,[pe]))}else ee.set(ge.ITelemetryService,$.NullTelemetryService);return[new a.InstantiationService(ee),he]}registerErrorHandler(ee){(0,C.setUnexpectedErrorHandler)(G=>{const le=(0,R.toErrorMessage)(G,!0);!le||ee.error(`[uncaught exception in CLI]: ${le}`)}),process.on("uncaughtException",G=>(0,C.onUnexpectedError)(G)),process.on("unhandledRejection",G=>(0,C.onUnexpectedError)(G))}async doRun(ee,G,le){if(this.argv["install-source"])return this.setInstallSource(ee,le,this.argv["install-source"]);if(this.argv["list-extensions"])return G.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"]){const U={isMachineScoped:!!this.argv["do-not-sync"],installPreReleaseVersion:!!this.argv["pre-release"]};return G.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],U,!!this.argv.force)}else{if(this.argv["uninstall-extension"])return G.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return G.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(await(0,M.buildTelemetryMessage)(ee.appRoot,ee.extensionsPath))}}asExtensionIdOrVSIX(ee){return ee.map(G=>/\.vsix$/i.test(G)?O.URI.file((0,v.isAbsolute)(G)?G:(0,v.join)((0,I.cwd)(),G)):G)}async setInstallSource(ee,G,le){await G.writeFile(O.URI.file(ee.installSourcePath),S.VSBuffer.fromString(le.slice(0,30)))}}async function ne(K){const ee=new H(K);try{await ee.run()}finally{ee.dispose()}}t.main=ne})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/753319a08f8e74700b1dba3a29bf0a6af7c2953f/core/vs/code/node/cliProcessMain.js.map
