/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var pe=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/path","vs/base/common/strings","vs/base/common/network","vs/platform/log/common/log","vs/base/common/platform","vs/base/common/types","vs/workbench/api/common/extHostRpcService","vs/base/common/errors","vs/base/common/arrays","vs/workbench/api/common/extHostTypeConverters","vs/base/common/async","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/cancellation","vs/base/common/buffer","vs/base/common/resources","vs/base/common/map","vs/base/common/objects","vs/workbench/api/common/extHostInitDataService","vs/platform/extensions/common/extensions","vs/base/common/extpath","vs/base/node/pfs","vs/workbench/services/extensions/common/extensions","vs/workbench/services/search/common/search","vs/base/common/glob","vs/base/common/uuid","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","child_process","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/editor/common/core/range","vs/platform/files/common/files","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostDocumentsAndEditors","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/severity","vs/editor/common/core/position","vs/base/common/errorMessage","vs/platform/registry/common/platform","vs/workbench/api/common/extHostTunnelService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostDebugService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/json","vs/base/common/marshalling","fs","vs/platform/instantiation/common/extensions","vs/platform/contextkey/common/contextkey","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/codicons","vs/base/common/collections","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/numbers","vs/base/common/normalization","vs/base/common/labels","os","vs/editor/common/languages/languageSelector","vs/editor/common/languages","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/api/common/shared/webview","vs/workbench/contrib/testing/common/testId","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/mime","vs/base/common/processes","vs/base/common/stream","vs/base/common/filters","vs/base/common/htmlContent","vs/base/common/uint","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/uriIpc","string_decoder","vs/base/node/extpath","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/base/node/processes","vs/editor/common/config/editorOptions","vs/platform/instantiation/common/descriptors","vs/platform/configuration/common/configuration","vs/platform/markers/common/markers","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/tunnel","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/cache","vs/base/common/iconLabels","vs/base/node/decoder","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/languages/tokenizationRegistry","vs/editor/common/model/textModelSearch","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/api/node/extHostTunnelService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/editor/common/services/model","vs/editor/common/languages/languageFeatureRegistry","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/instantiation/common/instantiationService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/opener/common/opener","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/shared/treeDataTransfer","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/editor","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/output/common/output","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostLoggerService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/textfile/common/encoding","vs/workbench/services/views/common/treeViewsDragAndDropService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/services/extensions/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","util","vs/base/common/marked/marked","https","tls","vscode-proxy-agent","events","vscode-regexpp","crypto","zlib","minimist","vs/workbench/services/extensions/node/extensionHostProcess"],ve=function(X){for(var e=[],f=0,i=X.length;f<i;f++)e[f]=pe[X[f]];return e};define(pe[56],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function f(i,I){if(!i)throw new Error(I?`Assertion failed (${I})`:"Assertion Failed")}e.ok=f}),define(pe[74],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function f(T){return T?T.replace(/\$\((.*?)\)/g,(P,y)=>` ${y} `).trim():""}e.getCodiconAriaLabel=f;class i{constructor(P,y,A){this.id=P,this.definition=y,this.description=A,i._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return i._allCodicons}}e.Codicon=i,i._allCodicons=[],i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",i.add.definition),i.gistNew=new i("gist-new",i.add.definition),i.repoCreate=new i("repo-create",i.add.definition),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eba4"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolCustomColor=new i("symbol-customcolor",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.workspaceTrusted=new i("workspace-trusted",{fontCharacter:"\\ebc1"}),i.workspaceUntrusted=new i("workspace-untrusted",{fontCharacter:"\\ebc2"}),i.workspaceUnspecified=new i("workspace-unspecified",{fontCharacter:"\\ebc3"}),i.terminalCmd=new i("terminal-cmd",{fontCharacter:"\\ebc4"}),i.terminalDebian=new i("terminal-debian",{fontCharacter:"\\ebc5"}),i.terminalLinux=new i("terminal-linux",{fontCharacter:"\\ebc6"}),i.terminalPowershell=new i("terminal-powershell",{fontCharacter:"\\ebc7"}),i.terminalTmux=new i("terminal-tmux",{fontCharacter:"\\ebc8"}),i.terminalUbuntu=new i("terminal-ubuntu",{fontCharacter:"\\ebc9"}),i.terminalBash=new i("terminal-bash",{fontCharacter:"\\ebca"}),i.arrowSwap=new i("arrow-swap",{fontCharacter:"\\ebcb"}),i.copy=new i("copy",{fontCharacter:"\\ebcc"}),i.personAdd=new i("person-add",{fontCharacter:"\\ebcd"}),i.filterFilled=new i("filter-filled",{fontCharacter:"\\ebce"}),i.wand=new i("wand",{fontCharacter:"\\ebcf"}),i.debugLineByLine=new i("debug-line-by-line",{fontCharacter:"\\ebd0"}),i.inspect=new i("inspect",{fontCharacter:"\\ebd1"}),i.layers=new i("layers",{fontCharacter:"\\ebd2"}),i.layersDot=new i("layers-dot",{fontCharacter:"\\ebd3"}),i.layersActive=new i("layers-active",{fontCharacter:"\\ebd4"}),i.compass=new i("compass",{fontCharacter:"\\ebd5"}),i.compassDot=new i("compass-dot",{fontCharacter:"\\ebd6"}),i.compassActive=new i("compass-active",{fontCharacter:"\\ebd7"}),i.azure=new i("azure",{fontCharacter:"\\ebd8"}),i.issueDraft=new i("issue-draft",{fontCharacter:"\\ebd9"}),i.gitPullRequestClosed=new i("git-pull-request-closed",{fontCharacter:"\\ebda"}),i.gitPullRequestDraft=new i("git-pull-request-draft",{fontCharacter:"\\ebdb"}),i.debugAll=new i("debug-all",{fontCharacter:"\\ebdc"}),i.debugCoverage=new i("debug-coverage",{fontCharacter:"\\ebdd"}),i.runErrors=new i("run-errors",{fontCharacter:"\\ebde"}),i.folderLibrary=new i("folder-library",{fontCharacter:"\\ebdf"}),i.debugContinueSmall=new i("debug-continue-small",{fontCharacter:"\\ebe0"}),i.beakerStop=new i("beaker-stop",{fontCharacter:"\\ebe1"}),i.graphLine=new i("graph-line",{fontCharacter:"\\ebe2"}),i.graphScatter=new i("graph-scatter",{fontCharacter:"\\ebe3"}),i.pieChart=new i("pie-chart",{fontCharacter:"\\ebe4"}),i.bracket=new i("bracket",i.json.definition),i.bracketDot=new i("bracket-dot",{fontCharacter:"\\ebe5"}),i.bracketError=new i("bracket-error",{fontCharacter:"\\ebe6"}),i.lockSmall=new i("lock-small",{fontCharacter:"\\ebe7"}),i.azureDevops=new i("azure-devops",{fontCharacter:"\\ebe8"}),i.verifiedFilled=new i("verified-filled",{fontCharacter:"\\ebe9"}),i.newLine=new i("newline",{fontCharacter:"\\ebea"}),i.layout=new i("layout",{fontCharacter:"\\ebeb"}),i.dialogError=new i("dialog-error",i.error.definition),i.dialogWarning=new i("dialog-warning",i.warning.definition),i.dialogInfo=new i("dialog-info",i.info.definition),i.dialogClose=new i("dialog-close",i.close.definition),i.treeItemExpanded=new i("tree-item-expanded",i.chevronDown.definition),i.treeFilterOnTypeOn=new i("tree-filter-on-type-on",i.listFilter.definition),i.treeFilterOnTypeOff=new i("tree-filter-on-type-off",i.listSelection.definition),i.treeFilterClear=new i("tree-filter-clear",i.close.definition),i.treeItemLoading=new i("tree-item-loading",i.loading.definition),i.menuSelection=new i("menu-selection",i.check.definition),i.menuSubmenu=new i("menu-submenu",i.chevronRight.definition),i.menuBarMore=new i("menubar-more",i.more.definition),i.scrollbarButtonLeft=new i("scrollbar-button-left",i.triangleLeft.definition),i.scrollbarButtonRight=new i("scrollbar-button-right",i.triangleRight.definition),i.scrollbarButtonUp=new i("scrollbar-button-up",i.triangleUp.definition),i.scrollbarButtonDown=new i("scrollbar-button-down",i.triangleDown.definition),i.toolBarMore=new i("toolbar-more",i.more.definition),i.quickInputBack=new i("quick-input-back",i.arrowLeft.definition);function I(T,P){const y=["codicon","codicon-"+T];return P&&y.push("codicon-modifier-"+P),y}e.getClassNamesArray=I;var C;(function(T){T.iconNameSegment="[A-Za-z0-9]+",T.iconNameExpression="[A-Za-z0-9-]+",T.iconModifierExpression="~[A-Za-z]+",T.iconNameCharacter="[A-Za-z0-9~-]";const P=new RegExp(`^(${T.iconNameExpression})(${T.iconModifierExpression})?$`);function y(D){if(D instanceof i)return["codicon","codicon-"+D.id];const c=P.exec(D.id);if(!c)return y(i.error);let[,E,g]=c;const w=["codicon","codicon-"+E];return g&&w.push("codicon-modifier-"+g.substr(1)),w}T.asClassNameArray=y;function A(D){return y(D).join(" ")}T.asClassName=A;function L(D){return"."+y(D).join(".")}T.asCSSSelector=L})(C=e.CSSIcon||(e.CSSIcon={}))}),define(pe[75],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const f=Object.prototype.hasOwnProperty;function i(L){const D=[];for(let c in L)f.call(L,c)&&D.push(L[c]);return D}e.values=i;function I(L,D){for(let c in L)if(f.call(L,c)&&D({key:c,value:L[c]},function(){delete L[c]})===!1)return}e.forEach=I;function C(L,D){const c=Object.create(null);for(const E of L){const g=D(E);let w=c[g];w||(w=c[g]=[]),w.push(E)}return c}e.groupBy=C;function T(L){const D=Object.create(null);return L&&L.forEach((c,E)=>{D[E]=c}),D}e.fromMap=T;function P(L,D){const c=[],E=[];for(let g of L)D.has(g)||c.push(g);for(let g of D)L.has(g)||E.push(g);return{removed:c,added:E}}e.diffSets=P;function y(L,D){const c=[],E=[];for(let[g,w]of L)D.has(g)||c.push(w);for(let[g,w]of D)L.has(g)||E.push(w);return{removed:c,added:E}}e.diffMaps=y;class A{constructor(){this.map=new Map}add(D,c){let E=this.map.get(D);E||(E=new Set,this.map.set(D,E)),E.add(c)}delete(D,c){const E=this.map.get(D);!E||(E.delete(c),E.size===0&&this.map.delete(D))}forEach(D,c){const E=this.map.get(D);!E||E.forEach(c)}}e.SetMap=A}),define(pe[57],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function f(T){return(P,y,A)=>{let L=null,D=null;if(typeof A.value=="function"?(L="value",D=A.value):typeof A.get=="function"&&(L="get",D=A.get),!D)throw new Error("not supported");A[L]=T(D,y)}}e.createDecorator=f;function i(T,P,y){let A=null,L=null;if(typeof y.value=="function"?(A="value",L=y.value,L.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof y.get=="function"&&(A="get",L=y.get),!L)throw new Error("not supported");const D=`$memoize$${P}`;y[A]=function(...c){return this.hasOwnProperty(D)||Object.defineProperty(this,D,{configurable:!1,enumerable:!1,writable:!1,value:L.apply(this,c)}),this[D]}}e.memoize=i;function I(T,P,y){return f((A,L)=>{const D=`$debounce$${L}`,c=`$debounce$result$${L}`;return function(...E){this[c]||(this[c]=y?y():void 0),clearTimeout(this[D]),P&&(this[c]=P(this[c],...E),E=[this[c]]),this[D]=setTimeout(()=>{A.apply(this,E),this[c]=y?y():void 0},T)}})}e.debounce=I;function C(T,P,y){return f((A,L)=>{const D=`$throttle$timer$${L}`,c=`$throttle$result$${L}`,E=`$throttle$lastRun$${L}`,g=`$throttle$pending$${L}`;return function(...w){if(this[c]||(this[c]=y?y():void 0),(this[E]===null||this[E]===void 0)&&(this[E]=-Number.MAX_VALUE),P&&(this[c]=P(this[c],...w)),this[g])return;const v=this[E]+T;v<=Date.now()?(this[E]=Date.now(),A.apply(this,[this[c]]),this[c]=y?y():void 0):(this[g]=!0,this[D]=setTimeout(()=>{this[g]=!1,this[E]=Date.now(),A.apply(this,[this[c]]),this[c]=y?y():void 0},v-Date.now()))}})}e.throttle=C}),define(pe[15],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class f{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(a){setTimeout(()=>{throw a.stack?new Error(a.message+`

`+a.stack):a},0)}}addListener(a){return this.listeners.push(a),()=>{this._removeListener(a)}}emit(a){this.listeners.forEach(S=>{S(a)})}_removeListener(a){this.listeners.splice(this.listeners.indexOf(a),1)}setUnexpectedErrorHandler(a){this.unexpectedErrorHandler=a}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(a){this.unexpectedErrorHandler(a),this.emit(a)}onUnexpectedExternalError(a){this.unexpectedErrorHandler(a)}}e.ErrorHandler=f,e.errorHandler=new f;function i(m){e.errorHandler.setUnexpectedErrorHandler(m)}e.setUnexpectedErrorHandler=i;function I(m){y(m)||e.errorHandler.onUnexpectedError(m)}e.onUnexpectedError=I;function C(m){y(m)||e.errorHandler.onUnexpectedExternalError(m)}e.onUnexpectedExternalError=C;function T(m){if(m instanceof Error){let{name:a,message:S}=m;const r=m.stacktrace||m.stack;return{$isError:!0,name:a,message:S,stack:r}}return m}e.transformErrorForSerialization=T;const P="Canceled";function y(m){return m instanceof Error&&m.name===P&&m.message===P}e.isPromiseCanceledError=y;class A extends Error{constructor(){super(P);this.name=this.message}}e.CancellationError=A;function L(){const m=new Error(P);return m.name=m.message,m}e.canceled=L;function D(m){return m?new Error(`Illegal argument: ${m}`):new Error("Illegal argument")}e.illegalArgument=D;function c(m){return m?new Error(`Illegal state: ${m}`):new Error("Illegal state")}e.illegalState=c;function E(m){return m?new Error(`readonly property '${m} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=E;function g(m){const a=new Error(`${m} has been disposed`);return a.name="DISPOSED",a}e.disposed=g;function w(m){return m?m.message?m.message:m.stack?m.stack.split(`
`)[0]:String(m):"Error"}e.getErrorMessage=w;class v extends Error{constructor(a){super("NotImplemented");a&&(this.message=a)}}e.NotImplementedError=v;class R extends Error{constructor(a){super("NotSupported");a&&(this.message=a)}}e.NotSupportedError=R;class _ extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=_;function s(m){const a=m;return a instanceof Error&&Array.isArray(a.actions)}e.isErrorWithActions=s;function n(m,a=Object.create(null)){const S=new Error(m);return a.actions&&(S.actions=a.actions),S}e.createErrorWithActions=n}),define(pe[16],ve([0,1,15]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.compareBy=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function i(z,te=0){return z[z.length-(1+te)]}e.tail=i;function I(z){if(z.length===0)throw new Error("Invalid tail call");return[z.slice(0,z.length-1),z[z.length-1]]}e.tail2=I;function C(z,te,he=(ge,ke)=>ge===ke){if(z===te)return!0;if(!z||!te||z.length!==te.length)return!1;for(let ge=0,ke=z.length;ge<ke;ge++)if(!he(z[ge],te[ge]))return!1;return!0}e.equals=C;function T(z,te,he){let ge=0,ke=z.length-1;for(;ge<=ke;){const Ue=(ge+ke)/2|0,Be=he(z[Ue],te);if(Be<0)ge=Ue+1;else if(Be>0)ke=Ue-1;else return Ue}return-(ge+1)}e.binarySearch=T;function P(z,te){let he=0,ge=z.length;if(ge===0)return 0;for(;he<ge;){const ke=Math.floor((he+ge)/2);te(z[ke])?ge=ke:he=ke+1}return he}e.findFirstInSorted=P;function y(z,te,he){if(z=z|0,z>=te.length)throw new TypeError("invalid index");let ge=te[Math.floor(te.length*Math.random())],ke=[],Ue=[],Be=[];for(let q of te){const Y=he(q,ge);Y<0?ke.push(q):Y>0?Ue.push(q):Be.push(q)}return z<ke.length?y(z,ke,he):z<ke.length+Be.length?Be[0]:y(z-(ke.length+Be.length),Ue,he)}e.quickSelect=y;function A(z,te){const he=[];let ge;for(const ke of z.slice(0).sort(te))!ge||te(ge[0],ke)!==0?(ge=[ke],he.push(ge)):ge.push(ke);return he}e.groupBy=A;function L(z,te,he){const ge=[];function ke(q,Y,re){if(Y===0&&re.length===0)return;const le=ge[ge.length-1];le&&le.start+le.deleteCount===q?(le.deleteCount+=Y,le.toInsert.push(...re)):ge.push({start:q,deleteCount:Y,toInsert:re})}let Ue=0,Be=0;for(;;){if(Ue===z.length){ke(Ue,0,te.slice(Be));break}if(Be===te.length){ke(Ue,z.length-Ue,[]);break}const q=z[Ue],Y=te[Be],re=he(q,Y);re===0?(Ue+=1,Be+=1):re<0?(ke(Ue,1,[]),Ue+=1):re>0&&(ke(Ue,0,[Y]),Be+=1)}return ge}e.sortedDiff=L;function D(z,te,he){const ge=L(z,te,he),ke=[],Ue=[];for(const Be of ge)ke.push(...z.slice(Be.start,Be.start+Be.deleteCount)),Ue.push(...Be.toInsert);return{removed:ke,added:Ue}}e.delta=D;function c(z,te,he){if(he===0)return[];const ge=z.slice(0,he).sort(te);return g(z,te,ge,he,z.length),ge}e.top=c;function E(z,te,he,ge,ke){return he===0?Promise.resolve([]):new Promise((Ue,Be)=>{(async()=>{const q=z.length,Y=z.slice(0,he).sort(te);for(let re=he,le=Math.min(he+ge,q);re<q;re=le,le=Math.min(le+ge,q)){if(re>he&&await new Promise(J=>setTimeout(J)),ke&&ke.isCancellationRequested)throw(0,f.canceled)();g(z,te,Y,re,le)}return Y})().then(Ue,Be)})}e.topAsync=E;function g(z,te,he,ge,ke){for(const Ue=he.length;ge<ke;ge++){const Be=z[ge];if(te(Be,he[Ue-1])<0){he.pop();const q=P(he,Y=>te(Be,Y)<0);he.splice(q,0,Be)}}}function w(z){return z.filter(te=>!!te)}e.coalesce=w;function v(z){let te=0;for(let he=0;he<z.length;he++)z[he]&&(z[te]=z[he],te+=1);z.length=te}e.coalesceInPlace=v;function R(z,te,he){z.splice(he,0,z.splice(te,1)[0])}e.move=R;function _(z){return!Array.isArray(z)||z.length===0}e.isFalsyOrEmpty=_;function s(z){return Array.isArray(z)&&z.length>0}e.isNonEmptyArray=s;function n(z,te=he=>he){const he=new Set;return z.filter(ge=>{const ke=te(ge);return he.has(ke)?!1:(he.add(ke),!0)})}e.distinct=n;function m(z){const te=new Set;return he=>{const ge=z(he);return te.has(ge)?!1:(te.add(ge),!0)}}e.uniqueFilter=m;function a(z,te){const he=S(z,te);if(he!==-1)return z[he]}e.findLast=a;function S(z,te){for(let he=z.length-1;he>=0;he--){const ge=z[he];if(te(ge))return he}return-1}e.lastIndex=S;function r(z,te){return z.length>0?z[0]:te}e.firstOrDefault=r;function t(z,te,he=(ge,ke)=>ge===ke){let ge=0;for(let ke=0,Ue=Math.min(z.length,te.length);ke<Ue&&he(z[ke],te[ke]);ke++)ge++;return ge}e.commonPrefixLength=t;function o(z){return[].concat(...z)}e.flatten=o;function d(z,te){let he=typeof te=="number"?z:0;typeof te=="number"?he=z:(he=0,te=z);const ge=[];if(he<=te)for(let ke=he;ke<te;ke++)ge.push(ke);else for(let ke=he;ke>te;ke--)ge.push(ke);return ge}e.range=d;function l(z,te,he){return z.reduce((ge,ke)=>(ge[te(ke)]=he?he(ke):ke,ge),Object.create(null))}e.index=l;function u(z,te){return z.push(te),()=>h(z,te)}e.insert=u;function h(z,te){const he=z.indexOf(te);if(he>-1)return z.splice(he,1),te}e.remove=h;function b(z,te,he){const ge=z.slice(0,te),ke=z.slice(te);return ge.concat(he,ke)}e.arrayInsert=b;function p(z,te){let he;if(typeof te=="number"){let ge=te;he=()=>{const ke=Math.sin(ge++)*179426549;return ke-Math.floor(ke)}}else he=Math.random;for(let ge=z.length-1;ge>0;ge-=1){const ke=Math.floor(he()*(ge+1)),Ue=z[ge];z[ge]=z[ke],z[ke]=Ue}}e.shuffle=p;function k(z,te){const he=z.indexOf(te);he>-1&&(z.splice(he,1),z.unshift(te))}e.pushToStart=k;function O(z,te){const he=z.indexOf(te);he>-1&&(z.splice(he,1),z.push(te))}e.pushToEnd=O;function U(z,te){return Array.isArray(z)?z.map(te):te(z)}e.mapArrayOrNot=U;function F(z){return Array.isArray(z)?z:[z]}e.asArray=F;function M(z){return z[Math.floor(Math.random()*z.length)]}e.getRandomElement=M;function V(z,te){for(const he of z){const ge=te(he);if(ge!==void 0)return ge}}e.mapFind=V;function H(z,te,he){const ge=x(z,te),ke=z.length,Ue=he.length;z.length=ke+Ue;for(let Be=ke-1;Be>=ge;Be--)z[Be+Ue]=z[Be];for(let Be=0;Be<Ue;Be++)z[Be+ge]=he[Be]}e.insertInto=H;function N(z,te,he,ge){const ke=x(z,te),Ue=z.splice(ke,he);return H(z,ke,ge),Ue}e.splice=N;function x(z,te){return te<0?Math.max(te+z.length,0):Math.min(te,z.length)}function W(z,te){return(he,ge)=>te(z(he),z(ge))}e.compareBy=W;const B=(z,te)=>z-te;e.numberComparator=B;function j(z,te){if(z.length===0)return;let he=z[0];for(let ge=1;ge<z.length;ge++){const ke=z[ge];te(ke,he)>0&&(he=ke)}return he}e.findMaxBy=j;function Z(z,te){if(z.length===0)return;let he=z[0];for(let ge=1;ge<z.length;ge++){const ke=z[ge];te(ke,he)>=0&&(he=ke)}return he}e.findLastMaxBy=Z;function se(z,te){return j(z,(he,ge)=>-te(he,ge))}e.findMinBy=se;class Q{constructor(te){this.items=te,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(te){let he=this.firstIdx;for(;he<this.items.length&&te(this.items[he]);)he++;const ge=he===this.firstIdx?null:this.items.slice(this.firstIdx,he);return this.firstIdx=he,ge}takeFromEndWhile(te){let he=this.lastIdx;for(;he>=0&&te(this.items[he]);)he--;const ge=he===this.lastIdx?null:this.items.slice(he+1,this.lastIdx+1);return this.lastIdx=he,ge}peek(){return this.items[this.firstIdx]}dequeue(){const te=this.items[this.firstIdx];return this.firstIdx++,te}takeCount(te){const he=this.items.slice(this.firstIdx,this.firstIdx+te);return this.firstIdx+=te,he}}e.ArrayQueue=Q}),define(pe[76],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function f(i){const I=this;let C=!1,T;return function(){return C||(C=!0,T=i.apply(I,arguments)),T}}e.once=f}),define(pe[77],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class f{constructor(I){this._prefix=I,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=f,e.defaultGenerator=new f("id#")}),define(pe[78],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var f;(function(i){function I(m){return m&&typeof m=="object"&&typeof m[Symbol.iterator]=="function"}i.is=I;const C=Object.freeze([]);function T(){return C}i.empty=T;function*P(m){yield m}i.single=P;function y(m){return m||C}i.from=y;function A(m){return!m||m[Symbol.iterator]().next().done===!0}i.isEmpty=A;function L(m){return m[Symbol.iterator]().next().value}i.first=L;function D(m,a){for(const S of m)if(a(S))return!0;return!1}i.some=D;function c(m,a){for(const S of m)if(a(S))return S}i.find=c;function*E(m,a){for(const S of m)a(S)&&(yield S)}i.filter=E;function*g(m,a){let S=0;for(const r of m)yield a(r,S++)}i.map=g;function*w(...m){for(const a of m)for(const S of a)yield S}i.concat=w;function*v(m){for(const a of m)for(const S of a)yield S}i.concatNested=v;function R(m,a,S){let r=S;for(const t of m)r=a(r,t);return r}i.reduce=R;function*_(m,a,S=m.length){for(a<0&&(a+=m.length),S<0?S+=m.length:S>m.length&&(S=m.length);a<S;a++)yield m[a]}i.slice=_;function s(m,a=Number.POSITIVE_INFINITY){const S=[];if(a===0)return[S,m];const r=m[Symbol.iterator]();for(let t=0;t<a;t++){const o=r.next();if(o.done)return[S,i.empty()];S.push(o.value)}return[S,{[Symbol.iterator](){return r}}]}i.consume=s;function n(m,a,S=(r,t)=>r===t){const r=m[Symbol.iterator](),t=a[Symbol.iterator]();for(;;){const o=r.next(),d=t.next();if(o.done!==d.done)return!1;if(o.done)return!0;if(!S(o.value,d.value))return!1}}i.equals=n})(f=e.Iterable||(e.Iterable={}))}),define(pe[58],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var f;(function(a){a[a.None=0]="None",a[a.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=2]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",a[a.InvalidUnicode=4]="InvalidUnicode",a[a.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",a[a.InvalidCharacter=6]="InvalidCharacter"})(f=e.ScanError||(e.ScanError={}));var i;(function(a){a[a.OpenBraceToken=1]="OpenBraceToken",a[a.CloseBraceToken=2]="CloseBraceToken",a[a.OpenBracketToken=3]="OpenBracketToken",a[a.CloseBracketToken=4]="CloseBracketToken",a[a.CommaToken=5]="CommaToken",a[a.ColonToken=6]="ColonToken",a[a.NullKeyword=7]="NullKeyword",a[a.TrueKeyword=8]="TrueKeyword",a[a.FalseKeyword=9]="FalseKeyword",a[a.StringLiteral=10]="StringLiteral",a[a.NumericLiteral=11]="NumericLiteral",a[a.LineCommentTrivia=12]="LineCommentTrivia",a[a.BlockCommentTrivia=13]="BlockCommentTrivia",a[a.LineBreakTrivia=14]="LineBreakTrivia",a[a.Trivia=15]="Trivia",a[a.Unknown=16]="Unknown",a[a.EOF=17]="EOF"})(i=e.SyntaxKind||(e.SyntaxKind={}));var I;(function(a){a[a.InvalidSymbol=1]="InvalidSymbol",a[a.InvalidNumberFormat=2]="InvalidNumberFormat",a[a.PropertyNameExpected=3]="PropertyNameExpected",a[a.ValueExpected=4]="ValueExpected",a[a.ColonExpected=5]="ColonExpected",a[a.CommaExpected=6]="CommaExpected",a[a.CloseBraceExpected=7]="CloseBraceExpected",a[a.CloseBracketExpected=8]="CloseBracketExpected",a[a.EndOfFileExpected=9]="EndOfFileExpected",a[a.InvalidCommentToken=10]="InvalidCommentToken",a[a.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=12]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",a[a.InvalidUnicode=14]="InvalidUnicode",a[a.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",a[a.InvalidCharacter=16]="InvalidCharacter"})(I=e.ParseErrorCode||(e.ParseErrorCode={}));var C;(function(a){a.DEFAULT={allowTrailingComma:!0}})(C=e.ParseOptions||(e.ParseOptions={}));function T(a,S=!1){let r=0,t=a.length,o="",d=0,l=16,u=0;function h(M){let V=0,H=0;for(;V<M;){const N=a.charCodeAt(r);if(N>=48&&N<=57)H=H*16+N-48;else if(N>=65&&N<=70)H=H*16+N-65+10;else if(N>=97&&N<=102)H=H*16+N-97+10;else break;r++,V++}return V<M&&(H=-1),H}function b(M){r=M,o="",d=0,l=16,u=0}function p(){const M=r;if(a.charCodeAt(r)===48)r++;else for(r++;r<a.length&&A(a.charCodeAt(r));)r++;if(r<a.length&&a.charCodeAt(r)===46)if(r++,r<a.length&&A(a.charCodeAt(r)))for(r++;r<a.length&&A(a.charCodeAt(r));)r++;else return u=3,a.substring(M,r);let V=r;if(r<a.length&&(a.charCodeAt(r)===69||a.charCodeAt(r)===101))if(r++,(r<a.length&&a.charCodeAt(r)===43||a.charCodeAt(r)===45)&&r++,r<a.length&&A(a.charCodeAt(r))){for(r++;r<a.length&&A(a.charCodeAt(r));)r++;V=r}else u=3;return a.substring(M,V)}function k(){let M="",V=r;for(;;){if(r>=t){M+=a.substring(V,r),u=2;break}const H=a.charCodeAt(r);if(H===34){M+=a.substring(V,r),r++;break}if(H===92){if(M+=a.substring(V,r),r++,r>=t){u=2;break}switch(a.charCodeAt(r++)){case 34:M+='"';break;case 92:M+="\\";break;case 47:M+="/";break;case 98:M+="\b";break;case 102:M+="\f";break;case 110:M+=`
`;break;case 114:M+="\r";break;case 116:M+="	";break;case 117:{const x=h(4);x>=0?M+=String.fromCharCode(x):u=4;break}default:u=5}V=r;continue}if(H>=0&&H<=31)if(y(H)){M+=a.substring(V,r),u=2;break}else u=6;r++}return M}function O(){if(o="",u=0,d=r,r>=t)return d=t,l=17;let M=a.charCodeAt(r);if(P(M)){do r++,o+=String.fromCharCode(M),M=a.charCodeAt(r);while(P(M));return l=15}if(y(M))return r++,o+=String.fromCharCode(M),M===13&&a.charCodeAt(r)===10&&(r++,o+=`
`),l=14;switch(M){case 123:return r++,l=1;case 125:return r++,l=2;case 91:return r++,l=3;case 93:return r++,l=4;case 58:return r++,l=6;case 44:return r++,l=5;case 34:return r++,o=k(),l=10;case 47:{const V=r-1;if(a.charCodeAt(r+1)===47){for(r+=2;r<t&&!y(a.charCodeAt(r));)r++;return o=a.substring(V,r),l=12}if(a.charCodeAt(r+1)===42){r+=2;const H=t-1;let N=!1;for(;r<H;){if(a.charCodeAt(r)===42&&a.charCodeAt(r+1)===47){r+=2,N=!0;break}r++}return N||(r++,u=1),o=a.substring(V,r),l=13}return o+=String.fromCharCode(M),r++,l=16}case 45:if(o+=String.fromCharCode(M),r++,r===t||!A(a.charCodeAt(r)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=p(),l=11;default:for(;r<t&&U(M);)r++,M=a.charCodeAt(r);if(d!==r){switch(o=a.substring(d,r),o){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return o+=String.fromCharCode(M),r++,l=16}}function U(M){if(P(M)||y(M))return!1;switch(M){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function F(){let M;do M=O();while(M>=12&&M<=15);return M}return{setPosition:b,getPosition:()=>r,scan:S?F:O,getToken:()=>l,getTokenValue:()=>o,getTokenOffset:()=>d,getTokenLength:()=>r-d,getTokenError:()=>u}}e.createScanner=T;function P(a){return a===32||a===9||a===11||a===12||a===160||a===5760||a>=8192&&a<=8203||a===8239||a===8287||a===12288||a===65279}function y(a){return a===10||a===13||a===8232||a===8233}function A(a){return a>=48&&a<=57}var L;(function(a){a[a.nullCharacter=0]="nullCharacter",a[a.maxAsciiCharacter=127]="maxAsciiCharacter",a[a.lineFeed=10]="lineFeed",a[a.carriageReturn=13]="carriageReturn",a[a.lineSeparator=8232]="lineSeparator",a[a.paragraphSeparator=8233]="paragraphSeparator",a[a.nextLine=133]="nextLine",a[a.space=32]="space",a[a.nonBreakingSpace=160]="nonBreakingSpace",a[a.enQuad=8192]="enQuad",a[a.emQuad=8193]="emQuad",a[a.enSpace=8194]="enSpace",a[a.emSpace=8195]="emSpace",a[a.threePerEmSpace=8196]="threePerEmSpace",a[a.fourPerEmSpace=8197]="fourPerEmSpace",a[a.sixPerEmSpace=8198]="sixPerEmSpace",a[a.figureSpace=8199]="figureSpace",a[a.punctuationSpace=8200]="punctuationSpace",a[a.thinSpace=8201]="thinSpace",a[a.hairSpace=8202]="hairSpace",a[a.zeroWidthSpace=8203]="zeroWidthSpace",a[a.narrowNoBreakSpace=8239]="narrowNoBreakSpace",a[a.ideographicSpace=12288]="ideographicSpace",a[a.mathematicalSpace=8287]="mathematicalSpace",a[a.ogham=5760]="ogham",a[a._=95]="_",a[a.$=36]="$",a[a._0=48]="_0",a[a._1=49]="_1",a[a._2=50]="_2",a[a._3=51]="_3",a[a._4=52]="_4",a[a._5=53]="_5",a[a._6=54]="_6",a[a._7=55]="_7",a[a._8=56]="_8",a[a._9=57]="_9",a[a.a=97]="a",a[a.b=98]="b",a[a.c=99]="c",a[a.d=100]="d",a[a.e=101]="e",a[a.f=102]="f",a[a.g=103]="g",a[a.h=104]="h",a[a.i=105]="i",a[a.j=106]="j",a[a.k=107]="k",a[a.l=108]="l",a[a.m=109]="m",a[a.n=110]="n",a[a.o=111]="o",a[a.p=112]="p",a[a.q=113]="q",a[a.r=114]="r",a[a.s=115]="s",a[a.t=116]="t",a[a.u=117]="u",a[a.v=118]="v",a[a.w=119]="w",a[a.x=120]="x",a[a.y=121]="y",a[a.z=122]="z",a[a.A=65]="A",a[a.B=66]="B",a[a.C=67]="C",a[a.D=68]="D",a[a.E=69]="E",a[a.F=70]="F",a[a.G=71]="G",a[a.H=72]="H",a[a.I=73]="I",a[a.J=74]="J",a[a.K=75]="K",a[a.L=76]="L",a[a.M=77]="M",a[a.N=78]="N",a[a.O=79]="O",a[a.P=80]="P",a[a.Q=81]="Q",a[a.R=82]="R",a[a.S=83]="S",a[a.T=84]="T",a[a.U=85]="U",a[a.V=86]="V",a[a.W=87]="W",a[a.X=88]="X",a[a.Y=89]="Y",a[a.Z=90]="Z",a[a.ampersand=38]="ampersand",a[a.asterisk=42]="asterisk",a[a.at=64]="at",a[a.backslash=92]="backslash",a[a.bar=124]="bar",a[a.caret=94]="caret",a[a.closeBrace=125]="closeBrace",a[a.closeBracket=93]="closeBracket",a[a.closeParen=41]="closeParen",a[a.colon=58]="colon",a[a.comma=44]="comma",a[a.dot=46]="dot",a[a.doubleQuote=34]="doubleQuote",a[a.equals=61]="equals",a[a.exclamation=33]="exclamation",a[a.greaterThan=62]="greaterThan",a[a.lessThan=60]="lessThan",a[a.minus=45]="minus",a[a.openBrace=123]="openBrace",a[a.openBracket=91]="openBracket",a[a.openParen=40]="openParen",a[a.percent=37]="percent",a[a.plus=43]="plus",a[a.question=63]="question",a[a.semicolon=59]="semicolon",a[a.singleQuote=39]="singleQuote",a[a.slash=47]="slash",a[a.tilde=126]="tilde",a[a.backspace=8]="backspace",a[a.formFeed=12]="formFeed",a[a.byteOrderMark=65279]="byteOrderMark",a[a.tab=9]="tab",a[a.verticalTab=11]="verticalTab"})(L||(L={}));function D(a,S){const r=[],t=new Object;let o;const d={value:{},offset:0,length:0,type:"object",parent:void 0};let l=!1;function u(h,b,p,k){d.value=h,d.offset=b,d.length=p,d.type=k,d.colonOffset=void 0,o=d}try{s(a,{onObjectBegin:(h,b)=>{if(S<=h)throw t;o=void 0,l=S>h,r.push("")},onObjectProperty:(h,b,p)=>{if(S<b||(u(h,b,p,"property"),r[r.length-1]=h,S<=b+p))throw t},onObjectEnd:(h,b)=>{if(S<=h)throw t;o=void 0,r.pop()},onArrayBegin:(h,b)=>{if(S<=h)throw t;o=void 0,r.push(0)},onArrayEnd:(h,b)=>{if(S<=h)throw t;o=void 0,r.pop()},onLiteralValue:(h,b,p)=>{if(S<b||(u(h,b,p,m(h)),S<=b+p))throw t},onSeparator:(h,b,p)=>{if(S<=b)throw t;if(h===":"&&o&&o.type==="property")o.colonOffset=b,l=!1,o=void 0;else if(h===","){const k=r[r.length-1];typeof k=="number"?r[r.length-1]=k+1:(l=!0,r[r.length-1]=""),o=void 0}}})}catch(h){if(h!==t)throw h}return{path:r,previousNode:o,isAtPropertyKey:l,matches:h=>{let b=0;for(let p=0;b<h.length&&p<r.length;p++)if(h[b]===r[p]||h[b]==="*")b++;else if(h[b]!=="**")return!1;return b===h.length}}}e.getLocation=D;function c(a,S=[],r=C.DEFAULT){let t=null,o=[];const d=[];function l(h){Array.isArray(o)?o.push(h):t!==null&&(o[t]=h)}return s(a,{onObjectBegin:()=>{const h={};l(h),d.push(o),o=h,t=null},onObjectProperty:h=>{t=h},onObjectEnd:()=>{o=d.pop()},onArrayBegin:()=>{const h=[];l(h),d.push(o),o=h,t=null},onArrayEnd:()=>{o=d.pop()},onLiteralValue:l,onError:(h,b,p)=>{S.push({error:h,offset:b,length:p})}},r),o[0]}e.parse=c;function E(a,S=[],r=C.DEFAULT){let t={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(h){t.type==="property"&&(t.length=h-t.offset,t=t.parent)}function d(h){return t.children.push(h),h}s(a,{onObjectBegin:h=>{t=d({type:"object",offset:h,length:-1,parent:t,children:[]})},onObjectProperty:(h,b,p)=>{t=d({type:"property",offset:b,length:-1,parent:t,children:[]}),t.children.push({type:"string",value:h,offset:b,length:p,parent:t})},onObjectEnd:(h,b)=>{t.length=h+b-t.offset,t=t.parent,o(h+b)},onArrayBegin:(h,b)=>{t=d({type:"array",offset:h,length:-1,parent:t,children:[]})},onArrayEnd:(h,b)=>{t.length=h+b-t.offset,t=t.parent,o(h+b)},onLiteralValue:(h,b,p)=>{d({type:m(h),offset:b,length:p,parent:t,value:h}),o(b+p)},onSeparator:(h,b,p)=>{t.type==="property"&&(h===":"?t.colonOffset=b:h===","&&o(b))},onError:(h,b,p)=>{S.push({error:h,offset:b,length:p})}},r);const u=t.children[0];return u&&delete u.parent,u}e.parseTree=E;function g(a,S){if(!a)return;let r=a;for(let t of S)if(typeof t=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let o=!1;for(const d of r.children)if(Array.isArray(d.children)&&d.children[0].value===t){r=d.children[1],o=!0;break}if(!o)return}else{const o=t;if(r.type!=="array"||o<0||!Array.isArray(r.children)||o>=r.children.length)return;r=r.children[o]}return r}e.findNodeAtLocation=g;function w(a){if(!a.parent||!a.parent.children)return[];const S=w(a.parent);if(a.parent.type==="property"){const r=a.parent.children[0].value;S.push(r)}else if(a.parent.type==="array"){const r=a.parent.children.indexOf(a);r!==-1&&S.push(r)}return S}e.getNodePath=w;function v(a){switch(a.type){case"array":return a.children.map(v);case"object":{const S=Object.create(null);for(let r of a.children){const t=r.children[1];t&&(S[r.children[0].value]=v(t))}return S}case"null":case"string":case"number":case"boolean":return a.value;default:return}}e.getNodeValue=v;function R(a,S,r=!1){return S>=a.offset&&S<a.offset+a.length||r&&S===a.offset+a.length}e.contains=R;function _(a,S,r=!1){if(R(a,S,r)){const t=a.children;if(Array.isArray(t))for(let o=0;o<t.length&&t[o].offset<=S;o++){const d=_(t[o],S,r);if(d)return d}return a}}e.findNodeAtOffset=_;function s(a,S,r=C.DEFAULT){const t=T(a,!1);function o(Q){return Q?()=>Q(t.getTokenOffset(),t.getTokenLength()):()=>!0}function d(Q){return Q?z=>Q(z,t.getTokenOffset(),t.getTokenLength()):()=>!0}const l=o(S.onObjectBegin),u=d(S.onObjectProperty),h=o(S.onObjectEnd),b=o(S.onArrayBegin),p=o(S.onArrayEnd),k=d(S.onLiteralValue),O=d(S.onSeparator),U=o(S.onComment),F=d(S.onError),M=r&&r.disallowComments,V=r&&r.allowTrailingComma;function H(){for(;;){const Q=t.scan();switch(t.getTokenError()){case 4:N(14);break;case 5:N(15);break;case 3:N(13);break;case 1:M||N(11);break;case 2:N(12);break;case 6:N(16);break}switch(Q){case 12:case 13:M?N(10):U();break;case 16:N(1);break;case 15:case 14:break;default:return Q}}}function N(Q,z=[],te=[]){if(F(Q),z.length+te.length>0){let he=t.getToken();for(;he!==17;){if(z.indexOf(he)!==-1){H();break}else if(te.indexOf(he)!==-1)break;he=H()}}}function x(Q){const z=t.getTokenValue();return Q?k(z):u(z),H(),!0}function W(){switch(t.getToken()){case 11:{let Q=0;try{Q=JSON.parse(t.getTokenValue()),typeof Q!="number"&&(N(2),Q=0)}catch{N(2)}k(Q);break}case 7:k(null);break;case 8:k(!0);break;case 9:k(!1);break;default:return!1}return H(),!0}function B(){return t.getToken()!==10?(N(3,[],[2,5]),!1):(x(!1),t.getToken()===6?(O(":"),H(),se()||N(4,[],[2,5])):N(5,[],[2,5]),!0)}function j(){l(),H();let Q=!1;for(;t.getToken()!==2&&t.getToken()!==17;){if(t.getToken()===5){if(Q||N(4,[],[]),O(","),H(),t.getToken()===2&&V)break}else Q&&N(6,[],[]);B()||N(4,[],[2,5]),Q=!0}return h(),t.getToken()!==2?N(7,[2],[]):H(),!0}function Z(){b(),H();let Q=!1;for(;t.getToken()!==4&&t.getToken()!==17;){if(t.getToken()===5){if(Q||N(4,[],[]),O(","),H(),t.getToken()===4&&V)break}else Q&&N(6,[],[]);se()||N(4,[],[4,5]),Q=!0}return p(),t.getToken()!==4?N(8,[4],[]):H(),!0}function se(){switch(t.getToken()){case 3:return Z();case 1:return j();case 10:return x(!0);default:return W()}}return H(),t.getToken()===17?r.allowEmptyContent?!0:(N(4,[],[]),!1):se()?(t.getToken()!==17&&N(9,[],[]),!0):(N(4,[],[]),!1)}e.visit=s;function n(a,S){let r=T(a),t=[],o,d=0,l;do switch(l=r.getPosition(),o=r.scan(),o){case 12:case 13:case 17:d!==l&&t.push(a.substring(d,l)),S!==void 0&&t.push(r.getTokenValue().replace(/[^\r\n]/g,S)),d=r.getPosition();break}while(o!==17);return t.join("")}e.stripComments=n;function m(a){switch(typeof a){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(a){if(Array.isArray(a))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=m}),define(pe[139],ve([0,1,58]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function i(A,L,D){let c,E,g,w,v;if(L){for(w=L.offset,v=w+L.length,g=w;g>0&&!y(A,g-1);)g--;let l=v;for(;l<A.length&&!y(A,l);)l++;E=A.substring(g,l),c=T(E,D)}else E=A,c=0,g=0,w=0,v=A.length;const R=P(D,A);let _=!1,s=0,n;D.insertSpaces?n=C(" ",D.tabSize||4):n="	";const m=(0,f.createScanner)(E,!1);let a=!1;function S(){return R+C(n,c+s)}function r(){let l=m.scan();for(_=!1;l===15||l===14;)_=_||l===14,l=m.scan();return a=l===16||m.getTokenError()!==0,l}const t=[];function o(l,u,h){!a&&u<v&&h>w&&A.substring(u,h)!==l&&t.push({offset:u,length:h-u,content:l})}let d=r();if(d!==17){const l=m.getTokenOffset()+g,u=C(n,c);o(u,g,l)}for(;d!==17;){let l=m.getTokenOffset()+m.getTokenLength()+g,u=r(),h="";for(;!_&&(u===12||u===13);){const p=m.getTokenOffset()+g;o(" ",l,p),l=m.getTokenOffset()+m.getTokenLength()+g,h=u===12?S():"",u=r()}if(u===2)d!==1&&(s--,h=S());else if(u===4)d!==3&&(s--,h=S());else{switch(d){case 3:case 1:s++,h=S();break;case 5:case 12:h=S();break;case 13:_?h=S():h=" ";break;case 6:h=" ";break;case 10:if(u===6){h="";break}case 7:case 8:case 9:case 11:case 2:case 4:u===12||u===13?h=" ":u!==5&&u!==17&&(a=!0);break;case 16:a=!0;break}_&&(u===12||u===13)&&(h=S())}const b=m.getTokenOffset()+g;o(h,l,b),d=u}return t}e.format=i;function I(A,L){const D=JSON.stringify(A,void 0,L.insertSpaces?L.tabSize||4:"	");return L.eol!==void 0?D.replace(/\r\n|\r|\n/g,L.eol):D}e.toFormattedString=I;function C(A,L){let D="";for(let c=0;c<L;c++)D+=A;return D}function T(A,L){let D=0,c=0;const E=L.tabSize||4;for(;D<A.length;){const g=A.charAt(D);if(g===" ")c++;else if(g==="	")c+=E;else break;D++}return Math.floor(c/E)}function P(A,L){for(let D=0;D<L.length;D++){const c=L.charAt(D);if(c==="\r")return D+1<L.length&&L.charAt(D+1)===`
`?`\r
`:"\r";if(c===`
`)return`
`}return A&&A.eol||`
`}e.getEOL=P;function y(A,L){return`\r
`.indexOf(A.charAt(L))!==-1}e.isEOL=y}),define(pe[140],ve([0,1,58,139]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function I(A,L,D){return C(A,L,void 0,D)}e.removeProperty=I;function C(A,L,D,c,E){const g=L.slice(),w=[],v=(0,f.parseTree)(A,w);let R,_;for(;g.length>0&&(_=g.pop(),R=(0,f.findNodeAtLocation)(v,g),R===void 0&&D!==void 0);)typeof _=="string"?D={[_]:D}:D=[D];if(R)if(R.type==="object"&&typeof _=="string"&&Array.isArray(R.children)){const s=(0,f.findNodeAtLocation)(R,[_]);if(s!==void 0)if(D===void 0){if(!s.parent)throw new Error("Malformed AST");const n=R.children.indexOf(s.parent);let m,a=s.parent.offset+s.parent.length;if(n>0){const S=R.children[n-1];m=S.offset+S.length}else m=R.offset+1,R.children.length>1&&(a=R.children[1].offset);return T(A,{offset:m,length:a-m,content:""},c)}else return T(A,{offset:s.offset,length:s.length,content:JSON.stringify(D)},c);else{if(D===void 0)return[];const n=`${JSON.stringify(_)}: ${JSON.stringify(D)}`,m=E?E(R.children.map(S=>S.children[0].value)):R.children.length;let a;if(m>0){const S=R.children[m-1];a={offset:S.offset+S.length,length:0,content:","+n}}else R.children.length===0?a={offset:R.offset+1,length:0,content:n}:a={offset:R.offset+1,length:0,content:n+","};return T(A,a,c)}}else if(R.type==="array"&&typeof _=="number"&&Array.isArray(R.children))if(D!==void 0){const s=`${JSON.stringify(D)}`;let n;if(R.children.length===0||_===0)n={offset:R.offset+1,length:0,content:R.children.length===0?s:s+","};else{const m=_===-1||_>R.children.length?R.children.length:_,a=R.children[m-1];n={offset:a.offset+a.length,length:0,content:","+s}}return T(A,n,c)}else{const s=_,n=R.children[s];let m;if(R.children.length===1)m={offset:R.offset+1,length:R.length-2,content:""};else if(R.children.length-1===s){const a=R.children[s-1],S=a.offset+a.length,r=R.offset+R.length;m={offset:S,length:r-2-S,content:""}}else m={offset:n.offset,length:R.children[s+1].offset-n.offset,content:""};return T(A,m,c)}else throw new Error(`Can not add ${typeof _!="number"?"index":"property"} to parent of type ${R.type}`);else{if(D===void 0)throw new Error("Can not delete in empty document");return T(A,{offset:v?v.offset:0,length:v?v.length:0,content:JSON.stringify(D)},c)}}e.setProperty=C;function T(A,L,D){let c=P(A,L),E=L.offset,g=L.offset+L.content.length;if(L.length===0||L.content.length===0){for(;E>0&&!(0,i.isEOL)(c,E-1);)E--;for(;g<c.length&&!(0,i.isEOL)(c,g);)g++}const w=(0,i.format)(c,{offset:E,length:g-E},D);for(let R=w.length-1;R>=0;R--){const _=w[R];c=P(c,_),E=Math.min(E,_.offset),g=Math.max(g,_.offset+_.length),g+=_.content.length-_.length}const v=A.length-(c.length-g)-E;return[{offset:E,length:v,content:c.substring(E,g)}]}e.withFormatting=T;function P(A,L){return A.substring(0,L.offset)+L.content+A.substring(L.offset+L.length)}e.applyEdit=P;function y(A,L){let D=L.slice(0).sort((E,g)=>{const w=E.offset-g.offset;return w===0?E.length-g.length:w}),c=A.length;for(let E=D.length-1;E>=0;E--){let g=D[E];if(g.offset+g.length<=c)A=P(A,g);else throw new Error("Overlapping edit");c=g.offset}return A}e.applyEdits=y}),define(pe[93],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class f{constructor(I){this.executor=I,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(I){this._error=I}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(I){return new f(()=>I(this.getValue()))}}e.Lazy=f}),define(pe[6],ve([0,1,76,78]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const I=!1;let C=null;function T(t){C=t}if(e.setDisposableTracker=T,I){const t="__is_disposable_tracked__";T(new class{trackDisposable(o){const d=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[t]||console.log(d)},3e3)}setParent(o,d){if(o&&o!==_.None)try{o[t]=!0}catch{}}markAsDisposed(o){if(o&&o!==_.None)try{o[t]=!0}catch{}}markAsSingleton(o){}})}function P(t){return C?.trackDisposable(t),t}function y(t){C?.markAsDisposed(t)}function A(t,o){C?.setParent(t,o)}function L(t,o){if(!!C)for(const d of t)C.setParent(d,o)}function D(t){return C?.markAsSingleton(t),t}e.markAsSingleton=D;class c extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=c;function E(t){return typeof t.dispose=="function"&&t.dispose.length===0}e.isDisposable=E;function g(t){if(i.Iterable.is(t)){let o=[];for(const d of t)if(d)try{d.dispose()}catch(l){o.push(l)}if(o.length===1)throw o[0];if(o.length>1)throw new c(o);return Array.isArray(t)?[]:t}else if(t)return t.dispose(),t}e.dispose=g;function w(...t){const o=v(()=>g(t));return L(t,o),o}e.combinedDisposable=w;function v(t){const o=P({dispose:(0,f.once)(()=>{y(o),t()})});return o}e.toDisposable=v;class R{constructor(){this._toDispose=new Set,this._isDisposed=!1,P(this)}dispose(){this._isDisposed||(y(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{g(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return A(o,this),this._isDisposed?R.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=R,R.DISABLE_DISPOSED_WARNING=!1;class _{constructor(){this._store=new R,P(this),A(this._store,this)}dispose(){y(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=_,_.None=Object.freeze({dispose(){}});class s{constructor(){this._isDisposed=!1,P(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){this._isDisposed||o===this._value||(this._value?.dispose(),o&&A(o,this),this._value=o)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,y(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const o=this._value;return this._value=void 0,o&&A(o,null),o}}e.MutableDisposable=s;class n{constructor(o){this._disposable=o,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=n;class m{constructor(){this.references=new Map}acquire(o,...d){let l=this.references.get(o);l||(l={counter:0,object:this.createReferencedObject(o,...d)},this.references.set(o,l));const{object:u}=l,h=(0,f.once)(()=>{--l.counter==0&&(this.destroyReferencedObject(o,l.object),this.references.delete(o))});return l.counter++,{object:u,dispose:h}}}e.ReferenceCollection=m;class a{constructor(o){this.referenceCollection=o}async acquire(o,...d){const l=this.referenceCollection.acquire(o,...d);try{return{object:await l.object,dispose:()=>l.dispose()}}catch(u){throw l.dispose(),u}}}e.AsyncReferenceCollection=a;class S{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=S;function r(t){const o=new R;try{t(o)}finally{o.dispose()}}e.disposeOnReturn=r}),define(pe[94],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class f{constructor(C){this.element=C,this.next=f.Undefined,this.prev=f.Undefined}}f.Undefined=new f(void 0);class i{constructor(){this._first=f.Undefined,this._last=f.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===f.Undefined}clear(){let C=this._first;for(;C!==f.Undefined;){const T=C.next;C.prev=f.Undefined,C.next=f.Undefined,C=T}this._first=f.Undefined,this._last=f.Undefined,this._size=0}unshift(C){return this._insert(C,!1)}push(C){return this._insert(C,!0)}_insert(C,T){const P=new f(C);if(this._first===f.Undefined)this._first=P,this._last=P;else if(T){const A=this._last;this._last=P,P.prev=A,A.next=P}else{const A=this._first;this._first=P,P.next=A,A.prev=P}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(P))}}shift(){if(this._first!==f.Undefined){const C=this._first.element;return this._remove(this._first),C}}pop(){if(this._last!==f.Undefined){const C=this._last.element;return this._remove(this._last),C}}_remove(C){if(C.prev!==f.Undefined&&C.next!==f.Undefined){const T=C.prev;T.next=C.next,C.next.prev=T}else C.prev===f.Undefined&&C.next===f.Undefined?(this._first=f.Undefined,this._last=f.Undefined):C.next===f.Undefined?(this._last=this._last.prev,this._last.next=f.Undefined):C.prev===f.Undefined&&(this._first=this._first.next,this._first.prev=f.Undefined);this._size-=1}*[Symbol.iterator](){let C=this._first;for(;C!==f.Undefined;)yield C.element,C=C.next}}e.LinkedList=i}),function(X,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(X=typeof globalThis!="undefined"?globalThis:X||self,X.marked=e())}(this,function(){"use strict";function X(Re,Ae){for(var De=0;De<Ae.length;De++){var ce=Ae[De];ce.enumerable=ce.enumerable||!1,ce.configurable=!0,"value"in ce&&(ce.writable=!0),Object.defineProperty(Re,ce.key,ce)}}function e(Re,Ae,De){return Ae&&X(Re.prototype,Ae),De&&X(Re,De),Re}function f(Re,Ae){if(!!Re){if(typeof Re=="string")return i(Re,Ae);var De=Object.prototype.toString.call(Re).slice(8,-1);if(De==="Object"&&Re.constructor&&(De=Re.constructor.name),De==="Map"||De==="Set")return Array.from(Re);if(De==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(De))return i(Re,Ae)}}function i(Re,Ae){(Ae==null||Ae>Re.length)&&(Ae=Re.length);for(var De=0,ce=new Array(Ae);De<Ae;De++)ce[De]=Re[De];return ce}function I(Re,Ae){var De=typeof Symbol!="undefined"&&Re[Symbol.iterator]||Re["@@iterator"];if(De)return(De=De.call(Re)).next.bind(De);if(Array.isArray(Re)||(De=f(Re))||Ae&&Re&&typeof Re.length=="number"){De&&(Re=De);var ce=0;return function(){return ce>=Re.length?{done:!0}:{done:!1,value:Re[ce++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var C={exports:{}};function T(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function P(Re){C.exports.defaults=Re}C.exports={defaults:T(),getDefaults:T,changeDefaults:P};var y=/[&<>"']/,A=/[&<>"']/g,L=/[<>"']|&(?!#?\w+;)/,D=/[<>"']|&(?!#?\w+;)/g,c={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},E=function(Ae){return c[Ae]};function g(Re,Ae){if(Ae){if(y.test(Re))return Re.replace(A,E)}else if(L.test(Re))return Re.replace(D,E);return Re}var w=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function v(Re){return Re.replace(w,function(Ae,De){return De=De.toLowerCase(),De==="colon"?":":De.charAt(0)==="#"?De.charAt(1)==="x"?String.fromCharCode(parseInt(De.substring(2),16)):String.fromCharCode(+De.substring(1)):""})}var R=/(^|[^\[])\^/g;function _(Re,Ae){Re=Re.source||Re,Ae=Ae||"";var De={replace:function(de,we){return we=we.source||we,we=we.replace(R,"$1"),Re=Re.replace(de,we),De},getRegex:function(){return new RegExp(Re,Ae)}};return De}var s=/[^\w:]/g,n=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function m(Re,Ae,De){if(Re){var ce;try{ce=decodeURIComponent(v(De)).replace(s,"").toLowerCase()}catch{return null}if(ce.indexOf("javascript:")===0||ce.indexOf("vbscript:")===0||ce.indexOf("data:")===0)return null}Ae&&!n.test(De)&&(De=o(Ae,De));try{De=encodeURI(De).replace(/%25/g,"%")}catch{return null}return De}var a={},S=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,t=/^([^:]+:\/*[^/]*)[\s\S]*$/;function o(Re,Ae){a[" "+Re]||(S.test(Re)?a[" "+Re]=Re+"/":a[" "+Re]=h(Re,"/",!0)),Re=a[" "+Re];var De=Re.indexOf(":")===-1;return Ae.substring(0,2)==="//"?De?Ae:Re.replace(r,"$1")+Ae:Ae.charAt(0)==="/"?De?Ae:Re.replace(t,"$1")+Ae:Re+Ae}var d={exec:function(){}};function l(Re){for(var Ae=1,De,ce;Ae<arguments.length;Ae++){De=arguments[Ae];for(ce in De)Object.prototype.hasOwnProperty.call(De,ce)&&(Re[ce]=De[ce])}return Re}function u(Re,Ae){var De=Re.replace(/\|/g,function(we,ye,Oe){for(var Qe=!1,$e=ye;--$e>=0&&Oe[$e]==="\\";)Qe=!Qe;return Qe?"|":" |"}),ce=De.split(/ \|/),de=0;if(ce[0].trim()||ce.shift(),ce[ce.length-1].trim()||ce.pop(),ce.length>Ae)ce.splice(Ae);else for(;ce.length<Ae;)ce.push("");for(;de<ce.length;de++)ce[de]=ce[de].trim().replace(/\\\|/g,"|");return ce}function h(Re,Ae,De){var ce=Re.length;if(ce===0)return"";for(var de=0;de<ce;){var we=Re.charAt(ce-de-1);if(we===Ae&&!De)de++;else if(we!==Ae&&De)de++;else break}return Re.substr(0,ce-de)}function b(Re,Ae){if(Re.indexOf(Ae[1])===-1)return-1;for(var De=Re.length,ce=0,de=0;de<De;de++)if(Re[de]==="\\")de++;else if(Re[de]===Ae[0])ce++;else if(Re[de]===Ae[1]&&(ce--,ce<0))return de;return-1}function p(Re){Re&&Re.sanitize&&!Re.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function k(Re,Ae){if(Ae<1)return"";for(var De="";Ae>1;)Ae&1&&(De+=Re),Ae>>=1,Re+=Re;return De+Re}var O={escape:g,unescape:v,edit:_,cleanUrl:m,resolveUrl:o,noopTest:d,merge:l,splitCells:u,rtrim:h,findClosingBracket:b,checkSanitizeDeprecation:p,repeatString:k},U=C.exports.defaults,F=O.rtrim,M=O.splitCells,V=O.escape,H=O.findClosingBracket;function N(Re,Ae,De,ce){var de=Ae.href,we=Ae.title?V(Ae.title):null,ye=Re[1].replace(/\\([\[\]])/g,"$1");if(Re[0].charAt(0)!=="!"){ce.state.inLink=!0;var Oe={type:"link",raw:De,href:de,title:we,text:ye,tokens:ce.inlineTokens(ye,[])};return ce.state.inLink=!1,Oe}else return{type:"image",raw:De,href:de,title:we,text:V(ye)}}function x(Re,Ae){var De=Re.match(/^(\s+)(?:```)/);if(De===null)return Ae;var ce=De[1];return Ae.split(`
`).map(function(de){var we=de.match(/^\s+/);if(we===null)return de;var ye=we[0];return ye.length>=ce.length?de.slice(ce.length):de}).join(`
`)}var W=function(){function Re(De){this.options=De||U}var Ae=Re.prototype;return Ae.space=function(ce){var de=this.rules.block.newline.exec(ce);if(de)return de[0].length>1?{type:"space",raw:de[0]}:{raw:`
`}},Ae.code=function(ce){var de=this.rules.block.code.exec(ce);if(de){var we=de[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:de[0],codeBlockStyle:"indented",text:this.options.pedantic?we:F(we,`
`)}}},Ae.fences=function(ce){var de=this.rules.block.fences.exec(ce);if(de){var we=de[0],ye=x(we,de[3]||"");return{type:"code",raw:we,lang:de[2]?de[2].trim():de[2],text:ye}}},Ae.heading=function(ce){var de=this.rules.block.heading.exec(ce);if(de){var we=de[2].trim();if(/#$/.test(we)){var ye=F(we,"#");(this.options.pedantic||!ye||/ $/.test(ye))&&(we=ye.trim())}var Oe={type:"heading",raw:de[0],depth:de[1].length,text:we,tokens:[]};return this.lexer.inline(Oe.text,Oe.tokens),Oe}},Ae.hr=function(ce){var de=this.rules.block.hr.exec(ce);if(de)return{type:"hr",raw:de[0]}},Ae.blockquote=function(ce){var de=this.rules.block.blockquote.exec(ce);if(de){var we=de[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:de[0],tokens:this.lexer.blockTokens(we,[]),text:we}}},Ae.list=function(ce){var de=this.rules.block.list.exec(ce);if(de){var we,ye,Oe,Qe,$e,Je,ot,at,He,be,_e=de[1].trim(),fe=_e.length>1,K={type:"list",raw:"",ordered:fe,start:fe?+_e.slice(0,-1):"",loose:!1,items:[]};_e=fe?"\\d{1,9}\\"+_e.slice(-1):"\\"+_e,this.options.pedantic&&(_e=fe?_e:"[*+-]");for(var Ie=new RegExp("^( {0,3}"+_e+")((?: [^\\n]*| *)(?:\\n[^\\n]*)*(?:\\n|$))");ce&&!(this.rules.block.hr.test(ce)||!(de=Ie.exec(ce)));){He=de[2].split(`
`),this.options.pedantic?(Qe=2,be=He[0].trimLeft()):(Qe=de[2].search(/[^ ]/),Qe=de[1].length+(Qe>4?1:Qe),be=He[0].slice(Qe-de[1].length)),Je=!1,we=de[0],!He[0]&&/^ *$/.test(He[1])&&(we=de[1]+He.slice(0,2).join(`
`)+`
`,K.loose=!0,He=[]);var Ne=new RegExp("^ {0,"+Math.min(3,Qe-1)+"}(?:[*+-]|\\d{1,9}[.)])");for($e=1;$e<He.length;$e++){if(at=He[$e],this.options.pedantic&&(at=at.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),Ne.test(at)){we=de[1]+He.slice(0,$e).join(`
`)+`
`;break}if(!Je){at.trim()||(Je=!0),at.search(/[^ ]/)>=Qe?be+=`
`+at.slice(Qe):be+=`
`+at;continue}if(at.search(/[^ ]/)>=Qe||!at.trim()){be+=`
`+at.slice(Qe);continue}else{we=de[1]+He.slice(0,$e).join(`
`)+`
`;break}}K.loose||(ot?K.loose=!0:/\n *\n *$/.test(we)&&(ot=!0)),this.options.gfm&&(ye=/^\[[ xX]\] /.exec(be),ye&&(Oe=ye[0]!=="[ ] ",be=be.replace(/^\[[ xX]\] +/,""))),K.items.push({type:"list_item",raw:we,task:!!ye,checked:Oe,loose:!1,text:be}),K.raw+=we,ce=ce.slice(we.length)}K.items[K.items.length-1].raw=we.trimRight(),K.items[K.items.length-1].text=be.trimRight(),K.raw=K.raw.trimRight();var Ye=K.items.length;for($e=0;$e<Ye;$e++)this.lexer.state.top=!1,K.items[$e].tokens=this.lexer.blockTokens(K.items[$e].text,[]),K.items[$e].tokens.some(function(Xe){return Xe.type==="space"})&&(K.loose=!0,K.items[$e].loose=!0);return K}},Ae.html=function(ce){var de=this.rules.block.html.exec(ce);if(de){var we={type:"html",raw:de[0],pre:!this.options.sanitizer&&(de[1]==="pre"||de[1]==="script"||de[1]==="style"),text:de[0]};return this.options.sanitize&&(we.type="paragraph",we.text=this.options.sanitizer?this.options.sanitizer(de[0]):V(de[0]),we.tokens=[],this.lexer.inline(we.text,we.tokens)),we}},Ae.def=function(ce){var de=this.rules.block.def.exec(ce);if(de){de[3]&&(de[3]=de[3].substring(1,de[3].length-1));var we=de[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:we,raw:de[0],href:de[2],title:de[3]}}},Ae.table=function(ce){var de=this.rules.block.table.exec(ce);if(de){var we={type:"table",header:M(de[1]).map(function(ot){return{text:ot}}),align:de[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:de[3]?de[3].replace(/\n$/,"").split(`
`):[]};if(we.header.length===we.align.length){we.raw=de[0];var ye=we.align.length,Oe,Qe,$e,Je;for(Oe=0;Oe<ye;Oe++)/^ *-+: *$/.test(we.align[Oe])?we.align[Oe]="right":/^ *:-+: *$/.test(we.align[Oe])?we.align[Oe]="center":/^ *:-+ *$/.test(we.align[Oe])?we.align[Oe]="left":we.align[Oe]=null;for(ye=we.rows.length,Oe=0;Oe<ye;Oe++)we.rows[Oe]=M(we.rows[Oe],we.header.length).map(function(ot){return{text:ot}});for(ye=we.header.length,Qe=0;Qe<ye;Qe++)we.header[Qe].tokens=[],this.lexer.inlineTokens(we.header[Qe].text,we.header[Qe].tokens);for(ye=we.rows.length,Qe=0;Qe<ye;Qe++)for(Je=we.rows[Qe],$e=0;$e<Je.length;$e++)Je[$e].tokens=[],this.lexer.inlineTokens(Je[$e].text,Je[$e].tokens);return we}}},Ae.lheading=function(ce){var de=this.rules.block.lheading.exec(ce);if(de){var we={type:"heading",raw:de[0],depth:de[2].charAt(0)==="="?1:2,text:de[1],tokens:[]};return this.lexer.inline(we.text,we.tokens),we}},Ae.paragraph=function(ce){var de=this.rules.block.paragraph.exec(ce);if(de){var we={type:"paragraph",raw:de[0],text:de[1].charAt(de[1].length-1)===`
`?de[1].slice(0,-1):de[1],tokens:[]};return this.lexer.inline(we.text,we.tokens),we}},Ae.text=function(ce){var de=this.rules.block.text.exec(ce);if(de){var we={type:"text",raw:de[0],text:de[0],tokens:[]};return this.lexer.inline(we.text,we.tokens),we}},Ae.escape=function(ce){var de=this.rules.inline.escape.exec(ce);if(de)return{type:"escape",raw:de[0],text:V(de[1])}},Ae.tag=function(ce){var de=this.rules.inline.tag.exec(ce);if(de)return!this.lexer.state.inLink&&/^<a /i.test(de[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(de[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(de[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(de[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:de[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(de[0]):V(de[0]):de[0]}},Ae.link=function(ce){var de=this.rules.inline.link.exec(ce);if(de){var we=de[2].trim();if(!this.options.pedantic&&/^</.test(we)){if(!/>$/.test(we))return;var ye=F(we.slice(0,-1),"\\");if((we.length-ye.length)%2==0)return}else{var Oe=H(de[2],"()");if(Oe>-1){var Qe=de[0].indexOf("!")===0?5:4,$e=Qe+de[1].length+Oe;de[2]=de[2].substring(0,Oe),de[0]=de[0].substring(0,$e).trim(),de[3]=""}}var Je=de[2],ot="";if(this.options.pedantic){var at=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Je);at&&(Je=at[1],ot=at[3])}else ot=de[3]?de[3].slice(1,-1):"";return Je=Je.trim(),/^</.test(Je)&&(this.options.pedantic&&!/>$/.test(we)?Je=Je.slice(1):Je=Je.slice(1,-1)),N(de,{href:Je&&Je.replace(this.rules.inline._escapes,"$1"),title:ot&&ot.replace(this.rules.inline._escapes,"$1")},de[0],this.lexer)}},Ae.reflink=function(ce,de){var we;if((we=this.rules.inline.reflink.exec(ce))||(we=this.rules.inline.nolink.exec(ce))){var ye=(we[2]||we[1]).replace(/\s+/g," ");if(ye=de[ye.toLowerCase()],!ye||!ye.href){var Oe=we[0].charAt(0);return{type:"text",raw:Oe,text:Oe}}return N(we,ye,we[0],this.lexer)}},Ae.emStrong=function(ce,de,we){we===void 0&&(we="");var ye=this.rules.inline.emStrong.lDelim.exec(ce);if(!!ye&&!(ye[3]&&we.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Oe=ye[1]||ye[2]||"";if(!Oe||Oe&&(we===""||this.rules.inline.punctuation.exec(we))){var Qe=ye[0].length-1,$e,Je,ot=Qe,at=0,He=ye[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(He.lastIndex=0,de=de.slice(-1*ce.length+Qe);(ye=He.exec(de))!=null;)if($e=ye[1]||ye[2]||ye[3]||ye[4]||ye[5]||ye[6],!!$e){if(Je=$e.length,ye[3]||ye[4]){ot+=Je;continue}else if((ye[5]||ye[6])&&Qe%3&&!((Qe+Je)%3)){at+=Je;continue}if(ot-=Je,!(ot>0)){if(Je=Math.min(Je,Je+ot+at),Math.min(Qe,Je)%2){var be=ce.slice(1,Qe+ye.index+Je);return{type:"em",raw:ce.slice(0,Qe+ye.index+Je+1),text:be,tokens:this.lexer.inlineTokens(be,[])}}var _e=ce.slice(2,Qe+ye.index+Je-1);return{type:"strong",raw:ce.slice(0,Qe+ye.index+Je+1),text:_e,tokens:this.lexer.inlineTokens(_e,[])}}}}}},Ae.codespan=function(ce){var de=this.rules.inline.code.exec(ce);if(de){var we=de[2].replace(/\n/g," "),ye=/[^ ]/.test(we),Oe=/^ /.test(we)&&/ $/.test(we);return ye&&Oe&&(we=we.substring(1,we.length-1)),we=V(we,!0),{type:"codespan",raw:de[0],text:we}}},Ae.br=function(ce){var de=this.rules.inline.br.exec(ce);if(de)return{type:"br",raw:de[0]}},Ae.del=function(ce){var de=this.rules.inline.del.exec(ce);if(de)return{type:"del",raw:de[0],text:de[2],tokens:this.lexer.inlineTokens(de[2],[])}},Ae.autolink=function(ce,de){var we=this.rules.inline.autolink.exec(ce);if(we){var ye,Oe;return we[2]==="@"?(ye=V(this.options.mangle?de(we[1]):we[1]),Oe="mailto:"+ye):(ye=V(we[1]),Oe=ye),{type:"link",raw:we[0],text:ye,href:Oe,tokens:[{type:"text",raw:ye,text:ye}]}}},Ae.url=function(ce,de){var we;if(we=this.rules.inline.url.exec(ce)){var ye,Oe;if(we[2]==="@")ye=V(this.options.mangle?de(we[0]):we[0]),Oe="mailto:"+ye;else{var Qe;do Qe=we[0],we[0]=this.rules.inline._backpedal.exec(we[0])[0];while(Qe!==we[0]);ye=V(we[0]),we[1]==="www."?Oe="http://"+ye:Oe=ye}return{type:"link",raw:we[0],text:ye,href:Oe,tokens:[{type:"text",raw:ye,text:ye}]}}},Ae.inlineText=function(ce,de){var we=this.rules.inline.text.exec(ce);if(we){var ye;return this.lexer.state.inRawBlock?ye=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(we[0]):V(we[0]):we[0]:ye=V(this.options.smartypants?de(we[0]):we[0]),{type:"text",raw:we[0],text:ye}}},Re}(),B=O.noopTest,j=O.edit,Z=O.merge,se={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)( [^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,table:B,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};se._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,se._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,se.def=j(se.def).replace("label",se._label).replace("title",se._title).getRegex(),se.bullet=/(?:[*+-]|\d{1,9}[.)])/,se.listItemStart=j(/^( *)(bull) */).replace("bull",se.bullet).getRegex(),se.list=j(se.list).replace(/bull/g,se.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+se.def.source+")").getRegex(),se._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",se._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,se.html=j(se.html,"i").replace("comment",se._comment).replace("tag",se._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),se.paragraph=j(se._paragraph).replace("hr",se.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",se._tag).getRegex(),se.blockquote=j(se.blockquote).replace("paragraph",se.paragraph).getRegex(),se.normal=Z({},se),se.gfm=Z({},se.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)\\|?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),se.gfm.table=j(se.gfm.table).replace("hr",se.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",se._tag).getRegex(),se.pedantic=Z({},se.normal,{html:j(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",se._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:B,paragraph:j(se.normal._paragraph).replace("hr",se.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",se.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var Q={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:B,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_*]*?\*[^_*]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^_*]*?\_[^_*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:B,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};Q._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",Q.punctuation=j(Q.punctuation).replace(/punctuation/g,Q._punctuation).getRegex(),Q.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,Q.escapedEmSt=/\\\*|\\_/g,Q._comment=j(se._comment).replace("(?:-->|$)","-->").getRegex(),Q.emStrong.lDelim=j(Q.emStrong.lDelim).replace(/punct/g,Q._punctuation).getRegex(),Q.emStrong.rDelimAst=j(Q.emStrong.rDelimAst,"g").replace(/punct/g,Q._punctuation).getRegex(),Q.emStrong.rDelimUnd=j(Q.emStrong.rDelimUnd,"g").replace(/punct/g,Q._punctuation).getRegex(),Q._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,Q._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,Q._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,Q.autolink=j(Q.autolink).replace("scheme",Q._scheme).replace("email",Q._email).getRegex(),Q._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,Q.tag=j(Q.tag).replace("comment",Q._comment).replace("attribute",Q._attribute).getRegex(),Q._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,Q._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,Q._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,Q.link=j(Q.link).replace("label",Q._label).replace("href",Q._href).replace("title",Q._title).getRegex(),Q.reflink=j(Q.reflink).replace("label",Q._label).getRegex(),Q.reflinkSearch=j(Q.reflinkSearch,"g").replace("reflink",Q.reflink).replace("nolink",Q.nolink).getRegex(),Q.normal=Z({},Q),Q.pedantic=Z({},Q.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:j(/^!?\[(label)\]\((.*?)\)/).replace("label",Q._label).getRegex(),reflink:j(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",Q._label).getRegex()}),Q.gfm=Z({},Q.normal,{escape:j(Q.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),Q.gfm.url=j(Q.gfm.url,"i").replace("email",Q.gfm._extended_email).getRegex(),Q.breaks=Z({},Q.gfm,{br:j(Q.br).replace("{2,}","*").getRegex(),text:j(Q.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var z={block:se,inline:Q},te=W,he=C.exports.defaults,ge=z.block,ke=z.inline,Ue=O.repeatString;function Be(Re){return Re.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function q(Re){var Ae="",De,ce,de=Re.length;for(De=0;De<de;De++)ce=Re.charCodeAt(De),Math.random()>.5&&(ce="x"+ce.toString(16)),Ae+="&#"+ce+";";return Ae}var Y=function(){function Re(De){this.tokens=[],this.tokens.links=Object.create(null),this.options=De||he,this.options.tokenizer=this.options.tokenizer||new te,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var ce={block:ge.normal,inline:ke.normal};this.options.pedantic?(ce.block=ge.pedantic,ce.inline=ke.pedantic):this.options.gfm&&(ce.block=ge.gfm,this.options.breaks?ce.inline=ke.breaks:ce.inline=ke.gfm),this.tokenizer.rules=ce}Re.lex=function(ce,de){var we=new Re(de);return we.lex(ce)},Re.lexInline=function(ce,de){var we=new Re(de);return we.inlineTokens(ce)};var Ae=Re.prototype;return Ae.lex=function(ce){ce=ce.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(ce,this.tokens);for(var de;de=this.inlineQueue.shift();)this.inlineTokens(de.src,de.tokens);return this.tokens},Ae.blockTokens=function(ce,de){var we=this;de===void 0&&(de=[]),this.options.pedantic&&(ce=ce.replace(/^ +$/gm,""));for(var ye,Oe,Qe,$e;ce;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(ot){return(ye=ot.call({lexer:we},ce,de))?(ce=ce.substring(ye.raw.length),de.push(ye),!0):!1}))){if(ye=this.tokenizer.space(ce)){ce=ce.substring(ye.raw.length),ye.type&&de.push(ye);continue}if(ye=this.tokenizer.code(ce)){ce=ce.substring(ye.raw.length),Oe=de[de.length-1],Oe&&(Oe.type==="paragraph"||Oe.type==="text")?(Oe.raw+=`
`+ye.raw,Oe.text+=`
`+ye.text,this.inlineQueue[this.inlineQueue.length-1].src=Oe.text):de.push(ye);continue}if(ye=this.tokenizer.fences(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.heading(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.hr(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.blockquote(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.list(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.html(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.def(ce)){ce=ce.substring(ye.raw.length),Oe=de[de.length-1],Oe&&(Oe.type==="paragraph"||Oe.type==="text")?(Oe.raw+=`
`+ye.raw,Oe.text+=`
`+ye.raw,this.inlineQueue[this.inlineQueue.length-1].src=Oe.text):this.tokens.links[ye.tag]||(this.tokens.links[ye.tag]={href:ye.href,title:ye.title});continue}if(ye=this.tokenizer.table(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.lheading(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(Qe=ce,this.options.extensions&&this.options.extensions.startBlock&&function(){var ot=1/0,at=ce.slice(1),He=void 0;we.options.extensions.startBlock.forEach(function(be){He=be.call({lexer:this},at),typeof He=="number"&&He>=0&&(ot=Math.min(ot,He))}),ot<1/0&&ot>=0&&(Qe=ce.substring(0,ot+1))}(),this.state.top&&(ye=this.tokenizer.paragraph(Qe))){Oe=de[de.length-1],$e&&Oe.type==="paragraph"?(Oe.raw+=`
`+ye.raw,Oe.text+=`
`+ye.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Oe.text):de.push(ye),$e=Qe.length!==ce.length,ce=ce.substring(ye.raw.length);continue}if(ye=this.tokenizer.text(ce)){ce=ce.substring(ye.raw.length),Oe=de[de.length-1],Oe&&Oe.type==="text"?(Oe.raw+=`
`+ye.raw,Oe.text+=`
`+ye.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Oe.text):de.push(ye);continue}if(ce){var Je="Infinite loop on byte: "+ce.charCodeAt(0);if(this.options.silent){console.error(Je);break}else throw new Error(Je)}}return this.state.top=!0,de},Ae.inline=function(ce,de){this.inlineQueue.push({src:ce,tokens:de})},Ae.inlineTokens=function(ce,de){var we=this;de===void 0&&(de=[]);var ye,Oe,Qe,$e=ce,Je,ot,at;if(this.tokens.links){var He=Object.keys(this.tokens.links);if(He.length>0)for(;(Je=this.tokenizer.rules.inline.reflinkSearch.exec($e))!=null;)He.includes(Je[0].slice(Je[0].lastIndexOf("[")+1,-1))&&($e=$e.slice(0,Je.index)+"["+Ue("a",Je[0].length-2)+"]"+$e.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Je=this.tokenizer.rules.inline.blockSkip.exec($e))!=null;)$e=$e.slice(0,Je.index)+"["+Ue("a",Je[0].length-2)+"]"+$e.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Je=this.tokenizer.rules.inline.escapedEmSt.exec($e))!=null;)$e=$e.slice(0,Je.index)+"++"+$e.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;ce;)if(ot||(at=""),ot=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(_e){return(ye=_e.call({lexer:we},ce,de))?(ce=ce.substring(ye.raw.length),de.push(ye),!0):!1}))){if(ye=this.tokenizer.escape(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.tag(ce)){ce=ce.substring(ye.raw.length),Oe=de[de.length-1],Oe&&ye.type==="text"&&Oe.type==="text"?(Oe.raw+=ye.raw,Oe.text+=ye.text):de.push(ye);continue}if(ye=this.tokenizer.link(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.reflink(ce,this.tokens.links)){ce=ce.substring(ye.raw.length),Oe=de[de.length-1],Oe&&ye.type==="text"&&Oe.type==="text"?(Oe.raw+=ye.raw,Oe.text+=ye.text):de.push(ye);continue}if(ye=this.tokenizer.emStrong(ce,$e,at)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.codespan(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.br(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.del(ce)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(ye=this.tokenizer.autolink(ce,q)){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(!this.state.inLink&&(ye=this.tokenizer.url(ce,q))){ce=ce.substring(ye.raw.length),de.push(ye);continue}if(Qe=ce,this.options.extensions&&this.options.extensions.startInline&&function(){var _e=1/0,fe=ce.slice(1),K=void 0;we.options.extensions.startInline.forEach(function(Ie){K=Ie.call({lexer:this},fe),typeof K=="number"&&K>=0&&(_e=Math.min(_e,K))}),_e<1/0&&_e>=0&&(Qe=ce.substring(0,_e+1))}(),ye=this.tokenizer.inlineText(Qe,Be)){ce=ce.substring(ye.raw.length),ye.raw.slice(-1)!=="_"&&(at=ye.raw.slice(-1)),ot=!0,Oe=de[de.length-1],Oe&&Oe.type==="text"?(Oe.raw+=ye.raw,Oe.text+=ye.text):de.push(ye);continue}if(ce){var be="Infinite loop on byte: "+ce.charCodeAt(0);if(this.options.silent){console.error(be);break}else throw new Error(be)}}return de},e(Re,null,[{key:"rules",get:function(){return{block:ge,inline:ke}}}]),Re}(),re=C.exports.defaults,le=O.cleanUrl,J=O.escape,oe=function(){function Re(De){this.options=De||re}var Ae=Re.prototype;return Ae.code=function(ce,de,we){var ye=(de||"").match(/\S*/)[0];if(this.options.highlight){var Oe=this.options.highlight(ce,ye);Oe!=null&&Oe!==ce&&(we=!0,ce=Oe)}return ce=ce.replace(/\n$/,"")+`
`,ye?'<pre><code class="'+this.options.langPrefix+J(ye,!0)+'">'+(we?ce:J(ce,!0))+`</code></pre>
`:"<pre><code>"+(we?ce:J(ce,!0))+`</code></pre>
`},Ae.blockquote=function(ce){return`<blockquote>
`+ce+`</blockquote>
`},Ae.html=function(ce){return ce},Ae.heading=function(ce,de,we,ye){return this.options.headerIds?"<h"+de+' id="'+this.options.headerPrefix+ye.slug(we)+'">'+ce+"</h"+de+`>
`:"<h"+de+">"+ce+"</h"+de+`>
`},Ae.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Ae.list=function(ce,de,we){var ye=de?"ol":"ul",Oe=de&&we!==1?' start="'+we+'"':"";return"<"+ye+Oe+`>
`+ce+"</"+ye+`>
`},Ae.listitem=function(ce){return"<li>"+ce+`</li>
`},Ae.checkbox=function(ce){return"<input "+(ce?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Ae.paragraph=function(ce){return"<p>"+ce+`</p>
`},Ae.table=function(ce,de){return de&&(de="<tbody>"+de+"</tbody>"),`<table>
<thead>
`+ce+`</thead>
`+de+`</table>
`},Ae.tablerow=function(ce){return`<tr>
`+ce+`</tr>
`},Ae.tablecell=function(ce,de){var we=de.header?"th":"td",ye=de.align?"<"+we+' align="'+de.align+'">':"<"+we+">";return ye+ce+"</"+we+`>
`},Ae.strong=function(ce){return"<strong>"+ce+"</strong>"},Ae.em=function(ce){return"<em>"+ce+"</em>"},Ae.codespan=function(ce){return"<code>"+ce+"</code>"},Ae.br=function(){return this.options.xhtml?"<br/>":"<br>"},Ae.del=function(ce){return"<del>"+ce+"</del>"},Ae.link=function(ce,de,we){if(ce=le(this.options.sanitize,this.options.baseUrl,ce),ce===null)return we;var ye='<a href="'+J(ce)+'"';return de&&(ye+=' title="'+de+'"'),ye+=">"+we+"</a>",ye},Ae.image=function(ce,de,we){if(ce=le(this.options.sanitize,this.options.baseUrl,ce),ce===null)return we;var ye='<img src="'+ce+'" alt="'+we+'"';return de&&(ye+=' title="'+de+'"'),ye+=this.options.xhtml?"/>":">",ye},Ae.text=function(ce){return ce},Re}(),Se=function(){function Re(){}var Ae=Re.prototype;return Ae.strong=function(ce){return ce},Ae.em=function(ce){return ce},Ae.codespan=function(ce){return ce},Ae.del=function(ce){return ce},Ae.html=function(ce){return ce},Ae.text=function(ce){return ce},Ae.link=function(ce,de,we){return""+we},Ae.image=function(ce,de,we){return""+we},Ae.br=function(){return""},Re}(),Me=function(){function Re(){this.seen={}}var Ae=Re.prototype;return Ae.serialize=function(ce){return ce.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Ae.getNextSafeSlug=function(ce,de){var we=ce,ye=0;if(this.seen.hasOwnProperty(we)){ye=this.seen[ce];do ye++,we=ce+"-"+ye;while(this.seen.hasOwnProperty(we))}return de||(this.seen[ce]=ye,this.seen[we]=0),we},Ae.slug=function(ce,de){de===void 0&&(de={});var we=this.serialize(ce);return this.getNextSafeSlug(we,de.dryrun)},Re}(),Ge=oe,Ke=Se,et=Me,nt=C.exports.defaults,ct=O.unescape,tt=function(){function Re(De){this.options=De||nt,this.options.renderer=this.options.renderer||new Ge,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new Ke,this.slugger=new et}Re.parse=function(ce,de){var we=new Re(de);return we.parse(ce)},Re.parseInline=function(ce,de){var we=new Re(de);return we.parseInline(ce)};var Ae=Re.prototype;return Ae.parse=function(ce,de){de===void 0&&(de=!0);var we="",ye,Oe,Qe,$e,Je,ot,at,He,be,_e,fe,K,Ie,Ne,Ye,Xe,gt,St,Ct,ft=ce.length;for(ye=0;ye<ft;ye++){if(_e=ce[ye],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[_e.type]&&(Ct=this.options.extensions.renderers[_e.type].call({parser:this},_e),Ct!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(_e.type))){we+=Ct||"";continue}switch(_e.type){case"space":continue;case"hr":{we+=this.renderer.hr();continue}case"heading":{we+=this.renderer.heading(this.parseInline(_e.tokens),_e.depth,ct(this.parseInline(_e.tokens,this.textRenderer)),this.slugger);continue}case"code":{we+=this.renderer.code(_e.text,_e.lang,_e.escaped);continue}case"table":{for(He="",at="",$e=_e.header.length,Oe=0;Oe<$e;Oe++)at+=this.renderer.tablecell(this.parseInline(_e.header[Oe].tokens),{header:!0,align:_e.align[Oe]});for(He+=this.renderer.tablerow(at),be="",$e=_e.rows.length,Oe=0;Oe<$e;Oe++){for(ot=_e.rows[Oe],at="",Je=ot.length,Qe=0;Qe<Je;Qe++)at+=this.renderer.tablecell(this.parseInline(ot[Qe].tokens),{header:!1,align:_e.align[Qe]});be+=this.renderer.tablerow(at)}we+=this.renderer.table(He,be);continue}case"blockquote":{be=this.parse(_e.tokens),we+=this.renderer.blockquote(be);continue}case"list":{for(fe=_e.ordered,K=_e.start,Ie=_e.loose,$e=_e.items.length,be="",Oe=0;Oe<$e;Oe++)Ye=_e.items[Oe],Xe=Ye.checked,gt=Ye.task,Ne="",Ye.task&&(St=this.renderer.checkbox(Xe),Ie?Ye.tokens.length>0&&Ye.tokens[0].type==="paragraph"?(Ye.tokens[0].text=St+" "+Ye.tokens[0].text,Ye.tokens[0].tokens&&Ye.tokens[0].tokens.length>0&&Ye.tokens[0].tokens[0].type==="text"&&(Ye.tokens[0].tokens[0].text=St+" "+Ye.tokens[0].tokens[0].text)):Ye.tokens.unshift({type:"text",text:St}):Ne+=St),Ne+=this.parse(Ye.tokens,Ie),be+=this.renderer.listitem(Ne,gt,Xe);we+=this.renderer.list(be,fe,K);continue}case"html":{we+=this.renderer.html(_e.text);continue}case"paragraph":{we+=this.renderer.paragraph(this.parseInline(_e.tokens));continue}case"text":{for(be=_e.tokens?this.parseInline(_e.tokens):_e.text;ye+1<ft&&ce[ye+1].type==="text";)_e=ce[++ye],be+=`
`+(_e.tokens?this.parseInline(_e.tokens):_e.text);we+=de?this.renderer.paragraph(be):be;continue}default:{var wt='Token with "'+_e.type+'" type was not found.';if(this.options.silent){console.error(wt);return}else throw new Error(wt)}}}return we},Ae.parseInline=function(ce,de){de=de||this.renderer;var we="",ye,Oe,Qe,$e=ce.length;for(ye=0;ye<$e;ye++){if(Oe=ce[ye],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Oe.type]&&(Qe=this.options.extensions.renderers[Oe.type].call({parser:this},Oe),Qe!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(Oe.type))){we+=Qe||"";continue}switch(Oe.type){case"escape":{we+=de.text(Oe.text);break}case"html":{we+=de.html(Oe.text);break}case"link":{we+=de.link(Oe.href,Oe.title,this.parseInline(Oe.tokens,de));break}case"image":{we+=de.image(Oe.href,Oe.title,Oe.text);break}case"strong":{we+=de.strong(this.parseInline(Oe.tokens,de));break}case"em":{we+=de.em(this.parseInline(Oe.tokens,de));break}case"codespan":{we+=de.codespan(Oe.text);break}case"br":{we+=de.br();break}case"del":{we+=de.del(this.parseInline(Oe.tokens,de));break}case"text":{we+=de.text(Oe.text);break}default:{var Je='Token with "'+Oe.type+'" type was not found.';if(this.options.silent){console.error(Je);return}else throw new Error(Je)}}}return we},Re}(),rt=Y,dt=tt,pt=W,xe=oe,Tt=Se,ee=Me,ie=O.merge,Ee=O.checkSanitizeDeprecation,ne=O.escape,Ce=C.exports.getDefaults,Fe=C.exports.changeDefaults,qe=C.exports.defaults;function Ve(Re,Ae,De){if(typeof Re=="undefined"||Re===null)throw new Error("marked(): input parameter is undefined or null");if(typeof Re!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(Re)+", string expected");if(typeof Ae=="function"&&(De=Ae,Ae=null),Ae=ie({},Ve.defaults,Ae||{}),Ee(Ae),De){var ce=Ae.highlight,de;try{de=rt.lex(Re,Ae)}catch(Qe){return De(Qe)}var we=function($e){var Je;if(!$e)try{Ae.walkTokens&&Ve.walkTokens(de,Ae.walkTokens),Je=dt.parse(de,Ae)}catch(ot){$e=ot}return Ae.highlight=ce,$e?De($e):De(null,Je)};if(!ce||ce.length<3||(delete Ae.highlight,!de.length))return we();var ye=0;Ve.walkTokens(de,function(Qe){Qe.type==="code"&&(ye++,setTimeout(function(){ce(Qe.text,Qe.lang,function($e,Je){if($e)return we($e);Je!=null&&Je!==Qe.text&&(Qe.text=Je,Qe.escaped=!0),ye--,ye===0&&we()})},0))}),ye===0&&we();return}try{var Oe=rt.lex(Re,Ae);return Ae.walkTokens&&Ve.walkTokens(Oe,Ae.walkTokens),dt.parse(Oe,Ae)}catch(Qe){if(Qe.message+=`
Please report this to https://github.com/markedjs/marked.`,Ae.silent)return"<p>An error occurred:</p><pre>"+ne(Qe.message+"",!0)+"</pre>";throw Qe}}Ve.options=Ve.setOptions=function(Re){return ie(Ve.defaults,Re),Fe(Ve.defaults),Ve},Ve.getDefaults=Ce,Ve.defaults=qe,Ve.use=function(){for(var Re=this,Ae=arguments.length,De=new Array(Ae),ce=0;ce<Ae;ce++)De[ce]=arguments[ce];var de=ie.apply(void 0,[{}].concat(De)),we=Ve.defaults.extensions||{renderers:{},childTokens:{}},ye;De.forEach(function(Oe){if(Oe.extensions&&(ye=!0,Oe.extensions.forEach(function($e){if(!$e.name)throw new Error("extension name required");if($e.renderer){var Je=we.renderers?we.renderers[$e.name]:null;Je?we.renderers[$e.name]=function(){for(var ot=arguments.length,at=new Array(ot),He=0;He<ot;He++)at[He]=arguments[He];var be=$e.renderer.apply(this,at);return be===!1&&(be=Je.apply(this,at)),be}:we.renderers[$e.name]=$e.renderer}if($e.tokenizer){if(!$e.level||$e.level!=="block"&&$e.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");we[$e.level]?we[$e.level].unshift($e.tokenizer):we[$e.level]=[$e.tokenizer],$e.start&&($e.level==="block"?we.startBlock?we.startBlock.push($e.start):we.startBlock=[$e.start]:$e.level==="inline"&&(we.startInline?we.startInline.push($e.start):we.startInline=[$e.start]))}$e.childTokens&&(we.childTokens[$e.name]=$e.childTokens)})),Oe.renderer&&function(){var $e=Ve.defaults.renderer||new xe,Je=function(He){var be=$e[He];$e[He]=function(){for(var _e=arguments.length,fe=new Array(_e),K=0;K<_e;K++)fe[K]=arguments[K];var Ie=Oe.renderer[He].apply($e,fe);return Ie===!1&&(Ie=be.apply($e,fe)),Ie}};for(var ot in Oe.renderer)Je(ot);de.renderer=$e}(),Oe.tokenizer&&function(){var $e=Ve.defaults.tokenizer||new pt,Je=function(He){var be=$e[He];$e[He]=function(){for(var _e=arguments.length,fe=new Array(_e),K=0;K<_e;K++)fe[K]=arguments[K];var Ie=Oe.tokenizer[He].apply($e,fe);return Ie===!1&&(Ie=be.apply($e,fe)),Ie}};for(var ot in Oe.tokenizer)Je(ot);de.tokenizer=$e}(),Oe.walkTokens){var Qe=Ve.defaults.walkTokens;de.walkTokens=function($e){Oe.walkTokens.call(Re,$e),Qe&&Qe($e)}}ye&&(de.extensions=we),Ve.setOptions(de)})},Ve.walkTokens=function(Re,Ae){for(var De=function(){var ye=de.value;switch(Ae(ye),ye.type){case"table":{for(var Oe=I(ye.header),Qe;!(Qe=Oe()).done;){var $e=Qe.value;Ve.walkTokens($e.tokens,Ae)}for(var Je=I(ye.rows),ot;!(ot=Je()).done;)for(var at=ot.value,He=I(at),be;!(be=He()).done;){var _e=be.value;Ve.walkTokens(_e.tokens,Ae)}break}case"list":{Ve.walkTokens(ye.items,Ae);break}default:Ve.defaults.extensions&&Ve.defaults.extensions.childTokens&&Ve.defaults.extensions.childTokens[ye.type]?Ve.defaults.extensions.childTokens[ye.type].forEach(function(fe){Ve.walkTokens(ye[fe],Ae)}):ye.tokens&&Ve.walkTokens(ye.tokens,Ae)}},ce=I(Re),de;!(de=ce()).done;)De()},Ve.parseInline=function(Re,Ae){if(typeof Re=="undefined"||Re===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof Re!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(Re)+", string expected");Ae=ie({},Ve.defaults,Ae||{}),Ee(Ae);try{var De=rt.lexInline(Re,Ae);return Ae.walkTokens&&Ve.walkTokens(De,Ae.walkTokens),dt.parseInline(De,Ae)}catch(ce){if(ce.message+=`
Please report this to https://github.com/markedjs/marked.`,Ae.silent)return"<p>An error occurred:</p><pre>"+ne(ce.message+"",!0)+"</pre>";throw ce}},Ve.Parser=dt,Ve.parser=dt.parse,Ve.Renderer=xe,Ve.TextRenderer=Tt,Ve.Lexer=rt,Ve.lexer=rt.lex,Ve.Tokenizer=pt,Ve.Slugger=ee,Ve.parse=Ve;var lt=Ve;return lt}),define(pe[79],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function f(T,P,y){return Math.min(Math.max(T,P),y)}e.clamp=f;function i(T,P){return(P+T%P)%P}e.rot=i;class I{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=I;class C{constructor(){this._n=1,this._val=0}update(P){return this._val=this._val+(P-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=C}),function(){function X(I){const C=[];typeof I=="number"&&C.push("code/timeOrigin",I);function T(y){C.push(y,Date.now())}function P(){const y=[];for(let A=0;A<C.length;A+=2)y.push({name:C[A],startTime:C[A+1]});return y}return{mark:T,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?X():{mark(I){performance.mark(I)},getMarks(){let I=performance.timeOrigin;typeof I!="number"&&(I=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(I)}];for(const T of performance.getEntriesByType("mark"))C.push({name:T.name,startTime:Math.round(I+T.startTime)});return C}};if(typeof process=="object"){const I=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return X(I)}else return console.trace("perf-util loaded in UNKNOWN environment"),X()}function f(I){return I.MonacoPerformanceMarks||(I.MonacoPerformanceMarks=e()),I.MonacoPerformanceMarks}var i;typeof global=="object"?i=global:typeof self=="object"?i=self:i={},typeof define=="function"?define("vs/base/common/performance",[],function(){return f(i)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=f(i):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),i.perf=f(i))}(),define(pe[12],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isElectronSandboxed=e.globals=void 0;const f="en";let i=!1,I=!1,C=!1,T=!1,P=!1,y=!1,A=!1,L=!1,D,c=f,E,g;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let w;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?w=e.globals.vscode.process:typeof process!="undefined"&&(w=process);const v=typeof w?.versions?.electron=="string",R=v&&w?.type==="renderer";if(e.isElectronSandboxed=R&&w?.sandboxed,typeof navigator=="object"&&!R)g=navigator.userAgent,i=g.indexOf("Windows")>=0,I=g.indexOf("Macintosh")>=0,L=(g.indexOf("Macintosh")>=0||g.indexOf("iPad")>=0||g.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=g.indexOf("Linux")>=0,y=!0,D=navigator.language,c=D;else if(typeof w=="object"){i=w.platform==="win32",I=w.platform==="darwin",C=w.platform==="linux",T=C&&!!w.env.SNAP&&!!w.env.SNAP_REVISION,A=v,D=f,c=f;const o=w.env.VSCODE_NLS_CONFIG;if(o)try{const d=JSON.parse(o),l=d.availableLanguages["*"];D=d.locale,c=l||f,E=d._translationsConfigFile}catch{}P=!0}else console.error("Unable to resolve platform.");var _;(function(o){o[o.Web=0]="Web",o[o.Mac=1]="Mac",o[o.Linux=2]="Linux",o[o.Windows=3]="Windows"})(_=e.Platform||(e.Platform={}));function s(o){switch(o){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=s;let n=0;I?n=1:i?n=3:C&&(n=2),e.isWindows=i,e.isMacintosh=I,e.isLinux=C,e.isLinuxSnap=T,e.isNative=P,e.isElectron=A,e.isWeb=y,e.isIOS=L,e.platform=n,e.userAgent=g,e.language=c;var m;(function(o){function d(){return e.language}o.value=d;function l(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}o.isDefaultVariant=l;function u(){return e.language==="en"}o.isDefault=u})(m=e.Language||(e.Language={})),e.locale=D,e.translationsConfigFile=E,e.setTimeout0=(()=>{if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let o=[];e.globals.addEventListener("message",l=>{if(l.data&&l.data.vscodeScheduleAsyncWork)for(let u=0,h=o.length;u<h;u++){const b=o[u];if(b.id===l.data.vscodeScheduleAsyncWork){o.splice(u,1),b.callback();return}}});let d=0;return l=>{const u=++d;o.push({id:u,callback:l}),e.globals.postMessage({vscodeScheduleAsyncWork:u},"*")}}return o=>setTimeout(o)})();var a;(function(o){o[o.Windows=1]="Windows",o[o.Macintosh=2]="Macintosh",o[o.Linux=3]="Linux"})(a=e.OperatingSystem||(e.OperatingSystem={})),e.OS=I||L?2:i?1:3;let S=!0,r=!1;function t(){if(!r){r=!0;const o=new Uint8Array(2);o[0]=1,o[1]=2,S=new Uint16Array(o.buffer)[0]===(2<<8)+1}return S}e.isLittleEndian=t}),define(pe[40],ve([0,1,12]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let i;if(typeof f.globals.vscode!="undefined"&&typeof f.globals.vscode.process!="undefined"){const I=f.globals.vscode.process;i={get platform(){return I.platform},get arch(){return I.arch},get env(){return I.env},cwd(){return I.cwd()}}}else typeof process!="undefined"?i={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:i={get platform(){return f.isWindows?"win32":f.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=i.cwd,e.env=i.env,e.platform=i.platform,e.arch=i.arch}),define(pe[8],ve([0,1,40]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const i=65,I=97,C=90,T=122,P=46,y=47,A=92,L=58,D=63;class c extends Error{constructor(n,m,a){let S;typeof m=="string"&&m.indexOf("not ")===0?(S="must not be",m=m.replace(/^not /,"")):S="must be";const r=n.indexOf(".")!==-1?"property":"argument";let t=`The "${n}" ${r} ${S} of type ${m}`;t+=`. Received type ${typeof a}`;super(t);this.code="ERR_INVALID_ARG_TYPE"}}function E(s,n){if(typeof s!="string")throw new c(n,"string",s)}function g(s){return s===y||s===A}function w(s){return s===y}function v(s){return s>=i&&s<=C||s>=I&&s<=T}function R(s,n,m,a){let S="",r=0,t=-1,o=0,d=0;for(let l=0;l<=s.length;++l){if(l<s.length)d=s.charCodeAt(l);else{if(a(d))break;d=y}if(a(d)){if(!(t===l-1||o===1))if(o===2){if(S.length<2||r!==2||S.charCodeAt(S.length-1)!==P||S.charCodeAt(S.length-2)!==P){if(S.length>2){const u=S.lastIndexOf(m);u===-1?(S="",r=0):(S=S.slice(0,u),r=S.length-1-S.lastIndexOf(m)),t=l,o=0;continue}else if(S.length!==0){S="",r=0,t=l,o=0;continue}}n&&(S+=S.length>0?`${m}..`:"..",r=2)}else S.length>0?S+=`${m}${s.slice(t+1,l)}`:S=s.slice(t+1,l),r=l-t-1;t=l,o=0}else d===P&&o!==-1?++o:o=-1}return S}function _(s,n){if(n===null||typeof n!="object")throw new c("pathObject","Object",n);const m=n.dir||n.root,a=n.base||`${n.name||""}${n.ext||""}`;return m?m===n.root?`${m}${a}`:`${m}${s}${a}`:a}e.win32={resolve(...s){let n="",m="",a=!1;for(let S=s.length-1;S>=-1;S--){let r;if(S>=0){if(r=s[S],E(r,"path"),r.length===0)continue}else n.length===0?r=f.cwd():(r=f.env[`=${n}`]||f.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==n.toLowerCase()&&r.charCodeAt(2)===A)&&(r=`${n}\\`));const t=r.length;let o=0,d="",l=!1;const u=r.charCodeAt(0);if(t===1)g(u)&&(o=1,l=!0);else if(g(u))if(l=!0,g(r.charCodeAt(1))){let h=2,b=h;for(;h<t&&!g(r.charCodeAt(h));)h++;if(h<t&&h!==b){const p=r.slice(b,h);for(b=h;h<t&&g(r.charCodeAt(h));)h++;if(h<t&&h!==b){for(b=h;h<t&&!g(r.charCodeAt(h));)h++;(h===t||h!==b)&&(d=`\\\\${p}\\${r.slice(b,h)}`,o=h)}}}else o=1;else v(u)&&r.charCodeAt(1)===L&&(d=r.slice(0,2),o=2,t>2&&g(r.charCodeAt(2))&&(l=!0,o=3));if(d.length>0)if(n.length>0){if(d.toLowerCase()!==n.toLowerCase())continue}else n=d;if(a){if(n.length>0)break}else if(m=`${r.slice(o)}\\${m}`,a=l,l&&n.length>0)break}return m=R(m,!a,"\\",g),a?`${n}\\${m}`:`${n}${m}`||"."},normalize(s){E(s,"path");const n=s.length;if(n===0)return".";let m=0,a,S=!1;const r=s.charCodeAt(0);if(n===1)return w(r)?"\\":s;if(g(r))if(S=!0,g(s.charCodeAt(1))){let o=2,d=o;for(;o<n&&!g(s.charCodeAt(o));)o++;if(o<n&&o!==d){const l=s.slice(d,o);for(d=o;o<n&&g(s.charCodeAt(o));)o++;if(o<n&&o!==d){for(d=o;o<n&&!g(s.charCodeAt(o));)o++;if(o===n)return`\\\\${l}\\${s.slice(d)}\\`;o!==d&&(a=`\\\\${l}\\${s.slice(d,o)}`,m=o)}}}else m=1;else v(r)&&s.charCodeAt(1)===L&&(a=s.slice(0,2),m=2,n>2&&g(s.charCodeAt(2))&&(S=!0,m=3));let t=m<n?R(s.slice(m),!S,"\\",g):"";return t.length===0&&!S&&(t="."),t.length>0&&g(s.charCodeAt(n-1))&&(t+="\\"),a===void 0?S?`\\${t}`:t:S?`${a}\\${t}`:`${a}${t}`},isAbsolute(s){E(s,"path");const n=s.length;if(n===0)return!1;const m=s.charCodeAt(0);return g(m)||n>2&&v(m)&&s.charCodeAt(1)===L&&g(s.charCodeAt(2))},join(...s){if(s.length===0)return".";let n,m;for(let r=0;r<s.length;++r){const t=s[r];E(t,"path"),t.length>0&&(n===void 0?n=m=t:n+=`\\${t}`)}if(n===void 0)return".";let a=!0,S=0;if(typeof m=="string"&&g(m.charCodeAt(0))){++S;const r=m.length;r>1&&g(m.charCodeAt(1))&&(++S,r>2&&(g(m.charCodeAt(2))?++S:a=!1))}if(a){for(;S<n.length&&g(n.charCodeAt(S));)S++;S>=2&&(n=`\\${n.slice(S)}`)}return e.win32.normalize(n)},relative(s,n){if(E(s,"from"),E(n,"to"),s===n)return"";const m=e.win32.resolve(s),a=e.win32.resolve(n);if(m===a||(s=m.toLowerCase(),n=a.toLowerCase(),s===n))return"";let S=0;for(;S<s.length&&s.charCodeAt(S)===A;)S++;let r=s.length;for(;r-1>S&&s.charCodeAt(r-1)===A;)r--;const t=r-S;let o=0;for(;o<n.length&&n.charCodeAt(o)===A;)o++;let d=n.length;for(;d-1>o&&n.charCodeAt(d-1)===A;)d--;const l=d-o,u=t<l?t:l;let h=-1,b=0;for(;b<u;b++){const k=s.charCodeAt(S+b);if(k!==n.charCodeAt(o+b))break;k===A&&(h=b)}if(b!==u){if(h===-1)return a}else{if(l>u){if(n.charCodeAt(o+b)===A)return a.slice(o+b+1);if(b===2)return a.slice(o+b)}t>u&&(s.charCodeAt(S+b)===A?h=b:b===2&&(h=3)),h===-1&&(h=0)}let p="";for(b=S+h+1;b<=r;++b)(b===r||s.charCodeAt(b)===A)&&(p+=p.length===0?"..":"\\..");return o+=h,p.length>0?`${p}${a.slice(o,d)}`:(a.charCodeAt(o)===A&&++o,a.slice(o,d))},toNamespacedPath(s){if(typeof s!="string")return s;if(s.length===0)return"";const n=e.win32.resolve(s);if(n.length<=2)return s;if(n.charCodeAt(0)===A){if(n.charCodeAt(1)===A){const m=n.charCodeAt(2);if(m!==D&&m!==P)return`\\\\?\\UNC\\${n.slice(2)}`}}else if(v(n.charCodeAt(0))&&n.charCodeAt(1)===L&&n.charCodeAt(2)===A)return`\\\\?\\${n}`;return s},dirname(s){E(s,"path");const n=s.length;if(n===0)return".";let m=-1,a=0;const S=s.charCodeAt(0);if(n===1)return g(S)?s:".";if(g(S)){if(m=a=1,g(s.charCodeAt(1))){let o=2,d=o;for(;o<n&&!g(s.charCodeAt(o));)o++;if(o<n&&o!==d){for(d=o;o<n&&g(s.charCodeAt(o));)o++;if(o<n&&o!==d){for(d=o;o<n&&!g(s.charCodeAt(o));)o++;if(o===n)return s;o!==d&&(m=a=o+1)}}}}else v(S)&&s.charCodeAt(1)===L&&(m=n>2&&g(s.charCodeAt(2))?3:2,a=m);let r=-1,t=!0;for(let o=n-1;o>=a;--o)if(g(s.charCodeAt(o))){if(!t){r=o;break}}else t=!1;if(r===-1){if(m===-1)return".";r=m}return s.slice(0,r)},basename(s,n){n!==void 0&&E(n,"ext"),E(s,"path");let m=0,a=-1,S=!0,r;if(s.length>=2&&v(s.charCodeAt(0))&&s.charCodeAt(1)===L&&(m=2),n!==void 0&&n.length>0&&n.length<=s.length){if(n===s)return"";let t=n.length-1,o=-1;for(r=s.length-1;r>=m;--r){const d=s.charCodeAt(r);if(g(d)){if(!S){m=r+1;break}}else o===-1&&(S=!1,o=r+1),t>=0&&(d===n.charCodeAt(t)?--t==-1&&(a=r):(t=-1,a=o))}return m===a?a=o:a===-1&&(a=s.length),s.slice(m,a)}for(r=s.length-1;r>=m;--r)if(g(s.charCodeAt(r))){if(!S){m=r+1;break}}else a===-1&&(S=!1,a=r+1);return a===-1?"":s.slice(m,a)},extname(s){E(s,"path");let n=0,m=-1,a=0,S=-1,r=!0,t=0;s.length>=2&&s.charCodeAt(1)===L&&v(s.charCodeAt(0))&&(n=a=2);for(let o=s.length-1;o>=n;--o){const d=s.charCodeAt(o);if(g(d)){if(!r){a=o+1;break}continue}S===-1&&(r=!1,S=o+1),d===P?m===-1?m=o:t!==1&&(t=1):m!==-1&&(t=-1)}return m===-1||S===-1||t===0||t===1&&m===S-1&&m===a+1?"":s.slice(m,S)},format:_.bind(null,"\\"),parse(s){E(s,"path");const n={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return n;const m=s.length;let a=0,S=s.charCodeAt(0);if(m===1)return g(S)?(n.root=n.dir=s,n):(n.base=n.name=s,n);if(g(S)){if(a=1,g(s.charCodeAt(1))){let h=2,b=h;for(;h<m&&!g(s.charCodeAt(h));)h++;if(h<m&&h!==b){for(b=h;h<m&&g(s.charCodeAt(h));)h++;if(h<m&&h!==b){for(b=h;h<m&&!g(s.charCodeAt(h));)h++;h===m?a=h:h!==b&&(a=h+1)}}}}else if(v(S)&&s.charCodeAt(1)===L){if(m<=2)return n.root=n.dir=s,n;if(a=2,g(s.charCodeAt(2))){if(m===3)return n.root=n.dir=s,n;a=3}}a>0&&(n.root=s.slice(0,a));let r=-1,t=a,o=-1,d=!0,l=s.length-1,u=0;for(;l>=a;--l){if(S=s.charCodeAt(l),g(S)){if(!d){t=l+1;break}continue}o===-1&&(d=!1,o=l+1),S===P?r===-1?r=l:u!==1&&(u=1):r!==-1&&(u=-1)}return o!==-1&&(r===-1||u===0||u===1&&r===o-1&&r===t+1?n.base=n.name=s.slice(t,o):(n.name=s.slice(t,r),n.base=s.slice(t,o),n.ext=s.slice(r,o))),t>0&&t!==a?n.dir=s.slice(0,t-1):n.dir=n.root,n},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...s){let n="",m=!1;for(let a=s.length-1;a>=-1&&!m;a--){const S=a>=0?s[a]:f.cwd();E(S,"path"),S.length!==0&&(n=`${S}/${n}`,m=S.charCodeAt(0)===y)}return n=R(n,!m,"/",w),m?`/${n}`:n.length>0?n:"."},normalize(s){if(E(s,"path"),s.length===0)return".";const n=s.charCodeAt(0)===y,m=s.charCodeAt(s.length-1)===y;return s=R(s,!n,"/",w),s.length===0?n?"/":m?"./":".":(m&&(s+="/"),n?`/${s}`:s)},isAbsolute(s){return E(s,"path"),s.length>0&&s.charCodeAt(0)===y},join(...s){if(s.length===0)return".";let n;for(let m=0;m<s.length;++m){const a=s[m];E(a,"path"),a.length>0&&(n===void 0?n=a:n+=`/${a}`)}return n===void 0?".":e.posix.normalize(n)},relative(s,n){if(E(s,"from"),E(n,"to"),s===n||(s=e.posix.resolve(s),n=e.posix.resolve(n),s===n))return"";const m=1,a=s.length,S=a-m,r=1,t=n.length-r,o=S<t?S:t;let d=-1,l=0;for(;l<o;l++){const h=s.charCodeAt(m+l);if(h!==n.charCodeAt(r+l))break;h===y&&(d=l)}if(l===o)if(t>o){if(n.charCodeAt(r+l)===y)return n.slice(r+l+1);if(l===0)return n.slice(r+l)}else S>o&&(s.charCodeAt(m+l)===y?d=l:l===0&&(d=0));let u="";for(l=m+d+1;l<=a;++l)(l===a||s.charCodeAt(l)===y)&&(u+=u.length===0?"..":"/..");return`${u}${n.slice(r+d)}`},toNamespacedPath(s){return s},dirname(s){if(E(s,"path"),s.length===0)return".";const n=s.charCodeAt(0)===y;let m=-1,a=!0;for(let S=s.length-1;S>=1;--S)if(s.charCodeAt(S)===y){if(!a){m=S;break}}else a=!1;return m===-1?n?"/":".":n&&m===1?"//":s.slice(0,m)},basename(s,n){n!==void 0&&E(n,"ext"),E(s,"path");let m=0,a=-1,S=!0,r;if(n!==void 0&&n.length>0&&n.length<=s.length){if(n===s)return"";let t=n.length-1,o=-1;for(r=s.length-1;r>=0;--r){const d=s.charCodeAt(r);if(d===y){if(!S){m=r+1;break}}else o===-1&&(S=!1,o=r+1),t>=0&&(d===n.charCodeAt(t)?--t==-1&&(a=r):(t=-1,a=o))}return m===a?a=o:a===-1&&(a=s.length),s.slice(m,a)}for(r=s.length-1;r>=0;--r)if(s.charCodeAt(r)===y){if(!S){m=r+1;break}}else a===-1&&(S=!1,a=r+1);return a===-1?"":s.slice(m,a)},extname(s){E(s,"path");let n=-1,m=0,a=-1,S=!0,r=0;for(let t=s.length-1;t>=0;--t){const o=s.charCodeAt(t);if(o===y){if(!S){m=t+1;break}continue}a===-1&&(S=!1,a=t+1),o===P?n===-1?n=t:r!==1&&(r=1):n!==-1&&(r=-1)}return n===-1||a===-1||r===0||r===1&&n===a-1&&n===m+1?"":s.slice(n,a)},format:_.bind(null,"/"),parse(s){E(s,"path");const n={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return n;const m=s.charCodeAt(0)===y;let a;m?(n.root="/",a=1):a=0;let S=-1,r=0,t=-1,o=!0,d=s.length-1,l=0;for(;d>=a;--d){const u=s.charCodeAt(d);if(u===y){if(!o){r=d+1;break}continue}t===-1&&(o=!1,t=d+1),u===P?S===-1?S=d:l!==1&&(l=1):S!==-1&&(l=-1)}if(t!==-1){const u=r===0&&m?1:r;S===-1||l===0||l===1&&S===t-1&&S===r+1?n.base=n.name=s.slice(u,t):(n.name=s.slice(u,S),n.base=s.slice(u,t),n.ext=s.slice(S,t))}return r>0?n.dir=s.slice(0,r-1):m&&(n.dir="/"),n},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=f.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=f.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=f.platform==="win32"?e.win32.join:e.posix.join,e.resolve=f.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=f.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=f.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=f.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=f.platform==="win32"?e.win32.extname:e.posix.extname,e.format=f.platform==="win32"?e.win32.format:e.posix.format,e.parse=f.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=f.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=f.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=f.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(pe[95],ve([0,1,8]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var i;(function(D){D.text="text/plain",D.binary="application/octet-stream",D.unknown="application/unknown",D.markdown="text/markdown",D.latex="text/latex"})(i=e.Mimes||(e.Mimes={}));const I={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},C={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function T(D){const c=(0,f.extname)(D),E=I[c.toLowerCase()];return E!==void 0?E:P(D)}e.getMediaOrTextMime=T;function P(D){const c=(0,f.extname)(D);return C[c.toLowerCase()]}e.getMediaMime=P;function y(D){for(const c in C)if(C[c]===D)return c}e.getExtensionForMimeType=y;const A=/^(.+)\/(.+?)(;.+)?$/;function L(D,c){const E=A.exec(D);return E?`${E[1].toLowerCase()}/${E[2].toLowerCase()}${E[3]??""}`:c?void 0:D}e.normalizeMimeType=L}),define(pe[96],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var f;(function(C){C[C.stdout=0]="stdout",C[C.stderr=1]="stderr"})(f=e.Source||(e.Source={}));var i;(function(C){C[C.Success=0]="Success",C[C.Unknown=1]="Unknown",C[C.AccessDenied=2]="AccessDenied",C[C.ProcessNotFound=3]="ProcessNotFound"})(i=e.TerminateResponseCode||(e.TerminateResponseCode={}));function I(C,...T){const P=T.reduce((L,D)=>(L[D]=!0,L),{}),y=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(C).filter(L=>!P[L]).forEach(L=>{for(let D=0;D<y.length;D++)if(L.search(y[D])!==-1){delete C[L];break}})}e.sanitizeProcessEnvironment=I}),define(pe[46],ve([0,1,12]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const i=f.globals.performance&&typeof f.globals.performance.now=="function";class I{constructor(T){this._highResolution=i&&T,this._startTime=this._now(),this._stopTime=-1}static create(T=!0){return new I(T)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?f.globals.performance.now():Date.now()}}e.StopWatch=I}),define(pe[3],ve([0,1,15,76,6,94,46]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var P;(function(n){n.None=()=>I.Disposable.None;function m(x){return(W,B=null,j)=>{let Z=!1,se;return se=x(Q=>{if(!Z)return se?se.dispose():Z=!0,W.call(B,Q)},null,j),Z&&se.dispose(),se}}n.once=m;function a(x,W){return l((B,j=null,Z)=>x(se=>B.call(j,W(se)),null,Z))}n.map=a;function S(x,W){return l((B,j=null,Z)=>x(se=>{W(se),B.call(j,se)},null,Z))}n.forEach=S;function r(x,W){return l((B,j=null,Z)=>x(se=>W(se)&&B.call(j,se),null,Z))}n.filter=r;function t(x){return x}n.signal=t;function o(...x){return(W,B=null,j)=>(0,I.combinedDisposable)(...x.map(Z=>Z(se=>W.call(B,se),null,j)))}n.any=o;function d(x,W,B){let j=B;return a(x,Z=>(j=W(j,Z),j))}n.reduce=d;function l(x){let W;const B=new c({onFirstListenerAdd(){W=x(B.fire,B)},onLastListenerRemove(){W.dispose()}});return B.event}function u(x,W,B,j=100,Z=!1){let se,Q,z=0;return x(te=>{z++,se=B(se,te),Z&&!Q&&(W(se),se=void 0),clearTimeout(Q),Q=setTimeout(()=>{const he=se;se=void 0,Q=void 0,(!Z||z>1)&&W(he),z=0},j)})}n.debouncedListener=u;function h(x,W,B=100,j=!1,Z){let se,Q,z,te=0;const he=new c({leakWarningThreshold:Z,onFirstListenerAdd(){se=x(ge=>{te++,Q=W(Q,ge),j&&!z&&(he.fire(Q),Q=void 0),clearTimeout(z),z=setTimeout(()=>{const ke=Q;Q=void 0,z=void 0,(!j||te>1)&&he.fire(ke),te=0},B)})},onLastListenerRemove(){se.dispose()}});return he.event}n.debounce=h;function b(x,W=(B,j)=>B===j){let B=!0,j;return r(x,Z=>{const se=B||!W(Z,j);return B=!1,j=Z,se})}n.latch=b;function p(x,W){return[n.filter(x,W),n.filter(x,B=>!W(B))]}n.split=p;function k(x,W=!1,B=[]){let j=B.slice(),Z=x(z=>{j?j.push(z):Q.fire(z)});const se=()=>{j&&j.forEach(z=>Q.fire(z)),j=null},Q=new c({onFirstListenerAdd(){Z||(Z=x(z=>Q.fire(z)))},onFirstListenerDidAdd(){j&&(W?setTimeout(se):se())},onLastListenerRemove(){Z&&Z.dispose(),Z=null}});return Q.event}n.buffer=k;class O{constructor(W){this.event=W}map(W){return new O(a(this.event,W))}forEach(W){return new O(S(this.event,W))}filter(W){return new O(r(this.event,W))}reduce(W,B){return new O(d(this.event,W,B))}latch(){return new O(b(this.event))}debounce(W,B=100,j=!1,Z){return new O(h(this.event,W,B,j,Z))}on(W,B,j){return this.event(W,B,j)}once(W,B,j){return m(this.event)(W,B,j)}}function U(x){return new O(x)}n.chain=U;function F(x,W,B=j=>j){const j=(...z)=>Q.fire(B(...z)),Z=()=>x.on(W,j),se=()=>x.removeListener(W,j),Q=new c({onFirstListenerAdd:Z,onLastListenerRemove:se});return Q.event}n.fromNodeEventEmitter=F;function M(x,W,B=j=>j){const j=(...z)=>Q.fire(B(...z)),Z=()=>x.addEventListener(W,j),se=()=>x.removeEventListener(W,j),Q=new c({onFirstListenerAdd:Z,onLastListenerRemove:se});return Q.event}n.fromDOMEventEmitter=M;function V(x){return new Promise(W=>m(x)(W))}n.toPromise=V;function H(x,W){return W(void 0),x(B=>W(B))}n.runAndSubscribe=H;function N(x,W){let B=null;function j(se){B?.dispose(),B=new I.DisposableStore,W(se,B)}j(void 0);const Z=x(se=>j(se));return(0,I.toDisposable)(()=>{Z.dispose(),B?.dispose()})}n.runAndSubscribeWithStore=N})(P=e.Event||(e.Event={}));class y{constructor(m){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${m}_${y._idPool++}`}start(m){this._stopWatch=new T.StopWatch(!0),this._listenerCount=m}stop(){if(this._stopWatch){const m=this._stopWatch.elapsed();this._elapsedOverall+=m,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${m.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let A=-1;function L(n){const m=A;return A=n,{dispose(){A=m}}}e.setGlobalLeakWarningThreshold=L;class D{constructor(m,a=Math.random().toString(18).slice(2,5)){this.customThreshold=m,this.name=a,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(m){let a=A;if(typeof this.customThreshold=="number"&&(a=this.customThreshold),a<=0||m<a)return;this._stacks||(this._stacks=new Map);const S=new Error().stack.split(`
`).slice(3).join(`
`),r=this._stacks.get(S)||0;if(this._stacks.set(S,r+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=a*.5;let t,o=0;for(const[d,l]of this._stacks)(!t||o<l)&&(t=d,o=l);console.warn(`[${this.name}] potential listener LEAK detected, having ${m} listeners already. MOST frequent listener (${o}):`),console.warn(t)}return()=>{const t=this._stacks.get(S)||0;this._stacks.set(S,t-1)}}}class c{constructor(m){this._disposed=!1,this._options=m,this._leakageMon=A>0?new D(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(m,a,S)=>{this._listeners||(this._listeners=new C.LinkedList);const r=this._listeners.isEmpty();r&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const t=this._listeners.push(a?[m,a]:m);r&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,m,a);const o=this._leakageMon?.check(this._listeners.size),d=(0,I.toDisposable)(()=>{o&&o(),this._disposed||(t(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return S instanceof I.DisposableStore?S.add(d):Array.isArray(S)&&S.push(d),d}),this._event}fire(m){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new C.LinkedList);for(let a of this._listeners)this._deliveryQueue.push([a,m]);for(this._perfMon?.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[a,S]=this._deliveryQueue.shift();try{typeof a=="function"?a.call(void 0,S):a[0].call(a[1],S)}catch(r){(0,f.onUnexpectedError)(r)}}this._perfMon?.stop()}}dispose(){this._disposed||(this._disposed=!0,this._listeners?.clear(),this._deliveryQueue?.clear(),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose())}}e.Emitter=c;class E extends c{async fireAsync(m,a,S){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new C.LinkedList);for(const r of this._listeners)this._asyncDeliveryQueue.push([r,m]);for(;this._asyncDeliveryQueue.size>0&&!a.isCancellationRequested;){const[r,t]=this._asyncDeliveryQueue.shift(),o=[],d={...t,token:a,waitUntil:l=>{if(Object.isFrozen(o))throw new Error("waitUntil can NOT be called asynchronous");S&&(l=S(l,typeof r=="function"?r:r[0])),o.push(l)}};try{typeof r=="function"?r.call(void 0,d):r[0].call(r[1],d)}catch(l){(0,f.onUnexpectedError)(l);continue}Object.freeze(o),await Promise.allSettled(o).then(l=>{for(const u of l)u.status==="rejected"&&(0,f.onUnexpectedError)(u.reason)})}}}}e.AsyncEmitter=E;class g extends c{constructor(m){super(m);this._isPaused=0,this._eventQueue=new C.LinkedList,this._mergeFn=m?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const m=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(m))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(m){this._listeners&&(this._isPaused!==0?this._eventQueue.push(m):super.fire(m))}}e.PauseableEmitter=g;class w extends g{constructor(m){super(m);this._delay=m.delay??100}fire(m){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(m)}}e.DebounceEmitter=w;class v extends c{constructor(m){super(m);this._queuedEvents=[],this._mergeFn=m?.merge}fire(m){this._queuedEvents.push(m),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(a=>super.fire(a)),this._queuedEvents=[]})}}e.MicrotaskEmitter=v;class R{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new c({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(m){const a={event:m,listener:null};this.events.push(a),this.hasListeners&&this.hook(a);const S=()=>{this.hasListeners&&this.unhook(a);const r=this.events.indexOf(a);this.events.splice(r,1)};return(0,I.toDisposable)((0,i.once)(S))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(m=>this.hook(m))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(m=>this.unhook(m))}hook(m){m.listener=m.event(a=>this.emitter.fire(a))}unhook(m){m.listener&&m.listener.dispose(),m.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=R;class _{constructor(){this.buffers=[]}wrapEvent(m){return(a,S,r)=>m(t=>{const o=this.buffers[this.buffers.length-1];o?o.push(()=>a.call(S,t)):a.call(S,t)},void 0,r)}bufferEvents(m){const a=[];this.buffers.push(a);const S=m();return this.buffers.pop(),a.forEach(r=>r()),S}}e.EventBufferer=_;class s{constructor(){this.listening=!1,this.inputEvent=P.None,this.inputEventListener=I.Disposable.None,this.emitter=new c({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(m){this.inputEvent=m,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=m(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=s}),define(pe[21],ve([0,1,3]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const i=Object.freeze(function(P,y){const A=setTimeout(P.bind(y),0);return{dispose(){clearTimeout(A)}}});var I;(function(P){function y(A){return A===P.None||A===P.Cancelled||A instanceof C?!0:!A||typeof A!="object"?!1:typeof A.isCancellationRequested=="boolean"&&typeof A.onCancellationRequested=="function"}P.isCancellationToken=y,P.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:f.Event.None}),P.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:i})})(I=e.CancellationToken||(e.CancellationToken={}));class C{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?i:(this._emitter||(this._emitter=new f.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class T{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new C),this._token}cancel(){this._token?this._token instanceof C&&this._token.cancel():this._token=I.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof C&&this._token.dispose():this._token=I.None}}e.CancellationTokenSource=T}),define(pe[141],ve([0,1,21]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCachedComputed=e.Cache=void 0;class i{constructor(T){this.task=T,this.result=null}get(){if(this.result)return this.result;const T=new f.CancellationTokenSource,P=this.task(T.token);return this.result={promise:P,dispose:()=>{this.result=null,T.cancel(),T.dispose()}},this.result}}e.Cache=i;class I{constructor(T){this.computeFn=T,this.lastCache=void 0,this.lastArgKey=void 0}get(T){const P=JSON.stringify(T);return this.lastArgKey!==P&&(this.lastArgKey=P,this.lastCache=this.computeFn(T)),this.lastCache}}e.LRUCachedComputed=I}),define(pe[97],ve([0,1,15,6]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function I(s){const n=s;return n?[n.on,n.pause,n.resume,n.destroy].every(m=>typeof m=="function"):!1}e.isReadableStream=I;function C(s){const n=s;return n?I(n.stream)&&Array.isArray(n.buffer)&&typeof n.ended=="boolean":!1}e.isReadableBufferedStream=C;function T(s,n){return new P(s,n)}e.newWriteableStream=T;class P{constructor(n,m){this.reducer=n,this.options=m,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(n){if(!this.state.destroyed){if(this.state.flowing)this.emitData(n);else if(this.buffer.data.push(n),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(m=>this.pendingWritePromises.push(m))}}error(n){this.state.destroyed||(this.state.flowing?this.emitError(n):this.buffer.error.push(n))}end(n){this.state.destroyed||(typeof n!="undefined"&&this.write(n),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(n){this.listeners.data.slice(0).forEach(m=>m(n))}emitError(n){this.listeners.error.length===0?(0,f.onUnexpectedError)(n):this.listeners.error.slice(0).forEach(m=>m(n))}emitEnd(){this.listeners.end.slice(0).forEach(n=>n())}on(n,m){if(!this.state.destroyed)switch(n){case"data":this.listeners.data.push(m),this.resume();break;case"end":this.listeners.end.push(m),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(m),this.state.flowing&&this.flowErrors();break}}removeListener(n,m){if(this.state.destroyed)return;let a;switch(n){case"data":a=this.listeners.data;break;case"end":a=this.listeners.end;break;case"error":a=this.listeners.error;break}if(a){const S=a.indexOf(m);S>=0&&a.splice(S,1)}}flowData(){if(this.buffer.data.length>0){const n=this.reducer(this.buffer.data);this.emitData(n),this.buffer.data.length=0;const m=[...this.pendingWritePromises];this.pendingWritePromises.length=0,m.forEach(a=>a())}}flowErrors(){if(this.listeners.error.length>0){for(const n of this.buffer.error)this.emitError(n);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(s,n){const m=[];let a;for(;(a=s.read())!==null;)m.push(a);return n(m)}e.consumeReadable=y;function A(s,n,m){const a=[];let S;for(;(S=s.read())!==null&&a.length<m;)a.push(S);return S===null&&a.length>0?n(a):{read:()=>{if(a.length>0)return a.shift();if(typeof S!="undefined"){const r=S;return S=void 0,r}return s.read()}}}e.peekReadable=A;function L(s,n){return new Promise((m,a)=>{const S=[];D(s,{onData:r=>{n&&S.push(r)},onError:r=>{n?a(r):m(void 0)},onEnd:()=>{m(n?n(S):void 0)}})})}e.consumeStream=L;function D(s,n){let m=!1;return s.on("error",a=>{m||n.onError(a)}),s.on("end",()=>{m||n.onEnd()}),s.on("data",a=>{m||n.onData(a)}),(0,i.toDisposable)(()=>m=!0)}e.listenStream=D;function c(s,n){return new Promise((m,a)=>{const S=new i.DisposableStore,r=[],t=l=>{if(r.push(l),r.length>n)return S.dispose(),s.pause(),m({stream:s,buffer:r,ended:!1})},o=l=>a(l),d=()=>m({stream:s,buffer:r,ended:!0});S.add((0,i.toDisposable)(()=>s.removeListener("error",o))),s.on("error",o),S.add((0,i.toDisposable)(()=>s.removeListener("end",d))),s.on("end",d),S.add((0,i.toDisposable)(()=>s.removeListener("data",t))),s.on("data",t)})}e.peekStream=c;function E(s,n){const m=T(n);return m.end(s),m}e.toStream=E;function g(){const s=T(()=>{throw new Error("not supported")});return s.end(),s}e.emptyStream=g;function w(s){let n=!1;return{read:()=>n?null:(n=!0,s)}}e.toReadable=w;function v(s,n,m){const a=T(m);return D(s,{onData:S=>a.write(n.data(S)),onError:S=>a.error(n.error?n.error(S):S),onEnd:()=>a.end()}),a}e.transform=v;function R(s,n,m){let a=!1;return{read:()=>{const S=n.read();return a?S:(a=!0,S!==null?m([s,S]):s)}}}e.prefixedReadable=R;function _(s,n,m){let a=!1;const S=T(m);return D(n,{onData:r=>a?S.write(r):(a=!0,S.write(m([s,r]))),onError:r=>S.error(r),onEnd:()=>{a||(a=!0,S.write(s)),S.end()}}),S}e.prefixedStream=_}),define(pe[22],ve([0,1,97]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const i=typeof Buffer!="undefined";let I,C;class T{constructor(u){this.buffer=u,this.byteLength=this.buffer.byteLength}static alloc(u){return i?new T(Buffer.allocUnsafe(u)):new T(new Uint8Array(u))}static wrap(u){return i&&!Buffer.isBuffer(u)&&(u=Buffer.from(u.buffer,u.byteOffset,u.byteLength)),new T(u)}static fromString(u,h){return!(h?.dontUseNodeBuffer||!1)&&i?new T(Buffer.from(u)):(I||(I=new TextEncoder),new T(I.encode(u)))}static fromByteArray(u){const h=T.alloc(u.length);for(let b=0,p=u.length;b<p;b++)h.buffer[b]=u[b];return h}static concat(u,h){if(typeof h=="undefined"){h=0;for(let k=0,O=u.length;k<O;k++)h+=u[k].byteLength}const b=T.alloc(h);let p=0;for(let k=0,O=u.length;k<O;k++){const U=u[k];b.set(U,p),p+=U.byteLength}return b}clone(){const u=T.alloc(this.byteLength);return u.set(this),u}toString(){return i?this.buffer.toString():(C||(C=new TextDecoder),C.decode(this.buffer))}slice(u,h){return new T(this.buffer.subarray(u,h))}set(u,h){if(u instanceof T)this.buffer.set(u.buffer,h);else if(u instanceof Uint8Array)this.buffer.set(u,h);else if(u instanceof ArrayBuffer)this.buffer.set(new Uint8Array(u),h);else if(ArrayBuffer.isView(u))this.buffer.set(new Uint8Array(u.buffer,u.byteOffset,u.byteLength),h);else throw new Error("Unkown argument 'array'")}readUInt32BE(u){return A(this.buffer,u)}writeUInt32BE(u,h){L(this.buffer,u,h)}readUInt32LE(u){return D(this.buffer,u)}writeUInt32LE(u,h){c(this.buffer,u,h)}readUInt8(u){return E(this.buffer,u)}writeUInt8(u,h){g(this.buffer,u,h)}}e.VSBuffer=T;function P(l,u){return l[u+0]<<0>>>0|l[u+1]<<8>>>0}e.readUInt16LE=P;function y(l,u,h){l[h+0]=u&255,u=u>>>8,l[h+1]=u&255}e.writeUInt16LE=y;function A(l,u){return l[u]*2**24+l[u+1]*2**16+l[u+2]*2**8+l[u+3]}e.readUInt32BE=A;function L(l,u,h){l[h+3]=u,u=u>>>8,l[h+2]=u,u=u>>>8,l[h+1]=u,u=u>>>8,l[h]=u}e.writeUInt32BE=L;function D(l,u){return l[u+0]<<0>>>0|l[u+1]<<8>>>0|l[u+2]<<16>>>0|l[u+3]<<24>>>0}e.readUInt32LE=D;function c(l,u,h){l[h+0]=u&255,u=u>>>8,l[h+1]=u&255,u=u>>>8,l[h+2]=u&255,u=u>>>8,l[h+3]=u&255}e.writeUInt32LE=c;function E(l,u){return l[u]}e.readUInt8=E;function g(l,u,h){l[h]=u}e.writeUInt8=g;function w(l){return f.consumeReadable(l,u=>T.concat(u))}e.readableToBuffer=w;function v(l){return f.toReadable(l)}e.bufferToReadable=v;function R(l){return f.consumeStream(l,u=>T.concat(u))}e.streamToBuffer=R;async function _(l){return l.ended?T.concat(l.buffer):T.concat([...l.buffer,await R(l.stream)])}e.bufferedStreamToBuffer=_;function s(l){return f.toStream(l,u=>T.concat(u))}e.bufferToStream=s;function n(l){return f.transform(l,{data:u=>typeof u=="string"?T.fromString(u):T.wrap(u)},u=>T.concat(u))}e.streamToBufferReadableStream=n;function m(l){return f.newWriteableStream(u=>T.concat(u),l)}e.newWriteableBufferStream=m;function a(l,u){return f.prefixedReadable(l,u,h=>T.concat(h))}e.prefixedBufferReadable=a;function S(l,u){return f.prefixedStream(l,u,h=>T.concat(h))}e.prefixedBufferStream=S;function r(l){let u=0,h=0,b=0;const p=new Uint8Array(Math.floor(l.length/4*3)),k=U=>{switch(h){case 3:p[b++]=u|U,h=0;break;case 2:p[b++]=u|U>>>2,u=U<<6,h=3;break;case 1:p[b++]=u|U>>>4,u=U<<4,h=2;break;default:u=U<<2,h=1}};for(let U=0;U<l.length;U++){const F=l.charCodeAt(U);if(F>=65&&F<=90)k(F-65);else if(F>=97&&F<=122)k(F-97+26);else if(F>=48&&F<=57)k(F-48+52);else if(F===43||F===45)k(62);else if(F===47||F===95)k(63);else{if(F===61)break;throw new SyntaxError(`Unexpected base64 character ${l[U]}`)}}const O=b;for(;h>0;)k(0);return T.wrap(p).slice(0,O)}e.decodeBase64=r;const t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function d({buffer:l},u=!0,h=!1){const b=h?o:t;let p="";const k=l.byteLength%3;let O=0;for(;O<l.byteLength-k;O+=3){const U=l[O+0],F=l[O+1],M=l[O+2];p+=b[U>>>2],p+=b[(U<<4|F>>>4)&63],p+=b[(F<<2|M>>>6)&63],p+=b[M&63]}if(k===1){const U=l[O+0];p+=b[U>>>2],p+=b[U<<4&63],u&&(p+="==")}else if(k===2){const U=l[O+0],F=l[O+1];p+=b[U>>>2],p+=b[(U<<4|F>>>4)&63],p+=b[F<<2&63],u&&(p+="=")}return p}e.encodeBase64=d}),define(pe[9],ve([0,1,141,93]),function(X,e,f,i){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function C(ne){return!ne||typeof ne!="string"?!0:ne.trim().length===0}e.isFalsyOrWhitespace=C;const T=/{(\d+)}/g;function P(ne,...Ce){return Ce.length===0?ne:ne.replace(T,function(Fe,qe){const Ve=parseInt(qe,10);return isNaN(Ve)||Ve<0||Ve>=Ce.length?Fe:Ce[Ve]})}e.format=P;const y=/{([^}]+)}/g;function A(ne,Ce){return ne.replace(y,(Fe,qe)=>Ce[qe]??Fe)}e.format2=A;function L(ne){return ne.replace(/[<>&]/g,function(Ce){switch(Ce){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Ce}})}e.escape=L;function D(ne){return ne.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=D;function c(ne,Ce){let Fe=0;const qe=Ce.charCodeAt(0);for(let Ve=ne.length-1;Ve>=0;Ve--)ne.charCodeAt(Ve)===qe&&Fe++;return Fe}e.count=c;function E(ne,Ce,Fe="\u2026"){return ne.length<=Ce?ne:`${ne.substr(0,Ce)}${Fe}`}e.truncate=E;function g(ne,Ce=" "){const Fe=w(ne,Ce);return v(Fe,Ce)}e.trim=g;function w(ne,Ce){if(!ne||!Ce)return ne;const Fe=Ce.length;if(Fe===0||ne.length===0)return ne;let qe=0;for(;ne.indexOf(Ce,qe)===qe;)qe=qe+Fe;return ne.substring(qe)}e.ltrim=w;function v(ne,Ce){if(!ne||!Ce)return ne;const Fe=Ce.length,qe=ne.length;if(Fe===0||qe===0)return ne;let Ve=qe,lt=-1;for(;lt=ne.lastIndexOf(Ce,Ve-1),!(lt===-1||lt+Fe!==Ve);){if(lt===0)return"";Ve=lt}return ne.substring(0,Ve)}e.rtrim=v;function R(ne){return ne.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=R;function _(ne){return ne.replace(/\*/g,"")}e.stripWildcards=_;function s(ne,Ce,Fe={}){if(!ne)throw new Error("Cannot create regex from empty string");Ce||(ne=D(ne)),Fe.wholeWord&&(/\B/.test(ne.charAt(0))||(ne="\\b"+ne),/\B/.test(ne.charAt(ne.length-1))||(ne=ne+"\\b"));let qe="";return Fe.global&&(qe+="g"),Fe.matchCase||(qe+="i"),Fe.multiline&&(qe+="m"),Fe.unicode&&(qe+="u"),new RegExp(ne,qe)}e.createRegExp=s;function n(ne){return ne.source==="^"||ne.source==="^$"||ne.source==="$"||ne.source==="^\\s*$"?!1:!!(ne.exec("")&&ne.lastIndex===0)}e.regExpLeadsToEndlessLoop=n;function m(ne){return!!ne.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=m;function a(ne){return(ne.global?"g":"")+(ne.ignoreCase?"i":"")+(ne.multiline?"m":"")+(ne.unicode?"u":"")}e.regExpFlags=a;function S(ne){return ne.split(/\r\n|\r|\n/)}e.splitLines=S;function r(ne){for(let Ce=0,Fe=ne.length;Ce<Fe;Ce++){const qe=ne.charCodeAt(Ce);if(qe!==32&&qe!==9)return Ce}return-1}e.firstNonWhitespaceIndex=r;function t(ne,Ce=0,Fe=ne.length){for(let qe=Ce;qe<Fe;qe++){const Ve=ne.charCodeAt(qe);if(Ve!==32&&Ve!==9)return ne.substring(Ce,qe)}return ne.substring(Ce,Fe)}e.getLeadingWhitespace=t;function o(ne,Ce=ne.length-1){for(let Fe=Ce;Fe>=0;Fe--){const qe=ne.charCodeAt(Fe);if(qe!==32&&qe!==9)return Fe}return-1}e.lastNonWhitespaceIndex=o;function d(ne,Ce){return ne<Ce?-1:ne>Ce?1:0}e.compare=d;function l(ne,Ce,Fe=0,qe=ne.length,Ve=0,lt=Ce.length){for(;Fe<qe&&Ve<lt;Fe++,Ve++){let De=ne.charCodeAt(Fe),ce=Ce.charCodeAt(Ve);if(De<ce)return-1;if(De>ce)return 1}const Re=qe-Fe,Ae=lt-Ve;return Re<Ae?-1:Re>Ae?1:0}e.compareSubstring=l;function u(ne,Ce){return h(ne,Ce,0,ne.length,0,Ce.length)}e.compareIgnoreCase=u;function h(ne,Ce,Fe=0,qe=ne.length,Ve=0,lt=Ce.length){for(;Fe<qe&&Ve<lt;Fe++,Ve++){let De=ne.charCodeAt(Fe),ce=Ce.charCodeAt(Ve);if(De===ce)continue;if(De>=128||ce>=128)return l(ne.toLowerCase(),Ce.toLowerCase(),Fe,qe,Ve,lt);b(De)&&(De-=32),b(ce)&&(ce-=32);const de=De-ce;if(de!==0)return de}const Re=qe-Fe,Ae=lt-Ve;return Re<Ae?-1:Re>Ae?1:0}e.compareSubstringIgnoreCase=h;function b(ne){return ne>=97&&ne<=122}e.isLowerAsciiLetter=b;function p(ne){return ne>=65&&ne<=90}e.isUpperAsciiLetter=p;function k(ne,Ce){return ne.length===Ce.length&&h(ne,Ce)===0}e.equalsIgnoreCase=k;function O(ne,Ce){const Fe=Ce.length;return Ce.length>ne.length?!1:h(ne,Ce,0,Fe)===0}e.startsWithIgnoreCase=O;function U(ne,Ce){let Fe,qe=Math.min(ne.length,Ce.length);for(Fe=0;Fe<qe;Fe++)if(ne.charCodeAt(Fe)!==Ce.charCodeAt(Fe))return Fe;return qe}e.commonPrefixLength=U;function F(ne,Ce){let Fe,qe=Math.min(ne.length,Ce.length);const Ve=ne.length-1,lt=Ce.length-1;for(Fe=0;Fe<qe;Fe++)if(ne.charCodeAt(Ve-Fe)!==Ce.charCodeAt(lt-Fe))return Fe;return qe}e.commonSuffixLength=F;function M(ne){return 55296<=ne&&ne<=56319}e.isHighSurrogate=M;function V(ne){return 56320<=ne&&ne<=57343}e.isLowSurrogate=V;function H(ne,Ce){return(ne-55296<<10)+(Ce-56320)+65536}e.computeCodePoint=H;function N(ne,Ce,Fe){const qe=ne.charCodeAt(Fe);if(M(qe)&&Fe+1<Ce){const Ve=ne.charCodeAt(Fe+1);if(V(Ve))return H(qe,Ve)}return qe}e.getNextCodePoint=N;function x(ne,Ce){const Fe=ne.charCodeAt(Ce-1);if(V(Fe)&&Ce>1){const qe=ne.charCodeAt(Ce-2);if(M(qe))return H(qe,Fe)}return Fe}class W{constructor(Ce,Fe=0){this._str=Ce,this._len=Ce.length,this._offset=Fe}get offset(){return this._offset}setOffset(Ce){this._offset=Ce}prevCodePoint(){const Ce=x(this._str,this._offset);return this._offset-=Ce>=65536?2:1,Ce}nextCodePoint(){const Ce=N(this._str,this._len,this._offset);return this._offset+=Ce>=65536?2:1,Ce}eol(){return this._offset>=this._len}}e.CodePointIterator=W;class B{constructor(Ce,Fe=0){this._iterator=new W(Ce,Fe)}get offset(){return this._iterator.offset}nextGraphemeLength(){const Ce=rt.getInstance(),Fe=this._iterator,qe=Fe.offset;let Ve=Ce.getGraphemeBreakType(Fe.nextCodePoint());for(;!Fe.eol();){const lt=Fe.offset,Re=Ce.getGraphemeBreakType(Fe.nextCodePoint());if(ct(Ve,Re)){Fe.setOffset(lt);break}Ve=Re}return Fe.offset-qe}prevGraphemeLength(){const Ce=rt.getInstance(),Fe=this._iterator,qe=Fe.offset;let Ve=Ce.getGraphemeBreakType(Fe.prevCodePoint());for(;Fe.offset>0;){const lt=Fe.offset,Re=Ce.getGraphemeBreakType(Fe.prevCodePoint());if(ct(Re,Ve)){Fe.setOffset(lt);break}Ve=Re}return qe-Fe.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=B;function j(ne,Ce){return new B(ne,Ce).nextGraphemeLength()}e.nextCharLength=j;function Z(ne,Ce){return new B(ne,Ce).prevGraphemeLength()}e.prevCharLength=Z;function se(ne,Ce){Ce>0&&V(ne.charCodeAt(Ce))&&Ce--;const Fe=Ce+j(ne,Ce);return[Fe-Z(ne,Fe),Fe]}e.getCharContainingOffset=se;const Q=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function z(ne){return Q.test(ne)}e.containsRTL=z;const te=/^[\t\n\r\x20-\x7E]*$/;function he(ne){return te.test(ne)}e.isBasicASCII=he,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function ge(ne){return e.UNUSUAL_LINE_TERMINATORS.test(ne)}e.containsUnusualLineTerminators=ge;function ke(ne){return ne>=11904&&ne<=55215||ne>=63744&&ne<=64255||ne>=65281&&ne<=65374}e.isFullWidthCharacter=ke;function Ue(ne){return ne>=127462&&ne<=127487||ne===8986||ne===8987||ne===9200||ne===9203||ne>=9728&&ne<=10175||ne===11088||ne===11093||ne>=127744&&ne<=128591||ne>=128640&&ne<=128764||ne>=128992&&ne<=129008||ne>=129280&&ne<=129535||ne>=129648&&ne<=129782}e.isEmojiImprecise=Ue;function Be(ne,Ce){if(ne.length<Ce)return ne;const Fe=/\b/g;let qe=0;for(;Fe.test(ne)&&!(ne.length-Fe.lastIndex<Ce);)qe=Fe.lastIndex,Fe.lastIndex+=1;return ne.substring(qe).replace(/^\s/,"")}e.lcut=Be;const q=/\x1B\x5B[12]?K/g,Y=/\x1b\[\d+m/g,re=/\x1b\[0?m/g;function le(ne){return ne&&(ne=ne.replace(q,""),ne=ne.replace(Y,""),ne=ne.replace(re,"")),ne}e.removeAnsiEscapeCodes=le,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function J(ne){return!!(ne&&ne.length>0&&ne.charCodeAt(0)===65279)}e.startsWithUTF8BOM=J;function oe(ne){return J(ne)?ne.substr(1):ne}e.stripUTF8BOM=oe;function Se(ne,Ce){if(!ne||!Ce||ne.length<Ce.length)return!1;const Fe=Ce.length,qe=ne.toLowerCase();let Ve=0,lt=-1;for(;Ve<Fe;){const Re=qe.indexOf(Ce[Ve],lt+1);if(Re<0)return!1;lt=Re,Ve++}return!0}e.fuzzyContains=Se;function Me(ne,Ce=!1){return ne?(Ce&&(ne=ne.replace(/\\./g,"")),ne.toLowerCase()!==ne):!1}e.containsUppercaseCharacter=Me;function Ge(ne){return ne.charAt(0).toUpperCase()+ne.slice(1)}e.uppercaseFirstLetter=Ge;function Ke(ne,Ce=1){if(Ce===0)return"";let Fe=-1;do Fe=ne.indexOf(`
`,Fe+1),Ce--;while(Ce>0&&Fe>=0);return Fe===-1?ne:(ne[Fe-1]==="\r"&&Fe--,ne.substr(0,Fe))}e.getNLines=Ke;function et(ne){const Ce=90-65+1;return ne=ne%(2*Ce),ne<Ce?String.fromCharCode(97+ne):String.fromCharCode(65+ne-Ce)}e.singleLetterHash=et;function nt(ne){return rt.getInstance().getGraphemeBreakType(ne)}e.getGraphemeBreakType=nt;function ct(ne,Ce){return ne===0?Ce!==5&&Ce!==7:ne===2&&Ce===3?!1:ne===4||ne===2||ne===3||Ce===4||Ce===2||Ce===3?!0:!(ne===8&&(Ce===8||Ce===9||Ce===11||Ce===12)||(ne===11||ne===9)&&(Ce===9||Ce===10)||(ne===12||ne===10)&&Ce===10||Ce===5||Ce===13||Ce===7||ne===1||ne===13&&Ce===14||ne===6&&Ce===6)}var tt;(function(ne){ne[ne.Other=0]="Other",ne[ne.Prepend=1]="Prepend",ne[ne.CR=2]="CR",ne[ne.LF=3]="LF",ne[ne.Control=4]="Control",ne[ne.Extend=5]="Extend",ne[ne.Regional_Indicator=6]="Regional_Indicator",ne[ne.SpacingMark=7]="SpacingMark",ne[ne.L=8]="L",ne[ne.V=9]="V",ne[ne.T=10]="T",ne[ne.LV=11]="LV",ne[ne.LVT=12]="LVT",ne[ne.ZWJ=13]="ZWJ",ne[ne.Extended_Pictographic=14]="Extended_Pictographic"})(tt=e.GraphemeBreakType||(e.GraphemeBreakType={}));class rt{constructor(){this._data=dt()}static getInstance(){return rt._INSTANCE||(rt._INSTANCE=new rt),rt._INSTANCE}getGraphemeBreakType(Ce){if(Ce<32)return Ce===10?3:Ce===13?2:4;if(Ce<127)return 0;const Fe=this._data,qe=Fe.length/3;let Ve=1;for(;Ve<=qe;)if(Ce<Fe[3*Ve])Ve=2*Ve;else if(Ce>Fe[3*Ve+1])Ve=2*Ve+1;else return Fe[3*Ve+2];return 0}}rt._INSTANCE=null;function dt(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function pt(ne,Ce){if(ne===0)return 0;const Fe=xe(ne,Ce);if(Fe!==void 0)return Fe;const qe=new W(Ce,ne);return qe.prevCodePoint(),qe.offset}e.getLeftDeleteOffset=pt;function xe(ne,Ce){const Fe=new W(Ce,ne);let qe=Fe.prevCodePoint();for(;Tt(qe)||qe===65039||qe===8419;){if(Fe.offset===0)return;qe=Fe.prevCodePoint()}if(!Ue(qe))return;let Ve=Fe.offset;return Ve>0&&Fe.prevCodePoint()===8205&&(Ve=Fe.offset),Ve}function Tt(ne){return 127995<=ne&&ne<=127999}var ee;(function(ne){ne[ne.zwj=8205]="zwj",ne[ne.emojiVariantSelector=65039]="emojiVariantSelector",ne[ne.enclosingKeyCap=8419]="enclosingKeyCap"})(ee||(ee={})),e.noBreakWhitespace="\xA0";class ie{constructor(Ce){this.confusableDictionary=Ce}static getInstance(Ce){return ie.cache.get(Array.from(Ce))}static getLocales(){return ie._locales.getValue()}isAmbiguous(Ce){return this.confusableDictionary.has(Ce)}getPrimaryConfusable(Ce){return this.confusableDictionary.get(Ce)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=ie,I=ie,ie.ambiguousCharacterData=new i.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),ie.cache=new f.LRUCachedComputed(ne=>{function Ce(ce){const de=new Map;for(let we=0;we<ce.length;we+=2)de.set(ce[we],ce[we+1]);return de}function Fe(ce,de){const we=new Map(ce);for(const[ye,Oe]of de)we.set(ye,Oe);return we}function qe(ce,de){if(!ce)return de;const we=new Map;for(const[ye,Oe]of ce)de.has(ye)&&we.set(ye,Oe);return we}const Ve=I.ambiguousCharacterData.getValue();let lt=ne.filter(ce=>!ce.startsWith("_")&&ce in Ve);lt.length===0&&(lt=["_default"]);let Re;for(const ce of lt){const de=Ce(Ve[ce]);Re=qe(Re,de)}const Ae=Ce(Ve._common),De=Fe(Ae,Re);return new ie(De)}),ie._locales=new i.Lazy(()=>Object.keys(ie.ambiguousCharacterData.getValue()).filter(ne=>!ne.startsWith("_")));class Ee{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Ee.getRawData())),this._data}static isInvisibleCharacter(Ce){return Ee.getData().has(Ce)}static get codePoints(){return Ee.getData()}}e.InvisibleCharacters=Ee,Ee._data=void 0}),define(pe[47],ve([0,1,9]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function i(R){return I(R,0)}e.hash=i;function I(R,_){switch(typeof R){case"object":return R===null?C(349,_):Array.isArray(R)?y(R,_):A(R,_);case"string":return P(R,_);case"boolean":return T(R,_);case"number":return C(R,_);case"undefined":return C(937,_);default:return C(617,_)}}e.doHash=I;function C(R,_){return(_<<5)-_+R|0}e.numberHash=C;function T(R,_){return C(R?433:863,_)}function P(R,_){_=C(149417,_);for(let s=0,n=R.length;s<n;s++)_=C(R.charCodeAt(s),_);return _}e.stringHash=P;function y(R,_){return _=C(104579,_),R.reduce((s,n)=>I(n,s),_)}function A(R,_){return _=C(181387,_),Object.keys(R).sort().reduce((s,n)=>(s=P(n,s),I(R[n],s)),_)}class L{constructor(){this._value=0}get value(){return this._value}hash(_){return this._value=I(_,this._value),this._value}}e.Hasher=L;var D;(function(R){R[R.BLOCK_SIZE=64]="BLOCK_SIZE",R[R.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(D||(D={}));function c(R,_,s=32){const n=s-_,m=~((1<<n)-1);return(R<<_|(m&R)>>>n)>>>0}function E(R,_=0,s=R.byteLength,n=0){for(let m=0;m<s;m++)R[_+m]=n}function g(R,_,s="0"){for(;R.length<_;)R=s+R;return R}function w(R,_=32){return R instanceof ArrayBuffer?Array.from(new Uint8Array(R)).map(s=>s.toString(16).padStart(2,"0")).join(""):g((R>>>0).toString(16),_/4)}e.toHexString=w;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(_){const s=_.length;if(s===0)return;const n=this._buff;let m=this._buffLen,a=this._leftoverHighSurrogate,S,r;for(a!==0?(S=a,r=-1,a=0):(S=_.charCodeAt(0),r=0);;){let t=S;if(f.isHighSurrogate(S))if(r+1<s){const o=_.charCodeAt(r+1);f.isLowSurrogate(o)?(r++,t=f.computeCodePoint(S,o)):t=65533}else{a=S;break}else f.isLowSurrogate(S)&&(t=65533);if(m=this._push(n,m,t),r++,r<s)S=_.charCodeAt(r);else break}this._buffLen=m,this._leftoverHighSurrogate=a}_push(_,s,n){return n<128?_[s++]=n:n<2048?(_[s++]=192|(n&1984)>>>6,_[s++]=128|(n&63)>>>0):n<65536?(_[s++]=224|(n&61440)>>>12,_[s++]=128|(n&4032)>>>6,_[s++]=128|(n&63)>>>0):(_[s++]=240|(n&1835008)>>>18,_[s++]=128|(n&258048)>>>12,_[s++]=128|(n&4032)>>>6,_[s++]=128|(n&63)>>>0),s>=64&&(this._step(),s-=64,this._totalLen+=64,_[0]=_[64+0],_[1]=_[64+1],_[2]=_[64+2]),s}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),w(this._h0)+w(this._h1)+w(this._h2)+w(this._h3)+w(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,E(this._buff,this._buffLen),this._buffLen>56&&(this._step(),E(this._buff));const _=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(_/4294967296),!1),this._buffDV.setUint32(60,_%4294967296,!1),this._step()}_step(){const _=v._bigBlock32,s=this._buffDV;for(let l=0;l<64;l+=4)_.setUint32(l,s.getUint32(l,!1),!1);for(let l=64;l<320;l+=4)_.setUint32(l,c(_.getUint32(l-12,!1)^_.getUint32(l-32,!1)^_.getUint32(l-56,!1)^_.getUint32(l-64,!1),1),!1);let n=this._h0,m=this._h1,a=this._h2,S=this._h3,r=this._h4,t,o,d;for(let l=0;l<80;l++)l<20?(t=m&a|~m&S,o=1518500249):l<40?(t=m^a^S,o=1859775393):l<60?(t=m&a|m&S|a&S,o=2400959708):(t=m^a^S,o=3395469782),d=c(n,5)+t+r+o+_.getUint32(l*4,!1)&4294967295,r=S,S=a,a=c(m,30),m=n,n=d;this._h0=this._h0+n&4294967295,this._h1=this._h1+m&4294967295,this._h2=this._h2+a&4294967295,this._h3=this._h3+S&4294967295,this._h4=this._h4+r&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[24],ve([0,1,16,9]),function(X,e,f,i){"use strict";var I,C,T;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(r,t,o){let d=r.get(t);return d===void 0&&(d=o,r.set(t,d)),d}e.getOrSet=P;function y(r){const t=[];return r.forEach((o,d)=>{t.push(`${d} => ${o}`)}),`Map(${r.size}) {${t.join(", ")}}`}e.mapToString=y;function A(r){const t=[];return r.forEach(o=>{t.push(o)}),`Set(${r.size}) {${t.join(", ")}}`}e.setToString=A;class L{constructor(){this._value="",this._pos=0}reset(t){return this._value=t,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(t){const o=t.charCodeAt(0),d=this._value.charCodeAt(this._pos);return o-d}value(){return this._value[this._pos]}}e.StringIterator=L;class D{constructor(t=!0){this._caseSensitive=t}reset(t){return this._value=t,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let t=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(t)this._from++;else break;else t=!1;return this}cmp(t){return this._caseSensitive?(0,i.compareSubstring)(t,this._value,0,t.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(t,this._value,0,t.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=D;class c{constructor(t=!0,o=!0){this._splitOnBackslash=t,this._caseSensitive=o}reset(t){this._from=0,this._to=0,this._value=t,this._valueLen=t.length;for(let o=t.length-1;o>=0;o--,this._valueLen--){const d=this._value.charCodeAt(o);if(!(d===47||this._splitOnBackslash&&d===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let t=!0;for(;this._to<this._valueLen;this._to++){const o=this._value.charCodeAt(this._to);if(o===47||this._splitOnBackslash&&o===92)if(t)this._from++;else break;else t=!1}return this}cmp(t){return this._caseSensitive?(0,i.compareSubstring)(t,this._value,0,t.length,this._from,this._to):(0,i.compareSubstringIgnoreCase)(t,this._value,0,t.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=c;var E;(function(r){r[r.Scheme=1]="Scheme",r[r.Authority=2]="Authority",r[r.Path=3]="Path",r[r.Query=4]="Query",r[r.Fragment=5]="Fragment"})(E||(E={}));class g{constructor(t){this._ignorePathCasing=t,this._states=[],this._stateIdx=0}reset(t){return this._value=t,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new c(!1,!this._ignorePathCasing(t)),this._pathIterator.reset(t.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(t){if(this._states[this._stateIdx]===1)return(0,i.compareIgnoreCase)(t,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,i.compareIgnoreCase)(t,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(t);if(this._states[this._stateIdx]===4)return(0,i.compare)(t,this._value.query);if(this._states[this._stateIdx]===5)return(0,i.compare)(t,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=g;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const t=this.right;return this.right=t.left,t.left=this,this.updateHeight(),t.updateHeight(),t}rotateRight(){const t=this.left;return this.left=t.right,t.right=this,this.updateHeight(),t.updateHeight(),t}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var v;(function(r){r[r.Left=-1]="Left",r[r.Mid=0]="Mid",r[r.Right=1]="Right"})(v||(v={}));class R{constructor(t){this._iter=t}static forUris(t=()=>!1){return new R(new g(t))}static forPaths(t=!1){return new R(new c(void 0,!t))}static forStrings(){return new R(new L)}static forConfigKeys(){return new R(new D)}clear(){this._root=void 0}fill(t,o){if(o){const d=o.slice(0);(0,f.shuffle)(d);for(let l of d)this.set(l,t)}else{const d=t.slice(0);(0,f.shuffle)(d);for(let l of d)this.set(l[0],l[1])}}set(t,o){const d=this._iter.reset(t);let l;this._root||(this._root=new w,this._root.segment=d.value());const u=[];for(l=this._root;;){const b=d.cmp(l.segment);if(b>0)l.left||(l.left=new w,l.left.segment=d.value()),u.push([-1,l]),l=l.left;else if(b<0)l.right||(l.right=new w,l.right.segment=d.value()),u.push([1,l]),l=l.right;else if(d.hasNext())d.next(),l.mid||(l.mid=new w,l.mid.segment=d.value()),u.push([0,l]),l=l.mid;else break}const h=l.value;l.value=o,l.key=t;for(let b=u.length-1;b>=0;b--){const p=u[b][1];p.updateHeight();const k=p.balanceFactor();if(k<-1||k>1){const O=u[b][0],U=u[b+1][0];if(O===1&&U===1)u[b][1]=p.rotateLeft();else if(O===-1&&U===-1)u[b][1]=p.rotateRight();else if(O===1&&U===-1)p.right=u[b+1][1]=u[b+1][1].rotateRight(),u[b][1]=p.rotateLeft();else if(O===-1&&U===1)p.left=u[b+1][1]=u[b+1][1].rotateLeft(),u[b][1]=p.rotateRight();else throw new Error;if(b>0)switch(u[b-1][0]){case-1:u[b-1][1].left=u[b][1];break;case 1:u[b-1][1].right=u[b][1];break;case 0:u[b-1][1].mid=u[b][1];break}else this._root=u[0][1]}}return h}get(t){return this._getNode(t)?.value}_getNode(t){const o=this._iter.reset(t);let d=this._root;for(;d;){const l=o.cmp(d.segment);if(l>0)d=d.left;else if(l<0)d=d.right;else if(o.hasNext())o.next(),d=d.mid;else break}return d}has(t){const o=this._getNode(t);return!(o?.value===void 0&&o?.mid===void 0)}delete(t){return this._delete(t,!1)}deleteSuperstr(t){return this._delete(t,!0)}_delete(t,o){const d=this._iter.reset(t),l=[];let u=this._root;for(;u;){const h=d.cmp(u.segment);if(h>0)l.push([-1,u]),u=u.left;else if(h<0)l.push([1,u]),u=u.right;else if(d.hasNext())d.next(),l.push([0,u]),u=u.mid;else break}if(!!u){if(o?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const h=this._min(u.right),{key:b,value:p,segment:k}=h;this._delete(h.key,!1),u.key=b,u.value=p,u.segment=k}else{const h=u.left??u.right;if(l.length>0){const[b,p]=l[l.length-1];switch(b){case-1:p.left=h;break;case 0:p.mid=h;break;case 1:p.right=h;break}}else this._root=h}for(let h=l.length-1;h>=0;h--){const b=l[h][1];b.updateHeight();const p=b.balanceFactor();if(p>1?(b.right.balanceFactor()>=0||(b.right=b.right.rotateRight()),l[h][1]=b.rotateLeft()):p<-1&&(b.left.balanceFactor()<=0||(b.left=b.left.rotateLeft()),l[h][1]=b.rotateRight()),h>0)switch(l[h-1][0]){case-1:l[h-1][1].left=l[h][1];break;case 1:l[h-1][1].right=l[h][1];break;case 0:l[h-1][1].mid=l[h][1];break}else this._root=l[0][1]}}}_min(t){for(;t.left;)t=t.left;return t}findSubstr(t){const o=this._iter.reset(t);let d=this._root,l;for(;d;){const u=o.cmp(d.segment);if(u>0)d=d.left;else if(u<0)d=d.right;else if(o.hasNext())o.next(),l=d.value||l,d=d.mid;else break}return d&&d.value||l}findSuperstr(t){const o=this._iter.reset(t);let d=this._root;for(;d;){const l=o.cmp(d.segment);if(l>0)d=d.left;else if(l<0)d=d.right;else if(o.hasNext())o.next(),d=d.mid;else return d.mid?this._entries(d.mid):void 0}}forEach(t){for(const[o,d]of this)t(d,o)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(t){!t||(t.left&&(yield*this._entries(t.left)),t.value&&(yield[t.key,t.value]),t.mid&&(yield*this._entries(t.mid)),t.right&&(yield*this._entries(t.right)))}_isBalanced(){const t=o=>{if(!o)return!0;const d=o.balanceFactor();return d<-1||d>1?!1:t(o.left)&&t(o.right)};return t(this._root)}}e.TernarySearchTree=R;class _{constructor(t,o){this.uri=t,this.value=o}}class s{constructor(t,o){this[I]="ResourceMap",t instanceof s?(this.map=new Map(t.map),this.toKey=o??s.defaultToKey):(this.map=new Map,this.toKey=t??s.defaultToKey)}set(t,o){return this.map.set(this.toKey(t),new _(t,o)),this}get(t){return this.map.get(this.toKey(t))?.value}has(t){return this.map.has(this.toKey(t))}get size(){return this.map.size}clear(){this.map.clear()}delete(t){return this.map.delete(this.toKey(t))}forEach(t,o){typeof o!="undefined"&&(t=t.bind(o));for(let[d,l]of this.map)t(l.value,l.uri,this)}*values(){for(let t of this.map.values())yield t.value}*keys(){for(let t of this.map.values())yield t.uri}*entries(){for(let t of this.map.values())yield[t.uri,t.value]}*[(I=Symbol.toStringTag,Symbol.iterator)](){for(let[,t]of this.map)yield[t.uri,t.value]}}e.ResourceMap=s,s.defaultToKey=r=>r.toString();var n;(function(r){r[r.None=0]="None",r[r.AsOld=1]="AsOld",r[r.AsNew=2]="AsNew"})(n=e.Touch||(e.Touch={}));class m{constructor(){this[C]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(t){return this._map.has(t)}get(t,o=0){const d=this._map.get(t);if(!!d)return o!==0&&this.touch(d,o),d.value}set(t,o,d=0){let l=this._map.get(t);if(l)l.value=o,d!==0&&this.touch(l,d);else{switch(l={key:t,value:o,next:void 0,previous:void 0},d){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(t,l),this._size++}return this}delete(t){return!!this.remove(t)}remove(t){const o=this._map.get(t);if(!!o)return this._map.delete(t),this.removeItem(o),this._size--,o.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const t=this._head;return this._map.delete(t.key),this.removeItem(t),this._size--,t.value}forEach(t,o){const d=this._state;let l=this._head;for(;l;){if(o?t.bind(o)(l.value,l.key,this):t(l.value,l.key,this),this._state!==d)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const t=this,o=this._state;let d=this._head;const l={[Symbol.iterator](){return l},next(){if(t._state!==o)throw new Error("LinkedMap got modified during iteration.");if(d){const u={value:d.key,done:!1};return d=d.next,u}else return{value:void 0,done:!0}}};return l}values(){const t=this,o=this._state;let d=this._head;const l={[Symbol.iterator](){return l},next(){if(t._state!==o)throw new Error("LinkedMap got modified during iteration.");if(d){const u={value:d.value,done:!1};return d=d.next,u}else return{value:void 0,done:!0}}};return l}entries(){const t=this,o=this._state;let d=this._head;const l={[Symbol.iterator](){return l},next(){if(t._state!==o)throw new Error("LinkedMap got modified during iteration.");if(d){const u={value:[d.key,d.value],done:!1};return d=d.next,u}else return{value:void 0,done:!0}}};return l}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(t){if(t>=this.size)return;if(t===0){this.clear();return}let o=this._head,d=this.size;for(;o&&d>t;)this._map.delete(o.key),o=o.next,d--;this._head=o,this._size=d,o&&(o.previous=void 0),this._state++}addItemFirst(t){if(!this._head&&!this._tail)this._tail=t;else if(this._head)t.next=this._head,this._head.previous=t;else throw new Error("Invalid list");this._head=t,this._state++}addItemLast(t){if(!this._head&&!this._tail)this._head=t;else if(this._tail)t.previous=this._tail,this._tail.next=t;else throw new Error("Invalid list");this._tail=t,this._state++}removeItem(t){if(t===this._head&&t===this._tail)this._head=void 0,this._tail=void 0;else if(t===this._head){if(!t.next)throw new Error("Invalid list");t.next.previous=void 0,this._head=t.next}else if(t===this._tail){if(!t.previous)throw new Error("Invalid list");t.previous.next=void 0,this._tail=t.previous}else{const o=t.next,d=t.previous;if(!o||!d)throw new Error("Invalid list");o.previous=d,d.next=o}t.next=void 0,t.previous=void 0,this._state++}touch(t,o){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(o!==1&&o!==2)){if(o===1){if(t===this._head)return;const d=t.next,l=t.previous;t===this._tail?(l.next=void 0,this._tail=l):(d.previous=l,l.next=d),t.previous=void 0,t.next=this._head,this._head.previous=t,this._head=t,this._state++}else if(o===2){if(t===this._tail)return;const d=t.next,l=t.previous;t===this._head?(d.previous=void 0,this._head=d):(d.previous=l,l.next=d),t.next=void 0,t.previous=this._tail,this._tail.next=t,this._tail=t,this._state++}}}toJSON(){const t=[];return this.forEach((o,d)=>{t.push([d,o])}),t}fromJSON(t){this.clear();for(const[o,d]of t)this.set(o,d)}}e.LinkedMap=m;class a extends m{constructor(t,o=1){super();this._limit=t,this._ratio=Math.min(Math.max(0,o),1)}get limit(){return this._limit}set limit(t){this._limit=t,this.checkTrim()}get ratio(){return this._ratio}set ratio(t){this._ratio=Math.min(Math.max(0,t),1),this.checkTrim()}get(t,o=2){return super.get(t,o)}peek(t){return super.get(t,0)}set(t,o){return super.set(t,o,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=a;class S{constructor(t){T.set(this,void 0),it(this,T,t,"f")}get size(){return Le(this,T,"f").size}forEach(t,o){Le(this,T,"f").forEach(t,o)}get(t){return Le(this,T,"f").get(t)}has(t){return Le(this,T,"f").has(t)}entries(){return Le(this,T,"f").entries()}keys(){return Le(this,T,"f").keys()}values(){return Le(this,T,"f").values()}[(T=new WeakMap,Symbol.iterator)](){return Le(this,T,"f").entries()}}e.ReadonlyMapView=S}),define(pe[98],ve([0,1,24,9]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function I(...J){return function(oe,Se){for(let Me=0,Ge=J.length;Me<Ge;Me++){const Ke=J[Me](oe,Se);if(Ke)return Ke}return null}}e.or=I,e.matchesStrictPrefix=C.bind(void 0,!1),e.matchesPrefix=C.bind(void 0,!0);function C(J,oe,Se){if(!Se||Se.length<oe.length)return null;let Me;return J?Me=i.startsWithIgnoreCase(Se,oe):Me=Se.indexOf(oe)===0,Me?oe.length>0?[{start:0,end:oe.length}]:[]:null}function T(J,oe){const Se=oe.toLowerCase().indexOf(J.toLowerCase());return Se===-1?null:[{start:Se,end:Se+J.length}]}e.matchesContiguousSubString=T;function P(J,oe){return y(J.toLowerCase(),oe.toLowerCase(),0,0)}e.matchesSubString=P;function y(J,oe,Se,Me){if(Se===J.length)return[];if(Me===oe.length)return null;if(J[Se]===oe[Me]){let Ge=null;return(Ge=y(J,oe,Se+1,Me+1))?R({start:Me,end:Me+1},Ge):null}return y(J,oe,Se,Me+1)}function A(J){return 97<=J&&J<=122}function L(J){return 65<=J&&J<=90}e.isUpper=L;function D(J){return 48<=J&&J<=57}function c(J){return J===32||J===9||J===10||J===13}const E=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(J=>E.add(J.charCodeAt(0)));function g(J){return c(J)||E.has(J)}function w(J,oe){return J===oe||g(J)&&g(oe)}function v(J){return A(J)||L(J)||D(J)}function R(J,oe){return oe.length===0?oe=[J]:J.end===oe[0].start?oe[0].start=J.start:oe.unshift(J),oe}function _(J,oe){for(let Se=oe;Se<J.length;Se++){const Me=J.charCodeAt(Se);if(L(Me)||D(Me)||Se>0&&!v(J.charCodeAt(Se-1)))return Se}return J.length}function s(J,oe,Se,Me){if(Se===J.length)return[];if(Me===oe.length)return null;if(J[Se]!==oe[Me].toLowerCase())return null;{let Ge=null,Ke=Me+1;for(Ge=s(J,oe,Se+1,Me+1);!Ge&&(Ke=_(oe,Ke))<oe.length;)Ge=s(J,oe,Se+1,Ke),Ke++;return Ge===null?null:R({start:Me,end:Me+1},Ge)}}function n(J){let oe=0,Se=0,Me=0,Ge=0,Ke=0;for(let rt=0;rt<J.length;rt++)Ke=J.charCodeAt(rt),L(Ke)&&oe++,A(Ke)&&Se++,v(Ke)&&Me++,D(Ke)&&Ge++;const et=oe/J.length,nt=Se/J.length,ct=Me/J.length,tt=Ge/J.length;return{upperPercent:et,lowerPercent:nt,alphaPercent:ct,numericPercent:tt}}function m(J){const{upperPercent:oe,lowerPercent:Se}=J;return Se===0&&oe>.6}function a(J){const{upperPercent:oe,lowerPercent:Se,alphaPercent:Me,numericPercent:Ge}=J;return Se>.2&&oe<.8&&Me>.6&&Ge<.2}function S(J){let oe=0,Se=0,Me=0,Ge=0;for(let Ke=0;Ke<J.length;Ke++)Me=J.charCodeAt(Ke),L(Me)&&oe++,A(Me)&&Se++,c(Me)&&Ge++;return(oe===0||Se===0)&&Ge===0?J.length<=30:oe<=5}function r(J,oe){if(!oe||(oe=oe.trim(),oe.length===0)||!S(J)||oe.length>60)return null;const Se=n(oe);if(!a(Se)){if(!m(Se))return null;oe=oe.toLowerCase()}let Me=null,Ge=0;for(J=J.toLowerCase();Ge<oe.length&&(Me=s(J,oe,0,Ge))===null;)Ge=_(oe,Ge+1);return Me}e.matchesCamelCase=r;function t(J,oe,Se=!1){if(!oe||oe.length===0)return null;let Me=null,Ge=0;for(J=J.toLowerCase(),oe=oe.toLowerCase();Ge<oe.length&&(Me=o(J,oe,0,Ge,Se))===null;)Ge=d(oe,Ge+1);return Me}e.matchesWords=t;function o(J,oe,Se,Me,Ge){if(Se===J.length)return[];if(Me===oe.length)return null;if(w(J.charCodeAt(Se),oe.charCodeAt(Me))){let Ke=null,et=Me+1;if(Ke=o(J,oe,Se+1,Me+1,Ge),!Ge)for(;!Ke&&(et=d(oe,et))<oe.length;)Ke=o(J,oe,Se+1,et,Ge),et++;return Ke===null?null:R({start:Me,end:Me+1},Ke)}else return null}function d(J,oe){for(let Se=oe;Se<J.length;Se++)if(g(J.charCodeAt(Se))||Se>0&&g(J.charCodeAt(Se-1)))return Se;return J.length}const l=I(e.matchesPrefix,r,T),u=I(e.matchesPrefix,r,P),h=new f.LRUCache(1e4);function b(J,oe,Se=!1){if(typeof J!="string"||typeof oe!="string")return null;let Me=h.get(J);Me||(Me=new RegExp(i.convertSimple2RegExpPattern(J),"i"),h.set(J,Me));const Ge=Me.exec(oe);return Ge?[{start:Ge.index,end:Ge.index+Ge[0].length}]:Se?u(J,oe):l(J,oe)}e.matchesFuzzy=b;function p(J,oe){const Se=ke(J,J.toLowerCase(),0,oe,oe.toLowerCase(),0,!0);return Se?O(Se):null}e.matchesFuzzy2=p;function k(J,oe,Se,Me,Ge,Ke){const et=Math.min(13,J.length);for(;Se<et;Se++){const nt=ke(J,oe,Se,Me,Ge,Ke,!1);if(nt)return nt}return[0,Ke]}e.anyScore=k;function O(J){if(typeof J=="undefined")return[];const oe=[],Se=J[1];for(let Me=J.length-1;Me>1;Me--){const Ge=J[Me]+Se,Ke=oe[oe.length-1];Ke&&Ke.end===Ge?Ke.end=Ge+1:oe.push({start:Ge,end:Ge+1})}return oe}e.createMatches=O;const U=128;function F(){const J=[],oe=[];for(let Se=0;Se<=U;Se++)oe[Se]=0;for(let Se=0;Se<=U;Se++)J.push(oe.slice(0));return J}function M(J){const oe=[];for(let Se=0;Se<=J;Se++)oe[Se]=0;return oe}const V=M(2*U),H=M(2*U),N=F(),x=F(),W=F(),B=!1;function j(J,oe,Se,Me,Ge){function Ke(nt,ct,tt=" "){for(;nt.length<ct;)nt=tt+nt;return nt}let et=` |   |${Me.split("").map(nt=>Ke(nt,3)).join("|")}
`;for(let nt=0;nt<=Se;nt++)nt===0?et+=" |":et+=`${oe[nt-1]}|`,et+=J[nt].slice(0,Ge+1).map(ct=>Ke(ct.toString(),3)).join("|")+`
`;return et}function Z(J,oe,Se,Me){J=J.substr(oe),Se=Se.substr(Me),console.log(j(x,J,J.length,Se,Se.length)),console.log(j(W,J,J.length,Se,Se.length)),console.log(j(N,J,J.length,Se,Se.length))}function se(J,oe){if(oe<0||oe>=J.length)return!1;const Se=J.codePointAt(oe);switch(Se){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!i.isEmojiImprecise(Se)}}function Q(J,oe){if(oe<0||oe>=J.length)return!1;switch(J.charCodeAt(oe)){case 32:case 9:return!0;default:return!1}}function z(J,oe,Se){return oe[J]!==Se[J]}function te(J,oe,Se,Me,Ge,Ke,et=!1){for(;oe<Se&&Ge<Ke;)J[oe]===Me[Ge]&&(et&&(V[oe]=Ge),oe+=1),Ge+=1;return oe===Se}e.isPatternInWord=te;var he;(function(J){J[J.Diag=1]="Diag",J[J.Left=2]="Left",J[J.LeftLeft=3]="LeftLeft"})(he||(he={}));var ge;(function(J){J.Default=[-100,0];function oe(Se){return!Se||Se.length===2&&Se[0]===-100&&Se[1]===0}J.isDefault=oe})(ge=e.FuzzyScore||(e.FuzzyScore={}));function ke(J,oe,Se,Me,Ge,Ke,et){const nt=J.length>U?U:J.length,ct=Me.length>U?U:Me.length;if(Se>=nt||Ke>=ct||nt-Se>ct-Ke||!te(oe,Se,nt,Ge,Ke,ct,!0))return;Ue(nt,ct,Se,Ke,oe,Ge);let tt=1,rt=1,dt=Se,pt=Ke;const xe=[!1];for(tt=1,dt=Se;dt<nt;tt++,dt++){const ne=V[dt],Ce=H[dt],Fe=dt+1<nt?H[dt+1]:ct;for(rt=ne-Ke+1,pt=ne;pt<Fe;rt++,pt++){let qe=Number.MIN_SAFE_INTEGER,Ve=!1;pt<=Ce&&(qe=Be(J,oe,dt,Se,Me,Ge,pt,ct,Ke,N[tt-1][rt-1]===0,xe));let lt=0;qe!==Number.MAX_SAFE_INTEGER&&(Ve=!0,lt=qe+x[tt-1][rt-1]);const Re=pt>ne,Ae=Re?x[tt][rt-1]+(N[tt][rt-1]>0?-5:0):0,De=pt>ne+1&&N[tt][rt-1]>0,ce=De?x[tt][rt-2]+(N[tt][rt-2]>0?-5:0):0;if(De&&(!Re||ce>=Ae)&&(!Ve||ce>=lt))x[tt][rt]=ce,W[tt][rt]=3,N[tt][rt]=0;else if(Re&&(!Ve||Ae>=lt))x[tt][rt]=Ae,W[tt][rt]=2,N[tt][rt]=0;else if(Ve)x[tt][rt]=lt,W[tt][rt]=1,N[tt][rt]=N[tt-1][rt-1]+1;else throw new Error("not possible")}}if(B&&Z(J,Se,Me,Ke),!xe[0]&&!et)return;tt--,rt--;const Tt=[x[tt][rt],Ke];let ee=0,ie=0;for(;tt>=1;){let ne=rt;do{const Ce=W[tt][ne];if(Ce===3)ne=ne-2;else if(Ce===2)ne=ne-1;else break}while(ne>=1);ee>1&&oe[Se+tt-1]===Ge[Ke+rt-1]&&!z(ne+Ke-1,Me,Ge)&&ee+1>N[tt][ne]&&(ne=rt),ne===rt?ee++:ee=1,ie||(ie=ne),tt--,rt=ne-1,Tt.push(rt)}ct===nt&&(Tt[0]+=2);const Ee=ie-nt;return Tt[0]-=Ee,Tt}e.fuzzyScore=ke;function Ue(J,oe,Se,Me,Ge,Ke){let et=J-1,nt=oe-1;for(;et>=Se&&nt>=Me;)Ge[et]===Ke[nt]&&(H[et]=nt,et--),nt--}function Be(J,oe,Se,Me,Ge,Ke,et,nt,ct,tt,rt){if(oe[Se]!==Ke[et])return Number.MIN_SAFE_INTEGER;let dt=1,pt=!1;return et===Se-Me?dt=J[Se]===Ge[et]?7:5:z(et,Ge,Ke)&&(et===0||!z(et-1,Ge,Ke))?(dt=J[Se]===Ge[et]?7:5,pt=!0):se(Ke,et)&&(et===0||!se(Ke,et-1))?dt=5:(se(Ke,et-1)||Q(Ke,et-1))&&(dt=5,pt=!0),dt>1&&Se===Me&&(rt[0]=!0),pt||(pt=z(et,Ge,Ke)||se(Ke,et-1)||Q(Ke,et-1)),Se===Me?et>ct&&(dt-=pt?3:5):tt?dt+=pt?2:0:dt+=pt?0:1,et+1===nt&&(dt-=pt?3:5),dt}function q(J,oe,Se,Me,Ge,Ke,et){return re(J,oe,Se,Me,Ge,Ke,!0,et)}e.fuzzyScoreGracefulAggressive=q;function Y(J,oe,Se,Me,Ge,Ke,et){return re(J,oe,Se,Me,Ge,Ke,!1,et)}e.fuzzyScoreGraceful=Y;function re(J,oe,Se,Me,Ge,Ke,et,nt){let ct=ke(J,oe,Se,Me,Ge,Ke,nt);if(ct&&!et)return ct;if(J.length>=3){const tt=Math.min(7,J.length-1);for(let rt=Se+1;rt<tt;rt++){const dt=le(J,rt);if(dt){const pt=ke(dt,dt.toLowerCase(),Se,Me,Ge,Ke,nt);pt&&(pt[0]-=3,(!ct||pt[0]>ct[0])&&(ct=pt))}}}return ct}function le(J,oe){if(oe+1>=J.length)return;const Se=J[oe],Me=J[oe+1];if(Se!==Me)return J.slice(0,oe)+Me+Se+J.slice(oe+2)}}),define(pe[142],ve([0,1,74,98,9]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const C=new RegExp(`\\$\\(${f.CSSIcon.iconNameExpression}(?:${f.CSSIcon.iconModifierExpression})?\\)`,"g"),T=new RegExp(f.CSSIcon.iconNameCharacter),P=new RegExp(`(\\\\)?${C.source}`,"g");function y(v){return v.replace(P,(R,_)=>_?R:`\\${R}`)}e.escapeIcons=y;const A=new RegExp(`\\\\${C.source}`,"g");function L(v){return v.replace(A,R=>`\\${R}`)}e.markdownEscapeEscapedIcons=L;const D=new RegExp(`(\\s)?(\\\\)?${C.source}(\\s)?`,"g");function c(v){return v.indexOf(e.iconStartMarker)===-1?v:v.replace(D,(R,_,s,n)=>s?R:_||n||"")}e.stripIcons=c;function E(v){const R=v.indexOf(e.iconStartMarker);return R===-1?{text:v}:g(v,R)}e.parseLabelWithIcons=E;function g(v,R){const _=[];let s="";function n(l){if(l){s+=l;for(const u of l)_.push(S)}}let m=-1,a="",S=0,r,t,o=R;const d=v.length;for(n(v.substr(0,R));o<d;)r=v[o],t=v[o+1],r===e.iconStartMarker[0]&&t===e.iconStartMarker[1]?(m=o,n(a),a=e.iconStartMarker,o++):r===")"&&m!==-1?(S+=o-m+1,m=-1,a=""):m!==-1?T.test(r)?a+=r:(n(a),m=-1,a=""):n(r),o++;return n(a),{text:s,iconOffsets:_}}function w(v,R,_=!1){const{text:s,iconOffsets:n}=R;if(!n||n.length===0)return(0,i.matchesFuzzy)(v,s,_);const m=(0,I.ltrim)(s," "),a=s.length-m.length,S=(0,i.matchesFuzzy)(v,m,_);if(S)for(const r of S){const t=n[r.start+a]+a;r.start+=t,r.end+=t}return S}e.matchesFuzzyIconAware=w}),define(pe[99],ve([0,1,15,142]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var I;(function(c){c[c.Paragraph=0]="Paragraph",c[c.Break=1]="Break"})(I=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class C{constructor(E="",g=!1){if(this.value=E,typeof this.value!="string")throw(0,f.illegalArgument)("value");typeof g=="boolean"?(this.isTrusted=g,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=g.isTrusted??void 0,this.supportThemeIcons=g.supportThemeIcons??!1,this.supportHtml=g.supportHtml??!1)}appendText(E,g=0){return this.value+=A(this.supportThemeIcons?(0,i.escapeIcons)(E):E).replace(/([ \t]+)/g,(w,v)=>"&nbsp;".repeat(v.length)).replace(/\>/gm,"\\>").replace(/\n/g,g===1?`\\
`:`

`),this}appendMarkdown(E){return this.value+=E,this}appendCodeblock(E,g){return this.value+="\n```",this.value+=E,this.value+=`
`,this.value+=g,this.value+="\n```\n",this}}e.MarkdownString=C;function T(c){return P(c)?!c.value:Array.isArray(c)?c.every(T):!0}e.isEmptyMarkdownString=T;function P(c){return c instanceof C?!0:c&&typeof c=="object"?typeof c.value=="string"&&(typeof c.isTrusted=="boolean"||c.isTrusted===void 0)&&(typeof c.supportThemeIcons=="boolean"||c.supportThemeIcons===void 0):!1}e.isMarkdownString=P;function y(c,E){return c===E?!0:!c||!E?!1:c.value===E.value&&c.isTrusted===E.isTrusted&&c.supportThemeIcons===E.supportThemeIcons}e.markdownStringEqual=y;function A(c){return c.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=A;function L(c){return c&&c.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=L;function D(c){const E=[],g=c.split("|").map(v=>v.trim());c=g[0];const w=g[1];if(w){const v=/height=(\d+)/.exec(w),R=/width=(\d+)/.exec(w),_=v?v[1]:"",s=R?R[1]:"",n=isFinite(parseInt(s)),m=isFinite(parseInt(_));n&&E.push(`width="${s}"`),m&&E.push(`height="${_}"`)}return{href:c,dimensions:E}}e.parseHrefAndDimensions=D}),define(pe[80],ve([0,1,24]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const i=new f.LRUCache(1e4);function I(A){return y(A,"NFC",i)}e.normalizeNFC=I;const C=new f.LRUCache(1e4);function T(A){return y(A,"NFD",C)}e.normalizeNFD=T;const P=/[^\u0000-\u0080]/;function y(A,L,D){if(!A)return A;const c=D.get(A);if(c)return c;let E;return P.test(A)?E=A.normalize(L):E=A,D.set(A,E),E}e.removeAccents=function(){const A=/[\u0300-\u036f]/g;return function(L){return T(L).replace(A,"")}}()}),define(pe[48],ve([0,1,9]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i;(function(I){I[I.Ignore=0]="Ignore",I[I.Info=1]="Info",I[I.Warning=2]="Warning",I[I.Error=3]="Error"})(i||(i={})),function(I){const C="error",T="warning",P="warn",y="info",A="ignore";function L(c){return c?f.equalsIgnoreCase(C,c)?I.Error:f.equalsIgnoreCase(T,c)||f.equalsIgnoreCase(P,c)?I.Warning:f.equalsIgnoreCase(y,c)?I.Info:I.Ignore:I.Ignore}I.fromValue=L;function D(c){switch(c){case I.Error:return C;case I.Warning:return T;case I.Info:return y;default:return A}}I.toString=D}(i||(i={})),e.default=i}),define(pe[13],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPromise=e.assertNever=e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function f(u){return Array.isArray(u)}e.isArray=f;function i(u){return typeof u=="string"}e.isString=i;function I(u){return Array.isArray(u)&&u.every(h=>i(h))}e.isStringArray=I;function C(u){return typeof u=="object"&&u!==null&&!Array.isArray(u)&&!(u instanceof RegExp)&&!(u instanceof Date)}e.isObject=C;function T(u){return typeof u=="number"&&!isNaN(u)}e.isNumber=T;function P(u){return!!u&&typeof u[Symbol.iterator]=="function"}e.isIterable=P;function y(u){return u===!0||u===!1}e.isBoolean=y;function A(u){return typeof u=="undefined"}e.isUndefined=A;function L(u){return!D(u)}e.isDefined=L;function D(u){return A(u)||u===null}e.isUndefinedOrNull=D;function c(u,h){if(!u)throw new Error(h?`Unexpected type, expected '${h}'`:"Unexpected type")}e.assertType=c;function E(u){if(D(u))throw new Error("Assertion Failed: argument is undefined or null");return u}e.assertIsDefined=E;function g(...u){const h=[];for(let b=0;b<u.length;b++){const p=u[b];if(D(p))throw new Error(`Assertion Failed: argument at index ${b} is undefined or null`);h.push(p)}return h}e.assertAllDefined=g;const w=Object.prototype.hasOwnProperty;function v(u){if(!C(u))return!1;for(let h in u)if(w.call(u,h))return!1;return!0}e.isEmptyObject=v;function R(u){return typeof u=="function"}e.isFunction=R;function _(...u){return u.length>0&&u.every(R)}e.areFunctions=_;function s(u,h){const b=Math.min(u.length,h.length);for(let p=0;p<b;p++)n(u[p],h[p])}e.validateConstraints=s;function n(u,h){if(i(h)){if(typeof u!==h)throw new Error(`argument does not match constraint: typeof ${h}`)}else if(R(h)){try{if(u instanceof h)return}catch{}if(!D(u)&&u.constructor===h||h.length===1&&h.call(void 0,u)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=n;function m(u){let h=[],b=Object.getPrototypeOf(u);for(;Object.prototype!==b;)h=h.concat(Object.getOwnPropertyNames(b)),b=Object.getPrototypeOf(b);return h}e.getAllPropertyNames=m;function a(u){const h=[];for(const b of m(u))typeof u[b]=="function"&&h.push(b);return h}e.getAllMethodNames=a;function S(u,h){const b=k=>function(){const O=Array.prototype.slice.call(arguments,0);return h(k,O)};let p={};for(const k of u)p[k]=b(k);return p}e.createProxyObject=S;function r(u){return u===null?void 0:u}e.withNullAsUndefined=r;function t(u){return typeof u=="undefined"?null:u}e.withUndefinedAsNull=t;function o(u){return class{constructor(){return new Proxy({},{get(h,b){if(h[b])return h[b];throw new Error(`Not Implemented: ${u}->${String(b)}`)}})}}}e.NotImplementedProxy=o;function d(u,h="Unreachable"){throw new Error(h)}e.assertNever=d;function l(u){return!!u&&typeof u.then=="function"&&typeof u.catch=="function"}e.isPromise=l}),define(pe[28],ve([0,1,8,12,9,13]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function T(o){return o===47||o===92}e.isPathSeparator=T;function P(o){return o.replace(/[\\/]/g,f.posix.sep)}e.toSlashes=P;function y(o){return o.indexOf("/")===-1&&(o=P(o)),/^[a-zA-Z]:(\/|$)/.test(o)&&(o="/"+o),o}e.toPosixPath=y;function A(o,d=f.posix.sep){if(!o)return"";const l=o.length,u=o.charCodeAt(0);if(T(u)){if(T(o.charCodeAt(1))&&!T(o.charCodeAt(2))){let b=3;const p=b;for(;b<l&&!T(o.charCodeAt(b));b++);if(p!==b&&!T(o.charCodeAt(b+1))){for(b+=1;b<l;b++)if(T(o.charCodeAt(b)))return o.slice(0,b+1).replace(/[\\/]/g,d)}}return d}else if(R(u)&&o.charCodeAt(1)===58)return T(o.charCodeAt(2))?o.slice(0,2)+d:o.slice(0,2);let h=o.indexOf("://");if(h!==-1){for(h+=3;h<l;h++)if(T(o.charCodeAt(h)))return o.slice(0,h+1)}return""}e.getRoot=A;function L(o){if(!i.isWindows||!o||o.length<5)return!1;let d=o.charCodeAt(0);if(d!==92||(d=o.charCodeAt(1),d!==92))return!1;let l=2;const u=l;for(;l<o.length&&(d=o.charCodeAt(l),d!==92);l++);return!(u===l||(d=o.charCodeAt(l+1),isNaN(d)||d===92))}e.isUNC=L;const D=/[\\/:\*\?"<>\|]/g,c=/[\\/]/g,E=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function g(o,d=i.isWindows){const l=d?D:c;return!(!o||o.length===0||/^\s+$/.test(o)||(l.lastIndex=0,l.test(o))||d&&E.test(o)||o==="."||o===".."||d&&o[o.length-1]==="."||d&&o.length!==o.trim().length||o.length>255)}e.isValidBasename=g;function w(o,d,l){const u=o===d;return!l||u?u:!o||!d?!1:(0,I.equalsIgnoreCase)(o,d)}e.isEqual=w;function v(o,d,l,u=f.sep){if(o===d)return!0;if(!o||!d||d.length>o.length)return!1;if(l){if(!(0,I.startsWithIgnoreCase)(o,d))return!1;if(d.length===o.length)return!0;let b=d.length;return d.charAt(d.length-1)===u&&b--,o.charAt(b)===u}return d.charAt(d.length-1)!==u&&(d+=u),o.indexOf(d)===0}e.isEqualOrParent=v;function R(o){return o>=65&&o<=90||o>=97&&o<=122}e.isWindowsDriveLetter=R;function _(o,d){return i.isWindows&&o.endsWith(":")&&(o+=f.sep),(0,f.isAbsolute)(o)||(o=(0,f.join)(d,o)),o=(0,f.normalize)(o),i.isWindows?(o=(0,I.rtrim)(o,f.sep),o.endsWith(":")&&(o+=f.sep)):(o=(0,I.rtrim)(o,f.sep),o||(o=f.sep)),o}e.sanitizeFilePath=_;function s(o){const d=(0,f.normalize)(o);return i.isWindows?o.length>3?!1:n(d)&&(o.length===2||d.charCodeAt(2)===92):d===f.posix.sep}e.isRootOrDriveLetter=s;function n(o,d){return(d!==void 0?d:i.isWindows)?R(o.charCodeAt(0))&&o.charCodeAt(1)===58:!1}e.hasDriveLetter=n;function m(o){return n(o)?o[0]:void 0}e.getDriveLetter=m;function a(o,d,l){return d.length>o.length?-1:o===d?0:(l&&(o=o.toLowerCase(),d=d.toLowerCase()),o.indexOf(d))}e.indexOfPath=a;function S(o){const d=o.split(":");let l,u,h;for(const b of d){const p=Number(b);(0,C.isNumber)(p)?u===void 0?u=p:h===void 0&&(h=p):l=l?[l,b].join(":"):b}if(!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:u!==void 0?u:void 0,column:h!==void 0?h:u!==void 0?1:void 0}}e.parseLineAndColumnAware=S;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function t(o,d,l=8){let u="";for(let b=0;b<l;b++)u+=r.charAt(Math.floor(Math.random()*r.length));let h;return d?h=`${d}-${u}`:h=u,o?(0,f.join)(o,h):h}e.randomPath=t}),define(pe[25],ve([0,1,13]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function i(w){if(!w||typeof w!="object"||w instanceof RegExp)return w;const v=Array.isArray(w)?[]:{};return Object.keys(w).forEach(R=>{w[R]&&typeof w[R]=="object"?v[R]=i(w[R]):v[R]=w[R]}),v}e.deepClone=i;function I(w){if(!w||typeof w!="object")return w;const v=[w];for(;v.length>0;){const R=v.shift();Object.freeze(R);for(const _ in R)if(C.call(R,_)){const s=R[_];typeof s=="object"&&!Object.isFrozen(s)&&v.push(s)}}return w}e.deepFreeze=I;const C=Object.prototype.hasOwnProperty;function T(w,v){return P(w,v,new Set)}e.cloneAndChange=T;function P(w,v,R){if((0,f.isUndefinedOrNull)(w))return w;const _=v(w);if(typeof _!="undefined")return _;if((0,f.isArray)(w)){const s=[];for(const n of w)s.push(P(n,v,R));return s}if((0,f.isObject)(w)){if(R.has(w))throw new Error("Cannot clone recursive data-structure");R.add(w);const s={};for(let n in w)C.call(w,n)&&(s[n]=P(w[n],v,R));return R.delete(w),s}return w}function y(w,v,R=!0){return(0,f.isObject)(w)?((0,f.isObject)(v)&&Object.keys(v).forEach(_=>{_ in w?R&&((0,f.isObject)(w[_])&&(0,f.isObject)(v[_])?y(w[_],v[_],R):w[_]=v[_]):w[_]=v[_]}),w):v}e.mixin=y;function A(w,v){if(w===v)return!0;if(w==null||v===null||v===void 0||typeof w!=typeof v||typeof w!="object"||Array.isArray(w)!==Array.isArray(v))return!1;let R,_;if(Array.isArray(w)){if(w.length!==v.length)return!1;for(R=0;R<w.length;R++)if(!A(w[R],v[R]))return!1}else{const s=[];for(_ in w)s.push(_);s.sort();const n=[];for(_ in v)n.push(_);if(n.sort(),!A(s,n))return!1;for(R=0;R<s.length;R++)if(!A(w[s[R]],v[s[R]]))return!1}return!0}e.equals=A;function L(w){const v=new Set;return JSON.stringify(w,(R,_)=>{if((0,f.isObject)(_)||Array.isArray(_)){if(v.has(_))return"[Circular]";v.add(_)}return _})}e.safeStringify=L;function D(w,v,R){const _=v(w);return typeof _=="undefined"?R:_}e.getOrDefault=D;function c(w,v){const R=Object.create(null);return!w||!v||Object.keys(v).forEach(s=>{const n=w[s],m=v[s];A(n,m)||(R[s]=m)}),R}e.distinct=c;function E(w,v){const R=v.toLowerCase(),_=Object.keys(w).find(s=>s.toLowerCase()===R);return _?w[_]:w[v]}e.getCaseInsensitive=E;function g(w,v){const R=Object.create(null);for(const[_,s]of Object.entries(w))v(_,s)&&(R[_]=s);return R}e.filter=g}),define(pe[100],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var f;(function(C){C[C.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",C[C.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",C[C.MAX_UINT_8=255]="MAX_UINT_8",C[C.MAX_UINT_16=65535]="MAX_UINT_16",C[C.MAX_UINT_32=4294967295]="MAX_UINT_32",C[C.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(f=e.Constants||(e.Constants={}));function i(C){return C<0?0:C>255?255:C|0}e.toUint8=i;function I(C){return C<0?0:C>4294967295?4294967295:C|0}e.toUint32=I}),define(pe[2],ve([0,1,8,12]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const I=/^\w[\w\d+.-]*$/,C=/^\//,T=/^\/\//;function P(r,t){if(!r.scheme&&t)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!I.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!C.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(T.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(r,t){return!r&&!t?"file":r}function A(r,t){switch(r){case"https":case"http":case"file":t?t[0]!==D&&(t=D+t):t=D;break}return t}const L="",D="/",c=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class E{constructor(t,o,d,l,u,h=!1){typeof t=="object"?(this.scheme=t.scheme||L,this.authority=t.authority||L,this.path=t.path||L,this.query=t.query||L,this.fragment=t.fragment||L):(this.scheme=y(t,h),this.authority=o||L,this.path=A(this.scheme,d||L),this.query=l||L,this.fragment=u||L,P(this,h))}static isUri(t){return t instanceof E?!0:t?typeof t.authority=="string"&&typeof t.fragment=="string"&&typeof t.path=="string"&&typeof t.query=="string"&&typeof t.scheme=="string"&&typeof t.fsPath=="string"&&typeof t.with=="function"&&typeof t.toString=="function":!1}get fsPath(){return s(this,!1)}with(t){if(!t)return this;let{scheme:o,authority:d,path:l,query:u,fragment:h}=t;return o===void 0?o=this.scheme:o===null&&(o=L),d===void 0?d=this.authority:d===null&&(d=L),l===void 0?l=this.path:l===null&&(l=L),u===void 0?u=this.query:u===null&&(u=L),h===void 0?h=this.fragment:h===null&&(h=L),o===this.scheme&&d===this.authority&&l===this.path&&u===this.query&&h===this.fragment?this:new w(o,d,l,u,h)}static parse(t,o=!1){const d=c.exec(t);return d?new w(d[2]||L,S(d[4]||L),S(d[5]||L),S(d[7]||L),S(d[9]||L),o):new w(L,L,L,L,L)}static file(t){let o=L;if(i.isWindows&&(t=t.replace(/\\/g,D)),t[0]===D&&t[1]===D){const d=t.indexOf(D,2);d===-1?(o=t.substring(2),t=D):(o=t.substring(2,d),t=t.substring(d)||D)}return new w("file",o,t,L,L)}static from(t){const o=new w(t.scheme,t.authority,t.path,t.query,t.fragment);return P(o,!0),o}static joinPath(t,...o){if(!t.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let d;return i.isWindows&&t.scheme==="file"?d=E.file(f.win32.join(s(t,!0),...o)).path:d=f.posix.join(t.path,...o),t.with({path:d})}toString(t=!1){return n(this,t)}toJSON(){return this}static revive(t){if(t){if(t instanceof E)return t;{const o=new w(t);return o._formatted=t.external,o._fsPath=t._sep===g?t.fsPath:null,o}}else return t}}e.URI=E;const g=i.isWindows?1:void 0;class w extends E{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=s(this,!1)),this._fsPath}toString(t=!1){return t?n(this,!0):(this._formatted||(this._formatted=n(this,!1)),this._formatted)}toJSON(){const t={$mid:1};return this._fsPath&&(t.fsPath=this._fsPath,t._sep=g),this._formatted&&(t.external=this._formatted),this.path&&(t.path=this.path),this.scheme&&(t.scheme=this.scheme),this.authority&&(t.authority=this.authority),this.query&&(t.query=this.query),this.fragment&&(t.fragment=this.fragment),t}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function R(r,t){let o,d=-1;for(let l=0;l<r.length;l++){const u=r.charCodeAt(l);if(u>=97&&u<=122||u>=65&&u<=90||u>=48&&u<=57||u===45||u===46||u===95||u===126||t&&u===47)d!==-1&&(o+=encodeURIComponent(r.substring(d,l)),d=-1),o!==void 0&&(o+=r.charAt(l));else{o===void 0&&(o=r.substr(0,l));const h=v[u];h!==void 0?(d!==-1&&(o+=encodeURIComponent(r.substring(d,l)),d=-1),o+=h):d===-1&&(d=l)}}return d!==-1&&(o+=encodeURIComponent(r.substring(d))),o!==void 0?o:r}function _(r){let t;for(let o=0;o<r.length;o++){const d=r.charCodeAt(o);d===35||d===63?(t===void 0&&(t=r.substr(0,o)),t+=v[d]):t!==void 0&&(t+=r[o])}return t!==void 0?t:r}function s(r,t){let o;return r.authority&&r.path.length>1&&r.scheme==="file"?o=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?t?o=r.path.substr(1):o=r.path[1].toLowerCase()+r.path.substr(2):o=r.path,i.isWindows&&(o=o.replace(/\//g,"\\")),o}e.uriToFsPath=s;function n(r,t){const o=t?_:R;let d="",{scheme:l,authority:u,path:h,query:b,fragment:p}=r;if(l&&(d+=l,d+=":"),(u||l==="file")&&(d+=D,d+=D),u){let k=u.indexOf("@");if(k!==-1){const O=u.substr(0,k);u=u.substr(k+1),k=O.indexOf(":"),k===-1?d+=o(O,!1):(d+=o(O.substr(0,k),!1),d+=":",d+=o(O.substr(k+1),!1)),d+="@"}u=u.toLowerCase(),k=u.indexOf(":"),k===-1?d+=o(u,!1):(d+=o(u.substr(0,k),!1),d+=u.substr(k))}if(h){if(h.length>=3&&h.charCodeAt(0)===47&&h.charCodeAt(2)===58){const k=h.charCodeAt(1);k>=65&&k<=90&&(h=`/${String.fromCharCode(k+32)}:${h.substr(3)}`)}else if(h.length>=2&&h.charCodeAt(1)===58){const k=h.charCodeAt(0);k>=65&&k<=90&&(h=`${String.fromCharCode(k+32)}:${h.substr(2)}`)}d+=o(h,!0)}return b&&(d+="?",d+=o(b,!1)),p&&(d+="#",d+=t?p:R(p,!1)),d}function m(r){try{return decodeURIComponent(r)}catch{return r.length>3?r.substr(0,3)+m(r.substr(3)):r}}const a=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function S(r){return r.match(a)?r.replace(a,t=>m(t)):r}}),define(pe[59],ve([0,1,22,9,2]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function C(L){return JSON.stringify(L,y)}e.stringify=C;function T(L){let D=JSON.parse(L);return D=A(D),D}e.parse=T;var P;(function(L){L[L.Uri=1]="Uri",L[L.Regexp=2]="Regexp",L[L.ScmResource=3]="ScmResource",L[L.ScmResourceGroup=4]="ScmResourceGroup",L[L.ScmProvider=5]="ScmProvider",L[L.CommentController=6]="CommentController",L[L.CommentThread=7]="CommentThread",L[L.CommentThreadReply=8]="CommentThreadReply",L[L.CommentNode=9]="CommentNode",L[L.CommentThreadNode=10]="CommentThreadNode",L[L.TimelineActionContext=11]="TimelineActionContext",L[L.NotebookCellActionContext=12]="NotebookCellActionContext",L[L.TestItemContext=13]="TestItemContext"})(P=e.MarshalledId||(e.MarshalledId={}));function y(L,D){return D instanceof RegExp?{$mid:2,source:D.source,flags:(0,i.regExpFlags)(D)}:D}function A(L,D=0){if(!L||D>200)return L;if(typeof L=="object"){switch(L.$mid){case 1:return I.URI.revive(L);case 2:return new RegExp(L.source,L.flags)}if(L instanceof f.VSBuffer||L instanceof Uint8Array)return L;if(Array.isArray(L))for(let c=0;c<L.length;++c)L[c]=A(L[c],D+1);else for(const c in L)Object.hasOwnProperty.call(L,c)&&(L[c]=A(L[c],D+1))}return L}e.revive=A}),define(pe[10],ve([0,1,12,2]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var I;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeNotebookCellOutput="vscode-notebook-cell-output",P.vscodeInteractive="vscode-interactive",P.vscodeInteractiveInput="vscode-interactive-input",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.vscodeTerminal="vscode-terminal",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.extension="extension",P.vscodeFileResource="vscode-file",P.tmp="tmp",P.vsls="vsls"})(I=e.Schemas||(e.Schemas={}));class C{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,A,L){this._hosts[y]=A,this._ports[y]=L}setConnectionToken(y,A){this._connectionTokens[y]=A}rewrite(y){if(this._delegate)return this._delegate(y);const A=y.authority;let L=this._hosts[A];L&&L.indexOf(":")!==-1&&(L=`[${L}]`);const D=this._ports[A],c=this._connectionTokens[A];let E=`path=${encodeURIComponent(y.path)}`;return typeof c=="string"&&(E+=`&tkn=${encodeURIComponent(c)}`),i.URI.from({scheme:f.isWeb?this._preferredWebSchema:I.vscodeRemoteResource,authority:`${L}:${D}`,path:"/vscode-remote-resource",query:E})}}e.RemoteAuthorities=new C;class T{asBrowserUri(y,A){const L=this.toUri(y,A);return L.scheme===I.vscodeRemote?e.RemoteAuthorities.rewrite(L):L.scheme===I.file&&(f.isNative||typeof f.globals.importScripts=="function"&&f.globals.origin===`${I.vscodeFileResource}://${T.FALLBACK_AUTHORITY}`)?L.with({scheme:I.vscodeFileResource,authority:L.authority||T.FALLBACK_AUTHORITY,query:null,fragment:null}):L}asFileUri(y,A){const L=this.toUri(y,A);return L.scheme===I.vscodeFileResource?L.with({scheme:I.file,authority:L.authority!==T.FALLBACK_AUTHORITY?L.authority:null,query:null,fragment:null}):L}toUri(y,A){return i.URI.isUri(y)?y:i.URI.parse(A.toUrl(y))}}T.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new T}),define(pe[23],ve([0,1,28,10,8,12,9,2]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(E){return(0,P.uriToFsPath)(E,!0)}e.originalFSPath=y;class A{constructor(g){this._ignorePathCasing=g}compare(g,w,v=!1){return g===w?0:(0,T.compare)(this.getComparisonKey(g,v),this.getComparisonKey(w,v))}isEqual(g,w,v=!1){return g===w?!0:!g||!w?!1:this.getComparisonKey(g,v)===this.getComparisonKey(w,v)}getComparisonKey(g,w=!1){return g.with({path:this._ignorePathCasing(g)?g.path.toLowerCase():void 0,fragment:w?null:void 0}).toString()}ignorePathCasing(g){return this._ignorePathCasing(g)}isEqualOrParent(g,w,v=!1){if(g.scheme===w.scheme){if(g.scheme===i.Schemas.file)return f.isEqualOrParent(y(g),y(w),this._ignorePathCasing(g))&&g.query===w.query&&(v||g.fragment===w.fragment);if((0,e.isEqualAuthority)(g.authority,w.authority))return f.isEqualOrParent(g.path,w.path,this._ignorePathCasing(g),"/")&&g.query===w.query&&(v||g.fragment===w.fragment)}return!1}joinPath(g,...w){return P.URI.joinPath(g,...w)}basenameOrAuthority(g){return(0,e.basename)(g)||g.authority}basename(g){return I.posix.basename(g.path)}extname(g){return I.posix.extname(g.path)}dirname(g){if(g.path.length===0)return g;let w;return g.scheme===i.Schemas.file?w=P.URI.file(I.dirname(y(g))).path:(w=I.posix.dirname(g.path),g.authority&&w.length&&w.charCodeAt(0)!==47&&(console.error(`dirname("${g.toString})) resulted in a relative path`),w="/")),g.with({path:w})}normalizePath(g){if(!g.path.length)return g;let w;return g.scheme===i.Schemas.file?w=P.URI.file(I.normalize(y(g))).path:w=I.posix.normalize(g.path),g.with({path:w})}relativePath(g,w){if(g.scheme!==w.scheme||!(0,e.isEqualAuthority)(g.authority,w.authority))return;if(g.scheme===i.Schemas.file){const _=I.relative(y(g),y(w));return C.isWindows?f.toSlashes(_):_}let v=g.path||"/",R=w.path||"/";if(this._ignorePathCasing(g)){let _=0;for(const s=Math.min(v.length,R.length);_<s&&!(v.charCodeAt(_)!==R.charCodeAt(_)&&v.charAt(_).toLowerCase()!==R.charAt(_).toLowerCase());_++);v=R.substr(0,_)+v.substr(_)}return I.posix.relative(v,R)}resolvePath(g,w){if(g.scheme===i.Schemas.file){const v=P.URI.file(I.resolve(y(g),w));return g.with({authority:v.authority,path:v.path})}return w=f.toPosixPath(w),g.with({path:I.posix.resolve(g.path,w)})}isAbsolutePath(g){return!!g.path&&g.path[0]==="/"}isEqualAuthority(g,w){return g===w||g!==void 0&&w!==void 0&&(0,T.equalsIgnoreCase)(g,w)}hasTrailingPathSeparator(g,w=I.sep){if(g.scheme===i.Schemas.file){const v=y(g);return v.length>f.getRoot(v).length&&v[v.length-1]===w}else{const v=g.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(g.fsPath)}}removeTrailingPathSeparator(g,w=I.sep){return(0,e.hasTrailingPathSeparator)(g,w)?g.with({path:g.path.substr(0,g.path.length-1)}):g}addTrailingPathSeparator(g,w=I.sep){let v=!1;if(g.scheme===i.Schemas.file){const R=y(g);v=R!==void 0&&R.length===f.getRoot(R).length&&R[R.length-1]===w}else{w="/";const R=g.path;v=R.length===1&&R.charCodeAt(R.length-1)===47}return!v&&!(0,e.hasTrailingPathSeparator)(g,w)?g.with({path:g.path+"/"}):g}}e.ExtUri=A,e.extUri=new A(()=>!1),e.extUriBiasedIgnorePathCase=new A(E=>E.scheme===i.Schemas.file?!C.isLinux:!0),e.extUriIgnorePathCase=new A(E=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function L(E,g){const w=[];for(let v=0;v<E.length;v++){const R=g(E[v]);E.some((_,s)=>s===v?!1:(0,e.isEqualOrParent)(R,g(_)))||w.push(E[v])}return w}e.distinctParents=L;var D;(function(E){E.META_DATA_LABEL="label",E.META_DATA_DESCRIPTION="description",E.META_DATA_SIZE="size",E.META_DATA_MIME="mime";function g(w){const v=new Map;w.path.substring(w.path.indexOf(";")+1,w.path.lastIndexOf(";")).split(";").forEach(s=>{const[n,m]=s.split(":");n&&m&&v.set(n,m)});const _=w.path.substring(0,w.path.indexOf(";"));return _&&v.set(E.META_DATA_MIME,_),v}E.parseMetaData=g})(D=e.DataUri||(e.DataUri={}));function c(E,g,w){if(g){let v=E.path;return v&&v[0]!==I.posix.sep&&(v=I.posix.sep+v),E.with({scheme:w,authority:g,path:v})}return E.with({scheme:w})}e.toLocalResource=c}),define(pe[18],ve([0,1,21,15,3,6,23,12]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function y(Q){return!!Q&&typeof Q.then=="function"}e.isThenable=y;function A(Q){const z=new f.CancellationTokenSource,te=Q(z.token),he=new Promise((ge,ke)=>{const Ue=z.token.onCancellationRequested(()=>{Ue.dispose(),z.dispose(),ke((0,i.canceled)())});Promise.resolve(te).then(Be=>{Ue.dispose(),z.dispose(),ge(Be)},Be=>{Ue.dispose(),z.dispose(),ke(Be)})});return new class{cancel(){z.cancel()}then(ge,ke){return he.then(ge,ke)}catch(ge){return this.then(void 0,ge)}finally(ge){return he.finally(ge)}}}e.createCancelablePromise=A;function L(Q,z,te){return Promise.race([Q,new Promise(he=>z.onCancellationRequested(()=>he(te)))])}e.raceCancellation=L;async function D(Q){let z=-1;const te=Q.map((ge,ke)=>ge.then(Ue=>(z=ke,Ue))),he=await Promise.race(te);return Q.forEach((ge,ke)=>{ke!==z&&ge.cancel()}),he}e.raceCancellablePromises=D;function c(Q,z,te){let he;const ge=setTimeout(()=>{he?.(void 0),te?.()},z);return Promise.race([Q.finally(()=>clearTimeout(ge)),new Promise(ke=>he=ke)])}e.raceTimeout=c;function E(Q){return new Promise((z,te)=>{const he=Q();y(he)?he.then(z,te):z(he)})}e.asPromise=E;class g{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(z){if(this.activePromise){if(this.queuedPromiseFactory=z,!this.queuedPromise){const te=()=>{this.queuedPromise=null;const he=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,he};this.queuedPromise=new Promise(he=>{this.activePromise.then(te,te).then(he)})}return new Promise((te,he)=>{this.queuedPromise.then(te,he)})}return this.activePromise=z(),new Promise((te,he)=>{this.activePromise.then(ge=>{this.activePromise=null,te(ge)},ge=>{this.activePromise=null,he(ge)})})}}e.Throttler=g;class w{constructor(){this.current=Promise.resolve(null)}queue(z){return this.current=this.current.then(()=>z(),()=>z())}}e.Sequencer=w;class v{constructor(){this.promiseMap=new Map}queue(z,te){const ge=(this.promiseMap.get(z)??Promise.resolve()).catch(()=>{}).then(te).finally(()=>{this.promiseMap.get(z)===ge&&this.promiseMap.delete(z)});return this.promiseMap.set(z,ge),ge}}e.SequencerByKey=v;const R=(Q,z)=>{let te=!0;const he=setTimeout(()=>{te=!1,z()},Q);return{isTriggered:()=>te,dispose:()=>{clearTimeout(he),te=!1}}},_=Q=>{let z=!0;return queueMicrotask(()=>{z&&(z=!1,Q())}),{isTriggered:()=>z,dispose:()=>{z=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class s{constructor(z){this.defaultDelay=z,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(z,te=this.defaultDelay){this.task=z,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((ge,ke)=>{this.doResolve=ge,this.doReject=ke}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const ge=this.task;return this.task=null,ge()}}));const he=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=te===e.MicrotaskDelay?_(he):R(te,he),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,i.canceled)()),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=s;class n{constructor(z){this.delayer=new s(z),this.throttler=new g}trigger(z,te){return this.delayer.trigger(()=>this.throttler.queue(z),te)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=n;class m{constructor(){this._isOpen=!1,this._promise=new Promise((z,te)=>{this._completePromise=z})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=m;class a extends m{constructor(z){super();this._timeout=setTimeout(()=>this.open(),z)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=a;function S(Q,z){return z?new Promise((te,he)=>{const ge=setTimeout(()=>{ke.dispose(),te()},Q),ke=z.onCancellationRequested(()=>{clearTimeout(ge),ke.dispose(),he((0,i.canceled)())})}):A(te=>S(Q,te))}e.timeout=S;function r(Q,z=0){const te=setTimeout(Q,z);return(0,C.toDisposable)(()=>clearTimeout(te))}e.disposableTimeout=r;function t(Q){const z=[];let te=0;const he=Q.length;function ge(){return te<he?Q[te++]():null}function ke(Ue){Ue!=null&&z.push(Ue);const Be=ge();return Be?Be.then(ke):Promise.resolve(z)}return Promise.resolve(null).then(ke)}e.sequence=t;function o(Q,z=he=>!!he,te=null){let he=0;const ge=Q.length,ke=()=>{if(he>=ge)return Promise.resolve(te);const Ue=Q[he++];return Promise.resolve(Ue()).then(q=>z(q)?Promise.resolve(q):ke())};return ke()}e.first=o;function d(Q,z=he=>!!he,te=null){if(Q.length===0)return Promise.resolve(te);let he=Q.length;const ge=()=>{he=-1;for(const ke of Q)ke.cancel?.()};return new Promise((ke,Ue)=>{for(const Be of Q)Be.then(q=>{--he>=0&&z(q)?(ge(),ke(q)):he===0&&ke(te)}).catch(q=>{--he>=0&&(ge(),Ue(q))})})}e.firstParallel=d;class l{constructor(z){this._size=0,this.maxDegreeOfParalellism=z,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new I.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(z){return this._size++,new Promise((te,he)=>{this.outstandingPromises.push({factory:z,c:te,e:he}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const z=this.outstandingPromises.shift();this.runningPromises++;const te=z.factory();te.then(z.c,z.e),te.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=l;class u extends l{constructor(){super(1)}}e.Queue=u;class h{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const z=new x;return this.drainers.add(z),z.p}isDrained(){for(const[,z]of this.queues)if(z.size>0)return!1;return!0}queueFor(z,te=T.extUri){const he=te.getComparisonKey(z);let ge=this.queues.get(he);return ge||(ge=new u,I.Event.once(ge.onFinished)(()=>{ge?.dispose(),this.queues.delete(he),this.onDidQueueFinish()}),this.queues.set(he,ge)),ge}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const z of this.drainers)z.complete();this.drainers.clear()}dispose(){for(const[,z]of this.queues)z.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=h;class b{constructor(z,te){this._token=-1,typeof z=="function"&&typeof te=="number"&&this.setIfNotSet(z,te)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(z,te){this.cancel(),this._token=setTimeout(()=>{this._token=-1,z()},te)}setIfNotSet(z,te){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,z()},te))}}e.TimeoutTimer=b;class p{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(z,te){this.cancel(),this._token=setInterval(()=>{z()},te)}}e.IntervalTimer=p;class k{constructor(z,te){this.timeoutToken=-1,this.runner=z,this.timeout=te,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(z=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,z)}get delay(){return this.timeout}set delay(z){this.timeout=z}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=k;class O{constructor(z,te){te%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${te}ms is not a multiple of 1000ms.`),this.runner=z,this.timeout=te,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(z=this.timeout){z%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${z}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(z/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=O;class U extends k{constructor(z,te){super(z,te);this.units=[]}work(z){this.units.push(z),this.isScheduled()||this.schedule()}doRun(){const z=this.units;this.units=[],this.runner&&this.runner(z)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=U;class F extends C.Disposable{constructor(z,te){super();this.options=z,this.handler=te,this.pendingWork=[],this.throttler=this._register(new C.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(z){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+z.length>this.options.maxBufferedWork)return!1}else if(this.pending+z.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...z),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new k(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=F,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=Q=>{(0,P.setTimeout0)(()=>{if(z)return;const te=Date.now()+15;Q(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,te-Date.now())}}))});let z=!1;return{dispose(){z||(z=!0)}}}:e.runWhenIdle=(Q,z)=>{const te=requestIdleCallback(Q,typeof z=="number"?{timeout:z}:void 0);let he=!1;return{dispose(){he||(he=!0,cancelIdleCallback(te))}}}}();class M{constructor(z){this._didRun=!1,this._executor=()=>{try{this._value=z()}catch(te){this._error=te}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=M;async function V(Q,z,te){let he;for(let ge=0;ge<te;ge++)try{return await Q()}catch(ke){he=ke,await S(z)}throw he}e.retry=V;class H{hasPending(z){return this._pending?typeof z=="number"?this._pending.taskId===z:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(z,te,he){return this._pending={taskId:z,cancel:()=>he?.(),promise:te},te.then(()=>this.donePending(z),()=>this.donePending(z)),te}donePending(z){this._pending&&z===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const z=this._next;this._next=void 0,z.run().then(z.promiseResolve,z.promiseReject)}}setNext(z){if(this._next)this._next.run=z;else{let te,he;const ge=new Promise((ke,Ue)=>{te=ke,he=Ue});this._next={run:z,promise:ge,promiseResolve:te,promiseReject:he}}return this._next.promise}}e.TaskSequentializer=H;class N{constructor(z,te=()=>Date.now()){this.interval=z,this.nowFn=te,this.lastIncrementTime=0,this.value=0}increment(){const z=this.nowFn();return z-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=z,this.value=0),this.value++,this.value}}e.IntervalCounter=N;class x{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((z,te)=>{this.completeCallback=z,this.errorCallback=te})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(z){return new Promise(te=>{this.completeCallback(z),this.resolved=!0,te()})}error(z){return new Promise(te=>{this.errorCallback(z),this.rejected=!0,te()})}cancel(){new Promise(z=>{this.errorCallback((0,i.canceled)()),this.rejected=!0,z()})}}e.DeferredPromise=x;var W;(function(Q){async function z(he){let ge;const ke=await Promise.all(he.map(Ue=>Ue.then(Be=>Be,Be=>{ge||(ge=Be)})));if(typeof ge!="undefined")throw ge;return ke}Q.settled=z;function te(he){return new Promise(async(ge,ke)=>{try{await he(ge,ke)}catch(Ue){ke(Ue)}})}Q.withAsyncBody=te})(W=e.Promises||(e.Promises={}));var B;(function(Q){Q[Q.Initial=0]="Initial",Q[Q.DoneOK=1]="DoneOK",Q[Q.DoneError=2]="DoneError"})(B||(B={}));class j{constructor(z){this._state=0,this._results=[],this._error=null,this._onStateChanged=new I.Emitter,queueMicrotask(async()=>{const te={emitOne:he=>this.emitOne(he),emitMany:he=>this.emitMany(he),reject:he=>this.reject(he)};try{await Promise.resolve(z(te)),this.resolve()}catch(he){this.reject(he)}finally{te.emitOne=void 0,te.emitMany=void 0,te.reject=void 0}})}static fromArray(z){return new j(te=>{te.emitMany(z)})}static fromPromise(z){return new j(async te=>{te.emitMany(await z)})}static fromPromises(z){return new j(async te=>{await Promise.all(z.map(async he=>te.emitOne(await he)))})}static merge(z){return new j(async te=>{await Promise.all(z.map(async he=>{for await(const ge of he)te.emitOne(ge)}))})}[Symbol.asyncIterator](){let z=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(z<this._results.length)return{done:!1,value:this._results[z++]};if(this._state===1)return{done:!0,value:void 0};await I.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(z,te){return new j(async he=>{for await(const ge of z)he.emitOne(te(ge))})}map(z){return j.map(this,z)}static filter(z,te){return new j(async he=>{for await(const ge of z)te(ge)&&he.emitOne(ge)})}filter(z){return j.filter(this,z)}static coalesce(z){return j.filter(z,te=>!!te)}coalesce(){return j.coalesce(this)}static async toPromise(z){const te=[];for await(const he of z)te.push(he);return te}toPromise(){return j.toPromise(this)}emitOne(z){this._state===0&&(this._results.push(z),this._onStateChanged.fire())}emitMany(z){this._state===0&&(this._results=this._results.concat(z),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(z){this._state===0&&(this._state=2,this._error=z,this._onStateChanged.fire())}}e.AsyncIterableObject=j,j.EMPTY=j.fromArray([]);class Z extends j{constructor(z,te){super(te);this._source=z}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=Z;function se(Q){const z=new f.CancellationTokenSource,te=Q(z.token);return new Z(z,async he=>{const ge=z.token.onCancellationRequested(()=>{ge.dispose(),z.dispose(),he.reject((0,i.canceled)())});try{for await(const ke of te){if(z.token.isCancellationRequested)return;he.emitOne(ke)}ge.dispose(),z.dispose()}catch(ke){ge.dispose(),z.dispose(),he.reject(ke)}})}e.createCancelableAsyncIterable=se}),define(pe[101],ve([0,1,18,8]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const I=new f.IdleValue(()=>{const h=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:h,collatorIsNumeric:h.resolvedOptions().numeric}}),C=new f.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),T=new f.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(h,b,p=!1){const k=h||"",O=b||"",U=I.value.collator.compare(k,O);return I.value.collatorIsNumeric&&U===0&&k!==O?k<O?-1:1:U}e.compareFileNames=P;function y(h,b){const p=C.value.collator;return h=h||"",b=b||"",m(p,h,b)}e.compareFileNamesDefault=y;function A(h,b){const p=C.value.collator;return h=h||"",b=b||"",t(h,b)||m(p,h,b)}e.compareFileNamesUpper=A;function L(h,b){const p=C.value.collator;return h=h||"",b=b||"",r(h,b)||m(p,h,b)}e.compareFileNamesLower=L;function D(h,b){return h=h||"",b=b||"",h===b?0:h<b?-1:1}e.compareFileNamesUnicode=D;function c(h,b,p=!1){p||(h=h&&h.toLowerCase(),b=b&&b.toLowerCase());const[k,O]=s(h),[U,F]=s(b);return k!==U?k<U?-1:1:O===F?0:O<F?-1:1}e.noIntlCompareFileNames=c;function E(h,b){const[p,k]=s(h),[O,U]=s(b);let F=I.value.collator.compare(k,U);if(F===0){if(I.value.collatorIsNumeric&&k!==U)return k<U?-1:1;if(F=I.value.collator.compare(p,O),I.value.collatorIsNumeric&&F===0&&p!==O)return p<O?-1:1}return F}e.compareFileExtensions=E;function g(h,b){h=h||"",b=b||"";const p=n(h),k=n(b),O=C.value.collator,U=T.value.collator;return m(U,p,k)||m(O,h,b)}e.compareFileExtensionsDefault=g;function w(h,b){h=h||"",b=b||"";const p=n(h),k=n(b),O=C.value.collator,U=T.value.collator;return m(U,p,k)||t(h,b)||m(O,h,b)}e.compareFileExtensionsUpper=w;function v(h,b){h=h||"",b=b||"";const p=n(h),k=n(b),O=C.value.collator,U=T.value.collator;return m(U,p,k)||r(h,b)||m(O,h,b)}e.compareFileExtensionsLower=v;function R(h,b){h=h||"",b=b||"";const p=n(h).toLowerCase(),k=n(b).toLowerCase();return p!==k?p<k?-1:1:h!==b?h<b?-1:1:0}e.compareFileExtensionsUnicode=R;const _=/^(.*?)(\.([^.]*))?$/;function s(h,b=!1){const p=h?_.exec(h):[];let k=[p&&p[1]||"",p&&p[3]||""];return b&&(!k[0]&&k[1]||k[0]&&k[0].charAt(0)===".")&&(k=[k[0]+"."+k[1],""]),k}function n(h){const b=h?_.exec(h):[];return b&&b[1]&&b[1].charAt(0)!=="."&&b[3]||""}function m(h,b,p){let k=h.compare(b,p);return k!==0?k:b.length!==p.length?b.length<p.length?-1:1:0}function a(h){const b=h.charAt(0);return b.toLocaleUpperCase()!==b}function S(h){const b=h.charAt(0);return b.toLocaleLowerCase()!==b}function r(h,b){return a(h)&&S(b)?-1:S(h)&&a(b)?1:0}function t(h,b){return S(h)&&a(b)?-1:a(h)&&S(b)?1:0}function o(h,b,p=!1){return p||(h=h&&h.toLowerCase(),b=b&&b.toLowerCase()),h===b?0:h<b?-1:1}function d(h,b,p=!1){const k=h.split(i.sep),O=b.split(i.sep),U=k.length-1,F=O.length-1;let M,V;for(let H=0;;H++){if(M=U===H,V=F===H,M&&V)return P(k[H],O[H],p);if(M)return-1;if(V)return 1;const N=o(k[H],O[H],p);if(N!==0)return N}}e.comparePaths=d;function l(h,b,p){const k=h.toLowerCase(),O=b.toLowerCase(),U=u(h,b,p);if(U)return U;const F=k.endsWith(p),M=O.endsWith(p);if(F!==M)return F?-1:1;const V=P(k,O);return V!==0?V:k.localeCompare(O)}e.compareAnything=l;function u(h,b,p){const k=h.toLowerCase(),O=b.toLowerCase(),U=k.startsWith(p),F=O.startsWith(p);if(U!==F)return U?-1:1;if(U&&F){if(k.length<O.length)return-1;if(k.length>O.length)return 1}return 0}e.compareByPrefix=u}),define(pe[102],ve([0,1,101,98,47,8,12,9]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const y=0,A=[y,[]];function L(N,x,W,B){if(!N||!x)return A;const j=N.length,Z=x.length;if(j<Z)return A;const se=N.toLowerCase();return D(x,W,Z,N,se,j,B)}e.scoreFuzzy=L;function D(N,x,W,B,j,Z,se){const Q=[],z=[];for(let ke=0;ke<W;ke++){const Ue=ke*Z,Be=Ue-Z,q=ke>0,Y=N[ke],re=x[ke];for(let le=0;le<Z;le++){const J=le>0,oe=Ue+le,Se=oe-1,Me=Be+le-1,Ge=J?Q[Se]:0,Ke=q&&J?Q[Me]:0,et=q&&J?z[Me]:0;let nt;!Ke&&q?nt=0:nt=c(Y,re,B,j,le,et),nt&&Ke+nt>=Ge&&(se||q||j.startsWith(x,le))?(z[oe]=et+1,Q[oe]=Ke+nt):(z[oe]=y,Q[oe]=Ge)}}const te=[];let he=W-1,ge=Z-1;for(;he>=0&&ge>=0;){const ke=he*Z+ge;z[ke]===y||(te.push(ge),he--),ge--}return[Q[W*Z-1],te.reverse()]}function c(N,x,W,B,j,Z){let se=0;if(!E(x,B[j]))return se;if(se+=1,Z>0&&(se+=Z*5),N===W[j]&&(se+=1),j===0)se+=8;else{const Q=g(W.charCodeAt(j-1));Q?se+=Q:(0,i.isUpper)(W.charCodeAt(j))&&Z===0&&(se+=2)}return se}function E(N,x){return N===x?!0:N==="/"||N==="\\"?x==="/"||x==="\\":!1}function g(N){switch(N){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const w=[void 0,[]];function v(N,x,W=0,B=0){const j=x;return j.values&&j.values.length>1?R(N,j.values,W,B):_(N,x,W,B)}e.scoreFuzzy2=v;function R(N,x,W,B){let j=0;const Z=[];for(const se of x){const[Q,z]=_(N,se,W,B);if(typeof Q!="number")return w;j+=Q,Z.push(...z)}return[j,u(Z)]}function _(N,x,W,B){const j=(0,i.fuzzyScore)(x.original,x.originalLowercase,W,N,N.toLowerCase(),B,!0);return j?[j[0],(0,i.createMatches)(j)]:w}const s=Object.freeze({score:0}),n=1<<18,m=1<<17,a=1<<16;function S(N,x,W,B){const j=B.values?B.values:[B];return(0,I.hash)({[B.normalized]:{values:j.map(se=>({value:se.normalized,expectContiguousMatch:se.expectContiguousMatch})),label:N,description:x,allowNonContiguousMatches:W}})}function r(N,x,W,B,j){if(!N||!x.normalized)return s;const Z=B.getItemLabel(N);if(!Z)return s;const se=B.getItemDescription(N),Q=S(Z,se,W,x),z=j[Q];if(z)return z;const te=t(Z,se,B.getItemPath(N),x,W);return j[Q]=te,te}e.scoreItemFuzzy=r;function t(N,x,W,B,j){const Z=!W||!B.containsPathSeparator;return W&&(T.isLinux?B.pathNormalized===W:(0,P.equalsIgnoreCase)(B.pathNormalized,W))?{score:n,labelMatch:[{start:0,end:N.length}],descriptionMatch:x?[{start:0,end:x.length}]:void 0}:B.values&&B.values.length>1?o(N,x,W,B.values,Z,j):d(N,x,W,B,Z,j)}function o(N,x,W,B,j,Z){let se=0;const Q=[],z=[];for(const te of B){const{score:he,labelMatch:ge,descriptionMatch:ke}=d(N,x,W,te,j,Z);if(he===y)return s;se+=he,ge&&Q.push(...ge),ke&&z.push(...ke)}return{score:se,labelMatch:u(Q),descriptionMatch:u(z)}}function d(N,x,W,B,j,Z){if(j||!x){const[se,Q]=L(N,B.normalized,B.normalizedLowercase,Z&&!B.expectContiguousMatch);if(se){const z=(0,i.matchesPrefix)(B.normalized,N);let te;return z?(te=m,te+=Math.round(B.normalized.length/N.length*100)):te=a,{score:te+se,labelMatch:z||l(Q)}}}if(x){let se=x;W&&(se=`${x}${C.sep}`);const Q=se.length,z=`${se}${N}`,[te,he]=L(z,B.normalized,B.normalizedLowercase,Z&&!B.expectContiguousMatch);if(te){const ge=l(he),ke=[],Ue=[];return ge.forEach(Be=>{Be.start<Q&&Be.end>Q?(ke.push({start:0,end:Be.end-Q}),Ue.push({start:Be.start,end:Q})):Be.start>=Q?ke.push({start:Be.start-Q,end:Be.end-Q}):Ue.push(Be)}),{score:te,labelMatch:ke,descriptionMatch:Ue}}}return s}function l(N){const x=[];if(!N)return x;let W;for(const B of N)W&&W.end===B?W.end+=1:(W={start:B,end:B+1},x.push(W));return x}function u(N){const x=N.sort((j,Z)=>j.start-Z.start),W=[];let B;for(const j of x)!B||!h(B,j)?(B=j,W.push(j)):(B.start=Math.min(B.start,j.start),B.end=Math.max(B.end,j.end));return W}function h(N,x){return!(N.end<x.start||x.end<N.start)}function b(N,x,W,B,j,Z){const se=r(N,W,B,j,Z),Q=r(x,W,B,j,Z),z=se.score,te=Q.score;if((z===n||te===n)&&z!==te)return z===n?-1:1;if(z>a||te>a){if(z!==te)return z>te?-1:1;if(z<m&&te<m){const Y=k(se.labelMatch,Q.labelMatch);if(Y!==0)return Y}const Be=j.getItemLabel(N)||"",q=j.getItemLabel(x)||"";if(Be.length!==q.length)return Be.length-q.length}if(z!==te)return z>te?-1:1;const he=Array.isArray(se.labelMatch)&&se.labelMatch.length>0,ge=Array.isArray(Q.labelMatch)&&Q.labelMatch.length>0;if(he&&!ge)return-1;if(ge&&!he)return 1;const ke=p(N,se,j),Ue=p(x,Q,j);return ke&&Ue&&ke!==Ue?Ue>ke?-1:1:O(N,x,W,j)}e.compareItemsByFuzzyScore=b;function p(N,x,W){let B=-1,j=-1;if(x.descriptionMatch&&x.descriptionMatch.length?B=x.descriptionMatch[0].start:x.labelMatch&&x.labelMatch.length&&(B=x.labelMatch[0].start),x.labelMatch&&x.labelMatch.length){if(j=x.labelMatch[x.labelMatch.length-1].end,x.descriptionMatch&&x.descriptionMatch.length){const Z=W.getItemDescription(N);Z&&(j+=Z.length)}}else x.descriptionMatch&&x.descriptionMatch.length&&(j=x.descriptionMatch[x.descriptionMatch.length-1].end);return j-B}function k(N,x){if(!N&&!x||(!N||!N.length)&&(!x||!x.length))return 0;if(!x||!x.length)return-1;if(!N||!N.length)return 1;const W=N[0].start,j=N[N.length-1].end-W,Z=x[0].start,Q=x[x.length-1].end-Z;return j===Q?0:Q<j?1:-1}function O(N,x,W,B){const j=B.getItemLabel(N)||"",Z=B.getItemLabel(x)||"",se=B.getItemDescription(N),Q=B.getItemDescription(x),z=j.length+(se?se.length:0),te=Z.length+(Q?Q.length:0);if(z!==te)return z-te;const he=B.getItemPath(N),ge=B.getItemPath(x);return he&&ge&&he.length!==ge.length?he.length-ge.length:j!==Z?(0,f.compareAnything)(j,Z,W.normalized):se&&Q&&se!==Q?(0,f.compareAnything)(se,Q,W.normalized):he&&ge&&he!==ge?(0,f.compareAnything)(he,ge,W.normalized):0}function U(N){return N.startsWith('"')&&N.endsWith('"')}const F=" ";function M(N){typeof N!="string"&&(N="");const x=N.toLowerCase(),{pathNormalized:W,normalized:B,normalizedLowercase:j}=V(N),Z=W.indexOf(C.sep)>=0,se=U(N);let Q;const z=N.split(F);if(z.length>1)for(const te of z){const he=U(te),{pathNormalized:ge,normalized:ke,normalizedLowercase:Ue}=V(te);ke&&(Q||(Q=[]),Q.push({original:te,originalLowercase:te.toLowerCase(),pathNormalized:ge,normalized:ke,normalizedLowercase:Ue,expectContiguousMatch:he}))}return{original:N,originalLowercase:x,pathNormalized:W,normalized:B,normalizedLowercase:j,values:Q,containsPathSeparator:Z,expectContiguousMatch:se}}e.prepareQuery=M;function V(N){let x;T.isWindows?x=N.replace(/\//g,C.sep):x=N.replace(/\\/g,C.sep);const W=(0,P.stripWildcards)(x).replace(/\s|"/g,"");return{pathNormalized:x,normalized:W,normalizedLowercase:W.toLowerCase()}}function H(N){return Array.isArray(N)?M(N.map(x=>x.original).join(F)):M(N.original)}e.pieceToQuery=H}),define(pe[32],ve([0,1,18,28,24,8,9]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const y="[/\\\\]",A="[^/\\\\]",L=/\//g;function D(x){switch(x){case 0:return"";case 1:return`${A}*?`;default:return`(?:${y}|${A}+${y}|${y}${A}+)*?`}}function c(x,W){if(!x)return[];const B=[];let j=!1,Z=!1,se="";for(const Q of x){switch(Q){case W:if(!j&&!Z){B.push(se),se="";continue}break;case"{":j=!0;break;case"}":j=!1;break;case"[":Z=!0;break;case"]":Z=!1;break}se+=Q}return se&&B.push(se),B}e.splitGlobAware=c;function E(x){if(!x)return"";let W="";const B=c(x,e.GLOB_SPLIT);if(B.every(j=>j===e.GLOBSTAR))W=".*";else{let j=!1;B.forEach((Z,se)=>{if(Z===e.GLOBSTAR){j||(W+=D(2),j=!0);return}let Q=!1,z="",te=!1,he="";for(const ge of Z){if(ge!=="}"&&Q){z+=ge;continue}if(te&&(ge!=="]"||!he)){let ke;ge==="-"?ke=ge:(ge==="^"||ge==="!")&&!he?ke="^":ge===e.GLOB_SPLIT?ke="":ke=T.escapeRegExpCharacters(ge),he+=ke;continue}switch(ge){case"{":Q=!0;continue;case"[":te=!0;continue;case"}":{W+=`(?:${c(z,",").map(Be=>E(Be)).join("|")})`,Q=!1,z="";break}case"]":W+="["+he+"]",te=!1,he="";break;case"?":W+=A;continue;case"*":W+=D(1);continue;default:W+=T.escapeRegExpCharacters(ge)}}se<B.length-1&&(B[se+1]!==e.GLOBSTAR||se+2<B.length)&&(W+=y),j=!1})}return W}const g=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,v=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,R=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,_=/^\*\*((\/[\w\.-]+)+)\/?$/,s=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,n=new I.LRUCache(1e4),m=function(){return!1},a=function(){return null};function S(x,W){if(!x)return a;let B;typeof x!="string"?B=x.pattern:B=x,B=B.trim();const j=`${B}_${!!W.trimForExclusions}`;let Z=n.get(j);if(Z)return r(Z,x);let se;if(g.test(B)){const Q=B.substr(4);Z=function(z,te){return typeof z=="string"&&z.endsWith(Q)?B:null}}else(se=w.exec(t(B,W)))?Z=o(se[1],B):(W.trimForExclusions?R:v).test(B)?Z=d(B,W):(se=_.exec(t(B,W)))?Z=l(se[1].substr(1),B,!0):(se=s.exec(t(B,W)))?Z=l(se[1],B,!1):Z=u(B);return n.set(j,Z),r(Z,x)}function r(x,W){return typeof W=="string"?x:function(B,j){return i.isEqualOrParent(B,W.base)?x(C.relative(W.base,B),j):null}}function t(x,W){return W.trimForExclusions&&x.endsWith("/**")?x.substr(0,x.length-2):x}function o(x,W){const B=`/${x}`,j=`\\${x}`,Z=function(Q,z){return typeof Q!="string"?null:z?z===x?W:null:Q===x||Q.endsWith(B)||Q.endsWith(j)?W:null},se=[x];return Z.basenames=se,Z.patterns=[W],Z.allBasenames=se,Z}function d(x,W){const B=N(x.slice(1,-1).split(",").map(z=>S(z,W)).filter(z=>z!==a),x),j=B.length;if(!j)return a;if(j===1)return B[0];const Z=function(z,te){for(let he=0,ge=B.length;he<ge;he++)if(B[he](z,te))return x;return null},se=B.find(z=>!!z.allBasenames);se&&(Z.allBasenames=se.allBasenames);const Q=B.reduce((z,te)=>te.allPaths?z.concat(te.allPaths):z,[]);return Q.length&&(Z.allPaths=Q),Z}function l(x,W,B){const j=C.sep===C.posix.sep,Z=j?x:x.replace(L,C.sep),se=C.sep+Z,Q=C.posix.sep+x,z=B?function(te,he){return typeof te=="string"&&(te===Z||te.endsWith(se)||!j&&(te===x||te.endsWith(Q)))?W:null}:function(te,he){return typeof te=="string"&&(te===Z||!j&&te===x)?W:null};return z.allPaths=[(B?"*/":"./")+x],z}function u(x){try{const W=new RegExp(`^${E(x)}$`);return function(B){return W.lastIndex=0,typeof B=="string"&&W.test(B)?x:null}}catch{return a}}function h(x,W,B){return!x||typeof W!="string"?!1:b(x)(W,void 0,B)}e.match=h;function b(x,W={}){if(!x)return m;if(typeof x=="string"||U(x)){const B=S(x,W);if(B===a)return m;const j=function(Z,se){return!!B(Z,se)};return B.allBasenames&&(j.allBasenames=B.allBasenames),B.allPaths&&(j.allPaths=B.allPaths),j}return V(x,W)}e.parse=b;function p(x){if(!x)return;let W;return B=>(W||(W=(x()||Promise.resolve([])).then(j=>j?O(j):{})),W.then(j=>!!j[B]))}e.hasSiblingPromiseFn=p;function k(x){if(!x)return;let W;return B=>{if(!W){const j=x();W=j?O(j):{}}return!!W[B]}}e.hasSiblingFn=k;function O(x){const W={};for(const B of x)W[B]=!0;return W}function U(x){const W=x;return W&&typeof W.base=="string"&&typeof W.pattern=="string"}e.isRelativePattern=U;function F(x){return x.allBasenames||[]}e.getBasenameTerms=F;function M(x){return x.allPaths||[]}e.getPathTerms=M;function V(x,W){const B=N(Object.getOwnPropertyNames(x).map(z=>H(z,x[z],W)).filter(z=>z!==a)),j=B.length;if(!j)return a;if(!B.some(z=>!!z.requiresSiblings)){if(j===1)return B[0];const z=function(ge,ke){for(let Ue=0,Be=B.length;Ue<Be;Ue++){const q=B[Ue](ge,ke);if(q)return q}return null},te=B.find(ge=>!!ge.allBasenames);te&&(z.allBasenames=te.allBasenames);const he=B.reduce((ge,ke)=>ke.allPaths?ge.concat(ke.allPaths):ge,[]);return he.length&&(z.allPaths=he),z}const Z=function(z,te,he){let ge;for(let ke=0,Ue=B.length;ke<Ue;ke++){const Be=B[ke];Be.requiresSiblings&&he&&(te||(te=C.basename(z)),ge||(ge=te.substr(0,te.length-C.extname(z).length)));const q=Be(z,te,ge,he);if(q)return q}return null},se=B.find(z=>!!z.allBasenames);se&&(Z.allBasenames=se.allBasenames);const Q=B.reduce((z,te)=>te.allPaths?z.concat(te.allPaths):z,[]);return Q.length&&(Z.allPaths=Q),Z}function H(x,W,B){if(W===!1)return a;const j=S(x,B);if(j===a)return a;if(typeof W=="boolean")return j;if(W){const Z=W.when;if(typeof Z=="string"){const se=(Q,z,te,he)=>{if(!he||!j(Q,z))return null;const ge=Z.replace("$(basename)",te),ke=he(ge);return(0,f.isThenable)(ke)?ke.then(Ue=>Ue?x:null):ke?x:null};return se.requiresSiblings=!0,se}}return j}function N(x,W){const B=x.filter(z=>!!z.basenames);if(B.length<2)return x;const j=B.reduce((z,te)=>{const he=te.basenames;return he?z.concat(he):z},[]);let Z;if(W){Z=[];for(let z=0,te=j.length;z<te;z++)Z.push(W)}else Z=B.reduce((z,te)=>{const he=te.patterns;return he?z.concat(he):z},[]);const se=function(z,te){if(typeof z!="string")return null;if(!te){let ge;for(ge=z.length;ge>0;ge--){const ke=z.charCodeAt(ge-1);if(ke===47||ke===92)break}te=z.substr(ge)}const he=j.indexOf(te);return he!==-1?Z[he]:null};se.basenames=j,se.patterns=Z,se.allBasenames=j;const Q=x.filter(z=>!z.basenames);return Q.push(se),Q}}),define(pe[81],ve([0,1,28,10,8,12,23,9,2]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function A(t,o,d){if(typeof t=="string"&&(t=y.URI.file(t)),d){const u=d.getWorkspaceFolder(t);if(u){const h=d.getWorkspace().folders.length>1;let b;if((0,T.isEqual)(u.uri,t)?b="":b=(0,T.relativePath)(u.uri,t),h){const p=u.name?u.name:(0,T.basename)(u.uri);b=b?p+" \u2022 "+b:p}return b}}if(t.scheme!==i.Schemas.file&&t.scheme!==i.Schemas.untitled)return t.with({query:null,fragment:null}).toString(!0);if((0,f.hasDriveLetter)(t.fsPath))return(0,I.normalize)(D(t.fsPath));let l=(0,I.normalize)(t.fsPath);return!C.isWindows&&o?.userHome&&(l=E(l,o.userHome.fsPath)),l}e.getPathLabel=A;function L(t){if(!t)return;typeof t=="string"&&(t=y.URI.file(t));const o=(0,T.basename)(t)||(t.scheme===i.Schemas.file?t.fsPath:t.path);return C.isWindows&&(0,f.isRootOrDriveLetter)(o)?D(o):o}e.getBaseLabel=L;function D(t,o){return(0,f.hasDriveLetter)(t,o)?t.charAt(0).toUpperCase()+t.slice(1):t}e.normalizeDriveLetter=D;let c=Object.create(null);function E(t,o){if(C.isWindows||!t||!o)return t;let d=c.original===o?c.normalized:void 0;return d||(d=`${(0,P.rtrim)(o,I.posix.sep)}${I.posix.sep}`,c={original:o,normalized:d}),(C.isLinux?t.startsWith(d):(0,P.startsWithIgnoreCase)(t,d))&&(t=`~/${t.substr(d.length)}`),t}e.tildify=E;function g(t,o){return t.replace(/^~($|\/|\\)/,`${o}$1`)}e.untildify=g;const w="\u2026",v="\\\\",R="~";function _(t,o=I.sep){const d=new Array(t.length);let l=!1;for(let u=0;u<t.length;u++){let h=t[u];if(h===""){d[u]=`.${o}`;continue}if(!h){d[u]=h;continue}l=!0;let b="";h.indexOf(v)===0?(b=h.substr(0,h.indexOf(v)+v.length),h=h.substr(h.indexOf(v)+v.length)):h.indexOf(o)===0?(b=h.substr(0,h.indexOf(o)+o.length),h=h.substr(h.indexOf(o)+o.length)):h.indexOf(R)===0&&(b=h.substr(0,h.indexOf(R)+R.length),h=h.substr(h.indexOf(R)+R.length));const p=h.split(o);for(let k=1;l&&k<=p.length;k++)for(let O=p.length-k;l&&O>=0;O--){l=!1;let U=p.slice(O,O+k).join(o);for(let F=0;!l&&F<t.length;F++)if(F!==u&&t[F]&&t[F].indexOf(U)>-1){const M=O+k===p.length,V=O>0&&t[F].indexOf(o)>-1?o+U:U,H=t[F].endsWith(V);l=!M||H}if(!l){let F="";(p[0].endsWith(":")||b!=="")&&(O===1&&(O=0,k++,U=p[0]+o+U),O>0&&(F=p[0]+o),F=b+F),O>0&&(F=F+w+o),F=F+U,O+k<p.length&&(F=F+o+w),d[u]=F}}l&&(d[u]=h)}return d}e.shorten=_;var s;(function(t){t[t.TEXT=0]="TEXT",t[t.VARIABLE=1]="VARIABLE",t[t.SEPARATOR=2]="SEPARATOR"})(s||(s={}));function n(t,o=Object.create(null)){const d=[];let l=!1,u="";for(const h of t)if(h==="$"||l&&h==="{")u&&d.push({value:u,type:s.TEXT}),u="",l=!0;else if(h==="}"&&l){const b=o[u];if(typeof b=="string")b.length&&d.push({value:b,type:s.VARIABLE});else if(b){const p=d[d.length-1];(!p||p.type!==s.SEPARATOR)&&d.push({value:b.label,type:s.SEPARATOR})}u="",l=!1}else u+=h;return u&&!l&&d.push({value:u,type:s.TEXT}),d.filter((h,b)=>{if(h.type===s.SEPARATOR){const p=d[b-1],k=d[b+1];return[p,k].every(O=>O&&(O.type===s.VARIABLE||O.type===s.TEXT)&&O.value.length>0)}return!0}).map(h=>h.value).join("")}e.template=n;function m(t,o){return C.isMacintosh||o?t.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):t.replace(/&&|&/g,d=>d==="&"?"&&":"&")}e.mnemonicMenuLabel=m;function a(t,o){return C.isMacintosh||o?t.replace(/\(&&\w\)|&&/g,""):C.isWindows?t.replace(/&&|&/g,d=>d==="&"?"&&":"&"):t.replace(/&&/g,"_")}e.mnemonicButtonLabel=a;function S(t){return t.replace(/&/g,"&&")}e.unmnemonicLabel=S;function r(t){const o=t.indexOf("/")!==-1?I.posix:I.win32,d=o.basename(t),l=o.dirname(t);return d.length?{name:d,parentPath:l}:{name:l,parentPath:""}}e.splitName=r}),define(pe[103],ve([0,1,2]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function i(L){return L.toJSON()}class I{constructor(D){this._uriTransformer=D}transformIncoming(D){const c=this._uriTransformer.transformIncoming(D);return c===D?D:i(f.URI.from(c))}transformOutgoing(D){const c=this._uriTransformer.transformOutgoing(D);return c===D?D:i(f.URI.from(c))}transformOutgoingURI(D){const c=this._uriTransformer.transformOutgoing(D);return c===D?D:f.URI.from(c)}transformOutgoingScheme(D){return this._uriTransformer.transformOutgoingScheme(D)}}e.URITransformer=I,e.DefaultURITransformer=new class{transformIncoming(L){return L}transformOutgoing(L){return L}transformOutgoingURI(L){return L}transformOutgoingScheme(L){return L}};function C(L,D,c){if(!L||c>200)return null;if(typeof L=="object"){if(L instanceof f.URI)return D.transformOutgoing(L);for(let E in L)if(Object.hasOwnProperty.call(L,E)){const g=C(L[E],D,c+1);g!==null&&(L[E]=g)}}return null}function T(L,D){const c=C(L,D,0);return c===null?L:c}e.transformOutgoingURIs=T;function P(L,D,c,E){if(!L||E>200)return null;if(typeof L=="object"){if(L.$mid===1)return c?f.URI.revive(D.transformIncoming(L)):D.transformIncoming(L);for(let g in L)if(Object.hasOwnProperty.call(L,g)){const w=P(L[g],D,c,E+1);w!==null&&(L[g]=w)}}return null}function y(L,D){const c=P(L,D,!1,0);return c===null?L:c}e.transformIncomingURIs=y;function A(L,D){const c=P(L,D,!0,0);return c===null?L:c}e.transformAndReviveIncomingURIs=A}),define(pe[33],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const f=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function i(y){return f.test(y)}e.isUUID=i;const I=new Uint8Array(16),C=[];for(let y=0;y<256;y++)C.push(y.toString(16).padStart(2,"0"));let T;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?T=crypto.getRandomValues.bind(crypto):T=function(y){for(let A=0;A<y.length;A++)y[A]=Math.floor(Math.random()*256);return y};function P(){T(I),I[6]=I[6]&15|64,I[8]=I[8]&63|128;let y=0,A="";return A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A+="-",A+=C[I[y++]],A+=C[I[y++]],A+="-",A+=C[I[y++]],A+=C[I[y++]],A+="-",A+=C[I[y++]],A+=C[I[y++]],A+="-",A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A+=C[I[y++]],A}e.generateUuid=P}),define(pe[143],ve([0,1,104]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class i{constructor(C="utf8"){this.stringDecoder=new f.StringDecoder(C),this.remaining=null}write(C){const T=[],P=this.remaining?this.remaining+this.stringDecoder.write(C):this.stringDecoder.write(C);if(P.length<1)return T;let y=0,A,L=y;for(;L<P.length;)if(A=P.charCodeAt(L),A===13||A===10){if(T.push(P.substring(y,L)),L++,L<P.length){const D=A;A=P.charCodeAt(L),(D===13&&A===10||D===10&&A===13)&&L++}y=L}else L++;return this.remaining=y<P.length?P.substr(y):null,T}end(){return this.remaining}}e.LineDecoder=i}),define(pe[29],ve([0,1,60,82,291,18,28,80,8,12,23,2]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var c;(function(M){M[M.UNLINK=0]="UNLINK",M[M.MOVE=1]="MOVE"})(c=e.RimRafMode||(e.RimRafMode={}));async function E(M,V=c.UNLINK){if((0,T.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");return V===c.UNLINK?w(M):g(M)}async function g(M){try{const V=(0,T.randomPath)((0,i.tmpdir)());try{await f.promises.rename(M,V)}catch{return w(M)}w(V).catch(H=>{})}catch(V){if(V.code!=="ENOENT")throw V}}async function w(M){return e.Promises.rmdir(M,{recursive:!0,maxRetries:3})}function v(M){if((0,T.isRootOrDriveLetter)(M))throw new Error("rimraf - will refuse to recursively delete root");f.rmdirSync(M,{recursive:!0})}e.rimrafSync=v;async function R(M,V){return n(await(V?_(M):(0,I.promisify)(f.readdir)(M)))}async function _(M){try{return await(0,I.promisify)(f.readdir)(M,{withFileTypes:!0})}catch(N){console.warn("[node.js fs] readdir with filetypes failed with error: ",N)}const V=[],H=await R(M);for(const N of H){let x=!1,W=!1,B=!1;try{const j=await e.Promises.lstat((0,y.join)(M,N));x=j.isFile(),W=j.isDirectory(),B=j.isSymbolicLink()}catch(j){console.warn("[node.js fs] unexpected error from lstat after readdir: ",j)}V.push({name:N,isFile:()=>x,isDirectory:()=>W,isSymbolicLink:()=>B})}return V}function s(M){return n(f.readdirSync(M))}e.readdirSync=s;function n(M){return M.map(V=>typeof V=="string"?A.isMacintosh?(0,P.normalizeNFC)(V):V:(V.name=A.isMacintosh?(0,P.normalizeNFC)(V.name):V.name,V))}async function m(M){const V=await R(M),H=[];for(const N of V)await S.existsDirectory((0,y.join)(M,N))&&H.push(N);return H}function a(M,V=1e3){return new Promise(H=>{let N=!1;const x=setInterval(()=>{N||(N=!0,f.access(M,W=>{N=!1,W&&(clearInterval(x),H(void 0))}))},V)})}e.whenDeleted=a;var S;(function(M){async function V(x){let W;try{if(W=await e.Promises.lstat(x),!W.isSymbolicLink())return{stat:W}}catch{}try{return{stat:await e.Promises.stat(x),symbolicLink:W?.isSymbolicLink()?{dangling:!1}:void 0}}catch(B){if(B.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};if(A.isWindows&&B.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(x)),symbolicLink:{dangling:!1}}}catch(j){if(j.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};throw j}throw B}}M.stat=V;async function H(x){try{const{stat:W,symbolicLink:B}=await M.stat(x);return W.isFile()&&B?.dangling!==!0}catch{}return!1}M.existsFile=H;async function N(x){try{const{stat:W,symbolicLink:B}=await M.stat(x);return W.isDirectory()&&B?.dangling!==!0}catch{}return!1}M.existsDirectory=N})(S=e.SymlinkSupport||(e.SymlinkSupport={}));const r=new C.ResourceQueue;function t(M,V,H){return r.queueFor(D.URI.file(M),L.extUriBiasedIgnorePathCase).queue(()=>{const N=u(H);return new Promise((x,W)=>d(M,V,N,B=>B?W(B):x()))})}let o=!0;function d(M,V,H,N){if(!o)return f.writeFile(M,V,{mode:H.mode,flag:H.flag},N);f.open(M,H.flag,H.mode,(x,W)=>{if(x)return N(x);f.writeFile(W,V,B=>{if(B)return f.close(W,()=>N(B));f.fdatasync(W,j=>(j&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",j),o=!1),f.close(W,Z=>N(Z))))})})}function l(M,V,H){const N=u(H);if(!o)return f.writeFileSync(M,V,{mode:N.mode,flag:N.flag});const x=f.openSync(M,N.flag,N.mode);try{f.writeFileSync(x,V);try{f.fdatasyncSync(x)}catch(W){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",W),o=!1}}finally{f.closeSync(x)}}e.writeFileSync=l;function u(M){return M?{mode:typeof M.mode=="number"?M.mode:438,flag:typeof M.flag=="string"?M.flag:"w"}:{mode:438,flag:"w"}}async function h(M,V){if(M===V)return;async function H(N){try{const x=await e.Promises.lstat(N);if(x.isDirectory()||x.isSymbolicLink())return;await e.Promises.utimes(N,x.atime,new Date)}catch{}}try{await e.Promises.rename(M,V),await H(V)}catch(N){if(M.toLowerCase()!==V.toLowerCase()&&N.code==="EXDEV"||M.endsWith("."))await b(M,V,{preserveSymlinks:!1}),await E(M,c.MOVE),await H(V);else throw N}}async function b(M,V,H){return k(M,V,{root:{source:M,target:V},options:H,handledSourcePaths:new Set})}const p=511;async function k(M,V,H){if(H.handledSourcePaths.has(M))return;H.handledSourcePaths.add(M);const{stat:N,symbolicLink:x}=await S.stat(M);if(x){if(H.options.preserveSymlinks)try{return await F(M,V,H)}catch(W){console.warn("[node.js fs] copy of symlink failed: ",W)}if(x.dangling)return}return N.isDirectory()?O(M,V,N.mode&p,H):U(M,V,N.mode&p)}async function O(M,V,H,N){await e.Promises.mkdir(V,{recursive:!0,mode:H});const x=await R(M);for(const W of x)await k((0,y.join)(M,W),(0,y.join)(V,W),N)}async function U(M,V,H){await e.Promises.copyFile(M,V),await e.Promises.chmod(V,H)}async function F(M,V,H){let N=await e.Promises.readlink(M);(0,T.isEqualOrParent)(N,H.root.source,!A.isLinux)&&(N=(0,y.join)(H.root.target,N.substr(H.root.source.length+1))),await e.Promises.symlink(N,V)}e.Promises=new class{get access(){return(0,I.promisify)(f.access)}get stat(){return(0,I.promisify)(f.stat)}get lstat(){return(0,I.promisify)(f.lstat)}get utimes(){return(0,I.promisify)(f.utimes)}get read(){return(0,I.promisify)(f.read)}get readFile(){return(0,I.promisify)(f.readFile)}get write(){return(0,I.promisify)(f.write)}get appendFile(){return(0,I.promisify)(f.appendFile)}get fdatasync(){return(0,I.promisify)(f.fdatasync)}get truncate(){return(0,I.promisify)(f.truncate)}get rename(){return(0,I.promisify)(f.rename)}get copyFile(){return(0,I.promisify)(f.copyFile)}get open(){return(0,I.promisify)(f.open)}get close(){return(0,I.promisify)(f.close)}get symlink(){return(0,I.promisify)(f.symlink)}get readlink(){return(0,I.promisify)(f.readlink)}get chmod(){return(0,I.promisify)(f.chmod)}get mkdir(){return(0,I.promisify)(f.mkdir)}get unlink(){return(0,I.promisify)(f.unlink)}get rmdir(){return(0,I.promisify)(f.rmdir)}get realpath(){return(0,I.promisify)(f.realpath)}async exists(M){try{return await e.Promises.access(M),!0}catch{return!1}}get readdir(){return R}get readDirsInDir(){return m}get writeFile(){return t}get rm(){return E}get move(){return h}get copy(){return b}}}),define(pe[105],ve([0,1,60,8,12,9,29]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function P(c){if(I.isLinux)return c;const E=(0,i.dirname)(c);if(c===E)return c;const g=((0,i.basename)(c)||c).toLowerCase();try{const v=(0,T.readdirSync)(E).filter(R=>R.toLowerCase()===g);if(v.length===1){const R=P(E);if(R)return(0,i.join)(R,v[0])}else if(v.length>1){const R=v.indexOf(g);if(R>=0){const _=P(E);if(_)return(0,i.join)(_,v[R])}}}catch{}return null}e.realcaseSync=P;async function y(c){if(I.isLinux)return c;const E=(0,i.dirname)(c);if(c===E)return c;const g=((0,i.basename)(c)||c).toLowerCase();try{const v=(await T.Promises.readdir(E)).filter(R=>R.toLowerCase()===g);if(v.length===1){const R=await y(E);if(R)return(0,i.join)(R,v[0])}else if(v.length>1){const R=v.indexOf(g);if(R>=0){const _=await y(E);if(_)return(0,i.join)(_,v[R])}}}catch{}return null}e.realcase=y;async function A(c){try{return await T.Promises.realpath(c)}catch{const g=D(c);return await T.Promises.access(g,f.constants.R_OK),g}}e.realpath=A;function L(c){try{return f.realpathSync(c)}catch{const g=D(c);return f.accessSync(g,f.constants.R_OK),g}}e.realpathSync=L;function D(c){return(0,C.rtrim)((0,i.normalize)(c),i.sep)}});var je=this&&this.__decorate||function(X,e,f,i){var I=arguments.length,C=I<3?e:i===null?i=Object.getOwnPropertyDescriptor(e,f):i,T;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(X,e,f,i);else for(var P=X.length-1;P>=0;P--)(T=X[P])&&(C=(I<3?T(C):I>3?T(e,f,C):T(e,f))||C);return I>3&&C&&Object.defineProperty(e,f,C),C};define(pe[106],ve([0,1,16,18,22,21,57,15,3,6,59,9,13]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var E;(function(W){W[W.Promise=100]="Promise",W[W.PromiseCancel=101]="PromiseCancel",W[W.EventListen=102]="EventListen",W[W.EventDispose=103]="EventDispose"})(E=e.RequestType||(e.RequestType={}));function g(W){switch(W){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var w;(function(W){W[W.Initialize=200]="Initialize",W[W.PromiseSuccess=201]="PromiseSuccess",W[W.PromiseError=202]="PromiseError",W[W.PromiseErrorObj=203]="PromiseErrorObj",W[W.EventFire=204]="EventFire"})(w=e.ResponseType||(e.ResponseType={}));function v(W){switch(W){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var R;(function(W){W[W.Uninitialized=0]="Uninitialized",W[W.Idle=1]="Idle"})(R||(R={}));class _{constructor(B){this.buffer=B,this.pos=0}read(B){const j=this.buffer.slice(this.pos,this.pos+B);return this.pos+=j.byteLength,j}}class s{constructor(){this.buffers=[]}get buffer(){return I.VSBuffer.concat(this.buffers)}write(B){this.buffers.push(B)}}var n;(function(W){W[W.Undefined=0]="Undefined",W[W.String=1]="String",W[W.Buffer=2]="Buffer",W[W.VSBuffer=3]="VSBuffer",W[W.Array=4]="Array",W[W.Object=5]="Object"})(n||(n={}));function m(W){const B=I.VSBuffer.alloc(4);return B.writeUInt32BE(W,0),B}function a(W){return W.read(4).readUInt32BE(0)}function S(W){const B=I.VSBuffer.alloc(1);return B.writeUInt8(W,0),B}const r={Undefined:S(n.Undefined),String:S(n.String),Buffer:S(n.Buffer),VSBuffer:S(n.VSBuffer),Array:S(n.Array),Object:S(n.Object)},t=typeof Buffer!="undefined";function o(W,B){if(typeof B=="undefined")W.write(r.Undefined);else if(typeof B=="string"){const j=I.VSBuffer.fromString(B);W.write(r.String),W.write(m(j.byteLength)),W.write(j)}else if(t&&Buffer.isBuffer(B)){const j=I.VSBuffer.wrap(B);W.write(r.Buffer),W.write(m(j.byteLength)),W.write(j)}else if(B instanceof I.VSBuffer)W.write(r.VSBuffer),W.write(m(B.byteLength)),W.write(B);else if(Array.isArray(B)){W.write(r.Array),W.write(m(B.length));for(const j of B)o(W,j)}else{const j=I.VSBuffer.fromString(JSON.stringify(B));W.write(r.Object),W.write(m(j.byteLength)),W.write(j)}}function d(W){switch(W.read(1).readUInt8(0)){case n.Undefined:return;case n.String:return W.read(a(W)).toString();case n.Buffer:return W.read(a(W)).buffer;case n.VSBuffer:return W.read(a(W));case n.Array:{const j=a(W),Z=[];for(let se=0;se<j;se++)Z.push(d(W));return Z}case n.Object:return JSON.parse(W.read(a(W)).toString())}}class l{constructor(B,j,Z=null,se=1e3){this.protocol=B,this.ctx=j,this.logger=Z,this.timeoutDelay=se,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(Q=>this.onRawMessage(Q)),this.sendResponse({type:200})}registerChannel(B,j){this.channels.set(B,j),setTimeout(()=>this.flushPendingRequests(B),0)}sendResponse(B){switch(B.type){case 200:{const j=this.send([B.type]);this.logger&&this.logger.logOutgoing(j,0,1,v(B.type));return}case 201:case 202:case 204:case 203:{const j=this.send([B.type,B.id],B.data);this.logger&&this.logger.logOutgoing(j,B.id,1,v(B.type),B.data);return}}}send(B,j=void 0){const Z=new s;return o(Z,B),o(Z,j),this.sendBuffer(Z.buffer)}sendBuffer(B){try{return this.protocol.send(B),B.byteLength}catch{return 0}}onRawMessage(B){const j=new _(B),Z=d(j),se=d(j),Q=Z[0];switch(Q){case 100:return this.logger&&this.logger.logIncoming(B.byteLength,Z[1],1,`${g(Q)}: ${Z[2]}.${Z[3]}`,se),this.onPromise({type:Q,id:Z[1],channelName:Z[2],name:Z[3],arg:se});case 102:return this.logger&&this.logger.logIncoming(B.byteLength,Z[1],1,`${g(Q)}: ${Z[2]}.${Z[3]}`,se),this.onEventListen({type:Q,id:Z[1],channelName:Z[2],name:Z[3],arg:se});case 101:return this.logger&&this.logger.logIncoming(B.byteLength,Z[1],1,`${g(Q)}`),this.disposeActiveRequest({type:Q,id:Z[1]});case 103:return this.logger&&this.logger.logIncoming(B.byteLength,Z[1],1,`${g(Q)}`),this.disposeActiveRequest({type:Q,id:Z[1]})}}onPromise(B){const j=this.channels.get(B.channelName);if(!j){this.collectPendingRequest(B);return}const Z=new C.CancellationTokenSource;let se;try{se=j.call(this.ctx,B.name,B.arg,Z.token)}catch(te){se=Promise.reject(te)}const Q=B.id;se.then(te=>{this.sendResponse({id:Q,data:te,type:201}),this.activeRequests.delete(B.id)},te=>{te instanceof Error?this.sendResponse({id:Q,data:{message:te.message,name:te.name,stack:te.stack?te.stack.split?te.stack.split(`
`):te.stack:void 0},type:202}):this.sendResponse({id:Q,data:te,type:203}),this.activeRequests.delete(B.id)});const z=(0,A.toDisposable)(()=>Z.cancel());this.activeRequests.set(B.id,z)}onEventListen(B){const j=this.channels.get(B.channelName);if(!j){this.collectPendingRequest(B);return}const Z=B.id,Q=j.listen(this.ctx,B.name,B.arg)(z=>this.sendResponse({id:Z,data:z,type:204}));this.activeRequests.set(B.id,Q)}disposeActiveRequest(B){const j=this.activeRequests.get(B.id);j&&(j.dispose(),this.activeRequests.delete(B.id))}collectPendingRequest(B){let j=this.pendingRequests.get(B.channelName);j||(j=[],this.pendingRequests.set(B.channelName,j));const Z=setTimeout(()=>{console.error(`Unknown channel: ${B.channelName}`),B.type===100&&this.sendResponse({id:B.id,data:{name:"Unknown channel",message:`Channel name '${B.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);j.push({request:B,timeoutTimer:Z})}flushPendingRequests(B){const j=this.pendingRequests.get(B);if(j){for(const Z of j)switch(clearTimeout(Z.timeoutTimer),Z.request.type){case 100:this.onPromise(Z.request);break;case 102:this.onEventListen(Z.request);break}this.pendingRequests.delete(B)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(B=>B.dispose()),this.activeRequests.clear()}}e.ChannelServer=l;var u;(function(W){W[W.LocalSide=0]="LocalSide",W[W.OtherSide=1]="OtherSide"})(u=e.RequestInitiator||(e.RequestInitiator={}));class h{constructor(B,j=null){this.protocol=B,this.isDisposed=!1,this.state=R.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new y.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(Z=>this.onBuffer(Z)),this.logger=j}getChannel(B){const j=this;return{call(Z,se,Q){return j.isDisposed?Promise.reject(P.canceled()):j.requestPromise(B,Z,se,Q)},listen(Z,se){return j.isDisposed?Promise.reject(P.canceled()):j.requestEvent(B,Z,se)}}}requestPromise(B,j,Z,se=C.CancellationToken.None){const Q=this.lastRequestId++,te={id:Q,type:100,channelName:B,name:j,arg:Z};if(se.isCancellationRequested)return Promise.reject(P.canceled());let he;return new Promise((ke,Ue)=>{if(se.isCancellationRequested)return Ue(P.canceled());const Be=()=>{const le=J=>{switch(J.type){case 201:this.handlers.delete(Q),ke(J.data);break;case 202:{this.handlers.delete(Q);const oe=new Error(J.data.message);oe.stack=J.data.stack,oe.name=J.data.name,Ue(oe);break}case 203:this.handlers.delete(Q),Ue(J.data);break}};this.handlers.set(Q,le),this.sendRequest(te)};let q=null;this.state===R.Idle?Be():(q=(0,i.createCancelablePromise)(le=>this.whenInitialized()),q.then(()=>{q=null,Be()}));const Y=()=>{q?(q.cancel(),q=null):this.sendRequest({id:Q,type:101}),Ue(P.canceled())},re=se.onCancellationRequested(Y);he=(0,A.combinedDisposable)((0,A.toDisposable)(Y),re),this.activeRequests.add(he)}).finally(()=>{this.activeRequests.delete(he)})}requestEvent(B,j,Z){const se=this.lastRequestId++,z={id:se,type:102,channelName:B,name:j,arg:Z};let te=null;const he=new y.Emitter({onFirstListenerAdd:()=>{te=(0,i.createCancelablePromise)(ke=>this.whenInitialized()),te.then(()=>{te=null,this.activeRequests.add(he),this.sendRequest(z)})},onLastListenerRemove:()=>{te?(te.cancel(),te=null):(this.activeRequests.delete(he),this.sendRequest({id:se,type:103}))}}),ge=ke=>he.fire(ke.data);return this.handlers.set(se,ge),he.event}sendRequest(B){switch(B.type){case 100:case 102:{const j=this.send([B.type,B.id,B.channelName,B.name],B.arg);this.logger&&this.logger.logOutgoing(j,B.id,0,`${g(B.type)}: ${B.channelName}.${B.name}`,B.arg);return}case 101:case 103:{const j=this.send([B.type,B.id]);this.logger&&this.logger.logOutgoing(j,B.id,0,g(B.type));return}}}send(B,j=void 0){const Z=new s;return o(Z,B),o(Z,j),this.sendBuffer(Z.buffer)}sendBuffer(B){try{return this.protocol.send(B),B.byteLength}catch{return 0}}onBuffer(B){const j=new _(B),Z=d(j),se=d(j),Q=Z[0];switch(Q){case 200:return this.logger&&this.logger.logIncoming(B.byteLength,0,0,v(Q)),this.onResponse({type:Z[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(B.byteLength,Z[1],0,v(Q),se),this.onResponse({type:Z[0],id:Z[1],data:se})}}onResponse(B){if(B.type===200){this.state=R.Idle,this._onDidInitialize.fire();return}const j=this.handlers.get(B.id);j&&j(B)}get onDidInitializePromise(){return y.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===R.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(B=>B.dispose()),this.activeRequests.clear()}}je([T.memoize],h.prototype,"onDidInitializePromise",null),e.ChannelClient=h;class b{constructor(B){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new y.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new y.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,B(({protocol:j,onDidClientDisconnect:Z})=>{y.Event.once(j.onMessage)(Q=>{const z=new _(Q),te=d(z),he=new l(j,te),ge=new h(j);this.channels.forEach((Ue,Be)=>he.registerChannel(Be,Ue));const ke={channelServer:he,channelClient:ge,ctx:te};this._connections.add(ke),this._onDidAddConnection.fire(ke),Z(()=>{he.dispose(),ge.dispose(),this._connections.delete(ke),this._onDidRemoveConnection.fire(ke)})})})}get connections(){const B=[];return this._connections.forEach(j=>B.push(j)),B}getChannel(B,j){const Z=this;return{call(se,Q,z){let te;if((0,c.isFunction)(j)){let ge=(0,f.getRandomElement)(Z.connections.filter(j));te=ge?Promise.resolve(ge):y.Event.toPromise(y.Event.filter(Z.onDidAddConnection,j))}else te=j.routeCall(Z,se,Q);const he=te.then(ge=>ge.channelClient.getChannel(B));return k(he).call(se,Q,z)},listen(se,Q){if((0,c.isFunction)(j))return Z.getMulticastEvent(B,j,se,Q);const z=j.routeEvent(Z,se,Q).then(te=>te.channelClient.getChannel(B));return k(z).listen(se,Q)}}}getMulticastEvent(B,j,Z,se){const Q=this;let z=new A.DisposableStore;const te=new y.Emitter({onFirstListenerAdd:()=>{z=new A.DisposableStore;const he=new y.EventMultiplexer,ge=new Map,ke=Be=>{const Y=Be.channelClient.getChannel(B).listen(Z,se),re=he.add(Y);ge.set(Be,re)},Ue=Be=>{const q=ge.get(Be);!q||(q.dispose(),ge.delete(Be))};Q.connections.filter(j).forEach(ke),y.Event.filter(Q.onDidAddConnection,j)(ke,void 0,z),Q.onDidRemoveConnection(Ue,void 0,z),he.event(te.fire,te,z),z.add(he)},onLastListenerRemove:()=>{z.dispose()}});return te.event}registerChannel(B,j){this.channels.set(B,j),this._connections.forEach(Z=>{Z.channelServer.registerChannel(B,j)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=b;class p{constructor(B,j,Z=null){const se=new s;o(se,j),B.send(se.buffer),this.channelClient=new h(B,Z),this.channelServer=new l(B,j,Z)}getChannel(B){return this.channelClient.getChannel(B)}registerChannel(B,j){this.channelServer.registerChannel(B,j)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=p;function k(W){return{call(B,j,Z){return W.then(se=>se.call(B,j,Z))},listen(B,j){const Z=new y.Relay;return W.then(se=>Z.input=se.listen(B,j)),Z.event}}}e.getDelayedChannel=k;function O(W){let B=!1;return{call(j,Z,se){return B?W.call(j,Z,se):(0,i.timeout)(0).then(()=>B=!0).then(()=>W.call(j,Z,se))},listen(j,Z){if(B)return W.listen(j,Z);const se=new y.Relay;return(0,i.timeout)(0).then(()=>B=!0).then(()=>se.input=W.listen(j,Z)),se.event}}}e.getNextTickChannel=O;class U{constructor(B){this.fn=B}routeCall(B){return this.route(B)}routeEvent(B){return this.route(B)}async route(B){for(const j of B.connections)if(await Promise.resolve(this.fn(j.ctx)))return Promise.resolve(j);return await y.Event.toPromise(B.onDidAddConnection),await this.route(B)}}e.StaticRouter=U;var F;(function(W){function B(Q,z){const te=Q,he=z&&z.disableMarshalling,ge=new Map;for(const ke in te)Z(ke)&&ge.set(ke,y.Event.buffer(te[ke],!0));return new class{listen(ke,Ue,Be){const q=ge.get(Ue);if(q)return q;if(se(Ue)){const Y=te[Ue];if(typeof Y=="function")return Y.call(te,Be)}throw new Error(`Event not found: ${Ue}`)}call(ke,Ue,Be){const q=te[Ue];if(typeof q=="function"){if(!he&&Array.isArray(Be))for(let Y=0;Y<Be.length;Y++)Be[Y]=(0,L.revive)(Be[Y]);return q.apply(te,Be)}throw new Error(`Method not found: ${Ue}`)}}}W.fromService=B;function j(Q,z){const te=z&&z.disableMarshalling;return new Proxy({},{get(he,ge){if(typeof ge=="string")return z?.properties?.has(ge)?z.properties.get(ge):se(ge)?function(ke){return Q.listen(ge,ke)}:Z(ge)?Q.listen(ge):async function(...ke){let Ue;z&&!(0,c.isUndefinedOrNull)(z.context)?Ue=[z.context,...ke]:Ue=ke;const Be=await Q.call(ge,Ue);return te?Be:(0,L.revive)(Be)};throw new Error(`Property not found: ${String(ge)}`)}})}W.toService=j;function Z(Q){return Q[0]==="o"&&Q[1]==="n"&&D.isUpperAsciiLetter(Q.charCodeAt(2))}function se(Q){return/^onDynamic/.test(Q)&&D.isUpperAsciiLetter(Q.charCodeAt(9))}})(F=e.ProxyChannel||(e.ProxyChannel={}));const M=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function V(W){if(Array.isArray(W))return W;if(W&&typeof W=="object"&&typeof W.toString=="function"){let B=W.toString();if(B!=="[object Object]")return B}return W}function H(W){return Array.isArray(W)?W.map(V):V(W)}function N(W,B,j,Z,se,Q,z){z=H(z);const te=M[se],he=te[Z%te.length];let ge=[`%c[${W}]%c[${String(B).padStart(7," ")}]%c[len: ${String(j).padStart(5," ")}]%c${String(Z).padStart(5," ")} - ${Q}`,"color: darkgreen","color: grey","color: grey",`color: ${he}`];/\($/.test(Q)?(ge=ge.concat(z),ge.push(")")):ge.push(z),console.log.apply(console,ge)}e.logWithColors=N;class x{constructor(B,j){this._outgoingPrefix=B,this._incomingPrefix=j,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(B,j,Z,se,Q){this._totalOutgoing+=B,N(this._outgoingPrefix,this._totalOutgoing,B,j,Z,se,Q)}logIncoming(B,j,Z,se,Q){this._totalIncoming+=B,N(this._incomingPrefix,this._totalIncoming,B,j,Z,se,Q)}}e.IPCLogger=x}),define(pe[107],ve([0,1,22,3,6,106]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var T;(function(t){t.Created="created",t.Read="read",t.Write="write",t.Open="open",t.Error="error",t.Close="close",t.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",t.NodeEndReceived="nodeEndReceived",t.NodeEndSent="nodeEndSent",t.NodeDrainBegin="nodeDrainBegin",t.NodeDrainEnd="nodeDrainEnd",t.zlibInflateError="zlibInflateError",t.zlibInflateData="zlibInflateData",t.zlibInflateInitialWrite="zlibInflateInitialWrite",t.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",t.zlibInflateWrite="zlibInflateWrite",t.zlibInflateFlushFired="zlibInflateFlushFired",t.zlibDeflateError="zlibDeflateError",t.zlibDeflateData="zlibDeflateData",t.zlibDeflateWrite="zlibDeflateWrite",t.zlibDeflateFlushFired="zlibDeflateFlushFired",t.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",t.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",t.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",t.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",t.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",t.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",t.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",t.ProtocolHeaderRead="protocolHeaderRead",t.ProtocolMessageRead="protocolMessageRead",t.ProtocolHeaderWrite="protocolHeaderWrite",t.ProtocolMessageWrite="protocolMessageWrite",t.ProtocolWrite="protocolWrite"})(T=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var P;(function(t){t.enableDiagnostics=!1,t.records=[];const o=new WeakMap;let d=0;function l(h,b){if(!o.has(h)){const p=String(++d);o.set(h,p)}return o.get(h)}function u(h,b,p,k){if(!t.enableDiagnostics)return;const O=l(h,b);if(k instanceof f.VSBuffer||k instanceof Uint8Array||k instanceof ArrayBuffer||ArrayBuffer.isView(k)){const U=f.VSBuffer.alloc(k.byteLength);U.set(k),t.records.push({timestamp:Date.now(),id:O,label:b,type:p,buff:U})}else t.records.push({timestamp:Date.now(),id:O,label:b,type:p,data:k})}t.traceSocketEvent=u})(P=e.SocketDiagnostics||(e.SocketDiagnostics={}));var y;(function(t){t[t.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",t[t.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(y=e.SocketCloseEventType||(e.SocketCloseEventType={}));let A=null;function L(){return A||(A=f.VSBuffer.alloc(0)),A}class D{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(o){this._chunks.push(o),this._totalLength+=o.byteLength}read(o){return this._read(o,!0)}peek(o){return this._read(o,!1)}_read(o,d){if(o===0)return L();if(o>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===o){const b=this._chunks[0];return d&&(this._chunks.shift(),this._totalLength-=o),b}if(this._chunks[0].byteLength>o){const b=this._chunks[0].slice(0,o);return d&&(this._chunks[0]=this._chunks[0].slice(o),this._totalLength-=o),b}let l=f.VSBuffer.alloc(o),u=0,h=0;for(;o>0;){const b=this._chunks[h];if(b.byteLength>o){const p=b.slice(0,o);l.set(p,u),u+=o,d&&(this._chunks[h]=b.slice(o),this._totalLength-=o),o-=o}else l.set(b,u),u+=b.byteLength,d?(this._chunks.shift(),this._totalLength-=b.byteLength):h++,o-=b.byteLength}return l}}e.ChunkStream=D;var c;(function(t){t[t.None=0]="None",t[t.Regular=1]="Regular",t[t.Control=2]="Control",t[t.Ack=3]="Ack",t[t.Disconnect=5]="Disconnect",t[t.ReplayRequest=6]="ReplayRequest",t[t.Pause=7]="Pause",t[t.Resume=8]="Resume"})(c||(c={}));function E(t){switch(t){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var g;(function(t){t[t.HeaderLength=13]="HeaderLength",t[t.AcknowledgeTime=2e3]="AcknowledgeTime",t[t.TimeoutTime=2e4]="TimeoutTime",t[t.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",t[t.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(g=e.ProtocolConstants||(e.ProtocolConstants={}));class w{constructor(o,d,l,u){this.type=o,this.id=d,this.ack=l,this.data=u,this.writtenTime=0}get size(){return this.data.byteLength}}class v extends I.Disposable{constructor(o){super();this._onMessage=this._register(new i.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=o,this._isDisposed=!1,this._incomingData=new D,this._register(this._socket.onData(d=>this.acceptChunk(d))),this.lastReadTime=Date.now()}acceptChunk(o){if(!(!o||o.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;){const d=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=d.readUInt32BE(9),this._state.messageType=d.readUInt8(0),this._state.id=d.readUInt32BE(1),this._state.ack=d.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:E(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const l=this._state.messageType,u=this._state.id,h=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",d),this._onMessage.fire(new w(l,u,h,d)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class R{constructor(o){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=o,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(o){if(this._isDisposed)return;o.writtenTime=Date.now(),this.lastWriteTime=Date.now();const d=f.VSBuffer.alloc(13);d.writeUInt8(o.type,0),d.writeUInt32BE(o.id,1),d.writeUInt32BE(o.ack,5),d.writeUInt32BE(o.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:E(o.type),id:o.id,ack:o.ack,messageSize:o.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",o.data),this._writeSoon(d,o.data)}_bufferAdd(o,d){const l=this._totalLength===0;return this._data.push(o,d),this._totalLength+=o.byteLength+d.byteLength,l}_bufferTake(){const o=f.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,o}_writeSoon(o,d){this._bufferAdd(o,d)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const o=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:o.byteLength}),this._socket.write(o)}}class _ extends I.Disposable{constructor(o){super();this._onMessage=new i.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new i.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=o,this._socketWriter=this._register(new R(this._socket)),this._socketReader=this._register(new v(this._socket)),this._register(this._socketReader.onMessage(d=>{d.type===1&&this._onMessage.fire(d.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(o){this._socketWriter.write(new w(1,0,0,o))}}e.Protocol=_;class s extends C.IPCClient{constructor(o,d,l=null){super(o,d,l);this.protocol=o}static fromSocket(o,d){return new s(new _(o),d)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const o=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),o.end()}}e.Client=s;class n{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new i.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(o){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(o):this._emitter.fire(o):this._bufferedMessages.push(o)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=n;class m{constructor(o){this.data=o,this.next=null}}class a{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let o=[],d=0,l=this._first;for(;l;)o[d++]=l.data,l=l.next;return o}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(o){const d=new m(o);if(!this._first){this._first=d,this._last=d;return}this._last.next=d,this._last=d}}class S{constructor(){this.lastRuns=[];const o=Date.now();for(let d=0;d<S._HISTORY_LENGTH;d++)this.lastRuns[d]=o-1e3*d;setInterval(()=>{for(let d=S._HISTORY_LENGTH;d>=1;d--)this.lastRuns[d]=this.lastRuns[d-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return S._INSTANCE||(S._INSTANCE=new S),S._INSTANCE}load(){const o=Date.now(),d=(1+S._HISTORY_LENGTH)*1e3;let l=0;for(let u=0;u<S._HISTORY_LENGTH;u++)o-this.lastRuns[u]<=d&&l++;return 1-l/S._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}S._HISTORY_LENGTH=10,S._INSTANCE=null;class r{constructor(o,d=null,l=S.getInstance()){this._onControlMessage=new n,this.onControlMessage=this._onControlMessage.event,this._onMessage=new n,this.onMessage=this._onMessage.event,this._onDidDispose=new n,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new n,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new n,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=l,this._isReconnecting=!1,this._outgoingUnackMsg=new a,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=o,this._socketWriter=new R(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(u=>this._onSocketClose.fire(u))),d&&this._socketReader.acceptChunk(d)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,I.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const o=new w(5,0,0,L());this._socketWriter.write(o),this._socketWriter.flush()}sendPause(){const o=new w(7,0,0,L());this._socketWriter.write(o)}sendResume(){const o=new w(8,0,0,L());this._socketWriter.write(o)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(o,d){this._isReconnecting=!0,this._socketDisposables=(0,I.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=o,this._socketWriter=new R(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(l=>this._receiveMessage(l))),this._socketDisposables.push(this._socket.onClose(l=>this._onSocketClose.fire(l))),this._socketReader.acceptChunk(d)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const o=new w(3,0,this._incomingAckId,L());this._socketWriter.write(o);const d=this._outgoingUnackMsg.toArray();for(let l=0,u=d.length;l<u;l++)this._socketWriter.write(d[l]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(o){if(o.ack>this._outgoingAckId){this._outgoingAckId=o.ack;do{const d=this._outgoingUnackMsg.peek();if(d&&d.id<=o.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(o.type){case 0:break;case 1:{if(o.id>this._incomingMsgId)if(o.id!==this._incomingMsgId+1){const d=Date.now();d-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=d,this._socketWriter.write(new w(6,0,0,L())))}else this._incomingMsgId=o.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(o.data);break}case 2:{this._onControlMessage.fire(o.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const d=this._outgoingUnackMsg.toArray();for(let l=0,u=d.length;l<u;l++)this._socketWriter.write(d[l]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(o){const d=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const l=new w(1,d,this._incomingAckId,o);this._outgoingUnackMsg.push(l),this._isReconnecting||(this._socketWriter.write(l),this._recvAckCheck())}sendControl(o){const d=new w(2,0,0,o);this._socketWriter.write(d)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const o=Date.now()-this._incomingMsgLastTime;if(o>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-o+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const o=this._outgoingUnackMsg.peek(),d=Date.now()-o.writtenTime,l=Date.now()-this._socketReader.lastReadTime,u=Date.now()-this._lastSocketTimeoutTime;if(d>=2e4&&l>=2e4&&u>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const h=Math.max(2e4-d,2e4-l,2e4-u,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},h)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const o=new w(3,0,this._incomingAckId,L());this._socketWriter.write(o)}}e.PersistentProtocol=r}),define(pe[108],ve([0,1,100]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class i{constructor(P){const y=(0,f.toUint8)(P);this._defaultValue=y,this._asciiMap=i._createAsciiMap(y),this._map=new Map}static _createAsciiMap(P){const y=new Uint8Array(256);for(let A=0;A<256;A++)y[A]=P;return y}set(P,y){const A=(0,f.toUint8)(y);P>=0&&P<256?this._asciiMap[P]=A:this._map.set(P,A)}get(P){return P>=0&&P<256?this._asciiMap[P]:this._map.get(P)||this._defaultValue}}e.CharacterClassifier=i;var I;(function(T){T[T.False=0]="False",T[T.True=1]="True"})(I||(I={}));class C{constructor(){this._actual=new i(0)}add(P){this._actual.set(P,1)}has(P){return this._actual.get(P)===1}}e.CharacterSet=C}),define(pe[144],ve([0,1,108]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var i;(function(T){T[T.Regular=0]="Regular",T[T.Whitespace=1]="Whitespace",T[T.WordSeparator=2]="WordSeparator"})(i=e.WordCharacterClass||(e.WordCharacterClass={}));class I extends f.CharacterClassifier{constructor(P){super(0);for(let y=0,A=P.length;y<A;y++)this.set(P.charCodeAt(y),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=I;function C(T){const P={};return y=>(P.hasOwnProperty(y)||(P[y]=T(y)),P[y])}e.getMapForWordSeparators=C(T=>new I(T))}),define(pe[49],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class f{constructor(I,C){this.lineNumber=I,this.column=C}with(I=this.lineNumber,C=this.column){return I===this.lineNumber&&C===this.column?this:new f(I,C)}delta(I=0,C=0){return this.with(this.lineNumber+I,this.column+C)}equals(I){return f.equals(this,I)}static equals(I,C){return!I&&!C?!0:!!I&&!!C&&I.lineNumber===C.lineNumber&&I.column===C.column}isBefore(I){return f.isBefore(this,I)}static isBefore(I,C){return I.lineNumber<C.lineNumber?!0:C.lineNumber<I.lineNumber?!1:I.column<C.column}isBeforeOrEqual(I){return f.isBeforeOrEqual(this,I)}static isBeforeOrEqual(I,C){return I.lineNumber<C.lineNumber?!0:C.lineNumber<I.lineNumber?!1:I.column<=C.column}static compare(I,C){const T=I.lineNumber|0,P=C.lineNumber|0;if(T===P){const y=I.column|0,A=C.column|0;return y-A}return T-P}clone(){return new f(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(I){return new f(I.lineNumber,I.column)}static isIPosition(I){return I&&typeof I.lineNumber=="number"&&typeof I.column=="number"}}e.Position=f}),define(pe[41],ve([0,1,49]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class i{constructor(C,T,P,y){C>P||C===P&&T>y?(this.startLineNumber=P,this.startColumn=y,this.endLineNumber=C,this.endColumn=T):(this.startLineNumber=C,this.startColumn=T,this.endLineNumber=P,this.endColumn=y)}isEmpty(){return i.isEmpty(this)}static isEmpty(C){return C.startLineNumber===C.endLineNumber&&C.startColumn===C.endColumn}containsPosition(C){return i.containsPosition(this,C)}static containsPosition(C,T){return!(T.lineNumber<C.startLineNumber||T.lineNumber>C.endLineNumber||T.lineNumber===C.startLineNumber&&T.column<C.startColumn||T.lineNumber===C.endLineNumber&&T.column>C.endColumn)}static strictContainsPosition(C,T){return!(T.lineNumber<C.startLineNumber||T.lineNumber>C.endLineNumber||T.lineNumber===C.startLineNumber&&T.column<=C.startColumn||T.lineNumber===C.endLineNumber&&T.column>=C.endColumn)}containsRange(C){return i.containsRange(this,C)}static containsRange(C,T){return!(T.startLineNumber<C.startLineNumber||T.endLineNumber<C.startLineNumber||T.startLineNumber>C.endLineNumber||T.endLineNumber>C.endLineNumber||T.startLineNumber===C.startLineNumber&&T.startColumn<C.startColumn||T.endLineNumber===C.endLineNumber&&T.endColumn>C.endColumn)}strictContainsRange(C){return i.strictContainsRange(this,C)}static strictContainsRange(C,T){return!(T.startLineNumber<C.startLineNumber||T.endLineNumber<C.startLineNumber||T.startLineNumber>C.endLineNumber||T.endLineNumber>C.endLineNumber||T.startLineNumber===C.startLineNumber&&T.startColumn<=C.startColumn||T.endLineNumber===C.endLineNumber&&T.endColumn>=C.endColumn)}plusRange(C){return i.plusRange(this,C)}static plusRange(C,T){let P,y,A,L;return T.startLineNumber<C.startLineNumber?(P=T.startLineNumber,y=T.startColumn):T.startLineNumber===C.startLineNumber?(P=T.startLineNumber,y=Math.min(T.startColumn,C.startColumn)):(P=C.startLineNumber,y=C.startColumn),T.endLineNumber>C.endLineNumber?(A=T.endLineNumber,L=T.endColumn):T.endLineNumber===C.endLineNumber?(A=T.endLineNumber,L=Math.max(T.endColumn,C.endColumn)):(A=C.endLineNumber,L=C.endColumn),new i(P,y,A,L)}intersectRanges(C){return i.intersectRanges(this,C)}static intersectRanges(C,T){let P=C.startLineNumber,y=C.startColumn,A=C.endLineNumber,L=C.endColumn,D=T.startLineNumber,c=T.startColumn,E=T.endLineNumber,g=T.endColumn;return P<D?(P=D,y=c):P===D&&(y=Math.max(y,c)),A>E?(A=E,L=g):A===E&&(L=Math.min(L,g)),P>A||P===A&&y>L?null:new i(P,y,A,L)}equalsRange(C){return i.equalsRange(this,C)}static equalsRange(C,T){return!!C&&!!T&&C.startLineNumber===T.startLineNumber&&C.startColumn===T.startColumn&&C.endLineNumber===T.endLineNumber&&C.endColumn===T.endColumn}getEndPosition(){return i.getEndPosition(this)}static getEndPosition(C){return new f.Position(C.endLineNumber,C.endColumn)}getStartPosition(){return i.getStartPosition(this)}static getStartPosition(C){return new f.Position(C.startLineNumber,C.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(C,T){return new i(this.startLineNumber,this.startColumn,C,T)}setStartPosition(C,T){return new i(C,T,this.endLineNumber,this.endColumn)}collapseToStart(){return i.collapseToStart(this)}static collapseToStart(C){return new i(C.startLineNumber,C.startColumn,C.startLineNumber,C.startColumn)}static fromPositions(C,T=C){return new i(C.lineNumber,C.column,T.lineNumber,T.column)}static lift(C){return C?new i(C.startLineNumber,C.startColumn,C.endLineNumber,C.endColumn):null}static isIRange(C){return C&&typeof C.startLineNumber=="number"&&typeof C.startColumn=="number"&&typeof C.endLineNumber=="number"&&typeof C.endColumn=="number"}static areIntersectingOrTouching(C,T){return!(C.endLineNumber<T.startLineNumber||C.endLineNumber===T.startLineNumber&&C.endColumn<T.startColumn||T.endLineNumber<C.startLineNumber||T.endLineNumber===C.startLineNumber&&T.endColumn<C.startColumn)}static areIntersecting(C,T){return!(C.endLineNumber<T.startLineNumber||C.endLineNumber===T.startLineNumber&&C.endColumn<=T.startColumn||T.endLineNumber<C.startLineNumber||T.endLineNumber===C.startLineNumber&&T.endColumn<=C.startColumn)}static compareRangesUsingStarts(C,T){if(C&&T){const A=C.startLineNumber|0,L=T.startLineNumber|0;if(A===L){const D=C.startColumn|0,c=T.startColumn|0;if(D===c){const E=C.endLineNumber|0,g=T.endLineNumber|0;if(E===g){const w=C.endColumn|0,v=T.endColumn|0;return w-v}return E-g}return D-c}return A-L}return(C?1:0)-(T?1:0)}static compareRangesUsingEnds(C,T){return C.endLineNumber===T.endLineNumber?C.endColumn===T.endColumn?C.startLineNumber===T.startLineNumber?C.startColumn-T.startColumn:C.startLineNumber-T.startLineNumber:C.endColumn-T.endColumn:C.endLineNumber-T.endLineNumber}static spansMultipleLines(C){return C.endLineNumber>C.startLineNumber}}e.Range=i}),define(pe[145],ve([0,1,49,41]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var I;(function(T){T[T.LTR=0]="LTR",T[T.RTL=1]="RTL"})(I=e.SelectionDirection||(e.SelectionDirection={}));class C extends i.Range{constructor(P,y,A,L){super(P,y,A,L);this.selectionStartLineNumber=P,this.selectionStartColumn=y,this.positionLineNumber=A,this.positionColumn=L}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(P){return C.selectionsEqual(this,P)}static selectionsEqual(P,y){return P.selectionStartLineNumber===y.selectionStartLineNumber&&P.selectionStartColumn===y.selectionStartColumn&&P.positionLineNumber===y.positionLineNumber&&P.positionColumn===y.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(P,y){return this.getDirection()===0?new C(this.startLineNumber,this.startColumn,P,y):new C(P,y,this.startLineNumber,this.startColumn)}getPosition(){return new f.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new f.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(P,y){return this.getDirection()===0?new C(P,y,this.endLineNumber,this.endColumn):new C(this.endLineNumber,this.endColumn,P,y)}static fromPositions(P,y=P){return new C(P.lineNumber,P.column,y.lineNumber,y.column)}static fromRange(P,y){return y===0?new C(P.startLineNumber,P.startColumn,P.endLineNumber,P.endColumn):new C(P.endLineNumber,P.endColumn,P.startLineNumber,P.startColumn)}static liftSelection(P){return new C(P.selectionStartLineNumber,P.selectionStartColumn,P.positionLineNumber,P.positionColumn)}static selectionsArrEqual(P,y){if(P&&!y||!P&&y)return!1;if(!P&&!y)return!0;if(P.length!==y.length)return!1;for(let A=0,L=P.length;A<L;A++)if(!this.selectionsEqual(P[A],y[A]))return!1;return!0}static isISelection(P){return P&&typeof P.selectionStartLineNumber=="number"&&typeof P.selectionStartColumn=="number"&&typeof P.positionLineNumber=="number"&&typeof P.positionColumn=="number"}static createWithDirection(P,y,A,L,D){return D===0?new C(P,y,A,L):new C(A,L,P,y)}}e.Selection=C}),define(pe[146],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var f;(function(T){T[T.None=0]="None",T[T.Indent=1]="Indent",T[T.IndentOutdent=2]="IndentOutdent",T[T.Outdent=3]="Outdent"})(f=e.IndentAction||(e.IndentAction={}));class i{constructor(P){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=P.open,this.close=P.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(P.notIn))for(let y=0,A=P.notIn.length;y<A;y++)switch(P.notIn[y]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(P){switch(P){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(P,y){if(P.getTokenCount()===0)return!0;const A=P.findTokenIndexAtOffset(y-2),L=P.getStandardTokenType(A);return this.isOK(L)}_findNeutralCharacterInRange(P,y){for(let A=P;A<=y;A++){const L=String.fromCharCode(A);if(!this.open.includes(L)&&!this.close.includes(L))return L}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=i;class I{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const y of P)C(this.autoClosingPairsOpenByStart,y.open.charAt(0),y),C(this.autoClosingPairsOpenByEnd,y.open.charAt(y.open.length-1),y),C(this.autoClosingPairsCloseByStart,y.close.charAt(0),y),C(this.autoClosingPairsCloseByEnd,y.close.charAt(y.close.length-1),y),y.close.length===1&&y.open.length===1&&C(this.autoClosingPairsCloseSingleChar,y.close,y)}}e.AutoClosingPairs=I;function C(T,P,y){T.has(P)?T.get(P).push(y):T.set(P,[y])}}),define(pe[83],ve([0,1,32,8]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function I(C,T,P,y){if(Array.isArray(C)){let A=0;for(const L of C){const D=I(L,T,P,y);if(D===10)return D;D>A&&(A=D)}return A}else{if(typeof C=="string")return y?C==="*"?5:C===P?10:0:0;if(C){const{language:A,pattern:L,scheme:D,hasAccessToAllModels:c}=C;if(!y&&!c)return 0;let E=0;if(D)if(D===T.scheme)E=10;else if(D==="*")E=5;else return 0;if(A)if(A===P)E=10;else if(A==="*")E=Math.max(E,5);else return 0;if(L){let g;if(typeof L=="string"?g=L:g={...L,base:(0,i.normalize)(L.base)},g===T.fsPath||(0,f.match)(g,T.fsPath))E=10;else return 0}return E}else return 0}}e.score=I}),define(pe[147],ve([0,1,108]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var i;(function(E){E[E.Invalid=0]="Invalid",E[E.Start=1]="Start",E[E.H=2]="H",E[E.HT=3]="HT",E[E.HTT=4]="HTT",E[E.HTTP=5]="HTTP",E[E.F=6]="F",E[E.FI=7]="FI",E[E.FIL=8]="FIL",E[E.BeforeColon=9]="BeforeColon",E[E.AfterColon=10]="AfterColon",E[E.AlmostThere=11]="AlmostThere",E[E.End=12]="End",E[E.Accept=13]="Accept",E[E.LastKnownState=14]="LastKnownState"})(i=e.State||(e.State={}));class I{constructor(g,w,v){const R=new Uint8Array(g*w);for(let _=0,s=g*w;_<s;_++)R[_]=v;this._data=R,this.rows=g,this.cols=w}get(g,w){return this._data[g*this.cols+w]}set(g,w,v){this._data[g*this.cols+w]=v}}e.Uint8Matrix=I;class C{constructor(g){let w=0,v=0;for(let _=0,s=g.length;_<s;_++){const[n,m,a]=g[_];m>w&&(w=m),n>v&&(v=n),a>v&&(v=a)}w++,v++;const R=new I(v,w,0);for(let _=0,s=g.length;_<s;_++){const[n,m,a]=g[_];R.set(n,m,a)}this._states=R,this._maxCharCode=w}nextState(g,w){return w<0||w>=this._maxCharCode?0:this._states.get(g,w)}}e.StateMachine=C;let T=null;function P(){return T===null&&(T=new C([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),T}var y;(function(E){E[E.None=0]="None",E[E.ForceTermination=1]="ForceTermination",E[E.CannotEndIn=2]="CannotEndIn"})(y||(y={}));let A=null;function L(){if(A===null){A=new f.CharacterClassifier(0);const E=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let w=0;w<E.length;w++)A.set(E.charCodeAt(w),1);const g=".,;";for(let w=0;w<g.length;w++)A.set(g.charCodeAt(w),2)}return A}class D{static _createLink(g,w,v,R,_){let s=_-1;do{const n=w.charCodeAt(s);if(g.get(n)!==2)break;s--}while(s>R);if(R>0){const n=w.charCodeAt(R-1),m=w.charCodeAt(s);(n===40&&m===41||n===91&&m===93||n===123&&m===125)&&s--}return{range:{startLineNumber:v,startColumn:R+1,endLineNumber:v,endColumn:s+2},url:w.substring(R,s+1)}}static computeLinks(g,w=P()){const v=L(),R=[];for(let _=1,s=g.getLineCount();_<=s;_++){const n=g.getLineContent(_),m=n.length;let a=0,S=0,r=0,t=1,o=!1,d=!1,l=!1,u=!1;for(;a<m;){let h=!1;const b=n.charCodeAt(a);if(t===13){let p;switch(b){case 40:o=!0,p=0;break;case 41:p=o?0:1;break;case 91:l=!0,d=!0,p=0;break;case 93:l=!1,p=d?0:1;break;case 123:u=!0,p=0;break;case 125:p=u?0:1;break;case 39:p=r===34||r===96?0:1;break;case 34:p=r===39||r===96?0:1;break;case 96:p=r===39||r===34?0:1;break;case 42:p=r===42?1:0;break;case 124:p=r===124?1:0;break;case 32:p=l?0:1;break;default:p=v.get(b)}p===1&&(R.push(D._createLink(v,n,_,S,a)),h=!0)}else if(t===12){let p;b===91?(d=!0,p=0):p=v.get(b),p===1?h=!0:t=13}else t=w.nextState(t,b),t===0&&(h=!0);h&&(t=1,o=!1,d=!1,u=!1,S=a+1,r=b),a++}t===13&&R.push(D._createLink(v,n,_,S,m))}return R}}e.LinkComputer=D;function c(E){return!E||typeof E.getLineCount!="function"||typeof E.getLineContent!="function"?[]:D.computeLinks(E)}e.computeLinks=c}),define(pe[148],ve([0,1,3,6]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class I{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new f.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(P){this._onDidChange.fire({changedLanguages:P,changedColorMap:!1})}register(P,y){return this._map.set(P,y),this.fire([P]),(0,i.toDisposable)(()=>{this._map.get(P)===y&&(this._map.delete(P),this.fire([P]))})}registerFactory(P,y){this._factories.get(P)?.dispose();const A=new C(this,P,y);return this._factories.set(P,A),(0,i.toDisposable)(()=>{const L=this._factories.get(P);!L||L!==A||(this._factories.delete(P),L.dispose())})}async getOrCreate(P){const y=this.get(P);if(y)return y;const A=this._factories.get(P);return!A||A.isResolved?null:(await A.resolve(),this.get(P))}get(P){return this._map.get(P)||null}isResolved(P){if(this.get(P))return!0;const A=this._factories.get(P);return!!(!A||A.isResolved)}setColorMap(P){this._colorMap=P,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=I;class C extends i.Disposable{constructor(P,y,A){super();this._registry=P,this._languageId=y,this._factory=A,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const P=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,P&&!this._isDisposed&&this._register(this._registry.register(this._languageId,P))}}}),define(pe[109],ve([0,1,25]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionAffinity=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.OverviewRulerLane=void 0;var i;(function(v){v[v.Left=1]="Left",v[v.Center=2]="Center",v[v.Right=4]="Right",v[v.Full=7]="Full"})(i=e.OverviewRulerLane||(e.OverviewRulerLane={}));var I;(function(v){v[v.Inline=1]="Inline",v[v.Gutter=2]="Gutter"})(I=e.MinimapPosition||(e.MinimapPosition={}));var C;(function(v){v[v.Both=0]="Both",v[v.Right=1]="Right",v[v.Left=2]="Left",v[v.None=3]="None"})(C=e.InjectedTextCursorStops||(e.InjectedTextCursorStops={}));var T;(function(v){v[v.TextDefined=0]="TextDefined",v[v.LF=1]="LF",v[v.CRLF=2]="CRLF"})(T=e.EndOfLinePreference||(e.EndOfLinePreference={}));var P;(function(v){v[v.LF=1]="LF",v[v.CRLF=2]="CRLF"})(P=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var y;(function(v){v[v.LF=0]="LF",v[v.CRLF=1]="CRLF"})(y=e.EndOfLineSequence||(e.EndOfLineSequence={}));class A{constructor(R){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,R.tabSize|0),this.indentSize=R.tabSize|0,this.insertSpaces=Boolean(R.insertSpaces),this.defaultEOL=R.defaultEOL|0,this.trimAutoWhitespace=Boolean(R.trimAutoWhitespace),this.bracketPairColorizationOptions=R.bracketPairColorizationOptions}equals(R){return this.tabSize===R.tabSize&&this.indentSize===R.indentSize&&this.insertSpaces===R.insertSpaces&&this.defaultEOL===R.defaultEOL&&this.trimAutoWhitespace===R.trimAutoWhitespace&&(0,f.equals)(this.bracketPairColorizationOptions,R.bracketPairColorizationOptions)}createChangeEvent(R){return{tabSize:this.tabSize!==R.tabSize,indentSize:this.indentSize!==R.indentSize,insertSpaces:this.insertSpaces!==R.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==R.trimAutoWhitespace}}}e.TextModelResolvedOptions=A;class L{constructor(R,_){this._findMatchBrand=void 0,this.range=R,this.matches=_}}e.FindMatch=L;var D;(function(v){v[v.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",v[v.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",v[v.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",v[v.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(D=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var c;(function(v){v[v.Left=0]="Left",v[v.Right=1]="Right",v[v.None=2]="None"})(c=e.PositionAffinity||(e.PositionAffinity={}));var E;(function(v){v[v.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(E=e.ModelConstants||(e.ModelConstants={}));class g{constructor(R,_,s,n,m,a){this.identifier=R,this.range=_,this.text=s,this.forceMoveMarkers=n,this.isAutoWhitespaceEdit=m,this._isTracked=a}}e.ValidAnnotatedEditOperation=g;class w{constructor(R,_,s){this.reverseEdits=R,this.changes=_,this.trimAutoWhitespaceLineNumbers=s}}e.ApplyEditsResult=w}),define(pe[149],ve([0,1,9,144,49,41,109]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const P=999;class y{constructor(s,n,m,a){this.searchString=s,this.isRegex=n,this.matchCase=m,this.wordSeparators=a}parseSearchRequest(){if(this.searchString==="")return null;let s;this.isRegex?s=A(this.searchString):s=this.searchString.indexOf(`
`)>=0;let n=null;try{n=f.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:s,global:!0,unicode:!0})}catch{return null}if(!n)return null;let m=!this.isRegex&&!s;return m&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(m=this.matchCase),new L(n,this.wordSeparators?(0,i.getMapForWordSeparators)(this.wordSeparators):null,m?this.searchString:null)}}e.SearchParams=y;function A(_){if(!_||_.length===0)return!1;for(let s=0,n=_.length;s<n;s++)if(_.charCodeAt(s)===92){if(s++,s>=n)break;const a=_.charCodeAt(s);if(a===110||a===114||a===87)return!0}return!1}e.isMultilineRegexSource=A;class L{constructor(s,n,m){this.regex=s,this.wordSeparators=n,this.simpleSearch=m}}e.SearchData=L;function D(_,s,n){if(!n)return new T.FindMatch(_,null);const m=[];for(let a=0,S=s.length;a<S;a++)m[a]=s[a];return new T.FindMatch(_,m)}e.createFindMatch=D;class c{constructor(s){const n=[];let m=0;for(let a=0,S=s.length;a<S;a++)s.charCodeAt(a)===10&&(n[m++]=a);this._lineFeedsOffsets=n}findLineFeedCountBeforeOffset(s){const n=this._lineFeedsOffsets;let m=0,a=n.length-1;if(a===-1||s<=n[0])return 0;for(;m<a;){const S=m+((a-m)/2>>0);n[S]>=s?a=S-1:n[S+1]>=s?(m=S,a=S):m=S+1}return m+1}}class E{static findMatches(s,n,m,a,S){const r=n.parseSearchRequest();return r?r.regex.multiline?this._doFindMatchesMultiline(s,m,new R(r.wordSeparators,r.regex),a,S):this._doFindMatchesLineByLine(s,m,r,a,S):[]}static _getMultilineMatchRange(s,n,m,a,S,r){let t,o=0;a?(o=a.findLineFeedCountBeforeOffset(S),t=n+S+o):t=n+S;let d;if(a){const b=a.findLineFeedCountBeforeOffset(S+r.length)-o;d=t+r.length+b}else d=t+r.length;const l=s.getPositionAt(t),u=s.getPositionAt(d);return new C.Range(l.lineNumber,l.column,u.lineNumber,u.column)}static _doFindMatchesMultiline(s,n,m,a,S){const r=s.getOffsetAt(n.getStartPosition()),t=s.getValueInRange(n,1),o=s.getEOL()===`\r
`?new c(t):null,d=[];let l=0,u;for(m.reset(0);u=m.next(t);)if(d[l++]=D(this._getMultilineMatchRange(s,r,t,o,u.index,u[0]),u,a),l>=S)return d;return d}static _doFindMatchesLineByLine(s,n,m,a,S){const r=[];let t=0;if(n.startLineNumber===n.endLineNumber){const d=s.getLineContent(n.startLineNumber).substring(n.startColumn-1,n.endColumn-1);return t=this._findMatchesInLine(m,d,n.startLineNumber,n.startColumn-1,t,r,a,S),r}const o=s.getLineContent(n.startLineNumber).substring(n.startColumn-1);t=this._findMatchesInLine(m,o,n.startLineNumber,n.startColumn-1,t,r,a,S);for(let d=n.startLineNumber+1;d<n.endLineNumber&&t<S;d++)t=this._findMatchesInLine(m,s.getLineContent(d),d,0,t,r,a,S);if(t<S){const d=s.getLineContent(n.endLineNumber).substring(0,n.endColumn-1);t=this._findMatchesInLine(m,d,n.endLineNumber,0,t,r,a,S)}return r}static _findMatchesInLine(s,n,m,a,S,r,t,o){const d=s.wordSeparators;if(!t&&s.simpleSearch){const h=s.simpleSearch,b=h.length,p=n.length;let k=-b;for(;(k=n.indexOf(h,k+b))!==-1;)if((!d||v(d,n,p,k,b))&&(r[S++]=new T.FindMatch(new C.Range(m,k+1+a,m,k+1+b+a),null),S>=o))return S;return S}const l=new R(s.wordSeparators,s.regex);let u;l.reset(0);do if(u=l.next(n),u&&(r[S++]=D(new C.Range(m,u.index+1+a,m,u.index+1+u[0].length+a),u,t),S>=o))return S;while(u);return S}static findNextMatch(s,n,m,a){const S=n.parseSearchRequest();if(!S)return null;const r=new R(S.wordSeparators,S.regex);return S.regex.multiline?this._doFindNextMatchMultiline(s,m,r,a):this._doFindNextMatchLineByLine(s,m,r,a)}static _doFindNextMatchMultiline(s,n,m,a){const S=new I.Position(n.lineNumber,1),r=s.getOffsetAt(S),t=s.getLineCount(),o=s.getValueInRange(new C.Range(S.lineNumber,S.column,t,s.getLineMaxColumn(t)),1),d=s.getEOL()===`\r
`?new c(o):null;m.reset(n.column-1);let l=m.next(o);return l?D(this._getMultilineMatchRange(s,r,o,d,l.index,l[0]),l,a):n.lineNumber!==1||n.column!==1?this._doFindNextMatchMultiline(s,new I.Position(1,1),m,a):null}static _doFindNextMatchLineByLine(s,n,m,a){const S=s.getLineCount(),r=n.lineNumber,t=s.getLineContent(r),o=this._findFirstMatchInLine(m,t,r,n.column,a);if(o)return o;for(let d=1;d<=S;d++){const l=(r+d-1)%S,u=s.getLineContent(l+1),h=this._findFirstMatchInLine(m,u,l+1,1,a);if(h)return h}return null}static _findFirstMatchInLine(s,n,m,a,S){s.reset(a-1);const r=s.next(n);return r?D(new C.Range(m,r.index+1,m,r.index+1+r[0].length),r,S):null}static findPreviousMatch(s,n,m,a){const S=n.parseSearchRequest();if(!S)return null;const r=new R(S.wordSeparators,S.regex);return S.regex.multiline?this._doFindPreviousMatchMultiline(s,m,r,a):this._doFindPreviousMatchLineByLine(s,m,r,a)}static _doFindPreviousMatchMultiline(s,n,m,a){const S=this._doFindMatchesMultiline(s,new C.Range(1,1,n.lineNumber,n.column),m,a,10*P);if(S.length>0)return S[S.length-1];const r=s.getLineCount();return n.lineNumber!==r||n.column!==s.getLineMaxColumn(r)?this._doFindPreviousMatchMultiline(s,new I.Position(r,s.getLineMaxColumn(r)),m,a):null}static _doFindPreviousMatchLineByLine(s,n,m,a){const S=s.getLineCount(),r=n.lineNumber,t=s.getLineContent(r).substring(0,n.column-1),o=this._findLastMatchInLine(m,t,r,a);if(o)return o;for(let d=1;d<=S;d++){const l=(S+r-d-1)%S,u=s.getLineContent(l+1),h=this._findLastMatchInLine(m,u,l+1,a);if(h)return h}return null}static _findLastMatchInLine(s,n,m,a){let S=null,r;for(s.reset(0);r=s.next(n);)S=D(new C.Range(m,r.index+1,m,r.index+1+r[0].length),r,a);return S}}e.TextModelSearch=E;function g(_,s,n,m,a){if(m===0)return!0;const S=s.charCodeAt(m-1);if(_.get(S)!==0||S===13||S===10)return!0;if(a>0){const r=s.charCodeAt(m);if(_.get(r)!==0)return!0}return!1}function w(_,s,n,m,a){if(m+a===n)return!0;const S=s.charCodeAt(m+a);if(_.get(S)!==0||S===13||S===10)return!0;if(a>0){const r=s.charCodeAt(m+a-1);if(_.get(r)!==0)return!0}return!1}function v(_,s,n,m,a){return g(_,s,n,m,a)&&w(_,s,n,m,a)}e.isValidMatch=v;class R{constructor(s,n){this._wordSeparators=s,this._searchRegex=n,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(s){this._searchRegex.lastIndex=s,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(s){const n=s.length;let m;do{if(this._prevMatchStartIndex+this._prevMatchLength===n||(m=this._searchRegex.exec(s),!m))return null;const a=m.index,S=m[0].length;if(a===this._prevMatchStartIndex&&S===this._prevMatchLength){if(S===0){f.getNextCodePoint(s,n,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=a,this._prevMatchLength=S,!this._wordSeparators||v(this._wordSeparators,s,n,a,S))return m}while(m);return null}}e.Searcher=R}),define(pe[110],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function f(P=""){let y="(-?\\d*\\.\\d\\w*)|([^";for(const A of e.USUAL_WORD_SEPARATORS)P.indexOf(A)>=0||(y+="\\"+A);return y+="\\s]+)",new RegExp(y,"g")}e.DEFAULT_WORD_REGEXP=f();function i(P){let y=e.DEFAULT_WORD_REGEXP;if(P&&P instanceof RegExp)if(P.global)y=P;else{let A="g";P.ignoreCase&&(A+="i"),P.multiline&&(A+="m"),P.unicode&&(A+="u"),y=new RegExp(P.source,A)}return y.lastIndex=0,y}e.ensureValidWordDefinition=i;const I={maxLen:1e3,windowSize:15,timeBudget:150};function C(P,y,A,L,D=I){if(A.length>D.maxLen){let v=P-D.maxLen/2;return v<0?v=0:L+=v,A=A.substring(v,P+D.maxLen/2),C(P,y,A,L,D)}const c=Date.now(),E=P-1-L;let g=-1,w=null;for(let v=1;!(Date.now()-c>=D.timeBudget);v++){const R=E-D.windowSize*v;y.lastIndex=Math.max(0,R);const _=T(y,A,E,g);if(!_&&w||(w=_,R<=0))break;g=R}if(w){const v={word:w[0],startColumn:L+1+w.index,endColumn:L+1+w.index+w[0].length};return y.lastIndex=0,v}return null}e.getWordAtText=C;function T(P,y,A,L){let D;for(;D=P.exec(y);){const c=D.index||0;if(c<=A&&P.lastIndex>=A)return D;if(L>0&&c>L)return null}return null}}),define(pe[111],ve([0,1,22,12]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var I;(function(D){D[D.Full=1]="Full",D[D.Delta=2]="Delta"})(I||(I={}));function C(D){for(let c=0,E=D.length;c<E;c+=4){const g=D[c+0],w=D[c+1],v=D[c+2],R=D[c+3];D[c+0]=R,D[c+1]=v,D[c+2]=w,D[c+3]=g}}function T(D){const c=new Uint8Array(D.buffer,D.byteOffset,D.length*4);return i.isLittleEndian()||C(c),f.VSBuffer.wrap(c)}function P(D){const c=D.buffer;if(i.isLittleEndian()||C(c),c.byteOffset%4==0)return new Uint32Array(c.buffer,c.byteOffset,c.length/4);{const E=new Uint8Array(c.byteLength);return E.set(c),new Uint32Array(E.buffer,E.byteOffset,E.length/4)}}function y(D){const c=new Uint32Array(A(D));let E=0;if(c[E++]=D.id,D.type==="full")c[E++]=1,c[E++]=D.data.length,c.set(D.data,E),E+=D.data.length;else{c[E++]=2,c[E++]=D.deltas.length;for(const g of D.deltas)c[E++]=g.start,c[E++]=g.deleteCount,g.data?(c[E++]=g.data.length,c.set(g.data,E),E+=g.data.length):c[E++]=0}return T(c)}e.encodeSemanticTokensDto=y;function A(D){let c=0;if(c+=1+1,D.type==="full")c+=1+D.data.length;else{c+=1,c+=(1+1+1)*D.deltas.length;for(const E of D.deltas)E.data&&(c+=E.data.length)}return c}function L(D){const c=P(D);let E=0;const g=c[E++];if(c[E++]===1){const _=c[E++],s=c.subarray(E,E+_);return E+=_,{id:g,type:"full",data:s}}const v=c[E++],R=[];for(let _=0;_<v;_++){const s=c[E++],n=c[E++],m=c[E++];let a;m>0&&(a=c.subarray(E,E+m),E+=m),R[_]={start:s,deleteCount:n,data:a}}return{id:g,type:"delta",deltas:R}}e.decodeSemanticTokensDto=L}),define(pe[112],ve([0,1,16,100]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumIndexOfResult=e.ConstantTimePrefixSumComputer=e.PrefixSumComputer=void 0;class I{constructor(y){this.values=y,this.prefixSum=new Uint32Array(y.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(y,A){y=(0,i.toUint32)(y);const L=this.values,D=this.prefixSum,c=A.length;return c===0?!1:(this.values=new Uint32Array(L.length+c),this.values.set(L.subarray(0,y),0),this.values.set(L.subarray(y),y+c),this.values.set(A,y),y-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=y-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(D.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(y,A){return y=(0,i.toUint32)(y),A=(0,i.toUint32)(A),this.values[y]===A?!1:(this.values[y]=A,y-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=y-1),!0)}removeValues(y,A){y=(0,i.toUint32)(y),A=(0,i.toUint32)(A);const L=this.values,D=this.prefixSum;if(y>=L.length)return!1;const c=L.length-y;return A>=c&&(A=c),A===0?!1:(this.values=new Uint32Array(L.length-A),this.values.set(L.subarray(0,y),0),this.values.set(L.subarray(y+A),y),this.prefixSum=new Uint32Array(this.values.length),y-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=y-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(D.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(y){return y<0?0:(y=(0,i.toUint32)(y),this._getPrefixSum(y))}_getPrefixSum(y){if(y<=this.prefixSumValidIndex[0])return this.prefixSum[y];let A=this.prefixSumValidIndex[0]+1;A===0&&(this.prefixSum[0]=this.values[0],A++),y>=this.values.length&&(y=this.values.length-1);for(let L=A;L<=y;L++)this.prefixSum[L]=this.prefixSum[L-1]+this.values[L];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],y),this.prefixSum[y]}getIndexOf(y){y=Math.floor(y),this.getTotalSum();let A=0,L=this.values.length-1,D=0,c=0,E=0;for(;A<=L;)if(D=A+(L-A)/2|0,c=this.prefixSum[D],E=c-this.values[D],y<E)L=D-1;else if(y>=c)A=D+1;else break;return new T(D,y-E)}}e.PrefixSumComputer=I;class C{constructor(y){this._values=y,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(y){return this._ensureValid(),y===0?0:this._prefixSum[y-1]}getIndexOf(y){this._ensureValid();const A=this._indexBySum[y],L=A>0?this._prefixSum[A-1]:0;return new T(A,y-L)}removeValues(y,A){this._values.splice(y,A),this._invalidate(y)}insertValues(y,A){this._values=(0,f.arrayInsert)(this._values,y,A),this._invalidate(y)}_invalidate(y){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,y-1)}_ensureValid(){if(!this._isValid){for(let y=this._validEndIndex+1,A=this._values.length;y<A;y++){const L=this._values[y],D=y>0?this._prefixSum[y-1]:0;this._prefixSum[y]=D+L;for(let c=0;c<L;c++)this._indexBySum[D+c]=y}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(y,A){this._values[y]!==A&&(this._values[y]=A,this._invalidate(y))}}e.ConstantTimePrefixSumComputer=C;class T{constructor(y,A){this.index=y,this.remainder=A,this._prefixSumIndexOfResultBrand=void 0,this.index=y,this.remainder=A}}e.PrefixSumIndexOfResult=T}),define(pe[150],ve([0,1,9,49,112]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class C{constructor(P,y,A,L){this._uri=P,this._lines=y,this._eol=A,this._versionId=L,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(P){P.eol&&P.eol!==this._eol&&(this._eol=P.eol,this._lineStarts=null);const y=P.changes;for(const A of y)this._acceptDeleteRange(A.range),this._acceptInsertText(new i.Position(A.range.startLineNumber,A.range.startColumn),A.text);this._versionId=P.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const P=this._eol.length,y=this._lines.length,A=new Uint32Array(y);for(let L=0;L<y;L++)A[L]=this._lines[L].length+P;this._lineStarts=new I.PrefixSumComputer(A)}}_setLineText(P,y){this._lines[P]=y,this._lineStarts&&this._lineStarts.setValue(P,this._lines[P].length+this._eol.length)}_acceptDeleteRange(P){if(P.startLineNumber===P.endLineNumber){if(P.startColumn===P.endColumn)return;this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.startLineNumber-1].substring(P.endColumn-1));return}this._setLineText(P.startLineNumber-1,this._lines[P.startLineNumber-1].substring(0,P.startColumn-1)+this._lines[P.endLineNumber-1].substring(P.endColumn-1)),this._lines.splice(P.startLineNumber,P.endLineNumber-P.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(P.startLineNumber,P.endLineNumber-P.startLineNumber)}_acceptInsertText(P,y){if(y.length===0)return;const A=(0,f.splitLines)(y);if(A.length===1){this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+A[0]+this._lines[P.lineNumber-1].substring(P.column-1));return}A[A.length-1]+=this._lines[P.lineNumber-1].substring(P.column-1),this._setLineText(P.lineNumber-1,this._lines[P.lineNumber-1].substring(0,P.column-1)+A[0]);const L=new Uint32Array(A.length-1);for(let D=1;D<A.length;D++)this._lines.splice(P.lineNumber+D-1,0,A[D]),L[D-1]=A[D].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(P.lineNumber,L)}}e.MirrorTextModel=C}),define(pe[151],ve([19,20]),function(X,e){return X.create("vs/base/common/date",e)}),define(pe[152],ve([0,1,151]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const i=60,I=i*60,C=I*24,T=C*7,P=C*30,y=C*365;function A(D,c){typeof D!="number"&&(D=D.getTime());const E=Math.round((new Date().getTime()-D)/1e3);if(E<-30)return(0,f.localize)(0,null,A(new Date().getTime()+E*1e3,!1));if(E<30)return(0,f.localize)(1,null);let g;return E<i?(g=E,c?g===1?(0,f.localize)(2,null,g):(0,f.localize)(3,null,g):g===1?(0,f.localize)(4,null,g):(0,f.localize)(5,null,g)):E<I?(g=Math.floor(E/i),c?g===1?(0,f.localize)(6,null,g):(0,f.localize)(7,null,g):g===1?(0,f.localize)(8,null,g):(0,f.localize)(9,null,g)):E<C?(g=Math.floor(E/I),c?g===1?(0,f.localize)(10,null,g):(0,f.localize)(11,null,g):g===1?(0,f.localize)(12,null,g):(0,f.localize)(13,null,g)):E<T?(g=Math.floor(E/C),c?g===1?(0,f.localize)(14,null,g):(0,f.localize)(15,null,g):g===1?(0,f.localize)(16,null,g):(0,f.localize)(17,null,g)):E<P?(g=Math.floor(E/T),c?g===1?(0,f.localize)(18,null,g):(0,f.localize)(19,null,g):g===1?(0,f.localize)(20,null,g):(0,f.localize)(21,null,g)):E<y?(g=Math.floor(E/P),c?g===1?(0,f.localize)(22,null,g):(0,f.localize)(23,null,g):g===1?(0,f.localize)(24,null,g):(0,f.localize)(25,null,g)):(g=Math.floor(E/y),c?g===1?(0,f.localize)(26,null,g):(0,f.localize)(27,null,g):g===1?(0,f.localize)(28,null,g):(0,f.localize)(29,null,g))}e.fromNow=A;function L(D){return D.getFullYear()+"-"+String(D.getMonth()+1).padStart(2,"0")+"-"+String(D.getDate()).padStart(2,"0")+"T"+String(D.getHours()).padStart(2,"0")+":"+String(D.getMinutes()).padStart(2,"0")+":"+String(D.getSeconds()).padStart(2,"0")+"."+(D.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=L}),define(pe[153],ve([19,20]),function(X,e){return X.create("vs/base/common/errorMessage",e)}),define(pe[50],ve([0,1,16,13,153]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function C(A,L){return L&&(A.stack||A.stacktrace)?I.localize(0,null,P(A),T(A.stack)||T(A.stacktrace)):P(A)}function T(A){return Array.isArray(A)?A.join(`
`):A}function P(A){return typeof A.code=="string"&&typeof A.errno=="number"&&typeof A.syscall=="string"?I.localize(1,null,A.message):A.message||I.localize(2,null)}function y(A=null,L=!1){if(!A)return I.localize(3,null);if(Array.isArray(A)){const D=f.coalesce(A),c=y(D[0],L);return D.length>1?I.localize(4,null,c,D.length):c}if(i.isString(A))return A;if(A.detail){const D=A.detail;if(D.error)return C(D.error,L);if(D.exception)return C(D.exception,L)}return A.stack?C(A,L):A.message?A.message:I.localize(5,null)}e.toErrorMessage=y}),define(pe[154],ve([19,20]),function(X,e){return X.create("vs/base/node/processes",e)}),define(pe[113],ve([0,1,37,28,10,25,8,12,40,96,13,143,29,154]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.removeDangerousEnvVariables=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return A.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return A.TerminateResponseCode}});function g(a){switch(a){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function w(a,S){if(P.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};S&&(r.cwd=S);const t=f.execFile("taskkill",["/T","/F","/PID",a.pid.toString()],r);return new Promise(o=>{t.once("error",d=>{o({success:!1,error:d})}),t.once("exit",(d,l)=>{o(d===0?{success:!0}:{success:!1,code:d!==null?d:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?g(r.status):1})}else if(P.isLinux||P.isMacintosh)try{const r=I.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",X).fsPath;return new Promise(t=>{f.execFile(r,[a.pid.toString()],{encoding:"utf8",shell:!0},(o,d,l)=>{t(o?{success:!1,error:o}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else a.kill("SIGKILL");return Promise.resolve({success:!0})}function v(a){!a||(delete a.DEBUG,P.isMacintosh&&delete a.DYLD_LIBRARY_PATH,P.isLinux&&delete a.LD_PRELOAD)}e.removeDangerousEnvVariables=v;function R(a=y.env){return a.comspec||"cmd.exe"}e.getWindowsShell=R;class _{constructor(S,r,t,o){if(r!==void 0&&t!==void 0&&o!==void 0)this.cmd=S,this.args=r,this.shell=t,this.options=o;else{const d=S;this.cmd=d.command,this.shell=d.isShellCommand,this.args=d.args.slice(0),this.options=d.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const d=Object.create(null);Object.keys(y.env).forEach(l=>{d[l]=y.env[l]}),Object.keys(this.options.env).forEach(l=>{d[l]=this.options.env[l]}),this.options.env=d}}getSanitizedCommand(){let S=this.cmd.toLowerCase();const r=S.lastIndexOf(T.sep);return r!==-1&&(S=S.substring(r+1)),_.WellKnowCommands[S]?S:"other"}start(S){return P.isWindows&&(this.options&&this.options.cwd&&i.isUNC(this.options.cwd)||!this.options&&i.isUNC(y.cwd()))?Promise.reject(new Error(E.localize(0,null))):this.useExec().then(r=>{let t,o;const d=new Promise((l,u)=>{t=l,o=u});if(r){let l=this.cmd;this.args&&(l=l+" "+this.args.join(" ")),this.childProcess=f.exec(l,this.options,(u,h,b)=>{this.childProcess=null;const p=u;p&&p.killed?o({killed:this.terminateRequested,stdout:h.toString(),stderr:b.toString()}):this.handleExec(t,S,u,h,b)})}else{let l=null;const u=h=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(h,t,S,o);const b={terminated:this.terminateRequested};L.isNumber(h)&&(b.cmdCode=h),t(b)};if(this.shell&&P.isWindows){const h=C.deepClone(this.options);h.windowsVerbatimArguments=!0,h.detached=!1;let b=!1,p=!1;const k=[];let O=this.ensureQuotes(this.cmd);k.push(O.value),b=O.quoted,this.args&&this.args.forEach(F=>{O=this.ensureQuotes(F),k.push(O.value),p=p&&O.quoted});const U=["/s","/c"];b?p?U.push('"'+k.join(" ")+'"'):k.length>1?U.push('"'+k[0]+'" '+k.slice(1).join(" ")):U.push('"'+k[0]+'"'):U.push(k.join(" ")),l=f.spawn(R(),U,h)}else this.cmd&&(l=f.spawn(this.cmd,this.args,this.options));l&&(this.childProcess=l,this.childProcessPromise=Promise.resolve(l),this.pidResolve&&(this.pidResolve(L.isNumber(l.pid)?l.pid:-1),this.pidResolve=void 0),l.on("error",h=>{this.childProcess=null,o({terminated:this.terminateRequested,error:h})}),l.pid&&(this.childProcess.on("close",u),this.handleSpawn(l,t,S,o,!0)))}return d})}handleClose(S,r,t,o){}ensureQuotes(S){return _.regexp.test(S)?{value:'"'+S+'"',quoted:!0}:{value:S,quoted:S.length>0&&S[0]==='"'&&S[S.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(S=>S.pid,S=>-1):new Promise(S=>{this.pidResolve=S})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(S=>(this.terminateRequested=!0,w(S,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),S=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(S=>{if(!this.shell||!P.isWindows)return S(!1);const r=f.spawn(R(),["/s","/c"]);r.on("error",t=>S(!0)),r.on("exit",t=>S(!1))})}}e.AbstractProcess=_,_.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},_.regexp=/^[^"].* .*[^"]/;class s extends _{constructor(S,r,t,o){super(S,r,t,o);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(S,r,t,o,d){[o,d].forEach((l,u)=>{const h=new D.LineDecoder;h.write(l).forEach(k=>{r({line:k,source:u===0?0:1})});const p=h.end();p&&r({line:p,source:u===0?0:1})}),S({terminated:this.terminateRequested,error:t})}handleSpawn(S,r,t,o,d){const l=new D.LineDecoder,u=new D.LineDecoder;S.stdout.on("data",h=>{l.write(h).forEach(p=>t({line:p,source:0}))}),S.stderr.on("data",h=>{u.write(h).forEach(p=>t({line:p,source:1}))}),this.stdoutLineDecoder=l,this.stderrLineDecoder=u}handleClose(S,r,t,o){const d=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;d&&t({line:d,source:0});const l=this.stderrLineDecoder?this.stderrLineDecoder.end():null;l&&t({line:l,source:1})}}e.LineProcess=s;function n(a){let S=[],r=!1;const t=function(o){if(r){S.push(o);return}(!a.send(o,l=>{if(l&&console.error(l),r=!1,S.length>0){const u=S.slice(0);S=[],u.forEach(h=>t(h))}})||P.isWindows)&&(r=!0)};return{send:t}}e.createQueuedSender=n;var m;(function(a){async function S(r,t,o){if(T.isAbsolute(r))return r;if(t===void 0&&(t=y.cwd()),T.dirname(r)!=="."||(o===void 0&&L.isString(y.env.PATH)&&(o=y.env.PATH.split(T.delimiter)),o===void 0||o.length===0))return T.join(t,r);async function l(u){if(await c.Promises.exists(u)){let h;try{h=await c.Promises.stat(u)}catch(b){b.message.startsWith("EACCES")&&(h=await c.Promises.lstat(u))}return h?!h.isDirectory():!1}return!1}for(let u of o){let h;if(T.isAbsolute(u)?h=T.join(u,r):h=T.join(t,u,r),await l(h))return h;let b=h+".com";if(await l(b)||(b=h+".exe",await l(b)))return b}return T.join(t,r)}a.findExecutable=S})(m=e.win32||(e.win32={}))}),define(pe[155],ve([19,20]),function(X,e){return X.create("vs/editor/common/config/editorOptions",e)}),define(pe[114],ve([0,1,155,12,110,16,25]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var P;(function(ee){ee[ee.None=0]="None",ee[ee.Keep=1]="Keep",ee[ee.Brackets=2]="Brackets",ee[ee.Advanced=3]="Advanced",ee[ee.Full=4]="Full"})(P=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class y{constructor(ie){this._values=ie}hasChanged(ie){return this._values[ie]}}e.ConfigurationChangedEvent=y;class A{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=A;class L{constructor(ie,Ee,ne,Ce){this.id=ie,this.name=Ee,this.defaultValue=ne,this.schema=Ce}applyUpdate(ie,Ee){return c(ie,Ee)}compute(ie,Ee,ne){return ne}}class D{constructor(ie,Ee){this.newValue=ie,this.didChange=Ee}}e.ApplyUpdateResult=D;function c(ee,ie){if(typeof ee!="object"||typeof ie!="object"||!ee||!ie)return new D(ie,ee!==ie);if(Array.isArray(ee)||Array.isArray(ie)){const ne=Array.isArray(ee)&&Array.isArray(ie)&&C.equals(ee,ie);return new D(ie,ne)}let Ee=!1;for(const ne in ie)if(ie.hasOwnProperty(ne)){const Ce=c(ee[ne],ie[ne]);Ce.didChange&&(ee[ne]=Ce.newValue,Ee=!0)}return new D(ee,Ee)}class E{constructor(ie){this.schema=void 0,this.id=ie,this.name="_never_",this.defaultValue=void 0}applyUpdate(ie,Ee){return c(ie,Ee)}validate(ie){return this.defaultValue}}class g{constructor(ie,Ee,ne,Ce){this.id=ie,this.name=Ee,this.defaultValue=ne,this.schema=Ce}applyUpdate(ie,Ee){return c(ie,Ee)}validate(ie){return typeof ie=="undefined"?this.defaultValue:ie}compute(ie,Ee,ne){return ne}}function w(ee,ie){return typeof ee=="undefined"?ie:ee==="false"?!1:Boolean(ee)}e.boolean=w;class v extends g{constructor(ie,Ee,ne,Ce=void 0){typeof Ce!="undefined"&&(Ce.type="boolean",Ce.default=ne);super(ie,Ee,ne,Ce)}validate(ie){return w(ie,this.defaultValue)}}function R(ee,ie,Ee,ne){if(typeof ee=="undefined")return ie;let Ce=parseInt(ee,10);return isNaN(Ce)?ie:(Ce=Math.max(Ee,Ce),Ce=Math.min(ne,Ce),Ce|0)}e.clampedInt=R;class _ extends g{constructor(ie,Ee,ne,Ce,Fe,qe=void 0){typeof qe!="undefined"&&(qe.type="integer",qe.default=ne,qe.minimum=Ce,qe.maximum=Fe);super(ie,Ee,ne,qe);this.minimum=Ce,this.maximum=Fe}static clampedInt(ie,Ee,ne,Ce){return R(ie,Ee,ne,Ce)}validate(ie){return _.clampedInt(ie,this.defaultValue,this.minimum,this.maximum)}}class s extends g{constructor(ie,Ee,ne,Ce,Fe){typeof Fe!="undefined"&&(Fe.type="number",Fe.default=ne);super(ie,Ee,ne,Fe);this.validationFn=Ce}static clamp(ie,Ee,ne){return ie<Ee?Ee:ie>ne?ne:ie}static float(ie,Ee){if(typeof ie=="number")return ie;if(typeof ie=="undefined")return Ee;const ne=parseFloat(ie);return isNaN(ne)?Ee:ne}validate(ie){return this.validationFn(s.float(ie,this.defaultValue))}}class n extends g{static string(ie,Ee){return typeof ie!="string"?Ee:ie}constructor(ie,Ee,ne,Ce=void 0){typeof Ce!="undefined"&&(Ce.type="string",Ce.default=ne);super(ie,Ee,ne,Ce)}validate(ie){return n.string(ie,this.defaultValue)}}function m(ee,ie,Ee){return typeof ee!="string"||Ee.indexOf(ee)===-1?ie:ee}e.stringSet=m;class a extends g{constructor(ie,Ee,ne,Ce,Fe=void 0){typeof Fe!="undefined"&&(Fe.type="string",Fe.enum=Ce,Fe.default=ne);super(ie,Ee,ne,Fe);this._allowedValues=Ce}validate(ie){return m(ie,this.defaultValue,this._allowedValues)}}class S extends L{constructor(ie,Ee,ne,Ce,Fe,qe,Ve=void 0){typeof Ve!="undefined"&&(Ve.type="string",Ve.enum=Fe,Ve.default=Ce);super(ie,Ee,ne,Ve);this._allowedValues=Fe,this._convert=qe}validate(ie){return typeof ie!="string"?this.defaultValue:this._allowedValues.indexOf(ie)===-1?this.defaultValue:this._convert(ie)}}function r(ee){switch(ee){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class t extends L{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[f.localize(0,null),f.localize(1,null),f.localize(2,null)],default:"auto",description:f.localize(3,null)})}validate(ie){switch(ie){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ie,Ee,ne){return ne===0?ie.accessibilitySupport:ne}}class o extends L{constructor(){const ie={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",ie,{"editor.comments.insertSpace":{type:"boolean",default:ie.insertSpace,description:f.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ie.ignoreEmptyLines,description:f.localize(5,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{insertSpace:w(Ee.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:w(Ee.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var d;(function(ee){ee[ee.Hidden=0]="Hidden",ee[ee.Blink=1]="Blink",ee[ee.Smooth=2]="Smooth",ee[ee.Phase=3]="Phase",ee[ee.Expand=4]="Expand",ee[ee.Solid=5]="Solid"})(d=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function l(ee){switch(ee){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var u;(function(ee){ee[ee.Line=1]="Line",ee[ee.Block=2]="Block",ee[ee.Underline=3]="Underline",ee[ee.LineThin=4]="LineThin",ee[ee.BlockOutline=5]="BlockOutline",ee[ee.UnderlineThin=6]="UnderlineThin"})(u=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function h(ee){switch(ee){case u.Line:return"line";case u.Block:return"block";case u.Underline:return"underline";case u.LineThin:return"line-thin";case u.BlockOutline:return"block-outline";case u.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=h;function b(ee){switch(ee){case"line":return u.Line;case"block":return u.Block;case"underline":return u.Underline;case"line-thin":return u.LineThin;case"block-outline":return u.BlockOutline;case"underline-thin":return u.UnderlineThin}}class p extends E{constructor(){super(128)}compute(ie,Ee,ne){const Ce=["monaco-editor"];return Ee.get(33)&&Ce.push(Ee.get(33)),ie.extraEditorClassName&&Ce.push(ie.extraEditorClassName),Ee.get(66)==="default"?Ce.push("mouse-default"):Ee.get(66)==="copy"&&Ce.push("mouse-copy"),Ee.get(100)&&Ce.push("showUnused"),Ee.get(126)&&Ce.push("showDeprecated"),Ce.join(" ")}}class k extends v{constructor(){super(32,"emptySelectionClipboard",!0,{description:f.localize(6,null)})}compute(ie,Ee,ne){return ne&&ie.emptySelectionClipboard}}class O extends L{constructor(){const ie={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(35,"find",ie,{"editor.find.cursorMoveOnType":{type:"boolean",default:ie.cursorMoveOnType,description:f.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:ie.seedSearchStringFromSelection,enumDescriptions:[f.localize(8,null),f.localize(9,null),f.localize(10,null)],description:f.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ie.autoFindInSelection,enumDescriptions:[f.localize(12,null),f.localize(13,null),f.localize(14,null)],description:f.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ie.globalFindClipboard,description:f.localize(16,null),included:i.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ie.addExtraSpaceOnTop,description:f.localize(17,null)},"editor.find.loop":{type:"boolean",default:ie.loop,description:f.localize(18,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{cursorMoveOnType:w(Ee.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof ie.seedSearchStringFromSelection=="boolean"?ie.seedSearchStringFromSelection?"always":"never":m(Ee.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof ie.autoFindInSelection=="boolean"?ie.autoFindInSelection?"always":"never":m(Ee.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:w(Ee.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:w(Ee.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:w(Ee.loop,this.defaultValue.loop)}}}class U extends L{constructor(){super(45,"fontLigatures",U.OFF,{anyOf:[{type:"boolean",description:f.localize(19,null)},{type:"string",description:f.localize(20,null)}],description:f.localize(21,null),default:!1})}validate(ie){return typeof ie=="undefined"?this.defaultValue:typeof ie=="string"?ie==="false"?U.OFF:ie==="true"?U.ON:ie:Boolean(ie)?U.ON:U.OFF}}e.EditorFontLigatures=U,U.OFF='"liga" off, "calt" off',U.ON='"liga" on, "calt" on';class F extends E{constructor(){super(44)}compute(ie,Ee,ne){return ie.fontInfo}}class M extends g{constructor(){super(46,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:f.localize(22,null)})}validate(ie){const Ee=s.float(ie,this.defaultValue);return Ee===0?e.EDITOR_FONT_DEFAULTS.fontSize:s.clamp(Ee,6,100)}compute(ie,Ee,ne){return ie.fontInfo.fontSize}}class V extends L{constructor(){super(47,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:V.MINIMUM_VALUE,maximum:V.MAXIMUM_VALUE,errorMessage:f.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:V.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:f.localize(24,null)})}validate(ie){return ie==="normal"||ie==="bold"?ie:String(_.clampedInt(ie,e.EDITOR_FONT_DEFAULTS.fontWeight,V.MINIMUM_VALUE,V.MAXIMUM_VALUE))}}V.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],V.MINIMUM_VALUE=1,V.MAXIMUM_VALUE=1e3;class H extends L{constructor(){const ie={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},Ee={type:"string",enum:["peek","gotoAndPeek","goto"],default:ie.multiple,enumDescriptions:[f.localize(25,null),f.localize(26,null),f.localize(27,null)]},ne=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(51,"gotoLocation",ie,{"editor.gotoLocation.multiple":{deprecationMessage:f.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:f.localize(29,null),...Ee},"editor.gotoLocation.multipleTypeDefinitions":{description:f.localize(30,null),...Ee},"editor.gotoLocation.multipleDeclarations":{description:f.localize(31,null),...Ee},"editor.gotoLocation.multipleImplementations":{description:f.localize(32,null),...Ee},"editor.gotoLocation.multipleReferences":{description:f.localize(33,null),...Ee},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ie.alternativeDefinitionCommand,enum:ne,description:f.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ie.alternativeTypeDefinitionCommand,enum:ne,description:f.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ie.alternativeDeclarationCommand,enum:ne,description:f.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ie.alternativeImplementationCommand,enum:ne,description:f.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ie.alternativeReferenceCommand,enum:ne,description:f.localize(38,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{multiple:m(Ee.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:Ee.multipleDefinitions??m(Ee.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:Ee.multipleTypeDefinitions??m(Ee.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:Ee.multipleDeclarations??m(Ee.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:Ee.multipleImplementations??m(Ee.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:Ee.multipleReferences??m(Ee.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:n.string(Ee.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:n.string(Ee.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:n.string(Ee.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:n.string(Ee.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:n.string(Ee.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class N extends L{constructor(){const ie={enabled:!0,delay:300,sticky:!0,above:!0};super(53,"hover",ie,{"editor.hover.enabled":{type:"boolean",default:ie.enabled,description:f.localize(39,null)},"editor.hover.delay":{type:"number",default:ie.delay,minimum:0,maximum:1e4,description:f.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:ie.sticky,description:f.localize(41,null)},"editor.hover.above":{type:"boolean",default:ie.above,description:f.localize(42,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{enabled:w(Ee.enabled,this.defaultValue.enabled),delay:_.clampedInt(Ee.delay,this.defaultValue.delay,0,1e4),sticky:w(Ee.sticky,this.defaultValue.sticky),above:w(Ee.above,this.defaultValue.above)}}}var x;(function(ee){ee[ee.None=0]="None",ee[ee.Text=1]="Text",ee[ee.Blocks=2]="Blocks"})(x=e.RenderMinimap||(e.RenderMinimap={}));class W extends E{constructor(){super(131)}compute(ie,Ee,ne){return W.computeLayout(Ee,{memory:ie.memory,outerWidth:ie.outerWidth,outerHeight:ie.outerHeight,isDominatedByLongLines:ie.isDominatedByLongLines,lineHeight:ie.fontInfo.lineHeight,viewLineCount:ie.viewLineCount,lineNumbersDigitCount:ie.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ie.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ie.fontInfo.maxDigitWidth,pixelRatio:ie.pixelRatio})}static computeContainedMinimapLineCount(ie){const Ee=ie.height/ie.lineHeight,ne=ie.scrollBeyondLastLine?Ee-1:0,Ce=(ie.viewLineCount+ne)/(ie.pixelRatio*ie.height),Fe=Math.floor(ie.viewLineCount/Ce);return{typicalViewportLineCount:Ee,extraLinesBeyondLastLine:ne,desiredRatio:Ce,minimapLineCount:Fe}}static _computeMinimapLayout(ie,Ee){const ne=ie.outerWidth,Ce=ie.outerHeight,Fe=ie.pixelRatio;if(!ie.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Fe*Ce),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Ce};const qe=Ee.stableMinimapLayoutInput,Ve=qe&&ie.outerHeight===qe.outerHeight&&ie.lineHeight===qe.lineHeight&&ie.typicalHalfwidthCharacterWidth===qe.typicalHalfwidthCharacterWidth&&ie.pixelRatio===qe.pixelRatio&&ie.scrollBeyondLastLine===qe.scrollBeyondLastLine&&ie.minimap.enabled===qe.minimap.enabled&&ie.minimap.side===qe.minimap.side&&ie.minimap.size===qe.minimap.size&&ie.minimap.showSlider===qe.minimap.showSlider&&ie.minimap.renderCharacters===qe.minimap.renderCharacters&&ie.minimap.maxColumn===qe.minimap.maxColumn&&ie.minimap.scale===qe.minimap.scale&&ie.verticalScrollbarWidth===qe.verticalScrollbarWidth&&ie.isViewportWrapping===qe.isViewportWrapping,lt=ie.lineHeight,Re=ie.typicalHalfwidthCharacterWidth,Ae=ie.scrollBeyondLastLine,De=ie.minimap.renderCharacters;let ce=Fe>=2?Math.round(ie.minimap.scale*2):ie.minimap.scale;const de=ie.minimap.maxColumn,we=ie.minimap.size,ye=ie.minimap.side,Oe=ie.verticalScrollbarWidth,Qe=ie.viewLineCount,$e=ie.remainingWidth,Je=ie.isViewportWrapping,ot=De?2:3;let at=Math.floor(Fe*Ce);const He=at/Fe;let be=!1,_e=!1,fe=ot*ce,K=ce/Fe,Ie=1;if(we==="fill"||we==="fit"){const{typicalViewportLineCount:ft,extraLinesBeyondLastLine:wt,desiredRatio:bt,minimapLineCount:Ut}=W.computeContainedMinimapLineCount({viewLineCount:Qe,scrollBeyondLastLine:Ae,height:Ce,lineHeight:lt,pixelRatio:Fe});if(Qe/Ut>1)be=!0,_e=!0,ce=1,fe=1,K=ce/Fe;else{let Ft=!1,kt=ce+1;if(we==="fit"){const yt=Math.ceil((Qe+wt)*fe);Je&&Ve&&$e<=Ee.stableFitRemainingWidth?(Ft=!0,kt=Ee.stableFitMaxMinimapScale):Ft=yt>at}if(we==="fill"||Ft){be=!0;const yt=ce;fe=Math.min(lt*Fe,Math.max(1,Math.floor(1/bt))),Je&&Ve&&$e<=Ee.stableFitRemainingWidth&&(kt=Ee.stableFitMaxMinimapScale),ce=Math.min(kt,Math.max(1,Math.floor(fe/ot))),ce>yt&&(Ie=Math.min(2,ce/yt)),K=ce/Fe/Ie,at=Math.ceil(Math.max(ft,Qe+wt)*fe),Je?(Ee.stableMinimapLayoutInput=ie,Ee.stableFitRemainingWidth=$e,Ee.stableFitMaxMinimapScale=ce):(Ee.stableMinimapLayoutInput=null,Ee.stableFitRemainingWidth=0)}}}const Ne=Math.floor(de*K),Ye=Math.min(Ne,Math.max(0,Math.floor(($e-Oe-2)*K/(Re+K)))+e.MINIMAP_GUTTER_WIDTH);let Xe=Math.floor(Fe*Ye);const gt=Xe/Fe;Xe=Math.floor(Xe*Ie);const St=De?1:2,Ct=ye==="left"?0:ne-Ye-Oe;return{renderMinimap:St,minimapLeft:Ct,minimapWidth:Ye,minimapHeightIsEditorHeight:be,minimapIsSampling:_e,minimapScale:ce,minimapLineHeight:fe,minimapCanvasInnerWidth:Xe,minimapCanvasInnerHeight:at,minimapCanvasOuterWidth:gt,minimapCanvasOuterHeight:He}}static computeLayout(ie,Ee){const ne=Ee.outerWidth|0,Ce=Ee.outerHeight|0,Fe=Ee.lineHeight|0,qe=Ee.lineNumbersDigitCount|0,Ve=Ee.typicalHalfwidthCharacterWidth,lt=Ee.maxDigitWidth,Re=Ee.pixelRatio,Ae=Ee.viewLineCount,De=ie.get(123),ce=De==="inherit"?ie.get(122):De,de=ce==="inherit"?ie.get(118):ce,we=ie.get(121),ye=ie.get(2),Oe=Ee.isDominatedByLongLines,Qe=ie.get(50),$e=ie.get(60).renderType!==0,Je=ie.get(61),ot=ie.get(94),at=ie.get(65),He=ie.get(92),be=He.verticalScrollbarSize,_e=He.verticalHasArrows,fe=He.arrowSize,K=He.horizontalScrollbarSize,Ie=ie.get(58),Ne=ie.get(37);let Ye;if(typeof Ie=="string"&&/^\d+(\.\d+)?ch$/.test(Ie)){const Et=parseFloat(Ie.substr(0,Ie.length-2));Ye=_.clampedInt(Et*Ve,0,0,1e3)}else Ye=_.clampedInt(Ie,0,0,1e3);Ne&&(Ye+=16);let Xe=0;if($e){const Et=Math.max(qe,Je);Xe=Math.round(Et*lt)}let gt=0;Qe&&(gt=Fe);let St=0,Ct=St+gt,ft=Ct+Xe,wt=ft+Ye;const bt=ne-gt-Xe-Ye;let Ut=!1,It=!1,Ft=-1;ye!==2&&(ce==="inherit"&&Oe?(Ut=!0,It=!0):de==="on"||de==="bounded"?It=!0:de==="wordWrapColumn"&&(Ft=we));const kt=W._computeMinimapLayout({outerWidth:ne,outerHeight:Ce,lineHeight:Fe,typicalHalfwidthCharacterWidth:Ve,pixelRatio:Re,scrollBeyondLastLine:ot,minimap:at,verticalScrollbarWidth:be,viewLineCount:Ae,remainingWidth:bt,isViewportWrapping:It},Ee.memory||new A);kt.renderMinimap!==0&&kt.minimapLeft===0&&(St+=kt.minimapWidth,Ct+=kt.minimapWidth,ft+=kt.minimapWidth,wt+=kt.minimapWidth);const yt=bt-kt.minimapWidth,Qt=Math.max(1,Math.floor((yt-be-2)/Ve)),Vt=_e?fe:0;return It&&(Ft=Math.max(1,Qt),de==="bounded"&&(Ft=Math.min(Ft,we))),{width:ne,height:Ce,glyphMarginLeft:St,glyphMarginWidth:gt,lineNumbersLeft:Ct,lineNumbersWidth:Xe,decorationsLeft:ft,decorationsWidth:Ye,contentLeft:wt,contentWidth:yt,minimap:kt,viewportColumn:Qt,isWordWrapMinified:Ut,isViewportWrapping:It,wrappingColumn:Ft,verticalScrollbarWidth:be,horizontalScrollbarHeight:K,overviewRuler:{top:Vt,width:be,height:Ce-2*Vt,right:0}}}}e.EditorLayoutInfoComputer=W;class B extends L{constructor(){const ie={enabled:!0};super(57,"lightbulb",ie,{"editor.lightbulb.enabled":{type:"boolean",default:ie.enabled,description:f.localize(43,null)}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{enabled:w(ie.enabled,this.defaultValue.enabled)}}}class j extends L{constructor(){const ie={enabled:!0,fontSize:0,fontFamily:""};super(127,"inlayHints",ie,{"editor.inlayHints.enabled":{type:"boolean",default:ie.enabled,description:f.localize(44,null)},"editor.inlayHints.fontSize":{type:"number",default:ie.fontSize,markdownDescription:f.localize(45,null)},"editor.inlayHints.fontFamily":{type:"string",default:ie.fontFamily,markdownDescription:f.localize(46,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{enabled:w(Ee.enabled,this.defaultValue.enabled),fontSize:_.clampedInt(Ee.fontSize,this.defaultValue.fontSize,0,100),fontFamily:n.string(Ee.fontFamily,this.defaultValue.fontFamily)}}}class Z extends s{constructor(){super(59,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,ie=>s.clamp(ie,0,150),{markdownDescription:f.localize(47,null)})}compute(ie,Ee,ne){return ie.fontInfo.lineHeight}}class se extends L{constructor(){const ie={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(65,"minimap",ie,{"editor.minimap.enabled":{type:"boolean",default:ie.enabled,description:f.localize(48,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[f.localize(49,null),f.localize(50,null),f.localize(51,null)],default:ie.size,description:f.localize(52,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ie.side,description:f.localize(53,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ie.showSlider,description:f.localize(54,null)},"editor.minimap.scale":{type:"number",default:ie.scale,minimum:1,maximum:3,enum:[1,2,3],description:f.localize(55,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ie.renderCharacters,description:f.localize(56,null)},"editor.minimap.maxColumn":{type:"number",default:ie.maxColumn,description:f.localize(57,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{enabled:w(Ee.enabled,this.defaultValue.enabled),size:m(Ee.size,this.defaultValue.size,["proportional","fill","fit"]),side:m(Ee.side,this.defaultValue.side,["right","left"]),showSlider:m(Ee.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:w(Ee.renderCharacters,this.defaultValue.renderCharacters),scale:_.clampedInt(Ee.scale,1,1,3),maxColumn:_.clampedInt(Ee.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function Q(ee){return ee==="ctrlCmd"?i.isMacintosh?"metaKey":"ctrlKey":"altKey"}class z extends L{constructor(){super(75,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:f.localize(58,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:f.localize(59,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{top:_.clampedInt(Ee.top,0,0,1e3),bottom:_.clampedInt(Ee.bottom,0,0,1e3)}}}class te extends L{constructor(){const ie={enabled:!0,cycle:!1};super(76,"parameterHints",ie,{"editor.parameterHints.enabled":{type:"boolean",default:ie.enabled,description:f.localize(60,null)},"editor.parameterHints.cycle":{type:"boolean",default:ie.cycle,description:f.localize(61,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{enabled:w(Ee.enabled,this.defaultValue.enabled),cycle:w(Ee.cycle,this.defaultValue.cycle)}}}class he extends E{constructor(){super(129)}compute(ie,Ee,ne){return ie.pixelRatio}}class ge extends L{constructor(){const ie={other:!0,comments:!1,strings:!1};super(79,"quickSuggestions",ie,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ie.strings,description:f.localize(62,null)},comments:{type:"boolean",default:ie.comments,description:f.localize(63,null)},other:{type:"boolean",default:ie.other,description:f.localize(64,null)}}}],default:ie,description:f.localize(65,null)});this.defaultValue=ie}validate(ie){if(typeof ie=="boolean")return ie;if(ie&&typeof ie=="object"){const Ee=ie,ne={other:w(Ee.other,this.defaultValue.other),comments:w(Ee.comments,this.defaultValue.comments),strings:w(Ee.strings,this.defaultValue.strings)};return ne.other&&ne.comments&&ne.strings?!0:!ne.other&&!ne.comments&&!ne.strings?!1:ne}return this.defaultValue}}var ke;(function(ee){ee[ee.Off=0]="Off",ee[ee.On=1]="On",ee[ee.Relative=2]="Relative",ee[ee.Interval=3]="Interval",ee[ee.Custom=4]="Custom"})(ke=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Ue extends L{constructor(){super(60,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[f.localize(66,null),f.localize(67,null),f.localize(68,null),f.localize(69,null)],default:"on",description:f.localize(70,null)})}validate(ie){let Ee=this.defaultValue.renderType,ne=this.defaultValue.renderFn;return typeof ie!="undefined"&&(typeof ie=="function"?(Ee=4,ne=ie):ie==="interval"?Ee=3:ie==="relative"?Ee=2:ie==="on"?Ee=1:Ee=0),{renderType:Ee,renderFn:ne}}}function Be(ee){const ie=ee.get(87);return ie==="editable"?ee.get(81):ie!=="on"}e.filterValidationDecorations=Be;class q extends L{constructor(){const ie=[],Ee={type:"number",description:f.localize(71,null)};super(91,"rulers",ie,{type:"array",items:{anyOf:[Ee,{type:["object"],properties:{column:Ee,color:{type:"string",description:f.localize(72,null),format:"color-hex"}}}]},default:ie,description:f.localize(73,null)})}validate(ie){if(Array.isArray(ie)){const Ee=[];for(let ne of ie)if(typeof ne=="number")Ee.push({column:_.clampedInt(ne,0,0,1e4),color:null});else if(ne&&typeof ne=="object"){const Ce=ne;Ee.push({column:_.clampedInt(Ce.column,0,0,1e4),color:Ce.color})}return Ee.sort((ne,Ce)=>ne.column-Ce.column),Ee}return this.defaultValue}}function Y(ee,ie){if(typeof ee!="string")return ie;switch(ee){case"hidden":return 2;case"visible":return 3;default:return 1}}class re extends L{constructor(){const ie={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(92,"scrollbar",ie,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[f.localize(74,null),f.localize(75,null),f.localize(76,null)],default:"auto",description:f.localize(77,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[f.localize(78,null),f.localize(79,null),f.localize(80,null)],default:"auto",description:f.localize(81,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:ie.verticalScrollbarSize,description:f.localize(82,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:ie.horizontalScrollbarSize,description:f.localize(83,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:ie.scrollByPage,description:f.localize(84,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie,ne=_.clampedInt(Ee.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Ce=_.clampedInt(Ee.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:_.clampedInt(Ee.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:Y(Ee.vertical,this.defaultValue.vertical),horizontal:Y(Ee.horizontal,this.defaultValue.horizontal),useShadows:w(Ee.useShadows,this.defaultValue.useShadows),verticalHasArrows:w(Ee.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:w(Ee.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:w(Ee.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:w(Ee.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:ne,horizontalSliderSize:_.clampedInt(Ee.horizontalSliderSize,ne,0,1e3),verticalScrollbarSize:Ce,verticalSliderSize:_.clampedInt(Ee.verticalSliderSize,Ce,0,1e3),scrollByPage:w(Ee.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class le extends L{constructor(){const ie={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(113,"unicodeHighlight",ie,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:ie.nonBasicASCII,description:f.localize(85,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:ie.invisibleCharacters,description:f.localize(86,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:ie.ambiguousCharacters,description:f.localize(87,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:ie.includeComments,description:f.localize(88,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:ie.includeStrings,description:f.localize(89,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:ie.allowedCharacters,description:f.localize(90,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:ie.allowedLocales,description:f.localize(91,null)}})}applyUpdate(ie,Ee){let ne=!1;Ee.allowedCharacters&&(T.equals(ie.allowedCharacters,Ee.allowedCharacters)||(ie={...ie,allowedCharacters:Ee.allowedCharacters},ne=!0)),Ee.allowedLocales&&(T.equals(ie.allowedLocales,Ee.allowedLocales)||(ie={...ie,allowedLocales:Ee.allowedLocales},ne=!0));const Ce=super.applyUpdate(ie,Ee);return ne?new D(Ce.newValue,!0):Ce}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{nonBasicASCII:Me(Ee.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:w(Ee.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:w(Ee.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:Me(Ee.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:Me(Ee.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(ie.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(ie.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(ie,Ee){if(typeof ie!="object"||!ie)return Ee;const ne={};for(const[Ce,Fe]of Object.entries(ie))Fe===!0&&(ne[Ce]=!0);return ne}}class J extends L{constructor(){const ie={enabled:!0,mode:"subwordSmart"};super(55,"inlineSuggest",ie,{"editor.inlineSuggest.enabled":{type:"boolean",default:ie.enabled,description:f.localize(92,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{enabled:w(Ee.enabled,this.defaultValue.enabled),mode:m(Ee.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class oe extends L{constructor(){const ie={enabled:e.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled};super(12,"bracketPairColorization",ie,{"editor.bracketPairColorization.enabled":{type:"boolean",default:ie.enabled,description:f.localize(93,null)}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{enabled:w(ie.enabled,this.defaultValue.enabled)}}}class Se extends L{constructor(){const ie={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",ie,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[f.localize(94,null),f.localize(95,null),f.localize(96,null)],default:ie.bracketPairs,description:f.localize(97,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[f.localize(98,null),f.localize(99,null),f.localize(100,null)],default:ie.bracketPairsHorizontal,description:f.localize(101,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:ie.highlightActiveBracketPair,description:f.localize(102,null)},"editor.guides.indentation":{type:"boolean",default:ie.indentation,description:f.localize(103,null)},"editor.guides.highlightActiveIndentation":{type:"boolean",default:ie.highlightActiveIndentation,description:f.localize(104,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{bracketPairs:Me(Ee.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:Me(Ee.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:w(Ee.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:w(Ee.indentation,this.defaultValue.indentation),highlightActiveIndentation:w(Ee.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation)}}}function Me(ee,ie,Ee){const ne=Ee.indexOf(ee);return ne===-1?ie:Ee[ne]}class Ge extends L{constructor(){const ie={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(106,"suggest",ie,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[f.localize(105,null),f.localize(106,null)],default:ie.insertMode,description:f.localize(107,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ie.filterGraceful,description:f.localize(108,null)},"editor.suggest.localityBonus":{type:"boolean",default:ie.localityBonus,description:f.localize(109,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ie.shareSuggestSelections,markdownDescription:f.localize(110,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ie.snippetsPreventQuickSuggestions,description:f.localize(111,null)},"editor.suggest.showIcons":{type:"boolean",default:ie.showIcons,description:f.localize(112,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ie.showStatusBar,description:f.localize(113,null)},"editor.suggest.preview":{type:"boolean",default:ie.preview,description:f.localize(114,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ie.showInlineDetails,description:f.localize(115,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:f.localize(116,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:f.localize(117,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:f.localize(118,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:f.localize(119,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:f.localize(120,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:f.localize(121,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:f.localize(122,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:f.localize(123,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:f.localize(124,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:f.localize(125,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:f.localize(126,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:f.localize(127,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:f.localize(128,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:f.localize(129,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:f.localize(130,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:f.localize(131,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:f.localize(132,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:f.localize(133,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:f.localize(134,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:f.localize(135,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:f.localize(136,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:f.localize(137,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:f.localize(138,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:f.localize(139,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:f.localize(140,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:f.localize(141,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:f.localize(142,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:f.localize(143,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:f.localize(144,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:f.localize(145,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:f.localize(146,null)}})}validate(ie){if(!ie||typeof ie!="object")return this.defaultValue;const Ee=ie;return{insertMode:m(Ee.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:w(Ee.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:w(Ee.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:w(Ee.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:w(Ee.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:w(Ee.showIcons,this.defaultValue.showIcons),showStatusBar:w(Ee.showStatusBar,this.defaultValue.showStatusBar),preview:w(Ee.preview,this.defaultValue.preview),previewMode:m(Ee.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:w(Ee.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:w(Ee.showMethods,this.defaultValue.showMethods),showFunctions:w(Ee.showFunctions,this.defaultValue.showFunctions),showConstructors:w(Ee.showConstructors,this.defaultValue.showConstructors),showDeprecated:w(Ee.showDeprecated,this.defaultValue.showDeprecated),showFields:w(Ee.showFields,this.defaultValue.showFields),showVariables:w(Ee.showVariables,this.defaultValue.showVariables),showClasses:w(Ee.showClasses,this.defaultValue.showClasses),showStructs:w(Ee.showStructs,this.defaultValue.showStructs),showInterfaces:w(Ee.showInterfaces,this.defaultValue.showInterfaces),showModules:w(Ee.showModules,this.defaultValue.showModules),showProperties:w(Ee.showProperties,this.defaultValue.showProperties),showEvents:w(Ee.showEvents,this.defaultValue.showEvents),showOperators:w(Ee.showOperators,this.defaultValue.showOperators),showUnits:w(Ee.showUnits,this.defaultValue.showUnits),showValues:w(Ee.showValues,this.defaultValue.showValues),showConstants:w(Ee.showConstants,this.defaultValue.showConstants),showEnums:w(Ee.showEnums,this.defaultValue.showEnums),showEnumMembers:w(Ee.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:w(Ee.showKeywords,this.defaultValue.showKeywords),showWords:w(Ee.showWords,this.defaultValue.showWords),showColors:w(Ee.showColors,this.defaultValue.showColors),showFiles:w(Ee.showFiles,this.defaultValue.showFiles),showReferences:w(Ee.showReferences,this.defaultValue.showReferences),showFolders:w(Ee.showFolders,this.defaultValue.showFolders),showTypeParameters:w(Ee.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:w(Ee.showSnippets,this.defaultValue.showSnippets),showUsers:w(Ee.showUsers,this.defaultValue.showUsers),showIssues:w(Ee.showIssues,this.defaultValue.showIssues)}}}class Ke extends L{constructor(){super(102,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:f.localize(147,null),default:!0,type:"boolean"}})}validate(ie){return!ie||typeof ie!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:w(ie.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class et extends E{constructor(){super(130)}compute(ie,Ee,ne){return Ee.get(81)?!0:ie.tabFocusMode}}var nt;(function(ee){ee[ee.None=0]="None",ee[ee.Same=1]="Same",ee[ee.Indent=2]="Indent",ee[ee.DeepIndent=3]="DeepIndent"})(nt=e.WrappingIndent||(e.WrappingIndent={}));function ct(ee){switch(ee){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class tt extends E{constructor(){super(132)}compute(ie,Ee,ne){const Ce=Ee.get(131);return{isDominatedByLongLines:ie.isDominatedByLongLines,isWordWrapMinified:Ce.isWordWrapMinified,isViewportWrapping:Ce.isViewportWrapping,wrappingColumn:Ce.wrappingColumn}}}const rt="Consolas, 'Courier New', monospace",dt="Menlo, Monaco, 'Courier New', monospace",pt="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:i.isMacintosh?dt:i.isLinux?pt:rt,fontWeight:"normal",fontSize:i.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!1}},e.editorOptionsRegistry=[];function xe(ee){return e.editorOptionsRegistry[ee.id]=ee,ee}var Tt;(function(ee){ee[ee.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",ee[ee.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",ee[ee.accessibilitySupport=2]="accessibilitySupport",ee[ee.accessibilityPageSize=3]="accessibilityPageSize",ee[ee.ariaLabel=4]="ariaLabel",ee[ee.autoClosingBrackets=5]="autoClosingBrackets",ee[ee.autoClosingDelete=6]="autoClosingDelete",ee[ee.autoClosingOvertype=7]="autoClosingOvertype",ee[ee.autoClosingQuotes=8]="autoClosingQuotes",ee[ee.autoIndent=9]="autoIndent",ee[ee.automaticLayout=10]="automaticLayout",ee[ee.autoSurround=11]="autoSurround",ee[ee.bracketPairColorization=12]="bracketPairColorization",ee[ee.guides=13]="guides",ee[ee.codeLens=14]="codeLens",ee[ee.codeLensFontFamily=15]="codeLensFontFamily",ee[ee.codeLensFontSize=16]="codeLensFontSize",ee[ee.colorDecorators=17]="colorDecorators",ee[ee.columnSelection=18]="columnSelection",ee[ee.comments=19]="comments",ee[ee.contextmenu=20]="contextmenu",ee[ee.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",ee[ee.cursorBlinking=22]="cursorBlinking",ee[ee.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",ee[ee.cursorStyle=24]="cursorStyle",ee[ee.cursorSurroundingLines=25]="cursorSurroundingLines",ee[ee.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",ee[ee.cursorWidth=27]="cursorWidth",ee[ee.disableLayerHinting=28]="disableLayerHinting",ee[ee.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",ee[ee.domReadOnly=30]="domReadOnly",ee[ee.dragAndDrop=31]="dragAndDrop",ee[ee.emptySelectionClipboard=32]="emptySelectionClipboard",ee[ee.extraEditorClassName=33]="extraEditorClassName",ee[ee.fastScrollSensitivity=34]="fastScrollSensitivity",ee[ee.find=35]="find",ee[ee.fixedOverflowWidgets=36]="fixedOverflowWidgets",ee[ee.folding=37]="folding",ee[ee.foldingStrategy=38]="foldingStrategy",ee[ee.foldingHighlight=39]="foldingHighlight",ee[ee.foldingImportsByDefault=40]="foldingImportsByDefault",ee[ee.foldingMaximumRegions=41]="foldingMaximumRegions",ee[ee.unfoldOnClickAfterEndOfLine=42]="unfoldOnClickAfterEndOfLine",ee[ee.fontFamily=43]="fontFamily",ee[ee.fontInfo=44]="fontInfo",ee[ee.fontLigatures=45]="fontLigatures",ee[ee.fontSize=46]="fontSize",ee[ee.fontWeight=47]="fontWeight",ee[ee.formatOnPaste=48]="formatOnPaste",ee[ee.formatOnType=49]="formatOnType",ee[ee.glyphMargin=50]="glyphMargin",ee[ee.gotoLocation=51]="gotoLocation",ee[ee.hideCursorInOverviewRuler=52]="hideCursorInOverviewRuler",ee[ee.hover=53]="hover",ee[ee.inDiffEditor=54]="inDiffEditor",ee[ee.inlineSuggest=55]="inlineSuggest",ee[ee.letterSpacing=56]="letterSpacing",ee[ee.lightbulb=57]="lightbulb",ee[ee.lineDecorationsWidth=58]="lineDecorationsWidth",ee[ee.lineHeight=59]="lineHeight",ee[ee.lineNumbers=60]="lineNumbers",ee[ee.lineNumbersMinChars=61]="lineNumbersMinChars",ee[ee.linkedEditing=62]="linkedEditing",ee[ee.links=63]="links",ee[ee.matchBrackets=64]="matchBrackets",ee[ee.minimap=65]="minimap",ee[ee.mouseStyle=66]="mouseStyle",ee[ee.mouseWheelScrollSensitivity=67]="mouseWheelScrollSensitivity",ee[ee.mouseWheelZoom=68]="mouseWheelZoom",ee[ee.multiCursorMergeOverlapping=69]="multiCursorMergeOverlapping",ee[ee.multiCursorModifier=70]="multiCursorModifier",ee[ee.multiCursorPaste=71]="multiCursorPaste",ee[ee.occurrencesHighlight=72]="occurrencesHighlight",ee[ee.overviewRulerBorder=73]="overviewRulerBorder",ee[ee.overviewRulerLanes=74]="overviewRulerLanes",ee[ee.padding=75]="padding",ee[ee.parameterHints=76]="parameterHints",ee[ee.peekWidgetDefaultFocus=77]="peekWidgetDefaultFocus",ee[ee.definitionLinkOpensInPeek=78]="definitionLinkOpensInPeek",ee[ee.quickSuggestions=79]="quickSuggestions",ee[ee.quickSuggestionsDelay=80]="quickSuggestionsDelay",ee[ee.readOnly=81]="readOnly",ee[ee.renameOnType=82]="renameOnType",ee[ee.renderControlCharacters=83]="renderControlCharacters",ee[ee.renderFinalNewline=84]="renderFinalNewline",ee[ee.renderLineHighlight=85]="renderLineHighlight",ee[ee.renderLineHighlightOnlyWhenFocus=86]="renderLineHighlightOnlyWhenFocus",ee[ee.renderValidationDecorations=87]="renderValidationDecorations",ee[ee.renderWhitespace=88]="renderWhitespace",ee[ee.revealHorizontalRightPadding=89]="revealHorizontalRightPadding",ee[ee.roundedSelection=90]="roundedSelection",ee[ee.rulers=91]="rulers",ee[ee.scrollbar=92]="scrollbar",ee[ee.scrollBeyondLastColumn=93]="scrollBeyondLastColumn",ee[ee.scrollBeyondLastLine=94]="scrollBeyondLastLine",ee[ee.scrollPredominantAxis=95]="scrollPredominantAxis",ee[ee.selectionClipboard=96]="selectionClipboard",ee[ee.selectionHighlight=97]="selectionHighlight",ee[ee.selectOnLineNumbers=98]="selectOnLineNumbers",ee[ee.showFoldingControls=99]="showFoldingControls",ee[ee.showUnused=100]="showUnused",ee[ee.snippetSuggestions=101]="snippetSuggestions",ee[ee.smartSelect=102]="smartSelect",ee[ee.smoothScrolling=103]="smoothScrolling",ee[ee.stickyTabStops=104]="stickyTabStops",ee[ee.stopRenderingLineAfter=105]="stopRenderingLineAfter",ee[ee.suggest=106]="suggest",ee[ee.suggestFontSize=107]="suggestFontSize",ee[ee.suggestLineHeight=108]="suggestLineHeight",ee[ee.suggestOnTriggerCharacters=109]="suggestOnTriggerCharacters",ee[ee.suggestSelection=110]="suggestSelection",ee[ee.tabCompletion=111]="tabCompletion",ee[ee.tabIndex=112]="tabIndex",ee[ee.unicodeHighlighting=113]="unicodeHighlighting",ee[ee.unusualLineTerminators=114]="unusualLineTerminators",ee[ee.useShadowDOM=115]="useShadowDOM",ee[ee.useTabStops=116]="useTabStops",ee[ee.wordSeparators=117]="wordSeparators",ee[ee.wordWrap=118]="wordWrap",ee[ee.wordWrapBreakAfterCharacters=119]="wordWrapBreakAfterCharacters",ee[ee.wordWrapBreakBeforeCharacters=120]="wordWrapBreakBeforeCharacters",ee[ee.wordWrapColumn=121]="wordWrapColumn",ee[ee.wordWrapOverride1=122]="wordWrapOverride1",ee[ee.wordWrapOverride2=123]="wordWrapOverride2",ee[ee.wrappingIndent=124]="wrappingIndent",ee[ee.wrappingStrategy=125]="wrappingStrategy",ee[ee.showDeprecated=126]="showDeprecated",ee[ee.inlayHints=127]="inlayHints",ee[ee.editorClassName=128]="editorClassName",ee[ee.pixelRatio=129]="pixelRatio",ee[ee.tabFocusMode=130]="tabFocusMode",ee[ee.layoutInfo=131]="layoutInfo",ee[ee.wrappingInfo=132]="wrappingInfo"})(Tt=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:xe(new v(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:f.localize(148,null)})),acceptSuggestionOnEnter:xe(new a(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",f.localize(149,null),""],markdownDescription:f.localize(150,null)})),accessibilitySupport:xe(new t),accessibilityPageSize:xe(new _(3,"accessibilityPageSize",10,1,1073741824,{description:f.localize(151,null)})),ariaLabel:xe(new n(4,"ariaLabel",f.localize(152,null))),autoClosingBrackets:xe(new a(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",f.localize(153,null),f.localize(154,null),""],description:f.localize(155,null)})),autoClosingDelete:xe(new a(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",f.localize(156,null),""],description:f.localize(157,null)})),autoClosingOvertype:xe(new a(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",f.localize(158,null),""],description:f.localize(159,null)})),autoClosingQuotes:xe(new a(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",f.localize(160,null),f.localize(161,null),""],description:f.localize(162,null)})),autoIndent:xe(new S(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],r,{enumDescriptions:[f.localize(163,null),f.localize(164,null),f.localize(165,null),f.localize(166,null),f.localize(167,null)],description:f.localize(168,null)})),automaticLayout:xe(new v(10,"automaticLayout",!1)),autoSurround:xe(new a(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[f.localize(169,null),f.localize(170,null),f.localize(171,null),""],description:f.localize(172,null)})),bracketPairColorization:xe(new oe),bracketPairGuides:xe(new Se),stickyTabStops:xe(new v(104,"stickyTabStops",!1,{description:f.localize(173,null)})),codeLens:xe(new v(14,"codeLens",!0,{description:f.localize(174,null)})),codeLensFontFamily:xe(new n(15,"codeLensFontFamily","",{description:f.localize(175,null)})),codeLensFontSize:xe(new _(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:f.localize(176,null)})),colorDecorators:xe(new v(17,"colorDecorators",!0,{description:f.localize(177,null)})),columnSelection:xe(new v(18,"columnSelection",!1,{description:f.localize(178,null)})),comments:xe(new o),contextmenu:xe(new v(20,"contextmenu",!0)),copyWithSyntaxHighlighting:xe(new v(21,"copyWithSyntaxHighlighting",!0,{description:f.localize(179,null)})),cursorBlinking:xe(new S(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],l,{description:f.localize(180,null)})),cursorSmoothCaretAnimation:xe(new v(23,"cursorSmoothCaretAnimation",!1,{description:f.localize(181,null)})),cursorStyle:xe(new S(24,"cursorStyle",u.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],b,{description:f.localize(182,null)})),cursorSurroundingLines:xe(new _(25,"cursorSurroundingLines",0,0,1073741824,{description:f.localize(183,null)})),cursorSurroundingLinesStyle:xe(new a(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[f.localize(184,null),f.localize(185,null)],description:f.localize(186,null)})),cursorWidth:xe(new _(27,"cursorWidth",0,0,1073741824,{markdownDescription:f.localize(187,null)})),disableLayerHinting:xe(new v(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:xe(new v(29,"disableMonospaceOptimizations",!1)),domReadOnly:xe(new v(30,"domReadOnly",!1)),dragAndDrop:xe(new v(31,"dragAndDrop",!0,{description:f.localize(188,null)})),emptySelectionClipboard:xe(new k),extraEditorClassName:xe(new n(33,"extraEditorClassName","")),fastScrollSensitivity:xe(new s(34,"fastScrollSensitivity",5,ee=>ee<=0?5:ee,{markdownDescription:f.localize(189,null)})),find:xe(new O),fixedOverflowWidgets:xe(new v(36,"fixedOverflowWidgets",!1)),folding:xe(new v(37,"folding",!0,{description:f.localize(190,null)})),foldingStrategy:xe(new a(38,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[f.localize(191,null),f.localize(192,null)],description:f.localize(193,null)})),foldingHighlight:xe(new v(39,"foldingHighlight",!0,{description:f.localize(194,null)})),foldingImportsByDefault:xe(new v(40,"foldingImportsByDefault",!1,{description:f.localize(195,null)})),foldingMaximumRegions:xe(new _(41,"foldingMaximumRegions",5e3,10,65e3,{description:f.localize(196,null)})),unfoldOnClickAfterEndOfLine:xe(new v(42,"unfoldOnClickAfterEndOfLine",!1,{description:f.localize(197,null)})),fontFamily:xe(new n(43,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:f.localize(198,null)})),fontInfo:xe(new F),fontLigatures2:xe(new U),fontSize:xe(new M),fontWeight:xe(new V),formatOnPaste:xe(new v(48,"formatOnPaste",!1,{description:f.localize(199,null)})),formatOnType:xe(new v(49,"formatOnType",!1,{description:f.localize(200,null)})),glyphMargin:xe(new v(50,"glyphMargin",!0,{description:f.localize(201,null)})),gotoLocation:xe(new H),hideCursorInOverviewRuler:xe(new v(52,"hideCursorInOverviewRuler",!1,{description:f.localize(202,null)})),hover:xe(new N),inDiffEditor:xe(new v(54,"inDiffEditor",!1)),letterSpacing:xe(new s(56,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,ee=>s.clamp(ee,-5,20),{description:f.localize(203,null)})),lightbulb:xe(new B),lineDecorationsWidth:xe(new g(58,"lineDecorationsWidth",10)),lineHeight:xe(new Z),lineNumbers:xe(new Ue),lineNumbersMinChars:xe(new _(61,"lineNumbersMinChars",5,1,300)),linkedEditing:xe(new v(62,"linkedEditing",!1,{description:f.localize(204,null)})),links:xe(new v(63,"links",!0,{description:f.localize(205,null)})),matchBrackets:xe(new a(64,"matchBrackets","always",["always","near","never"],{description:f.localize(206,null)})),minimap:xe(new se),mouseStyle:xe(new a(66,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:xe(new s(67,"mouseWheelScrollSensitivity",1,ee=>ee===0?1:ee,{markdownDescription:f.localize(207,null)})),mouseWheelZoom:xe(new v(68,"mouseWheelZoom",!1,{markdownDescription:f.localize(208,null)})),multiCursorMergeOverlapping:xe(new v(69,"multiCursorMergeOverlapping",!0,{description:f.localize(209,null)})),multiCursorModifier:xe(new S(70,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],Q,{markdownEnumDescriptions:[f.localize(210,null),f.localize(211,null)],markdownDescription:f.localize(212,null)})),multiCursorPaste:xe(new a(71,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[f.localize(213,null),f.localize(214,null)],markdownDescription:f.localize(215,null)})),occurrencesHighlight:xe(new v(72,"occurrencesHighlight",!0,{description:f.localize(216,null)})),overviewRulerBorder:xe(new v(73,"overviewRulerBorder",!0,{description:f.localize(217,null)})),overviewRulerLanes:xe(new _(74,"overviewRulerLanes",3,0,3)),padding:xe(new z),parameterHints:xe(new te),peekWidgetDefaultFocus:xe(new a(77,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[f.localize(218,null),f.localize(219,null)],description:f.localize(220,null)})),definitionLinkOpensInPeek:xe(new v(78,"definitionLinkOpensInPeek",!1,{description:f.localize(221,null)})),quickSuggestions:xe(new ge),quickSuggestionsDelay:xe(new _(80,"quickSuggestionsDelay",10,0,1073741824,{description:f.localize(222,null)})),readOnly:xe(new v(81,"readOnly",!1)),renameOnType:xe(new v(82,"renameOnType",!1,{description:f.localize(223,null),markdownDeprecationMessage:f.localize(224,null)})),renderControlCharacters:xe(new v(83,"renderControlCharacters",!0,{description:f.localize(225,null),restricted:!0})),renderFinalNewline:xe(new v(84,"renderFinalNewline",!0,{description:f.localize(226,null)})),renderLineHighlight:xe(new a(85,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",f.localize(227,null)],description:f.localize(228,null)})),renderLineHighlightOnlyWhenFocus:xe(new v(86,"renderLineHighlightOnlyWhenFocus",!1,{description:f.localize(229,null)})),renderValidationDecorations:xe(new a(87,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:xe(new a(88,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",f.localize(230,null),f.localize(231,null),f.localize(232,null),""],description:f.localize(233,null)})),revealHorizontalRightPadding:xe(new _(89,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:xe(new v(90,"roundedSelection",!0,{description:f.localize(234,null)})),rulers:xe(new q),scrollbar:xe(new re),scrollBeyondLastColumn:xe(new _(93,"scrollBeyondLastColumn",5,0,1073741824,{description:f.localize(235,null)})),scrollBeyondLastLine:xe(new v(94,"scrollBeyondLastLine",!0,{description:f.localize(236,null)})),scrollPredominantAxis:xe(new v(95,"scrollPredominantAxis",!0,{description:f.localize(237,null)})),selectionClipboard:xe(new v(96,"selectionClipboard",!0,{description:f.localize(238,null),included:i.isLinux})),selectionHighlight:xe(new v(97,"selectionHighlight",!0,{description:f.localize(239,null)})),selectOnLineNumbers:xe(new v(98,"selectOnLineNumbers",!0)),showFoldingControls:xe(new a(99,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[f.localize(240,null),f.localize(241,null)],description:f.localize(242,null)})),showUnused:xe(new v(100,"showUnused",!0,{description:f.localize(243,null)})),showDeprecated:xe(new v(126,"showDeprecated",!0,{description:f.localize(244,null)})),inlayHints:xe(new j),snippetSuggestions:xe(new a(101,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[f.localize(245,null),f.localize(246,null),f.localize(247,null),f.localize(248,null)],description:f.localize(249,null)})),smartSelect:xe(new Ke),smoothScrolling:xe(new v(103,"smoothScrolling",!1,{description:f.localize(250,null)})),stopRenderingLineAfter:xe(new _(105,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:xe(new Ge),inlineSuggest:xe(new J),suggestFontSize:xe(new _(107,"suggestFontSize",0,0,1e3,{markdownDescription:f.localize(251,null)})),suggestLineHeight:xe(new _(108,"suggestLineHeight",0,0,1e3,{markdownDescription:f.localize(252,null)})),suggestOnTriggerCharacters:xe(new v(109,"suggestOnTriggerCharacters",!0,{description:f.localize(253,null)})),suggestSelection:xe(new a(110,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[f.localize(254,null),f.localize(255,null),f.localize(256,null)],description:f.localize(257,null)})),tabCompletion:xe(new a(111,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[f.localize(258,null),f.localize(259,null),f.localize(260,null)],description:f.localize(261,null)})),tabIndex:xe(new _(112,"tabIndex",0,-1,1073741824)),unicodeHighlight:xe(new le),unusualLineTerminators:xe(new a(114,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[f.localize(262,null),f.localize(263,null),f.localize(264,null)],description:f.localize(265,null)})),useShadowDOM:xe(new v(115,"useShadowDOM",!0)),useTabStops:xe(new v(116,"useTabStops",!0,{description:f.localize(266,null)})),wordSeparators:xe(new n(117,"wordSeparators",I.USUAL_WORD_SEPARATORS,{description:f.localize(267,null)})),wordWrap:xe(new a(118,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[f.localize(268,null),f.localize(269,null),f.localize(270,null),f.localize(271,null)],description:f.localize(272,null)})),wordWrapBreakAfterCharacters:xe(new n(119,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:xe(new n(120,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:xe(new _(121,"wordWrapColumn",80,1,1073741824,{markdownDescription:f.localize(273,null)})),wordWrapOverride1:xe(new a(122,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:xe(new a(123,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:xe(new S(124,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],ct,{enumDescriptions:[f.localize(274,null),f.localize(275,null),f.localize(276,null),f.localize(277,null)],description:f.localize(278,null)})),wrappingStrategy:xe(new a(125,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[f.localize(279,null),f.localize(280,null)],description:f.localize(281,null)})),editorClassName:xe(new p),pixelRatio:xe(new he),tabFocusMode:xe(new et),layoutInfo:xe(new W),wrappingInfo:xe(new tt)}}),define(pe[156],ve([19,20]),function(X,e){return X.create("vs/platform/configuration/common/configurationRegistry",e)}),define(pe[157],ve([19,20]),function(X,e){return X.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(pe[158],ve([19,20]),function(X,e){return X.create("vs/platform/extensions/common/extensionValidator",e)}),define(pe[159],ve([19,20]),function(X,e){return X.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(pe[160],ve([19,20]),function(X,e){return X.create("vs/platform/files/common/files",e)}),define(pe[161],ve([19,20]),function(X,e){return X.create("vs/platform/markers/common/markers",e)}),define(pe[162],ve([19,20]),function(X,e){return X.create("vs/platform/workspaces/common/workspaces",e)}),define(pe[163],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(pe[164],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostExtensionService",e)}),define(pe[165],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostProgress",e)}),define(pe[166],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostStatusBar",e)}),define(pe[167],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostTerminalService",e)}),define(pe[168],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostTreeViews",e)}),define(pe[169],ve([19,20]),function(X,e){return X.create("vs/workbench/api/common/extHostWorkspace",e)}),define(pe[170],ve([19,20]),function(X,e){return X.create("vs/workbench/api/node/extHostDebugService",e)}),define(pe[171],ve([19,20]),function(X,e){return X.create("vs/workbench/api/node/extHostTunnelService",e)}),define(pe[172],ve([19,20]),function(X,e){return X.create("vs/workbench/common/editor",e)}),define(pe[173],ve([19,20]),function(X,e){return X.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(pe[174],ve([19,20]),function(X,e){return X.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(pe[175],ve([19,20]),function(X,e){return X.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(pe[176],ve([19,20]),function(X,e){return X.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(pe[177],ve([19,20]),function(X,e){return X.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(pe[178],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorResolution=e.EditorActivation=void 0;var f;(function(T){T[T.ACTIVATE=1]="ACTIVATE",T[T.RESTORE=2]="RESTORE",T[T.PRESERVE=3]="PRESERVE"})(f=e.EditorActivation||(e.EditorActivation={}));var i;(function(T){T[T.PICK=0]="PICK",T[T.DISABLED=1]="DISABLED",T[T.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(i=e.EditorResolution||(e.EditorResolution={}));var I;(function(T){T[T.API=0]="API",T[T.USER=1]="USER"})(I=e.EditorOpenContext||(e.EditorOpenContext={}));var C;(function(T){T[T.Center=0]="Center",T[T.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",T[T.NearTop=2]="NearTop",T[T.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(C=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(pe[179],ve([0,1,158]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const i=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,I=/^-(\d{4})(\d{2})(\d{2})$/;function C(c){return c=c.trim(),c==="*"||i.test(c)}e.isValidVersionStr=C;function T(c){if(!C(c))return null;if(c=c.trim(),c==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let E=c.match(i);return E?{hasCaret:E[1]==="^",hasGreaterEquals:E[1]===">=",majorBase:E[2]==="x"?0:parseInt(E[2],10),majorMustEqual:E[2]!=="x",minorBase:E[4]==="x"?0:parseInt(E[4],10),minorMustEqual:E[4]!=="x",patchBase:E[6]==="x"?0:parseInt(E[6],10),patchMustEqual:E[6]!=="x",preRelease:E[8]||null}:null}e.parseVersion=T;function P(c){if(!c)return null;let E=c.majorBase,g=c.majorMustEqual,w=c.minorBase,v=c.minorMustEqual,R=c.patchBase,_=c.patchMustEqual;c.hasCaret&&(E===0||(v=!1),_=!1);let s=0;if(c.preRelease){const n=I.exec(c.preRelease);if(n){const[,m,a,S]=n;s=Date.UTC(Number(m),Number(a)-1,Number(S))}}return{majorBase:E,majorMustEqual:g,minorBase:w,minorMustEqual:v,patchBase:R,patchMustEqual:_,isMinimum:c.hasGreaterEquals,notBefore:s}}e.normalizeVersion=P;function y(c,E,g){let w;typeof c=="string"?w=P(T(c)):w=c;let v;E instanceof Date?v=E.getTime():typeof E=="string"&&(v=new Date(E).getTime());let R;if(typeof g=="string"?R=P(T(g)):R=g,!w||!R)return!1;let _=w.majorBase,s=w.minorBase,n=w.patchBase,m=R.majorBase,a=R.minorBase,S=R.patchBase,r=R.notBefore,t=R.majorMustEqual,o=R.minorMustEqual,d=R.patchMustEqual;return R.isMinimum?_>m?!0:_<m?!1:s>a?!0:s<a||v&&v<r?!1:n>=S:(_===1&&m===0&&(!t||!o||!d)&&(m=1,a=0,S=0,t=!0,o=!1,d=!1),_<m?!1:_>m?!t:s<a?!1:s>a?!o:n<S?!1:n>S?!d:!(v&&v<r))}e.isValidVersion=y;function A(c,E,g,w){return g.isBuiltin||typeof g.main=="undefined"?!0:D(c,E,g.engines.vscode,w)}e.isValidExtensionVersion=A;function L(c,E,g){return c==="*"||D(E,g,c)}e.isEngineValid=L;function D(c,E,g,w=[]){let v=P(T(g));if(!v)return w.push(f.localize(0,null,g)),!1;if(v.majorBase===0){if(!v.majorMustEqual||!v.minorMustEqual)return w.push(f.localize(1,null,g)),!1}else if(!v.majorMustEqual)return w.push(f.localize(2,null,g)),!1;return y(c,E,v)?!0:(w.push(f.localize(3,null,c,g)),!1)}}),define(pe[115],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class f{constructor(I,C=[],T=!1){this.ctor=I,this.staticArguments=C,this.supportsDelayedInstantiation=T}}e.SyncDescriptor=f}),define(pe[61],ve([0,1,115]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const i=[];function I(T,P,y){P instanceof f.SyncDescriptor||(P=new f.SyncDescriptor(P,[],y)),i.push([T,P])}e.registerSingleton=I;function C(){return i}e.getSingletonServiceDescriptors=C}),define(pe[180],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class f{constructor(C){this.incoming=new Map,this.outgoing=new Map,this.data=C}}e.Node=f;class i{constructor(C){this._hashFn=C,this._nodes=new Map}roots(){const C=[];for(let T of this._nodes.values())T.outgoing.size===0&&C.push(T);return C}insertEdge(C,T){const P=this.lookupOrInsertNode(C),y=this.lookupOrInsertNode(T);P.outgoing.set(this._hashFn(T),y),y.incoming.set(this._hashFn(C),P)}removeNode(C){const T=this._hashFn(C);this._nodes.delete(T);for(let P of this._nodes.values())P.outgoing.delete(T),P.incoming.delete(T)}lookupOrInsertNode(C){const T=this._hashFn(C);let P=this._nodes.get(T);return P||(P=new f(C),this._nodes.set(T,P)),P}lookup(C){return this._nodes.get(this._hashFn(C))}isEmpty(){return this._nodes.size===0}toString(){let C=[];for(let[T,P]of this._nodes)C.push(`${T}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return C.join(`
`)}findCycleSlow(){for(let[C,T]of this._nodes){const P=new Set([C]),y=this._findCycle(T,P);if(y)return y}}_findCycle(C,T){for(let[P,y]of C.outgoing){if(T.has(P))return[...T,P].join(" -> ");T.add(P);const A=this._findCycle(y,T);if(A)return A;T.delete(P)}}}e.Graph=i}),define(pe[4],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var f;(function(T){T.serviceIds=new Map,T.DI_TARGET="$di$target",T.DI_DEPENDENCIES="$di$dependencies";function P(y){return y[T.DI_DEPENDENCIES]||[]}T.getServiceDependencies=P})(f=e._util||(e._util={})),e.IInstantiationService=I("instantiationService");function i(T,P,y,A){P[f.DI_TARGET]===P?P[f.DI_DEPENDENCIES].push({id:T,index:y,optional:A}):(P[f.DI_DEPENDENCIES]=[{id:T,index:y,optional:A}],P[f.DI_TARGET]=P)}function I(T){if(f.serviceIds.has(T))return f.serviceIds.get(T);const P=function(y,A,L){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");i(P,y,L,!1)};return P.toString=()=>T,f.serviceIds.set(T,P),P}e.createDecorator=I;function C(T){return T}e.refineServiceDecorator=C}),define(pe[181],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,f.createDecorator)("modelService");function i(I){return!I.isTooLargeForSyncing()&&!I.isForSimpleWidget}e.shouldSynchronizeModel=i}),define(pe[182],ve([0,1,3,47,6,24,79,83,181]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function A(w){return typeof w=="string"?!1:Array.isArray(w)?w.every(A):!!w.exclusive}class L{constructor(){this._clock=0,this._entries=[],this._onDidChange=new f.Emitter}get onDidChange(){return this._onDidChange.event}register(v,R){let _={selector:v,provider:R,_score:-1,_time:this._clock++};return this._entries.push(_),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,I.toDisposable)(()=>{if(_){const s=this._entries.indexOf(_);s>=0&&(this._entries.splice(s,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),_=void 0)}})}has(v){return this.all(v).length>0}all(v){if(!v)return[];this._updateScores(v);const R=[];for(let _ of this._entries)_._score>0&&R.push(_.provider);return R}ordered(v){const R=[];return this._orderedForEach(v,_=>R.push(_.provider)),R}orderedGroups(v){const R=[];let _,s;return this._orderedForEach(v,n=>{_&&s===n._score?_.push(n.provider):(s=n._score,_=[n.provider],R.push(_))}),R}_orderedForEach(v,R){if(!!v){this._updateScores(v);for(const _ of this._entries)_._score>0&&R(_)}}_updateScores(v){const R={uri:v.uri.toString(),language:v.getLanguageId()};if(!(this._lastCandidate&&this._lastCandidate.language===R.language&&this._lastCandidate.uri===R.uri)){this._lastCandidate=R;for(let _ of this._entries)if(_._score=(0,P.score)(_.selector,v.uri,v.getLanguageId(),(0,y.shouldSynchronizeModel)(v)),A(_.selector)&&_._score>0){for(let s of this._entries)s._score=0;_._score=1e3;break}this._entries.sort(L._compareByScoreAndTime)}}static _compareByScoreAndTime(v,R){return v._score<R._score?1:v._score>R._score?-1:v._time<R._time?1:v._time>R._time?-1:0}}e.LanguageFeatureRegistry=L;const D=new WeakMap;let c=0;function E(w){let v=D.get(w);return v===void 0&&(v=++c,D.set(w,v)),v}class g{constructor(v,R,_=Number.MAX_SAFE_INTEGER){this._registry=v,this.min=R,this.max=_,this._cache=new C.LRUCache(50,.7)}_key(v){return v.id+this._registry.all(v).reduce((R,_)=>(0,i.doHash)(E(_),R),0)}_clamp(v){return v===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(v*1.3)))}get(v){const R=this._key(v),_=this._cache.get(R);return this._clamp(_?.value)}update(v,R){const _=this._key(v);let s=this._cache.get(_);return s||(s=new T.MovingAverage,this._cache.set(_,s)),s.update(R),this.get(v)}}e.LanguageFeatureRequestDelays=g}),define(pe[84],ve([0,1,2,41,182,148,74]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlayHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.InlineCompletionsProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageId=void 0;var P;(function(p){p[p.Null=0]="Null",p[p.PlainText=1]="PlainText"})(P=e.LanguageId||(e.LanguageId={}));var y;(function(p){p[p.NotSet=-1]="NotSet",p[p.None=0]="None",p[p.Italic=1]="Italic",p[p.Bold=2]="Bold",p[p.Underline=4]="Underline",p[p.Strikethrough=8]="Strikethrough"})(y=e.FontStyle||(e.FontStyle={}));var A;(function(p){p[p.None=0]="None",p[p.DefaultForeground=1]="DefaultForeground",p[p.DefaultBackground=2]="DefaultBackground"})(A=e.ColorId||(e.ColorId={}));var L;(function(p){p[p.Other=0]="Other",p[p.Comment=1]="Comment",p[p.String=2]="String",p[p.RegEx=3]="RegEx"})(L=e.StandardTokenType||(e.StandardTokenType={}));var D;(function(p){p[p.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",p[p.TOKEN_TYPE_MASK=768]="TOKEN_TYPE_MASK",p[p.FONT_STYLE_MASK=15360]="FONT_STYLE_MASK",p[p.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",p[p.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",p[p.ITALIC_MASK=1024]="ITALIC_MASK",p[p.BOLD_MASK=2048]="BOLD_MASK",p[p.UNDERLINE_MASK=4096]="UNDERLINE_MASK",p[p.STRIKETHROUGH_MASK=8192]="STRIKETHROUGH_MASK",p[p.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",p[p.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",p[p.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",p[p.SEMANTIC_USE_STRIKETHROUGH=8]="SEMANTIC_USE_STRIKETHROUGH",p[p.SEMANTIC_USE_FOREGROUND=16]="SEMANTIC_USE_FOREGROUND",p[p.SEMANTIC_USE_BACKGROUND=32]="SEMANTIC_USE_BACKGROUND",p[p.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",p[p.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",p[p.FONT_STYLE_OFFSET=10]="FONT_STYLE_OFFSET",p[p.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",p[p.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(D=e.MetadataConsts||(e.MetadataConsts={}));class c{static getLanguageId(k){return(k&255)>>>0}static getTokenType(k){return(k&768)>>>8}static getFontStyle(k){return(k&15360)>>>10}static getForeground(k){return(k&8372224)>>>14}static getBackground(k){return(k&4286578688)>>>23}static getClassNameFromMetadata(k){const O=this.getForeground(k);let U="mtk"+O;const F=this.getFontStyle(k);return F&1&&(U+=" mtki"),F&2&&(U+=" mtkb"),F&4&&(U+=" mtku"),F&8&&(U+=" mtks"),U}static getInlineStyleFromMetadata(k,O){const U=this.getForeground(k),F=this.getFontStyle(k);let M=`color: ${O[U]};`;F&1&&(M+="font-style: italic;"),F&2&&(M+="font-weight: bold;");let V="";return F&4&&(V+=" underline"),F&8&&(V+=" line-through"),V&&(M+=`text-decoration:${V};`),M}static getPresentationFromMetadata(k){const O=this.getForeground(k),U=this.getFontStyle(k);return{foreground:O,italic:Boolean(U&1),bold:Boolean(U&2),underline:Boolean(U&4),strikethrough:Boolean(U&8)}}}e.TokenMetadata=c;var E;(function(p){p[p.Method=0]="Method",p[p.Function=1]="Function",p[p.Constructor=2]="Constructor",p[p.Field=3]="Field",p[p.Variable=4]="Variable",p[p.Class=5]="Class",p[p.Struct=6]="Struct",p[p.Interface=7]="Interface",p[p.Module=8]="Module",p[p.Property=9]="Property",p[p.Event=10]="Event",p[p.Operator=11]="Operator",p[p.Unit=12]="Unit",p[p.Value=13]="Value",p[p.Constant=14]="Constant",p[p.Enum=15]="Enum",p[p.EnumMember=16]="EnumMember",p[p.Keyword=17]="Keyword",p[p.Text=18]="Text",p[p.Color=19]="Color",p[p.File=20]="File",p[p.Reference=21]="Reference",p[p.Customcolor=22]="Customcolor",p[p.Folder=23]="Folder",p[p.TypeParameter=24]="TypeParameter",p[p.User=25]="User",p[p.Issue=26]="Issue",p[p.Snippet=27]="Snippet"})(E=e.CompletionItemKind||(e.CompletionItemKind={}));var g;(function(p){const k=new Map;k.set(0,T.Codicon.symbolMethod),k.set(1,T.Codicon.symbolFunction),k.set(2,T.Codicon.symbolConstructor),k.set(3,T.Codicon.symbolField),k.set(4,T.Codicon.symbolVariable),k.set(5,T.Codicon.symbolClass),k.set(6,T.Codicon.symbolStruct),k.set(7,T.Codicon.symbolInterface),k.set(8,T.Codicon.symbolModule),k.set(9,T.Codicon.symbolProperty),k.set(10,T.Codicon.symbolEvent),k.set(11,T.Codicon.symbolOperator),k.set(12,T.Codicon.symbolUnit),k.set(13,T.Codicon.symbolValue),k.set(15,T.Codicon.symbolEnum),k.set(14,T.Codicon.symbolConstant),k.set(15,T.Codicon.symbolEnum),k.set(16,T.Codicon.symbolEnumMember),k.set(17,T.Codicon.symbolKeyword),k.set(27,T.Codicon.symbolSnippet),k.set(18,T.Codicon.symbolText),k.set(19,T.Codicon.symbolColor),k.set(20,T.Codicon.symbolFile),k.set(21,T.Codicon.symbolReference),k.set(22,T.Codicon.symbolCustomColor),k.set(23,T.Codicon.symbolFolder),k.set(24,T.Codicon.symbolTypeParameter),k.set(25,T.Codicon.account),k.set(26,T.Codicon.issues);function O(M){let V=k.get(M);return V||(console.info("No codicon found for CompletionItemKind "+M),V=T.Codicon.symbolProperty),V}p.toIcon=O;const U=new Map;U.set("method",0),U.set("function",1),U.set("constructor",2),U.set("field",3),U.set("variable",4),U.set("class",5),U.set("struct",6),U.set("interface",7),U.set("module",8),U.set("property",9),U.set("event",10),U.set("operator",11),U.set("unit",12),U.set("value",13),U.set("constant",14),U.set("enum",15),U.set("enum-member",16),U.set("enumMember",16),U.set("keyword",17),U.set("snippet",27),U.set("text",18),U.set("color",19),U.set("file",20),U.set("reference",21),U.set("customcolor",22),U.set("folder",23),U.set("type-parameter",24),U.set("typeParameter",24),U.set("account",25),U.set("issue",26);function F(M,V){let H=U.get(M);return typeof H=="undefined"&&!V&&(H=9),H}p.fromString=F})(g=e.CompletionItemKinds||(e.CompletionItemKinds={}));var w;(function(p){p[p.Deprecated=1]="Deprecated"})(w=e.CompletionItemTag||(e.CompletionItemTag={}));var v;(function(p){p[p.KeepWhitespace=1]="KeepWhitespace",p[p.InsertAsSnippet=4]="InsertAsSnippet"})(v=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var R;(function(p){p[p.Invoke=0]="Invoke",p[p.TriggerCharacter=1]="TriggerCharacter",p[p.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(R=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var _;(function(p){p[p.Automatic=0]="Automatic",p[p.Explicit=1]="Explicit"})(_=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var s;(function(p){p[p.Invoke=1]="Invoke",p[p.Auto=2]="Auto"})(s=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var n;(function(p){p[p.Invoke=1]="Invoke",p[p.TriggerCharacter=2]="TriggerCharacter",p[p.ContentChange=3]="ContentChange"})(n=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var m;(function(p){p[p.Text=0]="Text",p[p.Read=1]="Read",p[p.Write=2]="Write"})(m=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function a(p){return p&&f.URI.isUri(p.uri)&&i.Range.isIRange(p.range)&&(i.Range.isIRange(p.originSelectionRange)||i.Range.isIRange(p.targetSelectionRange))}e.isLocationLink=a;var S;(function(p){p[p.File=0]="File",p[p.Module=1]="Module",p[p.Namespace=2]="Namespace",p[p.Package=3]="Package",p[p.Class=4]="Class",p[p.Method=5]="Method",p[p.Property=6]="Property",p[p.Field=7]="Field",p[p.Constructor=8]="Constructor",p[p.Enum=9]="Enum",p[p.Interface=10]="Interface",p[p.Function=11]="Function",p[p.Variable=12]="Variable",p[p.Constant=13]="Constant",p[p.String=14]="String",p[p.Number=15]="Number",p[p.Boolean=16]="Boolean",p[p.Array=17]="Array",p[p.Object=18]="Object",p[p.Key=19]="Key",p[p.Null=20]="Null",p[p.EnumMember=21]="EnumMember",p[p.Struct=22]="Struct",p[p.Event=23]="Event",p[p.Operator=24]="Operator",p[p.TypeParameter=25]="TypeParameter"})(S=e.SymbolKind||(e.SymbolKind={}));var r;(function(p){p[p.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var t;(function(p){const k=new Map;k.set(0,T.Codicon.symbolFile),k.set(1,T.Codicon.symbolModule),k.set(2,T.Codicon.symbolNamespace),k.set(3,T.Codicon.symbolPackage),k.set(4,T.Codicon.symbolClass),k.set(5,T.Codicon.symbolMethod),k.set(6,T.Codicon.symbolProperty),k.set(7,T.Codicon.symbolField),k.set(8,T.Codicon.symbolConstructor),k.set(9,T.Codicon.symbolEnum),k.set(10,T.Codicon.symbolInterface),k.set(11,T.Codicon.symbolFunction),k.set(12,T.Codicon.symbolVariable),k.set(13,T.Codicon.symbolConstant),k.set(14,T.Codicon.symbolString),k.set(15,T.Codicon.symbolNumber),k.set(16,T.Codicon.symbolBoolean),k.set(17,T.Codicon.symbolArray),k.set(18,T.Codicon.symbolObject),k.set(19,T.Codicon.symbolKey),k.set(20,T.Codicon.symbolNull),k.set(21,T.Codicon.symbolEnumMember),k.set(22,T.Codicon.symbolStruct),k.set(23,T.Codicon.symbolEvent),k.set(24,T.Codicon.symbolOperator),k.set(25,T.Codicon.symbolTypeParameter);function O(U){let F=k.get(U);return F||(console.info("No codicon found for SymbolKind "+U),F=T.Codicon.symbolProperty),F}p.toIcon=O})(t=e.SymbolKinds||(e.SymbolKinds={}));class o{constructor(k){this.value=k}}e.FoldingRangeKind=o,o.Comment=new o("comment"),o.Imports=new o("imports"),o.Region=new o("region");var d;(function(p){function k(O){return!O||typeof O!="object"?!1:typeof O.id=="string"&&typeof O.title=="string"}p.is=k})(d=e.Command||(e.Command={}));var l;(function(p){p[p.Collapsed=0]="Collapsed",p[p.Expanded=1]="Expanded"})(l=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var u;(function(p){p[p.Editing=0]="Editing",p[p.Preview=1]="Preview"})(u=e.CommentMode||(e.CommentMode={}));var h;(function(p){p[p.Other=0]="Other",p[p.Type=1]="Type",p[p.Parameter=2]="Parameter"})(h=e.InlayHintKind||(e.InlayHintKind={})),e.ReferenceProviderRegistry=new I.LanguageFeatureRegistry,e.RenameProviderRegistry=new I.LanguageFeatureRegistry,e.CompletionProviderRegistry=new I.LanguageFeatureRegistry,e.InlineCompletionsProviderRegistry=new I.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new I.LanguageFeatureRegistry,e.HoverProviderRegistry=new I.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new I.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new I.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new I.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new I.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new I.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new I.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new I.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new I.LanguageFeatureRegistry,e.InlayHintsProviderRegistry=new I.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new I.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new I.LanguageFeatureRegistry,e.LinkProviderRegistry=new I.LanguageFeatureRegistry,e.ColorProviderRegistry=new I.LanguageFeatureRegistry,e.SelectionRangeRegistry=new I.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new I.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new I.LanguageFeatureRegistry,e.TokenizationRegistry=new C.TokenizationRegistry;var b;(function(p){p[p.None=0]="None",p[p.Option=1]="Option",p[p.Default=2]="Default",p[p.Preferred=3]="Preferred"})(b=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(pe[116],ve([0,1,13,2,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,I.createDecorator)("configurationService");function C(v){return v&&typeof v=="object"&&(!v.overrideIdentifier||typeof v.overrideIdentifier=="string")&&(!v.resource||v.resource instanceof i.URI)}e.isConfigurationOverrides=C;function T(v){return v&&typeof v=="object"&&(!v.overrideIdentifiers||f.isArray(v.overrideIdentifiers))&&!v.overrideIdentifier&&(!v.resource||v.resource instanceof i.URI)}e.isConfigurationUpdateOverrides=T;var P;(function(v){v[v.USER=1]="USER",v[v.USER_LOCAL=2]="USER_LOCAL",v[v.USER_REMOTE=3]="USER_REMOTE",v[v.WORKSPACE=4]="WORKSPACE",v[v.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",v[v.DEFAULT=6]="DEFAULT",v[v.MEMORY=7]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function y(v){switch(v){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=y;function A(v,R){const _=Object.create(null);for(let s in v)L(_,s,v[s],R);return _}e.toValuesTree=A;function L(v,R,_,s){const n=R.split("."),m=n.pop();let a=v;for(let S=0;S<n.length;S++){let r=n[S],t=a[r];switch(typeof t){case"undefined":t=a[r]=Object.create(null);break;case"object":break;default:s(`Ignoring ${R} as ${n.slice(0,S+1).join(".")} is ${JSON.stringify(t)}`);return}a=t}if(typeof a=="object"&&a!==null)try{a[m]=_}catch{s(`Ignoring ${R} as ${n.join(".")} is ${JSON.stringify(a)}`)}else s(`Ignoring ${R} as ${n.join(".")} is ${JSON.stringify(a)}`)}e.addToValueTree=L;function D(v,R){const _=R.split(".");c(v,_)}e.removeFromValueTree=D;function c(v,R){const _=R.shift();if(R.length===0){delete v[_];return}if(Object.keys(v).indexOf(_)!==-1){const s=v[_];typeof s=="object"&&!Array.isArray(s)&&(c(s,R),Object.keys(s).length===0&&delete v[_])}}function E(v,R,_){function s(a,S){let r=a;for(const t of S){if(typeof r!="object"||r===null)return;r=r[t]}return r}const n=R.split("."),m=s(v,n);return typeof m=="undefined"?_:m}e.getConfigurationValue=E;function g(v,R,_){Object.keys(R).forEach(s=>{s!=="__proto__"&&(s in v?f.isObject(v[s])&&f.isObject(R[s])?g(v[s],R[s],_):_&&(v[s]=R[s]):v[s]=R[s])})}e.merge=g;function w(v,R,_){const s=v.inspect(R),n=v.inspect(_);return typeof s.userValue!="undefined"||typeof s.workspaceValue!="undefined"||typeof s.workspaceFolderValue!="undefined"?s.value:typeof n.userValue!="undefined"||typeof n.workspaceValue!="undefined"||typeof n.workspaceFolderValue!="undefined"?n.value:s.defaultValue}e.getMigratedSettingValue=w}),define(pe[62],ve([0,1,12,9,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let C=f.userAgent||"";const T=new Map;T.set("false",!1),T.set("true",!0),T.set("isMac",f.isMacintosh),T.set("isLinux",f.isLinux),T.set("isWindows",f.isWindows),T.set("isWeb",f.isWeb),T.set("isMacNative",f.isMacintosh&&!f.isWeb),T.set("isEdge",C.indexOf("Edg/")>=0),T.set("isFirefox",C.indexOf("Firefox")>=0),T.set("isChrome",C.indexOf("Chrome")>=0),T.set("isSafari",C.indexOf("Safari")>=0);const P=Object.prototype.hasOwnProperty;var y;(function(U){U[U.False=0]="False",U[U.True=1]="True",U[U.Defined=2]="Defined",U[U.Not=3]="Not",U[U.Equals=4]="Equals",U[U.NotEquals=5]="NotEquals",U[U.And=6]="And",U[U.Regex=7]="Regex",U[U.NotRegex=8]="NotRegex",U[U.Or=9]="Or",U[U.In=10]="In",U[U.NotIn=11]="NotIn",U[U.Greater=12]="Greater",U[U.GreaterEquals=13]="GreaterEquals",U[U.Smaller=14]="Smaller",U[U.SmallerEquals=15]="SmallerEquals"})(y=e.ContextKeyExprType||(e.ContextKeyExprType={}));class A{static false(){return c.INSTANCE}static true(){return E.INSTANCE}static has(F){return g.create(F)}static equals(F,M){return w.create(F,M)}static notEquals(F,M){return _.create(F,M)}static regex(F,M){return t.create(F,M)}static in(F,M){return v.create(F,M)}static not(F){return s.create(F)}static and(...F){return l.create(F,null)}static or(...F){return u.create(F,null,!0)}static greater(F,M){return m.create(F,M)}static greaterEquals(F,M){return a.create(F,M)}static smaller(F,M){return S.create(F,M)}static smallerEquals(F,M){return r.create(F,M)}static deserialize(F,M=!1){if(!!F)return this._deserializeOrExpression(F,M)}static _deserializeOrExpression(F,M){let V=F.split("||");return u.create(V.map(H=>this._deserializeAndExpression(H,M)),null,!0)}static _deserializeAndExpression(F,M){let V=F.split("&&");return l.create(V.map(H=>this._deserializeOne(H,M)),null)}static _deserializeOne(F,M){if(F=F.trim(),F.indexOf("!=")>=0){let V=F.split("!=");return _.create(V[0].trim(),this._deserializeValue(V[1],M))}if(F.indexOf("==")>=0){let V=F.split("==");return w.create(V[0].trim(),this._deserializeValue(V[1],M))}if(F.indexOf("=~")>=0){let V=F.split("=~");return t.create(V[0].trim(),this._deserializeRegexValue(V[1],M))}if(F.indexOf(" in ")>=0){let V=F.split(" in ");return v.create(V[0].trim(),V[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(F)){const V=F.split(">=");return a.create(V[0].trim(),V[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(F)){const V=F.split(">");return m.create(V[0].trim(),V[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(F)){const V=F.split("<=");return r.create(V[0].trim(),V[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(F)){const V=F.split("<");return S.create(V[0].trim(),V[1].trim())}return/^\!\s*/.test(F)?s.create(F.substr(1).trim()):g.create(F)}static _deserializeValue(F,M){if(F=F.trim(),F==="true")return!0;if(F==="false")return!1;let V=/^'([^']*)'$/.exec(F);return V?V[1].trim():F}static _deserializeRegexValue(F,M){if((0,i.isFalsyOrWhitespace)(F)){if(M)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let V=F.indexOf("/"),H=F.lastIndexOf("/");if(V===H||V<0){if(M)throw new Error(`bad regexp-value '${F}', missing /-enclosure`);return console.warn(`bad regexp-value '${F}', missing /-enclosure`),null}let N=F.slice(V+1,H),x=F[H+1]==="i"?"i":"";try{return new RegExp(N,x)}catch(W){if(M)throw new Error(`bad regexp-value '${F}', parse error: ${W}`);return console.warn(`bad regexp-value '${F}', parse error: ${W}`),null}}}e.ContextKeyExpr=A;function L(U,F){const M=U?U.substituteConstants():void 0,V=F?F.substituteConstants():void 0;return!M&&!V?!0:!M||!V?!1:M.equals(V)}e.expressionsAreEqualWithConstantSubstitution=L;function D(U,F){return U.cmp(F)}class c{constructor(){this.type=0}cmp(F){return this.type-F.type}equals(F){return F.type===this.type}substituteConstants(){return this}evaluate(F){return!1}serialize(){return"false"}keys(){return[]}map(F){return this}negate(){return E.INSTANCE}}e.ContextKeyFalseExpr=c,c.INSTANCE=new c;class E{constructor(){this.type=1}cmp(F){return this.type-F.type}equals(F){return F.type===this.type}substituteConstants(){return this}evaluate(F){return!0}serialize(){return"true"}keys(){return[]}map(F){return this}negate(){return c.INSTANCE}}e.ContextKeyTrueExpr=E,E.INSTANCE=new E;class g{constructor(F,M){this.key=F,this.negated=M,this.type=2}static create(F,M=null){const V=T.get(F);return typeof V=="boolean"?V?E.INSTANCE:c.INSTANCE:new g(F,M)}cmp(F){return F.type!==this.type?this.type-F.type:b(this.key,F.key)}equals(F){return F.type===this.type?this.key===F.key:!1}substituteConstants(){const F=T.get(this.key);return typeof F=="boolean"?F?E.INSTANCE:c.INSTANCE:this}evaluate(F){return!!F.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(F){return F.mapDefined(this.key)}negate(){return this.negated||(this.negated=s.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=g;class w{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=4}static create(F,M,V=null){if(typeof M=="boolean")return M?g.create(F,V):s.create(F,V);const H=T.get(F);return typeof H=="boolean"?M===(H?"true":"false")?E.INSTANCE:c.INSTANCE:new w(F,M,V)}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){const F=T.get(this.key);if(typeof F=="boolean"){const M=F?"true":"false";return this.value===M?E.INSTANCE:c.INSTANCE}return this}evaluate(F){return F.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(F){return F.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=_.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=w;class v{constructor(F,M){this.key=F,this.valueKey=M,this.type=10,this.negated=null}static create(F,M){return new v(F,M)}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.valueKey,F.key,F.valueKey)}equals(F){return F.type===this.type?this.key===F.key&&this.valueKey===F.valueKey:!1}substituteConstants(){return this}evaluate(F){const M=F.getValue(this.valueKey),V=F.getValue(this.key);return Array.isArray(M)?M.indexOf(V)>=0:typeof V=="string"&&typeof M=="object"&&M!==null?P.call(M,V):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(F){return F.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=R.create(this)),this.negated}}e.ContextKeyInExpr=v;class R{constructor(F){this._actual=F,this.type=11}static create(F){return new R(F)}cmp(F){return F.type!==this.type?this.type-F.type:this._actual.cmp(F._actual)}equals(F){return F.type===this.type?this._actual.equals(F._actual):!1}substituteConstants(){return this}evaluate(F){return!this._actual.evaluate(F)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(F){return new R(this._actual.map(F))}negate(){return this._actual}}e.ContextKeyNotInExpr=R;class _{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=5}static create(F,M,V=null){if(typeof M=="boolean")return M?s.create(F,V):g.create(F,V);const H=T.get(F);return typeof H=="boolean"?M===(H?"true":"false")?c.INSTANCE:E.INSTANCE:new _(F,M,V)}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){const F=T.get(this.key);if(typeof F=="boolean"){const M=F?"true":"false";return this.value===M?c.INSTANCE:E.INSTANCE}return this}evaluate(F){return F.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(F){return F.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=w.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=_;class s{constructor(F,M){this.key=F,this.negated=M,this.type=3}static create(F,M=null){const V=T.get(F);return typeof V=="boolean"?V?c.INSTANCE:E.INSTANCE:new s(F,M)}cmp(F){return F.type!==this.type?this.type-F.type:b(this.key,F.key)}equals(F){return F.type===this.type?this.key===F.key:!1}substituteConstants(){const F=T.get(this.key);return typeof F=="boolean"?F?c.INSTANCE:E.INSTANCE:this}evaluate(F){return!F.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(F){return F.mapNot(this.key)}negate(){return this.negated||(this.negated=g.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=s;function n(U,F){if(typeof U=="string"){const M=parseFloat(U);isNaN(M)||(U=M)}return typeof U=="string"||typeof U=="number"?F(U):c.INSTANCE}class m{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=12}static create(F,M,V=null){return n(M,H=>new m(F,H,V))}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){return this}evaluate(F){return typeof this.value=="string"?!1:parseFloat(F.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(F){return F.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=m;class a{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=13}static create(F,M,V=null){return n(M,H=>new a(F,H,V))}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){return this}evaluate(F){return typeof this.value=="string"?!1:parseFloat(F.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(F){return F.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=S.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=a;class S{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=14}static create(F,M,V=null){return n(M,H=>new S(F,H,V))}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){return this}evaluate(F){return typeof this.value=="string"?!1:parseFloat(F.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(F){return F.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=a.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=S;class r{constructor(F,M,V){this.key=F,this.value=M,this.negated=V,this.type=15}static create(F,M,V=null){return n(M,H=>new r(F,H,V))}cmp(F){return F.type!==this.type?this.type-F.type:p(this.key,this.value,F.key,F.value)}equals(F){return F.type===this.type?this.key===F.key&&this.value===F.value:!1}substituteConstants(){return this}evaluate(F){return typeof this.value=="string"?!1:parseFloat(F.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(F){return F.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=m.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=r;class t{constructor(F,M){this.key=F,this.regexp=M,this.type=7,this.negated=null}static create(F,M){return new t(F,M)}cmp(F){if(F.type!==this.type)return this.type-F.type;if(this.key<F.key)return-1;if(this.key>F.key)return 1;const M=this.regexp?this.regexp.source:"",V=F.regexp?F.regexp.source:"";return M<V?-1:M>V?1:0}equals(F){if(F.type===this.type){const M=this.regexp?this.regexp.source:"",V=F.regexp?F.regexp.source:"";return this.key===F.key&&M===V}return!1}substituteConstants(){return this}evaluate(F){let M=F.getValue(this.key);return this.regexp?this.regexp.test(M):!1}serialize(){const F=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${F}`}keys(){return[this.key]}map(F){return F.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=o.create(this)),this.negated}}e.ContextKeyRegexExpr=t;class o{constructor(F){this._actual=F,this.type=8}static create(F){return new o(F)}cmp(F){return F.type!==this.type?this.type-F.type:this._actual.cmp(F._actual)}equals(F){return F.type===this.type?this._actual.equals(F._actual):!1}substituteConstants(){return this}evaluate(F){return!this._actual.evaluate(F)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(F){return new o(this._actual.map(F))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=o;function d(U){let F=null;for(let M=0,V=U.length;M<V;M++){const H=U[M].substituteConstants();if(U[M]!==H&&F===null){F=[];for(let N=0;N<M;N++)F[N]=U[N]}F!==null&&(F[M]=H)}return F===null?U:F}class l{constructor(F,M){this.expr=F,this.negated=M,this.type=6}static create(F,M){return l._normalizeArr(F,M)}cmp(F){if(F.type!==this.type)return this.type-F.type;if(this.expr.length<F.expr.length)return-1;if(this.expr.length>F.expr.length)return 1;for(let M=0,V=this.expr.length;M<V;M++){const H=D(this.expr[M],F.expr[M]);if(H!==0)return H}return 0}equals(F){if(F.type===this.type){if(this.expr.length!==F.expr.length)return!1;for(let M=0,V=this.expr.length;M<V;M++)if(!this.expr[M].equals(F.expr[M]))return!1;return!0}return!1}substituteConstants(){const F=d(this.expr);return F===this.expr?this:l.create(F,this.negated)}evaluate(F){for(let M=0,V=this.expr.length;M<V;M++)if(!this.expr[M].evaluate(F))return!1;return!0}static _normalizeArr(F,M){const V=[];let H=!1;for(const N of F)if(!!N){if(N.type===1){H=!0;continue}if(N.type===0)return c.INSTANCE;if(N.type===6){V.push(...N.expr);continue}V.push(N)}if(V.length===0&&H)return E.INSTANCE;if(V.length!==0){if(V.length===1)return V[0];V.sort(D);for(let N=1;N<V.length;N++)V[N-1].equals(V[N])&&(V.splice(N,1),N--);if(V.length===1)return V[0];for(;V.length>1;){const N=V[V.length-1];if(N.type!==9)break;V.pop();const x=V.pop(),W=V.length===0,B=u.create(N.expr.map(j=>l.create([j,x],null)),null,W);B&&(V.push(B),V.sort(D))}return V.length===1?V[0]:new l(V,M)}}serialize(){return this.expr.map(F=>F.serialize()).join(" && ")}keys(){const F=[];for(let M of this.expr)F.push(...M.keys());return F}map(F){return new l(this.expr.map(M=>M.map(F)),null)}negate(){if(!this.negated){const F=[];for(let M of this.expr)F.push(M.negate());this.negated=u.create(F,this,!0)}return this.negated}}class u{constructor(F,M){this.expr=F,this.negated=M,this.type=9}static create(F,M,V){return u._normalizeArr(F,M,V)}cmp(F){if(F.type!==this.type)return this.type-F.type;if(this.expr.length<F.expr.length)return-1;if(this.expr.length>F.expr.length)return 1;for(let M=0,V=this.expr.length;M<V;M++){const H=D(this.expr[M],F.expr[M]);if(H!==0)return H}return 0}equals(F){if(F.type===this.type){if(this.expr.length!==F.expr.length)return!1;for(let M=0,V=this.expr.length;M<V;M++)if(!this.expr[M].equals(F.expr[M]))return!1;return!0}return!1}substituteConstants(){const F=d(this.expr);return F===this.expr?this:u.create(F,this.negated,!1)}evaluate(F){for(let M=0,V=this.expr.length;M<V;M++)if(this.expr[M].evaluate(F))return!0;return!1}static _normalizeArr(F,M,V){let H=[],N=!1;if(F){for(let x=0,W=F.length;x<W;x++){const B=F[x];if(!!B){if(B.type===0){N=!0;continue}if(B.type===1)return E.INSTANCE;if(B.type===9){H=H.concat(B.expr);continue}H.push(B)}}if(H.length===0&&N)return c.INSTANCE;H.sort(D)}if(H.length!==0){if(H.length===1)return H[0];for(let x=1;x<H.length;x++)H[x-1].equals(H[x])&&(H.splice(x,1),x--);if(H.length===1)return H[0];if(V){for(let x=0;x<H.length;x++)for(let W=x+1;W<H.length;W++)k(H[x],H[W])&&(H.splice(W,1),W--);if(H.length===1)return H[0]}return new u(H,M)}}serialize(){return this.expr.map(F=>F.serialize()).join(" || ")}keys(){const F=[];for(let M of this.expr)F.push(...M.keys());return F}map(F){return new u(this.expr.map(M=>M.map(F)),null)}negate(){if(!this.negated){let F=[];for(let M of this.expr)F.push(M.negate());for(;F.length>1;){const M=F.shift(),V=F.shift(),H=[];for(const x of O(M))for(const W of O(V))H.push(l.create([x,W],null));const N=F.length===0;F.unshift(u.create(H,null,N))}this.negated=F[0]}return this.negated}}class h extends g{constructor(F,M,V){super(F,null);this._defaultValue=M,typeof V=="object"?h._info.push({...V,key:F}):V!==!0&&h._info.push({key:F,description:V,type:M!=null?typeof M:void 0})}static all(){return h._info.values()}bindTo(F){return F.createKey(this.key,this._defaultValue)}getValue(F){return F.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(F){return w.create(this.key,F)}notEqualsTo(F){return _.create(this.key,F)}}e.RawContextKey=h,h._info=[],e.IContextKeyService=(0,I.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function b(U,F){return U<F?-1:U>F?1:0}function p(U,F,M,V){return U<M?-1:U>M?1:F<V?-1:F>V?1:0}function k(U,F){if(F.type===6&&U.type!==9&&U.type!==6){for(const H of F.expr)if(U.equals(H))return!0}const M=U.negate(),V=O(M).concat(O(F));V.sort(D);for(let H=0;H<V.length;H++){const x=V[H].negate();for(let W=H+1;W<V.length;W++){const B=V[W];if(x.equals(B))return!0}}return!1}e.implies=k;function O(U){return U.type===9?U.expr:[U]}}),define(pe[183],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,f.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,f.refineServiceDecorator)(e.IEnvironmentService)}),define(pe[184],ve([0,1,10,157,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.TargetPlatform=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";var C;(function(s){s.WIN32_X64="win32-x64",s.WIN32_IA32="win32-ia32",s.WIN32_ARM64="win32-arm64",s.LINUX_X64="linux-x64",s.LINUX_ARM64="linux-arm64",s.LINUX_ARMHF="linux-armhf",s.ALPINE_X64="alpine-x64",s.ALPINE_ARM64="alpine-arm64",s.DARWIN_X64="darwin-x64",s.DARWIN_ARM64="darwin-arm64",s.WEB="web",s.UNIVERSAL="universal",s.UNKNOWN="unknown",s.UNDEFINED="undefined"})(C=e.TargetPlatform||(e.TargetPlatform={}));function T(s){switch(s){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=T;function P(s){switch(s){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=P;function y(s,n){switch(s){case 3:return n==="x64"?"win32-x64":n==="ia32"?"win32-ia32":n==="arm64"?"win32-arm64":"unknown";case 2:return n==="x64"?"linux-x64":n==="arm64"?"linux-arm64":n==="arm"?"linux-armhf":"unknown";case"alpine":return n==="x64"?"alpine-x64":n==="arm64"?"alpine-arm64":"unknown";case 1:return n==="x64"?"darwin-x64":n==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=y;function A(s,n){return n==="web"&&!s.includes("web")}e.isNotWebExtensionInWebTargetPlatform=A;function L(s,n,m){return A(n,m)?!1:s==="undefined"||s==="universal"?!0:s==="unknown"?!1:s===m?!0:D(m).includes(s)}e.isTargetPlatformCompatible=L;function D(s){switch(s){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=D;function c(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(!s.uuid||typeof s.uuid=="string")}e.isIExtensionIdentifier=c;var E;(function(s){s[s.NoneOrRelevance=0]="NoneOrRelevance",s[s.LastUpdatedDate=1]="LastUpdatedDate",s[s.Title=2]="Title",s[s.PublisherName=3]="PublisherName",s[s.InstallCount=4]="InstallCount",s[s.PublishedDate=10]="PublishedDate",s[s.AverageRating=6]="AverageRating",s[s.WeightedRating=12]="WeightedRating"})(E=e.SortBy||(e.SortBy={}));var g;(function(s){s[s.Default=0]="Default",s[s.Ascending=1]="Ascending",s[s.Descending=2]="Descending"})(g=e.SortOrder||(e.SortOrder={}));var w;(function(s){s.Install="install",s.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var v;(function(s){s[s.None=1]="None",s[s.Install=2]="Install",s[s.Update=3]="Update",s[s.Migrate=4]="Migrate"})(v=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,I.createDecorator)("extensionGalleryService");var R;(function(s){s.Unsupported="Unsupported",s.UnsupportedPreRelease="UnsupportedPreRelease",s.Malicious="Malicious",s.Incompatible="Incompatible",s.IncompatiblePreRelease="IncompatiblePreRelease",s.IncompatibleTargetPlatform="IncompatibleTargetPlatform",s.Invalid="Invalid",s.Download="Download",s.Extract="Extract",s.Delete="Delete",s.Rename="Rename",s.CorruptZip="CorruptZip",s.IncompleteZip="IncompleteZip",s.Internal="Internal"})(R=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class _ extends Error{constructor(n,m){super(n);this.code=m,this.name=m}}e.ExtensionManagementError=_,e.IExtensionManagementService=(0,I.createDecorator)("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,I.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,I.createDecorator)("IExtensionTipsService"),e.DefaultIconPath=f.FileAccess.asBrowserUri("./media/defaultIcon.png",X).toString(!0),e.ExtensionsLabel=(0,i.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,i.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,I.createDecorator)("IExtensionManagementCLIService")}),define(pe[185],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,f.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,f.createDecorator)("externalTerminal")}),define(pe[186],ve([0,1,37,10,8,12,96,29,113,159,185]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const D=A.localize(0,null);class c{async getDefaultTerminalForPlatforms(){return{windows:E.getDefaultTerminalWindows(),linux:await w.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class E extends c{openTerminal(n,m){return this.spawnTerminal(f,n,y.getWindowsShell(),m)}spawnTerminal(n,m,a,S){const r=m.windowsExec||E.getDefaultTerminalWindows();S&&S[1]===":"&&(S=S[0].toUpperCase()+S.substr(1));const t=I.basename(r).toLowerCase();if(t==="cmder"||t==="cmder.exe")return n.spawn(r,S?[S]:void 0),Promise.resolve(void 0);const o=["/c","start","/wait"];return r.indexOf(" ")>=0&&o.push('""'),o.push(r),(t==="wt"||t==="wt.exe")&&o.push("-d ."),new Promise((d,l)=>{const u=v(process),h=n.spawn(a,o,{cwd:S,env:u});h.on("error",l),h.on("exit",()=>d())})}runInTerminal(n,m,a,S,r){const t="windowsExec"in r&&r.windowsExec?r.windowsExec:E.getDefaultTerminalWindows();return new Promise((o,d)=>{const l=`"${m} - ${D}"`,u=`""${a.join('" "')}" & pause"`,h=["/c","start",l,"/wait",t,"/c",u],b=Object.assign({},v(process),S);Object.keys(b).filter(O=>b[O]===null).forEach(O=>delete b[O]);const p={cwd:m,env:b,windowsVerbatimArguments:!0};f.spawn(E.CMD,h,p).on("error",O=>{d(R(O))}),o(void 0)})}static getDefaultTerminalWindows(){if(!E._DEFAULT_TERMINAL_WINDOWS){const n=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");E._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${n?"Sysnative":"System32"}\\cmd.exe`}return E._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=E,E.CMD="cmd.exe";class g extends c{openTerminal(n,m){return this.spawnTerminal(f,n,m)}runInTerminal(n,m,a,S,r){const t=r.osxExec||L.DEFAULT_TERMINAL_OSX;return new Promise((o,d)=>{if(t===L.DEFAULT_TERMINAL_OSX||t==="iTerm.app"){const l=t===L.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",h=[i.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${l}.scpt`,X).fsPath,"-t",n||D,"-w",m];for(let k of a)h.push("-a"),h.push(k);if(S){const k=Object.assign({},v(process),S);for(let O in k){const U=k[O];U===null?(h.push("-u"),h.push(O)):(h.push("-e"),h.push(`${O}=${U}`))}}let b="";const p=f.spawn(g.OSASCRIPT,h);p.on("error",k=>{d(R(k))}),p.stderr.on("data",k=>{b+=k.toString()}),p.on("exit",k=>{if(k===0)o(void 0);else if(b){const O=b.split(`
`,1);d(new Error(O[0]))}else d(new Error(A.localize(1,null,l,k)))})}else d(new Error(A.localize(2,null,t)))})}spawnTerminal(n,m,a){const S=m.osxExec||L.DEFAULT_TERMINAL_OSX;return new Promise((r,t)=>{const o=["-a",S];a&&o.push(a);const d=v(process),l=n.spawn("/usr/bin/open",o,{cwd:a,env:d});l.on("error",t),l.on("exit",()=>r())})}}e.MacExternalTerminalService=g,g.OSASCRIPT="/usr/bin/osascript";class w extends c{openTerminal(n,m){return this.spawnTerminal(f,n,m)}runInTerminal(n,m,a,S,r){const t=r.linuxExec?Promise.resolve(r.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((o,d)=>{let l=[];t.then(u=>{u.indexOf("gnome-terminal")>=0?l.push("-x"):l.push("-e"),l.push("bash"),l.push("-c");const h=`${_(a)}; echo; read -p "${w.WAIT_MESSAGE}" -n1;`;l.push(`''${h}''`);const b=Object.assign({},v(process),S);Object.keys(b).filter(U=>b[U]===null).forEach(U=>delete b[U]);const p={cwd:m,env:b};let k="";const O=f.spawn(u,l,p);O.on("error",U=>{d(R(U))}),O.stderr.on("data",U=>{k+=U.toString()}),O.on("exit",U=>{if(U===0)o(void 0);else if(k){const F=k.split(`
`,1);d(new Error(F[0]))}else d(new Error(A.localize(4,null,u,U)))})})})}static async getDefaultTerminalLinuxReady(){if(!w._DEFAULT_TERMINAL_LINUX_READY)if(!C.isLinux)w._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const n=await P.Promises.exists("/etc/debian_version");w._DEFAULT_TERMINAL_LINUX_READY=new Promise(m=>{n?m("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?m("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?m("konsole"):process.env.COLORTERM?m(process.env.COLORTERM):process.env.TERM?m(process.env.TERM):m("xterm")})}return w._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(n,m,a){const S=m.linuxExec?Promise.resolve(m.linuxExec):w.getDefaultTerminalLinuxReady();return new Promise((r,t)=>{S.then(o=>{const d=v(process),l=n.spawn(o,[],{cwd:a,env:d});l.on("error",t),l.on("exit",()=>r())})})}}e.LinuxExternalTerminalService=w,w.WAIT_MESSAGE=A.localize(3,null);function v(s){const n={...s.env};return(0,T.sanitizeProcessEnvironment)(n),n}function R(s){return"errno"in s&&s.errno==="ENOENT"&&"path"in s&&typeof s.path=="string"?new Error(A.localize(5,null,s.path)):s}function _(s){let n="";for(let m of s)m.indexOf(" ")>=0?n+='"'+m+'"':n+=m,n+=" ";return n}}),define(pe[42],ve([0,1,24,8,9,13,2,160,4]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,y.createDecorator)("fileService");function A(H){return H.create===!0}e.isFileOpenForWriteOptions=A;var L;(function(H){H[H.Unknown=0]="Unknown",H[H.File=1]="File",H[H.Directory=2]="Directory",H[H.SymbolicLink=64]="SymbolicLink"})(L=e.FileType||(e.FileType={}));var D;(function(H){H[H.Readonly=1]="Readonly"})(D=e.FilePermission||(e.FilePermission={}));var c;(function(H){H[H.FileReadWrite=2]="FileReadWrite",H[H.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",H[H.FileReadStream=16]="FileReadStream",H[H.FileFolderCopy=8]="FileFolderCopy",H[H.PathCaseSensitive=1024]="PathCaseSensitive",H[H.Readonly=2048]="Readonly",H[H.Trash=4096]="Trash",H[H.FileWriteUnlock=8192]="FileWriteUnlock",H[H.FileAtomicRead=16384]="FileAtomicRead"})(c=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function E(H){return!!(H.capabilities&2)}e.hasReadWriteCapability=E;function g(H){return!!(H.capabilities&8)}e.hasFileFolderCopyCapability=g;function w(H){return!!(H.capabilities&4)}e.hasOpenReadWriteCloseCapability=w;function v(H){return!!(H.capabilities&16)}e.hasFileReadStreamCapability=v;function R(H){return E(H)?!!(H.capabilities&16384):!1}e.hasFileAtomicReadCapability=R;var _;(function(H){H.FileExists="EntryExists",H.FileNotFound="EntryNotFound",H.FileNotADirectory="EntryNotADirectory",H.FileIsADirectory="EntryIsADirectory",H.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",H.FileTooLarge="EntryTooLarge",H.FileWriteLocked="EntryWriteLocked",H.NoPermissions="NoPermissions",H.Unavailable="Unavailable",H.Unknown="Unknown"})(_=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class s extends Error{constructor(N,x){super(N);this.code=x}}e.FileSystemProviderError=s;function n(H,N){const x=new s(H.toString(),N);return a(x,N),x}e.createFileSystemProviderError=n;function m(H){return H||n((0,P.localize)(0,null),_.Unknown)}e.ensureFileSystemProviderError=m;function a(H,N){return H.name=N?`${N} (FileSystemError)`:"FileSystemError",H}e.markAsFileSystemProviderError=a;function S(H){if(!H)return _.Unknown;if(H instanceof s)return H.code;const N=/^(.+) \(FileSystemError\)$/.exec(H.name);if(!N)return _.Unknown;switch(N[1]){case _.FileExists:return _.FileExists;case _.FileIsADirectory:return _.FileIsADirectory;case _.FileNotADirectory:return _.FileNotADirectory;case _.FileNotFound:return _.FileNotFound;case _.FileExceedsMemoryLimit:return _.FileExceedsMemoryLimit;case _.FileTooLarge:return _.FileTooLarge;case _.FileWriteLocked:return _.FileWriteLocked;case _.NoPermissions:return _.NoPermissions;case _.Unavailable:return _.Unavailable}return _.Unknown}e.toFileSystemProviderErrorCode=S;function r(H){if(H instanceof h)return H.fileOperationResult;switch(S(H)){case _.FileNotFound:return 1;case _.FileIsADirectory:return 0;case _.FileNotADirectory:return 10;case _.FileWriteLocked:return 5;case _.NoPermissions:return 6;case _.FileExists:return 4;case _.FileExceedsMemoryLimit:return 9;case _.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=r;var t;(function(H){H[H.CREATE=0]="CREATE",H[H.DELETE=1]="DELETE",H[H.MOVE=2]="MOVE",H[H.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class o{constructor(N,x,W){this.resource=N,this.operation=x,this.target=W}isOperation(N){return this.operation===N}}e.FileOperationEvent=o;var d;(function(H){H[H.UPDATED=0]="UPDATED",H[H.ADDED=1]="ADDED",H[H.DELETED=2]="DELETED"})(d=e.FileChangeType||(e.FileChangeType={}));class l{constructor(N,x){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=N;const W=new Map;for(const B of N){const j=W.get(B.type);switch(j?j.push([B.resource,B]):W.set(B.type,[[B.resource,B]]),B.type){case 1:this.rawAdded.push(B.resource);break;case 0:this.rawUpdated.push(B.resource);break;case 2:this.rawDeleted.push(B.resource);break}}for(const[B,j]of W)switch(B){case 1:this.added=f.TernarySearchTree.forUris(()=>x),this.added.fill(j);break;case 0:this.updated=f.TernarySearchTree.forUris(()=>x),this.updated.fill(j);break;case 2:this.deleted=f.TernarySearchTree.forUris(()=>x),this.deleted.fill(j);break}}contains(N,...x){return this.doContains(N,{includeChildren:!1},...x)}affects(N,...x){return this.doContains(N,{includeChildren:!0},...x)}doContains(N,x,...W){if(!N)return!1;const B=W.length>0;return!!((!B||W.includes(1))&&(this.added?.get(N)||x.includeChildren&&this.added?.findSuperstr(N))||(!B||W.includes(0))&&(this.updated?.get(N)||x.includeChildren&&this.updated?.findSuperstr(N))||(!B||W.includes(2))&&(this.deleted?.findSubstr(N)||x.includeChildren&&this.deleted?.findSuperstr(N)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function u(H,N,x){return!H||!N||H===N||N.length>H.length?!1:(N.charAt(N.length-1)!==i.sep&&(N+=i.sep),x?(0,I.startsWithIgnoreCase)(H,N):H.indexOf(N)===0)}e.isParent=u;class h extends Error{constructor(N,x,W){super(N);this.fileOperationResult=x,this.options=W}}e.FileOperationError=h;class b extends h{constructor(N,x,W){super(N,2,W);this.stat=x}}e.NotModifiedSinceFileOperationError=b;var p;(function(H){H[H.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",H[H.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",H[H.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",H[H.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",H[H.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",H[H.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",H[H.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",H[H.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",H[H.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",H[H.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",H[H.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",H[H.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(p=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var k;(function(H){H[H.FILE=0]="FILE",H[H.FOLDER=1]="FOLDER",H[H.ROOT_FOLDER=2]="ROOT_FOLDER"})(k=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function O(H){if(!(typeof H.size!="number"||typeof H.mtime!="number"))return H.mtime.toString(29)+H.size.toString(31)}e.etag=O;async function U(H,N){if(!N.hasProvider(T.URI.from({scheme:H.scheme})))return new Promise(x=>{const W=N.onDidChangeFileSystemProviderRegistrations(B=>{B.scheme===H.scheme&&B.added&&(W.dispose(),x())})})}e.whenProviderRegistered=U,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class F{static formatSize(N){return(0,C.isNumber)(N)||(N=0),N<F.KB?(0,P.localize)(1,null,N.toFixed(0)):N<F.MB?(0,P.localize)(2,null,(N/F.KB).toFixed(2)):N<F.GB?(0,P.localize)(3,null,(N/F.MB).toFixed(2)):N<F.TB?(0,P.localize)(4,null,(N/F.GB).toFixed(2)):(0,P.localize)(5,null,(N/F.TB).toFixed(2))}}e.ByteSize=F,F.KB=1024,F.MB=F.KB*F.KB,F.GB=F.MB*F.KB,F.TB=F.GB*F.KB;var M;(function(H){H[H.IA32=0]="IA32",H[H.OTHER=1]="OTHER"})(M=e.Arch||(e.Arch={}));function V(H){return{maxFileSize:H===0?300*F.MB:16*F.GB,maxHeapSize:H===0?700*F.MB:2*700*F.MB}}e.getPlatformLimits=V}),define(pe[85],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class f{constructor(...I){this._entries=new Map;for(let[C,T]of I)this.set(C,T)}set(I,C){const T=this._entries.get(I);return this._entries.set(I,C),T}has(I){return this._entries.has(I)}get(I){return this._entries.get(I)}}e.ServiceCollection=f}),define(pe[187],ve([0,1,18,15,115,180,4,85]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class A extends Error{constructor(g){super("cyclic dependency between services");this.message=g.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${g.toString()}`}}class L{constructor(g=new P.ServiceCollection,w=!1,v){this._activeInstantiations=new Set,this._services=g,this._strict=w,this._parent=v,this._services.set(T.IInstantiationService,this)}createChild(g){return new L(g,this._strict,this)}invokeFunction(g,...w){let v=c.traceInvocation(g),R=!1;try{return g({get:s=>{if(R)throw(0,i.illegalState)("service accessor is only valid during the invocation of its target method");const n=this._getOrCreateServiceInstance(s,v);if(!n)throw new Error(`[invokeFunction] unknown service '${s}'`);return n}},...w)}finally{R=!0,v.stop()}}createInstance(g,...w){let v,R;return g instanceof I.SyncDescriptor?(v=c.traceCreation(g.ctor),R=this._createInstance(g.ctor,g.staticArguments.concat(w),v)):(v=c.traceCreation(g),R=this._createInstance(g,w,v)),v.stop(),R}_createInstance(g,w=[],v){let R=T._util.getServiceDependencies(g).sort((n,m)=>n.index-m.index),_=[];for(const n of R){let m=this._getOrCreateServiceInstance(n.id,v);if(!m&&this._strict&&!n.optional)throw new Error(`[createInstance] ${g.name} depends on UNKNOWN service ${n.id}.`);_.push(m)}let s=R.length>0?R[0].index:w.length;if(w.length!==s){console.warn(`[createInstance] First service dependency of ${g.name} at position ${s+1} conflicts with ${w.length} static arguments`);let n=s-w.length;n>0?w=w.concat(new Array(n)):w=w.slice(0,s)}return new g(...[...w,..._])}_setServiceInstance(g,w){if(this._services.get(g)instanceof I.SyncDescriptor)this._services.set(g,w);else if(this._parent)this._parent._setServiceInstance(g,w);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(g){let w=this._services.get(g);return!w&&this._parent?this._parent._getServiceInstanceOrDescriptor(g):w}_getOrCreateServiceInstance(g,w){let v=this._getServiceInstanceOrDescriptor(g);return v instanceof I.SyncDescriptor?this._safeCreateAndCacheServiceInstance(g,v,w.branch(g,!0)):(w.branch(g,!1),v)}_safeCreateAndCacheServiceInstance(g,w,v){if(this._activeInstantiations.has(g))throw new Error(`illegal state - RECURSIVELY instantiating service '${g}'`);this._activeInstantiations.add(g);try{return this._createAndCacheServiceInstance(g,w,v)}finally{this._activeInstantiations.delete(g)}}_createAndCacheServiceInstance(g,w,v){const R=new C.Graph(n=>n.id.toString());let _=0;const s=[{id:g,desc:w,_trace:v}];for(;s.length;){const n=s.pop();if(R.lookupOrInsertNode(n),_++>1e3)throw new A(R);for(let m of T._util.getServiceDependencies(n.desc.ctor)){let a=this._getServiceInstanceOrDescriptor(m.id);if(!a&&!m.optional&&console.warn(`[createInstance] ${g} depends on ${m.id} which is NOT registered.`),a instanceof I.SyncDescriptor){const S={id:m.id,desc:a,_trace:n._trace.branch(m.id,!0)};R.insertEdge(n,S),s.push(S)}}}for(;;){const n=R.roots();if(n.length===0){if(!R.isEmpty())throw new A(R);break}for(const{data:m}of n){if(this._getServiceInstanceOrDescriptor(m.id)instanceof I.SyncDescriptor){const S=this._createServiceInstanceWithOwner(m.id,m.desc.ctor,m.desc.staticArguments,m.desc.supportsDelayedInstantiation,m._trace);this._setServiceInstance(m.id,S)}R.removeNode(m)}}return this._getServiceInstanceOrDescriptor(g)}_createServiceInstanceWithOwner(g,w,v=[],R,_){if(this._services.get(g)instanceof I.SyncDescriptor)return this._createServiceInstance(w,v,R,_);if(this._parent)return this._parent._createServiceInstanceWithOwner(g,w,v,R,_);throw new Error(`illegalState - creating UNKNOWN service instance ${w.name}`)}_createServiceInstance(g,w=[],v,R){if(v){const _=new f.IdleValue(()=>this._createInstance(g,w,R));return new Proxy(Object.create(null),{get(s,n){if(n in s)return s[n];let m=_.value,a=m[n];return typeof a!="function"||(a=a.bind(m),s[n]=a),a},set(s,n,m){return _.value[n]=m,!0}})}else return this._createInstance(g,w,R)}}e.InstantiationService=L;var D;(function(E){E[E.Creation=0]="Creation",E[E.Invocation=1]="Invocation",E[E.Branch=2]="Branch"})(D||(D={}));class c{constructor(g,w){this.type=g,this.name=w,this._start=Date.now(),this._dep=[]}static traceInvocation(g){return y?new c(1,g.name||g.toString().substring(0,42).replace(/\n/g,"")):c._None}static traceCreation(g){return y?new c(0,g.name):c._None}branch(g,w){let v=new c(2,g.toString());return this._dep.push([g,w,v]),v}stop(){let g=Date.now()-this._start;c._totals+=g;let w=!1;function v(_,s){let n=[],m=new Array(_+1).join("	");for(const[a,S,r]of s._dep)if(S&&r){w=!0,n.push(`${m}CREATES -> ${a}`);let t=v(_+1,r);t&&n.push(t)}else n.push(`${m}uses -> ${a}`);return n.join(`
`)}let R=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${g.toFixed(2)}ms (grand total ${c._totals.toFixed(2)}ms)`];(g>2||w)&&console.log(R.join(`
`))}}c._None=new class extends c{constructor(){super(-1,null)}stop(){}branch(){return this}},c._totals=0}),define(pe[11],ve([0,1,50,3,6,12,4]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,T.createDecorator)("logService"),e.ILoggerService=(0,T.createDecorator)("loggerService");function P(){return new Date().toISOString()}var y;(function(S){S[S.Trace=0]="Trace",S[S.Debug=1]="Debug",S[S.Info=2]="Info",S[S.Warning=3]="Warning",S[S.Error=4]="Error",S[S.Critical=5]="Critical",S[S.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;function A(S,r,t){switch(r){case y.Trace:S.trace(t);break;case y.Debug:S.debug(t);break;case y.Info:S.info(t);break;case y.Warning:S.warn(t);break;case y.Error:S.error(t);break;case y.Critical:S.critical(t);break;default:throw new Error("Invalid log level")}}e.log=A;function L(S){let r="";for(let t=0;t<S.length;t++){let o=S[t];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}r+=(t>0?" ":"")+o}return r}e.format=L;class D extends I.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new i.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(r){this.level!==r&&(this.level=r,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=D;class c extends D{constructor(r){super();this.logAlways=r}checkLogLevel(r){return this.logAlways||this.getLevel()<=r}trace(r,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,L([r,...t]))}debug(r,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,L([r,...t]))}info(r,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,L([r,...t]))}warn(r,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,L([r,...t]))}error(r,...t){if(this.checkLogLevel(y.Error))if(r instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=r.stack,this.log(y.Error,L(o))}else this.log(y.Error,L([r,...t]))}critical(r,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,L([r,...t]))}flush(){}}e.AbstractMessageLogger=c;class E extends D{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r),this.useColors=!C.isWindows}trace(r,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...t):console.log(`[main ${P()}]`,r,...t))}debug(r,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...t):console.log(`[main ${P()}]`,r,...t))}info(r,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...t):console.log(`[main ${P()}]`,r,...t))}warn(r,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,r,...t):console.warn(`[main ${P()}]`,r,...t))}error(r,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,r,...t):console.error(`[main ${P()}]`,r,...t))}critical(r,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,r,...t):console.error(`[main ${P()}]`,r,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=E;class g extends D{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r)}trace(r,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",r,...t)}debug(r,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",r,...t)}info(r,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",r,...t)}warn(r,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",r,...t)}error(r,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",r,...t)}critical(r,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",r,...t)}dispose(){}flush(){}}e.ConsoleLogger=g;class w extends D{constructor(r,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=r,this.setLevel(t)}trace(r,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(r),...t])}debug(r,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(r),...t])}info(r,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(r),...t])}warn(r,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(r),...t])}error(r,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(r),...t])}critical(r,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(r),...t])}extractMessage(r){return typeof r=="string"?r:(0,f.toErrorMessage)(r,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=w;class v extends D{constructor(r){super();this.logServices=r,r.length&&this.setLevel(r[0].getLevel())}setLevel(r){for(const t of this.logServices)t.setLevel(r);super.setLevel(r)}trace(r,...t){for(const o of this.logServices)o.trace(r,...t)}debug(r,...t){for(const o of this.logServices)o.debug(r,...t)}info(r,...t){for(const o of this.logServices)o.info(r,...t)}warn(r,...t){for(const o of this.logServices)o.warn(r,...t)}error(r,...t){for(const o of this.logServices)o.error(r,...t)}critical(r,...t){for(const o of this.logServices)o.critical(r,...t)}flush(){for(const r of this.logServices)r.flush()}dispose(){for(const r of this.logServices)r.dispose()}}e.MultiplexLogService=v;class R extends I.Disposable{constructor(r){super();this.logger=r,this._register(r)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(r){this.logger.setLevel(r)}getLevel(){return this.logger.getLevel()}trace(r,...t){this.logger.trace(r,...t)}debug(r,...t){this.logger.debug(r,...t)}info(r,...t){this.logger.info(r,...t)}warn(r,...t){this.logger.warn(r,...t)}error(r,...t){this.logger.error(r,...t)}critical(r,...t){this.logger.critical(r,...t)}flush(){this.logger.flush()}}e.LogService=R;class _ extends I.Disposable{constructor(r,t){super();this.logLevel=r,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(t(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(d=>d.setLevel(o))}))}getLogger(r){return this.loggers.get(r.toString())}createLogger(r,t){let o=this.loggers.get(r.toString());return o||(o=this.doCreateLogger(r,t?.always?y.Trace:this.logLevel,t),this.loggers.set(r.toString(),o),t?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(r=>r.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=_;class s{constructor(){this.onDidChangeLogLevel=new i.Emitter().event}setLevel(r){}getLevel(){return y.Info}trace(r,...t){}debug(r,...t){}info(r,...t){}warn(r,...t){}error(r,...t){}critical(r,...t){}dispose(){}flush(){}}e.NullLogService=s;function n(S){if(S.verbose)return y.Trace;if(typeof S.logLevel=="string"){const r=m(S.logLevel.toLowerCase());if(r!==void 0)return r}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=n;function m(S){switch(S){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=m;function a(S){switch(S){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=a}),define(pe[188],ve([0,1,42,11]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function I(P,y,A,L,D){try{const c=await new Promise((g,w)=>{X(["spdlog"],g,w)});c.setFlushOn(i.LogLevel.Trace);const E=await c.createAsyncRotatingLogger(P,y,A,L);return D&&E.clearFormatters(),E}catch(c){console.error(c)}return null}function C(P,y,A){switch(y){case i.LogLevel.Trace:P.trace(A);break;case i.LogLevel.Debug:P.debug(A);break;case i.LogLevel.Info:P.info(A);break;case i.LogLevel.Warning:P.warn(A);break;case i.LogLevel.Error:P.error(A);break;case i.LogLevel.Critical:P.critical(A);break;default:throw new Error("Invalid log level")}}class T extends i.AbstractMessageLogger{constructor(y,A,L,D,c){super();this.buffer=[],this.setLevel(c),this._loggerCreationPromise=this._createSpdLogLogger(y,A,L,D),this._register(this.onDidChangeLogLevel(E=>{this._logger&&this._logger.setLevel(E)}))}async _createSpdLogLogger(y,A,L,D){const c=L?6:1,E=30/c*f.ByteSize.MB,g=await I(y,A,E,c,D);if(g){this._logger=g,this._logger.setLevel(this.getLevel());for(const{level:w,message:v}of this.buffer)C(this._logger,w,v);this.buffer=[]}}log(y,A){this._logger?C(this._logger,y,A):this.getLevel()<=y&&this.buffer.push({level:y,message:A})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=T}),define(pe[117],ve([0,1,48,161,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var C;(function(y){y[y.Unnecessary=1]="Unnecessary",y[y.Deprecated=2]="Deprecated"})(C=e.MarkerTag||(e.MarkerTag={}));var T;(function(y){y[y.Hint=1]="Hint",y[y.Info=2]="Info",y[y.Warning=4]="Warning",y[y.Error=8]="Error"})(T=e.MarkerSeverity||(e.MarkerSeverity={})),function(y){function A(g,w){return w-g}y.compare=A;const L=Object.create(null);L[y.Error]=(0,i.localize)(0,null),L[y.Warning]=(0,i.localize)(1,null),L[y.Info]=(0,i.localize)(2,null);function D(g){return L[g]||""}y.toString=D;function c(g){switch(g){case f.default.Error:return y.Error;case f.default.Warning:return y.Warning;case f.default.Info:return y.Info;case f.default.Ignore:return y.Hint}}y.fromSeverity=c;function E(g){switch(g){case y.Error:return f.default.Error;case y.Warning:return f.default.Warning;case y.Info:return f.default.Info;case y.Hint:return f.default.Ignore}}y.toSeverity=E}(T=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(y){const A="";function L(c){return D(c,!0)}y.makeKey=L;function D(c,E){let g=[A];return c.source?g.push(c.source.replace("\xA6","\\\xA6")):g.push(A),c.code?typeof c.code=="string"?g.push(c.code.replace("\xA6","\\\xA6")):g.push(c.code.value.replace("\xA6","\\\xA6")):g.push(A),c.severity!==void 0&&c.severity!==null?g.push(T.toString(c.severity)):g.push(A),c.message&&E?g.push(c.message.replace("\xA6","\\\xA6")):g.push(A),c.startLineNumber!==void 0&&c.startLineNumber!==null?g.push(c.startLineNumber.toString()):g.push(A),c.startColumn!==void 0&&c.startColumn!==null?g.push(c.startColumn.toString()):g.push(A),c.endLineNumber!==void 0&&c.endLineNumber!==null?g.push(c.endLineNumber.toString()):g.push(A),c.endColumn!==void 0&&c.endColumn!==null?g.push(c.endColumn.toString()):g.push(A),g.push(A),g.join("\xA6")}y.makeKeyOptionalMessage=D})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,I.createDecorator)("markerService")}),define(pe[189],ve([0,1,3,48,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=i.default,e.INotificationService=(0,I.createDecorator)("notificationService");var C;(function(A){A[A.WORKSPACE=0]="WORKSPACE",A[A.GLOBAL=1]="GLOBAL"})(C=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var T;(function(A){A[A.OFF=0]="OFF",A[A.SILENT=1]="SILENT",A[A.ERROR=2]="ERROR"})(T=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new y,this.onDidClose=f.Event.None,this.onDidChangeVisibility=f.Event.None}updateSeverity(L){}updateMessage(L){}updateActions(L){}close(){}}e.NoOpNotification=P;class y{infinite(){}done(){}total(L){}worked(L){}}e.NoOpProgress=y}),define(pe[190],ve([0,1,6,9,2,4]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,C.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return f.Disposable.None},registerValidator(){return f.Disposable.None},registerExternalUriResolver(){return f.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return f.Disposable.None},async open(){return!1},async resolveExternalUri(y){return{resolved:y,dispose(){}}}});function T(y,A){return I.URI.isUri(y)?(0,i.equalsIgnoreCase)(y.scheme,A):(0,i.startsWithIgnoreCase)(y,A+":")}e.matchesScheme=T;function P(y,...A){return A.some(L=>T(y,L))}e.matchesSomeScheme=P}),define(pe[191],ve([0,1,10,12,40,23]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let T;if(typeof i.globals.vscode!="undefined"&&typeof i.globals.vscode.context!="undefined"){const P=i.globals.vscode.context.configuration();if(P)T=P.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof X?.__$__nodeRequire=="function"){const P=(0,C.dirname)(f.FileAccess.asFileUri("",X));T=X.__$__nodeRequire((0,C.joinPath)(P,"product.json").fsPath);const y=X.__$__nodeRequire((0,C.joinPath)(P,"package.json").fsPath);I.env.VSCODE_DEV&&Object.assign(T,{nameShort:`${T.nameShort} Dev`,nameLong:`${T.nameLong} Dev`,dataFolderName:`${T.dataFolderName}-dev`}),Object.assign(T,{version:y.version})}else T={},Object.keys(T).length===0&&Object.assign(T,{version:"1.64.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","GitHub.remotehub","GitHub.remotehub-insiders"]});e.default=T});var ze=this&&this.__param||function(X,e){return function(f,i){e(f,i,X)}};define(pe[118],ve([0,1,18,21,6,4]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,C.createDecorator)("progressService");var T;(function(L){L[L.Explorer=1]="Explorer",L[L.Scm=3]="Scm",L[L.Extensions=5]="Extensions",L[L.Window=10]="Window",L[L.Notification=15]="Notification",L[L.Dialog=20]="Dialog"})(T=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(D){this.callback=D}get value(){return this._value}report(D){this._value=D,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let y=class extends I.Disposable{constructor(D,c){super();this.deferred=new f.DeferredPromise,c.withProgress(D,E=>(this.reporter=E,this.lastStep&&E.report(this.lastStep),this.deferred.p)),this._register((0,I.toDisposable)(()=>this.deferred.complete()))}report(D){this.reporter?this.reporter.report(D):this.lastStep=D}};y=je([ze(1,e.IProgressService)],y),e.UnmanagedProgress=y;class A extends I.Disposable{constructor(D){super();this.progressIndicator=D,this.currentOperationId=0,this.currentOperationDisposables=this._register(new I.DisposableStore)}start(D){this.stop();const c=++this.currentOperationId,E=new i.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{c===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},D),this.currentOperationDisposables.add((0,I.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,I.toDisposable)(()=>E.cancel())),this.currentOperationDisposables.add((0,I.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:c,token:E.token,stop:()=>this.doStop(c),isCurrent:()=>this.currentOperationId===c}}stop(){this.doStop(this.currentOperationId)}doStop(D){this.currentOperationId===D&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=A,e.IEditorProgressService=(0,C.createDecorator)("editorProgressService")}),define(pe[51],ve([0,1,56,13]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class I{constructor(){this.data=new Map}add(T,P){f.ok(i.isString(T)),f.ok(i.isObject(P)),f.ok(!this.data.has(T),"There is already an extension with this id"),this.data.set(T,P)}knows(T){return this.data.has(T)}as(T){return this.data.get(T)||null}}e.Registry=new I}),define(pe[192],ve([0,1,3,51]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function I(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class C{constructor(){this._onDidChangeSchema=new f.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,A){this.schemasById[I(y)]=A,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const T=new C;i.Registry.add(e.Extensions.JSONContribution,T)}),define(pe[119],ve([0,1,16,3,13,156,192,51]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var y;(function(n){n.Multiline="multilineText",n.Singleline="singlelineText"})(y=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var A;(function(n){n[n.APPLICATION=1]="APPLICATION",n[n.MACHINE=2]="MACHINE",n[n.WINDOW=3]="WINDOW",n[n.RESOURCE=4]="RESOURCE",n[n.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",n[n.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(A=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const L=P.Registry.as(T.Extensions.JSONContribution);class D{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new i.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new i.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:C.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(m,a=!0){this.registerConfigurations([m],a)}registerConfigurations(m,a=!0){const S=this.doRegisterConfigurations(m,a);L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:S})}deregisterConfigurations(m){const a=this.doDeregisterConfigurations(m);L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a})}updateConfigurations({add:m,remove:a}){const S=[];S.push(...this.doDeregisterConfigurations(a)),S.push(...this.doRegisterConfigurations(m,!1)),L.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,f.distinct)(S)})}registerDefaultConfigurations(m){const a=[],S=[];for(const{overrides:r,source:t}of m)for(const o in r)if(a.push(o),e.OVERRIDE_PROPERTY_REGEX.test(o)){const d={...this.configurationDefaultsOverrides.get(o)?.value||{},...r[o]};this.configurationDefaultsOverrides.set(o,{source:t,value:d});const l={type:"object",default:d,description:C.localize(1,null,o),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:d,source:I.isString(t)?void 0:t};S.push(...g(o)),this.configurationProperties[o]=l,this.defaultLanguageConfigurationOverridesNode.properties[o]=l}else{this.configurationDefaultsOverrides.set(o,{value:r[o],source:t});const d=this.configurationProperties[o];d&&(this.updatePropertyDefaultValue(o,d),this.updateSchema(o,d))}this.registerOverrideIdentifiers(S),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a,defaultsOverrides:!0})}deregisterDefaultConfigurations(m){const a=[];for(const{overrides:S,source:r}of m)for(const t in S){const o=this.configurationDefaultsOverrides.get(t),d=I.isString(r)?r:r?.id,l=I.isString(o?.source)?o?.source:o?.source?.id;if(d===l)if(a.push(t),this.configurationDefaultsOverrides.delete(t),e.OVERRIDE_PROPERTY_REGEX.test(t))delete this.configurationProperties[t],delete this.defaultLanguageConfigurationOverridesNode.properties[t];else{const u=this.configurationProperties[t];u&&(this.updatePropertyDefaultValue(t,u),this.updateSchema(t,u))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...m){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(m){for(const a of m)this.overrideIdentifiers.add(a);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(m,a){const S=[];return m.forEach(r=>{S.push(...this.validateAndRegisterProperties(r,a,r.extensionInfo,r.restrictedProperties)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),S}doDeregisterConfigurations(m){const a=[],S=r=>{if(r.properties)for(const t in r.properties)a.push(t),delete this.configurationProperties[t],this.removeFromSchema(t,r.properties[t]);r.allOf&&r.allOf.forEach(t=>S(t))};for(const r of m){S(r);const t=this.configurationContributors.indexOf(r);t!==-1&&this.configurationContributors.splice(t,1)}return a}validateAndRegisterProperties(m,a=!0,S,r,t=3){t=I.isUndefinedOrNull(m.scope)?t:m.scope;let o=[],d=m.properties;if(d)for(let u in d){if(a&&_(u)){delete d[u];continue}const h=d[u];if(h.source=S,h.defaultDefaultValue=d[u].default,this.updatePropertyDefaultValue(u,h),e.OVERRIDE_PROPERTY_REGEX.test(u)?h.scope=void 0:(h.scope=I.isUndefinedOrNull(h.scope)?t:h.scope,h.restricted=I.isUndefinedOrNull(h.restricted)?!!r?.includes(u):h.restricted),d[u].hasOwnProperty("included")&&!d[u].included){this.excludedConfigurationProperties[u]=d[u],delete d[u];continue}else this.configurationProperties[u]=d[u];!d[u].deprecationMessage&&d[u].markdownDeprecationMessage&&(d[u].deprecationMessage=d[u].markdownDeprecationMessage),o.push(u)}let l=m.allOf;if(l)for(let u of l)o.push(...this.validateAndRegisterProperties(u,a,S,r,t));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(m){const a=S=>{let r=S.properties;if(r)for(const o in r)this.updateSchema(o,r[o]);let t=S.allOf;t&&t.forEach(a)};a(m)}updateSchema(m,a){switch(e.allSettings.properties[m]=a,a.scope){case 1:e.applicationSettings.properties[m]=a;break;case 2:e.machineSettings.properties[m]=a;break;case 6:e.machineOverridableSettings.properties[m]=a;break;case 3:e.windowSettings.properties[m]=a;break;case 4:e.resourceSettings.properties[m]=a;break;case 5:e.resourceSettings.properties[m]=a,this.resourceLanguageSettingsSchema.properties[m]=a;break}}removeFromSchema(m,a){switch(delete e.allSettings.properties[m],a.scope){case 1:delete e.applicationSettings.properties[m];break;case 2:delete e.machineSettings.properties[m];break;case 6:delete e.machineOverridableSettings.properties[m];break;case 3:delete e.windowSettings.properties[m];break;case 4:case 5:delete e.resourceSettings.properties[m],delete this.resourceLanguageSettingsSchema.properties[m];break}}updateOverridePropertyPatternKey(){for(const m of this.overrideIdentifiers.values()){const a=`[${m}]`,S={type:"object",description:C.localize(2,null),errorMessage:C.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(a,S),e.allSettings.properties[a]=S,e.applicationSettings.properties[a]=S,e.machineSettings.properties[a]=S,e.machineOverridableSettings.properties[a]=S,e.windowSettings.properties[a]=S,e.resourceSettings.properties[a]=S}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const m={type:"object",description:C.localize(4,null),errorMessage:C.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=m,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(m,a){const S=this.configurationDefaultsOverrides.get(m);let r=S?.value,t=S?.source;I.isUndefined(r)&&(r=a.defaultDefaultValue,t=void 0),I.isUndefined(r)&&(r=v(a.type)),a.default=r,a.defaultValueSource=t}}const c="\\[([^\\]]+)\\]",E=new RegExp(c,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${c})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function g(n){const m=[];if(e.OVERRIDE_PROPERTY_REGEX.test(n)){let a=E.exec(n);for(;a?.length;){const S=a[1].trim();S&&m.push(S),a=E.exec(n)}}return(0,f.distinct)(m)}e.overrideIdentifiersFromKey=g;function w(n){return n.reduce((m,a)=>`${m}[${a}]`,"")}e.keyFromOverrideIdentifiers=w;function v(n){switch(Array.isArray(n)?n[0]:n){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=v;const R=new D;P.Registry.add(e.Extensions.Configuration,R);function _(n){return n.trim()?e.OVERRIDE_PROPERTY_REGEX.test(n)?C.localize(7,null,n):R.getConfigurationProperties()[n]!==void 0?C.localize(8,null,n):null:C.localize(6,null)}e.validateProperty=_;function s(){const n=[],m=R.getConfigurationProperties();for(const a of Object.keys(m))n.push([a,m[a].scope]);return n.push(["launch",4]),n.push(["task",4]),n}e.getScopes=s}),define(pe[193],ve([0,1,16,3,58,6,24,25,13,2,116,119,51]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class E{constructor(r={},t=[],o=[]){this._contents=r,this._keys=t,this._overrides=o,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(r){return r?(0,L.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,t){const o=this.getContentsForOverrideIdentifer(t);return o?r?(0,L.getConfigurationValue)(o,r):o:void 0}getKeysForOverrideIdentifier(r){const t=[];for(const o of this.overrides)o.identifiers.includes(r)&&t.push(...o.keys);return f.distinct(t)}getAllOverrideIdentifiers(){const r=[];for(const t of this.overrides)r.push(...t.identifiers);return f.distinct(r)}override(r){let t=this.overrideConfigurations.get(r);return t||(t=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,t)),t}merge(...r){const t=P.deepClone(this.contents),o=P.deepClone(this.overrides),d=[...this.keys];for(const l of r){this.mergeContents(t,l.contents);for(const u of l.overrides){const[h]=o.filter(b=>f.equals(b.identifiers,u.identifiers));h?(this.mergeContents(h.contents,u.contents),h.keys.push(...u.keys),h.keys=f.distinct(h.keys)):o.push(P.deepClone(u))}for(const u of l.keys)d.indexOf(u)===-1&&d.push(u)}return new E(t,d,o)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(r){const t=this.getContentsForOverrideIdentifer(r);if(!t||typeof t!="object"||!Object.keys(t).length)return this;let o={};for(const d of f.distinct([...Object.keys(this.contents),...Object.keys(t)])){let l=this.contents[d],u=t[d];u&&(typeof l=="object"&&typeof u=="object"?(l=P.deepClone(l),this.mergeContents(l,u)):l=u),o[d]=l}return new E(o,this.keys,this.overrides)}mergeContents(r,t){for(const o of Object.keys(t)){if(o in r&&y.isObject(r[o])&&y.isObject(t[o])){this.mergeContents(r[o],t[o]);continue}r[o]=P.deepClone(t[o])}}checkAndFreeze(r){return this.isFrozen&&!Object.isFrozen(r)?P.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let t=null,o=null;const d=l=>{l&&(o?this.mergeContents(o,l):o=P.deepClone(l))};for(const l of this.overrides)f.equals(l.identifiers,[r])?t=l.contents:l.identifiers.includes(r)&&d(l.contents);return d(t),o}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,t){this.addKey(r),(0,L.addToValueTree)(this.contents,r,t,o=>{throw new Error(o)})}removeValue(r){this.removeKey(r)&&(0,L.removeFromValueTree)(this.contents,r)}addKey(r){let t=this.keys.length;for(let o=0;o<t;o++)r.indexOf(this.keys[o])===0&&(t=o);this.keys.splice(t,1,r)}removeKey(r){let t=this.keys.indexOf(r);return t!==-1?(this.keys.splice(t,1),!0):!1}}e.ConfigurationModel=E;class g extends E{constructor(r={}){const t=c.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),o=Object.keys(t),d=Object.create(null),l=[];for(const u in t){const h=r[u],b=h!==void 0?h:t[u].default;(0,L.addToValueTree)(d,u,b,p=>console.error(`Conflict in default settings: ${p}`))}for(const u of Object.keys(d))D.OVERRIDE_PROPERTY_REGEX.test(u)&&l.push({identifiers:(0,D.overrideIdentifiersFromKey)(u),keys:Object.keys(d[u]),contents:(0,L.toValuesTree)(d[u],h=>console.error(`Conflict in default settings file: ${h}`))});super(d,o,l)}}e.DefaultConfigurationModel=g;class w{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new E}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,t){if(!y.isUndefinedOrNull(r)){const o=this.doParseContent(r);this.parseRaw(o,t)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,t){this._raw=r;const{contents:o,keys:d,overrides:l,restricted:u}=this.doParseRaw(r,t);this._configurationModel=new E(o,d,l),this._restrictedConfigurations=u||[]}doParseContent(r){let t={},o=null,d=[],l=[],u=[];function h(p){Array.isArray(d)?d.push(p):o!==null&&(d[o]=p)}let b={onObjectBegin:()=>{let p={};h(p),l.push(d),d=p,o=null},onObjectProperty:p=>{o=p},onObjectEnd:()=>{d=l.pop()},onArrayBegin:()=>{let p=[];h(p),l.push(d),d=p,o=null},onArrayEnd:()=>{d=l.pop()},onLiteralValue:h,onError:(p,k,O)=>{u.push({error:p,offset:k,length:O})}};if(r)try{I.visit(r,b),t=d[0]||{}}catch(p){console.error(`Error while parsing settings file ${this._name}: ${p}`),this._parseErrors=[p]}return t}doParseRaw(r,t){const o=c.Registry.as(D.Extensions.Configuration).getConfigurationProperties(),d=this.filter(r,o,!0,t);r=d.raw;const l=(0,L.toValuesTree)(r,b=>console.error(`Conflict in settings file ${this._name}: ${b}`)),u=Object.keys(r),h=this.toOverrides(r,b=>console.error(`Conflict in settings file ${this._name}: ${b}`));return{contents:l,keys:u,overrides:h,restricted:d.restricted}}filter(r,t,o,d){if(!d?.scopes&&!d?.skipRestricted)return{raw:r,restricted:[]};const l={},u=[];for(let h in r)if(D.OVERRIDE_PROPERTY_REGEX.test(h)&&o){const b=this.filter(r[h],t,!1,d);l[h]=b.raw,u.push(...b.restricted)}else{const b=t[h],p=b?typeof b.scope!="undefined"?b.scope:3:void 0;b?.restricted&&u.push(h),(p===void 0||d.scopes===void 0||d.scopes.includes(p))&&(d.skipRestricted&&b?.restricted||(l[h]=r[h]))}return{raw:l,restricted:u}}toOverrides(r,t){const o=[];for(const d of Object.keys(r))if(D.OVERRIDE_PROPERTY_REGEX.test(d)){const l={};for(const u in r[d])l[u]=r[d][u];o.push({identifiers:(0,D.overrideIdentifiersFromKey)(d),keys:Object.keys(l),contents:(0,L.toValuesTree)(l,t)})}return o}}e.ConfigurationModelParser=w;class v extends C.Disposable{constructor(r,t,o,d){super();this.userSettingsResource=r,this.scopes=t,this.fileService=d,this._onDidChange=this._register(new i.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new w(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(i.Event.filter(this.fileService.onDidFilesChange,l=>l.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new E}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=v;class R{constructor(r,t,o=new E,d=new E,l=new T.ResourceMap,u=new E,h=new T.ResourceMap,b=!0){this._defaultConfiguration=r,this._localUserConfiguration=t,this._remoteUserConfiguration=o,this._workspaceConfiguration=d,this._folderConfigurations=l,this._memoryConfiguration=u,this._memoryConfigurationByResource=h,this._freeze=b,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new T.ResourceMap,this._userConfiguration=null}getValue(r,t,o){return this.getConsolidateConfigurationModel(t,o).getValue(r)}updateValue(r,t,o={}){let d;o.resource?(d=this._memoryConfigurationByResource.get(o.resource),d||(d=new E,this._memoryConfigurationByResource.set(o.resource,d))):d=this._memoryConfiguration,t===void 0?d.removeValue(r):d.setValue(r,t),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,t,o){const d=this.getConsolidateConfigurationModel(t,o),l=this.getFolderConfigurationModelForResource(t.resource,o),u=t.resource?this._memoryConfigurationByResource.get(t.resource)||this._memoryConfiguration:this._memoryConfiguration,h=t.overrideIdentifier?this._defaultConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),b=t.overrideIdentifier?this.userConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),p=t.overrideIdentifier?this.localUserConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),k=t.overrideIdentifier?this.remoteUserConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),O=o?t.overrideIdentifier?this._workspaceConfiguration.freeze().override(t.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,U=l?t.overrideIdentifier?l.freeze().override(t.overrideIdentifier).getValue(r):l.freeze().getValue(r):void 0,F=t.overrideIdentifier?u.override(t.overrideIdentifier).getValue(r):u.getValue(r),M=d.getValue(r),V=f.distinct(f.flatten(d.overrides.map(H=>H.identifiers))).filter(H=>d.getOverrideValue(r,H)!==void 0);return{defaultValue:h,userValue:b,userLocalValue:p,userRemoteValue:k,workspaceValue:O,workspaceFolderValue:U,memoryValue:F,value:M,default:h!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,user:b!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,userLocal:p!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,userRemote:k!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,workspace:O!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:t.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,workspaceFolder:U!==void 0?{value:l?.freeze().getValue(r),override:t.overrideIdentifier?l?.freeze().getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,memory:F!==void 0?{value:u.getValue(r),override:t.overrideIdentifier?u.getOverrideValue(r,t.overrideIdentifier):void 0}:void 0,overrideIdentifiers:V.length?V:void 0}}keys(r){const t=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:t?t.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,t){this._folderConfigurations.set(r,t),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,t){const o=[];if(!t){const{added:d,updated:l,removed:u}=m(this._defaultConfiguration,r);t=[...d,...l,...u]}for(const d of t)for(const l of(0,D.overrideIdentifiersFromKey)(d)){const u=this._defaultConfiguration.getKeysForOverrideIdentifier(l),h=r.getKeysForOverrideIdentifier(l),b=[...h.filter(p=>u.indexOf(p)===-1),...u.filter(p=>h.indexOf(p)===-1),...u.filter(p=>!P.equals(this._defaultConfiguration.override(l).getValue(p),r.override(l).getValue(p)))];o.push([l,b])}return this.updateDefaultConfiguration(r),{keys:t,overrides:o}}compareAndUpdateLocalUserConfiguration(r){const{added:t,updated:o,removed:d,overrides:l}=m(this.localUserConfiguration,r),u=[...t,...o,...d];return u.length&&this.updateLocalUserConfiguration(r),{keys:u,overrides:l}}compareAndUpdateRemoteUserConfiguration(r){const{added:t,updated:o,removed:d,overrides:l}=m(this.remoteUserConfiguration,r);let u=[...t,...o,...d];return u.length&&this.updateRemoteUserConfiguration(r),{keys:u,overrides:l}}compareAndUpdateWorkspaceConfiguration(r){const{added:t,updated:o,removed:d,overrides:l}=m(this.workspaceConfiguration,r);let u=[...t,...o,...d];return u.length&&this.updateWorkspaceConfiguration(r),{keys:u,overrides:l}}compareAndUpdateFolderConfiguration(r,t){const o=this.folderConfigurations.get(r),{added:d,updated:l,removed:u,overrides:h}=m(o,t);let b=[...d,...l,...u];return(b.length||!o)&&this.updateFolderConfiguration(r,t),{keys:b,overrides:h}}compareAndDeleteFolderConfiguration(r){const t=this.folderConfigurations.get(r);if(!t)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:o,updated:d,removed:l,overrides:u}=m(t,void 0);return{keys:[...o,...d,...l],overrides:u}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(r,t){let o=this.getConsolidatedConfigurationModelForResource(r,t);return r.overrideIdentifier?o.override(r.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:r},t){let o=this.getWorkspaceConsolidatedConfiguration();if(t&&r){const d=t.getFolder(r);d&&(o=this.getFolderConsolidatedConfiguration(d.uri)||o);const l=this._memoryConfigurationByResource.get(r);l&&(o=o.merge(l))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let t=this._foldersConsolidatedConfigurations.get(r);if(!t){const o=this.getWorkspaceConsolidatedConfiguration(),d=this._folderConfigurations.get(r);d?(t=o.merge(d),this._freeze&&(t=t.freeze()),this._foldersConsolidatedConfigurations.set(r,t)):t=o}return t}getFolderConfigurationModelForResource(r,t){if(t&&r){const o=t.getFolder(r);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,t)=>{const{contents:o,overrides:d,keys:l}=this._folderConfigurations.get(t);return r.push([t,{contents:o,overrides:d,keys:l}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(t=>r.add(t)),this.userConfiguration.freeze().keys.forEach(t=>r.add(t)),this._workspaceConfiguration.freeze().keys.forEach(t=>r.add(t)),this._folderConfigurations.forEach(t=>t.freeze().keys.forEach(o=>r.add(o))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(t=>r.add(t)),this._folderConfigurations.forEach(t=>t.freeze().getAllOverrideIdentifiers().forEach(o=>r.add(o))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const t=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(o=>t.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(o=>t.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(o=>t.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(r).forEach(d=>t.add(d))),[...t.values()]}static parse(r){const t=this.parseConfigurationModel(r.defaults),o=this.parseConfigurationModel(r.user),d=this.parseConfigurationModel(r.workspace),l=r.folders.reduce((u,h)=>(u.set(A.URI.revive(h[0]),this.parseConfigurationModel(h[1])),u),new T.ResourceMap);return new R(t,o,new E,d,l,new E,new T.ResourceMap,!1)}static parseConfigurationModel(r){return new E(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=R;function _(...S){if(S.length===0)return{keys:[],overrides:[]};if(S.length===1)return S[0];const r=new Set,t=new Map;for(const d of S)d.keys.forEach(l=>r.add(l)),d.overrides.forEach(([l,u])=>{const h=(0,T.getOrSet)(t,l,new Set);u.forEach(b=>h.add(b))});const o=[];return t.forEach((d,l)=>o.push([l,[...d.values()]])),{keys:[...r.values()],overrides:o}}e.mergeChanges=_;class s{constructor(r,t,o,d){this.change=r,this.previous=t,this.currentConfiguraiton=o,this.currentWorkspace=d,this._previousConfiguration=void 0;const l=new Set;r.keys.forEach(h=>l.add(h)),r.overrides.forEach(([,h])=>h.forEach(b=>l.add(b))),this.affectedKeys=[...l.values()];const u=new E;this.affectedKeys.forEach(h=>u.setValue(h,{})),this.affectedKeysTree=u.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=R.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,t){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(t){const o=this.previousConfiguration?this.previousConfiguration.getValue(r,t,this.previous?.workspace):void 0,d=this.currentConfiguraiton.getValue(r,t,this.currentWorkspace);return!P.equals(o,d)}return!0}return!1}doesAffectedKeysTreeContains(r,t){let o=(0,L.toValuesTree)({[t]:!0},()=>{}),d;for(;typeof o=="object"&&(d=Object.keys(o)[0]);){if(r=r[d],!r)return!1;o=o[d]}return!0}}e.ConfigurationChangeEvent=s;class n extends s{constructor(r,t,o,d){super({keys:r.allKeys(),overrides:[]},void 0,r,t);this.source=o,this.sourceConfig=d}}e.AllKeysConfigurationChangeEvent=n;function m(S,r){const{added:t,removed:o,updated:d}=a(r,S),l=[],u=S?.getAllOverrideIdentifiers()||[],h=r?.getAllOverrideIdentifiers()||[];if(r){const b=h.filter(p=>!u.includes(p));for(const p of b)l.push([p,r.getKeysForOverrideIdentifier(p)])}if(S){const b=u.filter(p=>!h.includes(p));for(const p of b)l.push([p,S.getKeysForOverrideIdentifier(p)])}if(r&&S){for(const b of u)if(h.includes(b)){const p=a({contents:S.getOverrideValue(void 0,b)||{},keys:S.getKeysForOverrideIdentifier(b)},{contents:r.getOverrideValue(void 0,b)||{},keys:r.getKeysForOverrideIdentifier(b)});l.push([b,[...p.added,...p.removed,...p.updated]])}}return{added:t,removed:o,updated:d,overrides:l}}function a(S,r){const t=S?r?S.keys.filter(l=>r.keys.indexOf(l)===-1):[...S.keys]:[],o=r?S?r.keys.filter(l=>S.keys.indexOf(l)===-1):[...r.keys]:[],d=[];if(S&&r){for(const l of r.keys)if(S.keys.indexOf(l)!==-1){const u=(0,L.getConfigurationValue)(r.contents,l),h=(0,L.getConfigurationValue)(S.contents,l);P.equals(u,h)||d.push(l)}}return{added:t,removed:o,updated:d}}}),define(pe[120],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,f.createDecorator)("remoteAuthorityResolverService");var i;(function(C){C.Unknown="Unknown",C.NotAvailable="NotAvailable",C.TemporarilyNotAvailable="TemporarilyNotAvailable",C.NoResolverFound="NoResolverFound"})(i=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class I extends Error{constructor(T,P=i.Unknown,y){super(T);this._message=T,this._code=P,this._detail=y,this.isHandled=P===i.NotAvailable&&y===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,I.prototype)}static isTemporarilyNotAvailable(T){return T instanceof I&&T._code===i.TemporarilyNotAvailable}static isNoResolverFound(T){return T instanceof I&&T._code===i.NoResolverFound}static isHandled(T){return T instanceof I&&T.isHandled}}e.RemoteAuthorityResolverError=I}),define(pe[63],ve([0,1,10]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function i(A){return A.scheme===f.Schemas.vscodeRemote?A.authority:void 0}e.getRemoteAuthority=i;function I(A){if(!A)return;const L=A.indexOf("+");return L<0?A:A.substr(0,L)}e.getRemoteName=I;function C(A){return A.scheme!==f.Schemas.file&&A.scheme!==f.Schemas.vscodeRemote}e.isVirtualResource=C;function T(A){if(A.folders.length)return A.folders.every(L=>C(L.uri))?A.folders[0].uri:void 0;if(A.configuration&&C(A.configuration))return A.configuration}e.getVirtualWorkspaceLocation=T;function P(A){return T(A)?.scheme}e.getVirtualWorkspaceScheme=P;function y(A){return T(A)!==void 0}e.isVirtualWorkspace=y}),define(pe[27],ve([0,1,9,4,63]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function C(c){if(typeof c=="object"&&c!==null&&c.supported!==!0)return c.description}e.getWorkspaceSupportTypeMessage=C;function T(c){return c&&typeof c=="object"&&typeof c.id=="string"&&(!c.uuid||typeof c.uuid=="string")}e.isIExtensionIdentifier=T,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(c){c[c.System=0]="System",c[c.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class y{constructor(E){this.value=E,this._lower=E.toLowerCase()}static equals(E,g){if(typeof E=="undefined"||E===null)return typeof g=="undefined"||g===null;if(typeof g=="undefined"||g===null)return!1;if(typeof E=="string"||typeof g=="string"){let w=typeof E=="string"?E:E.value,v=typeof g=="string"?g:g.value;return f.equalsIgnoreCase(w,v)}return E._lower===g._lower}static toKey(E){return typeof E=="string"?E.toLowerCase():E._lower}}e.ExtensionIdentifier=y;function A(c){return c.contributes&&c.contributes.localizations?c.contributes.localizations.length>0:!1}e.isLanguagePackExtension=A;function L(c){return c.contributes&&c.contributes.authentication?c.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=L;function D(c,E){if(E){const g=`onResolveRemoteAuthority:${(0,I.getRemoteName)(E)}`;return c.activationEvents?.indexOf(g)!==-1}return!1}e.isResolverExtension=D,e.IBuiltinExtensionsScannerService=(0,i.createDecorator)("IBuiltinExtensionsScannerService")}),define(pe[194],ve([0,1,9,27]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function I(g,w){return g.uuid&&w.uuid?g.uuid===w.uuid:g.id===w.id?!0:(0,f.compareIgnoreCase)(g.id,w.id)===0}e.areSameExtensions=I;class C{constructor(w,v){this.version=v,this.id=w.id,this.uuid=w.uuid}key(){return`${this.id}-${this.version}`}equals(w){return w instanceof C?I(this,w)&&this.version===w.version:!1}}e.ExtensionIdentifierWithVersion=C;function T(g,w){return`${g}.${w}`}e.getExtensionId=T;function P(g){return g.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function y(g,w){return P(T(g,w))}e.getGalleryExtensionId=y;function A(g,w){const v=[],R=_=>{for(const s of v)if(s.some(n=>I(w(n),w(_))))return s;return null};for(const _ of g){const s=R(_);s?s.push(_):v.push([_])}return v}e.groupByExtension=A;function L(g){return{id:g.identifier.id,name:g.manifest.name,galleryId:null,publisherId:g.publisherId,publisherName:g.manifest.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:g.manifest.extensionDependencies&&g.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=L;function D(g){return{id:g.identifier.id,name:g.name,galleryId:g.identifier.uuid,publisherId:g.publisherId,publisherName:g.publisher,publisherDisplayName:g.publisherDisplayName,isPreReleaseVersion:g.properties.isPreReleaseVersion,dependencies:!!(g.properties.dependencies&&g.properties.dependencies.length>0),...g.telemetryData}}e.getGalleryExtensionTelemetryData=D,e.BetterMergeId=new i.ExtensionIdentifier("pprice.better-merge");function c(g){const w=new Set;if(g.malicious)for(const v of g.malicious)w.add(v.id);return w}e.getMaliciousExtensionsSet=c;function E(g,w){const v=[],R=w.manifest.extensionDependencies?.slice(0)??[];for(;R.length;){const _=R.shift();if(_&&v.every(s=>!I(s.identifier,{id:_}))){const s=g.filter(n=>I(n.identifier,{id:_}));s.length===1&&(v.push(s[0]),R.push(...s[0].manifest.extensionDependencies?.slice(0)??[]))}}return v}e.getExtensionDependencies=E}),define(pe[121],ve([0,1,3,12,4,11]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,I.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,I.createDecorator)("sharedTunnelsService");var T;(function(g){g.Http="http",g.Https="https"})(T=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(g){g.ConstantPrivate="constantPrivate",g.Private="private",g.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var y;(function(g){g[g.Notify=1]="Notify",g[g.OpenBrowser=2]="OpenBrowser",g[g.OpenPreview=3]="OpenPreview",g[g.Silent=4]="Silent",g[g.Ignore=5]="Ignore",g[g.OpenBrowserOnce=6]="OpenBrowserOnce"})(y=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function A(g){if(g.scheme!=="http"&&g.scheme!=="https")return;const w=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(g.authority);if(!!w)return{address:w[1],port:+w[2]}}e.extractLocalHostUriMetaDataForPortMapping=A,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function L(g){return e.LOCALHOST_ADDRESSES.indexOf(g)>=0}e.isLocalhost=L,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function D(g){return e.ALL_INTERFACES_ADDRESSES.indexOf(g)>=0}e.isAllInterfaces=D;function c(g,w){return w?w!==1&&g<1024:!i.isWindows&&g<1024}e.isPortPrivileged=c;let E=class{constructor(w){this.logService=w,this._onTunnelOpened=new f.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new f.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new f.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(w,v){return this._tunnelProvider=w,w?(this._canElevate=v.elevation,this._privacyOptions=v.privacyOptions,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const w=[],v=Array.from(this._tunnels.values());for(let R of v){const _=Array.from(R.values());for(let s of _){const n=await s.value;n&&w.push(n)}}return w}async dispose(){for(const w of this._tunnels.values()){for(const{value:v}of w.values())await v.then(R=>R?.dispose());w.clear()}this._tunnels.clear()}openTunnel(w,v,R,_,s=!1,n=P.Private,m){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${v}:${R} on local port ${_}.`),!w)return;v||(v="localhost");const a=this.retainOrCreateTunnel(w,v,R,_,s,n,m);return a?a.then(S=>{if(!S){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(v,R);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const r=this.makeTunnel(S);return(S.tunnelRemoteHost!==v||S.tunnelRemotePort!==R)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(r),r}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),a)}makeTunnel(w){return{tunnelRemotePort:w.tunnelRemotePort,tunnelRemoteHost:w.tunnelRemoteHost,tunnelLocalPort:w.tunnelLocalPort,localAddress:w.localAddress,privacy:w.privacy,protocol:w.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${w.tunnelRemoteHost}:${w.tunnelRemotePort} `);const v=this._tunnels.get(w.tunnelRemoteHost);if(v){const R=v.get(w.tunnelRemotePort);R&&(R.refcount--,await this.tryDisposeTunnel(w.tunnelRemoteHost,w.tunnelRemotePort,R))}}}}async tryDisposeTunnel(w,v,R){if(R.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${w}:${v}.`);const _=R.value.then(async s=>{s&&(await s.dispose(!0),this._onTunnelClosed.fire({host:s.tunnelRemoteHost,port:s.tunnelRemotePort}))});return this._tunnels.has(w)&&this._tunnels.get(w).delete(v),_}}async closeTunnel(w,v){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${w}:${v} `);const R=this._tunnels.get(w);if(R&&R.has(v)){const _=R.get(v);_.refcount=0,await this.tryDisposeTunnel(w,v,_)}}addTunnelToMap(w,v,R){this._tunnels.has(w)||this._tunnels.set(w,new Map),this._tunnels.get(w).set(v,{refcount:1,value:R})}async removeEmptyTunnelFromMap(w,v){const R=this._tunnels.get(w);R&&(await R.get(v)||R.delete(v),R.size===0&&this._tunnels.delete(w))}getTunnelFromMap(w,v){let R=[w];L(w)?(R.push(...e.LOCALHOST_ADDRESSES),R.push(...e.ALL_INTERFACES_ADDRESSES)):D(w)&&R.push(...e.ALL_INTERFACES_ADDRESSES);const _=R.map(s=>this._tunnels.get(s));for(const s of _){const n=s?.get(v);if(n)return n}}canTunnel(w){return!!A(w)}createWithProvider(w,v,R,_,s,n,m){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${v}:${R} on local port ${_}.`);const S={elevationRequired:s?c(_===void 0?R:_):!1},r={remoteAddress:{host:v,port:R},localAddressPort:_,privacy:n,public:n!==P.Private,protocol:m},t=w.forwardPort(r,S);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),t&&this.addTunnelToMap(v,R,t),t}};E=je([ze(0,C.ILogService)],E),e.AbstractTunnelService=E}),define(pe[195],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class f{constructor(){this.validators=new Map}vsda(){return new Promise((I,C)=>X(["vsda"],I,C))}async createNewMessage(I){try{const C=await this.vsda(),T=new C.validator;if(T){const P=String(f._nextId++);return this.validators.set(P,T),{id:P,data:T.createNewMessage(I)}}}catch{}return{id:"",data:I}}async validate(I,C){if(!I.id)return!0;const T=this.validators.get(I.id);if(!T)return!1;this.validators.delete(I.id);try{return T.validate(C)==="ok"}catch{return!1}}async sign(I){try{const C=await this.vsda(),T=new C.signer;if(T)return T.sign(I)}catch{}return I}}e.SignService=f,f._nextId=1}),define(pe[196],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class f{constructor(I){this._callback=I,this._terminalBufferMap=new Map}dispose(){for(const I of this._terminalBufferMap.values())I.dispose()}startBuffering(I,C,T=5){let P;return P=C(y=>{const A=typeof y=="string"?y:y.data;let L=this._terminalBufferMap.get(I);if(L){L.data.push(A);return}const D=setTimeout(()=>this.flushBuffer(I),T);L={data:[A],timeoutId:D,dispose:()=>{clearTimeout(D),this.flushBuffer(I),P.dispose()}},this._terminalBufferMap.set(I,L)}),P}stopBuffering(I){const C=this._terminalBufferMap.get(I);C&&C.dispose()}flushBuffer(I){const C=this._terminalBufferMap.get(I);C&&(this._terminalBufferMap.delete(I),this._callback(I,C.data.join("")))}}e.TerminalDataBufferer=f}),define(pe[197],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var f;(function(i){i.DARK="dark",i.LIGHT="light",i.HIGH_CONTRAST="hc"})(f=e.ColorScheme||(e.ColorScheme={}))}),define(pe[86],ve([0,1,74,3,6,4,51,197]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,C.createDecorator)("themeService");var y;(function(v){function R(_){return _&&typeof _=="object"&&typeof _.id=="string"}v.isThemeColor=R})(y=e.ThemeColor||(e.ThemeColor={}));function A(v){return{id:v}}e.themeColorFromId=A;var L;(function(v){function R(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||y.isThemeColor(t.color))}v.isThemeIcon=R;const _=new RegExp(`^\\$\\((${f.CSSIcon.iconNameExpression}(?:${f.CSSIcon.iconModifierExpression})?)\\)$`);function s(t){const o=_.exec(t);if(!o)return;let[,d]=o;return{id:d}}v.fromString=s;function n(t){return{id:t}}v.fromId=n;function m(t,o){let d=t.id;const l=d.lastIndexOf("~");return l!==-1&&(d=d.substring(0,l)),o&&(d=`${d}~${o}`),{id:d}}v.modify=m;function a(t){const o=t.id.lastIndexOf("~");if(o!==-1)return t.id.substring(o+1)}v.getModifier=a;function S(t,o){return t.id===o.id&&t.color?.id===o.color?.id}v.isEqual=S;function r(t,o){return{id:t.id,color:o?A(o):void 0}}v.asThemeIcon=r,v.asClassNameArray=f.CSSIcon.asClassNameArray,v.asClassName=f.CSSIcon.asClassName,v.asCSSSelector=f.CSSIcon.asCSSSelector})(L=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=f.Codicon.file,e.FolderThemeIcon=f.Codicon.folder;function D(v){switch(v){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=D,e.Extensions={ThemingContribution:"base.contributions.theming"};class c{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new i.Emitter}onColorThemeChange(R){return this.themingParticipants.push(R),this.onThemingParticipantAddedEmitter.fire(R),(0,I.toDisposable)(()=>{const _=this.themingParticipants.indexOf(R);this.themingParticipants.splice(_,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let E=new c;T.Registry.add(e.Extensions.ThemingContribution,E);function g(v){return E.onColorThemeChange(v)}e.registerThemingParticipant=g;class w extends I.Disposable{constructor(R){super();this.themeService=R,this.theme=R.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(_=>this.onThemeChange(_)))}onThemeChange(R){this.theme=R,this.updateStyles()}updateStyles(){}getColor(R,_){let s=this.theme.getColor(R);return s&&_&&(s=_(s,this.theme)),s?s.toString():null}}e.Themable=w}),define(pe[43],ve([0,1,24,23,2,4]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,C.createDecorator)("contextService");var T;(function(c){c[c.EMPTY=1]="EMPTY",c[c.FOLDER=2]="FOLDER",c[c.WORKSPACE=3]="WORKSPACE"})(T=e.WorkbenchState||(e.WorkbenchState={}));function P(c){const E=c;return!!(E&&typeof E=="object"&&typeof E.id=="string"&&Array.isArray(E.folders))}e.isWorkspace=P;function y(c){const E=c;return!!(E&&typeof E=="object"&&I.URI.isUri(E.uri)&&typeof E.name=="string"&&typeof E.toResource=="function")}e.isWorkspaceFolder=y;class A{constructor(E,g,w,v,R){this._id=E,this._transient=w,this._configuration=v,this._ignorePathCasing=R,this._foldersMap=f.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=g}update(E){this._id=E.id,this._configuration=E.configuration,this._transient=E.transient,this._ignorePathCasing=E._ignorePathCasing,this.folders=E.folders}get folders(){return this._folders}set folders(E){this._folders=E,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(E){this._configuration=E}getFolder(E){return E&&this._foldersMap.findSubstr(E.with({scheme:E.scheme,authority:E.authority,path:E.path}))||null}updateFoldersMap(){this._foldersMap=f.TernarySearchTree.forUris(this._ignorePathCasing);for(const E of this.folders)this._foldersMap.set(E.uri,E)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=A;class L{constructor(E,g){this.raw=g,this.uri=E.uri,this.index=E.index,this.name=E.name}toResource(E){return(0,i.joinPath)(this.uri,E)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=L;function D(c){return new L({uri:c,index:0,name:(0,i.basenameOrAuthority)(c)},{uri:c.toString()})}e.toWorkspaceFolder=D}),define(pe[198],ve([0,1,28,58,140,81,10,8,12,23,2,162,4,63,43]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isWorkspaceBackupInfo=e.isFolderBackupInfo=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const w=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,D.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function v(N){return(typeof N=="string"?(0,P.extname)(N):(0,A.extname)(N))===w}e.hasWorkspaceFileExtension=v,e.IWorkspacesService=(0,c.createDecorator)("workspacesService");function R(N){return N.hasOwnProperty("workspace")}e.isRecentWorkspace=R;function _(N){return N.hasOwnProperty("folderUri")}e.isRecentFolder=_;function s(N){return N.hasOwnProperty("fileUri")}e.isRecentFile=s;function n(N){return N&&N.hasOwnProperty("folderUri")}e.isFolderBackupInfo=n;function m(N){return N&&N.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=m;function a(N){const x=N;return typeof x?.id=="string"&&L.URI.isUri(x.uri)}e.isSingleFolderWorkspaceIdentifier=a;function S(N){if(N.configuration)return{id:N.id,configPath:N.configuration};if(N.folders.length===1)return{id:N.id,uri:N.folders[0].uri}}e.toWorkspaceIdentifier=S;function r(N){const x=N;return typeof x?.id=="string"&&L.URI.isUri(x.configPath)}e.isWorkspaceIdentifier=r;function t(N){const x=N;if(x?.uri)return{id:x.id,uri:L.URI.revive(x.uri)};const W=N;if(W?.configPath)return{id:W.id,configPath:L.URI.revive(W.configPath)};if(N?.id)return{id:N.id}}e.reviveIdentifier=t;function o(N,x){return A.extUriBiasedIgnorePathCase.isEqualOrParent(N,x.untitledWorkspacesHome)}e.isUntitledWorkspace=o;function d(N){return l(N)||u(N)}e.isStoredWorkspaceFolder=d;function l(N){const x=N;return typeof x?.path=="string"&&(!x.name||typeof x.name=="string")}e.isRawFileWorkspaceFolder=l;function u(N){const x=N;return typeof x?.uri=="string"&&(!x.name||typeof x.name=="string")}e.isRawUriWorkspaceFolder=u;function h(N,x,W,B,j=!y.isWindows,Z){if(N.scheme!==B.scheme)return{name:W,uri:N.toString(!0)};let se=x?void 0:Z.relativePath(B,N);if(se!==void 0)se.length===0?se=".":y.isWindows&&N.scheme===T.Schemas.file&&!j&&(se=se.replace(/\//g,"\\"));else if(N.scheme===T.Schemas.file)se=N.fsPath,y.isWindows&&(se=(0,C.normalizeDriveLetter)(se),j&&(se=(0,f.toSlashes)(se)));else{if(!Z.isEqualAuthority(N.authority,B.authority))return{name:W,uri:N.toString(!0)};se=N.path}return{name:W,path:se}}e.getStoredWorkspaceFolder=h;function b(N,x,W){let B=[],j=new Set;const Z=W.dirname(x);for(let se of N){let Q;if(l(se))se.path&&(Q=W.resolvePath(Z,se.path));else if(u(se))try{Q=L.URI.parse(se.uri),Q.path[0]!=="/"&&(Q=Q.with({path:"/"+Q.path}))}catch(z){console.warn(z)}if(Q){let z=W.getComparisonKey(Q);if(!j.has(z)){j.add(z);const te=se.name||W.basenameOrAuthority(Q);B.push(new g.WorkspaceFolder({uri:Q,name:te,index:B.length},se))}}}return B}e.toWorkspaceFolders=b;function p(N,x,W,B,j){let Z=k(x,N);const se=j.dirname(x),Q=j.dirname(B),z=[],te=O(Z.folders);for(const Ue of Z.folders){const Be=l(Ue)?j.resolvePath(se,Ue.path):L.URI.parse(Ue.uri);let q;W?q=!1:q=!l(Ue)||(0,P.isAbsolute)(Ue.path),z.push(h(Be,q,Ue.name,Q,te,j))}const he={insertSpaces:!1,tabSize:4,eol:y.isLinux||y.isMacintosh?`
`:`\r
`},ge=I.setProperty(N,["folders"],z,he);let ke=I.applyEdits(N,ge);return(0,A.isEqualAuthority)(Z.remoteAuthority,(0,E.getRemoteAuthority)(B))&&(ke=I.applyEdits(ke,I.removeProperty(ke,["remoteAuthority"],he))),ke}e.rewriteWorkspaceFileForNewLocation=p;function k(N,x){let W=i.parse(x);if(W&&Array.isArray(W.folders))W.folders=W.folders.filter(B=>d(B));else throw new Error(`${N} looks like an invalid workspace file.`);return W}function O(N){return y.isWindows?N.some(x=>l(x)&&x.path.indexOf("/")>=0):!0}e.useSlashForPath=O;function U(N){return N.workspace&&typeof N.workspace=="object"&&typeof N.workspace.id=="string"&&typeof N.workspace.configPath=="string"}function F(N){return typeof N.folderUri=="string"}function M(N){return typeof N.fileUri=="string"}function V(N,x){const W={workspaces:[],files:[]};if(N){const B=function(Z,se){for(let Q=0;Q<Z.length;Q++)try{se(Z[Q],Q)}catch(z){x.warn(`Error restoring recent entry ${JSON.stringify(Z[Q])}: ${z.toString()}. Skip entry.`)}},j=N;if(Array.isArray(j.entries))B(j.entries,Z=>{const se=Z.label,Q=Z.remoteAuthority;U(Z)?W.workspaces.push({label:se,remoteAuthority:Q,workspace:{id:Z.workspace.id,configPath:L.URI.parse(Z.workspace.configPath)}}):F(Z)?W.workspaces.push({label:se,remoteAuthority:Q,folderUri:L.URI.parse(Z.folderUri)}):M(Z)&&W.files.push({label:se,remoteAuthority:Q,fileUri:L.URI.parse(Z.fileUri)})});else{const Z=N;Array.isArray(Z.workspaces3)&&B(Z.workspaces3,(se,Q)=>{const z=Array.isArray(Z.workspaceLabels)&&Z.workspaceLabels[Q]||void 0;typeof se=="object"&&typeof se.id=="string"&&typeof se.configURIPath=="string"?W.workspaces.push({label:z,workspace:{id:se.id,configPath:L.URI.parse(se.configURIPath)}}):typeof se=="string"&&W.workspaces.push({label:z,folderUri:L.URI.parse(se)})}),Array.isArray(Z.files2)&&B(Z.files2,(se,Q)=>{const z=Array.isArray(Z.fileLabels)&&Z.fileLabels[Q]||void 0;typeof se=="string"&&W.files.push({label:z,fileUri:L.URI.parse(se)})})}}return W}e.restoreRecentlyOpened=V;function H(N){const x={entries:[]};for(const W of N.workspaces)_(W)?x.entries.push({folderUri:W.folderUri.toString(),label:W.label,remoteAuthority:W.remoteAuthority}):x.entries.push({workspace:{id:W.workspace.id,configPath:W.workspace.configPath.toString()},label:W.label,remoteAuthority:W.remoteAuthority});for(const W of N.files)x.entries.push({fileUri:W.fileUri.toString(),label:W.label,remoteAuthority:W.remoteAuthority});return x}e.toStoreData=H}),define(pe[87],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class f{constructor(I){this.id=I,this._data=new Map,this._idPool=1}add(I){const C=this._idPool++;return this._data.set(C,I),this.logDebugInfo(),C}get(I,C){return this._data.has(I)?this._data.get(I)[C]:void 0}delete(I){this._data.delete(I),this.logDebugInfo()}logDebugInfo(){!f.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=f,f.enableDebugLogging=!1}),define(pe[44],ve([0,1,10,23,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class C{constructor(){this._systemSchemes=new Set(Object.keys(f.Schemas)),this._providerInfo=new Map,this.extUri=new i.ExtUri(P=>{const y=this._providerInfo.get(P.scheme);return!(y===void 0||y&1024)})}$acceptProviderInfos(P,y){y===null?this._providerInfo.delete(P.scheme):this._providerInfo.set(P.scheme,y)}isFreeScheme(P){return!this._providerInfo.has(P)&&!this._systemSchemes.has(P)}getCapabilities(P){return this._providerInfo.get(P)}}e.ExtHostFileSystemInfo=C,e.IExtHostFileSystemInfo=(0,I.createDecorator)("IExtHostFileSystemInfo")}),define(pe[26],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,f.createDecorator)("IExtHostInitDataService")}),define(pe[199],ve([0,1,18]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class i{constructor(T,P,y){this._deferredPromises=new Map,this._id=T,this._shared=P,this._storage=y,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(A=>(this._value=A,this)),this._storageListener=this._storage.onDidChangeStorage(A=>{A.shared===this._shared&&A.key===this._id&&(this._value=A.value)}),this._scheduler=new f.RunOnceScheduler(()=>{const A=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const L of A.values())L.complete()}catch(L){for(const D of A.values())D.error(L)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,T])=>T!==void 0).map(([T])=>T)}get whenReady(){return this._init}get(T,P){let y=this._value[T];return typeof y=="undefined"&&(y=P),y}update(T,P){this._value[T]=P;let y=this._deferredPromises.get(T);if(y!==void 0)return y.p;const A=new f.DeferredPromise;return this._deferredPromises.set(T,A),this._scheduler.isScheduled()||this._scheduler.schedule(),A.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=i;class I extends i{constructor(T,P){super(T.identifier.value,!0,P);this._extension=T}setKeysForSync(T){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},T)}}e.ExtensionGlobalMemento=I}),define(pe[200],ve([0,1,3,2,11]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let C=class{constructor(P,y){this._logService=P,this._notebooksAndEditors=y,this._onDidChangeNotebookDocumentMetadata=new f.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new f.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(P,y,A){this._notebooksAndEditors.getNotebookDocument(i.URI.revive(P)).acceptModelChanged(y.value,A)}$acceptDirtyStateChanged(P,y){this._notebooksAndEditors.getNotebookDocument(i.URI.revive(P)).acceptDirty(y)}$acceptModelSaved(P){const y=this._notebooksAndEditors.getNotebookDocument(i.URI.revive(P));this._onDidSaveNotebookDocument.fire(y.apiNotebook)}$acceptDocumentPropertiesChanged(P,y){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",P.path,y);const A=this._notebooksAndEditors.getNotebookDocument(i.URI.revive(P));A.acceptDocumentPropertiesChanged(y),y.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:A.apiNotebook})}};C=je([ze(0,I.ILogService)],C),e.ExtHostNotebookDocuments=C}),define(pe[14],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,f.createDecorator)("IExtHostRpcService");class i{constructor(C){this.getProxy=C.getProxy.bind(C),this.set=C.set.bind(C),this.assertRegistered=C.assertRegistered.bind(C),this.drain=C.drain.bind(C)}}e.ExtHostRpcService=i});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[201],ve([0,1,27,3]),function(X,e,f,i){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class C{constructor(P,y){I.set(this,void 0),this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._id=f.ExtensionIdentifier.toKey(P.identifier),it(this,I,y,"f"),Le(this,I,"f").onDidChangePassword(A=>{A.extensionId===this._id&&this._onDidChange.fire({key:A.key})})}get(P){return Le(this,I,"f").get(this._id,P)}store(P,y){return Le(this,I,"f").store(this._id,P,y)}delete(P){return Le(this,I,"f").delete(this._id,P)}}e.ExtensionSecrets=C,I=new WeakMap}),define(pe[122],ve([0,1,4,3]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class I{constructor(){this._onDidChangeTelemetryEnabled=new i.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(T){this._enabled=T}$onDidChangeTelemetryEnabled(T){this._enabled=T,this._onDidChangeTelemetryEnabled.fire(T)}}e.ExtHostTelemetry=I,e.IExtHostTelemetry=(0,f.createDecorator)("IExtHostTelemetry")}),define(pe[64],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestItemRootImpl=e.TestItemImpl=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.diffTestItems=e.getPrivateApiFor=e.createPrivateApiFor=e.ExtHostTestItemEventOp=void 0;var f;(function(_){_[_.Upsert=0]="Upsert",_[_.RemoveChild=1]="RemoveChild",_[_.Invalidated=2]="Invalidated",_[_.SetProp=3]="SetProp",_[_.Bulk=4]="Bulk"})(f=e.ExtHostTestItemEventOp||(e.ExtHostTestItemEventOp={}));const i=new WeakMap,I=(_,s)=>{const n={controllerId:s};return i.set(_,n),n};e.createPrivateApiFor=I;const C=_=>i.get(_);e.getPrivateApiFor=C;const T=(_,s,n,m)=>{let a=n;return{enumerable:!0,configurable:!1,get(){return a},set(S){if(!m(a,S)){const r=a;a=S,_.listener?.({op:3,key:s,value:S,previous:r})}}}},P=(_,s)=>_===s,y={range:(_,s)=>_===s?!0:!_||!s?!1:_.isEqual(s),label:P,description:P,busy:P,error:P,canResolveChildren:P,tags:(_,s)=>!(_.length!==s.length||_.some(n=>!s.find(m=>n.id===m.id)))},A=Object.keys(y),L=(_,s)=>({range:T(_,"range",void 0,y.range),label:T(_,"label",s,y.label),description:T(_,"description",void 0,y.description),canResolveChildren:T(_,"canResolveChildren",!1,y.canResolveChildren),busy:T(_,"busy",!1,y.busy),error:T(_,"error",void 0,y.error),tags:T(_,"tags",[],y.tags)}),D=(_,s)=>{const n=new Map;for(const m of A)y[m](_[m],s[m])||n.set(m,s[m]);return n};e.diffTestItems=D;class c extends Error{constructor(s){super(`Attempted to insert a duplicate test item ID ${s}`)}}e.DuplicateTestItemError=c;class E extends Error{constructor(s){super(`TestItem with ID "${s}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=E;class g extends Error{constructor(s,n,m){super(`TestItem with ID "${s}" is from controller "${n}" and cannot be added as a child of an item from controller "${m}".`)}}e.MixedTestItemController=g;const w=_=>{const s=(0,e.getPrivateApiFor)(_);let n=new Map;return{get size(){return n.size},forEach(m,a){for(const S of n.values())m.call(a,S,this)},replace(m){const a=new Map,S=new Set(n.keys()),r={op:4,ops:[]};for(const t of m){if(!(t instanceof v))throw new E(t.id);const o=(0,e.getPrivateApiFor)(t).controllerId;if(o!==s.controllerId)throw new g(t.id,o,s.controllerId);if(a.has(t.id))throw new c(t.id);a.set(t.id,t),S.delete(t.id),r.ops.push({op:0,item:t})}for(const t of S.keys())r.ops.push({op:1,id:t});s.listener?.(r),n=a},add(m){if(!(m instanceof v))throw new E(m.id);n.set(m.id,m),s.listener?.({op:0,item:m})},delete(m){n.delete(m)&&s.listener?.({op:1,id:m})},get(m){return n.get(m)},toJSON(){return Array.from(n.values())},[Symbol.iterator](){return n.values()}}};class v{constructor(s,n,m,a){if(n.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(n)} symbol`);const S=(0,e.createPrivateApiFor)(this,s);Object.defineProperties(this,{id:{value:n,enumerable:!0,writable:!1},uri:{value:a,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return S.parent instanceof R?void 0:S.parent}},children:{value:w(this),enumerable:!0,writable:!1},...L(S,m)})}invalidateResults(){(0,e.getPrivateApiFor)(this).listener?.({op:2})}}e.TestItemImpl=v;class R extends v{constructor(s,n){super(s,s,n,void 0)}}e.TestItemRootImpl=R}),define(pe[52],ve([0,1,4,121,3,14]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var T;(function(y){function A(D){return{remoteAddress:D.remoteAddress,localAddress:D.localAddress,public:!!D.public,privacy:D.privacy??(D.public?i.TunnelPrivacyId.Public:i.TunnelPrivacyId.Private),protocol:D.protocol}}y.fromApiTunnel=A;function L(D){return{remoteAddress:{host:D.tunnelRemoteHost,port:D.tunnelRemotePort},localAddress:D.localAddress,public:D.privacy!==i.TunnelPrivacyId.ConstantPrivate&&D.privacy!==i.TunnelPrivacyId.ConstantPrivate,privacy:D.privacy,protocol:D.protocol}}y.fromServiceTunnel=L})(T=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,f.createDecorator)("IExtHostTunnelService");let P=class{constructor(A){this.onDidChangeTunnels=new I.Emitter().event}async $applyCandidateFilter(A){return A}async openTunnel(A,L){}async getTunnels(){return[]}async setTunnelExtensionFunctions(A){return{dispose:()=>{}}}registerPortsAttributesProvider(A,L){return{dispose:()=>{}}}async $providePortAttributes(A,L,D,c,E){return[]}async $forwardPort(A,L){}async $closeTunnel(A){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};P=je([ze(0,C.IExtHostRpcService)],P),e.ExtHostTunnelService=P});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[7],ve([0,1,16,15,99,24,95,9,13,2,33,42,120]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";var E,g,w,v,R,_,s,n,m,a,S,r,t,o,d,l,u,h,b,p;Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeDataTransfer=e.TreeDataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function k(G){function $(){return Reflect.construct(G,arguments,this.constructor)}return Object.defineProperty($,"name",Object.getOwnPropertyDescriptor(G,"name")),Object.setPrototypeOf($,G),Object.setPrototypeOf($.prototype,G.prototype),$}let O=R=class{constructor($){E.set(this,void 0),it(this,E,$,"f")}static from(...$){let ue=$;return new R(function(){if(ue){for(const Pe of ue)Pe&&typeof Pe.dispose=="function"&&Pe.dispose();ue=void 0}})}dispose(){typeof Le(this,E,"f")=="function"&&(Le(this,E,"f").call(this),it(this,E,void 0,"f"))}};E=new WeakMap,O=R=je([k],O),e.Disposable=O;let U=_=class{constructor($,ue){if($<0)throw(0,i.illegalArgument)("line must be non-negative");if(ue<0)throw(0,i.illegalArgument)("character must be non-negative");this._line=$,this._character=ue}static Min(...$){if($.length===0)throw new TypeError;let ue=$[0];for(let Pe=1;Pe<$.length;Pe++){const Ze=$[Pe];Ze.isBefore(ue)&&(ue=Ze)}return ue}static Max(...$){if($.length===0)throw new TypeError;let ue=$[0];for(let Pe=1;Pe<$.length;Pe++){const Ze=$[Pe];Ze.isAfter(ue)&&(ue=Ze)}return ue}static isPosition($){if(!$)return!1;if($ instanceof _)return!0;let{line:ue,character:Pe}=$;return typeof ue=="number"&&typeof Pe=="number"}get line(){return this._line}get character(){return this._character}isBefore($){return this._line<$._line?!0:$._line<this._line?!1:this._character<$._character}isBeforeOrEqual($){return this._line<$._line?!0:$._line<this._line?!1:this._character<=$._character}isAfter($){return!this.isBeforeOrEqual($)}isAfterOrEqual($){return!this.isBefore($)}isEqual($){return this._line===$._line&&this._character===$._character}compareTo($){return this._line<$._line?-1:this._line>$.line?1:this._character<$._character?-1:this._character>$._character?1:0}translate($,ue=0){if($===null||ue===null)throw(0,i.illegalArgument)();let Pe;return typeof $=="undefined"?Pe=0:typeof $=="number"?Pe=$:(Pe=typeof $.lineDelta=="number"?$.lineDelta:0,ue=typeof $.characterDelta=="number"?$.characterDelta:0),Pe===0&&ue===0?this:new _(this.line+Pe,this.character+ue)}with($,ue=this.character){if($===null||ue===null)throw(0,i.illegalArgument)();let Pe;return typeof $=="undefined"?Pe=this.line:typeof $=="number"?Pe=$:(Pe=typeof $.line=="number"?$.line:this.line,ue=typeof $.character=="number"?$.character:this.character),Pe===this.line&&ue===this.character?this:new _(Pe,ue)}toJSON(){return{line:this.line,character:this.character}}};U=_=je([k],U),e.Position=U;let F=s=class{constructor($,ue,Pe,Ze){let st,ut;if(typeof $=="number"&&typeof ue=="number"&&typeof Pe=="number"&&typeof Ze=="number"?(st=new U($,ue),ut=new U(Pe,Ze)):$ instanceof U&&ue instanceof U&&(st=$,ut=ue),!st||!ut)throw new Error("Invalid arguments");st.isBefore(ut)?(this._start=st,this._end=ut):(this._start=ut,this._end=st)}static isRange($){return $ instanceof s?!0:$?U.isPosition($.start)&&U.isPosition($.end):!1}get start(){return this._start}get end(){return this._end}contains($){return $ instanceof s?this.contains($._start)&&this.contains($._end):$ instanceof U?!($.isBefore(this._start)||this._end.isBefore($)):!1}isEqual($){return this._start.isEqual($._start)&&this._end.isEqual($._end)}intersection($){const ue=U.Max($.start,this._start),Pe=U.Min($.end,this._end);if(!ue.isAfter(Pe))return new s(ue,Pe)}union($){if(this.contains($))return this;if($.contains(this))return $;const ue=U.Min($.start,this._start),Pe=U.Max($.end,this.end);return new s(ue,Pe)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with($,ue=this.end){if($===null||ue===null)throw(0,i.illegalArgument)();let Pe;return $?U.isPosition($)?Pe=$:(Pe=$.start||this.start,ue=$.end||this.end):Pe=this.start,Pe.isEqual(this._start)&&ue.isEqual(this.end)?this:new s(Pe,ue)}toJSON(){return[this.start,this.end]}};F=s=je([k],F),e.Range=F;let M=n=class extends F{constructor($,ue,Pe,Ze){let st,ut;if(typeof $=="number"&&typeof ue=="number"&&typeof Pe=="number"&&typeof Ze=="number"?(st=new U($,ue),ut=new U(Pe,Ze)):$ instanceof U&&ue instanceof U&&(st=$,ut=ue),!st||!ut)throw new Error("Invalid arguments");super(st,ut);this._anchor=st,this._active=ut}static isSelection($){return $ instanceof n?!0:$?F.isRange($)&&U.isPosition($.anchor)&&U.isPosition($.active)&&typeof $.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};M=n=je([k],M),e.Selection=M;class V{constructor($,ue,Pe){if(typeof $!="string"||$.length===0)throw(0,i.illegalArgument)("host");if(typeof ue!="number"||ue===0||Math.round(ue)!==ue)throw(0,i.illegalArgument)("port");if(typeof Pe!="undefined"&&(typeof Pe!="string"||Pe.length===0||!/^[0-9A-Za-z\-]+$/.test(Pe)))throw(0,i.illegalArgument)("connectionToken");this.host=$,this.port=Math.round(ue),this.connectionToken=Pe}}e.ResolvedAuthority=V;class H extends Error{constructor($,ue=c.RemoteAuthorityResolverErrorCode.Unknown,Pe){super($);this._message=$,this._code=ue,this._detail=Pe,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,H.prototype)}static NotAvailable($,ue){return new H($,c.RemoteAuthorityResolverErrorCode.NotAvailable,ue)}static TemporarilyNotAvailable($){return new H($,c.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=H;var N;(function(G){G[G.LF=1]="LF",G[G.CRLF=2]="CRLF"})(N=e.EndOfLine||(e.EndOfLine={}));var x;(function(G){G[G.Replace=1]="Replace",G[G.Append=2]="Append",G[G.Prepend=3]="Prepend"})(x=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let W=m=class{constructor($,ue){this._range=$,this._newText=ue}static isTextEdit($){return $ instanceof m?!0:$?F.isRange($)&&typeof $.newText=="string":!1}static replace($,ue){return new m($,ue)}static insert($,ue){return m.replace(new F($,$),ue)}static delete($){return m.replace($,"")}static setEndOfLine($){const ue=new m(new F(new U(0,0),new U(0,0)),"");return ue.newEol=$,ue}get range(){return this._range}set range($){if($&&!F.isRange($))throw(0,i.illegalArgument)("range");this._range=$}get newText(){return this._newText||""}set newText($){if($&&typeof $!="string")throw(0,i.illegalArgument)("newText");this._newText=$}get newEol(){return this._newEol}set newEol($){if($&&typeof $!="number")throw(0,i.illegalArgument)("newEol");this._newEol=$}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};W=m=je([k],W),e.TextEdit=W;var B;(function(G){G[G.File=1]="File",G[G.Text=2]="Text",G[G.Cell=3]="Cell",G[G.CellReplace=5]="CellReplace"})(B=e.FileEditType||(e.FileEditType={}));let j=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile($,ue,Pe,Ze){this._edits.push({_type:1,from:$,to:ue,options:Pe,metadata:Ze})}createFile($,ue,Pe){this._edits.push({_type:1,from:void 0,to:$,options:ue,metadata:Pe})}deleteFile($,ue,Pe){this._edits.push({_type:1,from:$,to:void 0,options:ue,metadata:Pe})}replaceNotebookMetadata($,ue,Pe){this._edits.push({_type:3,metadata:Pe,uri:$,edit:{editType:5,metadata:ue},notebookMetadata:ue})}replaceNotebookCells($,ue,Pe,Ze,st){let ut,mt,Pt=[],Lt;if(Ht.isNotebookRange(ue)&&Bt.isNotebookCellDataArray(Pe)&&!Bt.isNotebookCellDataArray(Ze)?(ut=ue.start,mt=ue.end,Pt=Pe,Lt=Ze):typeof ue=="number"&&typeof Pe=="number"&&Bt.isNotebookCellDataArray(Ze)&&(ut=ue,mt=Pe,Pt=Ze,Lt=st),ut===void 0||mt===void 0)throw new Error("Invalid arguments");(ut!==mt||Pt.length>0)&&this._edits.push({_type:5,uri:$,index:ut,count:mt-ut,cells:Pt,metadata:Lt})}replaceNotebookCellMetadata($,ue,Pe,Ze){this._edits.push({_type:3,metadata:Ze,uri:$,edit:{editType:8,index:ue,metadata:Pe}})}replace($,ue,Pe,Ze){this._edits.push({_type:2,uri:$,edit:new W(ue,Pe),metadata:Ze})}insert($,ue,Pe,Ze){this.replace($,new F(ue,ue),Pe,Ze)}delete($,ue,Pe){this.replace($,ue,"",Pe)}has($){return this._edits.some(ue=>ue._type===2&&ue.uri.toString()===$.toString())}set($,ue){if(ue)for(const Pe of ue)Pe&&this._edits.push({_type:2,uri:$,edit:Pe});else{for(let Pe=0;Pe<this._edits.length;Pe++){const Ze=this._edits[Pe];Ze._type===2&&Ze.uri.toString()===$.toString()&&(this._edits[Pe]=void 0)}(0,f.coalesceInPlace)(this._edits)}}get($){const ue=[];for(let Pe of this._edits)Pe._type===2&&Pe.uri.toString()===$.toString()&&ue.push(Pe.edit);return ue}entries(){const $=new C.ResourceMap;for(let ue of this._edits)if(ue._type===2){let Pe=$.get(ue.uri);Pe||(Pe=[ue.uri,[]],$.set(ue.uri,Pe)),Pe[1].push(ue.edit)}return[...$.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};j=je([k],j),e.WorkspaceEdit=j;let Z=a=class{constructor($){this._tabstop=1,this.value=$||""}static isSnippetString($){return $ instanceof a?!0:$?typeof $.value=="string":!1}static _escape($){return $.replace(/\$|}|\\/g,"\\$&")}appendText($){return this.value+=a._escape($),this}appendTabstop($=this._tabstop++){return this.value+="$",this.value+=$,this}appendPlaceholder($,ue=this._tabstop++){if(typeof $=="function"){const Pe=new a;Pe._tabstop=this._tabstop,$(Pe),this._tabstop=Pe._tabstop,$=Pe.value}else $=a._escape($);return this.value+="${",this.value+=ue,this.value+=":",this.value+=$,this.value+="}",this}appendChoice($,ue=this._tabstop++){const Pe=$.map(Ze=>Ze.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ue,this.value+="|",this.value+=Pe,this.value+="|}",this}appendVariable($,ue){if(typeof ue=="function"){const Pe=new a;Pe._tabstop=this._tabstop,ue(Pe),this._tabstop=Pe._tabstop,ue=Pe.value}else typeof ue=="string"&&(ue=ue.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=$,ue&&(this.value+=":",this.value+=ue),this.value+="}",this}};Z=a=je([k],Z),e.SnippetString=Z;var se;(function(G){G[G.Unnecessary=1]="Unnecessary",G[G.Deprecated=2]="Deprecated"})(se=e.DiagnosticTag||(e.DiagnosticTag={}));var Q;(function(G){G[G.Hint=3]="Hint",G[G.Information=2]="Information",G[G.Warning=1]="Warning",G[G.Error=0]="Error"})(Q=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let z=S=class{constructor($,ue){if(this.uri=$,ue)if(ue instanceof F)this.range=ue;else if(ue instanceof U)this.range=new F(ue,ue);else throw new Error("Illegal argument")}static isLocation($){return $ instanceof S?!0:$?F.isRange($.range)&&A.URI.isUri($.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};z=S=je([k],z),e.Location=z;let te=class{constructor($,ue){this.location=$,this.message=ue}static is($){return $?typeof $.message=="string"&&$.location&&F.isRange($.location.range)&&A.URI.isUri($.location.uri):!1}static isEqual($,ue){return $===ue?!0:!$||!ue?!1:$.message===ue.message&&$.location.range.isEqual(ue.location.range)&&$.location.uri.toString()===ue.location.uri.toString()}};te=je([k],te),e.DiagnosticRelatedInformation=te;let he=class{constructor($,ue,Pe=Q.Error){if(!F.isRange($))throw new TypeError("range must be set");if(!ue)throw new TypeError("message must be set");this.range=$,this.message=ue,this.severity=Pe}toJSON(){return{severity:Q[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual($,ue){return $===ue?!0:!$||!ue?!1:$.message===ue.message&&$.severity===ue.severity&&$.code===ue.code&&$.severity===ue.severity&&$.source===ue.source&&$.range.isEqual(ue.range)&&(0,f.equals)($.tags,ue.tags)&&(0,f.equals)($.relatedInformation,ue.relatedInformation,te.isEqual)}};he=je([k],he),e.Diagnostic=he;let ge=class{constructor($,ue){if(!$)throw new Error("Illegal argument, contents must be defined");Array.isArray($)?this.contents=$:this.contents=[$],this.range=ue}};ge=je([k],ge),e.Hover=ge;var ke;(function(G){G[G.Text=0]="Text",G[G.Read=1]="Read",G[G.Write=2]="Write"})(ke=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Ue=class{constructor($,ue=ke.Text){this.range=$,this.kind=ue}toJSON(){return{range:this.range,kind:ke[this.kind]}}};Ue=je([k],Ue),e.DocumentHighlight=Ue;var Be;(function(G){G[G.File=0]="File",G[G.Module=1]="Module",G[G.Namespace=2]="Namespace",G[G.Package=3]="Package",G[G.Class=4]="Class",G[G.Method=5]="Method",G[G.Property=6]="Property",G[G.Field=7]="Field",G[G.Constructor=8]="Constructor",G[G.Enum=9]="Enum",G[G.Interface=10]="Interface",G[G.Function=11]="Function",G[G.Variable=12]="Variable",G[G.Constant=13]="Constant",G[G.String=14]="String",G[G.Number=15]="Number",G[G.Boolean=16]="Boolean",G[G.Array=17]="Array",G[G.Object=18]="Object",G[G.Key=19]="Key",G[G.Null=20]="Null",G[G.EnumMember=21]="EnumMember",G[G.Struct=22]="Struct",G[G.Event=23]="Event",G[G.Operator=24]="Operator",G[G.TypeParameter=25]="TypeParameter"})(Be=e.SymbolKind||(e.SymbolKind={}));var q;(function(G){G[G.Deprecated=1]="Deprecated"})(q=e.SymbolTag||(e.SymbolTag={}));let Y=r=class{constructor($,ue,Pe,Ze,st){this.name=$,this.kind=ue,this.containerName=st,typeof Pe=="string"&&(this.containerName=Pe),Ze instanceof z?this.location=Ze:Pe instanceof F&&(this.location=new z(Ze,Pe)),r.validate(this)}static validate($){if(!$.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Be[this.kind],location:this.location,containerName:this.containerName}}};Y=r=je([k],Y),e.SymbolInformation=Y;let re=t=class{constructor($,ue,Pe,Ze,st){this.name=$,this.detail=ue,this.kind=Pe,this.range=Ze,this.selectionRange=st,this.children=[],t.validate(this)}static validate($){if(!$.name)throw new Error("name must not be falsy");if(!$.range.contains($.selectionRange))throw new Error("selectionRange must be contained in fullRange");$.children&&$.children.forEach(t.validate)}};re=t=je([k],re),e.DocumentSymbol=re;var le;(function(G){G[G.Invoke=1]="Invoke",G[G.Automatic=2]="Automatic"})(le=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let J=class{constructor($,ue){this.title=$,this.kind=ue}};J=je([k],J),e.CodeAction=J;let oe=o=class{constructor($){this.value=$}append($){return new o(this.value?this.value+o.sep+$:$)}intersects($){return this.contains($)||$.contains(this)}contains($){return this.value===$.value||$.value.startsWith(this.value+o.sep)}};oe.sep=".",oe=o=je([k],oe),e.CodeActionKind=oe,oe.Empty=new oe(""),oe.QuickFix=oe.Empty.append("quickfix"),oe.Refactor=oe.Empty.append("refactor"),oe.RefactorExtract=oe.Refactor.append("extract"),oe.RefactorInline=oe.Refactor.append("inline"),oe.RefactorRewrite=oe.Refactor.append("rewrite"),oe.Source=oe.Empty.append("source"),oe.SourceOrganizeImports=oe.Source.append("organizeImports"),oe.SourceFixAll=oe.Source.append("fixAll");let Se=class{constructor($,ue){if(this.range=$,this.parent=ue,ue&&!ue.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};Se=je([k],Se),e.SelectionRange=Se;class Me{constructor($,ue,Pe,Ze,st,ut){this.kind=$,this.name=ue,this.detail=Pe,this.uri=Ze,this.range=st,this.selectionRange=ut}}e.CallHierarchyItem=Me;class Ge{constructor($,ue){this.fromRanges=ue,this.from=$}}e.CallHierarchyIncomingCall=Ge;class Ke{constructor($,ue){this.fromRanges=ue,this.to=$}}e.CallHierarchyOutgoingCall=Ke;var et;(function(G){G[G.Information=0]="Information",G[G.Warning=1]="Warning",G[G.Error=2]="Error"})(et=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let nt=class{constructor($,ue){this.range=$,this.command=ue}get isResolved(){return!!this.command}};nt=je([k],nt),e.CodeLens=nt;let ct=d=class{constructor($,ue=!1){g.set(this,void 0),it(this,g,new I.MarkdownString($,{supportThemeIcons:ue}),"f")}static isMarkdownString($){return $ instanceof d?!0:$&&$.appendCodeblock&&$.appendMarkdown&&$.appendText&&$.value!==void 0}get value(){return Le(this,g,"f").value}set value($){Le(this,g,"f").value=$}get isTrusted(){return Le(this,g,"f").isTrusted}set isTrusted($){Le(this,g,"f").isTrusted=$}get supportThemeIcons(){return Le(this,g,"f").supportThemeIcons}set supportThemeIcons($){Le(this,g,"f").supportThemeIcons=$}get supportHtml(){return Le(this,g,"f").supportHtml}set supportHtml($){Le(this,g,"f").supportHtml=$}appendText($){return Le(this,g,"f").appendText($),this}appendMarkdown($){return Le(this,g,"f").appendMarkdown($),this}appendCodeblock($,ue){return Le(this,g,"f").appendCodeblock(ue??"",$),this}};g=new WeakMap,ct=d=je([k],ct),e.MarkdownString=ct;let tt=class{constructor($,ue){this.label=$,this.documentation=ue}};tt=je([k],tt),e.ParameterInformation=tt;let rt=class{constructor($,ue){this.label=$,this.documentation=ue,this.parameters=[]}};rt=je([k],rt),e.SignatureInformation=rt;let dt=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};dt=je([k],dt),e.SignatureHelp=dt;var pt;(function(G){G[G.Invoke=1]="Invoke",G[G.TriggerCharacter=2]="TriggerCharacter",G[G.ContentChange=3]="ContentChange"})(pt=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var xe;(function(G){G[G.Other=0]="Other",G[G.Type=1]="Type",G[G.Parameter=2]="Parameter"})(xe=e.InlayHintKind||(e.InlayHintKind={}));let Tt=class{constructor($){this.label=$}toString(){return this.label}};Tt=je([k],Tt),e.InlayHintLabelPart=Tt;let ee=class{constructor($,ue,Pe){this.label=$,this.position=ue,this.kind=Pe}};ee=je([k],ee),e.InlayHint=ee;var ie;(function(G){G[G.Invoke=0]="Invoke",G[G.TriggerCharacter=1]="TriggerCharacter",G[G.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(ie=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Ee;(function(G){G[G.Text=0]="Text",G[G.Method=1]="Method",G[G.Function=2]="Function",G[G.Constructor=3]="Constructor",G[G.Field=4]="Field",G[G.Variable=5]="Variable",G[G.Class=6]="Class",G[G.Interface=7]="Interface",G[G.Module=8]="Module",G[G.Property=9]="Property",G[G.Unit=10]="Unit",G[G.Value=11]="Value",G[G.Enum=12]="Enum",G[G.Keyword=13]="Keyword",G[G.Snippet=14]="Snippet",G[G.Color=15]="Color",G[G.File=16]="File",G[G.Reference=17]="Reference",G[G.Folder=18]="Folder",G[G.EnumMember=19]="EnumMember",G[G.Constant=20]="Constant",G[G.Struct=21]="Struct",G[G.Event=22]="Event",G[G.Operator=23]="Operator",G[G.TypeParameter=24]="TypeParameter",G[G.User=25]="User",G[G.Issue=26]="Issue"})(Ee=e.CompletionItemKind||(e.CompletionItemKind={}));var ne;(function(G){G[G.Deprecated=1]="Deprecated"})(ne=e.CompletionItemTag||(e.CompletionItemTag={}));let Ce=class{constructor($,ue){this.label=$,this.kind=ue}toJSON(){return{label:this.label,kind:this.kind&&Ee[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Ce=je([k],Ce),e.CompletionItem=Ce;let Fe=class{constructor($=[],ue=!1){this.items=$,this.isIncomplete=ue}};Fe=je([k],Fe),e.CompletionList=Fe;let qe=class{constructor($,ue,Pe){this.text=$,this.range=ue,this.command=Pe}};qe=je([k],qe),e.InlineSuggestion=qe;let Ve=class{constructor($){this.items=$}};Ve=je([k],Ve),e.InlineSuggestions=Ve;var lt;(function(G){G[G.Active=-1]="Active",G[G.Beside=-2]="Beside",G[G.One=1]="One",G[G.Two=2]="Two",G[G.Three=3]="Three",G[G.Four=4]="Four",G[G.Five=5]="Five",G[G.Six=6]="Six",G[G.Seven=7]="Seven",G[G.Eight=8]="Eight",G[G.Nine=9]="Nine"})(lt=e.ViewColumn||(e.ViewColumn={}));var Re;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(Re=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Ae;(function(G){G[G.Off=0]="Off",G[G.On=1]="On",G[G.Relative=2]="Relative"})(Ae=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var De;(function(G){G[G.Manual=1]="Manual",G[G.AfterDelay=2]="AfterDelay",G[G.FocusOut=3]="FocusOut"})(De=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var ce;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(ce=e.TextEditorRevealType||(e.TextEditorRevealType={}));var de;(function(G){G[G.Keyboard=1]="Keyboard",G[G.Mouse=2]="Mouse",G[G.Command=3]="Command"})(de=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var we;(function(G){G[G.Undo=1]="Undo",G[G.Redo=2]="Redo"})(we=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var ye;(function(G){G[G.OpenOpen=0]="OpenOpen",G[G.ClosedClosed=1]="ClosedClosed",G[G.OpenClosed=2]="OpenClosed",G[G.ClosedOpen=3]="ClosedOpen"})(ye=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(G){function $(ue){switch(ue){case"keyboard":return G.Keyboard;case"mouse":return G.Mouse;case"api":return G.Command}}G.fromValue=$}(de=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Oe=class{constructor($,ue){if(ue&&!A.URI.isUri(ue))throw(0,i.illegalArgument)("target");if(!F.isRange($)||$.isEmpty)throw(0,i.illegalArgument)("range");this.range=$,this.target=ue}};Oe=je([k],Oe),e.DocumentLink=Oe;let Qe=class{constructor($,ue,Pe,Ze){this.red=$,this.green=ue,this.blue=Pe,this.alpha=Ze}};Qe=je([k],Qe),e.Color=Qe;let $e=class{constructor($,ue){if(ue&&!(ue instanceof Qe))throw(0,i.illegalArgument)("color");if(!F.isRange($)||$.isEmpty)throw(0,i.illegalArgument)("range");this.range=$,this.color=ue}};$e=je([k],$e),e.ColorInformation=$e;let Je=class{constructor($){if(!$||typeof $!="string")throw(0,i.illegalArgument)("label");this.label=$}};Je=je([k],Je),e.ColorPresentation=Je;var ot;(function(G){G[G.RGB=0]="RGB",G[G.HEX=1]="HEX",G[G.HSL=2]="HSL"})(ot=e.ColorFormat||(e.ColorFormat={}));var at;(function(G){G[G.Error=0]="Error",G[G.Warning=1]="Warning",G[G.Information=2]="Information"})(at=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class He{constructor($,ue,Pe){if(this.startIndex=$,this.length=ue,this.tooltip=Pe,typeof $!="number"||$<0)throw(0,i.illegalArgument)("startIndex");if(typeof ue!="number"||ue<1)throw(0,i.illegalArgument)("length");if(Pe!==void 0&&typeof Pe!="string")throw(0,i.illegalArgument)("tooltip")}}e.TerminalLink=He;var be;(function(G){G[G.Panel=1]="Panel",G[G.Editor=2]="Editor"})(be=e.TerminalLocation||(e.TerminalLocation={}));class _e{constructor($){this.options=$,typeof $!="object"&&(0,i.illegalArgument)("options")}}e.TerminalProfile=_e;var fe;(function(G){G[G.Always=1]="Always",G[G.Silent=2]="Silent",G[G.Never=3]="Never"})(fe=e.TaskRevealKind||(e.TaskRevealKind={}));var K;(function(G){G[G.Shared=1]="Shared",G[G.Dedicated=2]="Dedicated",G[G.New=3]="New"})(K=e.TaskPanelKind||(e.TaskPanelKind={}));let Ie=l=class{constructor($,ue){if(this.label=ue,typeof $!="string"||typeof ue!="string")throw(0,i.illegalArgument)("name");this._id=$}static from($){switch($){case"clean":return l.Clean;case"build":return l.Build;case"rebuild":return l.Rebuild;case"test":return l.Test;default:return}}get id(){return this._id}};Ie.Clean=new l("clean","Clean"),Ie.Build=new l("build","Build"),Ie.Rebuild=new l("rebuild","Rebuild"),Ie.Test=new l("test","Test"),Ie=l=je([k],Ie),e.TaskGroup=Ie;function Ne(G){let $="";for(let ue=0;ue<G.length;ue++)$+=G[ue].replace(/,/g,",,")+",";return $}let Ye=class{constructor($,ue,Pe){if(typeof $!="string")throw(0,i.illegalArgument)("process");this._args=[],this._process=$,ue!==void 0&&(Array.isArray(ue)?(this._args=ue,this._options=Pe):this._options=ue)}get process(){return this._process}set process($){if(typeof $!="string")throw(0,i.illegalArgument)("process");this._process=$}get args(){return this._args}set args($){Array.isArray($)||($=[]),this._args=$}get options(){return this._options}set options($){this._options=$}computeId(){const $=[];if($.push("process"),this._process!==void 0&&$.push(this._process),this._args&&this._args.length>0)for(let ue of this._args)$.push(ue);return Ne($)}};Ye=je([k],Ye),e.ProcessExecution=Ye;let Xe=class{constructor($,ue,Pe){if(this._args=[],Array.isArray(ue)){if(!$)throw(0,i.illegalArgument)("command can't be undefined or null");if(typeof $!="string"&&typeof $.value!="string")throw(0,i.illegalArgument)("command");this._command=$,this._args=ue,this._options=Pe}else{if(typeof $!="string")throw(0,i.illegalArgument)("commandLine");this._commandLine=$,this._options=ue}}get commandLine(){return this._commandLine}set commandLine($){if(typeof $!="string")throw(0,i.illegalArgument)("commandLine");this._commandLine=$}get command(){return this._command?this._command:""}set command($){if(typeof $!="string"&&typeof $.value!="string")throw(0,i.illegalArgument)("command");this._command=$}get args(){return this._args}set args($){this._args=$||[]}get options(){return this._options}set options($){this._options=$}computeId(){const $=[];if($.push("shell"),this._commandLine!==void 0&&$.push(this._commandLine),this._command!==void 0&&$.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ue of this._args)$.push(typeof ue=="string"?ue:ue.value);return Ne($)}};Xe=je([k],Xe),e.ShellExecution=Xe;var gt;(function(G){G[G.Escape=1]="Escape",G[G.Strong=2]="Strong",G[G.Weak=3]="Weak"})(gt=e.ShellQuoting||(e.ShellQuoting={}));var St;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace"})(St=e.TaskScope||(e.TaskScope={}));class Ct{constructor($){this._callback=$}computeId(){return"customExecution"+(0,L.generateUuid)()}set callback($){this._callback=$}get callback(){return this._callback}}e.CustomExecution=Ct;let ft=u=class{constructor($,ue,Pe,Ze,st,ut){this.__deprecated=!1,this._definition=this.definition=$;let mt;typeof ue=="string"?(this._name=this.name=ue,this._source=this.source=Pe,this.execution=Ze,mt=st,this.__deprecated=!0):ue===St.Global||ue===St.Workspace?(this.target=ue,this._name=this.name=Pe,this._source=this.source=Ze,this.execution=st,mt=ut):(this.target=ue,this._name=this.name=Pe,this._source=this.source=Ze,this.execution=st,mt=ut),typeof mt=="string"?(this._problemMatchers=[mt],this._hasDefinedMatchers=!0):Array.isArray(mt)?(this._problemMatchers=mt,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id($){this.__id=$}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof Ye?this._definition={type:u.ProcessType,id:this._execution.computeId()}:this._execution instanceof Xe?this._definition={type:u.ShellType,id:this._execution.computeId()}:this._execution instanceof Ct?this._definition={type:u.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:u.EmptyType,id:(0,L.generateUuid)()}}get definition(){return this._definition}set definition($){if($==null)throw(0,i.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=$}get scope(){return this._scope}set target($){this.clear(),this._scope=$}get name(){return this._name}set name($){if(typeof $!="string")throw(0,i.illegalArgument)("name");this.clear(),this._name=$}get execution(){return this._execution}set execution($){$===null&&($=void 0),this.clear(),this._execution=$;const ue=this._definition.type;(u.EmptyType===ue||u.ProcessType===ue||u.ShellType===ue||u.ExtensionCallbackType===ue)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers($){if(Array.isArray($))this.clear(),this._problemMatchers=$,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground($){$!==!0&&$!==!1&&($=!1),this.clear(),this._isBackground=$}get source(){return this._source}set source($){if(typeof $!="string"||$.length===0)throw(0,i.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=$}get group(){return this._group}set group($){$===null&&($=void 0),this.clear(),this._group=$}get detail(){return this._detail}set detail($){$===null&&($=void 0),this._detail=$}get presentationOptions(){return this._presentationOptions}set presentationOptions($){$==null&&($=Object.create(null)),this.clear(),this._presentationOptions=$}get runOptions(){return this._runOptions}set runOptions($){$==null&&($=Object.create(null)),this.clear(),this._runOptions=$}};ft.ExtensionCallbackType="customExecution",ft.ProcessType="process",ft.ShellType="shell",ft.EmptyType="$empty",ft=u=je([k],ft),e.Task=ft;var wt;(function(G){G[G.SourceControl=1]="SourceControl",G[G.Window=10]="Window",G[G.Notification=15]="Notification"})(wt=e.ProgressLocation||(e.ProgressLocation={}));let bt=class{constructor($,ue=Ut.None){this.collapsibleState=ue,A.URI.isUri($)?this.resourceUri=$:this.label=$}};bt=je([k],bt),e.TreeItem=bt;var Ut;(function(G){G[G.None=0]="None",G[G.Collapsed=1]="Collapsed",G[G.Expanded=2]="Expanded"})(Ut=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let It=class{constructor($){this._value=$}async asString(){return JSON.stringify(this._value)}};It=je([k],It),e.TreeDataTransferItem=It;let Ft=class{constructor(){this._items=new Map}get($){return this._items.get($)}set($,ue){this._items.set($,ue)}forEach($){this._items.forEach($)}};Ft=je([k],Ft),e.TreeDataTransfer=Ft;let kt=class{constructor($,ue){this.id=$,this.color=ue}};kt=je([k],kt),e.ThemeIcon=kt,kt.File=new kt("file"),kt.Folder=new kt("folder");let yt=class{constructor($){this.id=$}};yt=je([k],yt),e.ThemeColor=yt;var Qt;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace",G[G.WorkspaceFolder=3]="WorkspaceFolder"})(Qt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Vt=class{constructor($,ue){if(typeof $!="string"&&(!$||!A.URI.isUri($)&&!A.URI.isUri($.uri)))throw(0,i.illegalArgument)("base");if(typeof ue!="string")throw(0,i.illegalArgument)("pattern");typeof $=="string"?(this.baseFolder=A.URI.file($),this.base=$):A.URI.isUri($)?(this.baseFolder=$,this.base=$.fsPath):(this.baseFolder=$.uri,this.base=$.uri.fsPath),this.pattern=ue}};Vt=je([k],Vt),e.RelativePattern=Vt;let Et=class{constructor($,ue,Pe,Ze){this.enabled=typeof $=="boolean"?$:!0,typeof ue=="string"&&(this.condition=ue),typeof Pe=="string"&&(this.hitCondition=Pe),typeof Ze=="string"&&(this.logMessage=Ze)}get id(){return this._id||(this._id=(0,L.generateUuid)()),this._id}};Et=je([k],Et),e.Breakpoint=Et;let Xt=class extends Et{constructor($,ue,Pe,Ze,st){super(ue,Pe,Ze,st);if($===null)throw(0,i.illegalArgument)("location");this.location=$}};Xt=je([k],Xt),e.SourceBreakpoint=Xt;let qt=class extends Et{constructor($,ue,Pe,Ze,st){super(ue,Pe,Ze,st);this.functionName=$}};qt=je([k],qt),e.FunctionBreakpoint=qt;let Yt=class extends Et{constructor($,ue,Pe,Ze,st,ut,mt){super(Ze,st,ut,mt);if(!ue)throw(0,i.illegalArgument)("dataId");this.label=$,this.dataId=ue,this.canPersist=Pe}};Yt=je([k],Yt),e.DataBreakpoint=Yt;let ai=class{constructor($,ue,Pe){this.command=$,this.args=ue||[],this.options=Pe}};ai=je([k],ai),e.DebugAdapterExecutable=ai;let Rt=class{constructor($,ue){this.port=$,this.host=ue}};Rt=je([k],Rt),e.DebugAdapterServer=Rt;let Jt=class{constructor($){this.path=$}};Jt=je([k],Jt),e.DebugAdapterNamedPipeServer=Jt;let ci=class{constructor($){this.implementation=$}};ci=je([k],ci),e.DebugAdapterInlineImplementation=ci;let jt=class{constructor($,ue){this.range=$,this.expression=ue}};jt=je([k],jt),e.EvaluatableExpression=jt;var Zt;(function(G){G[G.Automatic=0]="Automatic",G[G.Explicit=1]="Explicit"})(Zt=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let vt=class{constructor($,ue){this.range=$,this.text=ue}};vt=je([k],vt),e.InlineValueText=vt;let li=class{constructor($,ue,Pe=!0){this.range=$,this.variableName=ue,this.caseSensitiveLookup=Pe}};li=je([k],li),e.InlineValueVariableLookup=li;let Ot=class{constructor($,ue){this.range=$,this.expression=ue}};Ot=je([k],Ot),e.InlineValueEvaluatableExpression=Ot;let Wt=class{constructor($,ue){this.frameId=$,this.stoppedLocation=ue}};Wt=je([k],Wt),e.InlineValueContext=Wt;var vi;(function(G){G[G.Changed=1]="Changed",G[G.Created=2]="Created",G[G.Deleted=3]="Deleted"})(vi=e.FileChangeType||(e.FileChangeType={}));let ui=h=class extends Error{constructor($,ue=D.FileSystemProviderErrorCode.Unknown,Pe){super(A.URI.isUri($)?$.toString(!0):$);this.code=Pe?.name??"Unknown",(0,D.markAsFileSystemProviderError)(this,ue),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,h.prototype),typeof Error.captureStackTrace=="function"&&typeof Pe=="function"&&Error.captureStackTrace(this,Pe)}static FileExists($){return new h($,D.FileSystemProviderErrorCode.FileExists,h.FileExists)}static FileNotFound($){return new h($,D.FileSystemProviderErrorCode.FileNotFound,h.FileNotFound)}static FileNotADirectory($){return new h($,D.FileSystemProviderErrorCode.FileNotADirectory,h.FileNotADirectory)}static FileIsADirectory($){return new h($,D.FileSystemProviderErrorCode.FileIsADirectory,h.FileIsADirectory)}static NoPermissions($){return new h($,D.FileSystemProviderErrorCode.NoPermissions,h.NoPermissions)}static Unavailable($){return new h($,D.FileSystemProviderErrorCode.Unavailable,h.Unavailable)}};ui=h=je([k],ui),e.FileSystemError=ui;let ei=class{constructor($,ue,Pe){this.start=$,this.end=ue,this.kind=Pe}};ei=je([k],ei),e.FoldingRange=ei;var yi;(function(G){G[G.Comment=1]="Comment",G[G.Imports=2]="Imports",G[G.Region=3]="Region"})(yi=e.FoldingRangeKind||(e.FoldingRangeKind={}));var wi;(function(G){G[G.Collapsed=0]="Collapsed",G[G.Expanded=1]="Expanded"})(wi=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var ti;(function(G){G[G.Editing=0]="Editing",G[G.Preview=1]="Preview"})(ti=e.CommentMode||(e.CommentMode={}));class Di{constructor($,ue=[]){this.tokenTypes=$,this.tokenModifiers=ue}}e.SemanticTokensLegend=Di;function di(G){return typeof G=="undefined"||(0,y.isStringArray)(G)}class Gt{constructor($){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,$){this._hasLegend=!0;for(let ue=0,Pe=$.tokenTypes.length;ue<Pe;ue++)this._tokenTypeStrToInt.set($.tokenTypes[ue],ue);for(let ue=0,Pe=$.tokenModifiers.length;ue<Pe;ue++)this._tokenModifierStrToInt.set($.tokenModifiers[ue],ue)}}push($,ue,Pe,Ze,st){if(typeof $=="number"&&typeof ue=="number"&&typeof Pe=="number"&&typeof Ze=="number"&&(typeof st=="number"||typeof st=="undefined"))return typeof st=="undefined"&&(st=0),this._pushEncoded($,ue,Pe,Ze,st);if(F.isRange($)&&typeof ue=="string"&&di(Pe))return this._push($,ue,Pe);throw(0,i.illegalArgument)()}_push($,ue,Pe){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if($.start.line!==$.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ue))throw new Error("`tokenType` is not in the provided legend");const Ze=$.start.line,st=$.start.character,ut=$.end.character-$.start.character,mt=this._tokenTypeStrToInt.get(ue);let Pt=0;if(Pe)for(const Lt of Pe){if(!this._tokenModifierStrToInt.has(Lt))throw new Error("`tokenModifier` is not in the provided legend");const Nt=this._tokenModifierStrToInt.get(Lt);Pt|=1<<Nt>>>0}this._pushEncoded(Ze,st,ut,mt,Pt)}_pushEncoded($,ue,Pe,Ze,st){if(this._dataIsSortedAndDeltaEncoded&&($<this._prevLine||$===this._prevLine&&ue<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const Pt=this._data.length/5|0;let Lt=0,Nt=0;for(let xt=0;xt<Pt;xt++){let $t=this._data[5*xt],gi=this._data[5*xt+1];$t===0?($t=Lt,gi+=Nt):$t+=Lt,this._data[5*xt]=$t,this._data[5*xt+1]=gi,Lt=$t,Nt=gi}}let ut=$,mt=ue;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(ut-=this._prevLine,ut===0&&(mt-=this._prevChar)),this._data[this._dataLen++]=ut,this._data[this._dataLen++]=mt,this._data[this._dataLen++]=Pe,this._data[this._dataLen++]=Ze,this._data[this._dataLen++]=st,this._prevLine=$,this._prevChar=ue}static _sortAndDeltaEncode($){let ue=[];const Pe=$.length/5|0;for(let mt=0;mt<Pe;mt++)ue[mt]=mt;ue.sort((mt,Pt)=>{const Lt=$[5*mt],Nt=$[5*Pt];if(Lt===Nt){const xt=$[5*mt+1],$t=$[5*Pt+1];return xt-$t}return Lt-Nt});const Ze=new Uint32Array($.length);let st=0,ut=0;for(let mt=0;mt<Pe;mt++){const Pt=5*ue[mt],Lt=$[Pt+0],Nt=$[Pt+1],xt=$[Pt+2],$t=$[Pt+3],gi=$[Pt+4],$i=Lt-st,Yi=$i===0?Nt-ut:Nt,pi=5*mt;Ze[pi+0]=$i,Ze[pi+1]=Yi,Ze[pi+2]=xt,Ze[pi+3]=$t,Ze[pi+4]=gi,st=Lt,ut=Nt}return Ze}build($){return this._dataIsSortedAndDeltaEncoded?new hi(new Uint32Array(this._data),$):new hi(Gt._sortAndDeltaEncode(this._data),$)}}e.SemanticTokensBuilder=Gt;class hi{constructor($,ue){this.resultId=ue,this.data=$}}e.SemanticTokens=hi;class ki{constructor($,ue,Pe){this.start=$,this.deleteCount=ue,this.data=Pe}}e.SemanticTokensEdit=ki;class Kt{constructor($,ue){this.resultId=ue,this.edits=$}}e.SemanticTokensEdits=Kt;var Ii;(function(G){G[G.Separate=0]="Separate",G[G.MergeWithParent=1]="MergeWithParent"})(Ii=e.DebugConsoleMode||(e.DebugConsoleMode={}));var Pi;(function(G){G[G.Initial=1]="Initial",G[G.Dynamic=2]="Dynamic"})(Pi=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let ii=class{constructor(){}};ii.Back={iconPath:new kt("arrow-left")},ii=je([k],ii),e.QuickInputButtons=ii;var Ai;(function(G){G[G.Separator=-1]="Separator",G[G.Default=1]="Default"})(Ai=e.QuickPickItemKind||(e.QuickPickItemKind={}));var fi;(function(G){G[G.UI=1]="UI",G[G.Workspace=2]="Workspace"})(fi=e.ExtensionKind||(e.ExtensionKind={}));class bi{constructor($,ue,Pe){this.badge=$,this.tooltip=ue,this.color=Pe}static validate($){if($.badge){let ue=(0,P.nextCharLength)($.badge,0);if(ue<$.badge.length&&(ue+=(0,P.nextCharLength)($.badge,ue)),$.badge.length>ue)throw new Error("The 'badge'-property must be undefined or a short character")}if(!$.color&&!$.badge&&!$.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=bi;let ni=class{constructor($){this.kind=$}};ni=je([k],ni),e.ColorTheme=ni;var We;(function(G){G[G.Light=1]="Light",G[G.Dark=2]="Dark",G[G.HighContrast=3]="HighContrast"})(We=e.ColorThemeKind||(e.ColorThemeKind={}));class Ht{constructor($,ue){if($<0)throw(0,i.illegalArgument)("start must be positive");if(ue<0)throw(0,i.illegalArgument)("end must be positive");$<=ue?(this._start=$,this._end=ue):(this._start=ue,this._end=$)}static isNotebookRange($){return $ instanceof Ht?!0:$?typeof $.start=="number"&&typeof $.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with($){let ue=this._start,Pe=this._end;return $.start!==void 0&&(ue=$.start),$.end!==void 0&&(Pe=$.end),ue===this._start&&Pe===this._end?this:new Ht(ue,Pe)}}e.NotebookRange=Ht;class Bt{constructor($,ue,Pe,Ze,st,ut,mt){this.kind=$,this.value=ue,this.languageId=Pe,this.mime=Ze,this.outputs=st??[],this.metadata=ut,this.executionSummary=mt,Bt.validate(this)}static validate($){if(typeof $.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof $.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof $.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray($){return Array.isArray($)&&$.every(ue=>Bt.isNotebookCellData(ue))}static isNotebookCellData($){return!0}}e.NotebookCellData=Bt;class _t{constructor($){this.cells=$}}e.NotebookData=_t;class Mt{constructor($,ue){this.data=$,this.mime=ue;const Pe=(0,T.normalizeMimeType)(ue,!0);if(!Pe)throw new Error(`INVALID mime type: ${ue}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Pe}static isNotebookCellOutputItem($){return $ instanceof Mt?!0:$?typeof $.mime=="string"&&$.data instanceof Uint8Array:!1}static error($){const ue={name:$.name,message:$.message,stack:$.stack};return Mt.json(ue,"application/vnd.code.notebook.error")}static stdout($){return Mt.text($,"application/vnd.code.notebook.stdout")}static stderr($){return Mt.text($,"application/vnd.code.notebook.stderr")}static bytes($,ue="application/octet-stream"){return new Mt($,ue)}static text($,ue=T.Mimes.text){const Pe=Le(Mt,w,"f",v).encode(String($));return new Mt(Pe,ue)}static json($,ue="application/json"){const Pe=JSON.stringify($,void 0,"	");return Mt.text(Pe,ue)}}e.NotebookCellOutputItem=Mt,w=Mt,v={value:new TextEncoder};class ri{constructor($,ue,Pe){this.items=ri.ensureUniqueMimeTypes($,!0),typeof ue=="string"?(this.id=ue,this.metadata=Pe):(this.id=(0,L.generateUuid)(),this.metadata=ue??Pe)}static isNotebookCellOutput($){return $ instanceof ri?!0:!$||typeof $!="object"?!1:typeof $.id=="string"&&(0,y.isArray)($.items)}static ensureUniqueMimeTypes($,ue=!1){const Pe=new Set,Ze=new Set;for(let st=0;st<$.length;st++){const ut=$[st],mt=(0,T.normalizeMimeType)(ut.mime);if(!Pe.has(mt)){Pe.add(mt);continue}Ze.add(st),ue&&console.warn(`DUPLICATED mime type '${ut.mime}' will be dropped`)}return Ze.size===0?$:$.filter((st,ut)=>!Ze.has(ut))}}e.NotebookCellOutput=ri;var Ei;(function(G){G[G.Markup=1]="Markup",G[G.Code=2]="Code"})(Ei=e.NotebookCellKind||(e.NotebookCellKind={}));var Si;(function(G){G[G.Idle=1]="Idle",G[G.Pending=2]="Pending",G[G.Executing=3]="Executing"})(Si=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Ti;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(Ti=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var Ri;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(Ri=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Li{constructor($,ue){this.text=$,this.alignment=ue}}e.NotebookCellStatusBarItem=Li;var Fi;(function(G){G[G.Default=1]="Default",G[G.Preferred=2]="Preferred"})(Fi=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class _i{constructor($,ue=[]){this.uri=$,this.provides=(0,f.asArray)(ue)}}e.NotebookRendererScript=_i;let mi=class{constructor($,ue){this.label=$,this.timestamp=ue}};mi=je([k],mi),e.TimelineItem=mi;var Mi;(function(G){G[G.Production=1]="Production",G[G.Development=2]="Development",G[G.Test=3]="Test"})(Mi=e.ExtensionMode||(e.ExtensionMode={}));var Oi;(function(G){G[G.Node=1]="Node",G[G.Webworker=2]="Webworker"})(Oi=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Ni;(function(G){G[G.Other=0]="Other",G[G.Comment=1]="Comment",G[G.String=2]="String",G[G.RegEx=3]="RegEx"})(Ni=e.StandardTokenType||(e.StandardTokenType={}));class Ui{constructor($,ue){this.ranges=$,this.wordPattern=ue}}e.LinkedEditingRanges=Ui;class ae{constructor($,ue){this._port=$,this._autoForwardAction=ue}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=ae;var me;(function(G){G[G.Queued=1]="Queued",G[G.Running=2]="Running",G[G.Passed=3]="Passed",G[G.Failed=4]="Failed",G[G.Skipped=5]="Skipped",G[G.Errored=6]="Errored"})(me=e.TestResultState||(e.TestResultState={}));var Te;(function(G){G[G.Run=1]="Run",G[G.Debug=2]="Debug",G[G.Coverage=3]="Coverage"})(Te=e.TestRunProfileKind||(e.TestRunProfileKind={}));let ht=class{constructor($=void 0,ue=void 0,Pe=void 0){this.include=$,this.exclude=ue,this.profile=Pe}};ht=je([k],ht),e.TestRunRequest=ht;let Dt=b=class{constructor($){this.message=$}static diff($,ue,Pe){const Ze=new b($);return Ze.expectedOutput=ue,Ze.actualOutput=Pe,Ze}};Dt=b=je([k],Dt),e.TestMessage=Dt;let At=class{constructor($){this.id=$}};At=je([k],At),e.TestTag=At;let si=class{constructor($,ue){this.covered=$,this.total=ue}};si=je([k],si),e.CoveredCount=si;let Bi=p=class{constructor($,ue,Pe,Ze){this.uri=$,this.statementCoverage=ue,this.branchCoverage=Pe,this.functionCoverage=Ze}static fromDetails($,ue){const Pe=new si(0,0),Ze=new si(0,0),st=new si(0,0);for(const mt of ue)if("branches"in mt){Pe.total+=1,Pe.covered+=mt.executionCount>0?1:0;for(const Pt of mt.branches)Ze.total+=1,Ze.covered+=Pt.executionCount>0?1:0}else st.total+=1,st.covered+=mt.executionCount>0?1:0;const ut=new p($,Pe,Ze.total>0?Ze:void 0,st.total>0?st:void 0);return ut.detailedCoverage=ue,ut}};Bi=p=je([k],Bi),e.FileCoverage=Bi;let xi=class{constructor($,ue,Pe=[]){this.executionCount=$,this.location=ue,this.branches=Pe}};xi=je([k],xi),e.StatementCoverage=xi;let Wi=class{constructor($,ue){this.executionCount=$,this.location=ue}};Wi=je([k],Wi),e.BranchCoverage=Wi;let Hi=class{constructor($,ue){this.executionCount=$,this.location=ue}};Hi=je([k],Hi),e.FunctionCoverage=Hi;var Gi;(function(G){G[G.None=0]="None",G[G.Option=1]="Option",G[G.Default=2]="Default",G[G.Preferred=3]="Preferred"})(Gi=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Ki;(function(G){G[G.Untrusted=0]="Untrusted",G[G.Trusted=1]="Trusted",G[G.Unspecified=2]="Unspecified"})(Ki=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var Qi;(function(G){G[G.Notify=1]="Notify",G[G.OpenBrowser=2]="OpenBrowser",G[G.OpenPreview=3]="OpenPreview",G[G.Silent=4]="Silent",G[G.Ignore=5]="Ignore",G[G.OpenBrowserOnce=6]="OpenBrowserOnce"})(Qi=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class Xi{constructor($,ue,Pe,Ze,st,ut){this.kind=$,this.name=ue,this.detail=Pe,this.uri=Ze,this.range=st,this.selectionRange=ut}}e.TypeHierarchyItem=Xi}),define(pe[123],ve([0,1,56,10,9,150,110,7,16]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const A=new Map;function L(g,w){w?A.set(g,w):A.delete(g)}e.setWordDefinitionFor=L;function D(g){return A.get(g)}e.getWordDefinitionFor=D;class c extends C.MirrorTextModel{constructor(w,v,R,_,s,n,m,a){super(v,R,_,s);this._proxy=w,this._languageId=n,this._isDirty=m,this._notebook=a,this._isDisposed=!1}dispose(){(0,f.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(w){return(0,y.equals)(this._lines,w)}get document(){if(!this._document){const w=this;this._document={get uri(){return w._uri},get fileName(){return w._uri.fsPath},get isUntitled(){return w._uri.scheme===i.Schemas.untitled},get languageId(){return w._languageId},get version(){return w._versionId},get isClosed(){return w._isDisposed},get isDirty(){return w._isDirty},get notebook(){return w._notebook},save(){return w._save()},getText(v){return v?w._getTextInRange(v):w.getText()},get eol(){return w._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return w._lines.length},lineAt(v){return w._lineAt(v)},offsetAt(v){return w._offsetAt(v)},positionAt(v){return w._positionAt(v)},validateRange(v){return w._validateRange(v)},validatePosition(v){return w._validatePosition(v)},getWordRangeAtPosition(v,R){return w._getWordRangeAtPosition(v,R)}}}return Object.freeze(this._document)}_acceptLanguageId(w){(0,f.ok)(!this._isDisposed),this._languageId=w}_acceptIsDirty(w){(0,f.ok)(!this._isDisposed),this._isDirty=w}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(w){const v=this._validateRange(w);if(v.isEmpty)return"";if(v.isSingleLine)return this._lines[v.start.line].substring(v.start.character,v.end.character);const R=this._eol,_=v.start.line,s=v.end.line,n=[];n.push(this._lines[_].substring(v.start.character));for(let m=_+1;m<s;m++)n.push(this._lines[m]);return n.push(this._lines[s].substring(0,v.end.character)),n.join(R)}_lineAt(w){let v;if(w instanceof P.Position?v=w.line:typeof w=="number"&&(v=w),typeof v!="number"||v<0||v>=this._lines.length||Math.floor(v)!==v)throw new Error("Illegal value for `line`");return new E(v,this._lines[v],v===this._lines.length-1)}_offsetAt(w){return w=this._validatePosition(w),this._ensureLineStarts(),this._lineStarts.getPrefixSum(w.line-1)+w.character}_positionAt(w){w=Math.floor(w),w=Math.max(0,w),this._ensureLineStarts();const v=this._lineStarts.getIndexOf(w),R=this._lines[v.index].length;return new P.Position(v.index,Math.min(v.remainder,R))}_validateRange(w){if(!(w instanceof P.Range))throw new Error("Invalid argument");const v=this._validatePosition(w.start),R=this._validatePosition(w.end);return v===w.start&&R===w.end?w:new P.Range(v.line,v.character,R.line,R.character)}_validatePosition(w){if(!(w instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return w.with(0,0);let{line:v,character:R}=w,_=!1;if(v<0)v=0,R=0,_=!0;else if(v>=this._lines.length)v=this._lines.length-1,R=this._lines[v].length,_=!0;else{const s=this._lines[v].length;R<0?(R=0,_=!0):R>s&&(R=s,_=!0)}return _?new P.Position(v,R):w}_getWordRangeAtPosition(w,v){const R=this._validatePosition(w);if(!v)v=D(this._languageId);else if((0,I.regExpLeadsToEndlessLoop)(v))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${v.source}' because it matches the empty string.`);const _=(0,T.getWordAtText)(R.character+1,(0,T.ensureValidWordDefinition)(v),this._lines[R.line],0);if(_)return new P.Range(R.line,_.startColumn-1,R.line,_.endColumn-1)}}e.ExtHostDocumentData=c;class E{constructor(w,v,R){this._line=w,this._text=v,this._isLastLine=R}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=E}),define(pe[202],ve([0,1,7,3,112,6,83,24,2,33]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class L{constructor(c,E,g,w){this._notebook=g,this._selector=w,this._disposables=new C.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this.uri=y.URI.from({scheme:"vscode-concat-doc",path:(0,A.generateUuid)()}),this._init(),this._disposables.add(E.onDidChangeDocument(R=>{const _=this._cellUris.get(R.document.uri);_!==void 0&&(this._cellLengths.setValue(_,this._cells[_].document.getText().length+1),this._cellLines.setValue(_,this._cells[_].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const v=R=>{R===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(c.onDidChangeNotebookCells(R=>v(R.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new P.ResourceMap;const c=[],E=[];for(const g of this._notebook.getCells())g.kind===f.NotebookCellKind.Code&&(!this._selector||(0,T.score)(this._selector,g.document.uri,g.document.languageId,!0))&&(this._cellUris.set(g.document.uri,this._cells.length),this._cells.push(g),c.push(g.document.getText().length+1),E.push(g.document.lineCount));this._cellLengths=new I.PrefixSumComputer(new Uint32Array(c)),this._cellLines=new I.PrefixSumComputer(new Uint32Array(E))}get version(){return this._versionId}getText(c){if(!c){let _="";for(const s of this._cells)_+=s.document.getText()+`
`;return _=_.slice(0,-1),_}if(c.isEmpty)return"";const E=this.locationAt(c.start),g=this.locationAt(c.end),w=this._cellUris.get(E.uri),v=this._cellUris.get(g.uri);if(w===void 0||v===void 0)return"";if(w===v)return this._cells[w].document.getText(new f.Range(E.range.start,g.range.end));const R=[this._cells[w].document.getText(new f.Range(E.range.start,new f.Position(this._cells[w].document.lineCount,0)))];for(let _=w+1;_<v;_++)R.push(this._cells[_].document.getText());return R.push(this._cells[v].document.getText(new f.Range(new f.Position(0,0),g.range.end))),R.join(`
`)}offsetAt(c){const E=this._cellLines.getIndexOf(c.line),g=this._cellLengths.getPrefixSum(E.index-1),w=this._cells[E.index].document.offsetAt(c.with(E.remainder));return g+w}positionAt(c){if(typeof c=="number"){const g=this._cellLengths.getIndexOf(c),w=this._cellLines.getPrefixSum(g.index-1);return this._cells[g.index].document.positionAt(g.remainder).translate(w)}const E=this._cellUris.get(c.uri);if(E!==void 0){const g=this._cellLines.getPrefixSum(E-1);return new f.Position(g+c.range.start.line,c.range.start.character)}return new f.Position(0,0)}locationAt(c){f.Range.isRange(c)||(c=new f.Range(c,c));const E=this._cellLines.getIndexOf(c.start.line);let g=E;c.isEmpty||(g=this._cellLines.getIndexOf(c.end.line));const w=new f.Position(E.remainder,c.start.character),v=new f.Position(g.remainder,c.end.character),R=new f.Range(w,v),_=this._cells[E.index];return new f.Location(_.document.uri,_.document.validateRange(R))}contains(c){return this._cellUris.has(c)}validateRange(c){const E=this.validatePosition(c.start),g=this.validatePosition(c.end);return c.with(E,g)}validatePosition(c){const E=this._cellLines.getIndexOf(c.line),g=new f.Position(E.remainder,c.character),w=this._cells[E.index].document.validatePosition(g),v=this._cellLines.getPrefixSum(E.index-1);return new f.Position(v+w.line,w.character)}}e.ExtHostNotebookConcatDocument=L}),define(pe[203],ve([0,1,7,14,3]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let C=class{constructor(P){this._actual=new f.ColorTheme(f.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new I.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let y=P==="light"?f.ColorThemeKind.Light:P==="dark"?f.ColorThemeKind.Dark:f.ColorThemeKind.HighContrast;this._actual=new f.ColorTheme(y),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};C=je([ze(0,i.IExtHostRpcService)],C),e.ExtHostTheming=C}),define(pe[65],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,f.createDecorator)("IURITransformerService");class i{constructor(C){C?(this.transformIncoming=C.transformIncoming.bind(C),this.transformOutgoing=C.transformOutgoing.bind(C),this.transformOutgoingURI=C.transformOutgoingURI.bind(C),this.transformOutgoingScheme=C.transformOutgoingScheme.bind(C)):(this.transformIncoming=T=>T,this.transformOutgoing=T=>T,this.transformOutgoingURI=T=>T,this.transformOutgoingScheme=T=>T)}}e.URITransformerService=i}),define(pe[204],ve([0,1,22]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class i{constructor(){this.buffers=[]}add(y){let A=this.buffers.indexOf(y);return A<0&&(A=this.buffers.length,this.buffers.push(y)),A}}function I(P,y){if(y.serializeBuffersForPostMessage){const A=new i,L=(E,g)=>{if(g instanceof ArrayBuffer){const w=A.add(g);return{$$vscode_array_buffer_reference$$:!0,index:w}}else if(ArrayBuffer.isView(g)){const w=C(g);if(w){const v=A.add(g.buffer);return{$$vscode_array_buffer_reference$$:!0,index:v,view:{type:w,byteLength:g.byteLength,byteOffset:g.byteOffset}}}}return g},D=JSON.stringify(P,L),c=A.buffers.map(E=>{const g=new Uint8Array(E);return f.VSBuffer.wrap(g)});return{message:D,buffers:c}}else return{message:JSON.stringify(P),buffers:[]}}e.serializeWebviewMessage=I;function C(P){switch(P.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function T(P,y){const A=y.map(c=>{const E=new ArrayBuffer(c.byteLength);return new Uint8Array(E).set(c.buffer),E}),L=y.length?(c,E)=>{if(typeof E=="object"&&E.$$vscode_array_buffer_reference$$){const g=E,{index:w}=g,v=A[w];if(g.view)switch(g.view.type){case 1:return new Int8Array(v,g.view.byteOffset,g.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(v,g.view.byteOffset,g.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(v,g.view.byteOffset,g.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(v,g.view.byteOffset,g.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(v,g.view.byteOffset,g.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(v,g.view.byteOffset,g.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(v,g.view.byteOffset,g.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(v,g.view.byteOffset,g.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(v,g.view.byteOffset,g.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(v,g.view.byteOffset,g.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(v,g.view.byteOffset,g.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return v}return E}:void 0;return{message:JSON.parse(P,L),arrayBuffers:A}}e.deserializeWebviewMessage=T}),define(pe[205],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeDataTransferConverter=void 0;var f;(function(i){function I(T){const P=new Map;return T.types.forEach((y,A)=>{P.set(y,{asString:async()=>T.items[A].asString})}),P}i.toITreeDataTransfer=I;async function C(T){const P={types:[],items:[]},y=Array.from(T.entries());for(const A of y)P.types.push(A[0]),P.items.push({asString:await A[1].asString()});return P}i.toTreeDataTransferDTO=C})(f=e.TreeDataTransferConverter||(e.TreeDataTransferConverter={}))}),define(pe[88],ve([0,1,10,2]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function I(P,y){return P.scheme===f.Schemas.http||P.scheme===f.Schemas.https?P:(y&&y.authority&&y.isRemote&&P.scheme===f.Schemas.file&&(P=i.URI.from({scheme:f.Schemas.vscodeRemote,authority:y.authority,path:P.path})),i.URI.from({scheme:f.Schemas.https,authority:`${P.scheme}+${C(P.authority)}.${e.webviewRootResourceAuthority}`,path:P.path,fragment:P.fragment,query:P.query}))}e.asWebviewUri=I;function C(P){return P.replace(/./g,y=>{const A=y.charCodeAt(0);return A>=97&&A<=122||A>=65&&A<=90||A>=48&&A<=57?y:"-"+A.toString(16).padStart(4,"0")})}function T(P){return P.replace(/-([0-9a-f]{4})/g,(y,A)=>String.fromCharCode(parseInt(A,16)))}e.decodeAuthority=T}),define(pe[206],ve([0,1,3,6,88]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class C{constructor(P,y,A){this._proxy=P,this._editors=y,this._initData=A,this._handlePool=0,this._disposables=new i.DisposableStore,this._insets=new Map,this._disposables.add(y.onDidChangeVisibleTextEditors(()=>{const L=y.getVisibleTextEditors();for(const D of this._insets.values())L.indexOf(D.editor)<0&&D.inset.dispose()}))}dispose(){this._insets.forEach(P=>P.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(P,y,A,L,D){let c;for(const s of this._editors.getVisibleTextEditors(!0))if(s.value===P){c=s;break}if(!c)throw new Error("not a visible editor");const E=this,g=this._handlePool++,w=new f.Emitter,v=new f.Emitter,R=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(s){return(0,I.asWebviewUri)(s,E._initData.remote)}get cspSource(){return I.webviewGenericCspSource}set options(s){this._options=s,E._proxy.$setOptions(g,s)}get options(){return this._options}set html(s){this._html=s,E._proxy.$setHtml(g,s)}get html(){return this._html}get onDidReceiveMessage(){return w.event}postMessage(s){return E._proxy.$postMessage(g,s)}},_=new class{constructor(){this.editor=P,this.line=y,this.height=A,this.webview=R,this.onDidDispose=v.event}dispose(){E._insets.has(g)&&(E._insets.delete(g),E._proxy.$disposeEditorInset(g),v.fire(),v.dispose(),w.dispose())}};return this._proxy.$createEditorInset(g,c.id,c.value.document.uri,y+1,A,L||{},D.identifier,D.extensionLocation),this._insets.set(g,{editor:P,inset:_,onDidReceiveMessage:w}),_}$onDidDispose(P){const y=this._insets.get(P);y&&y.inset.dispose()}$onDidReceiveMessage(P,y){const A=this._insets.get(P);A&&A.onDidReceiveMessage.fire(y)}}e.ExtHostEditorInsets=C}),define(pe[207],ve([0,1,172,13,2,6,4,62,51,42,16,10]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.EditorTabsVisibleContext=e.EditorAreaVisibleContext=e.SplitEditorsVertically=e.IsCenteredLayoutContext=e.InEditorZenModeContext=e.EditorsVisibleContext=e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext=e.ActiveEditorGroupLockedContext=e.ActiveEditorGroupLastContext=e.ActiveEditorGroupIndexContext=e.ActiveEditorGroupEmptyContext=e.EditorGroupEditorsCountContext=e.SideBySideEditorActiveContext=e.TextCompareEditorActiveContext=e.TextCompareEditorVisibleContext=e.ActiveEditorAvailableEditorIdsContext=e.ActiveEditorContext=e.ActiveEditorCanSplitInGroupContext=e.ActiveEditorCanRevertContext=e.ActiveEditorReadonlyContext=e.ActiveEditorStickyContext=e.ActiveEditorPinnedContext=e.ActiveEditorDirtyContext=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,f.localize)(0,null),providerDisplayName:(0,f.localize)(1,null)},e.ActiveEditorDirtyContext=new P.RawContextKey("activeEditorIsDirty",!1,(0,f.localize)(2,null)),e.ActiveEditorPinnedContext=new P.RawContextKey("activeEditorIsNotPreview",!1,(0,f.localize)(3,null)),e.ActiveEditorStickyContext=new P.RawContextKey("activeEditorIsPinned",!1,(0,f.localize)(4,null)),e.ActiveEditorReadonlyContext=new P.RawContextKey("activeEditorIsReadonly",!1,(0,f.localize)(5,null)),e.ActiveEditorCanRevertContext=new P.RawContextKey("activeEditorCanRevert",!1,(0,f.localize)(6,null)),e.ActiveEditorCanSplitInGroupContext=new P.RawContextKey("activeEditorCanSplitInGroup",!0),e.ActiveEditorContext=new P.RawContextKey("activeEditor",null,{type:"string",description:(0,f.localize)(7,null)}),e.ActiveEditorAvailableEditorIdsContext=new P.RawContextKey("activeEditorAvailableEditorIds","",(0,f.localize)(8,null)),e.TextCompareEditorVisibleContext=new P.RawContextKey("textCompareEditorVisible",!1,(0,f.localize)(9,null)),e.TextCompareEditorActiveContext=new P.RawContextKey("textCompareEditorActive",!1,(0,f.localize)(10,null)),e.SideBySideEditorActiveContext=new P.RawContextKey("sideBySideEditorActive",!1,(0,f.localize)(11,null)),e.EditorGroupEditorsCountContext=new P.RawContextKey("groupEditorsCount",0,(0,f.localize)(12,null)),e.ActiveEditorGroupEmptyContext=new P.RawContextKey("activeEditorGroupEmpty",!1,(0,f.localize)(13,null)),e.ActiveEditorGroupIndexContext=new P.RawContextKey("activeEditorGroupIndex",0,(0,f.localize)(14,null)),e.ActiveEditorGroupLastContext=new P.RawContextKey("activeEditorGroupLast",!1,(0,f.localize)(15,null)),e.ActiveEditorGroupLockedContext=new P.RawContextKey("activeEditorGroupLocked",!1,(0,f.localize)(16,null)),e.MultipleEditorGroupsContext=new P.RawContextKey("multipleEditorGroups",!1,(0,f.localize)(17,null)),e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext.toNegated(),e.EditorsVisibleContext=new P.RawContextKey("editorIsOpen",!1,(0,f.localize)(18,null)),e.InEditorZenModeContext=new P.RawContextKey("inZenMode",!1,(0,f.localize)(19,null)),e.IsCenteredLayoutContext=new P.RawContextKey("isCenteredLayout",!1,(0,f.localize)(20,null)),e.SplitEditorsVertically=new P.RawContextKey("splitEditorsVertically",!1,(0,f.localize)(21,null)),e.EditorAreaVisibleContext=new P.RawContextKey("editorAreaVisible",!0,(0,f.localize)(22,null)),e.EditorTabsVisibleContext=new P.RawContextKey("editorTabsVisible",!0,(0,f.localize)(23,null)),e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";function c(F,M,V){for(const H of V.visibleEditorPanes)if(H.group.id===M&&F.matches(H.input))return H.getViewState()}e.findViewStateForEditor=c;function E(F){if(m(F))return!1;const M=F;return I.URI.isUri(M?.resource)}e.isResourceEditorInput=E;function g(F){if(m(F))return!1;const M=F;return M?.original!==void 0&&M.modified!==void 0}e.isResourceDiffEditorInput=g;function w(F){if(m(F)||g(F))return!1;const M=F;return M?.primary!==void 0&&M.secondary!==void 0}e.isResourceSideBySideEditorInput=w;function v(F){if(m(F))return!1;const M=F;return M?M.resource===void 0||M.resource.scheme===D.Schemas.untitled||M.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=v;var R;(function(F){F[F.SHORT=0]="SHORT",F[F.MEDIUM=1]="MEDIUM",F[F.LONG=2]="LONG"})(R=e.Verbosity||(e.Verbosity={}));var _;(function(F){F[F.EXPLICIT=1]="EXPLICIT",F[F.AUTO=2]="AUTO",F[F.FOCUS_CHANGE=3]="FOCUS_CHANGE",F[F.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(_=e.SaveReason||(e.SaveReason={}));var s;(function(F){F[F.None=0]="None",F[F.Readonly=2]="Readonly",F[F.Untitled=4]="Untitled",F[F.Singleton=8]="Singleton",F[F.RequiresTrust=16]="RequiresTrust",F[F.CanSplitInGroup=32]="CanSplitInGroup",F[F.ForceDescription=64]="ForceDescription"})(s=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class n extends C.Disposable{}e.AbstractEditorInput=n;function m(F){return F instanceof n}e.isEditorInput=m;function a(F){const M=F;return I.URI.isUri(M?.preferredResource)}function S(F){const M=F;return m(M?.primary)&&m(M?.secondary)}e.isSideBySideEditorInput=S;function r(F){const M=F;return m(M?.modified)&&m(M?.original)}e.isDiffEditorInput=r;function t(F){return m(F?.editor)}e.isEditorInputWithOptions=t;function o(F){const M=F;return t(F)&&M?.group!==void 0}e.isEditorInputWithOptionsAndGroup=o;function d(F){const M=F;return typeof M?.groupId=="number"&&m(M.editor)}e.isEditorIdentifier=d;var l;(function(F){F[F.UNKNOWN=0]="UNKNOWN",F[F.REPLACE=1]="REPLACE",F[F.MOVE=2]="MOVE",F[F.UNPIN=3]="UNPIN"})(l=e.EditorCloseContext||(e.EditorCloseContext={}));var u;(function(F){F[F.GROUP_ACTIVE=0]="GROUP_ACTIVE",F[F.GROUP_INDEX=1]="GROUP_INDEX",F[F.GROUP_LOCKED=2]="GROUP_LOCKED",F[F.EDITOR_OPEN=3]="EDITOR_OPEN",F[F.EDITOR_CLOSE=4]="EDITOR_CLOSE",F[F.EDITOR_MOVE=5]="EDITOR_MOVE",F[F.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",F[F.EDITOR_LABEL=7]="EDITOR_LABEL",F[F.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",F[F.EDITOR_PIN=9]="EDITOR_PIN",F[F.EDITOR_STICKY=10]="EDITOR_STICKY",F[F.EDITOR_DIRTY=11]="EDITOR_DIRTY",F[F.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(u=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var h;(function(F){F[F.PRIMARY=1]="PRIMARY",F[F.SECONDARY=2]="SECONDARY",F[F.BOTH=3]="BOTH",F[F.ANY=4]="ANY"})(h=e.SideBySideEditor||(e.SideBySideEditor={}));class b{getOriginalUri(M,V){if(!M)return;if(V?.supportSideBySide){const{primary:N,secondary:x}=this.getSideEditors(M);if(N&&x){if(V?.supportSideBySide===h.BOTH)return{primary:this.getOriginalUri(N,{filterByScheme:V.filterByScheme}),secondary:this.getOriginalUri(x,{filterByScheme:V.filterByScheme})};if(V?.supportSideBySide===h.ANY)return this.getOriginalUri(N,{filterByScheme:V.filterByScheme})??this.getOriginalUri(x,{filterByScheme:V.filterByScheme});M=V.supportSideBySide===h.PRIMARY?N:x}}if(g(M)||w(M))return;const H=a(M)?M.preferredResource:M.resource;return!H||!V||!V.filterByScheme?H:this.filterUri(H,V.filterByScheme)}getSideEditors(M){return S(M)||w(M)?{primary:M.primary,secondary:M.secondary}:r(M)||g(M)?{primary:M.modified,secondary:M.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(M,V){if(!M)return;if(V?.supportSideBySide){const{primary:N,secondary:x}=this.getSideEditors(M);if(N&&x){if(V?.supportSideBySide===h.BOTH)return{primary:this.getCanonicalUri(N,{filterByScheme:V.filterByScheme}),secondary:this.getCanonicalUri(x,{filterByScheme:V.filterByScheme})};if(V?.supportSideBySide===h.ANY)return this.getCanonicalUri(N,{filterByScheme:V.filterByScheme})??this.getCanonicalUri(x,{filterByScheme:V.filterByScheme});M=V.supportSideBySide===h.PRIMARY?N:x}}if(g(M)||w(M))return;const H=M.resource;return!H||!V||!V.filterByScheme?H:this.filterUri(H,V.filterByScheme)}filterUri(M,V){if(Array.isArray(V)){if(V.some(H=>M.scheme===H))return M}else if(V===M.scheme)return M}}e.EditorResourceAccessor=new b;var p;(function(F){F[F.LEFT=0]="LEFT",F[F.RIGHT=1]="RIGHT"})(p=e.CloseDirection||(e.CloseDirection={}));class k{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(M){const V=this.instantiationService=M.get(T.IInstantiationService);for(const[H,N]of this.editorSerializerConstructors)this.createEditorSerializer(H,N,V);this.editorSerializerConstructors.clear()}createEditorSerializer(M,V,H){const N=H.createInstance(V);this.editorSerializerInstances.set(M,N)}registerFileEditorFactory(M){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=M}getFileEditorFactory(){return(0,i.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(M,V){if(this.editorSerializerConstructors.has(M)||this.editorSerializerInstances.has(M))throw new Error(`A editor serializer with type ID '${M}' was already registered.`);return this.instantiationService?this.createEditorSerializer(M,V,this.instantiationService):this.editorSerializerConstructors.set(M,V),(0,C.toDisposable)(()=>{this.editorSerializerConstructors.delete(M),this.editorSerializerInstances.delete(M)})}getEditorSerializer(M){return this.editorSerializerInstances.get(typeof M=="string"?M:M.typeId)}}y.Registry.add(e.EditorExtensions.EditorFactory,new k);async function O(F,M){if(!F||!F.length)return[];const V=await Promise.all(F.map(async H=>{const N=I.URI.revive(H.fileUri);if(!N||!await M.canHandleResource(N))return;let W=H.exists,B=H.type;if(typeof W!="boolean"||typeof B!="number")try{B=(await M.resolve(N)).isDirectory?A.FileType.Directory:A.FileType.Unknown,W=!0}catch{W=!1}if(!W&&H.openOnlyIfExists||B===A.FileType.Directory)return;const j={selection:W?H.selection:void 0,pinned:!0,override:H.editorOverrideId};let Z;return W?Z={resource:N,options:j}:Z={resource:N,options:j,forceUntitled:!0},Z}));return(0,L.coalesce)(V)}e.pathsToEditors=O;var U;(function(F){F[F.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",F[F.SEQUENTIAL=1]="SEQUENTIAL"})(U=e.EditorsOrder||(e.EditorsOrder={}))}),define(pe[124],ve([0,1,3,18,173]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class C{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new f.Emitter,this._onExit=new f.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,y,A,L){const D={command:P};if(y&&Object.keys(y).length>0&&(D.arguments=y),this.internalSend("request",D),typeof L=="number"){const c=setTimeout(()=>{clearTimeout(c);const E=this.pendingRequests.get(D.seq);if(E){this.pendingRequests.delete(D.seq);const g={type:"response",seq:0,request_seq:D.seq,success:!1,command:P,message:(0,I.localize)(0,null,L,P)};E(g)}},L)}return A&&this.pendingRequests.set(D.seq,A),D.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,y){return P.type!=="event"||y.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,i.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback&&this.eventCallback(P);break;case"request":this.requestCallback&&this.requestCallback(P);break;case"response":{const y=P,A=this.pendingRequests.get(y.request_seq);A&&(this.pendingRequests.delete(y.request_seq),A(y));break}}}}internalSend(P,y){y.type=P,y.seq=this.sequence++,this.sendMessage(y)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((y,A)=>P.set(A,y)),await(0,i.timeout)(500),P.forEach((y,A)=>{y({type:"response",seq:0,request_seq:A,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(A)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=C}),define(pe[208],ve([0,1,9,2,8,25,10]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function y(r,t,o){return r.replace(P,function(d,l){return t&&l.length>0&&l[0]!=="_"?d:o&&o.hasOwnProperty(l)?o[l]:d})}e.formatPII=y;function A(r){const t={};for(const o of Object.keys(r))o.startsWith("!")||(t[o]=r[o]);return t}e.filterExceptionsFromTelemetry=A;function L(r){return r.configuration.request==="attach"&&!D(r)&&(!r.parentSession||L(r.parentSession))}e.isSessionAttach=L;function D(r){let t=r.configuration.type;if(!!t)return t==="vslsShare"&&(t=r.configuration.adapterProxy.configuration.type),(0,f.equalsIgnoreCase)(t,"extensionhost")||(0,f.equalsIgnoreCase)(t,"pwa-extensionhost")?r:r.parentSession?D(r.parentSession):void 0}e.getExtensionHostDebugSession=D;function c(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=c;function E(r,t,o){let d,l=0;const u=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let h=null;for(;h=u.exec(r);){const b=h.index+1,p=b+h[0].length;if(b<=t&&p>=o){d=h[0],l=b;break}}if(d){const b=/\w+/g;let p=null;for(;(p=b.exec(d))&&!(p.index+1+l+p[0].length>=o););p&&(d=d.substring(0,b.lastIndex))}return d?{start:l,end:l+d.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=E;const g=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function w(r){return!!(r&&r.match(g))}e.isUri=w;function v(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(w(r.path))return i.URI.parse(r.path);if((0,I.isAbsolute)(r.path))return i.URI.file(r.path)}return r.path}function R(r){if(typeof r.path=="object"){const t=i.URI.revive(r.path);if(t)return t.scheme===T.Schemas.file?t.fsPath:t.toString()}return r.path}function _(r,t){const o=t?v:R,d=(0,C.deepClone)(r);return n(d,(l,u)=>{l&&u&&(u.path=o(u))}),d}e.convertToDAPaths=_;function s(r,t){const o=t?v:R,d=(0,C.deepClone)(r);return n(d,(l,u)=>{!l&&u&&(u.path=o(u))}),d}e.convertToVSCPaths=s;function n(r,t){switch(r.type){case"event":{const o=r;switch(o.event){case"output":t(!1,o.body.source);break;case"loadedSource":t(!1,o.body.source);break;case"breakpoint":t(!1,o.body.breakpoint.source);break;default:break}break}case"request":{const o=r;switch(o.command){case"setBreakpoints":t(!0,o.arguments.source);break;case"breakpointLocations":t(!0,o.arguments.source);break;case"source":t(!0,o.arguments.source);break;case"gotoTargets":t(!0,o.arguments.source);break;case"launchVSCode":o.arguments.args.forEach(d=>t(!1,d));break;default:break}break}case"response":{const o=r;if(o.success&&o.body)switch(o.command){case"stackTrace":o.body.stackFrames.forEach(d=>t(!1,d.source));break;case"loadedSources":o.body.sources.forEach(d=>t(!1,d));break;case"scopes":o.body.scopes.forEach(d=>t(!1,d.source));break;case"setFunctionBreakpoints":o.body.breakpoints.forEach(d=>t(!1,d.source));break;case"setBreakpoints":o.body.breakpoints.forEach(d=>t(!1,d.source));break;default:break}break}}}function m(r){return r.filter(t=>!t.presentation?.hidden).sort((t,o)=>t.presentation?o.presentation?t.presentation.group?o.presentation.group?t.presentation.group!==o.presentation.group?t.presentation.group.localeCompare(o.presentation.group):a(t.presentation.order,o.presentation.order):-1:o.presentation.group?1:a(t.presentation.order,o.presentation.order):-1:o.presentation?1:0)}e.getVisibleAndSorted=m;function a(r,t){return typeof r!="number"?typeof t!="number"?0:1:typeof t!="number"?-1:r-t}async function S(r,t){const o=r.getValue("debug.saveBeforeStart",{overrideIdentifier:t.activeTextEditorLanguageId});if(o!=="none"&&(await t.saveAll(),o==="allEditorsInActiveGroup")){const d=t.activeEditorPane;d&&d.input.resource?.scheme===T.Schemas.untitled&&await t.save({editor:d.input,groupId:d.group.id})}await r.reloadConfiguration()}e.saveAllBeforeDebugStart=S}),define(pe[209],ve([0,1,29,37,174,125,8,9,25,12,184,124]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class c extends D.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(_,s){this.outputStream=s,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,_.on("data",n=>this.handleData(n))}sendMessage(_){if(this.outputStream){const s=JSON.stringify(_);this.outputStream.write(`Content-Length: ${Buffer.byteLength(s,"utf8")}${c.TWO_CRLF}${s}`,"utf8")}}handleData(_){for(this.rawData=Buffer.concat([this.rawData,_]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const s=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,s.length>0)try{this.acceptMessage(JSON.parse(s))}catch(n){this._onError.fire(new Error((n.message||n)+`
`+s))}continue}}else{const s=this.rawData.indexOf(c.TWO_CRLF);if(s!==-1){const m=this.rawData.toString("utf8",0,s).split(c.HEADER_LINESEPARATOR);for(const a of m){const S=a.split(c.HEADER_FIELDSEPARATOR);S[0]==="Content-Length"&&(this.contentLength=Number(S[1]))}this.rawData=this.rawData.slice(s+c.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=c,c.TWO_CRLF=`\r
\r
`,c.HEADER_LINESEPARATOR=/\r?\n/,c.HEADER_FIELDSEPARATOR=/: */;class E extends c{startSession(){return new Promise((_,s)=>{let n=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),_(),n=!0}),this.socket.on("close",()=>{n?this._onError.fire(new Error("connection closed")):s(new Error("connection closed"))}),this.socket.on("error",m=>{n?this._onError.fire(m):s(m)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=E;class g extends E{constructor(_){super();this.adapterServer=_}createConnection(_){return C.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",_)}}e.SocketDebugAdapter=g;class w extends E{constructor(_){super();this.adapterServer=_}createConnection(_){return C.createConnection(this.adapterServer.path,_)}}e.NamedPipeDebugAdapter=w;class v extends c{constructor(_,s,n){super();this.adapterExecutable=_,this.debugType=s,this.outputService=n}async startSession(){const _=this.adapterExecutable.command,s=this.adapterExecutable.args,n=this.adapterExecutable.options||{};try{if(_)if(T.isAbsolute(_)){if(!await f.Promises.exists(_))throw new Error(I.localize(0,null,_))}else _.indexOf("/")<0&&_.indexOf("\\")<0;else throw new Error(I.localize(1,null,this.debugType));let m=process.env;if(n.env&&Object.keys(n.env).length>0&&(m=y.mixin(y.deepClone(process.env),n.env)),_==="node")if(Array.isArray(s)&&s.length>0){const S=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,r={env:m,execArgv:S?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};n.cwd&&(r.cwd=n.cwd);const t=i.fork(s[0],s.slice(1),r);if(!t.pid)throw new Error(I.localize(2,null,s[0]));this.serverProcess=t}else throw new Error(I.localize(3,null));else{const S={env:m};n.cwd&&(S.cwd=n.cwd),this.serverProcess=i.spawn(_,s,S)}this.serverProcess.on("error",S=>{this._onError.fire(S)}),this.serverProcess.on("exit",(S,r)=>{this._onExit.fire(S)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",S=>{this._onError.fire(S)}),this.serverProcess.stdin.on("error",S=>{this._onError.fire(S)});const a=this.outputService;if(a){const S=r=>r.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",r=>{const t=a.getChannel(L.ExtensionsChannelId);t&&t.append(S(r))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(m){this._onError.fire(m)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),A.isWindows?new Promise((_,s)=>{const n=i.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(m,a,S){if(m)return s(m)});n.on("exit",_),n.on("error",s)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(_,s){if(!_)return;const n=Object.create(null);_.runtime&&(_.runtime.indexOf("./")===0?n.runtime=T.join(s,_.runtime):n.runtime=_.runtime),_.runtimeArgs&&(n.runtimeArgs=_.runtimeArgs),_.program&&(T.isAbsolute(_.program)?n.program=_.program:n.program=T.join(s,_.program)),_.args&&(n.args=_.args);const m=_;return m.win&&(n.win=v.extract(m.win,s)),m.winx86&&(n.winx86=v.extract(m.winx86,s)),m.windows&&(n.windows=v.extract(m.windows,s)),m.osx&&(n.osx=v.extract(m.osx,s)),m.linux&&(n.linux=v.extract(m.linux,s)),n}static platformAdapterExecutable(_,s){let n=Object.create(null);s=s.toLowerCase();for(const o of _)if(o.contributes){const d=o.contributes.debuggers;d&&d.length>0&&d.filter(l=>typeof l.type=="string"&&P.equalsIgnoreCase(l.type,s)).forEach(l=>{const u=v.extract(l,o.extensionLocation.fsPath);n=y.mixin(n,u,o.isBuiltin)})}let m;A.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?m=n.winx86||n.win||n.windows:A.isWindows?m=n.win||n.windows:A.isMacintosh?m=n.osx:A.isLinux&&(m=n.linux),m=m||n;const a=m.program||n.program,S=m.args||n.args,r=m.runtime||n.runtime,t=m.runtimeArgs||n.runtimeArgs;if(r)return{type:"executable",command:r,args:(t||[]).concat(typeof a=="string"?[a]:[]).concat(S||[])};if(a)return{type:"executable",command:a,args:S||[]}}}e.ExecutableDebugAdapter=v}),define(pe[210],ve([0,1,37,12,28,186]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=e.runInExternalTerminal=void 0;function T(c,E){return new Promise((g,w)=>{let v="";const R=f.spawn(c,E);R.pid&&R.stdout.on("data",_=>{v+=_.toString()}),R.on("error",_=>{w(_)}),R.on("close",_=>{g(v)})})}let P;function y(c,E){if(!P)if(i.isWindows)P=new C.WindowsExternalTerminalService;else if(i.isMacintosh)P=new C.MacExternalTerminalService;else if(i.isLinux)P=new C.LinuxExternalTerminalService;else throw new Error("external terminals not supported on this platform");const g=E.getConfiguration("terminal");return P.runInTerminal(c.title,c.cwd,c.args,c.env||{},g.external||{})}e.runInExternalTerminal=y;async function A(c){if(c)if(i.isWindows){const E=await new Promise((g,w)=>{X(["windows-process-tree"],g,w)});return new Promise(g=>{E.getProcessTree(c,w=>{g(w.children.length>0)})})}else return T("/usr/bin/pgrep",["-lP",String(c)]).then(E=>{const g=E.trim();return!(g.length===0||g.indexOf(" tmux")>=0)},E=>!0);return Promise.resolve(!0)}e.hasChildProcesses=A;var L;(function(c){c[c.cmd=0]="cmd",c[c.powershell=1]="powershell",c[c.bash=2]="bash"})(L||(L={}));function D(c,E,g,w){c=c.trim().toLowerCase();let v;c.indexOf("powershell")>=0||c.indexOf("pwsh")>=0?v=1:c.indexOf("cmd.exe")>=0?v=0:c.indexOf("bash")>=0?v=2:i.isWindows?v=0:v=2;let R,_=" ";switch(v){case 1:if(R=s=>(s=s.replace(/\'/g,"''"),s.length>0&&s.charAt(s.length-1)==="\\"?`'${s}\\'`:`'${s}'`),g){const s=(0,I.getDriveLetter)(g);s&&(_+=`${s}:; `),_+=`cd ${R(g)}; `}if(w)for(const s in w){const n=w[s];n===null?_+=`Remove-Item env:${s}; `:_+=`\${env:${s}}='${n}'; `}if(E.length>0){const s=R(E.shift());_+=s[0]==="'"?`& ${s} `:`${s} `;for(const n of E)_+=`${R(n)} `}break;case 0:if(R=s=>(s=s.replace(/\"/g,'""'),s.indexOf(" ")>=0||s.indexOf('"')>=0||s.length===0?`"${s}"`:s),g){const s=(0,I.getDriveLetter)(g);s&&(_+=`${s}: && `),_+=`cd ${R(g)} && `}if(w){_+='cmd /C "';for(const s in w){let n=w[s];n===null?_+=`set "${s}=" && `:(n=n.replace(/[\^\&\|\<\>]/g,m=>`^${m}`),_+=`set "${s}=${n}" && `)}}for(const s of E)_+=`${R(s)} `;w&&(_+='"');break;case 2:{R=n=>(n=n.replace(/(["'\\\$])/g,"\\$1"),n.indexOf(" ")>=0||n.indexOf(";")>=0||n.length===0?`"${n}"`:n);const s=n=>/[^\w@%\/+=,.:^-]/.test(n)?`'${n.replace(/'/g,"'\\''")}'`:n;if(g&&(_+=`cd ${R(g)} ; `),w){_+="/usr/bin/env";for(const n in w){const m=w[n];m===null?_+=` -u ${s(n)}`:_+=` ${s(`${n}=${m}`)}`}_+=" "}for(const n of E)_+=`${R(n)} `;break}}return _}e.prepareCommand=D}),define(pe[126],ve([0,1,32,78,95,10,8,12,62]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.mimeTypeIsMergeable=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var A;(function(b){b[b.Markup=1]="Markup",b[b.Code=2]="Code"})(A=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",I.Mimes.latex,I.Mimes.markdown,"image/png","image/jpeg",I.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[I.Mimes.latex,I.Mimes.markdown,"application/json",I.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var L;(function(b){b[b.Running=1]="Running",b[b.Idle=2]="Idle"})(L=e.NotebookRunState||(e.NotebookRunState={}));var D;(function(b){b[b.Pending=2]="Pending",b[b.Executing=3]="Executing"})(D=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var c;(function(b){b[b.WithHardKernelDependency=0]="WithHardKernelDependency",b[b.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",b[b.Pure=2]="Pure",b[b.Never=3]="Never"})(c=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var E;(function(b){b.Always="always",b.Never="never",b.Optional="optional"})(E=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var g;(function(b){b[b.ModelChange=1]="ModelChange",b[b.Move=2]="Move",b[b.ChangeLanguage=5]="ChangeLanguage",b[b.Initialize=6]="Initialize",b[b.ChangeCellMetadata=7]="ChangeCellMetadata",b[b.Output=8]="Output",b[b.OutputItem=9]="OutputItem",b[b.ChangeCellContent=10]="ChangeCellContent",b[b.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",b[b.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",b[b.ChangeCellMime=13]="ChangeCellMime",b[b.Unknown=100]="Unknown"})(g=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var w;(function(b){b[b.Handle=0]="Handle",b[b.Index=1]="Index"})(w=e.SelectionStateType||(e.SelectionStateType={}));var v;(function(b){b[b.Replace=1]="Replace",b[b.Output=2]="Output",b[b.Metadata=3]="Metadata",b[b.CellLanguage=4]="CellLanguage",b[b.DocumentMetadata=5]="DocumentMetadata",b[b.Move=6]="Move",b[b.OutputItems=7]="OutputItems",b[b.PartialMetadata=8]="PartialMetadata",b[b.PartialInternalMetadata=9]="PartialInternalMetadata"})(v=e.CellEditType||(e.CellEditType={}));var R;(function(b){b.scheme=C.Schemas.vscodeNotebookCell;const p=/^ch(\d{7,})/;function k(H,N){return H.with({scheme:b.scheme,fragment:`ch${N.toString().padStart(7,"0")}${H.scheme!==C.Schemas.file?H.scheme:""}`})}b.generate=k;function O(H){if(H.scheme!==b.scheme)return;const N=p.exec(H.fragment);return N?{handle:Number(N[1]),notebook:H.with({scheme:H.fragment.substring(N[0].length)||C.Schemas.file,fragment:null})}:void 0}b.parse=O;function U(H,N,x){return H.with({scheme:C.Schemas.vscodeNotebookCellOutput,fragment:`ch${N.toString().padStart(7,"0")},${x??""},${H.scheme!==C.Schemas.file?H.scheme:""}`})}b.generateCellOutputUri=U;function F(H){if(H.scheme!==C.Schemas.vscodeNotebookCellOutput)return;const N=/^ch(\d{7,})\,([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(H.fragment);if(!N)return;const x=Number(N[1]),W=N[2]&&N[2]!==""?N[2]:void 0,B=N[3];return{handle:x,outputId:W,notebook:H.with({scheme:B||C.Schemas.file,fragment:null})}}b.parseCellOutputUri=F;function M(H,N,x){return H.with({scheme:x,fragment:`ch${N.toString().padStart(7,"0")}${H.scheme!==C.Schemas.file?H.scheme:""}`})}b.generateCellUri=M;function V(H,N){if(H.scheme!==N)return;const x=p.exec(H.fragment);return x?{handle:Number(x[1]),notebook:H.with({scheme:H.fragment.substring(x[0].length)||C.Schemas.file,fragment:null})}:void 0}b.parseCellUri=V})(R=e.CellUri||(e.CellUri={}));const _=new Map([["application/javascript",{supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["image/jpeg",{alwaysSecure:!0,supportedByCore:!0}],["image/git",{alwaysSecure:!0,supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["application/json",{alwaysSecure:!0,supportedByCore:!0}],[I.Mimes.latex,{alwaysSecure:!0,supportedByCore:!0}],[I.Mimes.text,{alwaysSecure:!0,supportedByCore:!0}],["text/html",{supportedByCore:!0}],["text/x-javascript",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.error",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.stdout",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}],["application/vnd.code.notebook.stderr",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}]]);function s(b){return _.get(b)?.alwaysSecure??!1}e.mimeTypeIsAlwaysSecure=s;function n(b){return _.get(b)?.supportedByCore??!1}e.mimeTypeSupportedByCore=n;function m(b){return _.get(b)?.mergeable??!1}e.mimeTypeIsMergeable=m;const a=b=>P.isWindows?b.replace(/\//g,"\\"):b;class S{constructor(p=[],k=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=k,this.order=[...new Set(p)].map(O=>({pattern:O,matches:f.parse(a(O))}))}sort(p){const k=new Map(i.Iterable.map(p,U=>[U,a(U)]));let O=[];for(const{matches:U}of this.order)for(const[F,M]of k)if(U(M)){O.push(F),k.delete(F);break}return k.size&&(O=O.concat([...k.keys()].sort((U,F)=>this.defaultOrder.indexOf(U)-this.defaultOrder.indexOf(F)))),O}prioritize(p,k){const O=this.findIndex(p);if(O===-1){this.order.unshift({pattern:p,matches:f.parse(a(p))});return}const U=new Set(k.map(M=>this.findIndex(M,O)));U.delete(-1);const F=Array.from(U).sort();this.order.splice(O+1,0,...F.map(M=>this.order[M]));for(let M=F.length-1;M>=0;M--)this.order.splice(F[M],1)}toArray(){return this.order.map(p=>p.pattern)}findIndex(p,k=this.order.length){const O=a(p);for(let U=0;U<k;U++)if(this.order[U].matches(O))return U;return-1}}e.MimeTypeDisplayOrder=S;function r(b,p,k,O=(U,F)=>U===F){const U=[];function F(H,N,x){if(N===0&&x.length===0)return;const W=U[U.length-1];W&&W.start+W.deleteCount===H?(W.deleteCount+=N,W.toInsert.push(...x)):U.push({start:H,deleteCount:N,toInsert:x})}let M=0,V=0;for(;;){if(M===b.length){F(M,0,p.slice(V));break}if(V===p.length){F(M,b.length-M,[]);break}const H=b[M],N=p[V];if(O(H,N)){M+=1,V+=1;continue}k(N)?(F(M,1,[]),M+=1):(F(M,0,[N]),V+=1)}return U}e.diff=r,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new y.RawContextKey("notebookEditorCursorAtBoundary","none");var t;(function(b){b.default="default",b.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function o(b){const p=b;return!!((typeof p.include=="string"||f.isRelativePattern(p.include))&&(typeof p.exclude=="string"||f.isRelativePattern(p.exclude)))}e.isDocumentExcludePattern=o;function d(b,p,k){if(Array.isArray(b.viewType)&&b.viewType.indexOf(p)>=0||b.viewType===p)return!0;if(b.filenamePattern){const O=o(b.filenamePattern)?b.filenamePattern.include:b.filenamePattern,U=o(b.filenamePattern)?b.filenamePattern.exclude:void 0;if(f.match(O,(0,T.basename)(k.fsPath).toLowerCase()))return!(U&&f.match(U,(0,T.basename)(k.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=d;class l{constructor(p){this.textModel=p}getElements(){const p=new Int32Array(this.textModel.cells.length);for(let k=0;k<this.textModel.cells.length;k++)p[k]=this.textModel.cells[k].getHashValue();return p}}e.CellSequence=l,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize"};var u;(function(b){b[b.Left=1]="Left",b[b.Right=2]="Right"})(u=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class h{static create(p){return`${h._prefix}${p}`}static parse(p){if(p.startsWith(h._prefix))return p.substring(h._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=h,h._prefix="notebook/"}),define(pe[211],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var i;(function(I){I[I.Output=1]="Output",I[I.OutputItems=2]="OutputItems",I[I.ExecutionState=3]="ExecutionState"})(i=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,f.createDecorator)("INotebookExecutionService")}),define(pe[212],ve([0,1,4,62]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new i.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new i.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new i.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,f.createDecorator)(e.OUTPUT_SERVICE_ID);var I;(function(C){C[C.Append=1]="Append",C[C.Replace=2]="Replace",C[C.Clear=3]="Clear"})(I=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={}))}),define(pe[213],ve([0,1,176,4,62]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new I.RawContextKey("customExecutionSupported",!0,f.localize(0,null)),e.ShellExecutionSupportedContext=new I.RawContextKey("shellExecutionSupported",!1,f.localize(1,null)),e.ProcessExecutionSupportedContext=new I.RawContextKey("processExecutionSupported",!1,f.localize(2,null)),e.ITaskService=(0,i.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(pe[214],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function f(I){return[...I.entries()]}e.serializeEnvironmentVariableCollection=f;function i(I){return new Map(I)}e.deserializeEnvironmentVariableCollection=i}),define(pe[127],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestDiffOpType=e.DetailType=e.applyTestItemUpdate=e.TestItemExpandState=e.TestMessageType=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var f;(function(D){D[D.Unset=0]="Unset",D[D.Queued=1]="Queued",D[D.Running=2]="Running",D[D.Passed=3]="Passed",D[D.Failed=4]="Failed",D[D.Skipped=5]="Skipped",D[D.Errored=6]="Errored"})(f=e.TestResultState||(e.TestResultState={}));var i;(function(D){D[D.Run=2]="Run",D[D.Debug=4]="Debug",D[D.Coverage=8]="Coverage",D[D.HasNonDefaultProfile=16]="HasNonDefaultProfile",D[D.HasConfigurable=32]="HasConfigurable"})(i=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var I;(function(D){D[D.Error=0]="Error",D[D.Info=1]="Info"})(I=e.TestMessageType||(e.TestMessageType={}));var C;(function(D){D[D.NotExpandable=0]="NotExpandable",D[D.Expandable=1]="Expandable",D[D.BusyExpanding=2]="BusyExpanding",D[D.Expanded=3]="Expanded"})(C=e.TestItemExpandState||(e.TestItemExpandState={}));const T=(D,c)=>{c.expand!==void 0&&(D.expand=c.expand),c.item!==void 0&&(D.item=D.item?Object.assign(D.item,c.item):c.item)};e.applyTestItemUpdate=T;var P;(function(D){D[D.Function=0]="Function",D[D.Statement=1]="Statement"})(P=e.DetailType||(e.DetailType={}));var y;(function(D){D[D.Add=0]="Add",D[D.Update=1]="Update",D[D.Remove=2]="Remove",D[D.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",D[D.Retire=4]="Retire",D[D.AddTag=5]="AddTag",D[D.RemoveTag=6]="RemoveTag"})(y=e.TestDiffOpType||(e.TestDiffOpType={}));class A{add(c){}update(c){}remove(c,E){}complete(){}}e.IncrementalChangeCollector=A;class L{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(c){const E=this.createChangeCollector();for(const g of c)switch(g[0]){case 0:{const w=g[1];if(w.parent){if(this.items.has(w.parent)){const v=this.items.get(w.parent);v.children.add(w.item.extId);const R=this.createItem(w,v);this.items.set(w.item.extId,R),E.add(R)}}else{const v=this.createItem(w);this.roots.add(v),this.items.set(w.item.extId,v),E.add(v)}w.expand===2&&this.busyControllerCount++;break}case 1:{const w=g[1],v=this.items.get(w.extId);if(!v)break;w.expand!==void 0&&(v.expand===2&&this.busyControllerCount--,w.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(v,w),E.update(v);break}case 2:{const w=this.items.get(g[1]);if(!w)break;w.parent?this.items.get(w.parent).children.delete(w.item.extId):this.roots.delete(w);const v=[[g[1]]];for(;v.length;)for(const R of v.pop()){const _=this.items.get(R);_&&(v.push(_.children),this.items.delete(R),E.remove(_,_!==w),_.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(g[1]);break;case 3:this.updatePendingRoots(g[1]);break;case 5:this._tags.set(g[1].id,g[1]);break;case 6:this._tags.delete(g[1]);break}E.complete()}retireTest(c){}updatePendingRoots(c){this.pendingRootCount+=c}createChangeCollector(){return new A}}e.AbstractIncrementalTestCollection=L}),define(pe[89],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var f;(function(C){C.Delimiter="\0"})(f=e.TestIdPathParts||(e.TestIdPathParts={}));var i;(function(C){C[C.IsSame=0]="IsSame",C[C.Disconnected=1]="Disconnected",C[C.IsChild=2]="IsChild",C[C.IsParent=3]="IsParent"})(i=e.TestPosition||(e.TestPosition={}));class I{constructor(T,P=T.length){if(this.path=T,this.viewEnd=P,T.length===0||P<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(T,P,y=T.parent){if(T.id===P)return new I([P]);let A=[T.id];for(let L=y;L&&L.id!==P;L=L.parent)A.push(L.id);return A.push(P),new I(A.reverse())}static isRoot(T){return!T.includes("\0")}static root(T){const P=T.indexOf("\0");return P===-1?T:T.slice(0,P)}static fromString(T){return new I(T.split("\0"))}static join(T,P){return new I([...T.path,P])}static joinToString(T,P){return T.toString()+"\0"+P}static compare(T,P){return T===P?0:P.startsWith(T+"\0")?2:T.startsWith(P+"\0")?3:1}get parentId(){return this.viewEnd>1?new I(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let T=1;T<=this.viewEnd;T++)yield new I(this.path,T)}compare(T){if(typeof T=="string")return I.compare(this.toString(),T);for(let P=0;P<T.viewEnd&&P<this.viewEnd;P++)if(T.path[P]!==this.path[P])return 1;return T.viewEnd>this.viewEnd?2:T.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let T=1;T<this.viewEnd;T++)this.stringifed+="\0",this.stringifed+=this.path[T]}return this.stringifed}}e.TestId=I}),define(pe[215],ve([0,1,8,40,13,25,12,81,177]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class A{constructor(D,c,E){this._contributedVariables=new Map,this._context=D,this._labelService=c,E&&(this._envVariablesPromise=E.then(g=>this.prepareEnv(g)))}prepareEnv(D){if(T.isWindows){const c=Object.create(null);return Object.keys(D).forEach(E=>{c[E.toLowerCase()]=D[E]}),c}return D}resolveWithEnvironment(D,c,E){return this.recursiveResolve(this.prepareEnv(D),c?c.uri:void 0,E)}async resolveAsync(D,c){return this.recursiveResolve(await this._envVariablesPromise,D?D.uri:void 0,c)}async resolveAnyBase(D,c,E,g){const w=C.deepClone(c);return T.isWindows&&w.windows?Object.keys(w.windows).forEach(v=>w[v]=w.windows[v]):T.isMacintosh&&w.osx?Object.keys(w.osx).forEach(v=>w[v]=w.osx[v]):T.isLinux&&w.linux&&Object.keys(w.linux).forEach(v=>w[v]=w.linux[v]),delete w.windows,delete w.osx,delete w.linux,this.recursiveResolve(await this._envVariablesPromise,D?D.uri:void 0,w,E,g)}async resolveAnyAsync(D,c,E){return this.resolveAnyBase(D,c,E)}async resolveAnyMap(D,c,E){const g=new Map;return{newConfig:await this.resolveAnyBase(D,c,E,g),resolvedVariables:g}}resolveWithInteractionReplace(D,c,E,g){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(D,c,E,g){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(D,c){if(this._contributedVariables.has(D))throw new Error("Variable "+D+" is contributed twice.");this._contributedVariables.set(D,c)}recursiveResolve(D,c,E,g,w){if(I.isString(E))return this.resolveString(D,c,E,g,w);if(I.isArray(E))return E.map(v=>this.recursiveResolve(D,c,v,g,w));if(I.isObject(E)){let v=Object.create(null);return Object.keys(E).forEach(R=>{const _=this.resolveString(D,c,R,g,w);v[_]=this.recursiveResolve(D,c,E[R],g,w)}),v}return E}resolveString(D,c,E,g,w){return E.replace(A.VARIABLE_REGEXP,(R,_)=>{if(_.includes(A.VARIABLE_LHS))return R;let s=this.evaluateSingleVariable(D,R,_,c,g);return w&&w.set(_,s),s!==R&&I.isString(s)&&s.match(A.VARIABLE_REGEXP)&&(s=this.resolveString(D,c,s,g,w)),s})}fsPath(D){return this._labelService?this._labelService.getUriLabel(D,{noPrefix:!0}):D.fsPath}evaluateSingleVariable(D,c,E,g,w){let v;const R=E.split(":");R.length>1&&(E=R[0],v=R[1]);const _=()=>{const m=this._context.getFilePath();if(m)return m;throw new Error((0,y.localize)(0,null,c))},s=()=>{const m=_();if(this._context.getWorkspaceFolderPathForFile){const a=this._context.getWorkspaceFolderPathForFile();if(a)return a}throw new Error((0,y.localize)(1,null,c,f.basename(m)))},n=()=>{if(v){const m=this._context.getFolderUri(v);if(m)return m;throw new Error((0,y.localize)(2,null,c,v))}if(g)return g;throw this._context.getWorkspaceFolderCount()>1?new Error((0,y.localize)(3,null,c)):new Error((0,y.localize)(4,null,c))};switch(E){case"env":if(v){if(D){const m=D[T.isWindows?v.toLowerCase():v];if(I.isString(m))return m}return""}throw new Error((0,y.localize)(5,null,c));case"config":if(v){const m=this._context.getConfigurationValue(g,v);if(I.isUndefinedOrNull(m))throw new Error((0,y.localize)(6,null,c,v));if(I.isObject(m))throw new Error((0,y.localize)(7,null,c,v));return m}throw new Error((0,y.localize)(8,null,c));case"command":return this.resolveFromMap(c,v,w,"command");case"input":return this.resolveFromMap(c,v,w,"input");default:switch(E){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(n()));case"cwd":return g||v?(0,P.normalizeDriveLetter)(this.fsPath(n())):i.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return f.basename(this.fsPath(n()));case"lineNumber":{const m=this._context.getLineNumber();if(m)return m;throw new Error((0,y.localize)(9,null,c))}case"selectedText":{const m=this._context.getSelectedText();if(m)return m;throw new Error((0,y.localize)(10,null,c))}case"file":return _();case"fileWorkspaceFolder":return s();case"relativeFile":return g||v?f.relative(this.fsPath(n()),_()):_();case"relativeFileDirname":{const m=f.dirname(_());if(g||v){const a=f.relative(this.fsPath(n()),m);return a.length===0?".":a}return m}case"fileDirname":return f.dirname(_());case"fileExtname":return f.extname(_());case"fileBasename":return f.basename(_());case"fileBasenameNoExtension":{const m=f.basename(_());return m.slice(0,m.length-f.extname(m).length)}case"fileDirnameBasename":return f.basename(f.dirname(_()));case"execPath":{const m=this._context.getExecPath();return m||c}case"execInstallFolder":{const m=this._context.getAppRoot();return m||c}case"pathSeparator":return f.sep;default:try{const m=v?`${E}:${v}`:E;return this.resolveFromMap(c,m,w,void 0)}catch{return c}}}}resolveFromMap(D,c,E,g){if(c&&E){const w=g===void 0?E[c]:E[g+":"+c];if(typeof w=="string")return w;throw new Error((0,y.localize)(11,null,D))}return D}}e.AbstractVariableResolverService=A,A.VARIABLE_LHS="${",A.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(pe[128],ve([0,1,4,207]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,f.createDecorator)("editorGroupsService");var I;(function(g){g[g.UP=0]="UP",g[g.DOWN=1]="DOWN",g[g.LEFT=2]="LEFT",g[g.RIGHT=3]="RIGHT"})(I=e.GroupDirection||(e.GroupDirection={}));var C;(function(g){g[g.HORIZONTAL=0]="HORIZONTAL",g[g.VERTICAL=1]="VERTICAL"})(C=e.GroupOrientation||(e.GroupOrientation={}));var T;(function(g){g[g.FIRST=0]="FIRST",g[g.LAST=1]="LAST",g[g.NEXT=2]="NEXT",g[g.PREVIOUS=3]="PREVIOUS"})(T=e.GroupLocation||(e.GroupLocation={}));var P;(function(g){g[g.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",g[g.EVEN=1]="EVEN",g[g.TOGGLE=2]="TOGGLE"})(P=e.GroupsArrangement||(e.GroupsArrangement={}));var y;(function(g){g[g.COPY_EDITORS=0]="COPY_EDITORS",g[g.MOVE_EDITORS=1]="MOVE_EDITORS"})(y=e.MergeGroupMode||(e.MergeGroupMode={}));function A(g){const w=g;return(0,i.isEditorInput)(w?.editor)&&(0,i.isEditorInput)(w?.replacement)}e.isEditorReplacement=A;var L;(function(g){g[g.CREATION_TIME=0]="CREATION_TIME",g[g.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",g[g.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(L=e.GroupsOrder||(e.GroupsOrder={}));var D;(function(g){g[g.NEW_EDITOR=1]="NEW_EDITOR",g[g.MOVE_EDITOR=2]="MOVE_EDITOR",g[g.COPY_EDITOR=3]="COPY_EDITOR"})(D=e.OpenEditorContext||(e.OpenEditorContext={}));function c(g){const w=g;return!!w&&typeof w.id=="number"&&Array.isArray(w.editors)}e.isEditorGroup=c;function E(g){return g.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=E}),define(pe[216],ve([0,1,4,128]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,f.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function I(C){const T=C;return typeof C=="number"||(0,i.isEditorGroup)(T)}e.isPreferredGroup=I}),define(pe[17],ve([0,1,16,22,99,292,59,25,13,2,41,84,178,117,64,126,89,216,7]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var s;(function(be){function _e(K){const{selectionStartLineNumber:Ie,selectionStartColumn:Ne,positionLineNumber:Ye,positionColumn:Xe}=K,gt=new _.Position(Ie-1,Ne-1),St=new _.Position(Ye-1,Xe-1);return new _.Selection(gt,St)}be.to=_e;function fe(K){const{anchor:Ie,active:Ne}=K;return{selectionStartLineNumber:Ie.line+1,selectionStartColumn:Ie.character+1,positionLineNumber:Ne.line+1,positionColumn:Ne.character+1}}be.from=fe})(s=e.Selection||(e.Selection={}));var n;(function(be){function _e(K){if(!K)return;const{start:Ie,end:Ne}=K;return{startLineNumber:Ie.line+1,startColumn:Ie.character+1,endLineNumber:Ne.line+1,endColumn:Ne.character+1}}be.from=_e;function fe(K){if(!K)return;const{startLineNumber:Ie,startColumn:Ne,endLineNumber:Ye,endColumn:Xe}=K;return new _.Range(Ie-1,Ne-1,Ye-1,Xe-1)}be.to=fe})(n=e.Range||(e.Range={}));var m;(function(be){function _e(fe){switch(fe){case 1:return _.StandardTokenType.Comment;case 0:return _.StandardTokenType.Other;case 3:return _.StandardTokenType.RegEx;case 2:return _.StandardTokenType.String}}be.to=_e})(m=e.TokenType||(e.TokenType={}));var a;(function(be){function _e(K){return new _.Position(K.lineNumber-1,K.column-1)}be.to=_e;function fe(K){return{lineNumber:K.line+1,column:K.character+1}}be.from=fe})(a=e.Position||(e.Position={}));var S;(function(be){function _e(Ie,Ne){return(0,f.coalesce)((0,f.asArray)(Ie).map(Ye=>fe(Ye,Ne)))}be.from=_e;function fe(Ie,Ne){if(typeof Ie=="string")return{$serialized:!0,language:Ie};if(Ie)return{$serialized:!0,language:Ie.language,scheme:K(Ie.scheme,Ne),pattern:typeof Ie.pattern=="undefined"?void 0:Ee.from(Ie.pattern),exclusive:Ie.exclusive}}function K(Ie,Ne){return Ne&&typeof Ie=="string"?Ne.transformOutgoingScheme(Ie):Ie}})(S=e.DocumentSelector||(e.DocumentSelector={}));var r;(function(be){function _e(K){switch(K){case _.DiagnosticTag.Unnecessary:return 1;case _.DiagnosticTag.Deprecated:return 2}}be.from=_e;function fe(K){switch(K){case 1:return _.DiagnosticTag.Unnecessary;case 2:return _.DiagnosticTag.Deprecated;default:return}}be.to=fe})(r=e.DiagnosticTag||(e.DiagnosticTag={}));var t;(function(be){function _e(K){let Ie;return K.code&&((0,y.isString)(K.code)||(0,y.isNumber)(K.code)?Ie=String(K.code):Ie={value:String(K.code.value),target:K.code.target}),{...n.from(K.range),message:K.message,source:K.source,code:Ie,severity:d.from(K.severity),relatedInformation:K.relatedInformation&&K.relatedInformation.map(o.from),tags:Array.isArray(K.tags)?(0,f.coalesce)(K.tags.map(r.from)):void 0}}be.from=_e;function fe(K){const Ie=new _.Diagnostic(n.to(K),K.message,d.to(K.severity));return Ie.source=K.source,Ie.code=(0,y.isString)(K.code)?K.code:K.code?.value,Ie.relatedInformation=K.relatedInformation&&K.relatedInformation.map(o.to),Ie.tags=K.tags&&(0,f.coalesce)(K.tags.map(r.to)),Ie}be.to=fe})(t=e.Diagnostic||(e.Diagnostic={}));var o;(function(be){function _e(K){return{...n.from(K.location.range),message:K.message,resource:K.location.uri}}be.from=_e;function fe(K){return new _.DiagnosticRelatedInformation(new _.Location(K.resource,n.to(K)),K.message)}be.to=fe})(o=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var d;(function(be){function _e(K){switch(K){case _.DiagnosticSeverity.Error:return E.MarkerSeverity.Error;case _.DiagnosticSeverity.Warning:return E.MarkerSeverity.Warning;case _.DiagnosticSeverity.Information:return E.MarkerSeverity.Info;case _.DiagnosticSeverity.Hint:return E.MarkerSeverity.Hint}return E.MarkerSeverity.Error}be.from=_e;function fe(K){switch(K){case E.MarkerSeverity.Info:return _.DiagnosticSeverity.Information;case E.MarkerSeverity.Warning:return _.DiagnosticSeverity.Warning;case E.MarkerSeverity.Error:return _.DiagnosticSeverity.Error;case E.MarkerSeverity.Hint:return _.DiagnosticSeverity.Hint;default:return _.DiagnosticSeverity.Error}}be.to=fe})(d=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var l;(function(be){function _e(K){return typeof K=="number"&&K>=_.ViewColumn.One?K-1:K===_.ViewColumn.Beside?R.SIDE_GROUP:R.ACTIVE_GROUP}be.from=_e;function fe(K){if(typeof K=="number"&&K>=0)return K+1;throw new Error("invalid 'EditorGroupColumn'")}be.to=fe})(l=e.ViewColumn||(e.ViewColumn={}));function u(be){return typeof be.range!="undefined"}function h(be){return be.length===0?!0:!!u(be[0])}e.isDecorationOptionsArr=h;var b;(function(be){function _e(Xe){return Xe.map(be.from)}be.fromMany=_e;function fe(Xe){return Xe&&typeof Xe=="object"&&typeof Xe.language=="string"&&typeof Xe.value=="string"}function K(Xe){let gt;if(fe(Xe)){const{language:wt,value:bt}=Xe;gt={value:"```"+wt+`
`+bt+"\n```\n"}}else _.MarkdownString.isMarkdownString(Xe)?gt={value:Xe.value,isTrusted:Xe.isTrusted,supportThemeIcons:Xe.supportThemeIcons,supportHtml:Xe.supportHtml}:typeof Xe=="string"?gt={value:Xe}:gt={value:""};const St=Object.create(null);gt.uris=St;const Ct=wt=>{try{let bt=A.URI.parse(wt,!0);bt=bt.with({query:Ie(bt.query,St)}),St[wt]=bt}catch{}return""},ft=new C.Renderer;return ft.link=Ct,ft.image=wt=>Ct(I.parseHrefAndDimensions(wt).href),C(gt.value,{renderer:ft}),gt}be.from=K;function Ie(Xe,gt){if(!Xe)return Xe;let St;try{St=(0,T.parse)(Xe)}catch{}if(!St)return Xe;let Ct=!1;return St=(0,P.cloneAndChange)(St,ft=>{if(A.URI.isUri(ft)){const wt=`__uri_${Math.random().toString(16).slice(2,8)}`;return gt[wt]=ft,Ct=!0,wt}else return}),Ct?JSON.stringify(St):Xe}function Ne(Xe){const gt=new _.MarkdownString(Xe.value,Xe.supportThemeIcons);return gt.isTrusted=Xe.isTrusted,gt.supportHtml=Xe.supportHtml,gt}be.to=Ne;function Ye(Xe){if(!!Xe)return typeof Xe=="string"?Xe:be.from(Xe)}be.fromStrict=Ye})(b=e.MarkdownString||(e.MarkdownString={}));function p(be){return h(be)?be.map(_e=>({range:n.from(_e.range),hoverMessage:Array.isArray(_e.hoverMessage)?b.fromMany(_e.hoverMessage):_e.hoverMessage?b.from(_e.hoverMessage):void 0,renderOptions:_e.renderOptions})):be.map(_e=>({range:n.from(_e)}))}e.fromRangeOrRangeWithMessage=p;function k(be){return typeof be=="undefined"?be:typeof be=="string"?A.URI.file(be):be}e.pathOrURIToURI=k;var O;(function(be){function _e(fe){return typeof fe=="undefined"?fe:{contentText:fe.contentText,contentIconPath:fe.contentIconPath?k(fe.contentIconPath):void 0,border:fe.border,borderColor:fe.borderColor,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,color:fe.color,backgroundColor:fe.backgroundColor,margin:fe.margin,width:fe.width,height:fe.height}}be.from=_e})(O=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var U;(function(be){function _e(fe){return typeof fe=="undefined"?fe:{backgroundColor:fe.backgroundColor,outline:fe.outline,outlineColor:fe.outlineColor,outlineStyle:fe.outlineStyle,outlineWidth:fe.outlineWidth,border:fe.border,borderColor:fe.borderColor,borderRadius:fe.borderRadius,borderSpacing:fe.borderSpacing,borderStyle:fe.borderStyle,borderWidth:fe.borderWidth,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,cursor:fe.cursor,color:fe.color,opacity:fe.opacity,letterSpacing:fe.letterSpacing,gutterIconPath:fe.gutterIconPath?k(fe.gutterIconPath):void 0,gutterIconSize:fe.gutterIconSize,overviewRulerColor:fe.overviewRulerColor,before:fe.before?O.from(fe.before):void 0,after:fe.after?O.from(fe.after):void 0}}be.from=_e})(U=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var F;(function(be){function _e(fe){if(typeof fe=="undefined")return fe;switch(fe){case _.DecorationRangeBehavior.OpenOpen:return 0;case _.DecorationRangeBehavior.ClosedClosed:return 1;case _.DecorationRangeBehavior.OpenClosed:return 2;case _.DecorationRangeBehavior.ClosedOpen:return 3}}be.from=_e})(F=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var M;(function(be){function _e(fe){return{isWholeLine:fe.isWholeLine,rangeBehavior:fe.rangeBehavior?F.from(fe.rangeBehavior):void 0,overviewRulerLane:fe.overviewRulerLane,light:fe.light?U.from(fe.light):void 0,dark:fe.dark?U.from(fe.dark):void 0,backgroundColor:fe.backgroundColor,outline:fe.outline,outlineColor:fe.outlineColor,outlineStyle:fe.outlineStyle,outlineWidth:fe.outlineWidth,border:fe.border,borderColor:fe.borderColor,borderRadius:fe.borderRadius,borderSpacing:fe.borderSpacing,borderStyle:fe.borderStyle,borderWidth:fe.borderWidth,fontStyle:fe.fontStyle,fontWeight:fe.fontWeight,textDecoration:fe.textDecoration,cursor:fe.cursor,color:fe.color,opacity:fe.opacity,letterSpacing:fe.letterSpacing,gutterIconPath:fe.gutterIconPath?k(fe.gutterIconPath):void 0,gutterIconSize:fe.gutterIconSize,overviewRulerColor:fe.overviewRulerColor,before:fe.before?O.from(fe.before):void 0,after:fe.after?O.from(fe.after):void 0}}be.from=_e})(M=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var V;(function(be){function _e(K){return{text:K.newText,eol:K.newEol&&pt.from(K.newEol),range:n.from(K.range)}}be.from=_e;function fe(K){const Ie=new _.TextEdit(n.to(K.range),K.text);return Ie.newEol=typeof K.eol=="undefined"?void 0:pt.to(K.eol),Ie}be.to=fe})(V=e.TextEdit||(e.TextEdit={}));var H;(function(be){function _e(K,Ie,Ne){const Ye={edits:[]};if(K instanceof _.WorkspaceEdit)for(let Xe of K._allEntries())if(Xe._type===1)Ye.edits.push({_type:1,oldUri:Xe.from,newUri:Xe.to,options:Xe.options,metadata:Xe.metadata});else if(Xe._type===2){const gt=Ie?.getDocument(Xe.uri);Ye.edits.push({_type:2,resource:Xe.uri,edit:V.from(Xe.edit),modelVersionId:gt?.version,metadata:Xe.metadata})}else Xe._type===3?Ye.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,edit:Xe.edit,notebookMetadata:Xe.notebookMetadata,notebookVersionId:Ne?.getNotebookDocument(Xe.uri,!0)?.apiNotebook.version}):Xe._type===5&&Ye.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,notebookVersionId:Ne?.getNotebookDocument(Xe.uri,!0)?.apiNotebook.version,edit:{editType:1,index:Xe.index,count:Xe.count,cells:Xe.cells.map(lt.from)}});return Ye}be.from=_e;function fe(K){const Ie=new _.WorkspaceEdit;for(const Ne of K.edits)Ne.edit?Ie.replace(A.URI.revive(Ne.resource),n.to(Ne.edit.range),Ne.edit.text):Ie.renameFile(A.URI.revive(Ne.oldUri),A.URI.revive(Ne.newUri),Ne.options);return Ie}be.to=fe})(H=e.WorkspaceEdit||(e.WorkspaceEdit={}));var N;(function(be){const _e=Object.create(null);_e[_.SymbolKind.File]=0,_e[_.SymbolKind.Module]=1,_e[_.SymbolKind.Namespace]=2,_e[_.SymbolKind.Package]=3,_e[_.SymbolKind.Class]=4,_e[_.SymbolKind.Method]=5,_e[_.SymbolKind.Property]=6,_e[_.SymbolKind.Field]=7,_e[_.SymbolKind.Constructor]=8,_e[_.SymbolKind.Enum]=9,_e[_.SymbolKind.Interface]=10,_e[_.SymbolKind.Function]=11,_e[_.SymbolKind.Variable]=12,_e[_.SymbolKind.Constant]=13,_e[_.SymbolKind.String]=14,_e[_.SymbolKind.Number]=15,_e[_.SymbolKind.Boolean]=16,_e[_.SymbolKind.Array]=17,_e[_.SymbolKind.Object]=18,_e[_.SymbolKind.Key]=19,_e[_.SymbolKind.Null]=20,_e[_.SymbolKind.EnumMember]=21,_e[_.SymbolKind.Struct]=22,_e[_.SymbolKind.Event]=23,_e[_.SymbolKind.Operator]=24,_e[_.SymbolKind.TypeParameter]=25;function fe(Ie){return typeof _e[Ie]=="number"?_e[Ie]:6}be.from=fe;function K(Ie){for(const Ne in _e)if(_e[Ne]===Ie)return Number(Ne);return _.SymbolKind.Property}be.to=K})(N=e.SymbolKind||(e.SymbolKind={}));var x;(function(be){function _e(K){switch(K){case _.SymbolTag.Deprecated:return 1}}be.from=_e;function fe(K){switch(K){case 1:return _.SymbolTag.Deprecated}}be.to=fe})(x=e.SymbolTag||(e.SymbolTag={}));var W;(function(be){function _e(K){return{name:K.name,kind:N.from(K.kind),tags:K.tags&&K.tags.map(x.from),containerName:K.containerName,location:Q.from(K.location)}}be.from=_e;function fe(K){const Ie=new _.SymbolInformation(K.name,N.to(K.kind),K.containerName,Q.to(K.location));return Ie.tags=K.tags&&K.tags.map(x.to),Ie}be.to=fe})(W=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var B;(function(be){function _e(K){const Ie={name:K.name||"!!MISSING: name!!",detail:K.detail,range:n.from(K.range),selectionRange:n.from(K.selectionRange),kind:N.from(K.kind),tags:K.tags?.map(x.from)??[]};return K.children&&(Ie.children=K.children.map(_e)),Ie}be.from=_e;function fe(K){const Ie=new _.DocumentSymbol(K.name,K.detail,N.to(K.kind),n.to(K.range),n.to(K.selectionRange));return(0,f.isNonEmptyArray)(K.tags)&&(Ie.tags=K.tags.map(x.to)),K.children&&(Ie.children=K.children.map(fe)),Ie}be.to=fe})(B=e.DocumentSymbol||(e.DocumentSymbol={}));var j;(function(be){function _e(K){const Ie=new _.CallHierarchyItem(N.to(K.kind),K.name,K.detail||"",A.URI.revive(K.uri),n.to(K.range),n.to(K.selectionRange));return Ie._sessionId=K._sessionId,Ie._itemId=K._itemId,Ie}be.to=_e;function fe(K,Ie,Ne){if(Ie=Ie??K._sessionId,Ne=Ne??K._itemId,Ie===void 0||Ne===void 0)throw new Error("invalid item");return{_sessionId:Ie,_itemId:Ne,name:K.name,detail:K.detail,kind:N.from(K.kind),uri:K.uri,range:n.from(K.range),selectionRange:n.from(K.selectionRange),tags:K.tags?.map(x.from)}}be.from=fe})(j=e.CallHierarchyItem||(e.CallHierarchyItem={}));var Z;(function(be){function _e(fe){return new _.CallHierarchyIncomingCall(j.to(fe.from),fe.fromRanges.map(K=>n.to(K)))}be.to=_e})(Z=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var se;(function(be){function _e(fe){return new _.CallHierarchyOutgoingCall(j.to(fe.to),fe.fromRanges.map(K=>n.to(K)))}be.to=_e})(se=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var Q;(function(be){function _e(K){return{range:K.range&&n.from(K.range),uri:K.uri}}be.from=_e;function fe(K){return new _.Location(A.URI.revive(K.uri),n.to(K.range))}be.to=fe})(Q=e.location||(e.location={}));var z;(function(be){function _e(K){const Ie=K,Ne=K;return{originSelectionRange:Ie.originSelectionRange?n.from(Ie.originSelectionRange):void 0,uri:Ie.targetUri?Ie.targetUri:Ne.uri,range:n.from(Ie.targetRange?Ie.targetRange:Ne.range),targetSelectionRange:Ie.targetSelectionRange?n.from(Ie.targetSelectionRange):void 0}}be.from=_e;function fe(K){return{targetUri:A.URI.revive(K.uri),targetRange:n.to(K.range),targetSelectionRange:K.targetSelectionRange?n.to(K.targetSelectionRange):void 0,originSelectionRange:K.originSelectionRange?n.to(K.originSelectionRange):void 0}}be.to=fe})(z=e.DefinitionLink||(e.DefinitionLink={}));var te;(function(be){function _e(K){return{range:n.from(K.range),contents:b.fromMany(K.contents)}}be.from=_e;function fe(K){return new _.Hover(K.contents.map(b.to),n.to(K.range))}be.to=fe})(te=e.Hover||(e.Hover={}));var he;(function(be){function _e(K){return{range:n.from(K.range),expression:K.expression}}be.from=_e;function fe(K){return new _.EvaluatableExpression(n.to(K.range),K.expression)}be.to=fe})(he=e.EvaluatableExpression||(e.EvaluatableExpression={}));var ge;(function(be){function _e(K){if(K instanceof _.InlineValueText)return{type:"text",range:n.from(K.range),text:K.text};if(K instanceof _.InlineValueVariableLookup)return{type:"variable",range:n.from(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};if(K instanceof _.InlineValueEvaluatableExpression)return{type:"expression",range:n.from(K.range),expression:K.expression};throw new Error("Unknown 'InlineValue' type")}be.from=_e;function fe(K){switch(K.type){case"text":return{range:n.to(K.range),text:K.text};case"variable":return{range:n.to(K.range),variableName:K.variableName,caseSensitiveLookup:K.caseSensitiveLookup};case"expression":return{range:n.to(K.range),expression:K.expression}}}be.to=fe})(ge=e.InlineValue||(e.InlineValue={}));var ke;(function(be){function _e(K){return{frameId:K.frameId,stoppedLocation:n.from(K.stoppedLocation)}}be.from=_e;function fe(K){return new _.InlineValueContext(K.frameId,n.to(K.stoppedLocation))}be.to=fe})(ke=e.InlineValueContext||(e.InlineValueContext={}));var Ue;(function(be){function _e(K){return{range:n.from(K.range),kind:K.kind}}be.from=_e;function fe(K){return new _.DocumentHighlight(n.to(K.range),K.kind)}be.to=fe})(Ue=e.DocumentHighlight||(e.DocumentHighlight={}));var Be;(function(be){function _e(fe){switch(fe){case 1:return _.CompletionTriggerKind.TriggerCharacter;case 2:return _.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return _.CompletionTriggerKind.Invoke}}be.to=_e})(Be=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var q;(function(be){function _e(fe){return{triggerKind:Be.to(fe.triggerKind),triggerCharacter:fe.triggerCharacter}}be.to=_e})(q=e.CompletionContext||(e.CompletionContext={}));var Y;(function(be){function _e(K){switch(K){case _.CompletionItemTag.Deprecated:return 1}}be.from=_e;function fe(K){switch(K){case 1:return _.CompletionItemTag.Deprecated}}be.to=fe})(Y=e.CompletionItemTag||(e.CompletionItemTag={}));var re;(function(be){const _e=new Map([[_.CompletionItemKind.Method,0],[_.CompletionItemKind.Function,1],[_.CompletionItemKind.Constructor,2],[_.CompletionItemKind.Field,3],[_.CompletionItemKind.Variable,4],[_.CompletionItemKind.Class,5],[_.CompletionItemKind.Interface,7],[_.CompletionItemKind.Struct,6],[_.CompletionItemKind.Module,8],[_.CompletionItemKind.Property,9],[_.CompletionItemKind.Unit,12],[_.CompletionItemKind.Value,13],[_.CompletionItemKind.Constant,14],[_.CompletionItemKind.Enum,15],[_.CompletionItemKind.EnumMember,16],[_.CompletionItemKind.Keyword,17],[_.CompletionItemKind.Snippet,27],[_.CompletionItemKind.Text,18],[_.CompletionItemKind.Color,19],[_.CompletionItemKind.File,20],[_.CompletionItemKind.Reference,21],[_.CompletionItemKind.Folder,23],[_.CompletionItemKind.Event,10],[_.CompletionItemKind.Operator,11],[_.CompletionItemKind.TypeParameter,24],[_.CompletionItemKind.Issue,26],[_.CompletionItemKind.User,25]]);function fe(Ne){return _e.get(Ne)??9}be.from=fe;const K=new Map([[0,_.CompletionItemKind.Method],[1,_.CompletionItemKind.Function],[2,_.CompletionItemKind.Constructor],[3,_.CompletionItemKind.Field],[4,_.CompletionItemKind.Variable],[5,_.CompletionItemKind.Class],[7,_.CompletionItemKind.Interface],[6,_.CompletionItemKind.Struct],[8,_.CompletionItemKind.Module],[9,_.CompletionItemKind.Property],[12,_.CompletionItemKind.Unit],[13,_.CompletionItemKind.Value],[14,_.CompletionItemKind.Constant],[15,_.CompletionItemKind.Enum],[16,_.CompletionItemKind.EnumMember],[17,_.CompletionItemKind.Keyword],[27,_.CompletionItemKind.Snippet],[18,_.CompletionItemKind.Text],[19,_.CompletionItemKind.Color],[20,_.CompletionItemKind.File],[21,_.CompletionItemKind.Reference],[23,_.CompletionItemKind.Folder],[10,_.CompletionItemKind.Event],[11,_.CompletionItemKind.Operator],[24,_.CompletionItemKind.TypeParameter],[25,_.CompletionItemKind.User],[26,_.CompletionItemKind.Issue]]);function Ie(Ne){return K.get(Ne)??_.CompletionItemKind.Property}be.to=Ie})(re=e.CompletionItemKind||(e.CompletionItemKind={}));var le;(function(be){function _e(fe,K){const Ie=new _.CompletionItem(fe.label);return Ie.insertText=fe.insertText,Ie.kind=re.to(fe.kind),Ie.tags=fe.tags?.map(Y.to),Ie.detail=fe.detail,Ie.documentation=I.isMarkdownString(fe.documentation)?b.to(fe.documentation):fe.documentation,Ie.sortText=fe.sortText,Ie.filterText=fe.filterText,Ie.preselect=fe.preselect,Ie.commitCharacters=fe.commitCharacters,L.Range.isIRange(fe.range)?Ie.range=n.to(fe.range):typeof fe.range=="object"&&(Ie.range={inserting:n.to(fe.range.insert),replacing:n.to(fe.range.replace)}),Ie.keepWhitespace=typeof fe.insertTextRules=="undefined"?!1:Boolean(fe.insertTextRules&1),typeof fe.insertTextRules!="undefined"&&fe.insertTextRules&4?Ie.insertText=new _.SnippetString(fe.insertText):(Ie.insertText=fe.insertText,Ie.textEdit=Ie.range instanceof _.Range?new _.TextEdit(Ie.range,Ie.insertText):void 0),fe.additionalTextEdits&&fe.additionalTextEdits.length>0&&(Ie.additionalTextEdits=fe.additionalTextEdits.map(Ne=>V.to(Ne))),Ie.command=K&&fe.command?K.fromInternal(fe.command):void 0,Ie}be.to=_e})(le=e.CompletionItem||(e.CompletionItem={}));var J;(function(be){function _e(K){return{label:K.label,documentation:K.documentation?b.fromStrict(K.documentation):void 0}}be.from=_e;function fe(K){return{label:K.label,documentation:I.isMarkdownString(K.documentation)?b.to(K.documentation):K.documentation}}be.to=fe})(J=e.ParameterInformation||(e.ParameterInformation={}));var oe;(function(be){function _e(K){return{label:K.label,documentation:K.documentation?b.fromStrict(K.documentation):void 0,parameters:Array.isArray(K.parameters)?K.parameters.map(J.from):[],activeParameter:K.activeParameter}}be.from=_e;function fe(K){return{label:K.label,documentation:I.isMarkdownString(K.documentation)?b.to(K.documentation):K.documentation,parameters:Array.isArray(K.parameters)?K.parameters.map(J.to):[],activeParameter:K.activeParameter}}be.to=fe})(oe=e.SignatureInformation||(e.SignatureInformation={}));var Se;(function(be){function _e(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(oe.from):[]}}be.from=_e;function fe(K){return{activeSignature:K.activeSignature,activeParameter:K.activeParameter,signatures:Array.isArray(K.signatures)?K.signatures.map(oe.to):[]}}be.to=fe})(Se=e.SignatureHelp||(e.SignatureHelp={}));var Me;(function(be){function _e(fe,K){const Ie=new _.InlayHint(typeof K.label=="string"?K.label:K.label.map(Ge.to.bind(void 0,fe)),a.to(K.position),Ke.to(K.kind));return Ie.tooltip=I.isMarkdownString(K.tooltip)?b.to(K.tooltip):K.tooltip,Ie.whitespaceAfter=K.whitespaceAfter,Ie.whitespaceBefore=K.whitespaceBefore,Ie}be.to=_e})(Me=e.InlayHint||(e.InlayHint={}));var Ge;(function(be){function _e(fe,K){const Ie=new _.InlayHintLabelPart(K.label);return Ie.collapsible=K.collapsible,D.Command.is(K.action)?Ie.action=fe.fromInternal(K.action):K.action&&(Ie.action=Q.to(K.action)),Ie}be.to=_e})(Ge=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var Ke;(function(be){function _e(K){return K}be.from=_e;function fe(K){return K}be.to=fe})(Ke=e.InlayHintKind||(e.InlayHintKind={}));var et;(function(be){function _e(K){return{range:n.from(K.range),url:K.target,tooltip:K.tooltip}}be.from=_e;function fe(K){let Ie;if(K.url)try{Ie=typeof K.url=="string"?A.URI.parse(K.url,!0):A.URI.revive(K.url)}catch{}return new _.DocumentLink(n.to(K.range),Ie)}be.to=fe})(et=e.DocumentLink||(e.DocumentLink={}));var nt;(function(be){function _e(K){const Ie=new _.ColorPresentation(K.label);return K.textEdit&&(Ie.textEdit=V.to(K.textEdit)),K.additionalTextEdits&&(Ie.additionalTextEdits=K.additionalTextEdits.map(Ne=>V.to(Ne))),Ie}be.to=_e;function fe(K){return{label:K.label,textEdit:K.textEdit?V.from(K.textEdit):void 0,additionalTextEdits:K.additionalTextEdits?K.additionalTextEdits.map(Ie=>V.from(Ie)):void 0}}be.from=fe})(nt=e.ColorPresentation||(e.ColorPresentation={}));var ct;(function(be){function _e(K){return new _.Color(K[0],K[1],K[2],K[3])}be.to=_e;function fe(K){return[K.red,K.green,K.blue,K.alpha]}be.from=fe})(ct=e.Color||(e.Color={}));var tt;(function(be){function _e(K){return{range:n.from(K.range)}}be.from=_e;function fe(K){return new _.SelectionRange(n.to(K.range))}be.to=fe})(tt=e.SelectionRange||(e.SelectionRange={}));var rt;(function(be){function _e(fe){switch(fe){case 2:return _.TextDocumentSaveReason.AfterDelay;case 1:return _.TextDocumentSaveReason.Manual;case 3:case 4:return _.TextDocumentSaveReason.FocusOut}}be.to=_e})(rt=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var dt;(function(be){function _e(K){switch(K){case _.TextEditorLineNumbersStyle.Off:return 0;case _.TextEditorLineNumbersStyle.Relative:return 2;case _.TextEditorLineNumbersStyle.On:default:return 1}}be.from=_e;function fe(K){switch(K){case 0:return _.TextEditorLineNumbersStyle.Off;case 2:return _.TextEditorLineNumbersStyle.Relative;case 1:default:return _.TextEditorLineNumbersStyle.On}}be.to=fe})(dt=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var pt;(function(be){function _e(K){if(K===_.EndOfLine.CRLF)return 1;if(K===_.EndOfLine.LF)return 0}be.from=_e;function fe(K){if(K===1)return _.EndOfLine.CRLF;if(K===0)return _.EndOfLine.LF}be.to=fe})(pt=e.EndOfLine||(e.EndOfLine={}));var xe;(function(be){function _e(fe){if(typeof fe=="object")return fe.viewId;switch(fe){case _.ProgressLocation.SourceControl:return 3;case _.ProgressLocation.Window:return 10;case _.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}be.from=_e})(xe=e.ProgressLocation||(e.ProgressLocation={}));var Tt;(function(be){function _e(fe){const K={start:fe.start+1,end:fe.end+1};return fe.kind&&(K.kind=ee.from(fe.kind)),K}be.from=_e})(Tt=e.FoldingRange||(e.FoldingRange={}));var ee;(function(be){function _e(fe){if(fe)switch(fe){case _.FoldingRangeKind.Comment:return D.FoldingRangeKind.Comment;case _.FoldingRangeKind.Imports:return D.FoldingRangeKind.Imports;case _.FoldingRangeKind.Region:return D.FoldingRangeKind.Region}}be.from=_e})(ee=e.FoldingRangeKind||(e.FoldingRangeKind={}));var ie;(function(be){function _e(fe){if(fe)return{pinned:typeof fe.preview=="boolean"?!fe.preview:void 0,inactive:fe.background,preserveFocus:fe.preserveFocus,selection:typeof fe.selection=="object"?n.from(fe.selection):void 0,override:typeof fe.override=="boolean"?c.EditorResolution.DISABLED:void 0}}be.from=_e})(ie=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Ee;(function(be){function _e(K){return K instanceof _.RelativePattern||typeof K=="string"?K:fe(K)?new _.RelativePattern(K.base,K.pattern):K}be.from=_e;function fe(K){const Ie=K;return Ie&&typeof Ie.base=="string"&&typeof Ie.pattern=="string"}})(Ee=e.GlobPattern||(e.GlobPattern={}));var ne;(function(be){function _e(fe){if(fe){if(Array.isArray(fe))return fe.map(_e);if(typeof fe=="string")return fe;{const K=fe;return{language:K.language,scheme:K.scheme,pattern:typeof K.pattern=="undefined"?void 0:Ee.from(K.pattern),exclusive:K.exclusive}}}else return}be.from=_e})(ne=e.LanguageSelector||(e.LanguageSelector={}));var Ce;(function(be){function _e(K){return{start:K.start,end:K.end}}be.from=_e;function fe(K){return new _.NotebookRange(K.start,K.end)}be.to=fe})(Ce=e.NotebookRange||(e.NotebookRange={}));var Fe;(function(be){function _e(K){return{timing:typeof K.runStartTime=="number"&&typeof K.runEndTime=="number"?{startTime:K.runStartTime,endTime:K.runEndTime}:void 0,executionOrder:K.executionOrder,success:K.lastRunSuccess}}be.to=_e;function fe(K){return{lastRunSuccess:K.success,runStartTime:K.timing?.startTime,runEndTime:K.timing?.endTime,executionOrder:K.executionOrder}}be.from=fe})(Fe=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var qe;(function(be){function _e(K){switch(K){case _.NotebookCellKind.Markup:return w.CellKind.Markup;case _.NotebookCellKind.Code:default:return w.CellKind.Code}}be.from=_e;function fe(K){switch(K){case w.CellKind.Markup:return _.NotebookCellKind.Markup;case w.CellKind.Code:default:return _.NotebookCellKind.Code}}be.to=fe})(qe=e.NotebookCellKind||(e.NotebookCellKind={}));var Ve;(function(be){function _e(K){const Ie={metadata:K.metadata??Object.create(null),cells:[]};for(let Ne of K.cells)_.NotebookCellData.validate(Ne),Ie.cells.push(lt.from(Ne));return Ie}be.from=_e;function fe(K){const Ie=new _.NotebookData(K.cells.map(lt.to));return(0,y.isEmptyObject)(K.metadata)||(Ie.metadata=K.metadata),Ie}be.to=fe})(Ve=e.NotebookData||(e.NotebookData={}));var lt;(function(be){function _e(K){return{cellKind:qe.from(K.kind),language:K.languageId,mime:K.mime,source:K.value,metadata:K.metadata,internalMetadata:Fe.from(K.executionSummary??{}),outputs:K.outputs?K.outputs.map(Ae.from):[]}}be.from=_e;function fe(K){return new _.NotebookCellData(qe.to(K.cellKind),K.source,K.language,K.mime,K.outputs?K.outputs.map(Ae.to):void 0,K.metadata,K.internalMetadata?Fe.to(K.internalMetadata):void 0)}be.to=fe})(lt=e.NotebookCellData||(e.NotebookCellData={}));var Re;(function(be){function _e(K){return{mime:K.mime,valueBytes:i.VSBuffer.wrap(K.data)}}be.from=_e;function fe(K){return new _.NotebookCellOutputItem(K.valueBytes.buffer,K.mime)}be.to=fe})(Re=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Ae;(function(be){function _e(K){return{outputId:K.id,items:K.items.map(Re.from),metadata:K.metadata}}be.from=_e;function fe(K){const Ie=K.items.map(Re.to);return new _.NotebookCellOutput(Ie,K.outputId,K.metadata)}be.to=fe})(Ae=e.NotebookCellOutput||(e.NotebookCellOutput={}));var De;(function(be){function _e(Ne){if(Ne!=null){if(Ne instanceof _.RelativePattern||typeof Ne=="string")return Ne;if(Ie(Ne))return new _.RelativePattern(Ne.base,Ne.pattern);if(K(Ne))return{include:Ee.from(Ne.include)||void 0,exclude:Ee.from(Ne.exclude)||void 0}}}be.from=_e;function fe(Ne){return typeof Ne=="string"?Ne:Ie(Ne)?{base:Ne.base,pattern:Ne.pattern}:{include:Ne.include,exclude:Ne.exclude}}be.to=fe;function K(Ne){const Ye=Ne,Xe=Ee.from(Ye.include);if(!(Xe&&Xe instanceof _.RelativePattern||typeof Xe=="string"))return!1;const gt=Ee.from(Ye.exclude);return!!(gt&&gt instanceof _.RelativePattern||typeof gt=="string")}function Ie(Ne){const Ye=Ne;return Ye&&typeof Ye.base=="string"&&typeof Ye.pattern=="string"}})(De=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var ce;(function(be){function _e(fe){return{backgroundColor:fe.backgroundColor,borderColor:fe.borderColor,top:fe.top?O.from(fe.top):void 0}}be.from=_e})(ce=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var de;(function(be){function _e(fe,K,Ie){const Ne=typeof fe.command=="string"?{title:"",command:fe.command}:fe.command;return{alignment:fe.alignment===_.NotebookCellStatusBarAlignment.Left?1:2,command:K.toInternal(Ne,Ie),text:fe.text,tooltip:fe.tooltip,accessibilityInformation:fe.accessibilityInformation,priority:fe.priority}}be.from=_e})(de=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var we;(function(be){function _e(fe){return{transientOutputs:fe?.transientOutputs??!1,transientCellMetadata:fe?.transientCellMetadata??{},transientDocumentMetadata:fe?.transientDocumentMetadata??{}}}be.from=_e})(we=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var ye;(function(be){function _e(K){return{uri:K.uri,provides:K.provides}}be.from=_e;function fe(K){return new _.NotebookRendererScript(A.URI.revive(K.uri),K.provides)}be.to=fe})(ye=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Oe;(function(be){function _e(K){return{message:b.fromStrict(K.message)||"",type:0,expected:K.expectedOutput,actual:K.actualOutput,location:K.location?Q.from(K.location):void 0}}be.from=_e;function fe(K){const Ie=new _.TestMessage(typeof K.message=="string"?K.message:b.to(K.message));return Ie.actualOutput=K.actual,Ie.expectedOutput=K.expected,Ie.location=K.location?Q.to(K.location):void 0,Ie}be.to=fe})(Oe=e.TestMessage||(e.TestMessage={}));var Qe;(function(be){let _e;(function(fe){fe.Delimiter="\0"})(_e||(_e={})),be.namespace=(fe,K)=>fe+"\0"+K,be.denamespace=fe=>{const K=fe.indexOf("\0");return{ctrlId:fe.slice(0,K),tagId:fe.slice(K+1)}}})(Qe=e.TestTag||(e.TestTag={}));var $e;(function(be){function _e(Ne){const Ye=(0,g.getPrivateApiFor)(Ne).controllerId;return{extId:v.TestId.fromExtHostTestItem(Ne,Ye).toString(),label:Ne.label,uri:Ne.uri,tags:Ne.tags.map(Xe=>Qe.namespace(Ye,Xe.id)),range:n.from(Ne.range)||null,description:Ne.description||null,error:Ne.error&&b.fromStrict(Ne.error)||null}}be.from=_e;function fe(Ne){return{parent:void 0,error:void 0,id:v.TestId.fromString(Ne.extId).localId,label:Ne.label,uri:A.URI.revive(Ne.uri),tags:(Ne.tags||[]).map(Ye=>{const{tagId:Xe}=Qe.denamespace(Ye);return new _.TestTag(Xe)}),range:n.to(Ne.range||void 0),invalidateResults:()=>{},canResolveChildren:!1,busy:!1,description:Ne.description||void 0}}be.toPlain=fe;function K(Ne){const Ye=v.TestId.fromString(Ne.extId),Xe=new g.TestItemImpl(Ye.controllerId,Ye.localId,Ne.label,A.URI.revive(Ne.uri));return Xe.range=n.to(Ne.range||void 0),Xe.description=Ne.description||void 0,Xe}function Ie(Ne){let Ye;for(const Xe of Ne.tests){const gt=K(Xe.item);(0,g.getPrivateApiFor)(gt).parent=Ye,Ye=gt}return Ye}be.toItemFromContext=Ie})($e=e.TestItem||(e.TestItem={})),function(be){function _e(K){return{id:K.id}}be.from=_e;function fe(K){return new _.TestTag(K.id)}be.to=fe}(Qe=e.TestTag||(e.TestTag={}));var Je;(function(be){const _e=(K,Ie)=>{const Ne={...$e.toPlain(K.item),parent:void 0,taskStates:K.tasks.map(Ye=>({state:Ye.state,duration:Ye.duration,messages:Ye.messages.filter(Xe=>Xe.type===0).map(Oe.to)})),children:K.children.map(Ye=>Ie.get(Ye)).filter(y.isDefined).map(Ye=>_e(Ye,Ie))};for(const Ye of Ne.children)Ye.parent=Ne;return Ne};function fe(K){const Ie=[],Ne=new Map;for(const Ye of K.items)Ne.set(Ye.item.extId,Ye),K.request.targets.some(Xe=>Xe.controllerId===Ye.controllerId&&Xe.testIds.includes(Ye.item.extId))&&Ie.push(Ye);return{completedAt:K.completedAt,results:Ie.map(Ye=>_e(Ye,Ne))}}be.to=fe})(Je=e.TestResults||(e.TestResults={}));var ot;(function(be){function _e(Ne){return{covered:Ne.covered,total:Ne.covered}}function fe(Ne){return"line"in Ne?a.from(Ne):n.from(Ne)}function K(Ne){return"branches"in Ne?{count:Ne.executionCount,location:fe(Ne.location),type:1,branches:Ne.branches.length?Ne.branches.map(Ye=>({count:Ye.executionCount,location:Ye.location&&fe(Ye.location)})):void 0}:{type:0,count:Ne.executionCount,location:fe(Ne.location)}}be.fromDetailed=K;function Ie(Ne){return{uri:Ne.uri,statement:_e(Ne.statementCoverage),branch:Ne.branchCoverage&&_e(Ne.branchCoverage),function:Ne.functionCoverage&&_e(Ne.functionCoverage),details:Ne.detailedCoverage?.map(K)}}be.fromFile=Ie})(ot=e.TestCoverage||(e.TestCoverage={}));var at;(function(be){function _e(fe){switch(fe){case 1:return _.CodeActionTriggerKind.Invoke;case 2:return _.CodeActionTriggerKind.Automatic}}be.to=_e})(at=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var He;(function(be){function _e(K){const Ie=new _.TypeHierarchyItem(N.to(K.kind),K.name,K.detail||"",A.URI.revive(K.uri),n.to(K.range),n.to(K.selectionRange));return Ie._sessionId=K._sessionId,Ie._itemId=K._itemId,Ie}be.to=_e;function fe(K,Ie,Ne){if(Ie=Ie??K._sessionId,Ne=Ne??K._itemId,Ie===void 0||Ne===void 0)throw new Error("invalid item");return{_sessionId:Ie,_itemId:Ne,kind:N.from(K.kind),name:K.name,detail:K.detail??"",uri:K.uri,range:n.from(K.range),selectionRange:n.from(K.selectionRange),tags:K.tags?.map(x.from)}}be.from=fe})(He=e.TypeHierarchyItem||(e.TypeHierarchyItem={}))}),define(pe[217],ve([0,1,2,15,7,17,94]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(A,L,D,c={timeout:1500,errors:3}){this._logService=A,this._documents=L,this._mainThreadBulkEdits=D,this._thresholds=c,this._callbacks=new T.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(A){return(L,D,c)=>{const g={dispose:this._callbacks.push([L,D,A])};return Array.isArray(c)&&c.push(g),g}}async $participateInSave(A,L){const D=f.URI.revive(A);let c=!1;const E=setTimeout(()=>c=!0,this._thresholds.timeout),g=[];try{for(let w of[...this._callbacks]){if(c)break;const v=this._documents.getDocument(D),R=await this._deliverEventAsyncAndBlameBadListeners(w,{document:v,reason:C.TextDocumentSaveReason.to(L)});g.push(R)}}finally{clearTimeout(E)}return g}_deliverEventAsyncAndBlameBadListeners([A,L,D],c){const E=this._badListeners.get(A);return typeof E=="number"&&E>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(D,A,L,c).then(()=>!0,g=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${D.identifier.value}' threw ERROR`),this._logService.error(g),!(g instanceof Error)||g.message!=="concurrent_edits"){const w=this._badListeners.get(A);this._badListeners.set(A,w?w+1:1),typeof w=="number"&&w>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${D.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(A,L,D,c){const E=[],g=Date.now(),{document:w,reason:v}=c,{version:R}=w,_=Object.freeze({document:w,reason:v,waitUntil(s){if(Object.isFrozen(E))throw(0,i.illegalState)("waitUntil can not be called async");E.push(Promise.resolve(s))}});try{L.apply(D,[_])}catch(s){return Promise.reject(s)}return Object.freeze(E),new Promise((s,n)=>{const m=setTimeout(()=>n(new Error("timeout")),this._thresholds.timeout);return Promise.all(E).then(a=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${A.identifier.value}' finished after ${Date.now()-g}ms`),clearTimeout(m),s(a)}).catch(a=>{clearTimeout(m),n(a)})}).then(s=>{const n={edits:[]};for(const m of s)if(Array.isArray(m)&&m.every(a=>a instanceof I.TextEdit))for(const{newText:a,newEol:S,range:r}of m)n.edits.push({_type:2,resource:w.uri,edit:{range:r&&C.Range.from(r),text:a,eol:S&&C.EndOfLine.from(S)}});if(n.edits.length!==0)return R===w.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(n):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(pe[218],ve([0,1,3,32,2,17,7]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class P{constructor(L,D,c,E,g){this._onDidCreate=new f.Emitter,this._onDidChange=new f.Emitter,this._onDidDelete=new f.Emitter,this._config=0,c&&(this._config+=1),E&&(this._config+=2),g&&(this._config+=4);const w=(0,i.parse)(D),v=L(R=>{if(!c)for(let _ of R.created){const s=I.URI.revive(_);w(s.fsPath)&&this._onDidCreate.fire(s)}if(!E)for(let _ of R.changed){const s=I.URI.revive(_);w(s.fsPath)&&this._onDidChange.fire(s)}if(!g)for(let _ of R.deleted){const s=I.URI.revive(_);w(s.fsPath)&&this._onDidDelete.fire(s)}});this._disposable=T.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,v)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class y{constructor(L,D,c){this._logService=D,this._extHostDocumentsAndEditors=c,this._onFileSystemEvent=new f.Emitter,this._onDidRenameFile=new f.Emitter,this._onDidCreateFile=new f.Emitter,this._onDidDeleteFile=new f.Emitter,this._onWillRenameFile=new f.AsyncEmitter,this._onWillCreateFile=new f.AsyncEmitter,this._onWillDeleteFile=new f.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(L,D,c,E){return new P(this._onFileSystemEvent.event,L,D,c,E)}$onFileEvent(L){this._onFileSystemEvent.fire(L)}$onDidRunFileOperation(L,D){switch(L){case 2:this._onDidRenameFile.fire(Object.freeze({files:D.map(c=>({oldUri:I.URI.revive(c.source),newUri:I.URI.revive(c.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:D.map(c=>I.URI.revive(c.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:D.map(c=>I.URI.revive(c.target))}));break;default:}}getOnWillRenameFileEvent(L){return this._createWillExecuteEvent(L,this._onWillRenameFile)}getOnWillCreateFileEvent(L){return this._createWillExecuteEvent(L,this._onWillCreateFile)}getOnWillDeleteFileEvent(L){return this._createWillExecuteEvent(L,this._onWillDeleteFile)}_createWillExecuteEvent(L,D){return(c,E,g)=>{const w=function(R){c.call(E,R)};return w.extension=L,D.event(w,void 0,g)}}async $onWillRunFileOperation(L,D,c,E){switch(L){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:D.map(g=>({oldUri:I.URI.revive(g.source),newUri:I.URI.revive(g.target)}))},c,E);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:D.map(g=>I.URI.revive(g.target))},c,E);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:D.map(g=>I.URI.revive(g.target))},c,E)}}async _fireWillEvent(L,D,c,E){const g=new Set,w=[];if(await L.fireAsync(D,E,async(R,_)=>{const s=Date.now(),n=await Promise.resolve(R);n instanceof T.WorkspaceEdit&&(w.push(n),g.add(_.extension.displayName??_.extension.identifier.value)),Date.now()-s>c&&this._logService.warn("SLOW file-participant",_.extension.identifier)}),E.isCancellationRequested||w.length===0)return;const v={edits:[]};for(let R of w){let{edits:_}=C.WorkspaceEdit.from(R,this._extHostDocumentsAndEditors);v.edits=v.edits.concat(_)}return{edit:v,extensionNames:Array.from(g)}}}e.ExtHostFileSystemEventService=y}),define(pe[219],ve([0,1,10,25,2,17,126]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class P{constructor(D,c,E,g){this.start=D,this.deletedCount=c,this.deletedItems=E,this.items=g}static asApiEvents(D){return D.map(c=>({start:c.start,deletedCount:c.deletedCount,deletedItems:c.deletedItems,items:c.items.map(E=>E.apiCell)}))}}class y{constructor(D,c,E){this.notebook=D,this._extHostDocument=c,this._cellData=E,this.handle=E.handle,this.uri=I.URI.revive(E.uri),this.cellKind=E.cellKind,this._outputs=E.outputs.map(C.NotebookCellOutput.to),this._internalMetadata=E.internalMetadata??{},this._metadata=Object.freeze(E.metadata??{}),this._previousResult=Object.freeze(C.NotebookCellExecutionSummary.to(E.internalMetadata??{}))}static asModelAddData(D,c){return{EOL:c.eol,lines:c.source,languageId:c.language,uri:c.uri,isDirty:!1,versionId:1,notebook:D}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const D=this,c=this._extHostDocument.getDocument(this.uri);if(!c)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return D.notebook.getCellIndex(D)},notebook:D.notebook.apiNotebook,kind:C.NotebookCellKind.to(this._cellData.cellKind),document:c.document,get mime(){return D._mime},set mime(E){D._mime=E},get outputs(){return D._outputs.slice(0)},get metadata(){return D._metadata},get executionSummary(){return D._previousResult}})}return this._apiCell}setOutputs(D){this._outputs=D.map(C.NotebookCellOutput.to)}setOutputItems(D,c,E){const g=E.map(C.NotebookCellOutputItem.to),w=this._outputs.find(v=>v.id===D);w&&(c||(w.items.length=0),w.items.push(...g))}setMetadata(D){this._metadata=Object.freeze(D)}setInternalMetadata(D){this._internalMetadata=D,this._previousResult=Object.freeze(C.NotebookCellExecutionSummary.to(D))}setMime(D){}}e.ExtHostCell=y;class A{constructor(D,c,E,g,w,v){this._proxy=D,this._textDocumentsAndEditors=c,this._textDocuments=E,this._emitter=g,this.uri=w,this.handle=A._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=v.viewType,this._metadata=Object.freeze(v.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,v.cells]],!0),this._versionId=v.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const D=this;this._notebook={get uri(){return D.uri},get version(){return D._versionId},get notebookType(){return D._notebookType},get isDirty(){return D._isDirty},get isUntitled(){return D.uri.scheme===f.Schemas.untitled},get isClosed(){return D._disposed},get metadata(){return D._metadata},get cellCount(){return D._cells.length},cellAt(c){return c=D._validateIndex(c),D._cells[c].apiCell},getCells(c){return(c?D._getCells(c):D._cells).map(g=>g.apiCell)},save(){return D._save()}}}return this._notebook}updateBackup(D){this._backup?.delete(),this._backup=D}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(D){D.metadata&&(this._metadata=Object.freeze({...this._metadata,...D.metadata}))}acceptDirty(D){this._isDirty=D}acceptModelChanged(D,c){this._versionId=D.versionId,this._isDirty=c;for(const E of D.rawEvents)E.kind===T.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(E.changes,!1):E.kind===T.NotebookCellsChangeType.Move?this._moveCell(E.index,E.newIdx):E.kind===T.NotebookCellsChangeType.Output?this._setCellOutputs(E.index,E.outputs):E.kind===T.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(E.index,E.outputId,E.append,E.outputItems):E.kind===T.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(E.index,E.language):E.kind===T.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(E.index,E.mime):E.kind===T.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(E.index,E.metadata):E.kind===T.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(E.index,E.internalMetadata)}_validateIndex(D){return D=D|0,D<0?0:D>=this._cells.length?this._cells.length-1:D}_validateRange(D){let c=D.start|0,E=D.end|0;return c<0&&(c=0),E>this._cells.length&&(E=this._cells.length),D.with({start:c,end:E})}_getCells(D){D=this._validateRange(D);const c=[];for(let E=D.start;E<D.end;E++)c.push(this._cells[E]);return c}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(D,c){if(this._disposed)return;const E=[],g=[],w=[];D.reverse().forEach(v=>{const _=v[2].map(m=>{const a=new y(this,this._textDocumentsAndEditors,m);return c||g.push(y.asModelAddData(this.apiNotebook,m)),a}),s=new P(v[0],v[1],[],_),n=this._cells.splice(v[0],v[1],..._);for(const m of n)w.push(m.uri),s.deletedItems.push(m.apiCell);E.push(s)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:g,removedDocuments:w}),c||this._emitter.emitModelChange((0,i.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(E)}))}_moveCell(D,c){const E=this._cells.splice(D,1);this._cells.splice(c,0,...E);const g=[new P(D,1,E.map(w=>w.apiCell),[]),new P(c,0,[],E)];this._emitter.emitModelChange((0,i.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(g)}))}_setCellOutputs(D,c){const E=this._cells[D];E.setOutputs(c),this._emitter.emitCellOutputsChange((0,i.deepFreeze)({document:this.apiNotebook,cells:[E.apiCell]}))}_setCellOutputItems(D,c,E,g){const w=this._cells[D];w.setOutputItems(c,E,g),this._emitter.emitCellOutputsChange((0,i.deepFreeze)({document:this.apiNotebook,cells:[w.apiCell]}))}_changeCellLanguage(D,c){const E=this._cells[D];E.apiCell.document.languageId!==c&&this._textDocuments.$acceptModelLanguageChanged(E.uri,c)}_changeCellMime(D,c){const E=this._cells[D];E.apiCell.mime=c}_changeCellMetadata(D,c){const E=this._cells[D],g=E.apiCell.metadata;E.setMetadata(c);const w=E.apiCell.metadata;(0,i.equals)(g,w)||this._emitter.emitCellMetadataChange((0,i.deepFreeze)({document:this.apiNotebook,cell:E.apiCell}))}_changeCellInternalMetadata(D,c){this._cells[D].setInternalMetadata(c)}getCellFromApiCell(D){return this._cells.find(c=>c.apiCell===D)}getCellFromIndex(D){return this._cells[D]}getCell(D){return this._cells.find(c=>c.handle===D)}getCellIndex(D){return this._cells.indexOf(D)}}e.ExtHostNotebookDocument=A,A._handlePool=0}),define(pe[129],ve([0,1,7,17,15]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class C{constructor(y){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=y}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(y){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:y})}replaceCellMetadata(y,A){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:y,metadata:A})}replaceCells(y,A,L){this._throwIfFinalized(),!(y===A&&L.length===0)&&this._collectedEdits.push({editType:1,index:y,count:A-y,cells:L.map(i.NotebookCellData.from)})}}class T{constructor(y,A,L,D,c,E){this.id=y,this._proxy=A,this.notebookData=L,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=c,this._visibleRanges=D,this._viewColumn=E}get apiEditor(){if(!this._editor){const y=this;this._editor={get document(){return y.notebookData.apiNotebook},get selections(){return y._selections},set selections(A){if(!Array.isArray(A)||!A.every(f.NotebookRange.isNotebookRange))throw(0,I.illegalArgument)("selections");y._selections=A,y._trySetSelections(A)},get visibleRanges(){return y._visibleRanges},revealRange(A,L){y._proxy.$tryRevealRange(y.id,i.NotebookRange.from(A),L??f.NotebookEditorRevealType.Default)},get viewColumn(){return y._viewColumn},edit(A){const L=new C(this.document.version);return A(L),y._applyEdit(L.finalize())},setDecorations(A,L){return y.setDecorations(A,L)}},T.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(y){this._visible=y}_acceptVisibleRanges(y){this._visibleRanges=y}_acceptSelections(y){this._selections=y}_trySetSelections(y){this._proxy.$trySetSelections(this.id,y.map(i.NotebookRange.from))}_acceptViewColumn(y){this._viewColumn=y}_applyEdit(y){if(y.cellEdits.length===0)return Promise.resolve(!0);const A=[];let L=-1;for(let D=0;D<y.cellEdits.length;D++){if(L<0){A.push(y.cellEdits[D]),L++;continue}const E=A[L],g=y.cellEdits[D];if(E.editType===1&&g.editType===1&&E.index===g.index){E.cells.push(...y.cellEdits[D].cells),E.count+=y.cellEdits[D].count;continue}A.push(y.cellEdits[D]),L++}return this._proxy.$tryApplyEdits(this.id,y.documentVersionId,A)}setDecorations(y,A){if(!(A.isEmpty&&!this._hasDecorationsForKey.has(y.key)))return A.isEmpty?this._hasDecorationsForKey.delete(y.key):this._hasDecorationsForKey.add(y.key),this._proxy.$trySetDecorations(this.id,i.NotebookRange.from(A),y.key)}}e.ExtHostNotebookEditor=T,T.apiEditorsToExtHost=new WeakMap}),define(pe[220],ve([0,1,17,118,165,21,57,15]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class y{constructor(c){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=c}async withProgress(c,E,g){const w=this._handles++,{title:v,location:R,cancellable:_}=E,s={label:(0,I.localize)(0,null,c.displayName||c.name),id:c.identifier.value};return this._proxy.$startProgress(w,{location:f.ProgressLocation.from(R),title:v,source:s,cancellable:_},c.isUnderDevelopment?void 0:c.identifier.value).catch(P.onUnexpectedExternalError),this._withProgress(w,g,!!_)}_withProgress(c,E,g){let w;g&&(w=new C.CancellationTokenSource,this._mapHandleToCancellationSource.set(c,w));const v=_=>{this._proxy.$progressEnd(_),this._mapHandleToCancellationSource.delete(_),w&&w.dispose()};let R;try{R=E(new L(this._proxy,c),g&&w?w.token:C.CancellationToken.None)}catch(_){throw v(c),_}return R.then(_=>v(c),_=>v(c)),R}$acceptProgressCanceled(c){const E=this._mapHandleToCancellationSource.get(c);E&&(E.cancel(),this._mapHandleToCancellationSource.delete(c))}}e.ExtHostProgress=y;function A(D,c){return D.message=c.message,typeof c.increment=="number"&&(typeof D.increment=="number"?D.increment+=c.increment:D.increment=c.increment),D}class L extends i.Progress{constructor(c,E){super(g=>this.throttledReport(g));this._proxy=c,this._handle=E}throttledReport(c){this._proxy.$progressReport(this._handle,c)}}je([(0,T.throttle)(100,(D,c)=>A(D,c),()=>Object.create(null))],L.prototype,"throttledReport",null)}),define(pe[130],ve([0,1,56,15,77,17,7]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(c,E,g){const w=P._Keys.nextId();c.$registerTextEditorDecorationType(E.identifier,w,C.DecorationRenderOptions.from(g)),this.value=Object.freeze({key:w,dispose(){c.$removeTextEditorDecorationType(w)}})}}e.TextEditorDecorationType=P,P._Keys=new I.IdGenerator("TextEditorDecorationType");class y{constructor(c,E){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=c,this._documentVersionId=c.version,this._undoStopBefore=E.undoStopBefore,this._undoStopAfter=E.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(c,E){this._throwIfFinalized();let g=null;if(c instanceof T.Position)g=new T.Range(c,c);else if(c instanceof T.Range)g=c;else throw new Error("Unrecognized location");this._pushEdit(g,E,!1)}insert(c,E){this._throwIfFinalized(),this._pushEdit(new T.Range(c,c),E,!0)}delete(c){this._throwIfFinalized();let E=null;if(c instanceof T.Range)E=c;else throw new Error("Unrecognized location");this._pushEdit(E,null,!0)}_pushEdit(c,E,g){const w=this._document.validateRange(c);this._collectedEdits.push({range:w,text:E,forceMoveMarkers:g})}setEndOfLine(c){if(this._throwIfFinalized(),c!==T.EndOfLine.LF&&c!==T.EndOfLine.CRLF)throw(0,i.illegalArgument)("endOfLine");this._setEndOfLine=c}}e.TextEditorEdit=y;class A{constructor(c,E,g,w){this._proxy=c,this._id=E,this._accept(g),this._logService=w;const v=this;this.value={get tabSize(){return v._tabSize},set tabSize(R){v._setTabSize(R)},get insertSpaces(){return v._insertSpaces},set insertSpaces(R){v._setInsertSpaces(R)},get cursorStyle(){return v._cursorStyle},set cursorStyle(R){v._setCursorStyle(R)},get lineNumbers(){return v._lineNumbers},set lineNumbers(R){v._setLineNumbers(R)}}}_accept(c){this._tabSize=c.tabSize,this._insertSpaces=c.insertSpaces,this._cursorStyle=c.cursorStyle,this._lineNumbers=C.TextEditorLineNumbersStyle.to(c.lineNumbers)}_validateTabSize(c){if(c==="auto")return"auto";if(typeof c=="number"){const E=Math.floor(c);return E>0?E:null}if(typeof c=="string"){const E=parseInt(c,10);return isNaN(E)?null:E>0?E:null}return null}_setTabSize(c){const E=this._validateTabSize(c);if(E!==null){if(typeof E=="number"){if(this._tabSize===E)return;this._tabSize=E}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:E}))}}_validateInsertSpaces(c){return c==="auto"?"auto":c==="false"?!1:Boolean(c)}_setInsertSpaces(c){const E=this._validateInsertSpaces(c);if(typeof E=="boolean"){if(this._insertSpaces===E)return;this._insertSpaces=E}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:E}))}_setCursorStyle(c){this._cursorStyle!==c&&(this._cursorStyle=c,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:c})))}_setLineNumbers(c){this._lineNumbers!==c&&(this._lineNumbers=c,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:C.TextEditorLineNumbersStyle.from(c)})))}assign(c){const E={};let g=!1;if(typeof c.tabSize!="undefined"){const w=this._validateTabSize(c.tabSize);w==="auto"?(g=!0,E.tabSize=w):typeof w=="number"&&this._tabSize!==w&&(this._tabSize=w,g=!0,E.tabSize=w)}if(typeof c.insertSpaces!="undefined"){const w=this._validateInsertSpaces(c.insertSpaces);w==="auto"?(g=!0,E.insertSpaces=w):this._insertSpaces!==w&&(this._insertSpaces=w,g=!0,E.insertSpaces=w)}typeof c.cursorStyle!="undefined"&&this._cursorStyle!==c.cursorStyle&&(this._cursorStyle=c.cursorStyle,g=!0,E.cursorStyle=c.cursorStyle),typeof c.lineNumbers!="undefined"&&this._lineNumbers!==c.lineNumbers&&(this._lineNumbers=c.lineNumbers,g=!0,E.lineNumbers=C.TextEditorLineNumbersStyle.from(c.lineNumbers)),g&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,E))}_warnOnError(c,E){E.catch(g=>{this._logService.warn(`ExtHostTextEditorOptions '${c}' failed:'`),this._logService.warn(g)})}}e.ExtHostTextEditorOptions=A;class L{constructor(c,E,g,w,v,R,_,s){this.id=c,this._proxy=E,this._logService=g,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=v,this._options=new A(this._proxy,this.id,R,g),this._visibleRanges=_,this._viewColumn=s;const n=this;this.value=Object.freeze({get document(){return w.getValue()},set document(m){throw(0,i.readonly)("document")},get selection(){return n._selections&&n._selections[0]},set selection(m){if(!(m instanceof T.Selection))throw(0,i.illegalArgument)("selection");n._selections=[m],n._trySetSelection()},get selections(){return n._selections},set selections(m){if(!Array.isArray(m)||m.some(a=>!(a instanceof T.Selection)))throw(0,i.illegalArgument)("selections");n._selections=m,n._trySetSelection()},get visibleRanges(){return n._visibleRanges},set visibleRanges(m){throw(0,i.readonly)("visibleRanges")},get options(){return n._options.value},set options(m){n._disposed||n._options.assign(m)},get viewColumn(){return n._viewColumn},set viewColumn(m){throw(0,i.readonly)("viewColumn")},edit(m,a={undoStopBefore:!0,undoStopAfter:!0}){if(n._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const S=new y(w.getValue(),a);return m(S),n._applyEdit(S)},insertSnippet(m,a,S={undoStopBefore:!0,undoStopAfter:!0}){if(n._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let r;if(!a||Array.isArray(a)&&a.length===0)r=n._selections.map(t=>C.Range.from(t));else if(a instanceof T.Position){const{lineNumber:t,column:o}=C.Position.from(a);r=[{startLineNumber:t,startColumn:o,endLineNumber:t,endColumn:o}]}else if(a instanceof T.Range)r=[C.Range.from(a)];else{r=[];for(const t of a)if(t instanceof T.Range)r.push(C.Range.from(t));else{const{lineNumber:o,column:d}=C.Position.from(t);r.push({startLineNumber:o,startColumn:d,endLineNumber:o,endColumn:d})}}return E.$tryInsertSnippet(c,m.value,r,S)},setDecorations(m,a){const S=a.length===0;S&&!n._hasDecorationsForKey.has(m.key)||(S?n._hasDecorationsForKey.delete(m.key):n._hasDecorationsForKey.add(m.key),n._runOnProxy(()=>{if(C.isDecorationOptionsArr(a))return E.$trySetDecorations(c,m.key,C.fromRangeOrRangeWithMessage(a));{const r=new Array(4*a.length);for(let t=0,o=a.length;t<o;t++){const d=a[t];r[4*t]=d.start.line+1,r[4*t+1]=d.start.character+1,r[4*t+2]=d.end.line+1,r[4*t+3]=d.end.character+1}return E.$trySetDecorationsFast(c,m.key,r)}}))},revealRange(m,a){n._runOnProxy(()=>E.$tryRevealRange(c,C.Range.from(m),a||T.TextEditorRevealType.Default))},show(m){E.$tryShowEditor(c,C.ViewColumn.from(m))},hide(){E.$tryHideEditor(c)}})}dispose(){(0,f.ok)(!this._disposed),this._disposed=!0}_acceptOptions(c){(0,f.ok)(!this._disposed),this._options._accept(c)}_acceptVisibleRanges(c){(0,f.ok)(!this._disposed),this._visibleRanges=c}_acceptViewColumn(c){(0,f.ok)(!this._disposed),this._viewColumn=c}_acceptSelections(c){(0,f.ok)(!this._disposed),this._selections=c}async _trySetSelection(){const c=this._selections.map(C.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,c)),this.value}_applyEdit(c){const E=c.finalize();if(E.edits.length===0&&!E.setEndOfLine)return Promise.resolve(!0);const g=E.edits.map(v=>v.range);g.sort((v,R)=>v.end.line===R.end.line?v.end.character===R.end.character?v.start.line===R.start.line?v.start.character-R.start.character:v.start.line-R.start.line:v.end.character-R.end.character:v.end.line-R.end.line);for(let v=0,R=g.length-1;v<R;v++){const _=g[v].end;if(g[v+1].start.isBefore(_))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const w=E.edits.map(v=>({range:C.Range.from(v.range),text:v.text,forceMoveMarkers:v.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,E.documentVersionId,w,{setEndOfLine:typeof E.setEndOfLine=="number"?C.EndOfLine.from(E.setEndOfLine):void 0,undoStopBefore:E.undoStopBefore,undoStopAfter:E.undoStopAfter})}_runOnProxy(c){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):c().then(()=>this,E=>(E instanceof Error&&E.name==="DISPOSED"||this._logService.warn(E),null))}}e.ExtHostTextEditor=L}),define(pe[221],ve([0,1,18,3,6,13,64,17,127,89]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=void 0;class L extends I.Disposable{constructor(c){super();this.controllerId=c,this.debounceSendDiff=this._register(new f.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new i.Emitter),this.root=new T.TestItemRootImpl(this.controllerId,this.controllerId),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}set resolveHandler(c){this._resolveHandler=c;for(const E of this.tree.values())this.updateExpandability(E)}collectDiff(){const c=this.diff;return this.diff=[],c}pushDiff(c){const E=this.diff[this.diff.length-1];if(E&&c[0]===1){if(E[0]===1&&E[1].extId===c[1].extId){(0,y.applyTestItemUpdate)(E[1],c[1]);return}if(E[0]===0&&E[1].item.extId===c[1].extId){(0,y.applyTestItemUpdate)(E[1],c[1]);return}}this.diff.push(c),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(c,E){const g=this.tree.get(c);if(!!g){if((g.expandLevels===void 0||E>g.expandLevels)&&(g.expandLevels=E),g.expand===1){const w=this.resolveChildren(g);return w.isOpen()?this.expandChildren(g,E-1):w.wait().then(()=>this.expandChildren(g,E-1))}else if(g.expand===3)return g.resolveBarrier?.isOpen()===!1?g.resolveBarrier.wait().then(()=>this.expandChildren(g,E-1)):this.expandChildren(g,E-1)}}dispose(){for(const c of this.tree.values())(0,T.getPrivateApiFor)(c.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(c,E){switch(E.op){case 2:this.pushDiff([4,c.fullId.toString()]);break;case 1:this.removeItem(A.TestId.joinToString(c.fullId,E.id));break;case 0:this.upsertItem(E.item,c);break;case 4:for(const g of E.ops)this.onTestItemEvent(c,g);break;case 3:{const{key:g,value:w,previous:v}=E,R=c.fullId.toString();switch(g){case"canResolveChildren":this.updateExpandability(c);break;case"tags":this.diffTagRefs(w,v,R);break;case"range":this.pushDiff([1,{extId:R,item:{range:P.Range.from(w)}}]);break;case"error":this.pushDiff([1,{extId:R,item:{error:P.MarkdownString.fromStrict(w)||null}}]);break;default:this.pushDiff([1,{extId:R,item:{[g]:w??null}}]);break}break}default:(0,C.assertNever)(E)}}upsertItem(c,E){if(!(c instanceof T.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${c.id} did not`);const g=A.TestId.fromExtHostTestItem(c,this.root.id,E?.actual),w=(0,T.getPrivateApiFor)(c);w.parent&&w.parent!==E?.actual&&w.parent.children.delete(c.id);let v=this.tree.get(g.toString());if(!v){v={fullId:g,actual:c,parent:E?g.parentId:null,expandLevels:E?.expandLevels?E.expandLevels-1:void 0,expand:0},c.tags.forEach(this.incrementTagRefs,this),this.tree.set(v.fullId.toString(),v),this.setItemParent(c,E),this.pushDiff([0,{parent:v.parent&&v.parent.toString(),controllerId:this.controllerId,expand:v.expand,item:P.TestItem.from(c)}]),this.connectItemAndChildren(c,v,E);return}if(v.actual===c){this.connectItem(c,v,E);return}const R=v.actual.children,_=v.actual,s=(0,T.diffTestItems)(_,c);(0,T.getPrivateApiFor)(_).listener=void 0,v.actual=c,v.expand=0;for(const[n,m]of s)this.onTestItemEvent(v,{op:3,key:n,value:m,previous:_[n]});this.connectItemAndChildren(c,v,E);for(const n of R)c.children.get(n.id)||this.removeItem(A.TestId.joinToString(g,n.id))}diffTagRefs(c,E,g){const w=new Set(E.map(v=>v.id));for(const v of c)w.delete(v.id)||this.incrementTagRefs(v);this.pushDiff([1,{extId:g,item:{tags:c.map(v=>P.TestTag.namespace(this.controllerId,v.id))}}]),w.forEach(this.decrementTagRefs,this)}incrementTagRefs(c){const E=this.tags.get(c.id);E?E.refCount++:(this.tags.set(c.id,{refCount:1}),this.pushDiff([5,{id:P.TestTag.namespace(this.controllerId,c.id),ctrlLabel:this.root.label}]))}decrementTagRefs(c){const E=this.tags.get(c);E&&!--E.refCount&&(this.tags.delete(c),this.pushDiff([6,P.TestTag.namespace(this.controllerId,c)]))}setItemParent(c,E){(0,T.getPrivateApiFor)(c).parent=E&&E.actual!==this.root?E.actual:void 0}connectItem(c,E,g){this.setItemParent(c,g);const w=(0,T.getPrivateApiFor)(c);w.parent=g?.actual,w.listener=v=>this.onTestItemEvent(E,v),this.updateExpandability(E)}connectItemAndChildren(c,E,g){this.connectItem(c,E,g);for(const w of c.children)this.upsertItem(w,E)}updateExpandability(c){let E;this._resolveHandler?c.resolveBarrier?E=c.resolveBarrier.isOpen()?3:2:E=c.actual.canResolveChildren?1:0:E=0,E!==c.expand&&(c.expand=E,this.pushDiff([1,{extId:c.fullId.toString(),expand:E}]),E===1&&c.expandLevels!==void 0&&this.resolveChildren(c))}expandChildren(c,E){if(E<0)return;const g=[];for(const w of c.actual.children){const v=this.expand(A.TestId.joinToString(c.fullId,w.id),E);(0,f.isThenable)(v)&&g.push(v)}if(g.length)return Promise.all(g).then(()=>{})}resolveChildren(c){if(c.resolveBarrier)return c.resolveBarrier;if(!this._resolveHandler){const v=new f.Barrier;return v.open(),v}c.expand=2,this.pushExpandStateUpdate(c);const E=c.resolveBarrier=new f.Barrier,g=v=>{console.error(`Unhandled error in resolveHandler of test controller "${this.controllerId}"`),c.actual!==this.root&&(c.actual.error=v.stack||v.message||String(v))};let w;try{w=this._resolveHandler(c.actual===this.root?void 0:c.actual)}catch(v){g(v)}return(0,f.isThenable)(w)?w.catch(g).then(()=>{E.open(),this.updateExpandability(c)}):(E.open(),this.updateExpandability(c)),c.resolveBarrier}pushExpandStateUpdate(c){this.pushDiff([1,{extId:c.fullId.toString(),expand:c.expand}])}removeItem(c){const E=this.tree.get(c);if(!E)throw new Error("attempting to remove non-existent child");this.pushDiff([2,c]);const g=[E];for(;g.length;){const w=g.pop();if(!!w){(0,T.getPrivateApiFor)(w.actual).listener=void 0;for(const v of w.actual.tags)this.decrementTagRefs(v.id);this.tree.delete(w.fullId.toString());for(const v of w.actual.children)g.push(this.tree.get(A.TestId.joinToString(w.fullId,v.id)))}}}flushDiff(){const c=this.collectDiff();c.length&&this.diffOpEmitter.fire(c)}}e.SingleUseTestCollection=L}),define(pe[222],ve([0,1,4,183]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,f.refineServiceDecorator)(i.IEnvironmentService)}),define(pe[223],ve([0,1,27,3,8]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class C{constructor(L){this.removedDueToLooping=L}}e.DeltaExtensionsResult=C;class T{constructor(L){this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=L,this._initialize()}_initialize(){this._extensionDescriptions.sort(y),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const L of this._extensionDescriptions){if(this._extensionsMap.has(f.ExtensionIdentifier.toKey(L.identifier))){console.error("Extension `"+L.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(f.ExtensionIdentifier.toKey(L.identifier),L),this._extensionsArr.push(L),Array.isArray(L.activationEvents))for(let D of L.activationEvents)D==="onUri"&&(D=`onUri:${f.ExtensionIdentifier.toKey(L.identifier)}`),this._activationMap.has(D)||this._activationMap.set(D,[]),this._activationMap.get(D).push(L)}}keepOnly(L){const D=new Set;L.forEach(c=>D.add(f.ExtensionIdentifier.toKey(c))),this._extensionDescriptions=this._extensionDescriptions.filter(c=>D.has(f.ExtensionIdentifier.toKey(c.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(L,D){L.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(L));const c=T._findLoopingExtensions(this._extensionDescriptions);if(D=D.concat(c.map(E=>E.identifier)),D.length>0){const E=new Set;D.forEach(g=>E.add(f.ExtensionIdentifier.toKey(g))),this._extensionDescriptions=this._extensionDescriptions.filter(g=>!E.has(f.ExtensionIdentifier.toKey(g.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new C(c)}static _findLoopingExtensions(L){const D=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(v){this._nodesSet.has(v)||(this._nodesSet.add(v),this._nodesArr.push(v))}addArc(v,R){this.addNode(v),this.addNode(R),this._arcs.has(v)?this._arcs.get(v).push(R):this._arcs.set(v,[R])}getArcs(v){return this._arcs.has(v)?this._arcs.get(v):[]}hasOnlyGoodArcs(v,R){const _=D.getArcs(v);for(let s=0;s<_.length;s++)if(!R.has(_[s]))return!1;return!0}getNodes(){return this._nodesArr}};let c=new Map;for(let v of L){const R=f.ExtensionIdentifier.toKey(v.identifier);if(c.set(R,v),v.extensionDependencies)for(let _ of v.extensionDependencies){const s=f.ExtensionIdentifier.toKey(_);D.addArc(R,s)}}let E=new Set;D.getNodes().filter(v=>D.getArcs(v).length===0).forEach(v=>E.add(v));let g=D.getNodes().filter(v=>!E.has(v)),w;do{w=!1;for(let v=0;v<g.length;v++){const R=g[v];D.hasOnlyGoodArcs(R,E)&&(g.splice(v,1),v--,E.add(R),w=!0)}}while(w);return g.map(v=>c.get(v))}containsActivationEvent(L){return this._activationMap.has(L)}containsExtension(L){return this._extensionsMap.has(f.ExtensionIdentifier.toKey(L))}getExtensionDescriptionsForActivationEvent(L){const D=this._activationMap.get(L);return D?D.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(L){const D=this._extensionsMap.get(f.ExtensionIdentifier.toKey(L));return D||void 0}}e.ExtensionDescriptionRegistry=T;var P;(function(A){A[A.Builtin=0]="Builtin",A[A.User=1]="User",A[A.Dev=2]="Dev"})(P||(P={}));function y(A,L){const D=A.isBuiltin?0:A.isUnderDevelopment?2:1,c=L.isBuiltin?0:L.isUnderDevelopment?2:1;if(D!==c)return D-c;const E=I.posix.basename(A.extensionLocation.path),g=I.posix.basename(L.extensionLocation.path);return E<g?-1:E>g?1:0}}),define(pe[224],ve([0,1,22]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var i;(function(P){P[P.VersionMismatch=55]="VersionMismatch",P[P.UnexpectedError=81]="UnexpectedError"})(i=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var I;(function(P){P[P.Initialized=0]="Initialized",P[P.Ready=1]="Ready",P[P.Terminate=2]="Terminate"})(I=e.MessageType||(e.MessageType={}));function C(P){const y=f.VSBuffer.alloc(1);switch(P){case 0:y.writeUInt8(1,0);break;case 1:y.writeUInt8(2,0);break;case 2:y.writeUInt8(3,0);break}return y}e.createMessageOfType=C;function T(P,y){if(P.byteLength!==1)return!1;switch(P.readUInt8(0)){case 1:return y===0;case 2:return y===1;case 3:return y===2;default:return!1}}e.isMessageOfType=T}),define(pe[30],ve([0,1,3,2,4,27,194]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.extensionRunningLocationToString=e.ExtensionRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new C.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:i.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,I.createDecorator)("extensionService");var P;(function(n){n[n.None=0]="None",n[n.LocalProcess=1]="LocalProcess",n[n.LocalWebWorker=2]="LocalWebWorker",n[n.Remote=3]="Remote"})(P=e.ExtensionRunningLocation||(e.ExtensionRunningLocation={}));function y(n){switch(n){case 0:return"None";case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionRunningLocationToString=y;class A{constructor(m){this.dependency=m}}e.MissingExtensionDependency=A;var L;(function(n){n[n.LocalProcess=0]="LocalProcess",n[n.LocalWebWorker=1]="LocalWebWorker",n[n.Remote=2]="Remote"})(L=e.ExtensionHostKind||(e.ExtensionHostKind={}));function D(n){switch(n){case 0:return"LocalProcess";case 1:return"LocalWebWorker";case 2:return"Remote"}}e.extensionHostKindToString=D;function c(n,m){return n.enabledApiProposals?n.enabledApiProposals.includes(m):!1}e.isProposedApiEnabled=c;function E(n,m){if(!c(n,m))throw new Error(`Extension '${n.identifier.value}' CANNOT use API proposal: ${m}.
Its package.json#enabledApiProposals-property declares: ${n.enabledApiProposals?.join(", ")??"[]"} but NOT ${m}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${n.identifier.value}`)}e.checkProposedApiEnabled=E;class g{constructor(m,a,S,r){this.codeLoadingTime=m,this.activateCallTime=a,this.activateResolvedTime=S,this.activationReason=r}}e.ActivationTimes=g;class w{constructor(m,a){this.description=m,this.value=a}}e.ExtensionPointContribution=w,e.ExtensionHostLogFileName="exthost";var v;(function(n){n[n.Normal=0]="Normal",n[n.Immediate=1]="Immediate"})(v=e.ActivationKind||(e.ActivationKind={}));function R(n){return{type:n.isBuiltin?0:1,isBuiltin:n.isBuiltin||n.isUserBuiltin,identifier:{id:(0,T.getGalleryExtensionId)(n.publisher,n.name),uuid:n.uuid},manifest:n,location:n.extensionLocation}}e.toExtension=R;function _(n,m){return{identifier:new C.ExtensionIdentifier((0,T.getExtensionId)(n.manifest.publisher,n.manifest.name)),isBuiltin:n.type===0,isUserBuiltin:n.type===1&&n.isBuiltin,isUnderDevelopment:!!m,extensionLocation:n.location,...n.manifest,uuid:n.identifier.uuid}}e.toExtensionDescription=_;class s{constructor(){this.onDidRegisterExtensions=f.Event.None,this.onDidChangeExtensionsStatus=f.Event.None,this.onDidChangeExtensions=f.Event.None,this.onWillActivateByEvent=f.Event.None,this.onDidChangeResponsiveChange=f.Event.None}activateByEvent(m){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(m){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(m){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(m){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(m,a){return Promise.resolve()}_onWillActivateExtension(m){}_onDidActivateExtension(m,a,S,r,t){}_onDidActivateExtensionError(m,a){}_onExtensionRuntimeError(m,a){}_onExtensionHostExit(m){}}e.NullExtensionService=s}),define(pe[225],ve([0,1,15,27,30,11]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const T=Promise.resolve(void 0);class P{constructor(w,v,R,_){this.startup=w,this.codeLoadingTime=v,this.activateCallTime=R,this.activateResolvedTime=_}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class y{constructor(w){this._startup=w,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(w,v){return w===-1||v===-1?-1:v-w}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=y;class A{constructor(w,v,R,_,s,n){this.activationFailed=w,this.activationFailedError=v,this.activationTimes=R,this.module=_,this.exports=s,this.subscriptions=n}}e.ActivatedExtension=A;class L extends A{constructor(w){super(!1,null,w,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=L;class D extends A{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=D;class c extends A{constructor(w){super(!0,w,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=c;let E=class{constructor(w,v,R,_,s){this._logService=s,this._isDisposed=!1,this._registry=w,this._resolvedExtensionsSet=new Set,v.forEach(n=>this._resolvedExtensionsSet.add(i.ExtensionIdentifier.toKey(n))),this._hostExtensionsMap=new Map,R.forEach(n=>this._hostExtensionsMap.set(i.ExtensionIdentifier.toKey(n),n)),this._host=_,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){this._isDisposed=!0}isActivated(w){const v=i.ExtensionIdentifier.toKey(w);return this._activatedExtensions.has(v)}getActivatedExtension(w){const v=i.ExtensionIdentifier.toKey(w),R=this._activatedExtensions.get(v);if(!R)throw new Error("Extension `"+w.value+"` is not known or not activated");return R}activateByEvent(w,v){if(this._alreadyActivatedEvents[w])return T;const R=this._registry.getExtensionDescriptionsForActivationEvent(w);return this._activateExtensions(R.map(_=>({id:_.identifier,reason:{startup:v,extensionId:_.identifier,activationEvent:w}}))).then(()=>{this._alreadyActivatedEvents[w]=!0})}activateById(w,v){const R=this._registry.getExtensionDescription(w);if(!R)throw new Error("Extension `"+w+"` is not known");return this._activateExtensions([{id:R.identifier,reason:v}])}_handleActivateRequest(w,v,R){if(this._hostExtensionsMap.has(i.ExtensionIdentifier.toKey(w.id))){v[i.ExtensionIdentifier.toKey(w.id)]=w;return}const _=this._registry.getExtensionDescription(w.id);if(!_){const m=new Error(`Cannot activate unknown extension '${w.id.value}'`);this._host.onExtensionActivationError(w.id,m,new I.MissingExtensionDependency(w.id.value)),this._activatedExtensions.set(i.ExtensionIdentifier.toKey(w.id),new c(m));return}const s=typeof _.extensionDependencies=="undefined"?[]:_.extensionDependencies;let n=!0;for(let m=0,a=s.length;m<a;m++){const S=s[m];if(this._resolvedExtensionsSet.has(i.ExtensionIdentifier.toKey(S)))continue;const r=this._activatedExtensions.get(i.ExtensionIdentifier.toKey(S));if(r&&!r.activationFailed)continue;if(r&&r.activationFailed){const l=_.displayName||_.identifier.value,u=this._registry.getExtensionDescription(S),h=u&&u.displayName||S,b=new Error(`Cannot activate the '${l}' extension because its dependency '${h}' failed to activate`);b.detail=r.activationFailedError,this._host.onExtensionActivationError(_.identifier,b,null),this._activatedExtensions.set(i.ExtensionIdentifier.toKey(_.identifier),new c(b));return}if(this._hostExtensionsMap.has(i.ExtensionIdentifier.toKey(S))){n=!1,v[i.ExtensionIdentifier.toKey(S)]={id:this._hostExtensionsMap.get(i.ExtensionIdentifier.toKey(S)),reason:w.reason};continue}const t=this._registry.getExtensionDescription(S);if(t){if(!t.main&&!t.browser)continue;n=!1,v[i.ExtensionIdentifier.toKey(S)]={id:t.identifier,reason:w.reason};continue}const o=_.displayName||_.identifier.value,d=new Error(`Cannot activate the '${o}' extension because it depends on unknown extension '${S}'`);this._host.onExtensionActivationError(_.identifier,d,new I.MissingExtensionDependency(S)),this._activatedExtensions.set(i.ExtensionIdentifier.toKey(_.identifier),new c(d));return}n?v[i.ExtensionIdentifier.toKey(_.identifier)]=w:R.push(w)}_activateExtensions(w){if(w.length===0||(w=w.filter(s=>!this._activatedExtensions.has(i.ExtensionIdentifier.toKey(s.id))),w.length===0))return Promise.resolve(void 0);const v=Object.create(null),R=[];for(let s=0,n=w.length;s<n;s++)this._handleActivateRequest(w[s],v,R);for(let s=0,n=R.length;s<n;s++){const m=i.ExtensionIdentifier.toKey(R[s].id);v[m]&&delete v[m]}const _=Object.keys(v).map(s=>v[s]);return R.length===0?Promise.all(_.map(s=>this._activateExtension(s.id,s.reason))).then(s=>{}):this._activateExtensions(_).then(s=>this._activateExtensions(R))}_activateExtension(w,v){const R=i.ExtensionIdentifier.toKey(w);if(this._activatedExtensions.has(R))return Promise.resolve(void 0);const _=this._activatingExtensions.get(R);if(_)return _;const s=this._host.actualActivateExtension(w,v).then(void 0,n=>{const m=new Error;return n&&n.name&&(m.name=n.name),n&&n.message?m.message=`Activating extension '${w.value}' failed: ${n.message}.`:m.message=`Activating extension '${w.value}' failed: ${n}.`,n&&n.stack&&(m.stack=n.stack),this._isDisposed&&f.isPromiseCanceledError(n)?new c(n):(this._host.onExtensionActivationError(w,m,null),this._logService.error(`Activating extension ${w.value} failed due to an error:`),this._logService.error(n),new c(n))}).then(n=>{this._activatedExtensions.set(R,n),this._activatingExtensions.delete(R)});return this._activatingExtensions.set(R,s),s}};E=je([ze(4,C.ILogService)],E),e.ExtensionsActivator=E}),define(pe[226],ve([0,1,11,26,30]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let C=class extends f.LogService{constructor(P,y){super(P.createLogger(y.logFile,{name:I.ExtensionHostLogFileName}))}};C=je([ze(0,f.ILoggerService),ze(1,i.IExtHostInitDataService)],C),e.ExtHostLogService=C}),define(pe[227],ve([0,1,15]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class i{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((C,T)=>{this._actualOk=C,this._actualErr=T,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(C){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=C,this._actual&&this._actualOk(C))}resolveErr(C){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=C,this._actual?this._actualErr(C):(0,f.onUnexpectedError)(C))}then(C,T){return this._ensureActual().then(C,T)}catch(C){return this._ensureActual().then(void 0,C)}finally(C){return this._ensureActual().finally(C)}}e.LazyPromise=i}),define(pe[53],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class f{constructor(A,L){this._proxyIdentifierBrand=void 0,this.isMain=A,this.sid=L,this.nid=++f.count}}e.ProxyIdentifier=f,f.count=0;const i=[];function I(y){const A=new f(!0,y);return i[A.nid]=A,A}e.createMainContextProxyIdentifier=I;function C(y){const A=new f(!1,y);return i[A.nid]=A,A}e.createExtHostContextProxyIdentifier=C;function T(y){return i[y].sid}e.getStringIdentifierForProxy=T;class P{constructor(A){this.value=A}}e.SerializableObjectWithBuffers=P}),define(pe[5],ve([0,1,59,2,53]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var C;(function(s){s[s.Desktop=1]="Desktop",s[s.Web=2]="Web"})(C=e.UIKind||(e.UIKind={}));var T;(function(s){s[s.Default=0]="Default",s[s.InCenter=1]="InCenter",s[s.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",s[s.AtTop=3]="AtTop"})(T=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(s){s[s.Editable=0]="Editable",s[s.SupportsHotExit=1]="SupportsHotExit"})(P=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var y;(function(s){s[s.Int8Array=1]="Int8Array",s[s.Uint8Array=2]="Uint8Array",s[s.Uint8ClampedArray=3]="Uint8ClampedArray",s[s.Int16Array=4]="Int16Array",s[s.Uint16Array=5]="Uint16Array",s[s.Int32Array=6]="Int32Array",s[s.Uint32Array=7]="Uint32Array",s[s.Float32Array=8]="Float32Array",s[s.Float64Array=9]="Float64Array",s[s.BigInt64Array=10]="BigInt64Array",s[s.BigUint64Array=11]="BigUint64Array"})(y=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var A;(function(s){s[s.Text=1]="Text",s[s.Error=2]="Error",s[s.Rich=3]="Rich"})(A=e.CellOutputKind||(e.CellOutputKind={}));var L;(function(s){s[s.Default=0]="Default",s[s.InCenter=1]="InCenter",s[s.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",s[s.AtTop=3]="AtTop"})(L=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var D;(function(s){s[s.None=0]="None",s[s.Process=1]="Process",s[s.Output=2]="Output"})(D=e.CandidatePortSource||(e.CandidatePortSource={}));var c;(function(s){s.name="$ident";function n(a,S){return Object.defineProperty(a,s.name,{value:S,enumerable:!0}),a}s.mixin=n;function m(a){return a[s.name]}s.of=m})(c=e.ObjectIdentifier||(e.ObjectIdentifier={}));class E{static mixin(n){return n._id=E._n++,n}}e.IdObject=E,E._n=0;var g;(function(s){s.label="a",s.kind="b",s.detail="c",s.documentation="d",s.sortText="e",s.filterText="f",s.preselect="g",s.insertText="h",s.insertTextRules="i",s.range="j",s.commitCharacters="k",s.additionalTextEdits="l",s.command="m",s.kindModifier="n"})(g=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var w;(function(s){s.defaultRanges="a",s.completions="b",s.isIncomplete="c",s.duration="d"})(w=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var v;(function(s){s[s.File=1]="File",s[s.Text=2]="Text",s[s.Cell=3]="Cell"})(v=e.WorkspaceEditType||(e.WorkspaceEditType={}));function R(s){if(s&&s.edits)for(const n of s.edits)typeof n.resource=="object"?n.resource=i.URI.revive(n.resource):(n.newUri=i.URI.revive(n.newUri),n.oldUri=i.URI.revive(n.oldUri)),n.metadata&&n.metadata.iconPath&&(n.metadata=(0,f.revive)(n.metadata));return s}e.reviveWorkspaceEditDto=R;var _;(function(s){s[s.Workspace=0]="Workspace",s[s.TextDocument=1]="TextDocument"})(_=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,I.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,I.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,I.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,I.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,I.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,I.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,I.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,I.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,I.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,I.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,I.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,I.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,I.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,I.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,I.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,I.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,I.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,I.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,I.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,I.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,I.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,I.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,I.createMainContextProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,I.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,I.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,I.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,I.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,I.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,I.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,I.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,I.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,I.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,I.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,I.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,I.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,I.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,I.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,I.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,I.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,I.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,I.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,I.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,I.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,I.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,I.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,I.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,I.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,I.createMainContextProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,I.createMainContextProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,I.createMainContextProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,I.createMainContextProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,I.createMainContextProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,I.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,I.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,I.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,I.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,I.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,I.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,I.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,I.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,I.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,I.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,I.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,I.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,I.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,I.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,I.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,I.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,I.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,I.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,I.createExtHostContextProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,I.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,I.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,I.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,I.createExtHostContextProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,I.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,I.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,I.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,I.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,I.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,I.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,I.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,I.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,I.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,I.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,I.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,I.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,I.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,I.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,I.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,I.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,I.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,I.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,I.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,I.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,I.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,I.createMainContextProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,I.createMainContextProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,I.createMainContextProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,I.createMainContextProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,I.createMainContextProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,I.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,I.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,I.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,I.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,I.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,I.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(pe[90],ve([0,1,5,3,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class C{constructor(P){this._onDidChangePassword=new i.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(f.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,y){return this._proxy.$getPassword(P,y)}store(P,y,A){return this._proxy.$setPassword(P,y,A)}delete(P,y){return this._proxy.$deletePassword(P,y)}}e.ExtHostSecretState=C,e.IExtHostSecretState=(0,I.createDecorator)("IExtHostSecretState")}),define(pe[66],ve([0,1,4,11,5,14]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,f.createDecorator)("IExtHostApiDeprecationService");let T=class{constructor(y,A){this._extHostLogService=A,this._reportedUsages=new Set,this._telemetryShape=y.getProxy(I.MainContext.MainThreadTelemetry)}report(y,A,L){const D=this.getUsageKey(y,A);this._reportedUsages.has(D)||(this._reportedUsages.add(D),A.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${y}' is deprecated. ${L}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:A.identifier.value,apiId:y}))}getUsageKey(y,A){return`${y}-${A.identifier.value}`}};T=je([ze(0,C.IExtHostRpcService),ze(1,i.ILogService)],T),e.ExtHostApiDeprecationService=T,e.NullApiDeprecationService=Object.freeze(new class{report(P,y,A){}})}),define(pe[228],ve([0,1,3,5,7,27]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class T{constructor(y){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new f.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=y.getProxy(i.MainContext.MainThreadAuthentication)}$setProviders(y){return this._providers=y,Promise.resolve()}async getSession(y,A,L,D={}){const c=C.ExtensionIdentifier.toKey(y.identifier),E=this._inFlightRequests.get(c)||[],g=[...L].sort().join(" ");let w=E.find(v=>v.scopes===g);if(w)return w.result;{const v=this._getSession(y,c,A,L,D);w={scopes:g,result:v},E.push(w),this._inFlightRequests.set(c,E);try{await v}finally{const R=E.findIndex(_=>_.scopes===g);R>-1&&(E.splice(R),this._inFlightRequests.set(c,E))}return v}}async _getSession(y,A,L,D,c={}){await this._proxy.$ensureProvider(L);const E=y.displayName||y.name;return this._proxy.$getSession(L,D,A,E,c)}async removeSession(y,A){const L=this._authenticationProviders.get(y);return L?L.provider.removeSession(A):this._proxy.$removeSession(y,A)}registerAuthenticationProvider(y,A,L,D){if(this._authenticationProviders.get(y))throw new Error(`An authentication provider with id '${y}' is already registered.`);this._authenticationProviders.set(y,{label:A,provider:L,options:D??{supportsMultipleAccounts:!1}}),this._providers.find(E=>E.id===y)||this._providers.push({id:y,label:A});const c=L.onDidChangeSessions(E=>{this._proxy.$sendDidChangeSessions(y,{added:E.added??[],changed:E.changed??[],removed:E.removed??[]})});return this._proxy.$registerAuthenticationProvider(y,A,D?.supportsMultipleAccounts??!1),new I.Disposable(()=>{c.dispose(),this._authenticationProviders.delete(y);const E=this._providers.findIndex(g=>g.id===y);E>-1&&this._providers.splice(E),this._proxy.$unregisterAuthenticationProvider(y)})}$createSession(y,A){const L=this._authenticationProviders.get(y);if(L)return Promise.resolve(L.provider.createSession(A));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$removeSession(y,A){const L=this._authenticationProviders.get(y);if(L)return Promise.resolve(L.provider.removeSession(A));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$getSessions(y,A){const L=this._authenticationProviders.get(y);if(L)return Promise.resolve(L.provider.getSessions(A));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$onDidChangeAuthenticationSessions(y,A){return this._onDidChangeSessions.fire({provider:{id:y,label:A}}),Promise.resolve()}}e.ExtHostAuthentication=T}),define(pe[229],ve([0,1,5,14,17]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let C=class{constructor(P,y){this._extHostDocumentsAndEditors=y,this._proxy=P.getProxy(f.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(P){const y=I.WorkspaceEdit.from(P,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(y)}};C=je([ze(0,i.IExtHostRpcService)],C),e.ExtHostBulkEdits=C}),define(pe[230],ve([0,1,5]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class i{constructor(C){const T=C.getProxy(f.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return T.$readText()},writeText(P){return T.$writeText(P)}})}}e.ExtHostClipboard=i});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[38],ve([0,1,13,7,17,25,5,16,11,59,41,49,2,6,4,14,64,22,53,50]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s){"use strict";var n;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let m=class{constructor(d,l){n.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,it(this,n,d.getProxy(T.MainContext.MainThreadCommands),"f"),this._logService=l,this.converter=new a(this,u=>{const h=this._apiCommands.get(u);return h?.result===r.Void?h:void 0},l),this._argumentProcessors=[{processArgument(u){return(0,A.revive)(u)}},{processArgument(u){return(0,C.cloneAndChange)(u,function(h){if(L.Range.isIRange(h))return I.Range.to(h);if(D.Position.isIPosition(h))return I.Position.to(h);if(L.Range.isIRange(h.range)&&c.URI.isUri(h.uri))return I.location.to(h);if(h instanceof R.VSBuffer)return h.buffer.buffer;if(!Array.isArray(h))return h})}}]}registerArgumentProcessor(d){this._argumentProcessors.push(d)}registerApiCommand(d){const l=this.registerCommand(!1,d.id,async(...u)=>{const h=d.args.map((p,k)=>{if(!p.validate(u[k]))throw new Error(`Invalid argument '${p.name}' when running '${d.id}', received: ${u[k]}`);return p.convert(u[k])}),b=await this.executeCommand(d.internalId,...h);return d.result.convert(b,u,this.converter)},void 0,{description:d.description,args:d.args,returns:d.result.description});return this._apiCommands.set(d.id,d),new i.Disposable(()=>{l.dispose(),this._apiCommands.delete(d.id)})}registerCommand(d,l,u,h,b,p){if(this._logService.trace("ExtHostCommands#registerCommand",l),!l.trim().length)throw new Error("invalid id");if(this._commands.has(l))throw new Error(`command '${l}' already exists`);return this._commands.set(l,{callback:u,thisArg:h,description:b,extension:p}),d&&Le(this,n,"f").$registerCommand(l),new i.Disposable(()=>{this._commands.delete(l)&&d&&Le(this,n,"f").$unregisterCommand(l)})}executeCommand(d,...l){return this._logService.trace("ExtHostCommands#executeCommand",d),this._doExecuteCommand(d,l,!0)}async _doExecuteCommand(d,l,u){if(this._commands.has(d))return this._executeContributedCommand(d,l,!1);{let h=!1;const b=(0,C.cloneAndChange)(l,function(p){if(p instanceof i.Position)return I.Position.from(p);if(p instanceof i.Range)return I.Range.from(p);if(p instanceof i.Location)return I.location.from(p);if(i.NotebookRange.isNotebookRange(p))return I.NotebookRange.from(p);if(p instanceof ArrayBuffer)return h=!0,R.VSBuffer.wrap(new Uint8Array(p));if(p instanceof Uint8Array)return h=!0,R.VSBuffer.wrap(p);if(!Array.isArray(p))return p});try{const p=await Le(this,n,"f").$executeCommand(d,h?new _.SerializableObjectWithBuffers(b):b,u);return(0,A.revive)(p)}catch(p){if(p instanceof Error&&p.message==="$executeCommand:retry")return this._doExecuteCommand(d,l,!1);throw p}}}async _executeContributedCommand(d,l,u){const h=this._commands.get(d);if(!h)throw new Error("Unknown command");let{callback:b,thisArg:p,description:k}=h;if(k)for(let O=0;O<k.args.length;O++)try{(0,f.validateConstraint)(l[O],k.args[O].constraint)}catch{throw new Error(`Running the contributed command: '${d}' failed. Illegal argument '${k.args[O].name}' - ${k.args[O].description}`)}try{return await b.apply(p,l)}catch(O){if(d===this.converter.delegatingCommandId){const U=this.converter.getActualCommand(...l);U&&(d=U.command)}throw this._logService.error(O,d,h.extension?.identifier),u?new class extends Error{constructor(){super((0,s.toErrorMessage)(O));this.id=d,this.source=h.extension?.displayName??h.extension?.name}}:O}}$executeContributedCommand(d,...l){return this._logService.trace("ExtHostCommands#$executeContributedCommand",d),this._commands.has(d)?(l=l.map(u=>this._argumentProcessors.reduce((h,b)=>b.processArgument(h),u)),this._executeContributedCommand(d,l,!0)):Promise.reject(new Error(`Contributed command '${d}' does not exist.`))}getCommands(d=!1){return this._logService.trace("ExtHostCommands#getCommands",d),Le(this,n,"f").$getCommands().then(l=>(d&&(l=l.filter(u=>u[0]!=="_")),l))}$getContributedCommandHandlerDescriptions(){const d=Object.create(null);for(let[l,u]of this._commands){let{description:h}=u;h&&(d[l]=h)}return Promise.resolve(d)}};n=new WeakMap,m=je([ze(0,w.IExtHostRpcService),ze(1,y.ILogService)],m),e.ExtHostCommands=m,e.IExtHostCommands=(0,g.createDecorator)("IExtHostCommands");class a{constructor(d,l,u){this._commands=d,this._lookupApiCommand=l,this._logService=u,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(d,l){if(!d)return;const u={$ident:void 0,id:d.command,title:d.title,tooltip:d.tooltip};if(!d.command)return u;const h=this._lookupApiCommand(d.command);if(h)u.id=h.internalId,u.arguments=h.args.map((b,p)=>b.convert(d.arguments&&d.arguments[p]));else if((0,P.isNonEmptyArray)(d.arguments)){const b=++this._cachIdPool;this._cache.set(b,d),l.add((0,E.toDisposable)(()=>{this._cache.delete(b),this._logService.trace("CommandsConverter#DISPOSE",b)})),u.$ident=b,u.id=this.delegatingCommandId,u.arguments=[b],this._logService.trace("CommandsConverter#CREATE",d.command,b)}return u}fromInternal(d){const l=T.ObjectIdentifier.of(d);return typeof l=="number"?this._cache.get(l):{command:d.id,title:d.title,arguments:d.arguments}}getActualCommand(...d){return this._cache.get(d[0])}_executeConvertedCommand(...d){const l=this.getActualCommand(...d);return this._logService.trace("CommandsConverter#EXECUTE",d[0],l?l.command:"MISSING"),l?this._commands.executeCommand(l.command,...l.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=a;class S{constructor(d,l,u,h){this.name=d,this.description=l,this.validate=u,this.convert=h}optional(){return new S(this.name,`(optional) ${this.description}`,d=>d==null||this.validate(d),d=>d===void 0?void 0:d===null?null:this.convert(d))}with(d,l){return new S(d??this.name,l??this.description,this.validate,this.convert)}}e.ApiCommandArgument=S,S.Uri=new S("uri","Uri of a text document",o=>c.URI.isUri(o),o=>o),S.Position=new S("position","A position in a text document",o=>i.Position.isPosition(o),I.Position.from),S.Range=new S("range","A range in a text document",o=>i.Range.isRange(o),I.Range.from),S.Selection=new S("selection","A selection in a text document",o=>i.Selection.isSelection(o),I.Selection.from),S.Number=new S("number","",o=>typeof o=="number",o=>o),S.String=new S("string","",o=>typeof o=="string",o=>o),S.CallHierarchyItem=new S("item","A call hierarchy item",o=>o instanceof i.CallHierarchyItem,I.CallHierarchyItem.from),S.TypeHierarchyItem=new S("item","A type hierarchy item",o=>o instanceof i.TypeHierarchyItem,I.TypeHierarchyItem.from),S.TestItem=new S("testItem","A VS Code TestItem",o=>o instanceof v.TestItemImpl,I.TestItem.from);class r{constructor(d,l){this.description=d,this.convert=l}}e.ApiCommandResult=r,r.Void=new r("no result",o=>o);class t{constructor(d,l,u,h,b){this.id=d,this.internalId=l,this.description=u,this.args=h,this.result=b}}e.ApiCommand=t}),define(pe[231],ve([0,1,17,7,84,38,16,111]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const y=[new C.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",L(f.DocumentHighlight.to))),new C.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(c,E)=>{if((0,T.isFalsyOrEmpty)(c))return;class g extends i.SymbolInformation{static to(v){const R=new g(v.name,f.SymbolKind.to(v.kind),v.containerName||"",new i.Location(E[0],f.Range.to(v.range)));return R.detail=v.detail,R.range=R.location.range,R.selectionRange=f.Range.to(v.selectionRange),R.children=v.children?v.children.map(g.to):[],R}}return c.map(g.to)})),new C.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("options","Formatting options",c=>!0,c=>c)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",L(f.TextEdit.to))),new C.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range,new C.ApiCommandArgument("options","Formatting options",c=>!0,c=>c)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",L(f.TextEdit.to))),new C.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,new C.ApiCommandArgument("ch","Trigger character",c=>typeof c=="string",c=>c),new C.ApiCommandArgument("options","Formatting options",c=>!0,c=>c)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",L(f.TextEdit.to))),new C.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",D)),new C.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",D)),new C.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",D)),new C.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",D)),new C.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location-instances.",L(f.location.to))),new C.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Hover-instances.",L(f.Hover.to))),new C.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("position","A position in a text document",c=>Array.isArray(c)&&c.every(E=>i.Position.isPosition(E)),c=>c.map(f.Position.from))],new C.ApiCommandResult("A promise that resolves to an array of ranges.",c=>c.map(E=>{let g;for(const w of E.reverse())g=new i.SelectionRange(f.Range.to(w),g);return g}))),new C.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[C.ApiCommandArgument.String.with("query","Search string")],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",c=>c.map(f.WorkspaceSymbol.to))),new C.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A CallHierarchyItem or undefined",c=>c.map(f.CallHierarchyItem.to))),new C.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",c=>c.map(f.CallHierarchyIncomingCall.to))),new C.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",c=>c.map(f.CallHierarchyOutgoingCall.to))),new C.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to a range and placeholder text.",c=>{if(!!c)return{range:f.Range.to(c.range),placeholder:c.text}})),new C.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("newName","The new symbol name")],new C.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",c=>{if(!!c){if(c.rejectReason)throw new Error(c.rejectReason);return f.WorkspaceEdit.to(c)}})),new C.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new C.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",c=>c.map(f.DocumentLink.to))),new C.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",c=>{if(!!c)return new i.SemanticTokensLegend(c.tokenTypes,c.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",c=>{if(!c)return;const E=(0,P.decodeSemanticTokensDto)(c);if(E.type==="full")return new i.SemanticTokens(E.data,void 0)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range.optional()],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",c=>{if(!!c)return new i.SemanticTokensLegend(c.tokenTypes,c.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",c=>{if(!c)return;const E=(0,P.decodeSemanticTokensDto)(c);if(E.type==="full")return new i.SemanticTokens(E.data,void 0)})),new C.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new C.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(c,E,g)=>{if(!c)return new i.CompletionList([]);const w=c.suggestions.map(v=>f.CompletionItem.to(v,g));return new i.CompletionList(w,c.incomplete)})),new C.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new C.ApiCommandResult("A promise that resolves to SignatureHelp.",c=>{if(c)return f.SignatureHelp.to(c)})),new C.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new C.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(c,E,g)=>L(w=>new i.CodeLens(f.Range.to(w.range),w.command&&g.fromInternal(w.command)))(c))),new C.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",c=>i.Range.isRange(c),c=>i.Selection.isSelection(c)?f.Selection.from(c):f.Range.from(c)),C.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new C.ApiCommandResult("A promise that resolves to an array of Command-instances.",(c,E,g)=>L(w=>{if(w._isSynthetic){if(!w.command)throw new Error("Synthetic code actions must have a command");return g.fromInternal(w.command)}else{const v=new i.CodeAction(w.title,w.kind?new i.CodeActionKind(w.kind):void 0);return w.edit&&(v.edit=f.WorkspaceEdit.to(w.edit)),w.command&&(v.command=g.fromInternal(w.command)),v.isPreferred=w.isPreferred,v}})(c))),new C.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",c=>c?c.map(E=>new i.ColorInformation(f.Range.to(E.range),f.Color.to(E.color))):[])),new C.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new C.ApiCommandArgument("color","The color to show and insert",c=>c instanceof i.Color,f.Color.from),new C.ApiCommandArgument("context","Context object with uri and range",c=>!0,c=>({uri:c.uri,range:f.Range.from(c.range)}))],new C.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",c=>c?c.map(f.ColorPresentation.to):[])),new C.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of Inlay objects",(c,E,g)=>c.map(f.InlayHint.to.bind(void 0,g)))),new C.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new C.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",L(c=>({viewType:c.viewType,displayName:c.displayName,options:{transientOutputs:c.options.transientOutputs,transientCellMetadata:c.options.transientCellMetadata,transientDocumentMetadata:c.options.transientDocumentMetadata},filenamePattern:c.filenamePattern.map(E=>f.NotebookExclusiveDocumentPattern.to(E))})))),new C.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineValue objects",c=>c.map(f.InlineValue.to))),new C.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",c=>c===void 0||typeof c=="number"||typeof c=="object",c=>c&&(typeof c=="number"?[f.ViewColumn.from(c),void 0]:[f.ViewColumn.from(c.viewColumn),f.TextEditorOpenOptions.from(c)])).optional(),C.ApiCommandArgument.String.with("label","").optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[C.ApiCommandArgument.Uri.with("resource","Resource to open"),C.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",c=>c===void 0||typeof c=="number"||typeof c=="object",c=>c&&(typeof c=="number"?[f.ViewColumn.from(c),void 0]:[f.ViewColumn.from(c.viewColumn),f.TextEditorOpenOptions.from(c)])).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[C.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),C.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),C.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",c=>c===void 0||typeof c=="object",c=>c&&[f.ViewColumn.from(c.viewColumn),f.TextEditorOpenOptions.from(c)]).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A TypeHierarchyItem or undefined",c=>c.map(f.TypeHierarchyItem.to))),new C.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[C.ApiCommandArgument.TypeHierarchyItem],new C.ApiCommandResult("A TypeHierarchyItem or undefined",c=>c.map(f.TypeHierarchyItem.to))),new C.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[C.ApiCommandArgument.TypeHierarchyItem],new C.ApiCommandResult("A TypeHierarchyItem or undefined",c=>c.map(f.TypeHierarchyItem.to))),new C.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[C.ApiCommandArgument.TestItem],C.ApiCommandResult.Void)];class A{static register(E){y.forEach(E.registerApiCommand,E)}}e.ExtHostApiCommands=A;function L(c){return E=>{if(Array.isArray(E))return E.map(c)}}function D(c){if(!Array.isArray(c))return;const E=[];for(const g of c)I.isLocationLink(g)?E.push(f.DefinitionLink.to(g)):E.push(f.location.to(g));return E}}),define(pe[232],ve([0,1,18,57,3,6,2,84,27,17,7,5]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function c(E,g,w){const v=E.getProxy(D.MainContext.MainThreadComments);class R{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,g.registerArgumentProcessor({processArgument:t=>{if(t&&t.$mid===6){const o=this._commentControllers.get(t.handle);return o||t}else if(t&&t.$mid===7){const o=this._commentControllers.get(t.commentControlHandle);if(!o)return t;const d=o.getCommentThread(t.commentThreadHandle);return d||t}else if(t&&t.$mid===8){const o=this._commentControllers.get(t.thread.commentControlHandle);if(!o)return t;const d=o.getCommentThread(t.thread.commentThreadHandle);return d?{thread:d,text:t.text}:t}else if(t&&t.$mid===9){const o=this._commentControllers.get(t.thread.commentControlHandle);if(!o)return t;const d=o.getCommentThread(t.thread.commentThreadHandle);if(!d)return t;let l=t.commentUniqueId,u=d.getCommentByUniqueId(l);return u||t}else if(t&&t.$mid===10){const o=this._commentControllers.get(t.thread.commentControlHandle);if(!o)return t;const d=o.getCommentThread(t.thread.commentThreadHandle);if(!d)return t;let l=t.text,u=t.commentUniqueId,h=d.getCommentByUniqueId(u);return h?(h.body=l,h):t}return t}})}createCommentController(t,o,d){const l=R.handlePool++,u=new s(t,l,o,d);this._commentControllers.set(u.handle,u);const h=this._commentControllersByExtension.get(y.ExtensionIdentifier.toKey(t.identifier))||[];return h.push(u),this._commentControllersByExtension.set(y.ExtensionIdentifier.toKey(t.identifier),h),u.value}$createCommentThreadTemplate(t,o,d){const l=this._commentControllers.get(t);!l||l.$createCommentThreadTemplate(o,d)}async $updateCommentThreadTemplate(t,o,d){const l=this._commentControllers.get(t);!l||l.$updateCommentThreadTemplate(o,d)}$deleteCommentThread(t,o){const d=this._commentControllers.get(t);d&&d.$deleteCommentThread(o)}$provideCommentingRanges(t,o,d){const l=this._commentControllers.get(t);if(!l||!l.commentingRangeProvider)return Promise.resolve(void 0);const u=w.getDocument(T.URI.revive(o));return(0,f.asPromise)(()=>l.commentingRangeProvider.provideCommentingRanges(u,d)).then(h=>h?h.map(b=>A.Range.from(b)):void 0)}$toggleReaction(t,o,d,l,u){const h=this._commentControllers.get(t);return!h||!h.reactionHandler?Promise.resolve(void 0):(0,f.asPromise)(()=>{const b=h.getCommentThread(o);if(b){const p=b.getCommentByUniqueId(l.uniqueIdInThread);if(h!==void 0&&p&&h.reactionHandler)return h.reactionHandler(p,a(u))}return Promise.resolve(void 0)})}dispose(){}}R.handlePool=0;class _{constructor(t,o,d,l,u,h,b){this._commentControllerHandle=o,this._id=d,this._uri=l,this._range=u,this._comments=h,this.handle=_._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new I.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new C.MutableDisposable,this._acceptInputDisposables.value=new C.DisposableStore,this._id===void 0&&(this._id=`${t}.${this.handle}`),v.$createCommentThread(o,this.handle,this._id,this._uri,A.Range.from(this._range),b),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=h,this._localDisposables.push({dispose:()=>{v.$deleteCommentThread(o,this.handle)}});const p=this;this.value={get uri(){return p.uri},get range(){return p.range},set range(k){p.range=k},get comments(){return p.comments},set comments(k){p.comments=k},get collapsibleState(){return p.collapsibleState},set collapsibleState(k){p.collapsibleState=k},get canReply(){return p.canReply},set canReply(k){p.canReply=k},get contextValue(){return p.contextValue},set contextValue(k){p.contextValue=k},get label(){return p.label},set label(k){p.label=k},dispose:()=>{p.dispose()}}}set threadId(t){this._id=t}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(t){t.isEqual(this._range)||(this._range=t,this.modifications.range=t,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(t){this._canReply!==t&&(this._canReply=t,this.modifications.canReply=t,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(t){this._label=t,this.modifications.label=t,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(t){this._contextValue=t,this.modifications.contextValue=t,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(t){this._comments=t,this.modifications.comments=t,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(t){this._collapseState=t,this.modifications.collapsibleState=t,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new C.DisposableStore);const t=d=>Object.prototype.hasOwnProperty.call(this.modifications,d),o={};t("range")&&(o.range=A.Range.from(this._range)),t("label")&&(o.label=this.label),t("contextValue")&&(o.contextValue=this.contextValue??null),t("comments")&&(o.comments=this._comments.map(d=>n(this,d,this._commentsMap))),t("collapsibleState")&&(o.collapseState=S(this._collapseState)),t("canReply")&&(o.canReply=this.canReply),this.modifications={},v.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,o)}getCommentByUniqueId(t){for(let o of this._commentsMap){let d=o[0],l=o[1];if(t===l)return d}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(t=>t.dispose())}}_._handlePool=0,je([(0,i.debounce)(100)],_.prototype,"eventuallyUpdateCommentThread",null);class s{constructor(t,o,d,l){this._extension=t,this._handle=o,this._id=d,this._label=l,this._threads=new Map,v.$registerCommentController(this.handle,d,l);const u=this;this.value=Object.freeze({id:u.id,label:u.label,get options(){return u.options},set options(h){u.options=h},get commentingRangeProvider(){return u.commentingRangeProvider},set commentingRangeProvider(h){u.commentingRangeProvider=h},get reactionHandler(){return u.reactionHandler},set reactionHandler(h){u.reactionHandler=h},createCommentThread(h,b,p){return u.createCommentThread(h,b,p).value},dispose:()=>{u.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{v.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(t){this._commentingRangeProvider=t,v.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(t){this._reactionHandler=t,v.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!t})}get options(){return this._options}set options(t){this._options=t,v.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(t,o,d,l){if(typeof t=="string"){const u=new _(this.id,this.handle,t,o,d,l,this._extension.identifier);return this._threads.set(u.handle,u),u}else{const u=new _(this.id,this.handle,void 0,t,o,d,this._extension.identifier);return this._threads.set(u.handle,u),u}}$createCommentThreadTemplate(t,o){const d=new _(this.id,this.handle,void 0,T.URI.revive(t),A.Range.to(o),[],this._extension.identifier);return d.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(d.handle,d),d}$updateCommentThreadTemplate(t,o){let d=this._threads.get(t);d&&(d.range=A.Range.to(o))}$deleteCommentThread(t){let o=this._threads.get(t);o&&o.dispose(),this._threads.delete(t)}getCommentThread(t){return this._threads.get(t)}dispose(){this._threads.forEach(t=>{t.dispose()}),this._localDisposables.forEach(t=>t.dispose())}}function n(r,t,o){let d=o.get(t);d||(d=++r.commentHandle,o.set(t,d));const l=t.author&&t.author.iconPath?t.author.iconPath.toString():void 0;return{mode:t.mode,contextValue:t.contextValue,uniqueIdInThread:d,body:A.MarkdownString.from(t.body),userName:t.author.name,userIconPath:l,label:t.label,commentReactions:t.reactions?t.reactions.map(u=>m(u)):void 0}}function m(r){return{label:r.label,iconPath:r.iconPath?A.pathOrURIToURI(r.iconPath):void 0,count:r.count,hasReacted:r.authorHasReacted}}function a(r){return{label:r.label||"",count:r.count||0,iconPath:r.iconPath?T.URI.revive(r.iconPath):"",authorHasReacted:r.hasReacted||!1}}function S(r){if(r!==void 0)switch(r){case L.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case L.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}return new R}e.createExtHostComments=c}),define(pe[131],ve([0,1,2,5,7,4,14,11,16,9,8]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let D=class Ci{constructor(E,g){this._logService=g,this._provider=new Map,this._proxy=E.getProxy(i.MainContext.MainThreadDecorations)}registerFileDecorationProvider(E,g){const w=Ci._handlePool++;this._provider.set(w,{provider:E,extensionId:g}),this._proxy.$registerDecorationProvider(w,g.value);const v=E.onDidChangeFileDecorations&&E.onDidChangeFileDecorations(R=>{if(!R){this._proxy.$onDidChange(w,null);return}let _=(0,y.asArray)(R);if(_.length<=Ci._maxEventSize){this._proxy.$onDidChange(w,_);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",g.value,_.length);const s=_.map(a=>({uri:a,rank:(0,A.count)(a.path,"/")})),n=(0,y.groupBy)(s,(a,S)=>a.rank-S.rank||(0,A.compare)(a.uri.path,S.uri.path));let m=[];e:for(let a of n){let S;for(let r of a){let t=(0,L.dirname)(r.uri.path);if(S!==t&&(S=t,m.push(r.uri)>=Ci._maxEventSize))break e}}this._proxy.$onDidChange(w,m)});return new I.Disposable(()=>{v?.dispose(),this._proxy.$unregisterDecorationProvider(w),this._provider.delete(w)})}async $provideDecorations(E,g,w){if(!this._provider.has(E))return Object.create(null);const v=Object.create(null),{provider:R,extensionId:_}=this._provider.get(E);return await Promise.all(g.map(async s=>{try{const{uri:n,id:m}=s,a=await Promise.resolve(R.provideFileDecoration(f.URI.revive(n),w));if(!a)return;try{I.FileDecoration.validate(a),v[m]=[a.propagate,a.tooltip,a.badge,a.color]}catch(S){this._logService.warn(`INVALID decoration from extension '${_.value}': ${S}`)}}catch(n){this._logService.error(n)}})),v}};D._handlePool=0,D._maxEventSize=250,D=je([ze(0,T.IExtHostRpcService),ze(1,P.ILogService)],D),e.ExtHostDecorations=D,e.IExtHostDecorations=(0,C.createDecorator)("IExtHostDecorations")});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[233],ve([0,1,163,117,2,5,7,17,3,11,24,44]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";var c,E,g;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class w{constructor(_,s,n,m,a,S){this._name=_,this._owner=s,this._maxDiagnosticsPerFile=n,c.set(this,void 0),E.set(this,void 0),g.set(this,void 0),this._isDisposed=!1,it(this,g,new L.ResourceMap(r=>m.getComparisonKey(r)),"f"),it(this,c,a,"f"),it(this,E,S,"f")}dispose(){this._isDisposed||(Le(this,E,"f").fire([...Le(this,g,"f").keys()]),Le(this,c,"f")&&Le(this,c,"f").$clear(this._owner),Le(this,g,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(_,s){if(!_){this.clear();return}this._checkDisposed();let n=[];if(I.URI.isUri(_)){if(!s){this.delete(_);return}Le(this,g,"f").set(_,s.slice()),n=[_]}else if(Array.isArray(_)){n=[];let a;_=[..._].sort(w._compareIndexedTuplesByUri);for(const S of _){const[r,t]=S;if((!a||r.toString()!==a.toString())&&(a&&Le(this,g,"f").get(a).length===0&&Le(this,g,"f").delete(a),a=r,n.push(r),Le(this,g,"f").set(r,[])),t){const o=Le(this,g,"f").get(r);o&&o.push(...t)}else{const o=Le(this,g,"f").get(r);o&&(o.length=0)}}}if(Le(this,E,"f").fire(n),!Le(this,c,"f"))return;const m=[];for(let a of n){let S=[];const r=Le(this,g,"f").get(a);if(r)if(r.length>this._maxDiagnosticsPerFile){S=[];const t=[T.DiagnosticSeverity.Error,T.DiagnosticSeverity.Warning,T.DiagnosticSeverity.Information,T.DiagnosticSeverity.Hint];e:for(let o=0;o<4;o++)for(let d of r)if(d.severity===t[o]&&S.push(P.Diagnostic.from(d))===this._maxDiagnosticsPerFile)break e;S.push({severity:i.MarkerSeverity.Info,message:(0,f.localize)(0,null,r.length-this._maxDiagnosticsPerFile),startLineNumber:S[S.length-1].startLineNumber,startColumn:S[S.length-1].startColumn,endLineNumber:S[S.length-1].endLineNumber,endColumn:S[S.length-1].endColumn})}else S=r.map(t=>P.Diagnostic.from(t));m.push([a,S])}Le(this,c,"f").$changeMany(this._owner,m)}delete(_){this._checkDisposed(),Le(this,E,"f").fire([_]),Le(this,g,"f").delete(_),Le(this,c,"f")&&Le(this,c,"f").$changeMany(this._owner,[[_,void 0]])}clear(){this._checkDisposed(),Le(this,E,"f").fire([...Le(this,g,"f").keys()]),Le(this,g,"f").clear(),Le(this,c,"f")&&Le(this,c,"f").$clear(this._owner)}forEach(_,s){this._checkDisposed();for(let n of Le(this,g,"f").keys())_.apply(s,[n,this.get(n),this])}get(_){this._checkDisposed();const s=Le(this,g,"f").get(_);return Array.isArray(s)?Object.freeze(s.slice(0)):[]}has(_){return this._checkDisposed(),Array.isArray(Le(this,g,"f").get(_))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(_,s){return _[0].toString()<s[0].toString()?-1:_[0].toString()>s[0].toString()?1:0}}e.DiagnosticCollection=w,c=new WeakMap,E=new WeakMap,g=new WeakMap;let v=class oi{constructor(_,s,n){this._logService=s,this._fileSystemInfoService=n,this._collections=new Map,this._onDidChangeDiagnostics=new y.DebounceEmitter({merge:m=>m.flat(),delay:50}),this.onDidChangeDiagnostics=y.Event.map(this._onDidChangeDiagnostics.event,oi._mapper),this._proxy=_.getProxy(C.MainContext.MainThreadDiagnostics)}static _mapper(_){const s=new L.ResourceMap;for(const n of _)s.set(n,n);return{uris:Object.freeze(Array.from(s.values()))}}createDiagnosticCollection(_,s){const{_collections:n,_proxy:m,_onDidChangeDiagnostics:a,_logService:S,_fileSystemInfoService:r}=this,t=new class{$changeMany(l,u){m.$changeMany(l,u),S.trace("[DiagnosticCollection] change many (extension, owner, uris)",_.value,l,u.length===0?"CLEARING":u)}$clear(l){m.$clear(l),S.trace("[DiagnosticCollection] remove all (extension, owner)",_.value,l)}dispose(){m.dispose()}};let o;if(!s)s="_generated_diagnostic_collection_name_#"+oi._idPool++,o=s;else if(!n.has(s))o=s;else{this._logService.warn(`DiagnosticCollection with name '${s}' does already exist.`);do o=s+oi._idPool++;while(n.has(o))}return new class extends w{constructor(){super(s,o,oi._maxDiagnosticsPerFile,r.extUri,t,a);n.set(o,this)}dispose(){super.dispose(),n.delete(o)}}}getDiagnostics(_){if(_)return this._getDiagnostics(_);{const s=new Map,n=[];for(const m of this._collections.values())m.forEach((a,S)=>{let r=s.get(a.toString());typeof r=="undefined"&&(r=n.length,s.set(a.toString(),r),n.push([a,[]])),n[r][1]=n[r][1].concat(...S)});return n}}_getDiagnostics(_){let s=[];for(let n of this._collections.values())n.has(_)&&(s=s.concat(n.get(_)));return s}$acceptMarkersChange(_){if(!this._mirrorCollection){const s="_generated_mirror",n=new w(s,s,oi._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(s,n),this._mirrorCollection=n}for(const[s,n]of _)this._mirrorCollection.set(I.URI.revive(s),n.map(P.Diagnostic.to))}};v._idPool=0,v._maxDiagnosticsPerFile=1e3,v=je([ze(1,A.ILogService),ze(2,D.IExtHostFileSystemInfo)],v),e.ExtHostDiagnostics=v}),define(pe[234],ve([0,1,2,5]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class I{constructor(T){this._proxy=T.getProxy(i.MainContext.MainThreadDialogs)}showOpenDialog(T){return this._proxy.$showOpenDialog(T).then(P=>P?P.map(y=>f.URI.revive(y)):void 0)}showSaveDialog(T){return this._proxy.$showSaveDialog(T).then(P=>P?f.URI.revive(P):void 0)}}e.ExtHostDialogs=I}),define(pe[235],ve([0,1,15,2,7,5,10,21,9]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class A{constructor(D,c,E){this._documentsAndEditors=c,this._logService=E,this._documentContentProviders=new Map,this._proxy=D.getProxy(C.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(D,c){if(Object.keys(T.Schemas).indexOf(D)>=0)throw new Error(`scheme '${D}' already registered`);const E=A._handlePool++;this._documentContentProviders.set(E,c),this._proxy.$registerTextContentProvider(E,D);let g;return typeof c.onDidChange=="function"&&(g=c.onDidChange(w=>{if(w.scheme!==D){this._logService.warn(`Provider for scheme '${D}' is firing event for schema '${w.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(w)&&this.$provideTextDocumentContent(E,w).then(v=>{if(!v&&typeof v!="string")return;const R=this._documentsAndEditors.getDocument(w);if(!R)return;const _=(0,y.splitLines)(v);if(!R.equalLines(_))return this._proxy.$onVirtualDocumentChange(w,v)},f.onUnexpectedError)})),new I.Disposable(()=>{this._documentContentProviders.delete(E)&&this._proxy.$unregisterTextContentProvider(E),g&&(g.dispose(),g=void 0)})}$provideTextDocumentContent(D,c){const E=this._documentContentProviders.get(D);return E?Promise.resolve(E.provideTextDocumentContent(i.URI.revive(c),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${c.scheme}`))}}e.ExtHostDocumentContentProvider=A,A._handlePool=0}),define(pe[236],ve([0,1,3,6,2,5,123,17,13,25,7]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class D{constructor(E,g){this._onDidAddDocument=new f.Emitter,this._onDidRemoveDocument=new f.Emitter,this._onDidChangeDocument=new f.Emitter,this._onDidSaveDocument=new f.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new i.DisposableStore,this._documentLoader=new Map,this._proxy=E.getProxy(C.MainContext.MainThreadDocuments),this._documentsAndEditors=g,this._documentsAndEditors.onDidRemoveDocuments(w=>{for(const v of w)this._onDidRemoveDocument.fire(v.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(w=>{for(const v of w)this._onDidAddDocument.fire(v.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(E){if(!E)return;const g=this._documentsAndEditors.getDocument(E);if(g)return g}getDocument(E){const g=this.getDocumentData(E);if(!g?.document)throw new Error(`Unable to retrieve document from URI '${E}'`);return g.document}ensureDocumentData(E){const g=this._documentsAndEditors.getDocument(E);if(g)return Promise.resolve(g);let w=this._documentLoader.get(E.toString());return w||(w=this._proxy.$tryOpenDocument(E).then(v=>{this._documentLoader.delete(E.toString());const R=I.URI.revive(v);return(0,y.assertIsDefined)(this._documentsAndEditors.getDocument(R))},v=>(this._documentLoader.delete(E.toString()),Promise.reject(v))),this._documentLoader.set(E.toString(),w)),w}createDocumentData(E){return this._proxy.$tryCreateDocument(E).then(g=>I.URI.revive(g))}$acceptModelLanguageChanged(E,g){const w=I.URI.revive(E),v=this._documentsAndEditors.getDocument(w);if(!v)throw new Error("unknown document");this._onDidRemoveDocument.fire(v.document),v._acceptLanguageId(g),this._onDidAddDocument.fire(v.document)}$acceptModelSaved(E){const g=I.URI.revive(E),w=this._documentsAndEditors.getDocument(g);if(!w)throw new Error("unknown document");this.$acceptDirtyStateChanged(E,!1),this._onDidSaveDocument.fire(w.document)}$acceptDirtyStateChanged(E,g){const w=I.URI.revive(E),v=this._documentsAndEditors.getDocument(w);if(!v)throw new Error("unknown document");v._acceptIsDirty(g),this._onDidChangeDocument.fire({document:v.document,contentChanges:[],reason:void 0})}$acceptModelChanged(E,g,w){const v=I.URI.revive(E),R=this._documentsAndEditors.getDocument(v);if(!R)throw new Error("unknown document");R._acceptIsDirty(w),R.onEvents(g);let _;g.isUndoing?_=L.TextDocumentChangeReason.Undo:g.isRedoing&&(_=L.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,A.deepFreeze)({document:R.document,contentChanges:g.changes.map(s=>({range:P.Range.to(s.range),rangeOffset:s.rangeOffset,rangeLength:s.rangeLength,text:s.text})),reason:_}))}setWordDefinitionFor(E,g){(0,T.setWordDefinitionFor)(E,g)}}e.ExtHostDocuments=D}),define(pe[45],ve([0,1,56,3,6,2,4,5,123,14,130,17,11,24,10,78,93]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class R{constructor(n){this.value=n,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let _=class{constructor(n,m){this._extHostRpc=n,this._logService=m,this._activeEditorId=null,this._editors=new Map,this._documents=new E.ResourceMap,this._onDidAddDocuments=new i.Emitter,this._onDidRemoveDocuments=new i.Emitter,this._onDidChangeVisibleTextEditors=new i.Emitter,this._onDidChangeActiveTextEditor=new i.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(n){this.acceptDocumentsAndEditorsDelta(n)}acceptDocumentsAndEditorsDelta(n){const m=[],a=[],S=[];if(n.removedDocuments)for(const r of n.removedDocuments){const t=C.URI.revive(r),o=this._documents.get(t);o?.unref()&&(this._documents.delete(t),m.push(o.value))}if(n.addedDocuments)for(const r of n.addedDocuments){const t=C.URI.revive(r.uri);let o=this._documents.get(t);if(o&&t.scheme!==g.Schemas.vscodeNotebookCell&&t.scheme!==g.Schemas.vscodeInteractiveInput)throw new Error(`document '${t} already exists!'`);o||(o=new R(new y.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),t,r.lines,r.EOL,r.versionId,r.languageId,r.isDirty,r.notebook)),this._documents.set(t,o),a.push(o.value)),o.ref()}if(n.removedEditors)for(const r of n.removedEditors){const t=this._editors.get(r);this._editors.delete(r),t&&S.push(t)}if(n.addedEditors)for(const r of n.addedEditors){const t=C.URI.revive(r.documentUri);f.ok(this._documents.has(t),`document '${t}' does not exist`),f.ok(!this._editors.has(r.id),`editor '${r.id}' already exists!`);const o=this._documents.get(t).value,d=new L.ExtHostTextEditor(r.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new v.Lazy(()=>o.document),r.selections.map(D.Selection.to),r.options,r.visibleRanges.map(l=>D.Range.to(l)),typeof r.editorPosition=="number"?D.ViewColumn.to(r.editorPosition):void 0);this._editors.set(r.id,d)}n.newActiveEditor!==void 0&&(f.ok(n.newActiveEditor===null||this._editors.has(n.newActiveEditor),`active editor '${n.newActiveEditor}' does not exist`),this._activeEditorId=n.newActiveEditor),(0,I.dispose)(m),(0,I.dispose)(S),n.removedDocuments&&this._onDidRemoveDocuments.fire(m),n.addedDocuments&&this._onDidAddDocuments.fire(a),(n.removedEditors||n.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(r=>r.value)),n.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(n){return this._documents.get(n)?.value}allDocuments(){return w.Iterable.map(this._documents.values(),n=>n.value)}getEditor(n){return this._editors.get(n)}activeEditor(n){if(!this._activeEditorId)return;const m=this._editors.get(this._activeEditorId);return n?m:m?.value}allEditors(){return[...this._editors.values()]}};_=je([ze(0,A.IExtHostRpcService),ze(1,c.ILogService)],_),e.ExtHostDocumentsAndEditors=_,e.IExtHostDocumentsAndEditors=(0,T.createDecorator)("IExtHostDocumentsAndEditors")}),define(pe[54],ve([0,1,17,5,2,3,4,14,18]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,T.createDecorator)("IExtHostEditorTabs");let A=class{constructor(D){this._onDidChangeTabs=new C.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._onDidChangeActiveTab=new C.Emitter,this.onDidChangeActiveTab=this._onDidChangeActiveTab.event,this._tabs=[],this._proxy=D.getProxy(i.MainContext.MainThreadEditorTabs)}get tabs(){return this._tabs}get activeTab(){return this._activeTab}$acceptEditorTabs(D){let c=-1;this._tabs=D.map((g,w)=>(g.isActive&&(c=w),Object.freeze({label:g.label,viewColumn:f.ViewColumn.to(g.viewColumn),index:w,resource:I.URI.revive(g.resource),additionalResourcesAndViewIds:g.additionalResourcesAndViewIds.map(({resource:v,viewId:R})=>({resource:I.URI.revive(v),viewId:R})),viewId:g.editorId,isActive:g.isActive,move:async(v,R)=>{this._proxy.$moveTab(g,v,f.ViewColumn.from(R)),await(0,y.raceTimeout)(C.Event.toPromise(this._onDidChangeTabs.event),1e3)},close:async()=>{await this._proxy.$closeTab(g),await(0,y.raceTimeout)(C.Event.toPromise(this._onDidChangeTabs.event),1e3)}}))),this._tabs=this._tabs.sort((g,w)=>g.viewColumn===w.viewColumn?g.index-w.index:g.viewColumn-w.viewColumn);const E=this._activeTab;this._activeTab=c===-1?void 0:this._tabs[c],this._activeTab!==E&&this._onDidChangeActiveTab.fire(this._activeTab),this._onDidChangeTabs.fire(this._tabs)}};A=je([ze(0,P.IExtHostRpcService)],A),e.ExtHostEditorTabs=A}),define(pe[237],ve([0,1,2,5,6,7,17,147,9,22,30]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class D{constructor(){this._schemes=[]}add(g){this._stateMachine=void 0,this._schemes.push(g)}delete(g){const w=this._schemes.indexOf(g);w>=0&&(this._schemes.splice(w,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const g=this._schemes.sort(),w=[];let v,R,_=14,s=14;for(const n of g){let m=v?(0,y.commonPrefixLength)(v,n):0;for(m===0?R=1:R=s;m<n.length;m++)m+1===n.length?(_=s,s=9):s+=1,w.push([R,n.toUpperCase().charCodeAt(m),s]),w.push([R,n.toLowerCase().charCodeAt(m),s]),R=s;v=n,s=_}w.push([9,58,10]),w.push([10,47,12]),this._stateMachine=new P.StateMachine(w)}}provideDocumentLinks(g){this._initStateMachine();const w=[],v=P.LinkComputer.computeLinks({getLineContent(R){return g.lineAt(R-1).text},getLineCount(){return g.lineCount}},this._stateMachine);for(const R of v){const _=T.DocumentLink.to(R);_.target&&w.push(_)}return w}}class c{constructor(g,w){this._extHostLanguageFeatures=w,this._linkProvider=new D,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=g.getProxy(i.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(g,w,v,R={}){if(this._registeredSchemes.has(w))throw new Error(`a provider for the scheme '${w}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const _=this._handlePool++;this._linkProvider.add(w),this._registeredSchemes.add(w),this._fsProvider.set(_,v);let s=2;R.isCaseSensitive&&(s+=1024),R.isReadonly&&(s+=2048),typeof v.copy=="function"&&(s+=8),typeof v.open=="function"&&typeof v.close=="function"&&typeof v.read=="function"&&typeof v.write=="function"&&((0,L.checkProposedApiEnabled)(g,"fsChunks"),s+=4),this._proxy.$registerFileSystemProvider(_,w,s).catch(m=>{console.error(`FAILED to register filesystem provider of ${g.identifier.value}-extension for the scheme ${w}`),console.error(m)});const n=v.onDidChangeFile(m=>{const a=[];for(const S of m){let{uri:r,type:t}=S;if(r.scheme!==w)continue;let o;switch(t){case C.FileChangeType.Changed:o=0;break;case C.FileChangeType.Created:o=1;break;case C.FileChangeType.Deleted:o=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:r,type:o})}this._proxy.$onFileSystemChange(_,a)});return(0,I.toDisposable)(()=>{n.dispose(),this._linkProvider.delete(w),this._registeredSchemes.delete(w),this._fsProvider.delete(_),this._proxy.$unregisterProvider(_)})}static _asIStat(g){const{type:w,ctime:v,mtime:R,size:_,permissions:s}=g;return{type:w,ctime:v,mtime:R,size:_,permissions:s}}$stat(g,w){return Promise.resolve(this._getFsProvider(g).stat(f.URI.revive(w))).then(v=>c._asIStat(v))}$readdir(g,w){return Promise.resolve(this._getFsProvider(g).readDirectory(f.URI.revive(w)))}$readFile(g,w){return Promise.resolve(this._getFsProvider(g).readFile(f.URI.revive(w))).then(v=>A.VSBuffer.wrap(v))}$writeFile(g,w,v,R){return Promise.resolve(this._getFsProvider(g).writeFile(f.URI.revive(w),v.buffer,R))}$delete(g,w,v){return Promise.resolve(this._getFsProvider(g).delete(f.URI.revive(w),v))}$rename(g,w,v,R){return Promise.resolve(this._getFsProvider(g).rename(f.URI.revive(w),f.URI.revive(v),R))}$copy(g,w,v,R){const _=this._getFsProvider(g);if(!_.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(_.copy(f.URI.revive(w),f.URI.revive(v),R))}$mkdir(g,w){return Promise.resolve(this._getFsProvider(g).createDirectory(f.URI.revive(w)))}$watch(g,w,v,R){const _=this._getFsProvider(g).watch(f.URI.revive(v),R);this._watches.set(w,_)}$unwatch(g,w){const v=this._watches.get(w);v&&(v.dispose(),this._watches.delete(w))}$open(g,w,v){const R=this._getFsProvider(g);if(!R.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(R.open(f.URI.revive(w),v))}$close(g,w){const v=this._getFsProvider(g);if(!v.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(v.close(w))}$read(g,w,v,R){const _=this._getFsProvider(g);if(!_.read)throw new Error('FileSystemProvider does not implement "read"');const s=A.VSBuffer.alloc(R);return Promise.resolve(_.read(w,v,s.buffer,0,R)).then(n=>s.slice(0,n))}$write(g,w,v,R){const _=this._getFsProvider(g);if(!_.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(_.write(w,v,R.buffer,0,R.byteLength))}_getFsProvider(g){const w=this._fsProvider.get(g);if(!w){const v=new Error;throw v.name="ENOPRO",v.message="no provider",v}return w}}e.ExtHostFileSystem=c}),define(pe[67],ve([0,1,5,42,7,22,4,14,44,6]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let L=class zt{constructor(c,E){this._fileSystemProvider=new Map,this._proxy=c.getProxy(f.MainContext.MainThreadFileSystem);const g=this;this.value=Object.freeze({async stat(w){try{const v=g._fileSystemProvider.get(w.scheme);if(!v)return await g._proxy.$stat(w);await g._proxy.$ensureActivation(w.scheme);const R=await v.stat(w);return{type:R.type,ctime:R.ctime,mtime:R.mtime,size:R.size,permissions:R.permissions}}catch(v){zt._handleError(v)}},async readDirectory(w){try{const v=g._fileSystemProvider.get(w.scheme);return v?(await g._proxy.$ensureActivation(w.scheme),(await v.readDirectory(w)).slice()):await g._proxy.$readdir(w)}catch(v){return zt._handleError(v)}},async createDirectory(w){try{return await g._proxy.$mkdir(w)}catch(v){return zt._handleError(v)}},async readFile(w){try{const v=g._fileSystemProvider.get(w.scheme);return v?(await g._proxy.$ensureActivation(w.scheme),(await v.readFile(w)).slice()):(await g._proxy.$readFile(w)).buffer}catch(v){return zt._handleError(v)}},async writeFile(w,v){try{return await g._proxy.$writeFile(w,C.VSBuffer.wrap(v))}catch(R){return zt._handleError(R)}},async delete(w,v){try{const R=g._fileSystemProvider.get(w.scheme);return R?(await g._proxy.$ensureActivation(w.scheme),await R.delete(w,{recursive:!1,...v})):await g._proxy.$delete(w,{recursive:!1,useTrash:!1,...v})}catch(R){return zt._handleError(R)}},async rename(w,v,R){try{return await g._proxy.$rename(w,v,{overwrite:!1,...R})}catch(_){return zt._handleError(_)}},async copy(w,v,R){try{return await g._proxy.$copy(w,v,{overwrite:!1,...R})}catch(_){return zt._handleError(_)}},isWritableFileSystem(w){const v=E.getCapabilities(w);if(typeof v=="number")return!(v&2048)}})}static _handleError(c){if(c instanceof I.FileSystemError)throw c;if(!(c instanceof Error))throw new I.FileSystemError(String(c));if(c.name==="ENOPRO")throw I.FileSystemError.Unavailable(c.message);switch(c.name){case i.FileSystemProviderErrorCode.FileExists:throw I.FileSystemError.FileExists(c.message);case i.FileSystemProviderErrorCode.FileNotFound:throw I.FileSystemError.FileNotFound(c.message);case i.FileSystemProviderErrorCode.FileNotADirectory:throw I.FileSystemError.FileNotADirectory(c.message);case i.FileSystemProviderErrorCode.FileIsADirectory:throw I.FileSystemError.FileIsADirectory(c.message);case i.FileSystemProviderErrorCode.NoPermissions:throw I.FileSystemError.NoPermissions(c.message);case i.FileSystemProviderErrorCode.Unavailable:throw I.FileSystemError.Unavailable(c.message);default:throw new I.FileSystemError(c.message,c.name)}}addFileSystemProvider(c,E){return this._fileSystemProvider.set(c,E),(0,A.toDisposable)(()=>this._fileSystemProvider.delete(c))}};L=je([ze(0,P.IExtHostRpcService),ze(1,y.IExtHostFileSystemInfo)],L),e.ExtHostConsumerFileSystem=L,e.IExtHostConsumerFileSystem=(0,T.createDecorator)("IExtHostConsumerFileSystem")}),define(pe[238],ve([0,1,2,38]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class I{constructor(T,P,y,A){this._extHostNotebooks=P,this._textDocumentsAndEditors=y,this._commands=A;const L=new i.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new i.ApiCommandArgument("showOptions","Show Options",D=>!0,D=>D),new i.ApiCommandArgument("resource","Interactive resource Uri",D=>!0,D=>D),new i.ApiCommandArgument("controllerId","Notebook controller Id",D=>!0,D=>D),new i.ApiCommandArgument("title","Interactive editor title",D=>!0,D=>D)],new i.ApiCommandResult("Notebook and input URI",D=>{if(D.notebookEditorId!==void 0){const c=this._extHostNotebooks.getEditorById(D.notebookEditorId);return{notebookUri:f.URI.revive(D.notebookUri),inputUri:f.URI.revive(D.inputUri),notebookEditor:c.apiEditor}}return{notebookUri:f.URI.revive(D.notebookUri),inputUri:f.URI.revive(D.inputUri)}}));this._commands.registerApiCommand(L)}$willAddInteractiveDocument(T,P,y,A){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:P,lines:[""],languageId:y,uri:T,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(f.URI.revive(A))?.apiNotebook}]})}$willRemoveInteractiveDocument(T,P){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[T]})}}e.ExtHostInteractive=I}),define(pe[239],ve([0,1,6,5]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class I{constructor(T){this._handlePool=0,this._proxy=T.getProxy(i.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(T){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,T),(0,f.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=I}),define(pe[240],ve([0,1,2,25,17,7,5,9,41,16,13,145,6,111,77,87,46,15,3]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class s{constructor(q,Y){this._documents=q,this._provider=Y}async provideDocumentSymbols(q,Y){const re=this._documents.getDocument(q),le=await this._provider.provideDocumentSymbols(re,Y);if(!(0,A.isFalsyOrEmpty)(le))return le[0]instanceof C.DocumentSymbol?le.map(I.DocumentSymbol.from):s._asDocumentSymbolTree(le)}static _asDocumentSymbolTree(q){q=q.slice(0).sort((le,J)=>{let oe=le.location.range.start.compareTo(J.location.range.start);return oe===0&&(oe=J.location.range.end.compareTo(le.location.range.end)),oe});const Y=[],re=[];for(const le of q){const J={name:le.name||"!!MISSING: name!!",kind:I.SymbolKind.from(le.kind),tags:le.tags?.map(I.SymbolTag.from)||[],detail:"",containerName:le.containerName,range:I.Range.from(le.location.range),selectionRange:I.Range.from(le.location.range),children:[]};for(;;){if(re.length===0){re.push(J),Y.push(J);break}const oe=re[re.length-1];if(y.Range.containsRange(oe.range,J.range)&&!y.Range.equalsRange(oe.range,J.range)){oe.children&&oe.children.push(J),re.push(J);break}re.pop()}}return Y}}class n{constructor(q,Y,re){this._documents=q,this._commands=Y,this._provider=re,this._cache=new w.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(q,Y){const re=this._documents.getDocument(q),le=await this._provider.provideCodeLenses(re,Y);if(!le||Y.isCancellationRequested)return;const J=this._cache.add(le),oe=new c.DisposableStore;this._disposables.set(J,oe);const Se={cacheId:J,lenses:[]};for(let Me=0;Me<le.length;Me++)Se.lenses.push({cacheId:[J,Me],range:I.Range.from(le[Me].range),command:this._commands.toInternal(le[Me].command,oe)});return Se}async resolveCodeLens(q,Y){const re=q.cacheId&&this._cache.get(...q.cacheId);if(!re)return;let le;if(typeof this._provider.resolveCodeLens!="function"||re.isResolved?le=re:le=await this._provider.resolveCodeLens(re,Y),le||(le=re),Y.isCancellationRequested)return;const J=q.cacheId&&this._disposables.get(q.cacheId[0]);if(!!J)return q.command=this._commands.toInternal(le.command??n._badCmd,J),q}releaseCodeLenses(q){this._disposables.get(q)?.dispose(),this._disposables.delete(q),this._cache.delete(q)}}n._badCmd={command:"missing",title:"!!MISSING: command!!"};function m(Be){return Array.isArray(Be)?Be.map(I.DefinitionLink.from):Be?[I.DefinitionLink.from(Be)]:[]}class a{constructor(q,Y){this._documents=q,this._provider=Y}async provideDefinition(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideDefinition(le,J,re);return m(oe)}}class S{constructor(q,Y){this._documents=q,this._provider=Y}async provideDeclaration(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideDeclaration(le,J,re);return m(oe)}}class r{constructor(q,Y){this._documents=q,this._provider=Y}async provideImplementation(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideImplementation(le,J,re);return m(oe)}}class t{constructor(q,Y){this._documents=q,this._provider=Y}async provideTypeDefinition(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideTypeDefinition(le,J,re);return m(oe)}}class o{constructor(q,Y){this._documents=q,this._provider=Y}async provideHover(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideHover(le,J,re);if(!(!oe||(0,A.isFalsyOrEmpty)(oe.contents)))return oe.range||(oe.range=le.getWordRangeAtPosition(J)),oe.range||(oe.range=new C.Range(J,J)),I.Hover.from(oe)}}class d{constructor(q,Y){this._documents=q,this._provider=Y}async provideEvaluatableExpression(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideEvaluatableExpression(le,J,re);if(oe)return I.EvaluatableExpression.from(oe)}}class l{constructor(q,Y){this._documents=q,this._provider=Y}async provideInlineValues(q,Y,re,le){const J=this._documents.getDocument(q),oe=await this._provider.provideInlineValues(J,I.Range.to(Y),I.InlineValueContext.to(re),le);if(Array.isArray(oe))return oe.map(Se=>I.InlineValue.from(Se))}}class u{constructor(q,Y){this._documents=q,this._provider=Y}async provideDocumentHighlights(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideDocumentHighlights(le,J,re);if(Array.isArray(oe))return oe.map(I.DocumentHighlight.from)}}class h{constructor(q,Y){this._documents=q,this._provider=Y}async provideLinkedEditingRanges(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.provideLinkedEditingRanges(le,J,re);if(oe&&Array.isArray(oe.ranges))return{ranges:(0,A.coalesce)(oe.ranges.map(I.Range.from)),wordPattern:oe.wordPattern}}}class b{constructor(q,Y){this._documents=q,this._provider=Y}async provideReferences(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Position.to(Y),Se=await this._provider.provideReferences(J,oe,re,le);if(Array.isArray(Se))return Se.map(I.location.from)}}class p{constructor(q,Y,re,le,J,oe,Se){this._documents=q,this._commands=Y,this._diagnostics=re,this._provider=le,this._logService=J,this._extension=oe,this._apiDeprecation=Se,this._cache=new w.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions(q,Y,re,le){const J=this._documents.getDocument(q),oe=D.Selection.isISelection(Y)?I.Selection.to(Y):I.Range.to(Y),Se=[];for(const ct of this._diagnostics.getDiagnostics(q))if(oe.intersection(ct.range)&&Se.push(ct)>p._maxCodeActionsPerFile)break;const Me={diagnostics:Se,only:re.only?new C.CodeActionKind(re.only):void 0,triggerKind:I.CodeActionTriggerKind.to(re.trigger)},Ge=await this._provider.provideCodeActions(J,oe,Me,le);if(!(0,A.isNonEmptyArray)(Ge)||le.isCancellationRequested)return;const Ke=this._cache.add(Ge),et=new c.DisposableStore;this._disposables.set(Ke,et);const nt=[];for(let ct=0;ct<Ge.length;ct++){const tt=Ge[ct];!tt||(p._isCommand(tt)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),nt.push({_isSynthetic:!0,title:tt.title,command:this._commands.toInternal(tt,et)})):(Me.only&&(tt.kind?Me.only.contains(tt.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Me.only.value} 'requested but returned code action is of kind '${tt.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Me.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),nt.push({cacheId:[Ke,ct],title:tt.title,command:tt.command&&this._commands.toInternal(tt.command,et),diagnostics:tt.diagnostics&&tt.diagnostics.map(I.Diagnostic.from),edit:tt.edit&&I.WorkspaceEdit.from(tt.edit),kind:tt.kind&&tt.kind.value,isPreferred:tt.isPreferred,disabled:tt.disabled?.reason})))}return{cacheId:Ke,actions:nt}}async resolveCodeAction(q,Y){const[re,le]=q,J=this._cache.get(re,le);if(!J||p._isCommand(J)||!this._provider.resolveCodeAction)return;const oe=await this._provider.resolveCodeAction(J,Y)??J;return oe?.edit?I.WorkspaceEdit.from(oe.edit):void 0}releaseCodeActions(q){this._disposables.get(q)?.dispose(),this._disposables.delete(q),this._cache.delete(q)}static _isCommand(q){return typeof q.command=="string"&&typeof q.title=="string"}}p._maxCodeActionsPerFile=1e3;class k{constructor(q,Y){this._documents=q,this._provider=Y}async provideDocumentFormattingEdits(q,Y,re){const le=this._documents.getDocument(q),J=await this._provider.provideDocumentFormattingEdits(le,Y,re);if(Array.isArray(J))return J.map(I.TextEdit.from)}}class O{constructor(q,Y){this._documents=q,this._provider=Y}async provideDocumentRangeFormattingEdits(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Range.to(Y),Se=await this._provider.provideDocumentRangeFormattingEdits(J,oe,re,le);if(Array.isArray(Se))return Se.map(I.TextEdit.from)}}class U{constructor(q,Y){this._documents=q,this._provider=Y,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(q,Y,re,le,J){const oe=this._documents.getDocument(q),Se=I.Position.to(Y),Me=await this._provider.provideOnTypeFormattingEdits(oe,Se,re,le,J);if(Array.isArray(Me))return Me.map(I.TextEdit.from)}}class F{constructor(q,Y){this._provider=q,this._logService=Y,this._symbolCache=new Map,this._resultCache=new Map}async provideWorkspaceSymbols(q,Y){const re=T.IdObject.mixin({symbols:[]}),le=await this._provider.provideWorkspaceSymbols(q,Y);if((0,A.isNonEmptyArray)(le))for(const J of le){if(!J)continue;if(!J.name){this._logService.warn("INVALID SymbolInformation, lacks name",J);continue}const oe=T.IdObject.mixin(I.WorkspaceSymbol.from(J));this._symbolCache.set(oe._id,J),re.symbols.push(oe)}return re.symbols.length>0&&this._resultCache.set(re._id,[re.symbols[0]._id,re.symbols[re.symbols.length-1]._id]),re}async resolveWorkspaceSymbol(q,Y){if(typeof this._provider.resolveWorkspaceSymbol!="function")return q;const re=this._symbolCache.get(q._id);if(re){const le=await this._provider.resolveWorkspaceSymbol(re,Y);return le&&(0,i.mixin)(q,I.WorkspaceSymbol.from(le),!0)}}releaseWorkspaceSymbols(q){const Y=this._resultCache.get(q);if(Y){for(let[re,le]=Y;re<=le;re++)this._symbolCache.delete(re);this._resultCache.delete(q)}}}class M{constructor(q,Y,re){this._documents=q,this._provider=Y,this._logService=re}static supportsResolving(q){return typeof q.prepareRename=="function"}async provideRenameEdits(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Position.to(Y);try{const Se=await this._provider.provideRenameEdits(J,oe,re,le);return Se?I.WorkspaceEdit.from(Se):void 0}catch(Se){const Me=M._asMessage(Se);return Me?{rejectReason:Me,edits:void 0}:Promise.reject(Se)}}async resolveRenameLocation(q,Y,re){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const le=this._documents.getDocument(q),J=I.Position.to(Y);try{const oe=await this._provider.prepareRename(le,J,re);let Se,Me;if(C.Range.isRange(oe)?(Se=oe,Me=le.getText(oe)):(0,L.isObject)(oe)&&(Se=oe.range,Me=oe.placeholder),!Se||!Me)return;if(Se.start.line>J.line||Se.end.line<J.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:I.Range.from(Se),text:Me}}catch(oe){const Se=M._asMessage(oe);return Se?{rejectReason:Se,range:void 0,text:void 0}:Promise.reject(oe)}}static _asMessage(q){return typeof q=="string"?q:q instanceof Error&&typeof q.message=="string"?q.message:void 0}}class V{constructor(q,Y){this.resultId=q,this.tokens=Y}}class H{constructor(q,Y){this._documents=q,this._provider=Y,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens(q,Y,re){const le=this._documents.getDocument(q),J=Y!==0?this._previousResults.get(Y):null;let oe=typeof J?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(le,J.resultId,re):await this._provider.provideDocumentSemanticTokens(le,re);return J&&this._previousResults.delete(Y),oe?(oe=H._fixProvidedSemanticTokens(oe),this._send(H._convertToEdits(J,oe),oe)):null}async releaseDocumentSemanticColoring(q){this._previousResults.delete(q)}static _fixProvidedSemanticTokens(q){return H._isSemanticTokens(q)?H._isCorrectSemanticTokens(q)?q:new C.SemanticTokens(new Uint32Array(q.data),q.resultId):H._isSemanticTokensEdits(q)?H._isCorrectSemanticTokensEdits(q)?q:new C.SemanticTokensEdits(q.edits.map(Y=>new C.SemanticTokensEdit(Y.start,Y.deleteCount,Y.data?new Uint32Array(Y.data):Y.data)),q.resultId):q}static _isSemanticTokens(q){return q&&!!q.data}static _isCorrectSemanticTokens(q){return q.data instanceof Uint32Array}static _isSemanticTokensEdits(q){return q&&Array.isArray(q.edits)}static _isCorrectSemanticTokensEdits(q){for(const Y of q.edits)if(!(Y.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(q,Y){if(!H._isSemanticTokens(Y)||!q||!q.tokens)return Y;const re=q.tokens,le=re.length,J=Y.data,oe=J.length;let Se=0;const Me=Math.min(le,oe);for(;Se<Me&&re[Se]===J[Se];)Se++;if(Se===le&&Se===oe)return new C.SemanticTokensEdits([],Y.resultId);let Ge=0;const Ke=Me-Se;for(;Ge<Ke&&re[le-Ge-1]===J[oe-Ge-1];)Ge++;return new C.SemanticTokensEdits([{start:Se,deleteCount:le-Se-Ge,data:J.subarray(Se,oe-Ge)}],Y.resultId)}_send(q,Y){if(H._isSemanticTokens(q)){const re=this._nextResultId++;return this._previousResults.set(re,new V(q.resultId,q.data)),(0,E.encodeSemanticTokensDto)({id:re,type:"full",data:q.data})}if(H._isSemanticTokensEdits(q)){const re=this._nextResultId++;return H._isSemanticTokens(Y)?this._previousResults.set(re,new V(Y.resultId,Y.data)):this._previousResults.set(re,new V(q.resultId)),(0,E.encodeSemanticTokensDto)({id:re,type:"delta",deltas:(q.edits||[]).map(le=>({start:le.start,deleteCount:le.deleteCount,data:le.data}))})}return null}}e.DocumentSemanticTokensAdapter=H;class N{constructor(q,Y){this._documents=q,this._provider=Y}async provideDocumentRangeSemanticTokens(q,Y,re){const le=this._documents.getDocument(q),J=await this._provider.provideDocumentRangeSemanticTokens(le,I.Range.to(Y),re);return J?this._send(J):null}_send(q){return(0,E.encodeSemanticTokensDto)({id:0,type:"full",data:q.data})}}e.DocumentRangeSemanticTokensAdapter=N;class x{constructor(q,Y,re,le,J){this._documents=q,this._commands=Y,this._provider=re,this._apiDeprecation=le,this._extension=J,this._cache=new w.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(q){return typeof q.resolveCompletionItem=="function"}async provideCompletionItems(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Position.to(Y),Se=J.getWordRangeAtPosition(oe)||new C.Range(oe,oe),Me=Se.with({end:oe}),Ge=new v.StopWatch(!0),Ke=await this._provider.provideCompletionItems(J,oe,le,I.CompletionContext.to(re));if(!Ke||le.isCancellationRequested)return;const et=Array.isArray(Ke)?new C.CompletionList(Ke):Ke,nt=x.supportsResolving(this._provider)?this._cache.add(et.items):this._cache.add([]),ct=new c.DisposableStore;this._disposables.set(nt,ct);const tt=[],rt={x:nt,b:tt,a:{replace:I.Range.from(Se),insert:I.Range.from(Me)},c:et.isIncomplete||void 0,d:Ge.elapsed()};for(let dt=0;dt<et.items.length;dt++){const pt=et.items[dt],xe=this._convertCompletionItem(pt,[nt,dt],Me,Se);tt.push(xe)}return rt}async resolveCompletionItem(q,Y){if(typeof this._provider.resolveCompletionItem!="function")return;const re=this._cache.get(...q);if(!re)return;const le=await this._provider.resolveCompletionItem(re,Y);if(!!le)return this._convertCompletionItem(le,q)}releaseCompletionItems(q){this._disposables.get(q)?.dispose(),this._disposables.delete(q),this._cache.delete(q)}_convertCompletionItem(q,Y,re,le){const J=this._disposables.get(Y[0]);if(!J)throw Error("DisposableStore is missing...");const oe={x:Y,a:q.label,b:q.kind!==void 0?I.CompletionItemKind.from(q.kind):void 0,n:q.tags&&q.tags.map(I.CompletionItemTag.from),c:q.detail,d:typeof q.documentation=="undefined"?void 0:I.MarkdownString.fromStrict(q.documentation),e:q.sortText!==q.label?q.sortText:void 0,f:q.filterText!==q.label?q.filterText:void 0,g:q.preselect||void 0,i:q.keepWhitespace?1:0,k:q.commitCharacters,l:q.additionalTextEdits&&q.additionalTextEdits.map(I.TextEdit.from),m:this._commands.toInternal(q.command,J)};q.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),oe.h=q.textEdit.newText):typeof q.insertText=="string"?oe.h=q.insertText:q.insertText instanceof C.SnippetString&&(oe.h=q.insertText.value,oe.i|=4);let Se;return q.textEdit?Se=q.textEdit.range:q.range&&(Se=q.range),C.Range.isRange(Se)?oe.j=I.Range.from(Se):Se&&(!re?.isEqual(Se.inserting)||!le?.isEqual(Se.replacing))&&(oe.j={insert:I.Range.from(Se.inserting),replace:I.Range.from(Se.replacing)}),oe}}class W{constructor(q,Y,re){this._documents=q,this._provider=Y,this._commands=re,this._cache=new w.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Position.to(Y),Se=await this._provider.provideInlineCompletionItems(J,oe,{selectedCompletionInfo:re.selectedSuggestionInfo?{range:I.Range.to(re.selectedSuggestionInfo.range),text:re.selectedSuggestionInfo.text,isSnippetText:re.selectedSuggestionInfo.isSnippetText,completionKind:I.CompletionItemKind.to(re.selectedSuggestionInfo.completionKind)}:void 0,triggerKind:re.triggerKind},le);if(!Se||le.isCancellationRequested)return;const Me=(0,L.isArray)(Se)?{items:Se}:Se,Ge=this._cache.add(Me.items);let Ke;return{pid:Ge,items:Me.items.map((et,nt)=>{let ct;return et.command&&(Ke||(Ke=new c.DisposableStore,this._disposables.set(Ge,Ke)),ct=this._commands.toInternal(et.command,Ke)),{text:et.text,range:et.range?I.Range.from(et.range):void 0,command:ct,idx:nt}})}}disposeCompletions(q){this._cache.delete(q);const Y=this._disposables.get(q);Y&&Y.clear(),this._disposables.delete(q)}handleDidShowCompletionItem(q,Y){const re=this._cache.get(q,Y);re&&B.get(this._provider).fireOnDidShowCompletionItem({completionItem:re})}}class B{constructor(){this._onDidShowCompletionItemEmitter=new _.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get(q){let Y=B.map.get(q);return Y||(Y=new B,B.map.set(q,Y)),Y}fireOnDidShowCompletionItem(q){this._onDidShowCompletionItemEmitter.fire(q)}}e.InlineCompletionController=B,B.map=new WeakMap;class j{constructor(q,Y){this._documents=q,this._provider=Y,this._cache=new w.Cache("SignatureHelp")}async provideSignatureHelp(q,Y,re,le){const J=this._documents.getDocument(q),oe=I.Position.to(Y),Se=this.reviveContext(re),Me=await this._provider.provideSignatureHelp(J,oe,le,Se);if(Me){const Ge=this._cache.add([Me]);return{...I.SignatureHelp.from(Me),id:Ge}}}reviveContext(q){let Y;if(q.activeSignatureHelp){const re=I.SignatureHelp.to(q.activeSignatureHelp),le=this._cache.get(q.activeSignatureHelp.id,0);le?(Y=le,Y.activeSignature=re.activeSignature,Y.activeParameter=re.activeParameter):Y=re}return{...q,activeSignatureHelp:Y}}releaseSignatureHelp(q){this._cache.delete(q)}}class Z{constructor(q,Y,re){this._documents=q,this._commands=Y,this._provider=re,this._cache=new w.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints(q,Y,re){const le=this._documents.getDocument(q),J=await this._provider.provideInlayHints(le,I.Range.to(Y),re);if(!Array.isArray(J)||J.length===0||re.isCancellationRequested)return;const oe=this._cache.add(J);this._disposables.set(oe,new c.DisposableStore);const Se={hints:[],cacheId:oe};for(let Me=0;Me<J.length;Me++)this._isValidInlayHint(J[Me])&&Se.hints.push(this._convertInlayHint(J[Me],[oe,Me]));return Se}async resolveInlayHint(q,Y){if(typeof this._provider.resolveInlayHint!="function")return;const re=this._cache.get(...q);if(!re)return;const le=await this._provider.resolveInlayHint(re,Y);if(!!le&&!Y.isCancellationRequested&&!!this._isValidInlayHint(le))return this._convertInlayHint(le,q)}releaseHints(q){this._disposables.get(q)?.dispose(),this._disposables.delete(q),this._cache.delete(q)}_isValidInlayHint(q){return q.label.length===0||Array.isArray(q.label)&&q.label.every(Y=>Y.label.length===0)?(console.log("INVALID inlay hint, empty label",q),!1):!0}_convertInlayHint(q,Y){const re=this._disposables.get(Y[0]);if(!re)throw Error("DisposableStore is missing...");const le={label:"",cacheId:Y,tooltip:q.tooltip&&I.MarkdownString.from(q.tooltip),position:I.Position.from(q.position),kind:I.InlayHintKind.from(q.kind??C.InlayHintKind.Other),whitespaceBefore:q.whitespaceBefore,whitespaceAfter:q.whitespaceAfter};return typeof q.label=="string"?le.label=q.label:le.label=q.label.map(J=>{let oe={label:J.label};return oe.collapsible=J.collapsible,C.Location.isLocation(J.action)?oe.action=I.location.from(J.action):J.action&&(oe.action=this._commands.toInternal(J.action,re)),oe}),le}}class se{constructor(q,Y){this._documents=q,this._provider=Y,this._cache=new w.Cache("DocumentLink")}async provideLinks(q,Y){const re=this._documents.getDocument(q),le=await this._provider.provideDocumentLinks(re,Y);if(!(!Array.isArray(le)||le.length===0)&&!Y.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:le.filter(se._validateLink).map(I.DocumentLink.from)};{const J=this._cache.add(le),oe={links:[],id:J};for(let Se=0;Se<le.length;Se++){if(!se._validateLink(le[Se]))continue;const Me=I.DocumentLink.from(le[Se]);Me.cacheId=[J,Se],oe.links.push(Me)}return oe}}}static _validateLink(q){return q.target&&q.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(q,Y){if(typeof this._provider.resolveDocumentLink!="function")return;const re=this._cache.get(...q);if(!re)return;const le=await this._provider.resolveDocumentLink(re,Y);if(!(!le||!se._validateLink(le)))return I.DocumentLink.from(le)}releaseLinks(q){this._cache.delete(q)}}class Q{constructor(q,Y){this._documents=q,this._provider=Y}async provideColors(q,Y){const re=this._documents.getDocument(q),le=await this._provider.provideDocumentColors(re,Y);return Array.isArray(le)?le.map(oe=>({color:I.Color.from(oe.color),range:I.Range.from(oe.range)})):[]}async provideColorPresentations(q,Y,re){const le=this._documents.getDocument(q),J=I.Range.to(Y.range),oe=I.Color.to(Y.color),Se=await this._provider.provideColorPresentations(oe,{document:le,range:J},re);if(!!Array.isArray(Se))return Se.map(I.ColorPresentation.from)}}class z{constructor(q,Y){this._documents=q,this._provider=Y}async provideFoldingRanges(q,Y,re){const le=this._documents.getDocument(q),J=await this._provider.provideFoldingRanges(le,Y,re);if(!!Array.isArray(J))return J.map(I.FoldingRange.from)}}class te{constructor(q,Y,re){this._documents=q,this._provider=Y,this._logService=re}async provideSelectionRanges(q,Y,re){const le=this._documents.getDocument(q),J=Y.map(I.Position.to),oe=await this._provider.provideSelectionRanges(le,J,re);if(!(0,A.isNonEmptyArray)(oe))return[];if(oe.length!==J.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Se=[];for(let Me=0;Me<J.length;Me++){const Ge=[];Se.push(Ge);let Ke=J[Me],et=oe[Me];for(;;){if(!et.range.contains(Ke))throw new Error("INVALID selection range, must contain the previous range");if(Ge.push(I.SelectionRange.from(et)),!et.parent)break;Ke=et.range,et=et.parent}}return Se}}class he{constructor(q,Y){this._documents=q,this._provider=Y,this._idPool=new g.IdGenerator(""),this._cache=new Map}async prepareSession(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.prepareCallHierarchy(le,J,re);if(!oe)return;const Se=this._idPool.nextId();return this._cache.set(Se,new Map),Array.isArray(oe)?oe.map(Me=>this._cacheAndConvertItem(Se,Me)):[this._cacheAndConvertItem(Se,oe)]}async provideCallsTo(q,Y,re){const le=this._itemFromCache(q,Y);if(!le)throw new Error("missing call hierarchy item");const J=await this._provider.provideCallHierarchyIncomingCalls(le,re);if(!!J)return J.map(oe=>({from:this._cacheAndConvertItem(q,oe.from),fromRanges:oe.fromRanges.map(Se=>I.Range.from(Se))}))}async provideCallsFrom(q,Y,re){const le=this._itemFromCache(q,Y);if(!le)throw new Error("missing call hierarchy item");const J=await this._provider.provideCallHierarchyOutgoingCalls(le,re);if(!!J)return J.map(oe=>({to:this._cacheAndConvertItem(q,oe.to),fromRanges:oe.fromRanges.map(Se=>I.Range.from(Se))}))}releaseSession(q){this._cache.delete(q)}_cacheAndConvertItem(q,Y){const re=this._cache.get(q),le=I.CallHierarchyItem.from(Y,q,re.size.toString(36));return re.set(le._itemId,Y),le}_itemFromCache(q,Y){return this._cache.get(q)?.get(Y)}}class ge{constructor(q,Y){this._documents=q,this._provider=Y,this._idPool=new g.IdGenerator(""),this._cache=new Map}async prepareSession(q,Y,re){const le=this._documents.getDocument(q),J=I.Position.to(Y),oe=await this._provider.prepareTypeHierarchy(le,J,re);if(!oe)return;const Se=this._idPool.nextId();return this._cache.set(Se,new Map),Array.isArray(oe)?oe.map(Me=>this._cacheAndConvertItem(Se,Me)):[this._cacheAndConvertItem(Se,oe)]}async provideSupertypes(q,Y,re){const le=this._itemFromCache(q,Y);if(!le)throw new Error("missing type hierarchy item");const J=await this._provider.provideTypeHierarchySupertypes(le,re);if(!!J)return J.map(oe=>this._cacheAndConvertItem(q,oe))}async provideSubtypes(q,Y,re){const le=this._itemFromCache(q,Y);if(!le)throw new Error("missing type hierarchy item");const J=await this._provider.provideTypeHierarchySubtypes(le,re);if(!!J)return J.map(oe=>this._cacheAndConvertItem(q,oe))}releaseSession(q){this._cache.delete(q)}_cacheAndConvertItem(q,Y){const re=this._cache.get(q),le=I.TypeHierarchyItem.from(Y,q,re.size.toString(36));return re.set(le._itemId,Y),le}_itemFromCache(q,Y){return this._cache.get(q)?.get(Y)}}class ke{constructor(q,Y){this.adapter=q,this.extension=Y}}class Ue{constructor(q,Y,re,le,J,oe,Se){this._adapter=new Map,this._uriTransformer=Y,this._proxy=q.getProxy(T.MainContext.MainThreadLanguageFeatures),this._documents=re,this._commands=le,this._diagnostics=J,this._logService=oe,this._apiDeprecation=Se}_transformDocumentSelector(q){return I.DocumentSelector.from(q,this._uriTransformer)}_createDisposable(q){return new C.Disposable(()=>{this._adapter.delete(q),this._proxy.$unregister(q)})}_nextHandle(){return Ue._handlePool++}_withAdapter(q,Y,re,le,J=!1){const oe=this._adapter.get(q);if(!oe)return Promise.resolve(le);if(oe.adapter instanceof Y){let Se;oe.extension&&(Se=Date.now(),this._logService.trace(`[${oe.extension.identifier.value}] INVOKE provider '${Y.name}'`));const Me=re(oe.adapter,oe.extension),Ge=oe.extension;return Ge&&Promise.resolve(Me).then(()=>this._logService.trace(`[${Ge.identifier.value}] provider DONE after ${Date.now()-Se}ms`),Ke=>{J&&Ke instanceof R.CancellationError||(this._logService.error(`[${Ge.identifier.value}] provider FAILED`),this._logService.error(Ke))}),Me}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(q,Y){const re=this._nextHandle();return this._adapter.set(re,new ke(q,Y)),re}static _extLabel(q){return q.displayName||q.name}registerDocumentSymbolProvider(q,Y,re,le){const J=this._addNewAdapter(new s(this._documents,re),q),oe=le&&le.label||Ue._extLabel(q);return this._proxy.$registerDocumentSymbolProvider(J,this._transformDocumentSelector(Y),oe),this._createDisposable(J)}$provideDocumentSymbols(q,Y,re){return this._withAdapter(q,s,le=>le.provideDocumentSymbols(f.URI.revive(Y),re),void 0)}registerCodeLensProvider(q,Y,re){const le=this._nextHandle(),J=typeof re.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(le,new ke(new n(this._documents,this._commands.converter,re),q)),this._proxy.$registerCodeLensSupport(le,this._transformDocumentSelector(Y),J);let oe=this._createDisposable(le);if(J!==void 0){const Se=re.onDidChangeCodeLenses(Me=>this._proxy.$emitCodeLensEvent(J));oe=C.Disposable.from(oe,Se)}return oe}$provideCodeLenses(q,Y,re){return this._withAdapter(q,n,le=>le.provideCodeLenses(f.URI.revive(Y),re),void 0)}$resolveCodeLens(q,Y,re){return this._withAdapter(q,n,le=>le.resolveCodeLens(Y,re),void 0)}$releaseCodeLenses(q,Y){this._withAdapter(q,n,re=>Promise.resolve(re.releaseCodeLenses(Y)),void 0)}registerDefinitionProvider(q,Y,re){const le=this._addNewAdapter(new a(this._documents,re),q);return this._proxy.$registerDefinitionSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideDefinition(q,Y,re,le){return this._withAdapter(q,a,J=>J.provideDefinition(f.URI.revive(Y),re,le),[])}registerDeclarationProvider(q,Y,re){const le=this._addNewAdapter(new S(this._documents,re),q);return this._proxy.$registerDeclarationSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideDeclaration(q,Y,re,le){return this._withAdapter(q,S,J=>J.provideDeclaration(f.URI.revive(Y),re,le),[])}registerImplementationProvider(q,Y,re){const le=this._addNewAdapter(new r(this._documents,re),q);return this._proxy.$registerImplementationSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideImplementation(q,Y,re,le){return this._withAdapter(q,r,J=>J.provideImplementation(f.URI.revive(Y),re,le),[])}registerTypeDefinitionProvider(q,Y,re){const le=this._addNewAdapter(new t(this._documents,re),q);return this._proxy.$registerTypeDefinitionSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideTypeDefinition(q,Y,re,le){return this._withAdapter(q,t,J=>J.provideTypeDefinition(f.URI.revive(Y),re,le),[])}registerHoverProvider(q,Y,re,le){const J=this._addNewAdapter(new o(this._documents,re),q);return this._proxy.$registerHoverProvider(J,this._transformDocumentSelector(Y)),this._createDisposable(J)}$provideHover(q,Y,re,le){return this._withAdapter(q,o,J=>J.provideHover(f.URI.revive(Y),re,le),void 0)}registerEvaluatableExpressionProvider(q,Y,re,le){const J=this._addNewAdapter(new d(this._documents,re),q);return this._proxy.$registerEvaluatableExpressionProvider(J,this._transformDocumentSelector(Y)),this._createDisposable(J)}$provideEvaluatableExpression(q,Y,re,le){return this._withAdapter(q,d,J=>J.provideEvaluatableExpression(f.URI.revive(Y),re,le),void 0)}registerInlineValuesProvider(q,Y,re,le){const J=typeof re.onDidChangeInlineValues=="function"?this._nextHandle():void 0,oe=this._addNewAdapter(new l(this._documents,re),q);this._proxy.$registerInlineValuesProvider(oe,this._transformDocumentSelector(Y),J);let Se=this._createDisposable(oe);if(J!==void 0){const Me=re.onDidChangeInlineValues(Ge=>this._proxy.$emitInlineValuesEvent(J));Se=C.Disposable.from(Se,Me)}return Se}$provideInlineValues(q,Y,re,le,J){return this._withAdapter(q,l,oe=>oe.provideInlineValues(f.URI.revive(Y),re,le,J),void 0)}registerDocumentHighlightProvider(q,Y,re){const le=this._addNewAdapter(new u(this._documents,re),q);return this._proxy.$registerDocumentHighlightProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideDocumentHighlights(q,Y,re,le){return this._withAdapter(q,u,J=>J.provideDocumentHighlights(f.URI.revive(Y),re,le),void 0)}registerLinkedEditingRangeProvider(q,Y,re){const le=this._addNewAdapter(new h(this._documents,re),q);return this._proxy.$registerLinkedEditingRangeProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideLinkedEditingRanges(q,Y,re,le){return this._withAdapter(q,h,async J=>{const oe=await J.provideLinkedEditingRanges(f.URI.revive(Y),re,le);if(oe)return{ranges:oe.ranges,wordPattern:oe.wordPattern?Ue._serializeRegExp(oe.wordPattern):void 0}},void 0)}registerReferenceProvider(q,Y,re){const le=this._addNewAdapter(new b(this._documents,re),q);return this._proxy.$registerReferenceSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideReferences(q,Y,re,le,J){return this._withAdapter(q,b,oe=>oe.provideReferences(f.URI.revive(Y),re,le,J),void 0)}registerCodeActionProvider(q,Y,re,le){const J=new c.DisposableStore,oe=this._addNewAdapter(new p(this._documents,this._commands.converter,this._diagnostics,re,this._logService,q,this._apiDeprecation),q);return this._proxy.$registerQuickFixSupport(oe,this._transformDocumentSelector(Y),{providedKinds:le?.providedCodeActionKinds?.map(Se=>Se.value),documentation:le?.documentation?.map(Se=>({kind:Se.kind.value,command:this._commands.converter.toInternal(Se.command,J)}))},Ue._extLabel(q),Boolean(re.resolveCodeAction)),J.add(this._createDisposable(oe)),J}$provideCodeActions(q,Y,re,le,J){return this._withAdapter(q,p,oe=>oe.provideCodeActions(f.URI.revive(Y),re,le,J),void 0)}$resolveCodeAction(q,Y,re){return this._withAdapter(q,p,le=>le.resolveCodeAction(Y,re),void 0)}$releaseCodeActions(q,Y){this._withAdapter(q,p,re=>Promise.resolve(re.releaseCodeActions(Y)),void 0)}registerDocumentFormattingEditProvider(q,Y,re){const le=this._addNewAdapter(new k(this._documents,re),q);return this._proxy.$registerDocumentFormattingSupport(le,this._transformDocumentSelector(Y),q.identifier,q.displayName||q.name),this._createDisposable(le)}$provideDocumentFormattingEdits(q,Y,re,le){return this._withAdapter(q,k,J=>J.provideDocumentFormattingEdits(f.URI.revive(Y),re,le),void 0)}registerDocumentRangeFormattingEditProvider(q,Y,re){const le=this._addNewAdapter(new O(this._documents,re),q);return this._proxy.$registerRangeFormattingSupport(le,this._transformDocumentSelector(Y),q.identifier,q.displayName||q.name),this._createDisposable(le)}$provideDocumentRangeFormattingEdits(q,Y,re,le,J){return this._withAdapter(q,O,oe=>oe.provideDocumentRangeFormattingEdits(f.URI.revive(Y),re,le,J),void 0)}registerOnTypeFormattingEditProvider(q,Y,re,le){const J=this._addNewAdapter(new U(this._documents,re),q);return this._proxy.$registerOnTypeFormattingSupport(J,this._transformDocumentSelector(Y),le,q.identifier),this._createDisposable(J)}$provideOnTypeFormattingEdits(q,Y,re,le,J,oe){return this._withAdapter(q,U,Se=>Se.provideOnTypeFormattingEdits(f.URI.revive(Y),re,le,J,oe),void 0)}registerWorkspaceSymbolProvider(q,Y){const re=this._addNewAdapter(new F(Y,this._logService),q);return this._proxy.$registerNavigateTypeSupport(re,typeof Y.resolveWorkspaceSymbol=="function"),this._createDisposable(re)}$provideWorkspaceSymbols(q,Y,re){return this._withAdapter(q,F,le=>le.provideWorkspaceSymbols(Y,re),{symbols:[]})}$resolveWorkspaceSymbol(q,Y,re){return this._withAdapter(q,F,le=>le.resolveWorkspaceSymbol(Y,re),void 0)}$releaseWorkspaceSymbols(q,Y){this._withAdapter(q,F,re=>re.releaseWorkspaceSymbols(Y),void 0)}registerRenameProvider(q,Y,re){const le=this._addNewAdapter(new M(this._documents,re,this._logService),q);return this._proxy.$registerRenameSupport(le,this._transformDocumentSelector(Y),M.supportsResolving(re)),this._createDisposable(le)}$provideRenameEdits(q,Y,re,le,J){return this._withAdapter(q,M,oe=>oe.provideRenameEdits(f.URI.revive(Y),re,le,J),void 0)}$resolveRenameLocation(q,Y,re,le){return this._withAdapter(q,M,J=>J.resolveRenameLocation(f.URI.revive(Y),re,le),void 0)}registerDocumentSemanticTokensProvider(q,Y,re,le){const J=this._nextHandle(),oe=typeof re.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(J,new ke(new H(this._documents,re),q)),this._proxy.$registerDocumentSemanticTokensProvider(J,this._transformDocumentSelector(Y),le,oe);let Se=this._createDisposable(J);if(oe){const Me=re.onDidChangeSemanticTokens(Ge=>this._proxy.$emitDocumentSemanticTokensEvent(oe));Se=C.Disposable.from(Se,Me)}return Se}$provideDocumentSemanticTokens(q,Y,re,le){return this._withAdapter(q,H,J=>J.provideDocumentSemanticTokens(f.URI.revive(Y),re,le),null,!0)}$releaseDocumentSemanticTokens(q,Y){this._withAdapter(q,H,re=>re.releaseDocumentSemanticColoring(Y),void 0)}registerDocumentRangeSemanticTokensProvider(q,Y,re,le){const J=this._addNewAdapter(new N(this._documents,re),q);return this._proxy.$registerDocumentRangeSemanticTokensProvider(J,this._transformDocumentSelector(Y),le),this._createDisposable(J)}$provideDocumentRangeSemanticTokens(q,Y,re,le){return this._withAdapter(q,N,J=>J.provideDocumentRangeSemanticTokens(f.URI.revive(Y),re,le),null,!0)}registerCompletionItemProvider(q,Y,re,le){const J=this._addNewAdapter(new x(this._documents,this._commands.converter,re,this._apiDeprecation,q),q);return this._proxy.$registerSuggestSupport(J,this._transformDocumentSelector(Y),le,x.supportsResolving(re),`${q.identifier.value}(${le.join("")})`),this._createDisposable(J)}$provideCompletionItems(q,Y,re,le,J){return this._withAdapter(q,x,oe=>oe.provideCompletionItems(f.URI.revive(Y),re,le,J),void 0)}$resolveCompletionItem(q,Y,re){return this._withAdapter(q,x,le=>le.resolveCompletionItem(Y,re),void 0)}$releaseCompletionItems(q,Y){this._withAdapter(q,x,re=>re.releaseCompletionItems(Y),void 0)}registerInlineCompletionsProvider(q,Y,re){const le=this._addNewAdapter(new W(this._documents,re,this._commands.converter),q);return this._proxy.$registerInlineCompletionsSupport(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideInlineCompletions(q,Y,re,le,J){return this._withAdapter(q,W,oe=>oe.provideInlineCompletions(f.URI.revive(Y),re,le,J),void 0)}$handleInlineCompletionDidShow(q,Y,re){this._withAdapter(q,W,async le=>{le.handleDidShowCompletionItem(Y,re)},void 0)}$freeInlineCompletionsList(q,Y){this._withAdapter(q,W,async re=>{re.disposeCompletions(Y)},void 0)}registerSignatureHelpProvider(q,Y,re,le){const J=Array.isArray(le)?{triggerCharacters:le,retriggerCharacters:[]}:le,oe=this._addNewAdapter(new j(this._documents,re),q);return this._proxy.$registerSignatureHelpProvider(oe,this._transformDocumentSelector(Y),J),this._createDisposable(oe)}$provideSignatureHelp(q,Y,re,le,J){return this._withAdapter(q,j,oe=>oe.provideSignatureHelp(f.URI.revive(Y),re,le,J),void 0)}$releaseSignatureHelp(q,Y){this._withAdapter(q,j,re=>re.releaseSignatureHelp(Y),void 0)}registerInlayHintsProvider(q,Y,re){const le=typeof re.onDidChangeInlayHints=="function"?this._nextHandle():void 0,J=this._addNewAdapter(new Z(this._documents,this._commands.converter,re),q);this._proxy.$registerInlayHintsProvider(J,this._transformDocumentSelector(Y),typeof re.resolveInlayHint=="function",le);let oe=this._createDisposable(J);if(le!==void 0){const Se=re.onDidChangeInlayHints(Me=>this._proxy.$emitInlayHintsEvent(le));oe=C.Disposable.from(oe,Se)}return oe}$provideInlayHints(q,Y,re,le){return this._withAdapter(q,Z,J=>J.provideInlayHints(f.URI.revive(Y),re,le),void 0)}$resolveInlayHint(q,Y,re){return this._withAdapter(q,Z,le=>le.resolveInlayHint(Y,re),void 0)}$releaseInlayHints(q,Y){this._withAdapter(q,Z,re=>re.releaseHints(Y),void 0)}registerDocumentLinkProvider(q,Y,re){const le=this._addNewAdapter(new se(this._documents,re),q);return this._proxy.$registerDocumentLinkProvider(le,this._transformDocumentSelector(Y),typeof re.resolveDocumentLink=="function"),this._createDisposable(le)}$provideDocumentLinks(q,Y,re){return this._withAdapter(q,se,le=>le.provideLinks(f.URI.revive(Y),re),void 0)}$resolveDocumentLink(q,Y,re){return this._withAdapter(q,se,le=>le.resolveLink(Y,re),void 0)}$releaseDocumentLinks(q,Y){this._withAdapter(q,se,re=>re.releaseLinks(Y),void 0)}registerColorProvider(q,Y,re){const le=this._addNewAdapter(new Q(this._documents,re),q);return this._proxy.$registerDocumentColorProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideDocumentColors(q,Y,re){return this._withAdapter(q,Q,le=>le.provideColors(f.URI.revive(Y),re),[])}$provideColorPresentations(q,Y,re,le){return this._withAdapter(q,Q,J=>J.provideColorPresentations(f.URI.revive(Y),re,le),void 0)}registerFoldingRangeProvider(q,Y,re){const le=this._nextHandle(),J=typeof re.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(le,new ke(new z(this._documents,re),q)),this._proxy.$registerFoldingRangeProvider(le,this._transformDocumentSelector(Y),J);let oe=this._createDisposable(le);if(J!==void 0){const Se=re.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(J));oe=C.Disposable.from(oe,Se)}return oe}$provideFoldingRanges(q,Y,re,le){return this._withAdapter(q,z,J=>J.provideFoldingRanges(f.URI.revive(Y),re,le),void 0)}registerSelectionRangeProvider(q,Y,re){const le=this._addNewAdapter(new te(this._documents,re,this._logService),q);return this._proxy.$registerSelectionRangeProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$provideSelectionRanges(q,Y,re,le){return this._withAdapter(q,te,J=>J.provideSelectionRanges(f.URI.revive(Y),re,le),[])}registerCallHierarchyProvider(q,Y,re){const le=this._addNewAdapter(new he(this._documents,re),q);return this._proxy.$registerCallHierarchyProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$prepareCallHierarchy(q,Y,re,le){return this._withAdapter(q,he,J=>Promise.resolve(J.prepareSession(f.URI.revive(Y),re,le)),void 0)}$provideCallHierarchyIncomingCalls(q,Y,re,le){return this._withAdapter(q,he,J=>J.provideCallsTo(Y,re,le),void 0)}$provideCallHierarchyOutgoingCalls(q,Y,re,le){return this._withAdapter(q,he,J=>J.provideCallsFrom(Y,re,le),void 0)}$releaseCallHierarchy(q,Y){this._withAdapter(q,he,re=>Promise.resolve(re.releaseSession(Y)),void 0)}registerTypeHierarchyProvider(q,Y,re){const le=this._addNewAdapter(new ge(this._documents,re),q);return this._proxy.$registerTypeHierarchyProvider(le,this._transformDocumentSelector(Y)),this._createDisposable(le)}$prepareTypeHierarchy(q,Y,re,le){return this._withAdapter(q,ge,J=>Promise.resolve(J.prepareSession(f.URI.revive(Y),re,le)),void 0)}$provideTypeHierarchySupertypes(q,Y,re,le){return this._withAdapter(q,ge,J=>J.provideSupertypes(Y,re,le),void 0)}$provideTypeHierarchySubtypes(q,Y,re,le){return this._withAdapter(q,ge,J=>J.provideSubtypes(Y,re,le),void 0)}$releaseTypeHierarchy(q,Y){this._withAdapter(q,ge,re=>Promise.resolve(re.releaseSession(Y)),void 0)}static _serializeRegExp(q){return{pattern:q.source,flags:(0,P.regExpFlags)(q)}}static _serializeIndentationRule(q){return{decreaseIndentPattern:Ue._serializeRegExp(q.decreaseIndentPattern),increaseIndentPattern:Ue._serializeRegExp(q.increaseIndentPattern),indentNextLinePattern:q.indentNextLinePattern?Ue._serializeRegExp(q.indentNextLinePattern):void 0,unIndentedLinePattern:q.unIndentedLinePattern?Ue._serializeRegExp(q.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(q){return{beforeText:Ue._serializeRegExp(q.beforeText),afterText:q.afterText?Ue._serializeRegExp(q.afterText):void 0,previousLineText:q.previousLineText?Ue._serializeRegExp(q.previousLineText):void 0,action:q.action}}static _serializeOnEnterRules(q){return q.map(Ue._serializeOnEnterRule)}setLanguageConfiguration(q,Y,re){let{wordPattern:le}=re;if(le&&(0,P.regExpLeadsToEndlessLoop)(le))throw new Error(`Invalid language configuration: wordPattern '${le}' is not allowed to match the empty string.`);le?this._documents.setWordDefinitionFor(Y,le):this._documents.setWordDefinitionFor(Y,void 0),re.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",q,"Do not use."),re.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",q,"Do not use.");const J=this._nextHandle(),oe={comments:re.comments,brackets:re.brackets,wordPattern:re.wordPattern?Ue._serializeRegExp(re.wordPattern):void 0,indentationRules:re.indentationRules?Ue._serializeIndentationRule(re.indentationRules):void 0,onEnterRules:re.onEnterRules?Ue._serializeOnEnterRules(re.onEnterRules):void 0,__electricCharacterSupport:re.__electricCharacterSupport,__characterPairSupport:re.__characterPairSupport};return this._proxy.$setLanguageConfiguration(J,Y,oe),this._createDisposable(J)}$setWordDefinitions(q){for(const Y of q)this._documents.setWordDefinitionFor(Y.languageId,new RegExp(Y.regexSource,Y.regexFlags))}}e.ExtHostLanguageFeatures=Ue,Ue._handlePool=0}),define(pe[241],ve([0,1,5,17,7,48,18,6]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class y{constructor(L,D,c,E){this._documents=D,this._commands=c,this._uriTransformer=E,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=L.getProxy(f.MainContext.MainThreadLanguages)}$acceptLanguageIds(L){this._languageIds=L}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(L,D){await this._proxy.$changeLanguage(L,D);const c=this._documents.getDocumentData(L);if(!c)throw new Error(`document '${L.toString}' NOT found`);return c.document}async tokenAtPosition(L,D){const c=L.version,E=i.Position.from(D),g=await this._proxy.$tokensAtPosition(L.uri,E),w={type:I.StandardTokenType.Other,range:L.getWordRangeAtPosition(D)??new I.Range(D.line,D.character,D.line,D.character)};if(!g)return w;const v={range:i.Range.to(g.range),type:i.TokenType.to(g.type)};return!v.range.contains(D)||c!==L.version?w:v}createLanguageStatusItem(L,D,c){const E=this._handlePool++,g=this._proxy,w=this._ids,v=`${L.identifier.value}/${D}`;if(w.has(v))throw new Error(`LanguageStatusItem with id '${D}' ALREADY exists`);w.add(v);const R={selector:c,id:D,name:L.displayName??L.name,severity:I.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let _,s=new P.DisposableStore;const n=()=>{_?.dispose(),_=(0,T.disposableTimeout)(()=>{s.clear(),this._proxy.$setLanguageStatus(E,{id:v,name:R.name??L.displayName??L.name,source:L.displayName??L.name,selector:i.DocumentSelector.from(R.selector,this._uriTransformer),label:R.text,detail:R.detail??"",severity:R.severity===I.LanguageStatusSeverity.Error?C.default.Error:R.severity===I.LanguageStatusSeverity.Warning?C.default.Warning:C.default.Info,command:R.command&&this._commands.toInternal(R.command,s),accessibilityInfo:R.accessibilityInformation,busy:R.busy})},0)},m={dispose(){s.dispose(),_?.dispose(),g.$removeLanguageStatus(E),w.delete(v)},get id(){return R.id},get name(){return R.name},set name(a){R.name=a,n()},get selector(){return R.selector},set selector(a){R.selector=a,n()},get text(){return R.text},set text(a){R.text=a,n()},get detail(){return R.detail},set detail(a){R.detail=a,n()},get severity(){return R.severity},set severity(a){R.severity=a,n()},get accessibilityInformation(){return R.accessibilityInformation},set accessibilityInformation(a){R.accessibilityInformation=a,n()},get command(){return R.command},set command(a){R.command=a,n()},get busy(){return R.busy},set busy(a){R.busy=a,n()}};return n(),m}}e.ExtHostLanguages=y}),define(pe[132],ve([0,1,11,5,26,14,3]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let P=class extends f.AbstractLoggerService{constructor(L,D){const c=new T.Emitter;super(D.logLevel,c.event);this._proxy=L.getProxy(i.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(c)}$setLevel(L){this._onDidChangeLogLevel.fire(L)}doCreateLogger(L,D,c){return new y(this._proxy,L,D,c)}};P=je([ze(0,C.IExtHostRpcService),ze(1,I.IExtHostInitDataService)],P),e.ExtHostLoggerService=P;class y extends f.AbstractMessageLogger{constructor(L,D,c,E){super(E?.always);this.proxy=L,this.file=D,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(c),this.proxy.$createLogger(D,E).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(L,D){const c=[[L,D]];this.isLoggerCreated?this.doLog(c):this.buffer.push(...c)}doLog(L){this.proxy.$log(this.file,L)}}}),define(pe[242],ve([0,1,5,11,30]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function C(P){return P&&P.title}let T=class{constructor(y,A){this._logService=A,this._proxy=y.getProxy(f.MainContext.MainThreadMessageService)}showMessage(y,A,L,D,c){const E={source:{identifier:y.identifier,label:y.displayName||y.name}};let g;typeof D=="string"||C(D)?g=[D,...c]:(E.modal=D?.modal,E.useCustom=D?.useCustom,E.detail=D?.detail,g=c),E.useCustom&&(0,I.checkProposedApiEnabled)(y,"resolvers");const w=[];for(let v=0;v<g.length;v++){const R=g[v];if(typeof R=="string")w.push({title:R,handle:v,isCloseAffordance:!1});else if(typeof R=="object"){let{title:_,isCloseAffordance:s}=R;w.push({title:_,isCloseAffordance:!!s,handle:v})}else this._logService.warn("Invalid message item:",R)}return this._proxy.$showMessage(A,L,E,w).then(v=>{if(typeof v=="number")return g[v]})}};T=je([ze(1,i.ILogService)],T),e.ExtHostMessageService=T}),define(pe[243],ve([0,1,22,3,47,6,24,9,13,2,87,5,17,7,53,219,129]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class R{constructor(s,n,m,a,S){this._textDocumentsAndEditors=m,this._textDocuments=a,this._extensionStoragePaths=S,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new T.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new i.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new i.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new i.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new i.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new i.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new i.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new i.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new L.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=s.getProxy(D.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=s.getProxy(D.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=s.getProxy(D.MainContext.MainThreadNotebookEditors),this._commandsConverter=n.converter,n.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===12){const t=r.notebookEditor?.notebookUri,o=r.cell.handle,l=this._documents.get(t)?.getCell(o);if(l)return l.apiCell}return r}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(s=>s.apiEditor)}getEditorById(s){const n=this._editors.get(s);if(!n)throw new Error(`unknown text editor: ${s}. known editors: ${[...this._editors.keys()]} `);return n}getIdByEditor(s){for(const[n,m]of this._editors)if(m.apiEditor===s)return n}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(s,n){const m=this._documents.get(s);if(!m&&!n)throw new Error(`NO notebook document for '${s}'`);return m}_getProviderData(s){const n=this._notebookContentProviders.get(s);if(!n)throw new Error(`NO provider for '${s}'`);return n}registerNotebookContentProvider(s,n,m,a,S){if((0,P.isFalsyOrWhitespace)(n))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(n))throw new Error(`Notebook provider for '${n}' already registered`);this._notebookContentProviders.set(n,{extension:s,provider:m});let r;return m.onDidChangeNotebookContentOptions&&(r=m.onDidChangeNotebookContentOptions(()=>{const t=c.NotebookDocumentContentOptions.from(m.options);this._notebookProxy.$updateNotebookProviderOptions(n,t)})),this._notebookProxy.$registerNotebookProvider({id:s.identifier,location:s.extensionLocation},n,c.NotebookDocumentContentOptions.from(a),R._convertNotebookRegistrationData(s,S)),new E.Disposable(()=>{r?.dispose(),this._notebookContentProviders.delete(n),this._notebookProxy.$unregisterNotebookProvider(n)})}static _convertNotebookRegistrationData(s,n){if(!n)return;const m=n.filenamePattern.map(a=>c.NotebookExclusiveDocumentPattern.from(a)).filter(a=>a!==void 0);if(n.filenamePattern&&!m){console.warn(`Notebook content provider view options file name pattern is invalid ${n.filenamePattern}`);return}return{extension:s.identifier,providerDisplayName:s.displayName||s.name,displayName:n.displayName,filenamePattern:m,exclusive:n.exclusive||!1}}registerNotebookCellStatusBarItemProvider(s,n,m){const a=R._notebookStatusBarItemProviderHandlePool++,S=typeof m.onDidChangeCellStatusBarItems=="function"?R._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(a,m),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(a,S,n);let r;return S!==void 0&&(r=m.onDidChangeCellStatusBarItems(t=>this._notebookProxy.$emitCellStatusBarEvent(S))),new E.Disposable(()=>{this._notebookStatusBarItemProviders.delete(a),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(a,S),r&&r.dispose()})}async createNotebookDocument(s){const n=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:s.viewType,content:s.content&&c.NotebookData.from(s.content)});return A.URI.revive(n)}async openNotebookDocument(s){const n=this._documents.get(s);if(n)return n.apiNotebook;const m=await this._notebookDocumentsProxy.$tryOpenNotebook(s),a=this._documents.get(A.URI.revive(m));return(0,y.assertIsDefined)(a?.apiNotebook)}async showNotebookDocument(s,n){A.URI.isUri(s)&&(s=await this.openNotebookDocument(s));let m;typeof n=="object"?m={position:c.ViewColumn.from(n.viewColumn),preserveFocus:n.preserveFocus,selections:n.selections&&n.selections.map(c.NotebookRange.from),pinned:typeof n.preview=="boolean"?!n.preview:void 0}:m={preserveFocus:!1};const a=await this._notebookEditorsProxy.$tryShowNotebookDocument(s.uri,s.notebookType,m),S=a&&this._editors.get(a)?.apiEditor;if(S)return S;throw a?new Error(`Could NOT open editor for "${s.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${s.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(s,n,m,a){const S=this._notebookStatusBarItemProviders.get(s),r=A.URI.revive(n),t=this._documents.get(r);if(!t||!S)return;const o=t.getCellFromIndex(m);if(!o)return;const d=await S.provideCellStatusBarItems(o.apiCell,a);if(!d)return;const l=new C.DisposableStore,u=this._statusBarCache.add([l]),b=(Array.isArray(d)?d:[d]).map(p=>c.NotebookStatusBarItem.from(p,this._commandsConverter,l));return{cacheId:u,items:b}}$releaseNotebookCellStatusBarItems(s){this._statusBarCache.delete(s)}registerNotebookSerializer(s,n,m,a,S){if((0,P.isFalsyOrWhitespace)(n))throw new Error("viewType cannot be empty or just whitespace");const r=this._handlePool++;return this._notebookSerializer.set(r,m),this._notebookProxy.$registerNotebookSerializer(r,{id:s.identifier,location:s.extensionLocation},n,c.NotebookDocumentContentOptions.from(a),R._convertNotebookRegistrationData(s,S)),(0,C.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(r)})}async $dataToNotebook(s,n,m){const a=this._notebookSerializer.get(s);if(!a)throw new Error("NO serializer found");const S=await a.deserializeNotebook(n.buffer,m);return new g.SerializableObjectWithBuffers(c.NotebookData.from(S))}async $notebookToData(s,n,m){const a=this._notebookSerializer.get(s);if(!a)throw new Error("NO serializer found");const S=await a.serializeNotebook(c.NotebookData.to(n.value),m);return f.VSBuffer.wrap(S)}async $openNotebook(s,n,m,a,S){const{provider:r}=this._getProviderData(s),t=await r.openNotebook(A.URI.revive(n),{backupId:m,untitledDocumentData:a?.buffer},S);return new g.SerializableObjectWithBuffers({metadata:t.metadata??Object.create(null),cells:t.cells.map(c.NotebookCellData.from)})}async $saveNotebook(s,n,m){const a=this.getNotebookDocument(A.URI.revive(n)),{provider:S}=this._getProviderData(s);return await S.saveNotebook(a.apiNotebook,m),!0}async $saveNotebookAs(s,n,m,a){const S=this.getNotebookDocument(A.URI.revive(n)),{provider:r}=this._getProviderData(s);return await r.saveNotebookAs(A.URI.revive(m),S.apiNotebook,a),!0}async $backupNotebook(s,n,m){const a=this.getNotebookDocument(A.URI.revive(n)),S=this._getProviderData(s),r=this._extensionStoragePaths.workspaceValue(S.extension)??this._extensionStoragePaths.globalValue(S.extension),t=String((0,I.hash)([a.uri.toString(),this._backupIdPool++])),o=A.URI.joinPath(r,t),d=await S.provider.backupNotebook(a.apiNotebook,{destination:o},m);return a.updateBackup(d),d.id}_createExtHostEditor(s,n,m){if(this._editors.has(n))throw new Error(`editor with id ALREADY EXSIST: ${n}`);const a=new v.ExtHostNotebookEditor(n,this._notebookEditorsProxy,s,m.visibleRanges.map(c.NotebookRange.to),m.selections.map(c.NotebookRange.to),typeof m.viewColumn=="number"?c.ViewColumn.to(m.viewColumn):void 0);this._editors.set(n,a)}$acceptDocumentAndEditorsDelta(s){if(s.value.removedDocuments)for(const m of s.value.removedDocuments){const a=A.URI.revive(m),S=this._documents.get(a);S&&(S.dispose(),this._documents.delete(a),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:S.apiNotebook.getCells().map(r=>r.document.uri)}),this._onDidCloseNotebookDocument.fire(S.apiNotebook));for(const r of this._editors.values())r.notebookData.uri.toString()===a.toString()&&this._editors.delete(r.id)}if(s.value.addedDocuments){const m=[];for(const a of s.value.addedDocuments){const S=A.URI.revive(a.uri);if(this._documents.has(S))throw new Error(`adding EXISTING notebook ${S} `);const r=this,t=new w.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(o){r._onDidChangeNotebookCells.fire(o)},emitCellOutputsChange(o){r._onDidChangeCellOutputs.fire(o)},emitCellMetadataChange(o){r._onDidChangeCellMetadata.fire(o)}},S,a);m.push(...a.cells.map(o=>w.ExtHostCell.asModelAddData(t.apiNotebook,o))),this._documents.get(S)?.dispose(),this._documents.set(S,t),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:m}),this._onDidOpenNotebookDocument.fire(t.apiNotebook)}}if(s.value.addedEditors)for(const m of s.value.addedEditors){if(this._editors.has(m.id))return;const a=A.URI.revive(m.documentUri),S=this._documents.get(a);S&&this._createExtHostEditor(S,m.id,m)}const n=[];if(s.value.removedEditors)for(const m of s.value.removedEditors){const a=this._editors.get(m);a&&(this._editors.delete(m),this._activeNotebookEditor?.id===a.id&&(this._activeNotebookEditor=void 0),n.push(a))}if(s.value.visibleEditors){this._visibleNotebookEditors=s.value.visibleEditors.map(a=>this._editors.get(a)).filter(a=>!!a);const m=new Set;this._visibleNotebookEditors.forEach(a=>m.add(a.id));for(const a of this._editors.values()){const S=m.has(a.id);a._acceptVisibility(S)}this._visibleNotebookEditors=[...this._editors.values()].map(a=>a).filter(a=>a.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}s.value.newActiveEditor===null?this._activeNotebookEditor=void 0:s.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(s.value.newActiveEditor)),s.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=R,R._notebookStatusBarItemProviderHandlePool=0}),define(pe[244],ve([0,1,3,77,11,5,14,17]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class y{constructor(D,c){const E=y._Keys.nextId();D.$registerNotebookEditorDecorationType(E,P.NotebookDecorationRenderOptions.from(c)),this.value={key:E,dispose(){D.$removeNotebookEditorDecorationType(E)}}}}y._Keys=new i.IdGenerator("NotebookEditorDecorationType");let A=class{constructor(D,c,E){this._logService=D,this._extHostRpc=c,this._notebooksAndEditors=E,this._onDidChangeNotebookEditorSelection=new f.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new f.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(D){return new y(this._extHostRpc.getProxy(C.MainContext.MainThreadNotebookEditors),D).value}$acceptEditorPropertiesChanged(D,c){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",D,c);const E=this._notebooksAndEditors.getEditorById(D);c.visibleRanges&&E._acceptVisibleRanges(c.visibleRanges.ranges.map(P.NotebookRange.to)),c.selections&&E._acceptSelections(c.selections.selections.map(P.NotebookRange.to)),c.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:E.apiEditor,visibleRanges:E.apiEditor.visibleRanges}),c.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:E.apiEditor,selections:E.apiEditor.selections}))}$acceptEditorViewColumns(D){for(const c in D)this._notebooksAndEditors.getEditorById(c)._acceptViewColumn(P.ViewColumn.to(D[c]))}};A=je([ze(0,I.ILogService),ze(1,T.IExtHostRpcService)],A),e.ExtHostNotebookEditors=A}),define(pe[245],ve([0,1,16,18,21,3,6,24,2,27,11,5,38,17,7,88,211,30,53]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let s=class{constructor(r,t,o,d,l){this._initData=t,this._extHostNotebook=o,this._commands=d,this._logService=l,this._activeExecutions=new P.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new C.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=r.getProxy(D.MainContext.MainThreadNotebookKernels);const u=new c.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new c.ApiCommandArgument("options","Select kernel options",h=>!0,h=>{if(h&&"notebookEditor"in h&&"id"in h){const b=this._extHostNotebook.getIdByEditor(h.notebookEditor);return{id:h.id,extension:h.extension,notebookEditorId:b}}else if(h&&"notebookEditor"in h){const b=this._extHostNotebook.getIdByEditor(h.notebookEditor);if(b===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${h.notebookEditor.document.uri.toString()}`);return{notebookEditorId:b}}return h})],c.ApiCommandResult.Void);this._commands.registerApiCommand(u)}createNotebookController(r,t,o,d,l,u){for(const j of this._kernelData.values())if(j.controller.id===t&&A.ExtensionIdentifier.equals(r.identifier,j.extensionId))throw new Error(`notebook controller with id '${t}' ALREADY exist`);const h=this._handlePool++,b=this;this._logService.trace(`NotebookController[${h}], CREATED by ${r.identifier.value}, ${t}`);const p=()=>console.warn(`NO execute handler from notebook controller '${M.id}' of extension: '${r.identifier}'`);let k=!1;const O=new T.DisposableStore,U=new C.Emitter,F=new C.Emitter,M={id:`${r.identifier.value}/${t}`,notebookType:o,extensionId:r.identifier,extensionLocation:r.extensionLocation,label:d||r.identifier.value,preloads:u?u.map(E.NotebookRendererScript.from):[]};let V=l??p,H;this._proxy.$addKernel(h,M).catch(j=>{console.log(j),k=!0});let N=0;const x=()=>{if(k)return;const j=++N;Promise.resolve().then(()=>{j===N&&this._proxy.$updateKernel(h,M)})},W=new P.ResourceMap,B={get id(){return t},get notebookType(){return M.notebookType},onDidChangeSelectedNotebooks:U.event,get label(){return M.label},set label(j){M.label=j??r.displayName??r.name,x()},get detail(){return M.detail??""},set detail(j){M.detail=j,x()},get description(){return M.description??""},set description(j){M.description=j,x()},get kind(){return(0,R.checkProposedApiEnabled)(r,"notebookControllerKind"),M.kind??""},set kind(j){(0,R.checkProposedApiEnabled)(r,"notebookControllerKind"),M.kind=j,x()},get supportedLanguages(){return M.supportedLanguages},set supportedLanguages(j){M.supportedLanguages=j,x()},get supportsExecutionOrder(){return M.supportsExecutionOrder??!1},set supportsExecutionOrder(j){M.supportsExecutionOrder=j,x()},get rendererScripts(){return M.preloads?M.preloads.map(E.NotebookRendererScript.to):[]},get executeHandler(){return V},set executeHandler(j){V=j??p},get interruptHandler(){return H},set interruptHandler(j){H=j,M.supportsInterrupt=Boolean(j),x()},createNotebookCellExecution(j){if(k)throw new Error("notebook controller is DISPOSED");if(!W.has(j.notebook.uri))throw b._logService.trace(`NotebookController[${h}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(W.keys()).map(Z=>Z.toString())),new Error(`notebook controller is NOT associated to notebook: ${j.notebook.uri.toString()}`);return b._createNotebookCellExecution(j)},dispose:()=>{k||(this._logService.trace(`NotebookController[${h}], DISPOSED`),k=!0,this._kernelData.delete(h),O.dispose(),U.dispose(),F.dispose(),this._proxy.$removeKernel(h))},updateNotebookAffinity(j,Z){b._proxy.$updateNotebookPriority(h,j.uri,Z)},onDidReceiveMessage:F.event,postMessage(j,Z){return(0,R.checkProposedApiEnabled)(r,"notebookMessaging"),b._proxy.$postMessage(h,Z&&b._extHostNotebook.getIdByEditor(Z),j)},asWebviewUri(j){return(0,R.checkProposedApiEnabled)(r,"notebookMessaging"),(0,w.asWebviewUri)(j,b._initData.remote)}};return this._kernelData.set(h,{extensionId:r.identifier,controller:B,onDidReceiveMessage:F,onDidChangeSelection:U,associatedNotebooks:W}),B}$acceptNotebookAssociation(r,t,o){const d=this._kernelData.get(r);if(d){const l=this._extHostNotebook.getNotebookDocument(y.URI.revive(t));o?d.associatedNotebooks.set(l.uri,!0):d.associatedNotebooks.delete(l.uri),this._logService.trace(`NotebookController[${r}] ASSOCIATE notebook`,l.uri.toString(),o),d.onDidChangeSelection.fire({selected:o,notebook:l.apiNotebook})}}async $executeCells(r,t,o){const d=this._kernelData.get(r);if(!d)return;const l=this._extHostNotebook.getNotebookDocument(y.URI.revive(t)),u=[];for(const h of o){const b=l.getCell(h);b&&u.push(b.apiCell)}try{this._logService.trace(`NotebookController[${r}] EXECUTE cells`,l.uri.toString(),u.length),await d.controller.executeHandler.call(d.controller,u,l.apiNotebook,d.controller)}catch(h){this._logService.error(`NotebookController[${r}] execute cells FAILED`,h),console.error(h)}}async $cancelCells(r,t,o){const d=this._kernelData.get(r);if(!d)return;const l=this._extHostNotebook.getNotebookDocument(y.URI.revive(t));if(d.controller.interruptHandler)await d.controller.interruptHandler.call(d.controller,l.apiNotebook);else for(const u of o){const h=l.getCell(u);h&&this._activeExecutions.get(h.uri)?.cancel()}}$acceptKernelMessageFromRenderer(r,t,o){const d=this._kernelData.get(r);if(!d)return;const l=this._extHostNotebook.getEditorById(t);d.onDidReceiveMessage.fire(Object.freeze({editor:l.apiEditor,message:o}))}$cellExecutionChanged(r,t,o){const l=this._extHostNotebook.getNotebookDocument(y.URI.revive(r)).getCell(t);l&&this._onDidChangeCellExecutionState.fire({cell:l.apiCell,state:o??g.NotebookCellExecutionState.Idle})}_createNotebookCellExecution(r){if(r.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const o=this._extHostNotebook.getNotebookDocument(r.notebook.uri).getCellFromApiCell(r);if(!o)throw new Error("invalid cell");if(this._activeExecutions.has(o.uri))throw new Error(`duplicate execution for ${o.uri}`);const d=new m(o.notebook,o,this._proxy);this._activeExecutions.set(o.uri,d);const l=d.onDidChangeState(()=>{d.state===n.Resolved&&(d.dispose(),l.dispose(),this._activeExecutions.delete(o.uri))});return d.asApiObject()}};s=je([ze(4,L.ILogService)],s),e.ExtHostNotebookKernels=s;var n;(function(S){S[S.Init=0]="Init",S[S.Started=1]="Started",S[S.Resolved=2]="Resolved"})(n||(n={}));class m extends T.Disposable{constructor(r,t,o){super();this._document=r,this._cell=t,this._proxy=o,this._onDidChangeState=new C.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=n.Init,this._tokenSource=this._register(new I.CancellationTokenSource),this._collector=new a(10,d=>this.update(d)),this._executionOrder=t.internalMetadata.executionOrder,this._proxy.$addExecution(this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(r){await this._collector.addItem(r)}async update(r){const t=Array.isArray(r)?r:[r];return this._proxy.$updateExecutions(new _.SerializableObjectWithBuffers(t))}verifyStateForOutput(){if(this._state===n.Init)throw new Error("Must call start before modifying cell output");if(this._state===n.Resolved)throw new Error("Cannot modify cell output after calling resolve")}cellIndexToHandle(r){let t=this._cell;if(r&&(t=this._document.getCellFromApiCell(r)),!t)throw new Error("INVALID cell");return t.handle}validateAndConvertOutputs(r){return r.map(t=>{const o=g.NotebookCellOutput.ensureUniqueMimeTypes(t.items,!0);return o===t.items?E.NotebookCellOutput.from(t):E.NotebookCellOutput.from({items:o,id:t.id,metadata:t.metadata})})}async updateOutputs(r,t,o){const d=this.cellIndexToHandle(t),l=this.validateAndConvertOutputs((0,f.asArray)(r));return this.updateSoon({editType:v.CellExecutionUpdateType.Output,uri:this._document.uri,cellHandle:d,append:o,outputs:l})}async updateOutputItems(r,t,o){return r=g.NotebookCellOutput.ensureUniqueMimeTypes((0,f.asArray)(r),!0),this.updateSoon({editType:v.CellExecutionUpdateType.OutputItems,uri:this._document.uri,cellHandle:this._cell.handle,items:r.map(E.NotebookCellOutputItem.from),outputId:t.id,append:o})}asApiObject(){const r=this;return Object.freeze({get token(){return r._tokenSource.token},get cell(){return r._cell.apiCell},get executionOrder(){return r._executionOrder},set executionOrder(o){r._executionOrder=o,r.update([{editType:v.CellExecutionUpdateType.ExecutionState,uri:r._document.uri,cellHandle:r._cell.handle,executionOrder:r._executionOrder}])},start(o){if(r._state===n.Resolved||r._state===n.Started)throw new Error("Cannot call start again");r._state=n.Started,r._onDidChangeState.fire(),r.update({editType:v.CellExecutionUpdateType.ExecutionState,uri:r._document.uri,cellHandle:r._cell.handle,runStartTime:o})},end(o,d){if(r._state===n.Resolved)throw new Error("Cannot call resolve twice");r._state=n.Resolved,r._onDidChangeState.fire(),r._collector.flush(),r._proxy.$completeExecution(r._document.uri,r._cell.handle,new _.SerializableObjectWithBuffers({uri:r._document.uri,cellHandle:r._cell.handle,runEndTime:d,lastRunSuccess:o}))},clearOutput(o){return r.verifyStateForOutput(),r.updateOutputs([],o,!1)},appendOutput(o,d){return r.verifyStateForOutput(),r.updateOutputs(o,d,!0)},replaceOutput(o,d){return r.verifyStateForOutput(),r.updateOutputs(o,d,!1)},appendOutputItems(o,d){return r.verifyStateForOutput(),r.updateOutputItems(o,d,!0)},replaceOutputItems(o,d){return r.verifyStateForOutput(),r.updateOutputItems(o,d,!1)}})}}class a{constructor(r,t){this.delay=r,this.callback=t,this.batch=[],this.startedTimer=Date.now()}addItem(r){return this.batch.push(r),this.currentDeferred||(this.currentDeferred=new i.DeferredPromise,this.startedTimer=Date.now(),(0,i.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const r=this.currentDeferred;this.currentDeferred=void 0;const t=this.batch;return this.batch=[],this.callback(t).finally(()=>r.complete())}}}),define(pe[246],ve([0,1,3,5,129,30]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class T{constructor(y,A){this._extHostNotebook=A,this._rendererMessageEmitters=new Map,this.proxy=y.getProxy(i.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(y,A,L){const D=this._extHostNotebook.getEditorById(y);this._rendererMessageEmitters.get(A)?.fire({editor:D.apiEditor,message:L})}createRendererMessaging(y,A){if(!y.contributes?.notebookRenderer?.some(E=>E.id===A))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${A})`);const L=(0,C.isProposedApiEnabled)(y,"notebookEditor"),D=new WeakMap;return{onDidReceiveMessage:(E,g,w)=>{const v=L?E:R=>{const _={};D.set(_,R.editor),E({editor:_,message:R.message})};return this.getOrCreateEmitterFor(A).event(v,g,w)},postMessage:(E,g)=>{I.ExtHostNotebookEditor.apiEditorsToExtHost.has(E)&&([E,g]=[g,E]);const w=L?g:D.get(g),v=w&&I.ExtHostNotebookEditor.apiEditorsToExtHost.get(w);return this.proxy.$postMessage(v?.id,A,E)}}}getOrCreateEmitterFor(y){let A=this._rendererMessageEmitters.get(y);return A||(A=new f.Emitter({onLastListenerRemove:()=>{A?.dispose(),this._rendererMessageEmitters.delete(y)}}),this._rendererMessageEmitters.set(y,A),A)}}e.ExtHostNotebookRenderers=T}),define(pe[133],ve([0,1,5,6,4,14,11,212,67,26,44,152,22]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class E extends i.Disposable{constructor(v,R,_,s){super();this.id=v,this.name=R,this.logger=_,this.proxy=s,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(v){this.append(v+`
`)}append(v){this.write(v),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Append))}clear(){const v=this.offset;this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Clear,v)}replace(v){const R=this.offset;this.write(v),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Replace,R),this.visible&&this.logger.flush()}show(v,R){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof v=="boolean"?v:R))}hide(){this.proxy.$close(this.id)}write(v){this.offset+=c.VSBuffer.fromString(v).byteLength,this.logger.info(v)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=E;let g=class{constructor(v,R,_,s,n){this.extHostFileSystem=_,this.extHostFileSystemInfo=s,this.loggerService=n,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=v.getProxy(f.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(R.logsLocation,`output_logging_${(0,D.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(v){this.visibleChannelId=v;for(const[R,_]of this.channels)_.visible=R===this.visibleChannelId}createOutputChannel(v,R){if(v=v.trim(),!v)throw new Error("illegal argument `name`. must not be falsy");const _=this.doCreateOutputChannel(v,R);return _.then(s=>{this.channels.set(s.id,s),s.visible=s.id===this.visibleChannelId}),this.createExtHostOutputChannel(v,_)}async doCreateOutputChannel(v,R){const _=await this.createOutputDirectory(),s=this.extHostFileSystemInfo.extUri.joinPath(_,`${this.namePool++}-${v.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),n=this.loggerService.createLogger(s,{always:!0,donotRotate:!0,donotUseFormatters:!0}),m=await this.proxy.$register(v,!1,s,R.identifier.value);return new E(m,v,n,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(v,R){let _=!1;const s=()=>{if(_)throw new Error("Channel has been closed")};return{get name(){return v},append(n){s(),R.then(m=>m.append(n))},appendLine(n){s(),R.then(m=>m.appendLine(n))},clear(){s(),R.then(n=>n.clear())},replace(n){s(),R.then(m=>m.replace(n))},show(n,m){s(),R.then(a=>a.show(n,m))},hide(){s(),R.then(n=>n.hide())},dispose(){_=!0,R.then(n=>n.dispose())}}}};g=je([ze(0,C.IExtHostRpcService),ze(1,A.IExtHostInitDataService),ze(2,y.IExtHostConsumerFileSystem),ze(3,L.IExtHostFileSystemInfo),ze(4,T.ILoggerService)],g),e.ExtHostOutputService=g,e.IExtHostOutputService=(0,I.createDecorator)("IExtHostOutputService")}),define(pe[247],ve([0,1,18,21,3,6,5,2,7,15,16,48,86,30]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function g(w,v,R){const _=w.getProxy(T.MainContext.MainThreadQuickOpen);class s{constructor(l,u){this._sessions=new Map,this._instances=0,this._workspace=l,this._commands=u}showQuickPick(l,u,h=i.CancellationToken.None){this._onDidSelectItem=void 0;const b=Promise.resolve(l),p=++this._instances,k=_.$show(p,{title:u?.title,placeHolder:u?.placeHolder,matchOnDescription:u?.matchOnDescription,matchOnDetail:u?.matchOnDetail,ignoreFocusLost:u?.ignoreFocusOut,canPickMany:u?.canPickMany},h),O={},U=k.then(()=>O);return Promise.race([U,b]).then(F=>{if(F!==O)return b.then(M=>{const V=[];for(let H=0;H<M.length;H++){const N=M[H];typeof N=="string"?V.push({label:N,handle:H}):N.kind===y.QuickPickItemKind.Separator?V.push({type:"separator",label:N.label}):V.push({label:N.label,description:N.description,detail:N.detail,picked:N.picked,alwaysShow:N.alwaysShow,handle:H})}return u&&typeof u.onDidSelectItem=="function"&&(this._onDidSelectItem=H=>{u.onDidSelectItem(M[H])}),_.$setItems(p,V),k.then(H=>{if(typeof H=="number")return M[H];if(Array.isArray(H))return H.map(N=>M[N])})})}).then(void 0,F=>{if(!(0,A.isPromiseCanceledError)(F))return _.$setError(p,F),Promise.reject(F)})}$onItemSelected(l){this._onDidSelectItem&&this._onDidSelectItem(l)}showInput(l,u=i.CancellationToken.None){return this._validateInput=l?l.validateInput:void 0,_.$input(l,typeof this._validateInput=="function",u).then(void 0,h=>{if(!(0,A.isPromiseCanceledError)(h))return Promise.reject(h)})}$validateInput(l){return this._validateInput?(0,f.asPromise)(()=>this._validateInput(l)):Promise.resolve(void 0)}async showWorkspaceFolderPick(l,u=i.CancellationToken.None){const h=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[l]);if(!h)return;const b=await this._workspace.getWorkspaceFolders2();if(!!b)return b.find(p=>p.uri.toString()===h.uri.toString())}createQuickPick(l){const u=new t(l,()=>this._sessions.delete(u._id));return this._sessions.set(u._id,u),u}createInputBox(l){const u=new o(l,()=>this._sessions.delete(u._id));return this._sessions.set(u._id,u),u}$onDidChangeValue(l,u){const h=this._sessions.get(l);h&&h._fireDidChangeValue(u)}$onDidAccept(l){const u=this._sessions.get(l);u&&u._fireDidAccept()}$onDidChangeActive(l,u){const h=this._sessions.get(l);h instanceof t&&h._fireDidChangeActive(u)}$onDidChangeSelection(l,u){const h=this._sessions.get(l);h instanceof t&&h._fireDidChangeSelection(u)}$onDidTriggerButton(l,u){const h=this._sessions.get(l);h&&h._fireDidTriggerButton(u)}$onDidTriggerItemButton(l,u,h){const b=this._sessions.get(l);b instanceof t&&b._fireDidTriggerItemButton(u,h)}$onDidHide(l){const u=this._sessions.get(l);u&&u._fireDidHide()}}class n{constructor(l,u){this._extensionId=l,this._onDidDispose=u,this._id=t._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new I.Emitter,this._onDidChangeValueEmitter=new I.Emitter,this._onDidTriggerButtonEmitter=new I.Emitter,this._onDidHideEmitter=new I.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(l){this._title=l,this.update({title:l})}get step(){return this._steps}set step(l){this._steps=l,this.update({step:l})}get totalSteps(){return this._totalSteps}set totalSteps(l){this._totalSteps=l,this.update({totalSteps:l})}get enabled(){return this._enabled}set enabled(l){this._enabled=l,this.update({enabled:l})}get busy(){return this._busy}set busy(l){this._busy=l,this.update({busy:l})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(l){this._ignoreFocusOut=l,this.update({ignoreFocusOut:l})}get value(){return this._value}set value(l){this._value=l,this.update({value:l})}get placeholder(){return this._placeholder}set placeholder(l){this._placeholder=l,this.update({placeholder:l})}get buttons(){return this._buttons}set buttons(l){this._buttons=l.slice(),this._handlesToButtons.clear(),l.forEach((u,h)=>{const b=u===y.QuickInputButtons.Back?-1:h;this._handlesToButtons.set(b,u)}),this.update({buttons:l.map((u,h)=>({...r(u),tooltip:u.tooltip,handle:u===y.QuickInputButtons.Back?-1:h}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(l){this._value=l,this._onDidChangeValueEmitter.fire(l)}_fireDidTriggerButton(l){const u=this._handlesToButtons.get(l);u&&this._onDidTriggerButtonEmitter.fire(u)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,C.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),_.$dispose(this._id))}update(l){if(!this._disposed){for(const u of Object.keys(l)){const h=l[u];this._pendingUpdate[u]=h===void 0?null:h}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){_.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}n._nextId=1;function m(d){if(d instanceof y.ThemeIcon)return{id:d.id};const l=S(d),u=a(d);return{dark:typeof l=="string"?P.URI.file(l):l,light:typeof u=="string"?P.URI.file(u):u}}function a(d){return typeof d=="object"&&"light"in d?d.light:d}function S(d){return typeof d=="object"&&"dark"in d?d.dark:d}function r(d){const l=m(d.iconPath);let u,h;return"id"in l?h=c.ThemeIcon.asClassName(l):u=l,{iconPath:u,iconClass:h}}class t extends n{constructor(l,u){super(l.identifier,u);this.extension=l,this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new I.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new I.Emitter,this._onDidTriggerItemButtonEmitter=new I.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(l){l.some(h=>h.kind!==void 0)&&(0,E.checkProposedApiEnabled)(this.extension,"quickPickSeparators"),this._items=l.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),l.forEach((h,b)=>{this._handlesToItems.set(b,h),this._itemsToHandles.set(h,b)});const u=[];for(let h=0;h<l.length;h++){const b=l[h];b.kind===y.QuickPickItemKind.Separator?u.push({type:"separator",label:b.label}):u.push({handle:h,label:b.label,description:b.description,detail:b.detail,picked:b.picked,alwaysShow:b.alwaysShow,buttons:b.buttons?.map((p,k)=>({...r(p),tooltip:p.tooltip,handle:k}))})}this.update({items:u})}get canSelectMany(){return this._canSelectMany}set canSelectMany(l){this._canSelectMany=l,this.update({canSelectMany:l})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(l){this._matchOnDescription=l,this.update({matchOnDescription:l})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(l){this._matchOnDetail=l,this.update({matchOnDetail:l})}get sortByLabel(){return this._sortByLabel}set sortByLabel(l){this._sortByLabel=l,this.update({sortByLabel:l})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(l){this._keepScrollPosition=l,this.update({keepScrollPosition:l})}get activeItems(){return this._activeItems}set activeItems(l){this._activeItems=l.filter(u=>this._itemsToHandles.has(u)),this.update({activeItems:this._activeItems.map(u=>this._itemsToHandles.get(u))})}get selectedItems(){return this._selectedItems}set selectedItems(l){this._selectedItems=l.filter(u=>this._itemsToHandles.has(u)),this.update({selectedItems:this._selectedItems.map(u=>this._itemsToHandles.get(u))})}_fireDidChangeActive(l){const u=(0,L.coalesce)(l.map(h=>this._handlesToItems.get(h)));this._activeItems=u,this._onDidChangeActiveEmitter.fire(u)}_fireDidChangeSelection(l){const u=(0,L.coalesce)(l.map(h=>this._handlesToItems.get(h)));this._selectedItems=u,this._onDidChangeSelectionEmitter.fire(u)}_fireDidTriggerItemButton(l,u){const h=this._handlesToItems.get(l);if(!h||!h.buttons||!h.buttons.length)return;const b=h.buttons[u];b&&this._onDidTriggerItemButtonEmitter.fire({button:b,item:h})}}class o extends n{constructor(l,u){super(l,u);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(l){this._password=l,this.update({password:l})}get prompt(){return this._prompt}set prompt(l){this._prompt=l,this.update({prompt:l})}get validationMessage(){return this._validationMessage}set validationMessage(l){this._validationMessage=l,this.update({validationMessage:l,severity:l?D.default.Error:D.default.Ignore})}}return new s(v,R)}e.createExtHostQuickOpen=g});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[248],ve([0,1,2,3,57,6,18,5,16,101,11,27,86,17,30]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g){"use strict";var w,v;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function R(u){if(u)return typeof u.iconPath=="string"?f.URI.file(u.iconPath):f.URI.isUri(u.iconPath)||c.ThemeIcon.isThemeIcon(u.iconPath)?u.iconPath:void 0}function _(u,h){if(!u.iconPath&&!h.iconPath)return 0;if(u.iconPath){if(!h.iconPath)return 1}else return-1;const b=typeof u.iconPath=="string"?u.iconPath:f.URI.isUri(u.iconPath)?u.iconPath.fsPath:u.iconPath.id,p=typeof h.iconPath=="string"?h.iconPath:f.URI.isUri(h.iconPath)?h.iconPath.fsPath:h.iconPath.id;return(0,A.comparePaths)(b,p)}function s(u,h){let b=0;if(u.strikeThrough!==h.strikeThrough)return u.strikeThrough?1:-1;if(u.faded!==h.faded)return u.faded?1:-1;if(u.tooltip!==h.tooltip)return(u.tooltip||"").localeCompare(h.tooltip||"");if(b=_(u,h),b!==0)return b;if(u.light&&h.light)b=_(u.light,h.light);else{if(u.light)return 1;if(h.light)return-1}if(b!==0)return b;if(u.dark&&h.dark)b=_(u.dark,h.dark);else{if(u.dark)return 1;if(h.dark)return-1}return b}function n(u,h){if(u.command!==h.command)return u.command<h.command?-1:1;if(u.title!==h.title)return u.title<h.title?-1:1;if(u.tooltip!==h.tooltip){if(u.tooltip!==void 0&&h.tooltip!==void 0)return u.tooltip<h.tooltip?-1:1;if(u.tooltip!==void 0)return 1;if(h.tooltip!==void 0)return-1}if(u.arguments===h.arguments)return 0;if(u.arguments)if(h.arguments){if(u.arguments.length!==h.arguments.length)return u.arguments.length-h.arguments.length}else return 1;else return-1;for(let b=0;b<u.arguments.length;b++){const p=u.arguments[b],k=h.arguments[b];if(p!==k)return p<k?-1:1}return 0}function m(u,h){let b=(0,A.comparePaths)(u.resourceUri.fsPath,h.resourceUri.fsPath,!0);if(b!==0)return b;if(u.command&&h.command)b=n(u.command,h.command);else{if(u.command)return 1;if(h.command)return-1}if(b!==0)return b;if(u.decorations&&h.decorations)b=s(u.decorations,h.decorations);else{if(u.decorations)return 1;if(h.decorations)return-1}return b}function a(u,h){for(let b=0;b<u.length;b++)if(u[b]!==h[b])return!1;return!0}function S(u,h){return u.command===h.command&&u.title===h.title&&u.tooltip===h.tooltip&&(u.arguments&&h.arguments?a(u.arguments,h.arguments):u.arguments===h.arguments)}function r(u,h){return(0,y.equals)(u,h,S)}class t{constructor(h,b,p){this._extension=h,this._sourceControlHandle=p,w.set(this,void 0),this._value="",this._onDidChange=new i.Emitter,this._placeholder="",this._visible=!0,it(this,w,b,"f")}get value(){return this._value}set value(h){h=h??"",Le(this,w,"f").$setInputBoxValue(this._sourceControlHandle,h),this.updateValue(h)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(h){Le(this,w,"f").$setInputBoxPlaceholder(this._sourceControlHandle,h),this._placeholder=h}get validateInput(){return(0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(h){if((0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),h&&typeof h!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=h,Le(this,w,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!h)}get visible(){return this._visible}set visible(h){h=!!h,this._visible!==h&&(this._visible=h,Le(this,w,"f").$setInputBoxVisibility(this._sourceControlHandle,h))}showValidationMessage(h,b){(0,g.checkProposedApiEnabled)(this._extension,"scmValidation"),Le(this,w,"f").$showValidationMessage(this._sourceControlHandle,h,b)}$onInputBoxValueChange(h){this.updateValue(h)}updateValue(h){this._value=h,this._onDidChange.fire(h)}}e.ExtHostSCMInputBox=t,w=new WeakMap;class o{constructor(h,b,p,k,O){this._proxy=h,this._commands=b,this._sourceControlHandle=p,this._id=k,this._label=O,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new i.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new i.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=o._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(h){this._label=h,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,h)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(h){this._hideWhenEmpty=h,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(h){this._resourceStates=[...h],this._onDidUpdateResourceStates.fire()}getResourceState(h){return this._resourceStatesMap.get(h)}$executeResourceCommand(h,b){const p=this._resourceStatesCommandsMap.get(h);return p?(0,T.asPromise)(()=>this._commands.executeCommand(p.command,...p.arguments||[],b)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const h=[...this._resourceStates].sort(m),p=(0,y.sortedDiff)(this._resourceSnapshot,h,m).map(U=>{const F=U.toInsert.map(M=>{const V=this._resourceHandlePool++;this._resourceStatesMap.set(V,M);const H=M.resourceUri;let N;if(M.command)if(M.command.command==="vscode.open"||M.command.command==="vscode.diff"){const he=new C.DisposableStore;N=this._commands.converter.toInternal(M.command,he),this._resourceStatesDisposablesMap.set(V,he)}else this._resourceStatesCommandsMap.set(V,M.command);const x=R(M.decorations),W=M.decorations&&R(M.decorations.light)||x,B=M.decorations&&R(M.decorations.dark)||x,j=[W,B],Z=M.decorations&&M.decorations.tooltip||"",se=M.decorations&&!!M.decorations.strikeThrough,Q=M.decorations&&!!M.decorations.faded,z=M.contextValue||"";return{rawResource:[V,H,j,Z,se,Q,z,N],handle:V}});return{start:U.start,deleteCount:U.deleteCount,toInsert:F}}),k=p.map(({start:U,deleteCount:F,toInsert:M})=>[U,F,M.map(V=>V.rawResource)]),O=p.reverse();for(const{start:U,deleteCount:F,toInsert:M}of O){const V=M.map(N=>N.handle),H=this._handlesSnapshot.splice(U,F,...V);for(const N of H)this._resourceStatesMap.delete(N),this._resourceStatesCommandsMap.delete(N),this._resourceStatesDisposablesMap.get(N)?.dispose(),this._resourceStatesDisposablesMap.delete(N)}return this._resourceSnapshot=h,k}dispose(){this._disposed=!0,this._onDidDispose.fire()}}o._handlePool=0;class d{constructor(h,b,p,k,O,U){this._extension=h,this._commands=p,this._id=k,this._label=O,this._rootUri=U,v.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new C.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new C.MutableDisposable,this._statusBarDisposables=new C.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new i.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=d._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,it(this,v,b,"f"),this._inputBox=new t(h,Le(this,v,"f"),this.handle),Le(this,v,"f").$registerSourceControl(this.handle,k,O,U)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(h){this._count!==h&&(this._count=h,Le(this,v,"f").$updateSourceControl(this.handle,{count:h}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(h){this._quickDiffProvider=h,Le(this,v,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!h})}get commitTemplate(){return this._commitTemplate}set commitTemplate(h){h!==this._commitTemplate&&(this._commitTemplate=h,Le(this,v,"f").$updateSourceControl(this.handle,{commitTemplate:h}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(h){this._acceptInputDisposables.value=new C.DisposableStore,this._acceptInputCommand=h;const b=this._commands.converter.toInternal(h,this._acceptInputDisposables.value);Le(this,v,"f").$updateSourceControl(this.handle,{acceptInputCommand:b})}get actionButton(){return(0,g.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(h){(0,g.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new C.DisposableStore,this._actionButton=h;const b=h!==void 0?this._commands.converter.toInternal(this._actionButton,this._actionButtonDisposables.value):void 0;Le(this,v,"f").$updateSourceControl(this.handle,{actionButton:b??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(h){if(this._statusBarCommands&&h&&r(this._statusBarCommands,h))return;this._statusBarDisposables.value=new C.DisposableStore,this._statusBarCommands=h;const b=(h||[]).map(p=>this._commands.converter.toInternal(p,this._statusBarDisposables.value));Le(this,v,"f").$updateSourceControl(this.handle,{statusBarCommands:b})}get selected(){return this._selected}createResourceGroup(h,b){const p=new o(Le(this,v,"f"),this._commands,this.handle,h,b),k=i.Event.once(p.onDidDispose)(()=>this.createdResourceGroups.delete(p));return this.createdResourceGroups.set(p,k),this.eventuallyAddResourceGroups(),p}eventuallyAddResourceGroups(){const h=[],b=[];for(const[p,k]of this.createdResourceGroups){k.dispose();const O=p.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(p),this.eventuallyUpdateResourceStates()});i.Event.once(p.onDidDispose)(()=>{this.updatedResourceGroups.delete(p),O.dispose(),this._groups.delete(p.handle),Le(this,v,"f").$unregisterGroup(this.handle,p.handle)}),h.push([p.handle,p.id,p.label,p.features]);const U=p._takeResourceStateSnapshot();U.length>0&&b.push([p.handle,U]),this._groups.set(p.handle,p)}Le(this,v,"f").$registerGroups(this.handle,h,b),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const h=[];this.updatedResourceGroups.forEach(b=>{const p=b._takeResourceStateSnapshot();p.length!==0&&h.push([b.handle,p])}),h.length>0&&Le(this,v,"f").$spliceResourceStates(this.handle,h),this.updatedResourceGroups.clear()}getResourceGroup(h){return this._groups.get(h)}setSelectionState(h){this._selected=h,this._onDidChangeSelection.fire(h)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(h=>h.dispose()),Le(this,v,"f").$unregisterSourceControl(this.handle)}}v=new WeakMap,d._handlePool=0,je([(0,I.debounce)(100)],d.prototype,"eventuallyAddResourceGroups",null),je([(0,I.debounce)(100)],d.prototype,"eventuallyUpdateResourceStates",null);let l=class zi{constructor(h,b,p){this._commands=b,this.logService=p,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new i.Emitter,this._proxy=h.getProxy(P.MainContext.MainThreadSCM),this._telemetry=h.getProxy(P.MainContext.MainThreadTelemetry),b.registerArgumentProcessor({processArgument:k=>{if(k&&k.$mid===3){const O=this._sourceControls.get(k.sourceControlHandle);if(!O)return k;const U=O.getResourceGroup(k.groupHandle);return U?U.getResourceState(k.handle):k}else if(k&&k.$mid===4){const O=this._sourceControls.get(k.sourceControlHandle);return O?O.getResourceGroup(k.groupHandle):k}else if(k&&k.$mid===5){const O=this._sourceControls.get(k.handle);return O||k}return k}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(h,b,p,k){this.logService.trace("ExtHostSCM#createSourceControl",h.identifier.value,b,p,k),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:h.identifier.value});const O=zi._handlePool++,U=new d(h,this._proxy,this._commands,b,p,k);this._sourceControls.set(O,U);const F=this._sourceControlsByExtension.get(D.ExtensionIdentifier.toKey(h.identifier))||[];return F.push(U),this._sourceControlsByExtension.set(D.ExtensionIdentifier.toKey(h.identifier),F),U}getLastInputBox(h){this.logService.trace("ExtHostSCM#getLastInputBox",h.identifier.value);const b=this._sourceControlsByExtension.get(D.ExtensionIdentifier.toKey(h.identifier)),p=b&&b[b.length-1];return p&&p.inputBox}$provideOriginalResource(h,b,p){const k=f.URI.revive(b);this.logService.trace("ExtHostSCM#$provideOriginalResource",h,k.toString());const O=this._sourceControls.get(h);return!O||!O.quickDiffProvider||!O.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,T.asPromise)(()=>O.quickDiffProvider.provideOriginalResource(k,p)).then(U=>U||null)}$onInputBoxValueChange(h,b){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",h);const p=this._sourceControls.get(h);return p&&p.inputBox.$onInputBoxValueChange(b),Promise.resolve(void 0)}$executeResourceCommand(h,b,p,k){this.logService.trace("ExtHostSCM#$executeResourceCommand",h,b,p);const O=this._sourceControls.get(h);if(!O)return Promise.resolve(void 0);const U=O.getResourceGroup(b);return U?U.$executeResourceCommand(p,k):Promise.resolve(void 0)}$validateInput(h,b,p){this.logService.trace("ExtHostSCM#$validateInput",h);const k=this._sourceControls.get(h);return!k||!k.inputBox.validateInput?Promise.resolve(void 0):(0,T.asPromise)(()=>k.inputBox.validateInput(b,p)).then(O=>{if(!O)return Promise.resolve(void 0);const U=E.MarkdownString.fromStrict(O.message);return U?Promise.resolve([U,O.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(h){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",h),h!==void 0&&this._sourceControls.get(h)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=h,Promise.resolve(void 0)}};l._handlePool=0,l=je([ze(2,L.ILogService)],l),e.ExtHostSCM=l});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[249],ve([0,1,7,5,166,6,17,13]),function(X,e,f,i,I,C,T,P){"use strict";var y,A;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class L{constructor(g,w,v,R,_=f.StatusBarAlignment.Left,s){y.set(this,void 0),A.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new C.DisposableStore,it(this,y,g,"f"),it(this,A,w,"f"),this._entryId=L.ID_GEN++,this._extension=v,this._id=R,this._alignment=_,this._priority=this.validatePriority(s)}validatePriority(g){if(!!(0,P.isNumber)(g))return g===Number.POSITIVE_INFINITY?Number.MAX_VALUE:g===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:g}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(g){this._text=g,this.update()}set name(g){this._name=g,this.update()}set tooltip(g){this._tooltip=g,this.update()}set color(g){this._color=g,this.update()}set backgroundColor(g){g&&!L.ALLOWED_BACKGROUND_COLORS.has(g.id)&&(g=void 0),this._backgroundColor=g,this.update()}set command(g){this._command?.fromApi!==g&&(this._internalCommandRegistration.clear(),typeof g=="string"?this._command={fromApi:g,internal:Le(this,A,"f").toInternal({title:"",command:g},this._internalCommandRegistration)}:g?this._command={fromApi:g,internal:Le(this,A,"f").toInternal(g,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(g){this._accessibilityInformation=g,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Le(this,y,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let g;this._extension?this._id?g=`${this._extension.identifier.value}.${this._id}`:g=this._extension.identifier.value:g=this._id;let w;this._name?w=this._name:w=(0,I.localize)(0,null,this._extension.displayName||this._extension.name);let v=this._color;this._backgroundColor&&(v=L.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const R=this._tooltip?T.MarkdownString.fromStrict(this._tooltip):void 0;Le(this,y,"f").$setEntry(this._entryId,g,w,this._text,R,this._command?.internal,v,this._backgroundColor,this._alignment===f.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=L,y=new WeakMap,A=new WeakMap,L.ID_GEN=0,L.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new f.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new f.ThemeColor("statusBarItem.warningForeground")]]);class D{constructor(g){this._messages=[],this._item=g.createStatusBarEntry(void 0,"status.extensionMessage",f.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,I.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(g){const w={message:g};return this._messages.unshift(w),this._update(),new f.Disposable(()=>{const v=this._messages.indexOf(w);v>=0&&(this._messages.splice(v,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class c{constructor(g,w){this._proxy=g.getProxy(i.MainContext.MainThreadStatusBar),this._commands=w,this._statusMessage=new D(this)}createStatusBarEntry(g,w,v,R){return new L(this._proxy,this._commands,g,w,v,R)}setStatusBarMessage(g,w){const v=this._statusMessage.setMessage(g);let R;return typeof w=="number"?R=setTimeout(()=>v.dispose(),w):typeof w!="undefined"&&w.then(()=>v.dispose(),()=>v.dispose()),new f.Disposable(()=>{v.dispose(),clearTimeout(R)})}}e.ExtHostStatusBar=c}),define(pe[91],ve([0,1,5,3,4]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class C{constructor(P){this._onDidChangeStorage=new i.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(f.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,y){this._proxy.$registerExtensionStorageKeysToSync(P,y)}initializeExtensionStorage(P,y,A){return this._proxy.$initializeExtensionStorage(P,y).then(L=>L||A)}setValue(P,y,A){return this._proxy.$setValue(P,y,A)}$acceptValue(P,y,A){this._onDidChangeStorage.fire({shared:P,key:y,value:A})}}e.ExtHostStorage=C,e.IExtHostStorage=(0,I.createDecorator)("IExtHostStorage")}),define(pe[68],ve([0,1,4,26,11,67,2]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,f.createDecorator)("IExtensionStoragePaths");let P=class{constructor(A,L,D){this._logService=L,this._extHostFileSystem=D,this._workspace=A.workspace??void 0,this._environment=A.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(c=>this._value=c)}async _getWorkspaceStorageURI(A){return T.URI.joinPath(this._environment.workspaceStorageHome,A)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const A=this._workspace.id,L=await this._getWorkspaceStorageURI(A);try{return await this._extHostFileSystem.value.stat(L),this._logService.trace("[ExtHostStorage] storage dir already exists",L),L}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",L),await this._extHostFileSystem.value.createDirectory(L),await this._extHostFileSystem.value.writeFile(T.URI.joinPath(L,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:T.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),L}catch(D){this._logService.error("[ExtHostStorage]",D);return}}workspaceValue(A){if(this._value)return T.URI.joinPath(this._value,A.identifier.value)}globalValue(A){return T.URI.joinPath(this._environment.globalStorageHome,A.identifier.value.toLowerCase())}onWillDeactivateAll(){}};P=je([ze(0,i.IExtHostInitDataService),ze(1,I.ILogService),ze(2,C.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(pe[34],ve([0,1,3,5,4,2,14,6,7,167,15,214,21,33,196,86,13,18]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,I.createDecorator)("IExtHostTerminalService");class _{constructor(d,l,u,h){this._proxy=d,this._id=l,this._creationOptions=u,this._name=h,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(p=>this._pidPromiseComplete=p);const b=this;this.value={get name(){return b._name||""},get processId(){return b._pidPromise},get creationOptions(){return b._creationOptions},get exitStatus(){return b._exitStatus},get state(){return b._state},sendText(p,k=!0){b._checkDisposed(),b._proxy.$sendText(b._id,p,k)},show(p){b._checkDisposed(),b._proxy.$show(b._id,p)},hide(){b._checkDisposed(),b._proxy.$hide(b._id)},dispose(){b._disposed||(b._disposed=!0,b._proxy.$dispose(b._id))},get dimensions(){if(!(b._cols===void 0||b._rows===void 0))return{columns:b._cols,rows:b._rows}}}}async create(d,l){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:d.name,shellPath:(0,v.withNullAsUndefined)(d.shellPath),shellArgs:(0,v.withNullAsUndefined)(d.shellArgs),cwd:(0,v.withNullAsUndefined)(d.cwd),env:(0,v.withNullAsUndefined)(d.env),icon:(0,v.withNullAsUndefined)(r(d.iconPath)),color:w.ThemeColor.isThemeColor(d.color)?d.color.id:void 0,initialText:(0,v.withNullAsUndefined)(d.message),strictEnv:(0,v.withNullAsUndefined)(d.strictEnv),hideFromUser:(0,v.withNullAsUndefined)(d.hideFromUser),isFeatureTerminal:(0,v.withNullAsUndefined)(l?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,v.withNullAsUndefined)(l?.useShellEnvironment),location:l?.location||this._serializeParentTerminal(d.location,l?.resolvedExtHostIdentifier),disablePersistence:(0,v.withNullAsUndefined)(d.disablePersistence)})}async createExtensionTerminal(d,l,u,h){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:u,color:w.ThemeColor.isThemeColor(h)?h.id:void 0,location:this._serializeParentTerminal(d,l),disablePersistence:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(d,l){return typeof d=="object"?"parentTerminal"in d&&d.parentTerminal&&l?{parentTerminal:l}:"viewColumn"in d?{viewColumn:d.viewColumn,preserveFocus:d.preserveFocus}:void 0:d}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(d){this._name=d}setExitCode(d){this._exitStatus=Object.freeze({code:d})}setDimensions(d,l){return d===this._cols&&l===this._rows||d===0||l===0?!1:(this._cols=d,this._rows=l,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(d){this._pidPromiseComplete?(this._pidPromiseComplete(d),this._pidPromiseComplete=void 0):this._pidPromise.then(l=>{l!==d&&(this._pidPromise=Promise.resolve(d))})}}e.ExtHostTerminal=_;class s{constructor(d){this._pty=d,this.id=0,this.shouldPersist=!1,this._capabilities=[],this._onProcessData=new f.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new f.Emitter,this._onDidChangeProperty=new f.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new f.Emitter,this.onProcessExit=this._onProcessExit.event}get capabilities(){return this._capabilities}get onProcessReady(){return this._onProcessReady.event}refreshProperty(d){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${d}`)}updateProperty(d,l){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${d}, value: ${l}`)}async start(){}shutdown(){this._pty.close()}input(d){this._pty.handleInput?.(d)}resize(d,l){this._pty.setDimensions?.({columns:d,rows:l})}async processBinary(d){}acknowledgeDataEvent(d){}async setUnicodeVersion(d){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(d){this._pty.onDidWrite(l=>this._onProcessData.fire(l)),this._pty.onDidClose?.((l=void 0)=>{this._onProcessExit.fire(l===void 0?void 0:l)}),this._pty.onDidOverrideDimensions?.(l=>{l&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:l.columns,rows:l.rows}})}),this._pty.onDidChangeName?.(l=>{this._onDidChangeProperty.fire({type:"title",value:l})}),this._pty.open(d||void 0),d&&this._pty.setDimensions?.(d),this._onProcessReady.fire({pid:-1,cwd:"",capabilities:this._capabilities})}}e.ExtHostPseudoterminal=s;let n=1,m=class extends P.Disposable{constructor(d,l){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new f.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new f.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new f.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new f.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new f.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=l.getProxy(i.MainContext.MainThreadTerminalService),this._bufferer=new g.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new f.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(d),this._register({dispose:()=>{for(const[u,h]of this._terminalProcesses)h.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(d=>d.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(d){return(d?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(d){return(d?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(d,l){const u=new _(this._proxy,(0,E.generateUuid)(),d,d.name),h=new s(d.pty);return u.createExtensionTerminal(d.location,this._serializeParentTerminal(d,l).resolvedExtHostIdentifier,r(d.iconPath),t(d.color)).then(b=>{const p=this._setupExtHostProcessListeners(b,h);this._terminalProcessDisposables[b]=p}),this._terminals.push(u),u.value}_serializeParentTerminal(d,l){if(l=l||{},d.location&&typeof d.location=="object"&&"parentTerminal"in d.location){const u=d.location.parentTerminal;if(u){const h=this._terminals.find(b=>b.value===u);h&&(l.resolvedExtHostIdentifier=h._id)}}else d.location&&typeof d.location!="object"?l.location=d.location:l.location&&typeof l.location=="object"&&"splitActiveTerminal"in l.location&&(l.location={splitActiveTerminal:!0});return l}attachPtyToTerminal(d,l){if(!this._getTerminalById(d))throw new Error(`Cannot resolve terminal with id ${d} for virtual process`);const h=new s(l),b=this._setupExtHostProcessListeners(d,h);this._terminalProcessDisposables[d]=b}async $acceptActiveTerminalChanged(d){const l=this._activeTerminal;if(d===null){this._activeTerminal=void 0,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const u=this._getTerminalById(d);u&&(this._activeTerminal=u,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(d,l){const u=this._getTerminalById(d);u&&this._onDidWriteTerminalData.fire({terminal:u.value,data:l})}async $acceptTerminalDimensions(d,l,u){const h=this._getTerminalById(d);h&&h.setDimensions(l,u)&&this._onDidChangeTerminalDimensions.fire({terminal:h.value,dimensions:h.value.dimensions})}async $acceptTerminalMaximumDimensions(d,l,u){this._terminalProcesses.get(d)?.resize(l,u)}async $acceptTerminalTitleChange(d,l){const u=this._getTerminalById(d);u&&(u.name=l)}async $acceptTerminalClosed(d,l){const u=this._getTerminalObjectIndexById(this._terminals,d);if(u!==null){const h=this._terminals.splice(u,1)[0];h.setExitCode(l),this._onDidCloseTerminal.fire(h.value)}}$acceptTerminalOpened(d,l,u,h){if(l){const k=this._getTerminalObjectIndexById(this._terminals,l);if(k!==null){this._terminals[k]._id=d,this._onDidOpenTerminal.fire(this.terminals[k]),this._terminals[k].isOpen=!0;return}}const b={name:h.name,shellPath:h.executable,shellArgs:h.args,cwd:typeof h.cwd=="string"?h.cwd:C.URI.revive(h.cwd),env:h.env,hideFromUser:h.hideFromUser},p=new _(this._proxy,d,b,u);this._terminals.push(p),this._onDidOpenTerminal.fire(p.value),p.isOpen=!0}async $acceptTerminalProcessId(d,l){const u=this._getTerminalById(d);u&&u._setProcessId(l)}async $startExtensionTerminal(d,l){const u=this._getTerminalById(d);if(!u)return{message:(0,A.localize)(0,null,d)};u.isOpen||await new Promise(b=>{const p=this.onDidOpenTerminal(async k=>{k===u.value&&(p.dispose(),b())})});const h=this._terminalProcesses.get(d);h?h.startSendingEvents(l):this._extensionTerminalAwaitingStart[d]={initialDimensions:l}}_setupExtHostProcessListeners(d,l){const u=new P.DisposableStore;u.add(l.onProcessReady(b=>this._proxy.$sendProcessReady(d,b.pid,b.cwd))),u.add(l.onDidChangeProperty(b=>this._proxy.$sendProcessProperty(d,b))),this._bufferer.startBuffering(d,l.onProcessData),u.add(l.onProcessExit(b=>this._onProcessExit(d,b))),this._terminalProcesses.set(d,l);const h=this._extensionTerminalAwaitingStart[d];return h&&l instanceof s&&(l.startSendingEvents(h.initialDimensions),delete this._extensionTerminalAwaitingStart[d]),u}$acceptProcessAckDataEvent(d,l){this._terminalProcesses.get(d)?.acknowledgeDataEvent(l)}$acceptProcessInput(d,l){this._terminalProcesses.get(d)?.input(l)}$acceptTerminalInteraction(d){const l=this._getTerminalById(d);l?.setInteractedWith()&&this._onDidChangeTerminalState.fire(l.value)}$acceptProcessResize(d,l,u){try{this._terminalProcesses.get(d)?.resize(l,u)}catch(h){if(h.code!=="EPIPE"&&h.code!=="ERR_IPC_CHANNEL_CLOSED")throw h}}$acceptProcessShutdown(d,l){this._terminalProcesses.get(d)?.shutdown(l)}$acceptProcessRequestInitialCwd(d){this._terminalProcesses.get(d)?.getInitialCwd().then(l=>this._proxy.$sendProcessProperty(d,{type:"initialCwd",value:l}))}$acceptProcessRequestCwd(d){this._terminalProcesses.get(d)?.getCwd().then(l=>this._proxy.$sendProcessProperty(d,{type:"cwd",value:l}))}$acceptProcessRequestLatency(d){return d}registerLinkProvider(d){return this._linkProviders.add(d),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new y.Disposable(()=>{this._linkProviders.delete(d),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(d,l,u){if(this._profileProviders.has(l))throw new Error(`Terminal profile provider "${l}" already registered`);return this._profileProviders.set(l,u),this._proxy.$registerProfileProvider(l,d.identifier.value),new y.Disposable(()=>{this._profileProviders.delete(l),this._proxy.$unregisterProfileProvider(l)})}async $createContributedProfileTerminal(d,l){const u=new c.CancellationTokenSource().token;let h=await this._profileProviders.get(d)?.provideTerminalProfile(u);if(!u.isCancellationRequested){if(h&&!("options"in h)&&(h={options:h}),!h||!("options"in h))throw new Error(`No terminal profile options provided for id "${d}"`);if("pty"in h.options){this.createExtensionTerminal(h.options,l);return}this.createTerminalFromOptions(h.options,l)}}async $provideLinks(d,l){const u=this._getTerminalById(d);if(!u)return[];this._terminalLinkCache.delete(d);const h=this._terminalLinkCancellationSource.get(d);h&&h.dispose(!0);const b=new c.CancellationTokenSource;this._terminalLinkCancellationSource.set(d,b);const p=[],k={terminal:u.value,line:l},O=[];for(const M of this._linkProviders)O.push(R.Promises.withAsyncBody(async V=>{b.token.onCancellationRequested(()=>V({provider:M,links:[]}));const H=await M.provideTerminalLinks(k,b.token)||[];b.token.isCancellationRequested||V({provider:M,links:H})}));const U=await Promise.all(O);if(b.token.isCancellationRequested)return[];const F=new Map;for(const M of U)M&&M.links.length>0&&p.push(...M.links.map(V=>{const H={id:n++,startIndex:V.startIndex,length:V.length,label:V.tooltip};return F.set(H.id,{provider:M.provider,link:V}),H}));return this._terminalLinkCache.set(d,F),p}$activateLink(d,l){const u=this._terminalLinkCache.get(d)?.get(l);!u||u.provider.handleTerminalLink(u.link)}_onProcessExit(d,l){this._bufferer.stopBuffering(d),this._terminalProcesses.delete(d),delete this._extensionTerminalAwaitingStart[d];const u=this._terminalProcessDisposables[d];u&&(u.dispose(),delete this._terminalProcessDisposables[d]),this._proxy.$sendProcessExit(d,l)}_getTerminalById(d){return this._getTerminalObjectById(this._terminals,d)}_getTerminalObjectById(d,l){const u=this._getTerminalObjectIndexById(d,l);return u!==null?d[u]:null}_getTerminalObjectIndexById(d,l){let u=null;return d.some((h,b)=>h._id===l?(u=b,!0):!1),u}getEnvironmentVariableCollection(d){let l=this._environmentVariableCollections.get(d.identifier.value);return l||(l=new a,this._setEnvironmentVariableCollection(d.identifier.value,l)),l}_syncEnvironmentVariableCollection(d,l){const u=(0,D.serializeEnvironmentVariableCollection)(l.map);this._proxy.$setEnvironmentVariableCollection(d,l.persistent,u.length===0?void 0:u)}$initEnvironmentVariableCollections(d){d.forEach(l=>{const u=l[0],h=new a(l[1]);this._setEnvironmentVariableCollection(u,h)})}$acceptDefaultProfile(d,l){this._defaultProfile=d,this._defaultAutomationProfile=l}_setEnvironmentVariableCollection(d,l){this._environmentVariableCollections.set(d,l),l.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(d,l)})}};m=je([ze(1,T.IExtHostRpcService)],m),e.BaseExtHostTerminalService=m;class a{constructor(d){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new f.Emitter,this.map=new Map(d)}get persistent(){return this._persistent}set persistent(d){this._persistent=d,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(d,l){this._setIfDiffers(d,{value:l,type:y.EnvironmentVariableMutatorType.Replace})}append(d,l){this._setIfDiffers(d,{value:l,type:y.EnvironmentVariableMutatorType.Append})}prepend(d,l){this._setIfDiffers(d,{value:l,type:y.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(d,l){const u=this.map.get(d);(!u||u.value!==l.value||u.type!==l.type)&&(this.map.set(d,l),this._onDidChangeCollection.fire())}get(d){return this.map.get(d)}forEach(d,l){this.map.forEach((u,h)=>d.call(l,h,u,this))}delete(d){this.map.delete(d),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=a;let S=class extends m{constructor(d){super(!1,d)}createTerminal(d,l,u){throw new L.NotSupportedError}createTerminalFromOptions(d,l){throw new L.NotSupportedError}};S=je([ze(0,T.IExtHostRpcService)],S),e.WorkerExtHostTerminalService=S;function r(o){if(!(!o||typeof o=="string"))return"id"in o?{id:o.id,color:o.color}:o}function t(o){return w.ThemeColor.isThemeColor(o)?o:void 0}});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[250],ve([0,1,16,22,21,3,76,47,6,25,13,33,5,14,64,17,7,221,127,89]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s){"use strict";var n;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let m=class{constructor(k,O){this.resultsChangedEmitter=new C.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=k.getProxy(c.MainContext.MainThreadTesting),this.observer=new u(this.proxy),this.runTracker=new S(this.proxy),O.registerArgumentProcessor({processArgument:U=>U?.$mid===13?w.TestItem.toItemFromContext(U):U})}createTestController(k,O,U){if(this.controllers.has(k))throw new Error(`Attempt to insert a duplicate controller with ID "${k}"`);const F=new y.DisposableStore,M=F.add(new R.SingleUseTestCollection(k));M.root.label=O;const V=new Map,H=this.proxy,N={items:M.root.children,get label(){return O},set label(W){O=W,M.root.label=W,H.$updateController(k,{label:O})},get refreshHandler(){return U},set refreshHandler(W){U=W,H.$updateController(k,{canRefresh:!!W})},get id(){return k},createRunProfile:(W,B,j,Z,se)=>{let Q=(0,P.hash)(W);for(;V.has(Q);)Q++;const z=new h(this.proxy,k,Q,W,B,j,Z,se);return V.set(Q,z),z},createTestItem(W,B,j){return new g.TestItemImpl(k,W,B,j)},createTestRun:(W,B,j=!0)=>this.runTracker.createTestRun(k,M,W,B,j),set resolveHandler(W){M.resolveHandler=W},get resolveHandler(){return M.resolveHandler},dispose:()=>{F.dispose()}};H.$registerTestController(k,O,!!U),F.add((0,y.toDisposable)(()=>H.$unregisterTestController(k)));const x={controller:N,collection:M,profiles:V};return this.controllers.set(k,x),F.add((0,y.toDisposable)(()=>this.controllers.delete(k))),F.add(M.onDidGenerateDiff(W=>H.$publishDiff(k,W))),N}createTestObserver(){return this.observer.checkout()}async runTests(k,O=I.CancellationToken.None){const U=r(k);if(!U)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const F=this.controllers.get(U.controllerId);if(!F)throw new Error("Controller not found");await this.proxy.$runTests({targets:[{testIds:k.include?.map(M=>M.id)??[F.collection.root.id],profileGroup:b[U.kind],profileId:U.profileId,controllerId:U.controllerId}],exclude:k.exclude?.map(M=>M.id)},O)}$provideFileCoverage(k,O,U){return(0,f.mapFind)(this.runTracker.trackers,M=>M.id===k?M.getCoverage(O):void 0)?.provideFileCoverage(U)??Promise.resolve([])}$resolveFileCoverage(k,O,U,F){return(0,f.mapFind)(this.runTracker.trackers,V=>V.id===k?V.getCoverage(O):void 0)?.resolveFileCoverage(U,F)??Promise.resolve([])}$configureRunProfile(k,O){this.controllers.get(k)?.profiles.get(O)?.configureHandler?.()}async $refreshTests(k,O){await this.controllers.get(k)?.controller.refreshHandler?.(O)}$publishTestResults(k){this.results=Object.freeze(k.map(O=>(0,A.deepFreeze)(w.TestResults.to(O))).concat(this.results).sort((O,U)=>U.completedAt-O.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(k,O){const U=this.controllers.get(s.TestId.fromString(k).controllerId)?.collection;U&&(await U.expand(k,O<0?1/0:O),U.flushDiff())}$acceptDiff(k){this.observer.applyDiff(k)}async $runControllerTests(k,O){const U=this.controllers.get(k.controllerId);if(!U)return;const{collection:F,profiles:M}=U,V=M.get(k.profileId);if(!V)return;const H=k.testIds.map(B=>F.tree.get(B)).filter(L.isDefined),N=k.excludeExtIds.map(B=>U.collection.tree.get(B)).filter(L.isDefined).filter(B=>H.some(j=>j.fullId.compare(B.fullId)===2));if(!H.length)return;const x=new v.TestRunRequest(H.some(B=>B.actual instanceof g.TestItemRootImpl)?void 0:H.map(B=>B.actual),N.map(B=>B.actual),V),W=this.runTracker.prepareForMainThreadTestRun(x,t.fromInternal(k,U.collection),O);try{await V.runHandler(x,O)}finally{W.isRunning&&!O.isCancellationRequested&&await C.Event.toPromise(W.onEnd),W.dispose()}}$cancelExtensionTestRun(k){k===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(k)}};m=je([ze(0,E.IExtHostRpcService)],m),e.ExtHostTesting=m;class a extends y.Disposable{constructor(k,O,U){super();this.dto=k,this.proxy=O,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new C.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new I.CancellationTokenSource(U)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:F}of this.tasks.values())F.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(k){return this.tasks.get(k)?.coverage}createRun(k){const O=this.dto.id,U=this.dto.controllerId,F=(0,D.generateUuid)(),M=new o(this.proxy,O,F),V=W=>(B,...j)=>{if(N){console.warn(`Setting the state of test "${B.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(B)||(this.ensureTestIsKnown(B),W(B,...j))},H=(W,B)=>{const j=B instanceof Array?B.map(w.TestMessage.from):[w.TestMessage.from(B)];if(W.uri&&W.range){const Z={range:w.Range.from(W.range),uri:W.uri};for(const se of j)se.location=se.location||Z}this.proxy.$appendTestMessagesInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),j)};let N=!1;const x={isPersisted:this.dto.isPersisted,token:this.cts.token,name:k,get coverageProvider(){return M.coverageProvider},set coverageProvider(W){M.coverageProvider=W},enqueued:V(W=>{this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),1)}),skipped:V(W=>{this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),5)}),started:V(W=>{this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),2)}),errored:V((W,B,j)=>{H(W,B),this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),6,j)}),failed:V((W,B,j)=>{H(W,B),this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,U).toString(),4,j)}),passed:V((W,B)=>{this.proxy.$updateTestStateInRun(O,F,s.TestId.fromExtHostTestItem(W,this.dto.controllerId).toString(),3,B)}),appendOutput:(W,B,j)=>{N||(j&&(this.dto.isIncluded(j)?this.ensureTestIsKnown(j):j=void 0),this.proxy.$appendOutputToRun(O,F,i.VSBuffer.fromString(W),B&&w.location.from(B),j&&s.TestId.fromExtHostTestItem(j,U).toString()))},end:()=>{N||(N=!0,this.proxy.$finishedTestRunTask(O,F),this.tasks.delete(F),this.isRunning||this.dispose())}};return this.tasks.set(F,{run:x,coverage:M}),this.proxy.$startedTestRunTask(O,{id:F,name:k,running:!0}),x}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(k){if(!(k instanceof g.TestItemImpl))throw new g.InvalidTestItemError(k.id);if(this.sharedTestIds.has(s.TestId.fromExtHostTestItem(k,this.dto.controllerId).toString()))return;const O=[],U=this.dto.colllection.root;for(;;){const F=w.TestItem.from(k);if(O.unshift(F),this.sharedTestIds.has(F.extId)||(this.sharedTestIds.add(F.extId),k===U))break;k=k.parent||U}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,O)}}class S{constructor(k){this.proxy=k,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(k,O,U){return this.getTracker(k,O,U)}cancelRunById(k){for(const O of this.tracked.values())if(O.id===k){O.dispose();return}}cancelAllRuns(){for(const k of this.tracked.values())k.dispose()}createTestRun(k,O,U,F,M){const V=this.tracked.get(U);if(V)return V.createRun(F);const H=t.fromPublic(k,O,U,M),N=r(U);this.proxy.$startedExtensionTestRun({controllerId:k,profile:N&&{group:b[N.kind],id:N.profileId},exclude:U.exclude?.map(W=>W.id)??[],id:H.id,include:U.include?.map(W=>W.id)??[O.root.id],persist:M});const x=this.getTracker(U,H);return x.onEnd(()=>this.proxy.$finishedExtensionTestRun(H.id)),x.createRun(F)}getTracker(k,O,U){const F=new a(O,this.proxy,U);return this.tracked.set(k,F),F.onEnd(()=>this.tracked.delete(k)),F}}e.TestRunCoordinator=S;const r=p=>{if(!!p.profile){if(!(p.profile instanceof h))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return p.profile}};class t{constructor(k,O,U,F,M,V){this.controllerId=k,this.id=O,this.isPersisted=M,this.colllection=V,this.includePrefix=U.map(H=>H+"\0"),this.excludePrefix=F.map(H=>H+"\0")}static fromPublic(k,O,U,F){return new t(k,(0,D.generateUuid)(),U.include?.map(M=>s.TestId.fromExtHostTestItem(M,k).toString())??[k],U.exclude?.map(M=>s.TestId.fromExtHostTestItem(M,k).toString())??[],F,O)}static fromInternal(k,O){return new t(k.controllerId,k.runId,k.testIds,k.excludeExtIds,!0,O)}isIncluded(k){const O=s.TestId.fromExtHostTestItem(k,this.controllerId).toString()+"\0";for(const U of this.excludePrefix)if(O===U||O.startsWith(U))return!1;for(const U of this.includePrefix)if(O===U||O.startsWith(U))return!0;return!1}}e.TestRunDto=t;class o{constructor(k,O,U){this.proxy=k,this.runId=O,this.taskId=U}set coverageProvider(k){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!k||(this._coverageProvider=k,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(k){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(k))());try{return(await this.fileCoverage)?.map(w.TestCoverage.fromFile)??[]}catch(O){throw this.fileCoverage=void 0,O}}async resolveFileCoverage(k,O){const U=await this.fileCoverage;let F=U?.[k];return!this._coverageProvider||!U||!F?[]:(F.detailedCoverage||(F=U[k]=await this._coverageProvider.resolveFileCoverage?.(F,O)??F),F.detailedCoverage?.map(w.TestCoverage.fromDetailed)??[])}}class d extends _.IncrementalChangeCollector{constructor(k){super();this.emitter=k,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(k){this.added.add(k)}update(k){Object.assign(k.revived,w.TestItem.toPlain(k.item)),this.added.has(k)||this.updated.add(k)}remove(k){if(this.added.has(k)){this.added.delete(k);return}if(this.updated.delete(k),k.parent&&this.alreadyRemoved.has(k.parent)){this.alreadyRemoved.add(k.item.extId);return}this.removed.add(k)}getChangeEvent(){const{added:k,updated:O,removed:U}=this;return{get added(){return[...k].map(F=>F.revived)},get updated(){return[...O].map(F=>F.revived)},get removed(){return[...U].map(F=>F.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class l extends _.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new C.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(k){return this.items.get(k)}getMirroredTestDataByReference(k){return this.items.get(k.id)}createItem(k,O){return{...k,revived:w.TestItem.toPlain(k.item),depth:O?O.depth+1:0,children:new Set}}createChangeCollector(){return new d(this.changeEmitter)}}e.MirroredTestCollection=l;class u{constructor(k){this.proxy=k}checkout(){this.current||(this.current=this.createObserverData());const k=this.current;return k.observers++,{onDidChangeTest:k.tests.onDidChangeTests,get tests(){return[...k.tests.rootTests].map(O=>O.revived)},dispose:(0,T.once)(()=>{--k.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(k){return this.current?.tests.getMirroredTestDataByReference(k)}applyDiff(k){this.current?.tests.apply(k)}createObserverData(){const k=new l;return this.proxy.$subscribeToDiffs(),{observers:0,tests:k}}}class h{constructor(k,O,U,F,M,V,H=!1,N=void 0){this.controllerId=O,this.profileId=U,this._label=F,this.kind=M,this.runHandler=V,this._isDefault=H,this._tag=N,n.set(this,void 0),it(this,n,k,"f");const x=b[M];if(typeof x!="number")throw new Error(`Unknown TestRunProfile.group ${M}`);Le(this,n,"f").$publishTestRunProfile({profileId:U,controllerId:O,tag:N?w.TestTag.namespace(this.controllerId,N.id):null,label:F,group:x,isDefault:H,hasConfigurationHandler:!1})}get label(){return this._label}set label(k){k!==this._label&&(this._label=k,Le(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:k}))}get isDefault(){return this._isDefault}set isDefault(k){k!==this._isDefault&&(this._isDefault=k,Le(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:k}))}get tag(){return this._tag}set tag(k){k?.id!==this._tag?.id&&(this._tag=k,Le(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:k?w.TestTag.namespace(this.controllerId,k.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(k){k!==this._configureHandler&&(this._configureHandler=k,Le(this,n,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!k}))}dispose(){Le(this,n,"f").$removeTestProfile(this.controllerId,this.profileId)}}e.TestRunProfileImpl=h,n=new WeakMap;const b={[v.TestRunProfileKind.Coverage]:8,[v.TestRunProfileKind.Debug]:4,[v.TestRunProfileKind.Run]:2}}),define(pe[251],ve([0,1,3,16,5,130,17,7]),function(X,e,f,i,I,C,T,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class y{constructor(L,D){this._extHostDocumentsAndEditors=D,this._onDidChangeTextEditorSelection=new f.Emitter,this._onDidChangeTextEditorOptions=new f.Emitter,this._onDidChangeTextEditorVisibleRanges=new f.Emitter,this._onDidChangeTextEditorViewColumn=new f.Emitter,this._onDidChangeActiveTextEditor=new f.Emitter,this._onDidChangeVisibleTextEditors=new f.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=L.getProxy(I.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(c=>this._onDidChangeVisibleTextEditors.fire(c)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(c=>this._onDidChangeActiveTextEditor.fire(c))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(L){const D=this._extHostDocumentsAndEditors.allEditors();return L?D:D.map(c=>c.value)}async showTextDocument(L,D,c){let E;typeof D=="number"?E={position:T.ViewColumn.from(D),preserveFocus:c}:typeof D=="object"?E={position:T.ViewColumn.from(D.viewColumn),preserveFocus:D.preserveFocus,selection:typeof D.selection=="object"?T.Range.from(D.selection):void 0,pinned:typeof D.preview=="boolean"?!D.preview:void 0}:E={preserveFocus:!1};const g=await this._proxy.$tryShowTextDocument(L.uri,E),w=g&&this._extHostDocumentsAndEditors.getEditor(g);if(w)return w.value;throw g?new Error(`Could NOT open editor for "${L.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${L.uri.toString()}".`)}createTextEditorDecorationType(L,D){return new C.TextEditorDecorationType(this._proxy,L,D).value}$acceptEditorPropertiesChanged(L,D){const c=this._extHostDocumentsAndEditors.getEditor(L);if(!c)throw new Error("unknown text editor");if(D.options&&c._acceptOptions(D.options),D.selections){const E=D.selections.selections.map(T.Selection.to);c._acceptSelections(E)}if(D.visibleRanges){const E=i.coalesce(D.visibleRanges.map(T.Range.to));c._acceptVisibleRanges(E)}if(D.options&&this._onDidChangeTextEditorOptions.fire({textEditor:c.value,options:{...D.options,lineNumbers:T.TextEditorLineNumbersStyle.to(D.options.lineNumbers)}}),D.selections){const E=P.TextEditorSelectionChangeKind.fromValue(D.selections.source),g=D.selections.selections.map(T.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:c.value,selections:g,kind:E})}if(D.visibleRanges){const E=i.coalesce(D.visibleRanges.map(T.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:c.value,visibleRanges:E})}}$acceptEditorPositionData(L){for(const D in L){const c=this._extHostDocumentsAndEditors.getEditor(D);if(!c)throw new Error("Unknown text editor");const E=T.ViewColumn.to(L[D]);c.value.viewColumn!==E&&(c._acceptViewColumn(E),this._onDidChangeTextEditorViewColumn.fire({textEditor:c.value,viewColumn:E}))}}getDiffInformation(L){return Promise.resolve(this._proxy.$getDiffInformation(L))}}e.ExtHostEditors=y}),define(pe[252],ve([0,1,2,4,5,6,7]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,i.createDecorator)("IExtHostTimeline");class P{constructor(L,D){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=L.getProxy(I.MainContext.MainThreadTimeline),D.registerArgumentProcessor({processArgument:c=>{if(c&&c.$mid===11){const E=c.uri===void 0?void 0:f.URI.revive(c.uri);return this._itemsBySourceAndUriMap.get(c.source)?.get(y(E))?.get(c.handle)}return c}})}async $getTimeline(L,D,c,E,g){return this._providers.get(L)?.provideTimeline(f.URI.revive(D),c,E,g)}registerTimelineProvider(L,D,c,E){const g=new C.DisposableStore,w=this.convertTimelineItem(D.id,E,g).bind(this);let v;D.onDidChange&&(v=D.onDidChange(_=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,..._,id:D.id}),this));const R=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...D,scheme:L,onDidChange:void 0,async provideTimeline(_,s,n,m){m?.resetCache&&(g.clear(),R.get(D.id)?.clear());const a=await D.provideTimeline(_,s,n);if(a==null)return;const S=w(_,m);return{...a,source:D.id,items:a.items.map(S)}},dispose(){for(const _ of R.values())_.get(D.id)?.clear();v?.dispose(),g.dispose()}})}convertTimelineItem(L,D,c){return(E,g)=>{let w;if(g?.cacheResults){let v=this._itemsBySourceAndUriMap.get(L);v===void 0&&(v=new Map,this._itemsBySourceAndUriMap.set(L,v));const R=y(E);w=v.get(R),w===void 0&&(w=new Map,v.set(R,w))}return v=>{const{iconPath:R,..._}=v,s=`${L}|${v.id??v.timestamp}`;w?.set(s,v);let n,m,a;return v.iconPath&&(R instanceof T.ThemeIcon?a={id:R.id,color:R.color}:f.URI.isUri(R)?(n=R,m=R):{light:n,dark:m}=R),{..._,id:_.id??void 0,handle:s,source:L,command:v.command?D.toInternal(v.command,c):void 0,icon:n,iconDark:m,themeIcon:a,accessibilityInformation:v.accessibilityInformation}}}}registerTimelineProviderCore(L){if(this._providers.get(L.id))throw new Error(`Timeline Provider ${L.id} already exists.`);return this._proxy.$registerTimelineProvider({id:L.id,label:L.label,scheme:L.scheme}),this._providers.set(L.id,L),(0,C.toDisposable)(()=>{for(const c of this._itemsBySourceAndUriMap.values())c.get(L.id)?.clear();this._providers.delete(L.id),this._proxy.$unregisterTimelineProvider(L.id),L.dispose()})}}e.ExtHostTimeline=P;function y(A){return A?.toString()}}),define(pe[253],ve([0,1,6,10,2,5]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class T{constructor(y){this._openers=new Map,this._proxy=y.getProxy(C.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(y,A,L,D){if(this._openers.has(A))throw new Error(`Opener with id '${A}' already registered`);const c=D.schemes.find(E=>!T.supportedSchemes.has(E));if(c)throw new Error(`Scheme '${c}' is not supported. Only http and https are currently supported.`);return this._openers.set(A,L),this._proxy.$registerUriOpener(A,D.schemes,y,D.label),(0,f.toDisposable)(()=>{this._openers.delete(A),this._proxy.$unregisterUriOpener(A)})}async $canOpenUri(y,A,L){const D=this._openers.get(y);if(!D)throw new Error(`Unknown opener with id: ${y}`);const c=I.URI.revive(A);return D.canOpenExternalUri(c,L)}async $openUri(y,A,L){const D=this._openers.get(y);if(!D)throw new Error(`Unknown opener id: '${y}'`);return D.openExternalUri(I.URI.revive(A.resolvedUri),{sourceUri:I.URI.revive(A.sourceUri)},L)}}e.ExtHostUriOpeners=T,T.supportedSchemes=new Set([i.Schemas.http,i.Schemas.https])}),define(pe[254],ve([0,1,5,2,6,15,27]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(A){this.handles=new Set,this.handlers=new Map,this._proxy=A.getProxy(f.MainContext.MainThreadUrls)}registerUriHandler(A,L){if(this.handles.has(T.ExtensionIdentifier.toKey(A)))throw new Error(`Protocol handler already registered for extension ${A}`);const D=P.HandlePool++;return this.handles.add(T.ExtensionIdentifier.toKey(A)),this.handlers.set(D,L),this._proxy.$registerUriHandler(D,A),(0,I.toDisposable)(()=>{this.handles.delete(T.ExtensionIdentifier.toKey(A)),this.handlers.delete(D),this._proxy.$unregisterUriHandler(D)})}$handleExternalUri(A,L){const D=this.handlers.get(A);if(!D)return Promise.resolve(void 0);try{D.handleUri(i.URI.revive(L))}catch(c){(0,C.onUnexpectedError)(c)}return Promise.resolve(void 0)}async createAppUri(A){return i.URI.revive(await this._proxy.$createAppUri(A))}}e.ExtHostUrls=P,P.HandlePool=0});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[69],ve([0,1,3,10,2,179,204,88,5]),function(X,e,f,i,I,C,T,P,y){"use strict";var A,L,D,c,E,g,w,v,R,_,s,n;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class m{constructor(u,h,b,p,k,O,U){A.set(this,void 0),L.set(this,void 0),D.set(this,void 0),c.set(this,void 0),E.set(this,void 0),g.set(this,void 0),w.set(this,""),v.set(this,void 0),R.set(this,!1),_.set(this,!1),s.set(this,!1),this._onMessageEmitter=new f.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,n.set(this,new f.Emitter),this._onDidDispose=Le(this,n,"f").event,it(this,A,u,"f"),it(this,L,h,"f"),it(this,v,b,"f"),it(this,c,p,"f"),it(this,E,k,"f"),it(this,g,O,"f"),it(this,s,a(O),"f"),it(this,D,U,"f")}dispose(){it(this,R,!0,"f"),Le(this,n,"f").fire(),Le(this,n,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(u){return it(this,_,!0,"f"),(0,P.asWebviewUri)(u,Le(this,c,"f").remote)}get cspSource(){const u=Le(this,g,"f").extensionLocation;if(u.scheme===i.Schemas.https||u.scheme===i.Schemas.http){let h=u.toString();return h.endsWith("/")||(h+="/"),h+" "+P.webviewGenericCspSource}return P.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Le(this,w,"f")}set html(u){this.assertNotDisposed(),Le(this,w,"f")!==u&&(it(this,w,u,"f"),!Le(this,_,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(u)&&(it(this,_,!0,"f"),Le(this,D,"f").report("Webview vscode-resource: uris",Le(this,g,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Le(this,L,"f").$setHtml(Le(this,A,"f"),u))}get options(){return this.assertNotDisposed(),Le(this,v,"f")}set options(u){this.assertNotDisposed(),Le(this,L,"f").$setOptions(Le(this,A,"f"),t(Le(this,g,"f"),Le(this,E,"f"),u)),it(this,v,u,"f")}async postMessage(u){if(Le(this,R,"f"))return!1;const h=(0,T.serializeWebviewMessage)(u,{serializeBuffersForPostMessage:Le(this,s,"f")});return Le(this,L,"f").$postMessage(Le(this,A,"f"),h.message,...h.buffers)}assertNotDisposed(){if(Le(this,R,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=m,A=new WeakMap,L=new WeakMap,D=new WeakMap,c=new WeakMap,E=new WeakMap,g=new WeakMap,w=new WeakMap,v=new WeakMap,R=new WeakMap,_=new WeakMap,s=new WeakMap,n=new WeakMap;function a(l){try{const u=(0,C.normalizeVersion)((0,C.parseVersion)(l.engines.vscode));return!!u&&u.majorBase>=1&&u.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=a;class S{constructor(u,h,b,p,k){this.initData=h,this.workspace=b,this._logService=p,this._deprecationService=k,this._webviews=new Map,this._webviewProxy=u.getProxy(y.MainContext.MainThreadWebviews)}$onMessage(u,h,b){const p=this.getWebview(u);if(p){const{message:k}=(0,T.deserializeWebviewMessage)(h,b.value);p._onMessageEmitter.fire(k)}}$onMissingCsp(u,h){this._logService.warn(`${h} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(u,h,b){const p=new m(u,this._webviewProxy,o(h),this.initData,this.workspace,b,this._deprecationService);return this._webviews.set(u,p),p._onDidDispose(()=>{this._webviews.delete(u)}),p}deleteWebview(u){this._webviews.delete(u)}getWebview(u){return this._webviews.get(u)}}e.ExtHostWebviews=S;function r(l){return{id:l.identifier,location:l.extensionLocation}}e.toExtensionData=r;function t(l,u,h){return{enableCommandUris:h.enableCommandUris,enableScripts:h.enableScripts,enableForms:h.enableForms,portMapping:h.portMapping,localResourceRoots:h.localResourceRoots||d(l,u)}}e.serializeWebviewOptions=t;function o(l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,enableForms:l.enableForms,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots?.map(u=>I.URI.from(u))}}e.reviveOptions=o;function d(l,u){return[...(u?.getWorkspaceFolders()||[]).map(h=>h.uri),l.extensionLocation]}}),define(pe[255],ve([0,1,21,47,6,10,23,2,17,69,87,5,7]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class E{constructor(a,S){this.document=a,this._storagePath=S,this._backupCounter=1,this._edits=new L.Cache("custom documents")}addEdit(a){return this._edits.add([a])}async undo(a,S){await this.getEdit(a).undo(),S||this.disposeBackup()}async redo(a,S){await this.getEdit(a).redo(),S||this.disposeBackup()}disposeEdits(a){for(const S of a)this._edits.delete(S)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const a=n(this.document.uri)+this._backupCounter++;return(0,T.joinPath)(this._storagePath,a)}updateBackup(a){this._backup?.delete(),this._backup=a}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(a){const S=this._edits.get(a,0);if(!S)throw new Error("No edit found");return S}}class g{constructor(){this._documents=new Map}get(a,S){return this._documents.get(this.key(a,S))}add(a,S,r){const t=this.key(a,S.uri);if(this._documents.has(t))throw new Error(`Document already exists for viewType:${a} resource:${S.uri}`);const o=new E(S,r);return this._documents.set(t,o),o}delete(a,S){const r=this.key(a,S.uri);this._documents.delete(r)}key(a,S){return`${a}@@@${S}`}}var w;(function(m){m[m.Text=0]="Text",m[m.Custom=1]="Custom"})(w||(w={}));class v{constructor(){this._providers=new Map}addTextProvider(a,S,r){return this.add(0,a,S,r)}addCustomProvider(a,S,r){return this.add(1,a,S,r)}get(a){return this._providers.get(a)}add(a,S,r,t){if(this._providers.has(S))throw new Error(`Provider for viewType:${S} already registered`);return this._providers.set(S,{type:a,extension:r,provider:t}),new c.Disposable(()=>this._providers.delete(S))}}class R{constructor(a,S,r,t,o){this._extHostDocuments=S,this._extensionStoragePaths=r,this._extHostWebview=t,this._extHostWebviewPanels=o,this._editorProviders=new v,this._documents=new g,this._proxy=a.getProxy(D.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(a,S,r,t){const o=new I.DisposableStore;return _(r)?(o.add(this._editorProviders.addTextProvider(S,a,r)),this._proxy.$registerTextEditorProvider((0,A.toExtensionData)(a),S,t.webviewOptions||{},{supportsMove:!!r.moveCustomTextEditor},(0,A.shouldSerializeBuffersForPostMessage)(a))):(o.add(this._editorProviders.addCustomProvider(S,a,r)),this.supportEditing(r)&&o.add(r.onDidChangeCustomDocument(d=>{const l=this.getCustomDocumentEntry(S,d.document.uri);if(s(d)){const u=l.addEdit(d);this._proxy.$onDidEdit(d.document.uri,S,u,d.label)}else this._proxy.$onContentChange(d.document.uri,S)})),this._proxy.$registerCustomEditorProvider((0,A.toExtensionData)(a),S,t.webviewOptions||{},!!t.supportsMultipleEditorsPerDocument,(0,A.shouldSerializeBuffersForPostMessage)(a))),c.Disposable.from(o,new c.Disposable(()=>{this._proxy.$unregisterEditorProvider(S)}))}async $createCustomDocument(a,S,r,t,o){const d=this._editorProviders.get(S);if(!d)throw new Error(`No provider found for '${S}'`);if(d.type!==1)throw new Error(`Invalid provide type for '${S}'`);const l=P.URI.revive(a),u=await d.provider.openCustomDocument(l,{backupId:r,untitledDocumentData:t?.buffer},o);let h;return this.supportEditing(d.provider)&&this._extensionStoragePaths&&(h=this._extensionStoragePaths.workspaceValue(d.extension)??this._extensionStoragePaths.globalValue(d.extension)),this._documents.add(S,u,h),{editable:this.supportEditing(d.provider)}}async $disposeCustomDocument(a,S){const r=this._editorProviders.get(S);if(!r)throw new Error(`No provider found for '${S}'`);if(r.type!==1)throw new Error(`Invalid provider type for '${S}'`);const t=P.URI.revive(a),{document:o}=this.getCustomDocumentEntry(S,t);this._documents.delete(S,o),o.dispose()}async $resolveWebviewEditor(a,S,r,t,o,d){const l=this._editorProviders.get(r);if(!l)throw new Error(`No provider found for '${r}'`);const u=y.ViewColumn.to(o),h=this._extHostWebview.createNewWebview(S,t.webviewOptions,l.extension),b=this._extHostWebviewPanels.createNewWebviewPanel(S,r,t.title,u,t.panelOptions,h),p=P.URI.revive(a);switch(l.type){case 1:{const{document:k}=this.getCustomDocumentEntry(r,p);return l.provider.resolveCustomEditor(k,b,d)}case 0:{const k=this._extHostDocuments.getDocument(p);return l.provider.resolveCustomTextEditor(k,b,d)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(a,S,r){this.getCustomDocumentEntry(S,a).disposeEdits(r)}async $onMoveCustomEditor(a,S,r){const t=this._editorProviders.get(r);if(!t)throw new Error(`No provider found for '${r}'`);if(!t.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${r}'`);const o=this._extHostWebviewPanels.getWebviewPanel(a);if(!o)throw new Error("No webview found");const d=P.URI.revive(S),l=this._extHostDocuments.getDocument(d);await t.provider.moveCustomTextEditor(l,o,f.CancellationToken.None)}async $undo(a,S,r,t){return this.getCustomDocumentEntry(S,a).undo(r,t)}async $redo(a,S,r,t){return this.getCustomDocumentEntry(S,a).redo(r,t)}async $revert(a,S,r){const t=this.getCustomDocumentEntry(S,a);await this.getCustomEditorProvider(S).revertCustomDocument(t.document,r),t.disposeBackup()}async $onSave(a,S,r){const t=this.getCustomDocumentEntry(S,a);await this.getCustomEditorProvider(S).saveCustomDocument(t.document,r),t.disposeBackup()}async $onSaveAs(a,S,r,t){const o=this.getCustomDocumentEntry(S,a);return this.getCustomEditorProvider(S).saveCustomDocumentAs(o.document,P.URI.revive(r),t)}async $backup(a,S,r){const t=this.getCustomDocumentEntry(S,a),d=await this.getCustomEditorProvider(S).backupCustomDocument(t.document,{destination:t.getNewBackupUri()},r);return t.updateBackup(d),d.id}getCustomDocumentEntry(a,S){const r=this._documents.get(a,P.URI.revive(S));if(!r)throw new Error("No custom document found");return r}getCustomEditorProvider(a){const r=this._editorProviders.get(a)?.provider;if(!r||!this.supportEditing(r))throw new Error("Custom document is not editable");return r}supportEditing(a){return!!a.onDidChangeCustomDocument}}e.ExtHostCustomEditors=R;function _(m){return typeof m.resolveCustomTextEditor=="function"}function s(m){return typeof m.undo=="function"&&typeof m.redo=="function"}function n(m){const a=m.scheme===C.Schemas.file||m.scheme===C.Schemas.untitled?m.fsPath:m.toString();return(0,i.hash)(a)+""}});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[256],ve([0,1,3,6,2,33,17,69,5,7]),function(X,e,f,i,I,C,T,P,y,A){"use strict";var L,D,c,E,g,w,v,R,_,s,n,m,a;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class S extends i.Disposable{constructor(d,l,u,h,b,p,k){super();L.set(this,void 0),D.set(this,void 0),c.set(this,void 0),E.set(this,void 0),g.set(this,void 0),w.set(this,void 0),v.set(this,void 0),R.set(this,void 0),_.set(this,!0),s.set(this,!0),n.set(this,!1),m.set(this,this._register(new f.Emitter)),this.onDidDispose=Le(this,m,"f").event,a.set(this,this._register(new f.Emitter)),this.onDidChangeViewState=Le(this,a,"f").event,it(this,L,d,"f"),it(this,D,l,"f"),it(this,c,u,"f"),it(this,g,p,"f"),it(this,R,b,"f"),it(this,w,h,"f"),it(this,E,k,"f")}dispose(){Le(this,n,"f")||(it(this,n,!0,"f"),Le(this,m,"f").fire(),Le(this,D,"f").$disposeWebview(Le(this,L,"f")),Le(this,E,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Le(this,E,"f")}get viewType(){return this.assertNotDisposed(),Le(this,c,"f")}get title(){return this.assertNotDisposed(),Le(this,w,"f")}set title(d){this.assertNotDisposed(),Le(this,w,"f")!==d&&(it(this,w,d,"f"),Le(this,D,"f").$setTitle(Le(this,L,"f"),d))}get iconPath(){return this.assertNotDisposed(),Le(this,v,"f")}set iconPath(d){this.assertNotDisposed(),Le(this,v,"f")!==d&&(it(this,v,d,"f"),Le(this,D,"f").$setIconPath(Le(this,L,"f"),I.URI.isUri(d)?{light:d,dark:d}:d))}get options(){return Le(this,g,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Le(this,R,"f")=="number"&&Le(this,R,"f")<0))return Le(this,R,"f")}get active(){return this.assertNotDisposed(),Le(this,s,"f")}get visible(){return this.assertNotDisposed(),Le(this,_,"f")}_updateViewState(d){Le(this,n,"f")||(this.active!==d.active||this.visible!==d.visible||this.viewColumn!==d.viewColumn)&&(it(this,s,d.active,"f"),it(this,_,d.visible,"f"),it(this,R,d.viewColumn,"f"),Le(this,a,"f").fire({webviewPanel:this}))}reveal(d,l){this.assertNotDisposed(),Le(this,D,"f").$reveal(Le(this,L,"f"),{viewColumn:d?T.ViewColumn.from(d):void 0,preserveFocus:!!l})}assertNotDisposed(){if(Le(this,n,"f"))throw new Error("Webview is disposed")}}L=new WeakMap,D=new WeakMap,c=new WeakMap,E=new WeakMap,g=new WeakMap,w=new WeakMap,v=new WeakMap,R=new WeakMap,_=new WeakMap,s=new WeakMap,n=new WeakMap,m=new WeakMap,a=new WeakMap;class r{constructor(d,l,u){this.webviews=l,this.workspace=u,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=d.getProxy(y.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,C.generateUuid)()}createWebviewPanel(d,l,u,h,b={}){const p=typeof h=="object"?h.viewColumn:h,k={viewColumn:T.ViewColumn.from(p),preserveFocus:typeof h=="object"&&!!h.preserveFocus},O=(0,P.shouldSerializeBuffersForPostMessage)(d),U=r.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(d),U,l,{title:u,panelOptions:t(b),webviewOptions:(0,P.serializeWebviewOptions)(d,this.workspace,b),serializeBuffersForPostMessage:O},k);const F=this.webviews.createNewWebview(U,b,d);return this.createNewWebviewPanel(U,l,u,p,b,F)}$onDidChangeWebviewPanelViewStates(d){const l=Object.keys(d);l.sort((u,h)=>{const b=d[u],p=d[h];return b.active?1:p.active?-1:+b.visible-+p.visible});for(const u of l){const h=this.getWebviewPanel(u);if(!h)continue;const b=d[u];h._updateViewState({active:b.active,visible:b.visible,viewColumn:T.ViewColumn.to(b.position)})}}async $onDidDisposeWebviewPanel(d){this.getWebviewPanel(d)?.dispose(),this._webviewPanels.delete(d),this.webviews.deleteWebview(d)}registerWebviewPanelSerializer(d,l,u){if(this._serializers.has(l))throw new Error(`Serializer for '${l}' already registered`);return this._serializers.set(l,{serializer:u,extension:d}),this._proxy.$registerSerializer(l,{serializeBuffersForPostMessage:(0,P.shouldSerializeBuffersForPostMessage)(d)}),new A.Disposable(()=>{this._serializers.delete(l),this._proxy.$unregisterSerializer(l)})}async $deserializeWebviewPanel(d,l,u,h){const b=this._serializers.get(l);if(!b)throw new Error(`No serializer found for '${l}'`);const{serializer:p,extension:k}=b,O=this.webviews.createNewWebview(d,u.webviewOptions,k),U=this.createNewWebviewPanel(d,l,u.title,h,u.panelOptions,O);await p.deserializeWebviewPanel(U,u.state)}createNewWebviewPanel(d,l,u,h,b,p){const k=new S(d,this._proxy,l,u,h,b,p);return this._webviewPanels.set(d,k),k}getWebviewPanel(d){return this._webviewPanels.get(d)}}e.ExtHostWebviewPanels=r;function t(o){return{enableFindWidget:o.enableFindWidget,retainContextWhenHidden:o.retainContextWhenHidden}}});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[257],ve([0,1,3,6,69,5,7]),function(X,e,f,i,I,C,T){"use strict";var P,y,A,L,D,c,E,g,w,v;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class R extends i.Disposable{constructor(n,m,a,S,r,t){super();P.set(this,void 0),y.set(this,void 0),A.set(this,void 0),L.set(this,void 0),D.set(this,!1),c.set(this,void 0),E.set(this,void 0),g.set(this,void 0),w.set(this,this._register(new f.Emitter)),this.onDidChangeVisibility=Le(this,w,"f").event,v.set(this,this._register(new f.Emitter)),this.onDidDispose=Le(this,v,"f").event,it(this,A,a,"f"),it(this,E,S,"f"),it(this,P,n,"f"),it(this,y,m,"f"),it(this,L,r,"f"),it(this,c,t,"f")}dispose(){Le(this,D,"f")||(it(this,D,!0,"f"),Le(this,v,"f").fire(),Le(this,L,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Le(this,E,"f")}set title(n){this.assertNotDisposed(),Le(this,E,"f")!==n&&(it(this,E,n,"f"),Le(this,y,"f").$setWebviewViewTitle(Le(this,P,"f"),n))}get description(){return this.assertNotDisposed(),Le(this,g,"f")}set description(n){this.assertNotDisposed(),Le(this,g,"f")!==n&&(it(this,g,n,"f"),Le(this,y,"f").$setWebviewViewDescription(Le(this,P,"f"),n))}get visible(){return Le(this,c,"f")}get webview(){return Le(this,L,"f")}get viewType(){return Le(this,A,"f")}_setVisible(n){n===Le(this,c,"f")||Le(this,D,"f")||(it(this,c,n,"f"),Le(this,w,"f").fire())}show(n){this.assertNotDisposed(),Le(this,y,"f").$show(Le(this,P,"f"),!!n)}assertNotDisposed(){if(Le(this,D,"f"))throw new Error("Webview is disposed")}}P=new WeakMap,y=new WeakMap,A=new WeakMap,L=new WeakMap,D=new WeakMap,c=new WeakMap,E=new WeakMap,g=new WeakMap,w=new WeakMap,v=new WeakMap;class _{constructor(n,m){this._extHostWebview=m,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=n.getProxy(C.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(n,m,a,S){if(this._viewProviders.has(m))throw new Error(`View provider for '${m}' already registered`);return this._viewProviders.set(m,{provider:a,extension:n}),this._proxy.$registerWebviewViewProvider((0,I.toExtensionData)(n),m,{retainContextWhenHidden:S?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new T.Disposable(()=>{this._viewProviders.delete(m),this._proxy.$unregisterWebviewViewProvider(m)})}async $resolveWebviewView(n,m,a,S,r){const t=this._viewProviders.get(m);if(!t)throw new Error(`No view provider found for '${m}'`);const{provider:o,extension:d}=t,l=this._extHostWebview.createNewWebview(n,{},d),u=new R(n,this._proxy,m,a,l,!0);this._webviewViews.set(n,u),await o.resolveWebviewView(u,{state:S},r)}async $onDidChangeWebviewViewVisibility(n,m){this.getWebviewView(n)._setVisible(m)}async $disposeWebviewView(n){const m=this.getWebviewView(n);this._webviewViews.delete(n),m.dispose(),this._extHostWebview.deleteWebview(n)}getWebviewView(n){const m=this._webviewViews.get(n);if(!m)throw new Error("No webview found");return m}}e.ExtHostWebviewViews=_}),define(pe[134],ve([0,1,3,5,2,10,9,4,14]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let A=class Vi{constructor(D){this._onDidChangeWindowState=new f.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Vi.InitialState,this._proxy=D.getProxy(i.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(c=>this.$onDidChangeWindowFocus(c))}get state(){return this._state}$onDidChangeWindowFocus(D){D!==this._state.focused&&(this._state={...this._state,focused:D},this._onDidChangeWindowState.fire(this._state))}openUri(D,c){let E;if(typeof D=="string"){E=D;try{D=I.URI.parse(D)}catch{return Promise.reject(`Invalid uri - '${D}'`)}}return(0,T.isFalsyOrWhitespace)(D.scheme)?Promise.reject("Invalid scheme - cannot be empty"):D.scheme===C.Schemas.command?Promise.reject(`Invalid scheme '${D.scheme}'`):this._proxy.$openUri(D,E,c)}async asExternalUri(D,c){if((0,T.isFalsyOrWhitespace)(D.scheme))return Promise.reject("Invalid scheme - cannot be empty");const E=await this._proxy.$asExternalUri(D,c);return I.URI.from(E)}};A.InitialState={focused:!0},A=je([ze(0,y.IExtHostRpcService)],A),e.ExtHostWindow=A,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(pe[258],ve([0,1,8,82,33,38,6,5,2,14]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let L=class extends T.Disposable{constructor(c,E){super();const g=c.getProxy(P.MainContext.MainThreadDownloadService);E.registerCommand(!1,"_workbench.downloadResource",async w=>{const v=y.URI.file((0,f.join)((0,i.tmpdir)(),(0,I.generateUuid)()));return await g.$download(w,v),v})}};L=je([ze(0,A.IExtHostRpcService),ze(1,C.IExtHostCommands)],L),e.ExtHostDownloadService=L}),define(pe[259],ve([0,1,132,10,188,33]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;class T extends f.ExtHostLoggerService{doCreateLogger(y,A,L){return y.scheme===i.Schemas.file?new I.SpdLogLogger(L?.name||(0,C.generateUuid)(),y.fsPath,!L?.donotRotate,!!L?.donotUseFormatters,A):super.doCreateLogger(y,A,L)}}e.ExtHostLoggerService=T}),define(pe[260],ve([0,1,60,8,2,68,6,10,18,29]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=void 0;class L extends C.ExtensionStoragePaths{constructor(){super(...arguments);this._workspaceStorageLock=null}async _getWorkspaceStorageURI(a){const S=await super._getWorkspaceStorageURI(a);if(S.scheme!==P.Schemas.file)return S;if(this._environment.skipWorkspaceStorageLock)return this._logService.info(`Skipping acquiring lock for ${S.fsPath}.`),S;const r=S.fsPath;let t=0;do{let o;t===0?o=r:o=/[/\\]$/.test(r)?`${r.substr(0,r.length-1)}-${t}`:`${r}-${t}`,await D(o);const d=i.join(o,"vscode.lock"),l=await w(this._logService,d,!1);if(l)return this._workspaceStorageLock=l,process.on("exit",()=>{l.dispose()}),I.URI.file(o);t++}while(t<10);return S}onWillDeactivateAll(){this._workspaceStorageLock&&this._workspaceStorageLock.setWillRelease(6e3)}}e.ExtensionStoragePaths=L;async function D(m){try{await A.Promises.stat(m);return}catch{}try{await A.Promises.mkdir(m,{recursive:!0})}catch{}}const c=1e3,E=10*60*1e3;class g extends T.Disposable{constructor(a,S){super();this.logService=a,this.filename=S,this._timer=this._register(new y.IntervalTimer),this._timer.cancelAndSet(async()=>{const r=await v(a,S);(!r||r.pid!==process.pid)&&(a.info(`Lock '${S}': The lock was lost unexpectedly.`),this._timer.cancel());try{await A.Promises.utimes(S,new Date,new Date)}catch(t){a.error(t),a.info(`Lock '${S}': Could not update mtime.`)}},c)}dispose(){super.dispose();try{f.unlinkSync(this.filename)}catch{}}async setWillRelease(a){this.logService.info(`Lock '${this.filename}': Marking the lockfile as scheduled to be released in ${a} ms.`);try{const S={pid:process.pid,willReleaseAt:Date.now()+a};await A.Promises.writeFile(this.filename,JSON.stringify(S),{flag:"w"})}catch(S){this.logService.error(S)}}}async function w(m,a,S){try{const t={pid:process.pid,willReleaseAt:0};await A.Promises.writeFile(a,JSON.stringify(t),{flag:"wx"})}catch(t){m.error(t)}const r=await v(m,a);return!r||r.pid!==process.pid?S?(m.info(`Lock '${a}': Could not acquire lock, giving up.`),null):(m.info(`Lock '${a}': Could not acquire lock, checking if the file is stale.`),s(m,a)):(m.info(`Lock '${a}': Lock acquired.`),new g(m,a))}async function v(m,a){let S;try{S=await A.Promises.readFile(a)}catch(r){return m.error(r),null}try{return JSON.parse(String(S))}catch(r){return m.error(r),null}}async function R(m,a){let S;try{S=await A.Promises.stat(a)}catch(r){return m.error(r),0}return S.mtime.getTime()}function _(m){try{return process.kill(m,0),!0}catch{return!1}}async function s(m,a){const S=await v(m,a);if(!S)return m.info(`Lock '${a}': Could not read pid of lock holder.`),n(m,a);if(S.willReleaseAt){let l=S.willReleaseAt-Date.now();if(l<5e3){for(l>0?m.info(`Lock '${a}': The lockfile is scheduled to be released in ${l} ms.`):m.info(`Lock '${a}': The lockfile is scheduled to have been released.`);l>0;){if(await(0,y.timeout)(Math.min(100,l)),await R(m,a)===0)return n(m,a);l=S.willReleaseAt-Date.now()}return n(m,a)}}if(!_(S.pid))return m.info(`Lock '${a}': The pid ${S.pid} appears to be gone.`),n(m,a);const r=await R(m,a),t=Date.now()-r;if(t<=E)return m.info(`Lock '${a}': The lock does not look stale, elapsed: ${t} ms, giving up.`),null;m.info(`Lock '${a}': The lock looks stale, waiting for 2s.`),await(0,y.timeout)(2e3);const o=await R(m,a),d=Date.now()-o;return d<=E?(m.info(`Lock '${a}': The lock does not look stale, elapsed: ${d} ms, giving up.`),null):(m.info(`Lock '${a}': The lock looks stale even after waiting for 2s.`),n(m,a))}async function n(m,a){m.info(`Lock '${a}': Deleting a stale lock.`);try{await A.Promises.unlink(a)}catch{}return w(m,a,!0)}}),define(pe[261],ve([0,1,33,14,34]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let C=class extends I.BaseExtHostTerminalService{constructor(P){super(!0,P)}createTerminal(P,y,A){return this.createTerminalFromOptions({name:P,shellPath:y,shellArgs:A})}createTerminalFromOptions(P,y){const A=new I.ExtHostTerminal(this._proxy,(0,f.generateUuid)(),P,P.name);return this._terminals.push(A),A.create(P,this._serializeParentTerminal(P,y)),A.value}};C=je([ze(0,i.IExtHostRpcService)],C),e.ExtHostTerminalService=C}),define(pe[262],ve([0,1,5,14,171,6,26,2,37,23,29,7,12,52,3,121,79,11]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.tryFindRootPorts=e.findPorts=e.getRootProcesses=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class _{constructor(u,h,b){this.remoteAddress=u,this.localAddress=h,this._dispose=b,this._onDispose=new g.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function s(l){const u=l.trim().split(`
`),h=[];return u.forEach(p=>{const k=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(p);k&&k.length>=3&&h.push({pid:parseInt(k[1],10),socket:parseInt(k[2],10)})}),h.reduce((p,k)=>(p[k.socket]=k,p),{})}e.getSockets=s;function n(...l){const u=[].concat(...l.map(a));return[...new Map(u.filter(h=>h.st==="0A").map(h=>{const b=h.local_address.split(":");return{socket:parseInt(h.inode,10),ip:m(b[0]),port:parseInt(b[1],16)}}).map(h=>[h.ip+":"+h.port,h])).values()]}e.loadListeningPorts=n;function m(l){let u="";if(l.length===8)for(let h=l.length-2;h>=0;h-=2)u+=parseInt(l.substr(h,2),16),h!==0&&(u+=".");else for(let h=l.length-4;h>=0;h-=4)u+=parseInt(l.substr(h,4),16).toString(16),h!==0&&(u+=":");return u}e.parseIpAddress=m;function a(l){const u=l.trim().split(`
`),h=u.shift().trim().split(/\s+/).filter(p=>p!=="rx_queue"&&p!=="tm->when");return u.map(p=>p.trim().split(/\s+/).reduce((k,O,U)=>(k[h[U]||U]=O,k),{}))}e.loadConnectionTable=a;function S(l){return!!l.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||l.indexOf("out/vs/server/main.js")!==-1||l.indexOf("_productName=VSCode")!==-1}function r(l){const u=l.trim().split(`
`),h=[];return u.forEach(b=>{const p=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(b);p&&p.length>=4&&h.push({pid:parseInt(p[1],10),ppid:parseInt(p[2]),cmd:p[3]})}),h}e.getRootProcesses=r;async function t(l,u,h){const b=h.reduce((k,O)=>(k[O.pid]=O,k),{}),p=[];return l.forEach(({socket:k,ip:O,port:U})=>{const F=u[k]?u[k].pid:void 0,M=F?b[F]?.cmd:void 0;F&&M&&!S(M)&&p.push({host:O,port:U,detail:M,pid:F})}),p}e.findPorts=t;function o(l,u,h){const b=new Map,p=r(u);for(const k of l){const O=h.get(k.port);if(O){b.set(k.port,O);continue}const U=p.find(F=>F.cmd.includes(`${k.port}`));if(U){let F=U,M;do M=p.find(V=>V.ppid===F.pid),M&&(F=M);while(M);b.set(k.port,{host:k.ip,port:k.port,pid:F.pid,detail:F.cmd,ppid:F.ppid})}else b.set(k.port,{host:k.ip,port:k.port,ppid:Number.MAX_VALUE})}return b}e.tryFindRootPorts=o;let d=class extends C.Disposable{constructor(u,h,b){super();this.logService=b,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new g.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._foundRootPorts=new Map,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=u.getProxy(f.MainContext.MainThreadTunnelService),c.isLinux&&h.remote.isRemote&&h.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(u,h){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${u.identifier.value} called openTunnel API for ${h.remoteAddress.host}:${h.remoteAddress.port}.`);const b=await this._proxy.$openTunnel(h,u.displayName);if(b){const p=new _(b.remoteAddress,b.localAddress,()=>this._proxy.$closeTunnel(b.remoteAddress));return this._register(p),p}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(u){return Math.max(u*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(u,h){const b=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(b,{selector:u,provider:h}),this._proxy.$registerPortsAttributesProvider(u,b),new D.Disposable(()=>{this._portAttributesProviders.delete(b),this._proxy.$unregisterPortsAttributesProvider(b)})}async $providePortAttributes(u,h,b,p,k){const O=[];for(const F of u){const M=this._portAttributesProviders.get(F);if(!M)return[];O.push(...await Promise.all(h.map(async V=>M.provider.providePortAttributes(V,b,p,k))))}const U=O.filter(F=>!!F);return U.length>0?U.map(F=>({autoForwardAction:F.autoForwardAction,port:F.port})):[]}async $registerCandidateFinder(u){if(u&&this._candidateFindingEnabled)return;this._candidateFindingEnabled=u;let h=new v.MovingAverage,b;for(;this._candidateFindingEnabled;){const p=new Date().getTime(),k=(await this.findCandidatePorts()).filter(U=>(0,w.isLocalhost)(U.host)||(0,w.isAllInterfaces)(U.host));this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${k.map(U=>U.port).join(", ")}`);const O=new Date().getTime()-p;h.update(O),(!b||JSON.stringify(b)!==JSON.stringify(k))&&(b=k,await this._proxy.$onFoundNewCandidates(b)),await new Promise(U=>setTimeout(()=>U(),this.calculateDelay(h.value)))}}async setTunnelExtensionFunctions(u){if(u){if(u.candidatePortSource!==void 0&&this._proxy.$setCandidatePortSource(u.candidatePortSource),u.showCandidatePort&&(this._showCandidatePort=u.showCandidatePort,this._proxy.$setCandidateFilter()),u.tunnelFactory){this._forwardPortProvider=u.tunnelFactory;let h=u.tunnelFeatures?.privacyOptions??[];u.tunnelFeatures?.public&&h.length===0&&(h=[{id:"private",label:I.localize(0,null),themeIcon:"lock"},{id:"public",label:I.localize(1,null),themeIcon:"eye"}]),this._proxy.$setTunnelProvider({elevation:!!u.tunnelFeatures?.elevation,public:!!u.tunnelFeatures?.public,privacyOptions:h})}}else this._forwardPortProvider=void 0;return(0,C.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(u,h){if(this._extensionTunnels.has(u.host)){const b=this._extensionTunnels.get(u.host);b.has(u.port)&&(h&&b.get(u.port).disposeListener.dispose(),await b.get(u.port).tunnel.dispose(),b.delete(u.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(u,h){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const b=this._forwardPortProvider(u,h);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),b!==void 0){const p=await b;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(u.remoteAddress.host)||this._extensionTunnels.set(u.remoteAddress.host,new Map);const k=this._register(p.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(p.remoteAddress))));return this._extensionTunnels.get(u.remoteAddress.host).set(u.remoteAddress.port,{tunnel:p,disposeListener:k}),E.TunnelDto.fromApiTunnel(p)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(u){const h=await Promise.all(u.map(p=>this._showCandidatePort(p.host,p.port,p.detail??""))),b=u.filter((p,k)=>h[k]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${u.map(p=>p.port).join(", ")} to ${b.map(p=>p.port).join(", ")}`),b}async findCandidatePorts(){let u="",h="";try{u=await L.Promises.readFile("/proc/net/tcp","utf8"),h=await L.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const b=n(u,h),p=await new Promise(N=>{(0,y.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(x,W,B)=>{N(W)})}),k=s(p),O=await L.Promises.readdir("/proc"),U=[];for(let N of O)try{const x=Number(N),W=A.joinPath(P.URI.file("/proc"),N);if((await L.Promises.stat(W.fsPath)).isDirectory()&&!isNaN(x)){const j=await L.Promises.readlink(A.joinPath(W,"cwd").fsPath),Z=await L.Promises.readFile(A.joinPath(W,"cmdline").fsPath,"utf8");U.push({pid:x,cwd:j,cmd:Z})}}catch{}const F=[],M=b.filter(N=>{const x=k[N.socket];return x||F.push(N),x}),V=t(M,k,U);let H;if(this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${F.length}`),F.length>0){const N=await new Promise(x=>{(0,y.exec)("ps -F -A -l | grep root",(W,B,j)=>{x(B)})});this._foundRootPorts=o(F,N,this._foundRootPorts),H=Array.from(this._foundRootPorts.values()),this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${H.join(", ")}`)}return V.then(N=>H?N.concat(H):N)}};d=je([ze(0,i.IExtHostRpcService),ze(1,T.IExtHostInitDataService),ze(2,R.ILogService)],d),e.ExtHostTunnelService=d}),define(pe[263],ve([0,1,18,22,21,15,3,6,103,227,53]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function c(b,p){try{return JSON.stringify(b,p)}catch{return"null"}}const E="$$ref$$",g={[E]:-1};class w{constructor(p,k){this.jsonString=p,this.referencedBuffers=k}}function v(b,p=null,k=!1){const O=[];return{jsonString:(k?c:JSON.stringify)(b,(F,M)=>{if(typeof M=="undefined")return g;if(typeof M=="object"){if(M instanceof i.VSBuffer){const V=O.push(M)-1;return{[E]:V}}if(p)return p(F,M)}return M}),referencedBuffers:O}}e.stringifyJsonWithBufferRefs=v;function R(b,p,k){return JSON.parse(b,(O,U)=>{if(U){const F=U[E];if(typeof F=="number")return p[F];if(k&&U.$mid===1)return k.transformIncoming(U)}return U})}e.parseJsonAndRestoreBufferRefs=R;function _(b,p){return JSON.stringify(b,p)}function s(b){return b?(p,k)=>k&&k.$mid===1?b.transformOutgoing(k):k:null}var n;(function(b){b[b.LocalSide=0]="LocalSide",b[b.OtherSide=1]="OtherSide"})(n=e.RequestInitiator||(e.RequestInitiator={}));var m;(function(b){b[b.Responsive=0]="Responsive",b[b.Unresponsive=1]="Unresponsive"})(m=e.ResponsiveState||(e.ResponsiveState={}));const a=()=>{},S=Symbol.for("rpcProtocol"),r=Symbol.for("rpcProxy");class t extends P.Disposable{constructor(p,k=null,O=null){super();this[D]=!0,this._onDidChangeResponsiveState=this._register(new T.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=p,this._logger=k,this._uriTransformer=O,this._uriReplacer=s(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let U=0,F=L.ProxyIdentifier.count;U<F;U++)this._locals[U]=null,this._proxies[U]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new f.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(U=>this._receiveOneMessage(U))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(p=>{this._pendingRPCReplies[p].resolveErr(C.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(p){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+t.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(p){this._unresponsiveTime=Date.now()+t.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(p){this._responsiveState!==p&&(this._responsiveState=p,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(p){return this._uriTransformer?(0,y.transformIncomingURIs)(p,this._uriTransformer):p}getProxy(p){const{nid:k,sid:O}=p;return this._proxies[k]||(this._proxies[k]=this._createProxy(k,O)),this._proxies[k]}_createProxy(p,k){let O={get:(U,F)=>(typeof F=="string"&&!U[F]&&F.charCodeAt(0)===36&&(U[F]=(...M)=>this._remoteCall(p,F,M)),F===r?k:U[F])};return new Proxy(Object.create(null),O)}set(p,k){return this._locals[p.nid]=k,k}assertRegistered(p){for(let k=0,O=p.length;k<O;k++){const U=p[k];if(!this._locals[U.nid])throw new Error(`Missing actor ${U.sid} (isMain: ${U.isMain})`)}}_receiveOneMessage(p){if(this._isDisposed)return;const k=p.byteLength,O=o.read(p,0),U=O.readUInt8(),F=O.readUInt32();switch(U){case 1:case 2:{let{rpcId:M,method:V,args:H}=l.deserializeRequestJSONArgs(O);this._uriTransformer&&(H=(0,y.transformIncomingURIs)(H,this._uriTransformer)),this._receiveRequest(k,F,M,V,H,U===2);break}case 3:case 4:{let{rpcId:M,method:V,args:H}=l.deserializeRequestMixedArgs(O);this._uriTransformer&&(H=(0,y.transformIncomingURIs)(H,this._uriTransformer)),this._receiveRequest(k,F,M,V,H,U===4);break}case 5:{this._logger&&this._logger.logIncoming(k,F,0,"ack"),this._onDidReceiveAcknowledge(F);break}case 6:{this._receiveCancel(k,F);break}case 7:{this._receiveReply(k,F,void 0);break}case 9:{let M=l.deserializeReplyOKJSON(O);this._uriTransformer&&(M=(0,y.transformIncomingURIs)(M,this._uriTransformer)),this._receiveReply(k,F,M);break}case 10:{const M=l.deserializeReplyOKJSONWithBuffers(O,this._uriTransformer);this._receiveReply(k,F,M);break}case 8:{let M=l.deserializeReplyOKVSBuffer(O);this._receiveReply(k,F,M);break}case 11:{let M=l.deserializeReplyErrError(O);this._uriTransformer&&(M=(0,y.transformIncomingURIs)(M,this._uriTransformer)),this._receiveReplyErr(k,F,M);break}case 12:{this._receiveReplyErr(k,F,void 0);break}default:console.error("received unexpected message"),console.error(p)}}_receiveRequest(p,k,O,U,F,M){this._logger&&this._logger.logIncoming(p,k,1,`receiveRequest ${(0,L.getStringIdentifierForProxy)(O)}.${U}(`,F);const V=String(k);let H,N;if(M){const W=new I.CancellationTokenSource;F.push(W.token),H=this._invokeHandler(O,U,F),N=()=>W.cancel()}else H=this._invokeHandler(O,U,F),N=a;this._cancelInvokedHandlers[V]=N;const x=l.serializeAcknowledged(k);this._logger&&this._logger.logOutgoing(x.byteLength,k,1,"ack"),this._protocol.send(x),H.then(W=>{delete this._cancelInvokedHandlers[V];const B=l.serializeReplyOK(k,W,this._uriReplacer);this._logger&&this._logger.logOutgoing(B.byteLength,k,1,"reply:",W),this._protocol.send(B)},W=>{delete this._cancelInvokedHandlers[V];const B=l.serializeReplyErr(k,W);this._logger&&this._logger.logOutgoing(B.byteLength,k,1,"replyErr:",W),this._protocol.send(B)})}_receiveCancel(p,k){this._logger&&this._logger.logIncoming(p,k,1,"receiveCancel");const O=String(k);this._cancelInvokedHandlers[O]&&this._cancelInvokedHandlers[O]()}_receiveReply(p,k,O){this._logger&&this._logger.logIncoming(p,k,0,"receiveReply:",O);const U=String(k);if(!this._pendingRPCReplies.hasOwnProperty(U))return;const F=this._pendingRPCReplies[U];delete this._pendingRPCReplies[U],F.resolveOk(O)}_receiveReplyErr(p,k,O){this._logger&&this._logger.logIncoming(p,k,0,"receiveReplyErr:",O);const U=String(k);if(!this._pendingRPCReplies.hasOwnProperty(U))return;const F=this._pendingRPCReplies[U];delete this._pendingRPCReplies[U];let M;O&&(O.$isError?(M=new Error,M.name=O.name,M.message=O.message,M.stack=O.stack):M=O),F.resolveErr(M)}_invokeHandler(p,k,O){try{return Promise.resolve(this._doInvokeHandler(p,k,O))}catch(U){return Promise.reject(U)}}_doInvokeHandler(p,k,O){const U=this._locals[p];if(!U)throw new Error("Unknown actor "+(0,L.getStringIdentifierForProxy)(p));let F=U[k];if(typeof F!="function")throw new Error("Unknown method "+k+" on actor "+(0,L.getStringIdentifierForProxy)(p));return F.apply(U,O)}_remoteCall(p,k,O){if(this._isDisposed)return Promise.reject(C.canceled());let U=null;if(O.length>0&&I.CancellationToken.isCancellationToken(O[O.length-1])&&(U=O.pop()),U&&U.isCancellationRequested)return Promise.reject(C.canceled());const F=l.serializeRequestArguments(O,this._uriReplacer),M=++this._lastMessageId,V=String(M),H=new A.LazyPromise;U&&U.onCancellationRequested(()=>{const x=l.serializeCancel(M);this._logger&&this._logger.logOutgoing(x.byteLength,M,0,"cancel"),this._protocol.send(l.serializeCancel(M))}),this._pendingRPCReplies[V]=H,this._onWillSendRequest(M);const N=l.serializeRequest(M,p,k,F,!!U);return this._logger&&this._logger.logOutgoing(N.byteLength,M,0,`request: ${(0,L.getStringIdentifierForProxy)(p)}.${k}(`,O),this._protocol.send(N),H}}e.RPCProtocol=t,D=S,t.UNRESPONSIVE_TIME=3*1e3;class o{constructor(p,k){this._buff=p,this._offset=k}static alloc(p,k,O){let U=new o(i.VSBuffer.alloc(O+1+4),0);return U.writeUInt8(p),U.writeUInt32(k),U}static read(p,k){return new o(p,k)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(p){this._buff.writeUInt8(p,this._offset),this._offset+=1}readUInt8(){const p=this._buff.readUInt8(this._offset);return this._offset+=1,p}writeUInt32(p){this._buff.writeUInt32BE(p,this._offset),this._offset+=4}readUInt32(){const p=this._buff.readUInt32BE(this._offset);return this._offset+=4,p}static sizeShortString(p){return 1+p.byteLength}writeShortString(p){this._buff.writeUInt8(p.byteLength,this._offset),this._offset+=1,this._buff.set(p,this._offset),this._offset+=p.byteLength}readShortString(){const p=this._buff.readUInt8(this._offset);this._offset+=1;const O=this._buff.slice(this._offset,this._offset+p).toString();return this._offset+=p,O}static sizeLongString(p){return 4+p.byteLength}writeLongString(p){this._buff.writeUInt32BE(p.byteLength,this._offset),this._offset+=4,this._buff.set(p,this._offset),this._offset+=p.byteLength}readLongString(){const p=this._buff.readUInt32BE(this._offset);this._offset+=4;const O=this._buff.slice(this._offset,this._offset+p).toString();return this._offset+=p,O}writeBuffer(p){this._buff.writeUInt32BE(p.byteLength,this._offset),this._offset+=4,this._buff.set(p,this._offset),this._offset+=p.byteLength}static sizeVSBuffer(p){return 4+p.byteLength}writeVSBuffer(p){this._buff.writeUInt32BE(p.byteLength,this._offset),this._offset+=4,this._buff.set(p,this._offset),this._offset+=p.byteLength}readVSBuffer(){const p=this._buff.readUInt32BE(this._offset);this._offset+=4;const k=this._buff.slice(this._offset,this._offset+p);return this._offset+=p,k}static sizeMixedArray(p){let k=0;k+=1;for(let O=0,U=p.length;O<U;O++){const F=p[O];switch(k+=1,F.type){case 1:k+=this.sizeLongString(F.value);break;case 2:k+=this.sizeVSBuffer(F.value);break;case 3:k+=this.sizeUInt32,k+=this.sizeLongString(F.value);for(let M=0;M<F.buffers.length;++M)k+=this.sizeVSBuffer(F.buffers[M]);break;case 4:break}}return k}writeMixedArray(p){this._buff.writeUInt8(p.length,this._offset),this._offset+=1;for(let k=0,O=p.length;k<O;k++){const U=p[k];switch(U.type){case 1:this.writeUInt8(1),this.writeLongString(U.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(U.value);break;case 3:this.writeUInt8(3),this.writeUInt32(U.buffers.length),this.writeLongString(U.value);for(let F=0;F<U.buffers.length;++F)this.writeBuffer(U.buffers[F]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const p=this._buff.readUInt8(this._offset);this._offset+=1;let k=new Array(p);for(let O=0;O<p;O++)switch(this.readUInt8()){case 1:k[O]=this.readLongString();break;case 2:k[O]=this.readVSBuffer();break;case 3:{const F=this.readUInt32(),M=this.readLongString(),V=[];for(let H=0;H<F;++H)V.push(this.readVSBuffer());k[O]=new L.SerializableObjectWithBuffers(R(M,V,null));break}case 4:k[O]=void 0;break}return k}}o.sizeUInt32=4;var d;(function(b){b[b.Simple=0]="Simple",b[b.Mixed=1]="Mixed"})(d||(d={}));class l{static _useMixedArgSerialization(p){for(let k=0,O=p.length;k<O;k++)if(p[k]instanceof i.VSBuffer||p[k]instanceof L.SerializableObjectWithBuffers||typeof p[k]=="undefined")return!0;return!1}static serializeRequestArguments(p,k){if(this._useMixedArgSerialization(p)){const O=[];for(let U=0,F=p.length;U<F;U++){const M=p[U];if(M instanceof i.VSBuffer)O[U]={type:2,value:M};else if(typeof M=="undefined")O[U]={type:4};else if(M instanceof L.SerializableObjectWithBuffers){const{jsonString:V,referencedBuffers:H}=v(M.value,k);O[U]={type:3,value:i.VSBuffer.fromString(V),buffers:H}}else O[U]={type:1,value:i.VSBuffer.fromString(_(M,k))}}return{type:1,args:O}}return{type:0,args:_(p,k)}}static serializeRequest(p,k,O,U,F){switch(U.type){case 0:return this._requestJSONArgs(p,k,O,U.args,F);case 1:return this._requestMixedArgs(p,k,O,U.args,F)}}static _requestJSONArgs(p,k,O,U,F){const M=i.VSBuffer.fromString(O),V=i.VSBuffer.fromString(U);let H=0;H+=o.sizeUInt8(),H+=o.sizeShortString(M),H+=o.sizeLongString(V);let N=o.alloc(F?2:1,p,H);return N.writeUInt8(k),N.writeShortString(M),N.writeLongString(V),N.buffer}static deserializeRequestJSONArgs(p){const k=p.readUInt8(),O=p.readShortString(),U=p.readLongString();return{rpcId:k,method:O,args:JSON.parse(U)}}static _requestMixedArgs(p,k,O,U,F){const M=i.VSBuffer.fromString(O);let V=0;V+=o.sizeUInt8(),V+=o.sizeShortString(M),V+=o.sizeMixedArray(U);let H=o.alloc(F?4:3,p,V);return H.writeUInt8(k),H.writeShortString(M),H.writeMixedArray(U),H.buffer}static deserializeRequestMixedArgs(p){const k=p.readUInt8(),O=p.readShortString(),U=p.readMixedArray(),F=new Array(U.length);for(let M=0,V=U.length;M<V;M++){const H=U[M];typeof H=="string"?F[M]=JSON.parse(H):F[M]=H}return{rpcId:k,method:O,args:F}}static serializeAcknowledged(p){return o.alloc(5,p,0).buffer}static serializeCancel(p){return o.alloc(6,p,0).buffer}static serializeReplyOK(p,k,O){if(typeof k=="undefined")return this._serializeReplyOKEmpty(p);if(k instanceof i.VSBuffer)return this._serializeReplyOKVSBuffer(p,k);if(k instanceof L.SerializableObjectWithBuffers){const{jsonString:U,referencedBuffers:F}=v(k.value,O,!0);return this._serializeReplyOKJSONWithBuffers(p,U,F)}else return this._serializeReplyOKJSON(p,c(k,O))}static _serializeReplyOKEmpty(p){return o.alloc(7,p,0).buffer}static _serializeReplyOKVSBuffer(p,k){let O=0;O+=o.sizeVSBuffer(k);let U=o.alloc(8,p,O);return U.writeVSBuffer(k),U.buffer}static deserializeReplyOKVSBuffer(p){return p.readVSBuffer()}static _serializeReplyOKJSON(p,k){const O=i.VSBuffer.fromString(k);let U=0;U+=o.sizeLongString(O);let F=o.alloc(9,p,U);return F.writeLongString(O),F.buffer}static _serializeReplyOKJSONWithBuffers(p,k,O){const U=i.VSBuffer.fromString(k);let F=0;F+=o.sizeUInt32,F+=o.sizeLongString(U);for(const V of O)F+=o.sizeVSBuffer(V);let M=o.alloc(10,p,F);M.writeUInt32(O.length),M.writeLongString(U);for(const V of O)M.writeBuffer(V);return M.buffer}static deserializeReplyOKJSON(p){const k=p.readLongString();return JSON.parse(k)}static deserializeReplyOKJSONWithBuffers(p,k){const O=p.readUInt32(),U=p.readLongString(),F=[];for(let M=0;M<O;++M)F.push(p.readVSBuffer());return new L.SerializableObjectWithBuffers(R(U,F,k))}static serializeReplyErr(p,k){return k?this._serializeReplyErrEror(p,k):this._serializeReplyErrEmpty(p)}static _serializeReplyErrEror(p,k){const O=i.VSBuffer.fromString(c(C.transformErrorForSerialization(k),null));let U=0;U+=o.sizeLongString(O);let F=o.alloc(11,p,U);return F.writeLongString(O),F.buffer}static deserializeReplyErrError(p){const k=p.readLongString();return JSON.parse(k)}static _serializeReplyErrEmpty(p){return o.alloc(12,p,0).buffer}}var u;(function(b){b[b.RequestJSONArgs=1]="RequestJSONArgs",b[b.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",b[b.RequestMixedArgs=3]="RequestMixedArgs",b[b.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",b[b.Acknowledged=5]="Acknowledged",b[b.Cancel=6]="Cancel",b[b.ReplyOKEmpty=7]="ReplyOKEmpty",b[b.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",b[b.ReplyOKJSON=9]="ReplyOKJSON",b[b.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",b[b.ReplyErrError=11]="ReplyErrError",b[b.ReplyErrEmpty=12]="ReplyErrEmpty"})(u||(u={}));var h;(function(b){b[b.String=1]="String",b[b.VSBuffer=2]="VSBuffer",b[b.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",b[b.Undefined=4]="Undefined"})(h||(h={}))}),define(pe[264],ve([0,1,4]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,f.createDecorator)("remoteAgentService")}),define(pe[265],ve([0,1,28,10,8,12,23,2,4,63,43,222,264]),function(X,e,f,i,I,C,T,P,y,A,L,D,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,y.createDecorator)("pathService");let E=class ji{constructor(w,v,R,_){this.localUserHome=w,this.remoteAgentService=v,this.environmentService=R,this.contextService=_,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||C.OS)(),this.resolveUserHome=(async()=>{const s=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=s?.userHome||w})()}hasValidBasename(w,v,R){return typeof v=="string"||typeof v=="undefined"?this.resolveOS.then(_=>this.doHasValidBasename(w,_,v)):this.doHasValidBasename(w,v,R)}doHasValidBasename(w,v,R){return w.scheme===i.Schemas.file||w.scheme===i.Schemas.vscodeRemote?(0,f.isValidBasename)(R??(0,T.basename)(w),v===1):!0}get defaultUriScheme(){return ji.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(w,v){if(w.remoteAuthority)return i.Schemas.vscodeRemote;const R=(0,A.getVirtualWorkspaceScheme)(v.getWorkspace());if(R)return R;const _=v.getWorkspace().folders[0];if(_)return _.uri.scheme;const s=v.getWorkspace().configuration;return s?s.scheme:i.Schemas.file}async userHome(w){return w?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(w=>w===1?I.win32:I.posix)}async fileURI(w){let v="";if(await this.resolveOS===1&&(w=w.replace(/\\/g,"/")),w[0]==="/"&&w[1]==="/"){const _=w.indexOf("/",2);_===-1?(v=w.substring(2),w="/"):(v=w.substring(2,_),w=w.substring(_)||"/")}return P.URI.from({scheme:i.Schemas.file,authority:v,path:w,query:"",fragment:""})}};E=je([ze(1,c.IRemoteAgentService),ze(2,D.IWorkbenchEnvironmentService),ze(3,L.IWorkspaceContextService)],E),e.AbstractPathService=E}),define(pe[70],ve([0,1]),function(X,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class f{constructor(T,P){this.line=T,this.character=P}isBefore(T){return!1}isBeforeOrEqual(T){return!1}isAfter(T){return!1}isAfterOrEqual(T){return!1}isEqual(T){return!1}compareTo(T){return 0}translate(T,P){return new f(0,0)}with(T){return new f(0,0)}}e.Position=f;class i{constructor(T,P,y,A){this.isEmpty=!1,this.isSingleLine=!1,this.start=new f(T,P),this.end=new f(y,A)}contains(T){return!1}isEqual(T){return!1}intersection(T){}union(T){return new i(0,0,0,0)}with(T){return new i(0,0,0,0)}}e.Range=i;var I;(function(C){C[C.Information=1]="Information",C[C.Warning=2]="Warning"})(I=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(pe[31],ve([0,1,16,32,25,28,9,4,8,15,70,13]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return L.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const c="\u27EA ",E=" characters skipped \u27EB",g=(c.length+E.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var w;(function(x){x[x.file=0]="file",x[x.text=1]="text"})(w=e.SearchProviderType||(e.SearchProviderType={}));var v;(function(x){x[x.File=1]="File",x[x.Text=2]="Text"})(v=e.QueryType||(e.QueryType={}));function R(x){return!!x.preview}e.resultIsMatch=R;function _(x){return!!x.resource}e.isFileMatch=_;function s(x){return!!x.message}e.isProgressMessage=s;var n;(function(x){x[x.Normal=0]="Normal",x[x.NewSearchStarted=1]="NewSearchStarted"})(n=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class m{constructor(W){this.resource=W,this.results=[]}}e.FileMatch=m;class a{constructor(W,B,j){this.ranges=B;const Z=Array.isArray(B)?B:[B];if(j&&j.matchLines===1&&S(Z)){W=(0,T.getNLines)(W,j.matchLines);let se="",Q=0,z=0;const te=Math.floor(j.charsPerLine/5),he=[];for(const ge of Z){const ke=Math.max(ge.startColumn-te,0),Ue=ge.startColumn+j.charsPerLine;if(ke>z+te+g){const Be=c+(ke-z)+E;se+=Be+W.slice(ke,Ue),Q+=ke-(z+Be.length)}else se+=W.slice(z,Ue);he.push(new t(0,ge.startColumn-Q,ge.endColumn-Q)),z=Ue}this.preview={text:se,matches:Array.isArray(this.ranges)?he:he[0]}}else{const se=Array.isArray(B)?B[0].startLineNumber:B.startLineNumber;this.preview={text:W,matches:(0,f.mapArrayOrNot)(B,Q=>new r(Q.startLineNumber-se,Q.startColumn,Q.endLineNumber-se,Q.endColumn))}}}}e.TextSearchMatch=a;function S(x){const W=x[0].startLineNumber;for(const B of x)if(B.startLineNumber!==W||B.endLineNumber!==W)return!1;return!0}class r{constructor(W,B,j,Z){this.startLineNumber=W,this.startColumn=B,this.endLineNumber=j,this.endColumn=Z}}e.SearchRange=r;class t extends r{constructor(W,B,j){super(W,B,W,j)}}e.OneLineRange=t;var o;(function(x){x.Default="default",x.FileNames="fileNames",x.Type="type",x.Modified="modified",x.CountDescending="countDescending",x.CountAscending="countAscending"})(o=e.SearchSortOrder||(e.SearchSortOrder={}));function d(x,W=!0){const B=x&&x.files&&x.files.exclude,j=W&&x&&x.search&&x.search.exclude;if(!B&&!j)return;if(!B||!j)return B||j;let Z=Object.create(null);return Z=I.mixin(Z,I.deepClone(B)),Z=I.mixin(Z,I.deepClone(j),!0),Z}e.getExcludes=d;function l(x,W){return x.excludePattern&&i.match(x.excludePattern,W)?!1:x.includePattern||x.usingSearchPaths?x.includePattern&&i.match(x.includePattern,W)?!0:x.usingSearchPaths?!!x.folderQueries&&x.folderQueries.some(B=>{const j=B.folder.fsPath;if(C.isEqualOrParent(W,j)){const Z=y.relative(j,W);return!B.includePattern||!!i.match(B.includePattern,Z)}else return!1}):!1:!0}e.pathIncludedInQuery=l;var u;(function(x){x[x.unknownEncoding=1]="unknownEncoding",x[x.regexParseError=2]="regexParseError",x[x.globParseError=3]="globParseError",x[x.invalidLiteral=4]="invalidLiteral",x[x.rgProcessError=5]="rgProcessError",x[x.other=6]="other",x[x.canceled=7]="canceled"})(u=e.SearchErrorCode||(e.SearchErrorCode={}));class h extends Error{constructor(W,B){super(W);this.code=B}}e.SearchError=h;function b(x){const W=x.message;if((0,A.isPromiseCanceledError)(x))return new h(W,u.canceled);try{const B=JSON.parse(W);return new h(B.message,B.code)}catch{return new h(W,u.other)}}e.deserializeSearchError=b;function p(x){const W={message:x.message,code:x.code};return new Error(JSON.stringify(W))}e.serializeSearchError=p;function k(x){return x.type==="error"?!0:x.type==="success"}e.isSerializedSearchComplete=k;function O(x){return x.type==="success"}e.isSerializedSearchSuccess=O;function U(x){return!!x.path}e.isSerializedFileMatch=U;function F(x,W){const B=x.searchPath?x.searchPath:x.relativePath;return(0,T.fuzzyContains)(B,W)}e.isFilePatternMatch=F;class M{constructor(W){this.path=W,this.results=[]}addMatch(W){this.results.push(W)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=M;function V(x,W){const B={...x||{},...W||{}};return Object.keys(B).filter(j=>{const Z=B[j];return typeof Z=="boolean"&&Z})}e.resolvePatternsForProvider=V;class H{constructor(W,B){this._parsedIncludeExpression=null,this._excludeExpression={...W.excludePattern||{},...B.excludePattern||{}},this._parsedExcludeExpression=i.parse(this._excludeExpression);let j=W.includePattern;B.includePattern&&(j?j={...j,...B.includePattern}:j=B.includePattern),j&&(this._parsedIncludeExpression=i.parse(j))}matchesExcludesSync(W,B,j){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(W,B,j))}includedInQuerySync(W,B,j){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(W,B,j)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(W,B,j))}includedInQuery(W,B,j){const Z=this._parsedExcludeExpression(W,B,j),se=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(W,B,j):!0;return(0,D.isPromise)(Z)?Z.then(Q=>Q?!1:se()):se()}hasSiblingExcludeClauses(){return N(this._excludeExpression)}}e.QueryGlobTester=H;function N(x){for(const W in x)if(typeof x[W]!="boolean")return!0;return!1}}),define(pe[35],ve([0,1,16,18,21,3,24,10,79,23,9,13,2,169,4,11,189,43,44,26,14,7,31,5]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s,n,m,a,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function r(p,k,O){return new A.ExtUri(U=>l(U,O)).isEqual(p,k)}function t(p,k,O){return r(p.uri,k.uri,O)?0:(0,L.compare)(p.uri.toString(),k.uri.toString())}function o(p,k,O){return p.index!==k.index?p.index<k.index?-1:1:r(p.uri,k.uri,O)?(0,L.compare)(p.name,k.name):(0,L.compare)(p.uri.toString(),k.uri.toString())}function d(p,k,O,U){const F=p.slice(0).sort((V,H)=>O(V,H,U)),M=k.slice(0).sort((V,H)=>O(V,H,U));return(0,f.delta)(F,M,(V,H)=>O(V,H,U))}function l(p,k){const O=k.getCapabilities(p.scheme);return!(O&&O&1024)}class u extends R.Workspace{constructor(k,O,U,F,M,V,H){super(k,U.map(N=>new R.WorkspaceFolder(N)),F,M,H);this._name=O,this._isUntitled=V,this._workspaceFolders=[],this._structure=T.TernarySearchTree.forUris(H),U.forEach(N=>{this._workspaceFolders.push(N),this._structure.set(N.uri,N)})}static toExtHostWorkspace(k,O,U,F){if(!k)return{workspace:null,added:[],removed:[]};const{id:M,name:V,folders:H,configuration:N,transient:x,isUntitled:W}=k,B=[],j=O;O?H.forEach((z,te)=>{const he=c.URI.revive(z.uri),ge=u._findFolder(U||O,he,F);ge?(ge.name=z.name,ge.index=z.index,B.push(ge)):B.push({uri:he,name:z.name,index:te})}):B.push(...H.map(({uri:z,name:te,index:he})=>({uri:c.URI.revive(z),name:te,index:he}))),B.sort((z,te)=>z.index<te.index?-1:1);const Z=new u(M,V,B,!!x,N?c.URI.revive(N):null,!!W,z=>l(z,F)),{added:se,removed:Q}=d(j?j.workspaceFolders:[],Z.workspaceFolders,t,F);return{workspace:Z,added:se,removed:Q}}static _findFolder(k,O,U){for(let F=0;F<k.folders.length;F++){const M=k.workspaceFolders[F];if(r(M.uri,O,U))return M}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(k,O){return O&&this._structure.get(k)&&(k=(0,A.dirname)(k)),this._structure.findSubstr(k)}resolveWorkspaceFolder(k){return this._structure.get(k)}}let h=class{constructor(k,O,U,F){this._onDidChangeWorkspace=new C.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new C.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=F,this._extHostFileSystemInfo=U,this._requestIdProvider=new y.Counter,this._barrier=new i.Barrier,this._proxy=k.getProxy(S.MainContext.MainThreadWorkspace),this._messageService=k.getProxy(S.MainContext.MainThreadMessageService);const M=O.workspace;this._confirmedWorkspace=M?new u(M.id,M.name,[],!!M.transient,M.configuration?c.URI.revive(M.configuration):null,!!M.isUntitled,V=>l(V,U)):void 0}$initializeWorkspace(k,O){this._trusted=O,this.$acceptWorkspaceData(k),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?c.URI.from({scheme:P.Schemas.untitled,path:(0,A.basename)((0,A.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(k,O,U,...F){const M=[];if(Array.isArray(F)&&F.forEach(W=>{c.URI.isUri(W.uri)&&!M.some(B=>r(B.uri,W.uri,this._extHostFileSystemInfo))&&M.push({uri:W.uri,name:W.name||(0,A.basenameOrAuthority)(W.uri)})}),this._unconfirmedWorkspace||[O,U].some(W=>typeof W!="number"||W<0)||U===0&&M.length===0)return!1;const V=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(O+U>V.length)return!1;const H=V.slice(0);H.splice(O,U,...M.map(W=>({uri:W.uri,name:W.name||(0,A.basenameOrAuthority)(W.uri),index:void 0})));for(let W=0;W<H.length;W++){const B=H[W];if(H.some((j,Z)=>Z!==W&&r(B.uri,j.uri,this._extHostFileSystemInfo)))return!1}H.forEach((W,B)=>W.index=B);const{added:N,removed:x}=d(V,H,o,this._extHostFileSystemInfo);if(N.length===0&&x.length===0)return!1;if(this._proxy){const W=k.displayName||k.name;this._proxy.$updateWorkspaceFolders(W,O,U,M).then(void 0,B=>{this._unconfirmedWorkspace=void 0;const j={source:{identifier:k.identifier,label:k.displayName||k.name}};this._messageService.$showMessage(v.Severity.Error,(0,E.localize)(0,null,W,B.toString()),j,[])})}return this.trySetWorkspaceFolders(H),!0}getWorkspaceFolder(k,O){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(k,O)}async getWorkspaceFolder2(k,O){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(k,O)}async resolveWorkspaceFolder(k){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(k)}getPath(){if(!this._actualWorkspace)return;const{folders:k}=this._actualWorkspace;if(k.length!==0)return k[0].uri.fsPath}getRelativePath(k,O){let U,F="";if(typeof k=="string"?(U=c.URI.file(k),F=k):typeof k!="undefined"&&(U=k,F=k.fsPath),!U)return F;const M=this.getWorkspaceFolder(U,!0);if(!M)return F;typeof O=="undefined"&&this._actualWorkspace&&(O=this._actualWorkspace.folders.length>1);let V=(0,A.relativePath)(M.uri,U);return O&&M.name&&(V=`${M.name}/${V}`),V}trySetWorkspaceFolders(k){this._actualWorkspace&&(this._unconfirmedWorkspace=u.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:k,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(k){const{workspace:O,added:U,removed:F}=u.toExtHostWorkspace(k,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=O||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:U,removed:F}))}findFiles(k,O,U,F,M=I.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${F.value}, entryPoint: findFiles`);let V;if(O===null?V=!1:O&&(typeof O=="string"?V=O:V=O.pattern),M&&M.isCancellationRequested)return Promise.resolve([]);const{includePattern:H,folder:N}=b(k);return this._proxy.$startFileSearch((0,D.withUndefinedAsNull)(H),(0,D.withUndefinedAsNull)(N),(0,D.withUndefinedAsNull)(V),(0,D.withUndefinedAsNull)(U),M).then(x=>Array.isArray(x)?x.map(W=>c.URI.revive(W)):[])}async findTextInFiles(k,O,U,F,M=I.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${F.value}, entryPoint: findTextInFiles`);const V=this._requestIdProvider.getNext(),H=typeof O.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:O.previewOptions,{includePattern:N,folder:x}=b(O.include),W=typeof O.exclude=="string"?O.exclude:O.exclude?O.exclude.pattern:void 0,B={ignoreSymlinks:typeof O.followSymlinks=="boolean"?!O.followSymlinks:void 0,disregardIgnoreFiles:typeof O.useIgnoreFiles=="boolean"?!O.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof O.useGlobalIgnoreFiles=="boolean"?!O.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof O.useParentIgnoreFiles=="boolean"?!O.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof O.useDefaultExcludes=="boolean"?!O.useDefaultExcludes:!0,fileEncoding:O.encoding,maxResults:O.maxResults,previewOptions:H,afterContext:O.afterContext,beforeContext:O.beforeContext,includePattern:N,excludePattern:W},j=!1;if(this._activeSearchCallbacks[V]=Z=>{if(j)return;const se=c.URI.revive(Z.resource);Z.results.forEach(Q=>{(0,a.resultIsMatch)(Q)?U({uri:se,preview:{text:Q.preview.text,matches:(0,f.mapArrayOrNot)(Q.preview.matches,z=>new m.Range(z.startLineNumber,z.startColumn,z.endLineNumber,z.endColumn))},ranges:(0,f.mapArrayOrNot)(Q.ranges,z=>new m.Range(z.startLineNumber,z.startColumn,z.endLineNumber,z.endColumn))}):U({uri:se,text:Q.text,lineNumber:Q.lineNumber})})},M.isCancellationRequested)return{};try{const Z=await this._proxy.$startTextSearch(k,(0,D.withUndefinedAsNull)(x),B,V,M);return delete this._activeSearchCallbacks[V],Z||{}}catch(Z){throw delete this._activeSearchCallbacks[V],Z}}$handleTextSearchResult(k,O){this._activeSearchCallbacks[O]&&this._activeSearchCallbacks[O](k)}saveAll(k){return this._proxy.$saveAll(k)}resolveProxy(k){return this._proxy.$resolveProxy(k)}get trusted(){return this._trusted}requestWorkspaceTrust(k){return this._proxy.$requestWorkspaceTrust(k)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};h=je([ze(0,n.IExtHostRpcService),ze(1,s.IExtHostInitDataService),ze(2,_.IExtHostFileSystemInfo),ze(3,w.ILogService)],h),e.ExtHostWorkspace=h,e.IExtHostWorkspace=(0,g.createDecorator)("IExtHostWorkspace");function b(p){let k,O;return p&&(typeof p=="string"?k=p:(k=p.pattern,O=p.baseFolder||c.URI.file(p.base))),{includePattern:k,folder:O}}}),define(pe[36],ve([0,1,25,3,35,5,7,193,119,13,18,4,14,11,2]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function w(S,r){if(r){const t=r.split(".");let o=S;for(let d=0;o&&d<t.length;d++)o=o[t[d]];return o}}function v(S){return S instanceof g.URI}function R(S){return S&&S.uri instanceof g.URI&&S.languageId&&typeof S.languageId=="string"}function _(S){return S&&!S.uri&&S.languageId&&typeof S.languageId=="string"}function s(S){return S&&S.uri instanceof g.URI&&(!S.name||typeof S.name=="string")&&(!S.index||typeof S.index=="number")}function n(S){if(v(S))return{resource:S};if(R(S))return{resource:S.uri,overrideIdentifier:S.languageId};if(_(S))return{overrideIdentifier:S.languageId};if(s(S))return{resource:S.uri};if(S===null)return{resource:null}}let m=class{constructor(r,t,o){this._proxy=r.getProxy(C.MainContext.MainThreadConfiguration),this._extHostWorkspace=t,this._logService=o,this._barrier=new L.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(r=>this._actual)}$initializeConfiguration(r){this._actual=new a(this._proxy,this._extHostWorkspace,r,this._logService),this._barrier.open()}$acceptConfigurationChanged(r,t){this.getConfigProvider().then(o=>o.$acceptConfigurationChanged(r,t))}};m=je([ze(0,c.IExtHostRpcService),ze(1,I.IExtHostWorkspace),ze(2,E.ILogService)],m),e.ExtHostConfiguration=m;class a{constructor(r,t,o,d){this._onDidChangeConfiguration=new i.Emitter,this._proxy=r,this._logService=d,this._extHostWorkspace=t,this._configuration=P.Configuration.parse(o),this._configurationScopes=this._toMap(o.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(r,t){const o={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(t,o))}getConfiguration(r,t,o){const d=n(t)||{},l=this._toReadonlyValue(r?w(this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace),r):this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace));r&&this._validateConfigurationAccess(r,d,o?.identifier);function u(b){if(b==null)return null;if(typeof b=="boolean")return b?1:4;switch(b){case T.ConfigurationTarget.Global:return 1;case T.ConfigurationTarget.Workspace:return 4;case T.ConfigurationTarget.WorkspaceFolder:return 5}}const h={has(b){return typeof w(l,b)!="undefined"},get:(b,p)=>{this._validateConfigurationAccess(r?`${r}.${b}`:b,d,o?.identifier);let k=w(l,b);if(typeof k=="undefined")k=p;else{let O;const U=(F,M)=>{let V;const H=()=>{O=O||(0,f.deepClone)(l),V=V||w(O,M)};return(0,A.isObject)(F)?new Proxy(F,{get:(N,x)=>{if(typeof x=="string"&&x.toLowerCase()==="tojson")return H(),()=>V;if(O)return V=V||w(O,M),V[x];const W=N[x];return typeof x=="string"?U(W,`${M}.${x}`):W},set:(N,x,W)=>(H(),V&&(V[x]=W),!0),deleteProperty:(N,x)=>(H(),V&&delete V[x],!0),defineProperty:(N,x,W)=>(H(),V&&Object.defineProperty(V,x,W),!0)}):F};k=U(k,b)}return k},update:(b,p,k,O)=>{b=r?`${r}.${b}`:b;const U=u(k);return p!==void 0?this._proxy.$updateConfigurationOption(U,b,p,d,O):this._proxy.$removeConfigurationOption(U,b,d,O)},inspect:b=>{b=r?`${r}.${b}`:b;const p=(0,f.deepClone)(this._configuration.inspect(b,d,this._extHostWorkspace.workspace));if(p)return{key:b,defaultValue:p.default?.value,globalValue:p.user?.value,workspaceValue:p.workspace?.value,workspaceFolderValue:p.workspaceFolder?.value,defaultLanguageValue:p.default?.override,globalLanguageValue:p.user?.override,workspaceLanguageValue:p.workspace?.override,workspaceFolderLanguageValue:p.workspaceFolder?.override,languageIds:p.overrideIdentifiers}}};return typeof l=="object"&&(0,f.mixin)(h,l,!1),Object.freeze(h)}_toReadonlyValue(r){const t=o=>(0,A.isObject)(o)?new Proxy(o,{get:(d,l)=>t(d[l]),set:(d,l,u)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(l)}' of object`)},deleteProperty:(d,l)=>{throw new Error(`TypeError: Cannot delete read only property '${String(l)}' of object`)},defineProperty:(d,l)=>{throw new Error(`TypeError: Cannot define property '${String(l)}' for a readonly object`)},setPrototypeOf:d=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):o;return t(r)}_validateConfigurationAccess(r,t,o){const d=y.OVERRIDE_PROPERTY_REGEX.test(r)?4:this._configurationScopes.get(r),l=o?`[${o.value}] `:"";if(d===4){typeof t?.resource=="undefined"&&this._logService.warn(`${l}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${r}', provide the URI of a resource or 'null' for any resource.`);return}if(d===3){t?.resource&&this._logService.warn(`${l}Accessing a window scoped configuration for a resource is not expected. To associate '${r}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(r,t){const o=new P.ConfigurationChangeEvent(r,t,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(d,l)=>o.affectsConfiguration(d,n(l))})}_toMap(r){return r.reduce((t,o)=>(t.set(o[0],o[1]),t),new Map)}}e.ExtHostConfigProvider=a,e.IExtHostConfiguration=(0,D.createDecorator)("IExtHostConfiguration")});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[71],ve([0,1,2,18,3,5,7,35,45,36,21,34,14,26,4,10,12,11,66,213,15]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s,n){"use strict";var m;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var a;(function(M){function V(N){if(N!=null)return N}M.from=V;function H(N){if(N!=null)return N}M.to=H})(a=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var S;(function(M){function V(N){if(N!=null)return N}M.from=V;function H(N){if(N!=null)return N}M.to=H})(S=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var r;(function(M){function V(N){if(N!=null)return N}M.from=V;function H(N){if(N!=null)return N}M.to=H})(r=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var t;(function(M){function V(x){if(x){const W=x;return W&&!!W.process}else return!1}M.is=V;function H(x){if(x==null)return;const W={process:x.process,args:x.args};return x.options&&(W.options=r.from(x.options)),W}M.from=H;function N(x){if(x!=null)return new T.ProcessExecution(x.process,x.args,x.options)}M.to=N})(t=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var o;(function(M){function V(N){if(N!=null)return N}M.from=V;function H(N){if(N!=null)return N}M.to=H})(o=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var d;(function(M){function V(x){if(x){const W=x;return W&&(!!W.commandLine||!!W.command)}else return!1}M.is=V;function H(x){if(x==null)return;const W={};return x.commandLine!==void 0?W.commandLine=x.commandLine:(W.command=x.command,W.args=x.args),x.options&&(W.options=o.from(x.options)),W}M.from=H;function N(x){if(!(x==null||x.command===void 0&&x.commandLine===void 0))return x.commandLine?new T.ShellExecution(x.commandLine,x.options):new T.ShellExecution(x.command,x.args?x.args:[],x.options)}M.to=N})(d=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var l;(function(M){function V(x){if(x){let W=x;return W&&W.customExecution==="customExecution"}else return!1}M.is=V;function H(x){return{customExecution:"customExecution"}}M.from=H;function N(x,W){return W.get(x)}M.to=N})(l=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var u;(function(M){function V(H,N){let x;return H.scope!==void 0&&typeof H.scope!="number"?x=H.scope.uri:H.scope!==void 0&&typeof H.scope=="number"&&(H.scope===T.TaskScope.Workspace&&N&&N.workspaceFile?x=N.workspaceFile:x=s.USER_TASKS_GROUP_KEY),{id:H._id,workspaceFolder:x}}M.from=V})(u=e.TaskHandleDTO||(e.TaskHandleDTO={}));var h;(function(M){function V(H){if(H!=null)return{_id:H.id,isDefault:H.isDefault}}M.from=V})(h=e.TaskGroupDTO||(e.TaskGroupDTO={}));var b;(function(M){function V(x,W){if(x==null)return[];const B=[];for(let j of x){const Z=H(j,W);Z&&B.push(Z)}return B}M.fromMany=V;function H(x,W){if(x==null)return;let B;x.execution instanceof T.ProcessExecution?B=t.from(x.execution):x.execution instanceof T.ShellExecution?B=d.from(x.execution):x.execution&&x.execution instanceof T.CustomExecution&&(B=l.from(x.execution));const j=a.from(x.definition);let Z;return x.scope?typeof x.scope=="number"?Z=x.scope:Z=x.scope.uri:Z=T.TaskScope.Workspace,!j||!Z?void 0:{_id:x._id,definition:j,name:x.name,source:{extensionId:W.identifier.value,label:x.source,scope:Z},execution:B,isBackground:x.isBackground,group:h.from(x.group),presentationOptions:S.from(x.presentationOptions),problemMatchers:x.problemMatchers,hasDefinedMatchers:x.hasDefinedMatchers,runOptions:x.runOptions?x.runOptions:{reevaluateOnRerun:!0},detail:x.detail}}M.from=H;async function N(x,W,B){if(x==null)return;let j;t.is(x.execution)?j=t.to(x.execution):d.is(x.execution)?j=d.to(x.execution):l.is(x.execution)&&(j=l.to(x._id,B));const Z=a.to(x.definition);let se;if(x.source&&(x.source.scope!==void 0?typeof x.source.scope=="number"?se=x.source.scope:se=await W.resolveWorkspaceFolder(f.URI.revive(x.source.scope)):se=T.TaskScope.Workspace),!Z||!se)return;const Q=new T.Task(Z,se,x.name,x.source.label,j,x.problemMatchers);return x.isBackground!==void 0&&(Q.isBackground=x.isBackground),x.group!==void 0&&(Q.group=T.TaskGroup.from(x.group._id),Q.group&&x.group.isDefault&&(Q.group=new T.TaskGroup(Q.group.id,Q.group.label),x.group.isDefault&&(Q.group.isDefault=x.group.isDefault))),x.presentationOptions&&(Q.presentationOptions=S.to(x.presentationOptions)),x._id&&(Q._id=x._id),x.detail&&(Q.detail=x.detail),Q}M.to=N})(b=e.TaskDTO||(e.TaskDTO={}));var p;(function(M){function V(N){return N}M.from=V;function H(N){if(!!N)return Object.assign(Object.create(null),N)}M.to=H})(p=e.TaskFilterDTO||(e.TaskFilterDTO={}));class k{constructor(V,H,N){this._id=H,this._task=N,m.set(this,void 0),it(this,m,V,"f")}get task(){return this._task}terminate(){Le(this,m,"f").terminateTask(this)}fireDidStartProcess(V){}fireDidEndProcess(V){}}m=new WeakMap;var O;(function(M){function V(H){return{id:H._id,task:void 0}}M.from=V})(O=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let U=class{constructor(V,H,N,x,W,B,j,Z){this._onDidExecuteTask=new I.Emitter,this._onDidTerminateTask=new I.Emitter,this._onDidTaskProcessStarted=new I.Emitter,this._onDidTaskProcessEnded=new I.Emitter,this._proxy=V.getProxy(C.MainContext.MainThreadTask),this._workspaceProvider=N,this._editorService=x,this._configurationService=W,this._terminalService=B,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=j,this._deprecationService=Z,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(V,H,N){if(!N)return new T.Disposable(()=>{});const x=this.nextHandle();return this._handlers.set(x,{type:H,provider:N,extension:V}),this._proxy.$registerTaskProvider(x,H),new T.Disposable(()=>{this._handlers.delete(x),this._proxy.$unregisterTaskProvider(x)})}registerTaskSystem(V,H){this._proxy.$registerTaskSystem(V,H)}fetchTasks(V){return this._proxy.$fetchTasks(p.from(V)).then(async H=>{const N=[];for(let x of H){const W=await b.to(x,this._workspaceProvider,this._providedCustomExecutions2);W&&N.push(W)}return N})}get taskExecutions(){const V=[];return this._taskExecutions.forEach(H=>V.push(H)),V}terminateTask(V){if(!(V instanceof k))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(V._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(V,H,N){const x=this._providedCustomExecutions2.get(V.id);x&&(this._activeCustomExecutions2.set(V.id,x),this._terminalService.attachPtyToTerminal(H,await x.callback(N))),this._lastStartedTask=V.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(V)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(V){const H=await this.getTaskExecution(V);this._taskExecutionPromises.delete(V.id),this._taskExecutions.delete(V.id),this.customExecutionComplete(V),this._onDidTerminateTask.fire({execution:H})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(V){const H=await this.getTaskExecution(V.id);this._onDidTaskProcessStarted.fire({execution:H,processId:V.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(V){const H=await this.getTaskExecution(V.id);this._onDidTaskProcessEnded.fire({execution:H,exitCode:V.exitCode})}$provideTasks(V,H){const N=this._handlers.get(V);if(!N)return Promise.reject(new Error("no handler found"));const x=[],W=(0,i.asPromise)(()=>N.provider.provideTasks(L.CancellationToken.None)).then(B=>this.provideTasksInternal(H,x,N,B));return new Promise(B=>{W.then(j=>{Promise.all(x).then(()=>{B(j)})})})}async $resolveTask(V,H){const N=this._handlers.get(V);if(!N)return Promise.reject(new Error("no handler found"));if(H.definition.type!==N.type)throw new Error(`Unexpected: Task of type [${H.definition.type}] cannot be resolved by provider of type [${N.type}].`);const x=await b.to(H,this._workspaceProvider,this._providedCustomExecutions2);if(!x)throw new Error("Unexpected: Task cannot be resolved.");const W=await N.provider.resolveTask(x,L.CancellationToken.None);if(!W)return;this.checkDeprecation(W,N);const B=b.from(W,N.extension);if(!B)throw new Error("Unexpected: Task cannot be resolved.");if(W.definition!==x.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return l.is(B.execution)&&await this.addCustomExecution(B,W,!0),await this.resolveTaskInternal(B)}nextHandle(){return this._handleCounter++}async addCustomExecution(V,H,N){const x=await this._proxy.$createTaskId(V);!N&&!this._providedCustomExecutions2.has(x)&&(this._notProvidedCustomExecutions.add(x),this._activeCustomExecutions2.set(x,H.execution)),this._providedCustomExecutions2.set(x,H.execution)}async getTaskExecution(V,H){if(typeof V=="string"){const W=this._taskExecutionPromises.get(V);if(!W)throw new Error("Unexpected: The specified task is missing an execution");return W}let N=this._taskExecutionPromises.get(V.id);if(N)return N;const x=new Promise((W,B)=>{function j(Z,se,Q){Q?W(new k(Z,se.id,Q)):B("Unexpected: Task does not exist.")}H?j(this,V,H):b.to(V.task,this._workspaceProvider,this._providedCustomExecutions2).then(Z=>j(this,V,Z))});return this._taskExecutionPromises.set(V.id,x),x.then(W=>(this._taskExecutions.set(V.id,W),W),W=>Promise.reject(W))}checkDeprecation(V,H){V._deprecated&&this._deprecationService.report("Task.constructor",H.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(V){this._activeCustomExecutions2.get(V.id)&&this._activeCustomExecutions2.delete(V.id),this._notProvidedCustomExecutions.has(V.id)&&this._lastStartedTask!==V.id&&(this._providedCustomExecutions2.delete(V.id),this._notProvidedCustomExecutions.delete(V.id));let N=this._notProvidedCustomExecutions.values(),x=N.next();for(;!x.done;)!this._activeCustomExecutions2.has(x.value)&&this._lastStartedTask!==x.value&&(this._providedCustomExecutions2.delete(x.value),this._notProvidedCustomExecutions.delete(x.value)),x=N.next()}};U=je([ze(0,c.IExtHostRpcService),ze(1,E.IExtHostInitDataService),ze(2,P.IExtHostWorkspace),ze(3,y.IExtHostDocumentsAndEditors),ze(4,A.IExtHostConfiguration),ze(5,D.IExtHostTerminalService),ze(6,R.ILogService),ze(7,_.IExtHostApiDeprecationService)],U),e.ExtHostTaskBase=U;let F=class extends U{constructor(V,H,N,x,W,B,j,Z){super(V,H,N,x,W,B,j,Z);this.registerTaskSystem(w.Schemas.vscodeRemote,{scheme:w.Schemas.vscodeRemote,authority:"",platform:v.PlatformToString(0)})}async executeTask(V,H){if(!H.execution)throw new Error("Tasks to execute must include an execution");const N=b.from(H,V);if(N===void 0)throw new Error("Task is not valid");if(l.is(N.execution))await this.addCustomExecution(N,H,!1);else throw new n.NotSupportedError;const x=await this.getTaskExecution(await this._proxy.$getTaskExecution(N),H);return this._proxy.$executeTask(N).catch(W=>{throw new Error(W)}),x}provideTasksInternal(V,H,N,x){const W=[];if(x)for(let B of x){this.checkDeprecation(B,N),(!B.definition||!V[B.definition.type])&&this._logService.warn(`The task [${B.source}, ${B.name}] uses an undefined task type. The task will be ignored in the future.`);const j=b.from(B,N.extension);j&&l.is(j.execution)?(W.push(j),H.push(this.addCustomExecution(j,B,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:W,extension:N.extension}}async resolveTaskInternal(V){if(l.is(V.execution))return V;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(V,H){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(V,H,N){}};F=je([ze(0,c.IExtHostRpcService),ze(1,E.IExtHostInitDataService),ze(2,P.IExtHostWorkspace),ze(3,y.IExtHostDocumentsAndEditors),ze(4,A.IExtHostConfiguration),ze(5,D.IExtHostTerminalService),ze(6,R.ILogService),ze(7,_.IExtHostApiDeprecationService)],F),e.WorkerExtHostTask=F,e.IExtHostTask=(0,g.createDecorator)("IExtHostTask")}),define(pe[266],ve([0,1,16,75,32,81,24,10,8,23,9,13,2,149,175,116,43,128,265,31]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let n=class{constructor(u,h,b,p){this.configurationService=u,this.workspaceContextService=h,this.editorGroupsService=b,this.pathService=p}text(u,h,b={}){u=this.getContentPattern(u,b);const p=this.configurationService.getValue(),k=h&&h.some(U=>!this.configurationService.getValue({resource:U}).search.useRipgrep);return{...this.commonQuery(h?.map(v.toWorkspaceFolder),b),type:2,contentPattern:u,previewOptions:b.previewOptions,maxFileSize:b.maxFileSize,usePCRE2:p.search.usePCRE2||k||!1,beforeContext:b.beforeContext,afterContext:b.afterContext,userDisabledExcludesAndIgnoreFiles:b.disregardExcludeSettings&&b.disregardIgnoreFiles}}getContentPattern(u,h){const b=this.configurationService.getValue();u.isRegExp&&(u.pattern=u.pattern.replace(/\r?\n/g,"\\n"));const p={...u,wordSeparators:b.editor.wordSeparators};return this.isCaseSensitive(u,h)&&(p.isCaseSensitive=!0),this.isMultiline(u)&&(p.isMultiline=!0),p}file(u,h={}){return{...this.commonQuery(u,h),type:1,filePattern:h.filePattern?h.filePattern.trim():h.filePattern,exists:h.exists,sortByScore:h.sortByScore,cacheKey:h.cacheKey}}handleIncludeExclude(u,h){return u?(u=Array.isArray(u)?u.map(t):t(u),h?this.parseSearchPaths(u):{pattern:a(...Array.isArray(u)?u:[u])}):{}}commonQuery(u=[],h={}){const b=this.handleIncludeExclude(h.includePattern,h.expandPatterns),p=this.handleIncludeExclude(h.excludePattern,h.expandPatterns),k=u.length>1,O=(b.searchPaths&&b.searchPaths.length?b.searchPaths.map(M=>this.getFolderQueryForSearchPath(M,h,p)):u.map(M=>this.getFolderQueryForRoot(M,h,p,k))).filter(M=>!!M),U={_reason:h._reason,folderQueries:O,usingSearchPaths:!!(b.searchPaths&&b.searchPaths.length),extraFileResources:h.extraFileResources,excludePattern:p.pattern,includePattern:b.pattern,onlyOpenEditors:h.onlyOpenEditors,maxResults:h.maxResults};if(h.onlyOpenEditors){const V=f.coalesce(f.flatten(this.editorGroupsService.groups.map(N=>N.editors.map(x=>x.resource)))).filter(N=>(0,s.pathIncludedInQuery)(U,N.fsPath)),H=this.commonQueryFromFileList(V);return{...U,...H}}const F=h.extraFileResources&&h.extraFileResources.filter(M=>(0,s.pathIncludedInQuery)(U,M.fsPath));return U.extraFileResources=F&&F.length?F:void 0,U}commonQueryFromFileList(u){const h=[],b=new T.ResourceMap,p={};let k=!1;return u.forEach(O=>{if(O.scheme===P.Schemas.walkThrough)return;if((0,A.isAbsolutePath)(O)){const F=this.workspaceContextService.getWorkspaceFolder(O)?.uri??O.with({path:y.dirname(O.fsPath)});let M=b.get(F);M||(k=!0,M={folder:F,includePattern:{}},h.push(M),b.set(F,M));const V=y.relative(F.fsPath,O.fsPath);(0,D.assertIsDefined)(M.includePattern)[V.replace(/\\/g,"/")]=!0}else O.fsPath&&(k=!0,p[O.fsPath]=!0)}),{folderQueries:h,includePattern:p,usingSearchPaths:!0,excludePattern:k?void 0:{"**/*":!0}}}isCaseSensitive(u,h){if(h.isSmartCase){if(u.isRegExp){if(L.containsUppercaseCharacter(u.pattern,!0))return!0}else if(L.containsUppercaseCharacter(u.pattern))return!0}return!!u.isCaseSensitive}isMultiline(u){return u.isMultiline||u.isRegExp&&(0,E.isMultilineRegexSource)(u.pattern)||u.pattern.indexOf(`
`)>=0?!0:!!u.isMultiline}parseSearchPaths(u){const h=H=>y.isAbsolute(H)||/^\.\.?([\/\\]|$)/.test(H),p=(Array.isArray(u)?u:S(u)).map(H=>{const N=this.pathService.resolvedUserHome;return N?(0,C.untildify)(H,N.scheme===P.Schemas.file?N.fsPath:N.path):H}),k=i.groupBy(p,H=>h(H)?"searchPaths":"exprSegments"),O=(k.exprSegments||[]).map(H=>L.rtrim(H,"/")).map(H=>L.rtrim(H,"\\")).map(H=>(H[0]==="."&&(H="*"+H),r(H))),U={},F=this.expandSearchPathPatterns(k.searchPaths||[]);F&&F.length&&(U.searchPaths=F);const M=f.flatten(O),V=a(...M);return V&&(U.pattern=V),U}getExcludesForFolder(u,h){return h.disregardExcludeSettings?void 0:(0,s.getExcludes)(u,!h.disregardSearchExcludeSettings)}expandSearchPathPatterns(u){if(!u||!u.length)return[];const h=f.flatten(u.map(p=>{let{pathPortion:k,globPortion:O}=m(p);O&&(O=o(O));const U=this.expandOneSearchPath(k);return f.flatten(U.map(F=>this.resolveOneSearchPathPattern(F,O)))})),b=new Map;return h.forEach(p=>{const k=p.searchPath.toString(),O=b.get(k);O?p.pattern&&(O.pattern=O.pattern||{},O.pattern[p.pattern]=!0):b.set(k,{searchPath:p.searchPath,pattern:p.pattern?a(p.pattern):void 0})}),Array.from(b.values())}expandOneSearchPath(u){if(y.isAbsolute(u)){const h=this.workspaceContextService.getWorkspace().folders;return h[0]&&h[0].uri.scheme!==P.Schemas.file?[{searchPath:h[0].uri.with({path:u})}]:[{searchPath:c.URI.file(y.normalize(u))}]}if(this.workspaceContextService.getWorkbenchState()===2){const h=this.workspaceContextService.getWorkspace().folders[0].uri;if(u=t(u),u.startsWith("../")||u===".."){const p=y.posix.resolve(h.path,u);return[{searchPath:h.with({path:p})}]}const b=o(u);return[{searchPath:h,pattern:b}]}else{if(u==="./"||u===".\\")return[];{const h=u.replace(/^\.[\/\\]/,""),p=this.workspaceContextService.getWorkspace().folders.map(k=>{const O=h.match(new RegExp(`^${L.escapeRegExpCharacters(k.name)}(?:/(.*)|$)`));return O?{match:O,folder:k}:null}).filter(D.isDefined);if(p.length)return p.map(k=>{const O=k.match[1];return{searchPath:k.folder.uri,pattern:O&&o(O)}});{const k=u.match(/\.[\/\\](.+)[\/\\]?/),O=k?k[1]:u,U=g.localize(0,null,O);throw new Error(U)}}}}resolveOneSearchPathPattern(u,h){const b=u.pattern&&h?`${u.pattern}/${h}`:u.pattern||h,p=[{searchPath:u.searchPath,pattern:b}];return b&&!b.endsWith("**")&&p.push({searchPath:u.searchPath,pattern:b+"/**"}),p}getFolderQueryForSearchPath(u,h,b){const p=this.getFolderQueryForRoot((0,v.toWorkspaceFolder)(u.searchPath),h,b,!1);return p?{...p,includePattern:u.pattern}:null}getFolderQueryForRoot(u,h,b,p){let k;const O=c.URI.isUri(u)?u:u.uri;if(b.searchPaths){const H=b.searchPaths.filter(N=>(0,A.isEqual)(N.searchPath,O))[0];if(H&&!H.pattern)return null;H&&(k=H.pattern)}const U=this.configurationService.getValue({resource:O}),M={...this.getExcludesForFolder(U,h)||{},...k||{}},V=c.URI.isUri(u)?(0,A.basename)(u):u.name;return{folder:O,folderName:p?V:void 0,excludePattern:Object.keys(M).length>0?M:void 0,fileEncoding:U.files&&U.files.encoding,disregardIgnoreFiles:typeof h.disregardIgnoreFiles=="boolean"?h.disregardIgnoreFiles:!U.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof h.disregardGlobalIgnoreFiles=="boolean"?h.disregardGlobalIgnoreFiles:!U.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof h.disregardParentIgnoreFiles=="boolean"?h.disregardParentIgnoreFiles:!U.search.useParentIgnoreFiles,ignoreSymlinks:typeof h.ignoreSymlinks=="boolean"?h.ignoreSymlinks:!U.search.followSymlinks}}};n=je([ze(0,w.IConfigurationService),ze(1,v.IWorkspaceContextService),ze(2,R.IEditorGroupsService),ze(3,_.IPathService)],n),e.QueryBuilder=n;function m(l){const u=l.match(/[\*\{\}\(\)\[\]\?]/);if(u){const h=u.index,b=l.substr(0,h).match(/[/|\\][^/\\]*$/);if(b){let p=l.substr(0,b.index);return p.match(/[/\\]/)||(p+="/"),{pathPortion:p,globPortion:l.substr((b.index||0)+1)}}}return{pathPortion:l}}function a(...l){return l.length?l.reduce((u,h)=>(u[h]=!0,u),Object.create(null)):void 0}function S(l){return I.splitGlobAware(l,",").map(u=>u.trim()).filter(u=>!!u.length)}function r(l){return[`**/${l}/**`,`**/${l}`].map(h=>h.replace(/\*\*\/\*\*/g,"**"))}function t(l){return l.replace(/\\/g,"/")}function o(l){return t(l).replace(/^\.\//,"").replace(/\/+$/g,"")}function d(l,u){l=f.distinct(l,p=>p.toString());const h=[],b=u.getWorkspace();return l&&l.forEach(p=>{let k;if(u.getWorkbenchState()===2)k=(0,A.relativePath)(b.folders[0].uri,p),k&&k!=="."&&(k="./"+k);else{const O=u.getWorkspaceFolder(p);if(O){const U=O.name;if(b.folders.filter(M=>M.name===U).length===1){const M=(0,A.relativePath)(O.uri,p);M===""?k=`./${O.name}`:k=`./${O.name}/${M}`}else k=p.fsPath}}k&&h.push(k)}),h}e.resolveResourcesForSearchIncludes=d}),define(pe[267],ve([0,1,23,2,21,15,4,266,31,43]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const L=7e3;function D(w,v){const R=v.activationEvents;if(!R)return Promise.resolve(void 0);const _=[],s=[];for(const t of R)if(/^workspaceContains:/.test(t)){const o=t.substr("workspaceContains:".length);o.indexOf("*")>=0||o.indexOf("?")>=0||w.forceUsingSearch?s.push(o):_.push(o)}if(_.length===0&&s.length===0)return Promise.resolve(void 0);let n;const m=new Promise((t,o)=>{n=t}),a=t=>n({activationEvent:t}),S=Promise.all(_.map(t=>c(w,t,a))).then(()=>{}),r=E(w,v.identifier,s,a);return Promise.all([S,r]).then(()=>{n(void 0)}),m}e.checkActivateWorkspaceContainsExtension=D;async function c(w,v,R){for(const _ of w.folders)if(await w.exists(f.joinPath(i.URI.revive(_),v))){R(`workspaceContains:${v}`);return}}async function E(w,v,R,_){if(R.length===0)return Promise.resolve(void 0);const s=new I.CancellationTokenSource,n=w.checkExists(w.folders,R,s.token),m=setTimeout(async()=>{s.cancel(),w.logService.info(`Not activating extension '${v.value}': Timed out while searching for 'workspaceContains' pattern ${R.join(",")}`)},L);let a=!1;try{a=await n}catch(S){C.isPromiseCanceledError(S)||C.onUnexpectedError(S)}s.dispose(),clearTimeout(m),a&&_(`workspaceContains:${R.join(",")}`)}function g(w,v,R,_){const s=w.get(T.IInstantiationService),n=w.get(y.ISearchService),a=s.createInstance(P.QueryBuilder).file(v.map(S=>(0,A.toWorkspaceFolder)(i.URI.revive(S))),{_reason:"checkExists",includePattern:R,exists:!0});return n.fileSearch(a,_).then(S=>!!S.limitHit,S=>C.isPromiseCanceledError(S)?!1:Promise.reject(S))}e.checkGlobFileExists=g});var it=this&&this.__classPrivateFieldSet||function(X,e,f,i,I){if(i==="m")throw new TypeError("Private method is not writable");if(i==="a"&&!I)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?X!==e||!I:!e.has(X))throw new TypeError("Cannot write private member to an object whose class did not declare it");return i==="a"?I.call(X,f):I?I.value=f:e.set(X,f),f},Le=this&&this.__classPrivateFieldGet||function(X,e,f,i){if(f==="a"&&!i)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?X!==e||!i:!e.has(X))throw new TypeError("Cannot read private member from an object whose class did not declare it");return f==="m"?i:f==="a"?i.call(X):i?i.value:e.get(X)};define(pe[39],ve([0,1,164,8,72,23,18,6,24,2,11,5,36,225,91,35,30,223,15,27,22,199,7,120,4,26,68,14,85,52,34,3,267,90,201,10]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s,n,m,a,S,r,t,o,d,l,u,h,b,p,k,O,U){"use strict";var F,M,V;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,r.createDecorator)("IHostUtils");let H=class qi extends P.Disposable{constructor(B,j,Z,se,Q,z,te,he,ge,ke){super();this._onDidChangeRemoteConnectionData=this._register(new b.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=j,this._extHostContext=Z,this._initData=te,this._extHostWorkspace=se,this._extHostConfiguration=Q,this._logService=z,this._extHostTunnelService=ge,this._extHostTerminalService=ke,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(D.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(D.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(D.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new T.Barrier,this._readyToStartExtensionHost=new T.Barrier,this._readyToRunExtensions=new T.Barrier,this._eagerExtensionsActivated=new T.Barrier,this._registry=new R.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new g.ExtHostStorage(this._extHostContext),this._secretState=new k.ExtHostSecretState(this._extHostContext),this._storagePath=he,this._instaService=B.createChild(new l.ServiceCollection([g.IExtHostStorage,this._storage],[k.IExtHostSecretState,this._secretState]));const Ue=new Set;this._initData.hostExtensions.forEach(Be=>Ue.add(s.ExtensionIdentifier.toKey(Be))),this._activator=this._register(new E.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Be,q,Y)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Be,_.transformErrorForSerialization(q),Y)},actualActivateExtension:async(Be,q)=>{if(Ue.has(s.ExtensionIdentifier.toKey(Be)))return await this._mainThreadExtensionsProxy.$activateExtension(Be,q),new E.HostExtension;const Y=this._registry.getExtensionDescription(Be);return this._activateExtension(Y,q)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),I.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(B){_.onUnexpectedError(B)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let B=[];try{B=this._registry.getAllExtensionDescriptions().map(Q=>Q.identifier).filter(Q=>this.isActivated(Q)).map(Q=>this._deactivate(Q))}catch{}await Promise.all(B)}isActivated(B){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(B):!1}_activateByEvent(B,j){return this._activator.activateByEvent(B,j)}_activateById(B,j){return this._activator.activateById(B,j)}activateByIdWithErrors(B,j){return this._activateById(B,j).then(()=>{const Z=this._activator.getActivatedExtension(B);if(Z.activationFailed)return Promise.reject(Z.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(B=>this._registry)}getExtensionExports(B){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(B).exports:null}async _realPathExtensionUri(B){if(B.scheme!==U.Schemas.file)return B;const j=await this._hostUtils.realpath(B.fsPath);return A.URI.file(j)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=(async()=>{const B=y.TernarySearchTree.forUris(j=>C.extUriBiasedIgnorePathCase.ignorePathCasing(j));for(const j of this._registry.getAllExtensionDescriptions())if(this._getEntryPoint(j)){const Z=await this._realPathExtensionUri(j.extensionLocation);B.set(Z,j)}return B})()),this._extensionPathIndex}_deactivate(B){let j=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(B))return j;const Z=this._activator.getActivatedExtension(B);if(!Z)return j;try{typeof Z.module.deactivate=="function"&&(j=Promise.resolve(Z.module.deactivate()).then(void 0,se=>(this._logService.error(se),Promise.resolve(void 0))))}catch(se){this._logService.error(`An error occurred when deactivating the extension '${B.value}':`),this._logService.error(se)}try{(0,P.dispose)(Z.subscriptions)}catch(se){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${B.value}':`),this._logService.error(se)}return j}async _activateExtension(B,j){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(B.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(B.identifier),this._doActivateExtension(B,j).then(Z=>{const se=Z.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(B.identifier,se.codeLoadingTime,se.activateCallTime,se.activateResolvedTime,j),this._logExtensionActivationTimes(B,j,"success",se),Z},Z=>{throw this._logExtensionActivationTimes(B,j,"failure"),Z})}_logExtensionActivationTimes(B,j,Z,se){const Q=N(B,j);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...Q,...se||{},outcome:Z})}_doActivateExtension(B,j){const Z=N(B,j);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",Z);const se=this._getEntryPoint(B);if(!se)return Promise.resolve(new E.EmptyExtension(E.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${B.identifier.value}, startup: ${j.startup}, activationEvent: '${j.activationEvent}'${B.identifier.value!==j.extensionId.value?`, root cause: ${j.extensionId.value}`:""}`),this._logService.flush();const Q=new E.ExtensionActivationTimesBuilder(j.startup);return Promise.all([this._loadCommonJSModule(B.identifier,(0,C.joinPath)(B.extensionLocation,se),Q),this._loadExtensionContext(B)]).then(z=>(I.mark(`code/extHost/willActivateExtension/${B.identifier.value}`),qi._callActivate(this._logService,B.identifier,z[0],z[1],Q))).then(z=>(I.mark(`code/extHost/didActivateExtension/${B.identifier.value}`),z))}_loadExtensionContext(B){const j=new m.ExtensionGlobalMemento(B,this._storage),Z=new m.ExtensionMemento(B.identifier.value,!1,this._storage),se=new O.ExtensionSecrets(B,this._secretState),Q=B.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?a.ExtensionMode.Test:a.ExtensionMode.Development:a.ExtensionMode.Production,z=this._initData.remote.isRemote?a.ExtensionKind.Workspace:a.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${B.identifier.value}`),Promise.all([j.whenReady,Z.whenReady,this._storagePath.whenReady]).then(()=>{const te=this;let he;const ge=(0,v.isProposedApiEnabled)(B,"ipc")?this._initData.messagePorts?.get(s.ExtensionIdentifier.toKey(B.identifier)):void 0;return Object.freeze({globalState:j,workspaceState:Z,secrets:se,subscriptions:[],get extensionUri(){return B.extensionLocation},get extensionPath(){return B.extensionLocation.fsPath},asAbsolutePath(ke){return i.join(B.extensionLocation.fsPath,ke)},get storagePath(){return te._storagePath.workspaceValue(B)?.fsPath},get globalStoragePath(){return te._storagePath.globalValue(B).fsPath},get logPath(){return i.join(te._initData.logsLocation.fsPath,B.identifier.value)},get logUri(){return A.URI.joinPath(te._initData.logsLocation,B.identifier.value)},get storageUri(){return te._storagePath.workspaceValue(B)},get globalStorageUri(){return te._storagePath.globalValue(B)},get extensionMode(){return Q},get extension(){return he===void 0&&(he=new x(te,B.identifier,B,z)),he},get extensionRuntime(){return(0,v.checkProposedApiEnabled)(B,"extensionRuntime"),te.extensionRuntime},get environmentVariableCollection(){return te._extHostTerminalService.getEnvironmentVariableCollection(B)},messagePassingProtocol:ge&&{onDidReceiveMessage:b.Event.fromDOMEventEmitter(ge,"message",ke=>ke.data),postMessage:ge.postMessage.bind(ge)}})})}static _callActivate(B,j,Z,se,Q){return Z=Z||{activate:void 0,deactivate:void 0},this._callActivateOptional(B,j,Z,se,Q).then(z=>new E.ActivatedExtension(!1,null,Q.build(),Z,z,se.subscriptions))}static _callActivateOptional(B,j,Z,se,Q){if(typeof Z.activate=="function")try{Q.activateCallStart(),B.trace(`ExtensionService#_callActivateOptional ${j.value}`);const z=typeof global=="object"?global:self,te=Z.activate.apply(z,[se]);return Q.activateCallStop(),Q.activateResolveStart(),Promise.resolve(te).then(he=>(Q.activateResolveStop(),he))}catch(z){return Promise.reject(z)}else return Promise.resolve(Z)}_activateOneStartupFinished(B,j){this._activateById(B.identifier,{startup:!1,extensionId:B.identifier,activationEvent:j}).then(void 0,Z=>{this._logService.error(Z)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(I.getMarks());for(const B of this._registry.getAllExtensionDescriptions())if(B.activationEvents)for(const j of B.activationEvents)j==="onStartupFinished"&&this._activateOneStartupFinished(B,j)}_handleEagerExtensions(){const B=this._activateByEvent("*",!0).then(void 0,Q=>{this._logService.error(Q)});this._register(this._extHostWorkspace.onDidChangeWorkspace(Q=>this._handleWorkspaceContainsEagerExtensions(Q.added)));const j=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],Z=this._handleWorkspaceContainsEagerExtensions(j),se=Promise.all([B,Z]).then(()=>{});return Promise.race([se,(0,T.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),se}_handleWorkspaceContainsEagerExtensions(B){return B.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(j=>this._handleWorkspaceContainsEagerExtension(B,j))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(B,j){if(this.isActivated(j.identifier))return;const Z=!this._initData.remote.isRemote&&!!this._initData.remote.authority,se={logService:this._logService,folders:B.map(z=>z.uri),forceUsingSearch:Z,exists:z=>this._hostUtils.exists(z.fsPath),checkExists:(z,te,he)=>this._mainThreadWorkspaceProxy.$checkExists(z,te,he)},Q=await(0,p.checkActivateWorkspaceContainsExtension)(se,j);if(!!Q)return this._activateById(j.identifier,{startup:!0,extensionId:j.identifier,activationEvent:Q.activationEvent}).then(void 0,z=>this._logService.error(z))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(B){throw console.error(B),B}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:B,extensionTestsLocationURI:j}=this._initData.environment;if(!B||!j)throw new Error(f.localize(0,null));const Z=await this._loadCommonJSModule(null,j,new E.ExtensionActivationTimesBuilder(!1));if(!Z||typeof Z.run!="function")throw new Error(f.localize(1,null,j.toString()));return new Promise((se,Q)=>{const z=(ge,ke)=>{ge?Q(ge):se(typeof ke=="number"&&ke>0?1:0)},te=(0,C.originalFSPath)(j),he=Z.run(te,z);he&&he.then&&he.then(()=>{se(0)}).catch(ge=>{Q(ge instanceof Error&&ge.stack?ge.stack:String(ge))})})}async $extensionTestsExit(B){this._logService.info(`Extension host terminating: test runner requested exit with code ${B}`),this._hostUtils.pid&&this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${B}`),this._logService.flush(),this._hostUtils.exit(B)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(B,j){return this._resolvers[B]=j,(0,P.toDisposable)(()=>{delete this._resolvers[B]})}async _activateAndGetResolver(B){const j=B.indexOf("+");if(j===-1)throw new Error("Not an authority that can be resolved!");const Z=B.substr(0,j);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${Z}`,!1),{authorityPrefix:Z,resolver:this._resolvers[Z]}}async $resolveAuthority(B,j){const{authorityPrefix:Z,resolver:se}=await this._activateAndGetResolver(B);if(!se)return{type:"error",error:{code:S.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${Z}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelExtensionFunctions(se)),I.mark(`code/extHost/willResolveAuthority/${Z}`);const Q=await se.resolve(B,{resolveAttempt:j});I.mark(`code/extHost/didResolveAuthorityOK/${Z}`);const z={authority:B,host:Q.host,port:Q.port,connectionToken:Q.connectionToken},te={extensionHostEnv:Q.extensionHostEnv,isTrusted:Q.isTrusted,authenticationSession:Q.authenticationSessionForInitializingExtensions?{id:Q.authenticationSessionForInitializingExtensions.id,providerId:Q.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:z,options:te,tunnelInformation:{environmentTunnels:Q.environmentTunnels}}}}catch(Q){if(I.mark(`code/extHost/didResolveAuthorityError/${Z}`),Q instanceof a.RemoteAuthorityResolverError)return{type:"error",error:{code:Q._code,message:Q._message,detail:Q._detail}};throw Q}}async $getCanonicalURI(B,j){const{authorityPrefix:Z,resolver:se}=await this._activateAndGetResolver(B);if(!se)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${Z}`);const Q=A.URI.revive(j);if(typeof se.getCanonicalURI=="undefined")return Q;const z=await(0,T.asPromise)(()=>se.getCanonicalURI(Q));return z||Q}$startExtensionHost(B){return this._registry.keepOnly(B),this._startExtensionHost()}$activateByEvent(B,j){return j===1?this._activateByEvent(B,!1):this._readyToRunExtensions.wait().then(Z=>this._activateByEvent(B,!1))}async $activate(B,j){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(B)?(await this._activateById(B,j),!0):!1}async $deltaExtensions(B,j){B.forEach(se=>se.extensionLocation=A.URI.revive(se.extensionLocation));const Z=await this.getExtensionPathIndex();return await Promise.all(j.map(async se=>{const Q=this._registry.getExtensionDescription(se);Q&&Z.delete(await this._realPathExtensionUri(Q.extensionLocation))})),await Promise.all(B.map(async se=>{const Q=await this._realPathExtensionUri(se.extensionLocation);Z.set(Q,se)})),this._registry.deltaExtensions(B,j),Promise.resolve(void 0)}async $test_latency(B){return B}async $test_up(B){return B.byteLength}async $test_down(B){let j=n.VSBuffer.alloc(B),Z=Math.random()%256;for(let se=0;se<B;se++)j.writeUInt8(Z,se);return j}async $updateRemoteConnectionData(B){this._remoteConnectionData=B,this._onDidChangeRemoteConnectionData.fire()}};H=je([ze(0,r.IInstantiationService),ze(1,e.IHostUtils),ze(2,d.IExtHostRpcService),ze(3,w.IExtHostWorkspace),ze(4,c.IExtHostConfiguration),ze(5,L.ILogService),ze(6,t.IExtHostInitDataService),ze(7,o.IExtensionStoragePaths),ze(8,u.IExtHostTunnelService),ze(9,h.IExtHostTerminalService)],H),e.AbstractExtHostExtensionService=H;function N(W,B){return{id:W.identifier.value,name:W.name,extensionVersion:W.version,publisherDisplayName:W.publisher,activationEvents:W.activationEvents?W.activationEvents.join(","):null,isBuiltin:W.isBuiltin,reason:B.activationEvent,reasonId:B.extensionId.value}}e.IExtHostExtensionService=(0,r.createDecorator)("IExtHostExtensionService");class x{constructor(B,j,Z,se){F.set(this,void 0),M.set(this,void 0),V.set(this,void 0),it(this,F,B,"f"),it(this,M,j,"f"),it(this,V,Z.identifier,"f"),this.id=Z.identifier.value,this.extensionUri=Z.extensionLocation,this.extensionPath=i.normalize((0,C.originalFSPath)(Z.extensionLocation)),this.packageJSON=Z,this.extensionKind=se}get isActive(){return Le(this,F,"f").isActivated(Le(this,V,"f"))}get exports(){if(this.packageJSON.api!=="none")return Le(this,F,"f").getExtensionExports(Le(this,V,"f"))}activate(){return Le(this,F,"f").activateByIdWithErrors(Le(this,V,"f"),{startup:!1,extensionId:Le(this,M,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=x,F=new WeakMap,M=new WeakMap,V=new WeakMap}),define(pe[55],ve([0,1,8,2,3,18,5,7,124,35,39,45,215,36,208,14,4,13,40,54]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,v.createDecorator)("IExtHostDebugService");let n=class{constructor(l,u,h,b,p,k){this._workspaceService=u,this._extensionService=h,this._editorsService=b,this._configurationService=p,this._editorTabs=k,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new I.Emitter,this._onDidTerminateDebugSession=new I.Emitter,this._onDidChangeActiveDebugSession=new I.Emitter,this._onDidReceiveDebugSessionCustomEvent=new I.Emitter,this._debugServiceProxy=l.getProxy(T.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new I.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new a(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(O=>{O.onDidChange(U=>{this.registerAllDebugTypes(O)}),this.registerAllDebugTypes(O)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(l,u){const h=l;if(typeof h.sourceReference=="number"&&h.sourceReference>0){let b=`debug:${encodeURIComponent(h.path||"")}`,p="?";return u&&(b+=`${p}session=${encodeURIComponent(u.id)}`,p="&"),b+=`${p}ref=${h.sourceReference}`,i.URI.parse(b)}else{if(h.path)return i.URI.file(h.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(l){const u=[];for(const h of l.getAllExtensionDescriptions())if(h.contributes){const b=h.contributes.debuggers;if(b&&b.length>0)for(const p of b)(0,g.isDebuggerMainContribution)(p)&&u.push(p.type)}this._debugServiceProxy.$registerDebugTypes(u)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const l=[];return this._breakpoints.forEach(u=>l.push(u)),l}addBreakpoints(l){this.startBreakpoints();const u=l.filter(p=>{const k=p.id;return this._breakpoints.has(k)?!1:(this._breakpoints.set(k,p),!0)});this.fireBreakpointChanges(u,[],[]);const h=[],b=new Map;for(const p of u)if(p instanceof P.SourceBreakpoint){let k=b.get(p.location.uri.toString());k||(k={type:"sourceMulti",uri:p.location.uri,lines:[]},b.set(p.location.uri.toString(),k),h.push(k)),k.lines.push({id:p.id,enabled:p.enabled,condition:p.condition,hitCondition:p.hitCondition,logMessage:p.logMessage,line:p.location.range.start.line,character:p.location.range.start.character})}else p instanceof P.FunctionBreakpoint&&h.push({type:"function",id:p.id,enabled:p.enabled,hitCondition:p.hitCondition,logMessage:p.logMessage,condition:p.condition,functionName:p.functionName});return this._debugServiceProxy.$registerBreakpoints(h)}removeBreakpoints(l){this.startBreakpoints();const u=l.filter(k=>this._breakpoints.delete(k.id));this.fireBreakpointChanges([],u,[]);const h=u.filter(k=>k instanceof P.SourceBreakpoint).map(k=>k.id),b=u.filter(k=>k instanceof P.FunctionBreakpoint).map(k=>k.id),p=u.filter(k=>k instanceof P.DataBreakpoint).map(k=>k.id);return this._debugServiceProxy.$unregisterBreakpoints(h,b,p)}startDebugging(l,u,h){return this._debugServiceProxy.$startDebugging(l?l.uri:void 0,u,{parentSessionID:h.parentSession?h.parentSession.id:void 0,lifecycleManagedByParent:h.lifecycleManagedByParent,repl:h.consoleMode===P.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:h.noDebug,compact:h.compact,debugUI:h.debugUI,suppressSaveBeforeStart:h.suppressSaveBeforeStart})}stopDebugging(l){return this._debugServiceProxy.$stopDebugging(l?l.id:void 0)}registerDebugConfigurationProvider(l,u,h){if(!u)return new P.Disposable(()=>{});const b=this._configProviderHandleCounter++;return this._configProviders.push({type:l,handle:b,provider:u}),this._debugServiceProxy.$registerDebugConfigurationProvider(l,h,!!u.provideDebugConfigurations,!!u.resolveDebugConfiguration,!!u.resolveDebugConfigurationWithSubstitutedVariables,b),new P.Disposable(()=>{this._configProviders=this._configProviders.filter(p=>p.provider!==u),this._debugServiceProxy.$unregisterDebugConfigurationProvider(b)})}registerDebugAdapterDescriptorFactory(l,u,h){if(!h)return new P.Disposable(()=>{});if(!this.definesDebugType(l,u))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${u}' debugger.`);if(this.getAdapterDescriptorFactoryByType(u))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const b=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:u,handle:b,factory:h}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(u,b),new P.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(p=>p.factory!==h),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(b)})}registerDebugAdapterTrackerFactory(l,u){if(!u)return new P.Disposable(()=>{});const h=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:l,handle:h,factory:u}),new P.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(b=>b.factory!==u)})}async $runInTerminal(l,u){return Promise.resolve(void 0)}async $substituteVariables(l,u){if(!this._variableResolver){const[p,k]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(p||[],this._editorsService,k)}let h;const b=await this.getFolder(l);return b&&(h={uri:b.uri,name:b.name,index:b.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(h,u)}createDebugAdapter(l,u){if(l.type==="implementation")return new t(l.implementation)}createSignService(){}async $startDASession(l,u){const h=this,b=await this.getSession(u);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(b.type),b).then(p=>{if(!p)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${b.type}' (extension might have failed to activate)`);const k=this.convertToDto(p),O=this.createDebugAdapter(k,b);if(!O)throw new Error(`Couldn't create a debug adapter for type '${b.type}'.`);const U=O;return this._debugAdapters.set(l,U),this.getDebugAdapterTrackers(b).then(F=>(F&&this._debugAdaptersTrackers.set(l,F),U.onMessage(async M=>{if(M.type==="request"&&M.command==="handshake"){const V=M,H={type:"response",seq:0,command:V.command,request_seq:V.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const N=await this._signService.sign(V.arguments.value);H.body={signature:N},U.sendResponse(H)}else throw new Error("no signer")}catch(N){H.success=!1,H.message=N.message,U.sendResponse(H)}}else F&&F.onDidSendMessage&&F.onDidSendMessage(M),M=(0,g.convertToVSCPaths)(M,!0),h._debugServiceProxy.$acceptDAMessage(l,M)}),U.onError(M=>{F&&F.onError&&F.onError(M),this._debugServiceProxy.$acceptDAError(l,M.name,M.message,M.stack)}),U.onExit(M=>{F&&F.onExit&&F.onExit((0,R.withNullAsUndefined)(M),void 0),this._debugServiceProxy.$acceptDAExit(l,(0,R.withNullAsUndefined)(M),void 0)}),F&&F.onWillStartSession&&F.onWillStartSession(),U.startSession()))})}$sendDAMessage(l,u){u=(0,g.convertToDAPaths)(u,!1);const h=this._debugAdaptersTrackers.get(l);h&&h.onWillReceiveMessage&&h.onWillReceiveMessage(u);const b=this._debugAdapters.get(l);b&&b.sendMessage(u)}$stopDASession(l){const u=this._debugAdaptersTrackers.get(l);this._debugAdaptersTrackers.delete(l),u&&u.onWillStopSession&&u.onWillStopSession();const h=this._debugAdapters.get(l);return this._debugAdapters.delete(l),h?h.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(l){const u=[],h=[],b=[];if(l.added)for(const p of l.added){const k=p.id;if(k&&!this._breakpoints.has(k)){let O;if(p.type==="function")O=new P.FunctionBreakpoint(p.functionName,p.enabled,p.condition,p.hitCondition,p.logMessage);else if(p.type==="data")O=new P.DataBreakpoint(p.label,p.dataId,p.canPersist,p.enabled,p.hitCondition,p.condition,p.logMessage);else{const U=i.URI.revive(p.uri);O=new P.SourceBreakpoint(new P.Location(U,new P.Position(p.line,p.character)),p.enabled,p.condition,p.hitCondition,p.logMessage)}O._id=k,this._breakpoints.set(k,O),u.push(O)}}if(l.removed)for(const p of l.removed){const k=this._breakpoints.get(p);k&&(this._breakpoints.delete(p),h.push(k))}if(l.changed){for(const p of l.changed)if(p.id){const k=this._breakpoints.get(p.id);if(k){if(k instanceof P.FunctionBreakpoint&&p.type==="function"){const O=k;O.enabled=p.enabled,O.condition=p.condition,O.hitCondition=p.hitCondition,O.logMessage=p.logMessage,O.functionName=p.functionName}else if(k instanceof P.SourceBreakpoint&&p.type==="source"){const O=k;O.enabled=p.enabled,O.condition=p.condition,O.hitCondition=p.hitCondition,O.logMessage=p.logMessage,O.location=new P.Location(i.URI.revive(p.uri),new P.Position(p.line,p.character))}b.push(k)}}}this.fireBreakpointChanges(u,h,b)}$provideDebugConfigurations(l,u,h){return(0,C.asPromise)(async()=>{const b=this.getConfigProviderByHandle(l);if(!b)throw new Error("no DebugConfigurationProvider found");if(!b.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const p=await this.getFolder(u);return b.provideDebugConfigurations(p,h)}).then(b=>{if(!b)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return b})}$resolveDebugConfiguration(l,u,h,b){return(0,C.asPromise)(async()=>{const p=this.getConfigProviderByHandle(l);if(!p)throw new Error("no DebugConfigurationProvider found");if(!p.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const k=await this.getFolder(u);return p.resolveDebugConfiguration(k,h,b)})}$resolveDebugConfigurationWithSubstitutedVariables(l,u,h,b){return(0,C.asPromise)(async()=>{const p=this.getConfigProviderByHandle(l);if(!p)throw new Error("no DebugConfigurationProvider found");if(!p.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const k=await this.getFolder(u);return p.resolveDebugConfigurationWithSubstitutedVariables(k,h,b)})}async $provideDebugAdapter(l,u){const h=this.getAdapterDescriptorFactoryByHandle(l);if(!h)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const b=await this.getSession(u);return this.getAdapterDescriptor(h,b).then(p=>{if(!p)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${b.type}'`);return this.convertToDto(p)})}async $acceptDebugSessionStarted(l){const u=await this.getSession(l);this._onDidStartDebugSession.fire(u)}async $acceptDebugSessionTerminated(l){const u=await this.getSession(l);u&&(this._onDidTerminateDebugSession.fire(u),this._debugSessions.delete(u.id))}async $acceptDebugSessionActiveChanged(l){this._activeDebugSession=l?await this.getSession(l):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(l,u){const h=await this.getSession(l);h&&h._acceptNameChanged(u)}async $acceptDebugSessionCustomEvent(l,u){const b={session:await this.getSession(l),event:u.event,body:u.body};this._onDidReceiveDebugSessionCustomEvent.fire(b)}convertToDto(l){if(l instanceof P.DebugAdapterExecutable)return{type:"executable",command:l.command,args:l.args,options:l.options};if(l instanceof P.DebugAdapterServer)return{type:"server",port:l.port,host:l.host};if(l instanceof P.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:l.path};if(l instanceof P.DebugAdapterInlineImplementation)return{type:"implementation",implementation:l.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(l){const u=this._adapterFactories.filter(h=>h.type===l);if(u.length>0)return u[0].factory}getAdapterDescriptorFactoryByHandle(l){const u=this._adapterFactories.filter(h=>h.handle===l);if(u.length>0)return u[0].factory}getConfigProviderByHandle(l){const u=this._configProviders.filter(h=>h.handle===l);if(u.length>0)return u[0].provider}definesDebugType(l,u){if(l.contributes){const h=l.contributes.debuggers;if(h&&h.length>0){for(const b of h)if(b.label&&b.type&&b.type===u)return!0}}return!1}getDebugAdapterTrackers(l){const h=l.configuration.type,b=this._trackerFactories.filter(p=>p.type===h||p.type==="*").map(p=>(0,C.asPromise)(()=>p.factory.createDebugAdapterTracker(l)).then(k=>k,k=>null));return Promise.race([Promise.all(b).then(p=>{const k=p.filter(O=>!!O);if(k.length>0)return new r(k)}),new Promise((p,k)=>{const O=setTimeout(()=>{clearTimeout(O),k(new Error("timeout"))},1e3)})]).catch(p=>{})}async getAdapterDescriptor(l,u){const h=u.configuration.debugServer;if(typeof h=="number")return Promise.resolve(new P.DebugAdapterServer(h));if(l){const p=await this._extensionService.getExtensionRegistry();return(0,C.asPromise)(()=>l.createDebugAdapterDescriptor(u,this.daExecutableFromPackage(u,p))).then(k=>{if(k)return k})}const b=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(u,b))}daExecutableFromPackage(l,u){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(l,u,h){(l.length>0||u.length>0||h.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:l,removed:u,changed:h}))}async getSession(l){if(l)if(typeof l=="string"){const u=this._debugSessions.get(l);if(u)return u}else{let u=this._debugSessions.get(l.id);if(!u){const h=await this.getFolder(l.folderUri),b=l.parent?this._debugSessions.get(l.parent):void 0;u=new m(this._debugServiceProxy,l.id,l.type,l.name,h,l.configuration,b),this._debugSessions.set(u.id,u),this._debugServiceProxy.$sessionCached(u.id)}return u}throw new Error("cannot find session")}getFolder(l){if(l){const u=i.URI.revive(l);return this._workspaceService.resolveWorkspaceFolder(u)}return Promise.resolve(void 0)}};n=je([ze(0,w.IExtHostRpcService),ze(1,A.IExtHostWorkspace),ze(2,L.IExtHostExtensionService),ze(3,D.IExtHostDocumentsAndEditors),ze(4,E.IExtHostConfiguration),ze(5,s.IExtHostEditorTabs)],n),e.ExtHostDebugServiceBase=n;class m{constructor(l,u,h,b,p,k,O){this._debugServiceProxy=l,this._id=u,this._type=h,this._name=b,this._workspaceFolder=p,this._configuration=k,this._parentSession=O}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(l){this._name=l,this._debugServiceProxy.$setDebugSessionName(this._id,l)}get parentSession(){return this._parentSession}_acceptNameChanged(l){this._name=l}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(l,u){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,l,u)}getDebugProtocolBreakpoint(l){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,l.id)}}e.ExtHostDebugSession=m;class a{constructor(l){this.value=Object.freeze({append(u){l.$appendDebugConsole(u)},appendLine(u){this.append(u+`
`)}})}}e.ExtHostDebugConsole=a;class S extends c.AbstractVariableResolverService{constructor(l,u,h,b,p){function k(){if(u){const O=u.activeEditor();if(O)return O.document.uri;const U=b.tabs.filter(F=>F.isActive);if(U.length>0){const F=U[0].resource;return F&&(F.primary||F.secondary)?F.primary??F.secondary:U[0].resource}}}super({getFolderUri:O=>{const U=l.filter(F=>F.name===O);if(U&&U.length>0)return U[0].uri},getWorkspaceFolderCount:()=>l.length,getConfigurationValue:(O,U)=>h.getConfiguration(void 0,O).get(U),getAppRoot:()=>_.cwd(),getExecPath:()=>_.env.VSCODE_EXEC_PATH,getFilePath:()=>{const O=k();if(O)return f.normalize(O.fsPath)},getWorkspaceFolderPathForFile:()=>{if(p){const O=k();if(O){const U=p.getWorkspaceFolder(O);if(U)return f.normalize(U.uri.fsPath)}}},getSelectedText:()=>{if(u){const O=u.activeEditor();if(O&&!O.selection.isEmpty)return O.document.getText(O.selection)}},getLineNumber:()=>{if(u){const O=u.activeEditor();if(O)return String(O.selection.end.line+1)}}},void 0,Promise.resolve(_.env))}}e.ExtHostVariableResolverService=S;class r{constructor(l){this.trackers=l}onWillStartSession(){this.trackers.forEach(l=>l.onWillStartSession?l.onWillStartSession():void 0)}onWillReceiveMessage(l){this.trackers.forEach(u=>u.onWillReceiveMessage?u.onWillReceiveMessage(l):void 0)}onDidSendMessage(l){this.trackers.forEach(u=>u.onDidSendMessage?u.onDidSendMessage(l):void 0)}onWillStopSession(){this.trackers.forEach(l=>l.onWillStopSession?l.onWillStopSession():void 0)}onError(l){this.trackers.forEach(u=>u.onError?u.onError(l):void 0)}onExit(l,u){this.trackers.forEach(h=>h.onExit?h.onExit(l,u):void 0)}}class t extends y.AbstractDebugAdapter{constructor(l){super();this.implementation=l,l.onDidSendMessage(u=>{this.acceptMessage(u)})}startSession(){return Promise.resolve(void 0)}sendMessage(l){this.implementation.handleMessage(l)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let o=class extends n{constructor(l,u,h,b,p,k){super(l,u,h,b,p,k)}createVariableResolver(l,u,h){return new S(l,u,h,this._editorTabs)}};o=je([ze(0,w.IExtHostRpcService),ze(1,A.IExtHostWorkspace),ze(2,L.IExtHostExtensionService),ze(3,D.IExtHostDocumentsAndEditors),ze(4,E.IExtHostConfiguration),ze(5,s.IExtHostEditorTabs)],o),e.WorkerExtHostDebugService=o}),define(pe[268],ve([0,1,72,2,5,36,30,27,14,26,4,39,40,11]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let g=class{constructor(s,n,m,a,S,r,t){this._apiFactory=s,this._extensionRegistry=n,this._instaService=m,this._extHostConfiguration=a,this._extHostExtensionService=S,this._initData=r,this._logService=t,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),f.mark("code/extHost/willWaitForConfig");const s=await this._extHostConfiguration.getConfigProvider();f.mark("code/extHost/didWaitForConfig");const n=await this._extHostExtensionService.getExtensionPathIndex();this.register(new w(this._apiFactory,n,this._extensionRegistry,s,this._logService)),this.register(this._instaService.createInstance(v,n)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(R,n,this._initData.environment.appUriScheme))}register(s){if(Array.isArray(s.nodeModuleName))for(let n of s.nodeModuleName)this._factories.set(n,s);else this._factories.set(s.nodeModuleName,s);typeof s.alternativeModuleName=="function"&&this._alternatives.push(n=>s.alternativeModuleName(n))}};g=je([ze(2,L.IInstantiationService),ze(3,C.IExtHostConfiguration),ze(4,D.IExtHostExtensionService),ze(5,A.IExtHostInitDataService),ze(6,E.ILogService)],g),e.RequireInterceptor=g;class w{constructor(s,n,m,a,S){this._apiFactory=s,this._extensionPaths=n,this._extensionRegistry=m,this._configProvider=a,this._logService=S,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(s,n){const m=this._extensionPaths.findSubstr(n);if(m){let a=this._extApiImpl.get(P.ExtensionIdentifier.toKey(m.identifier));return a||(a=this._apiFactory(m,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(m.identifier),a)),a}if(!this._defaultApiImpl){let a="";this._extensionPaths.forEach((S,r)=>a+=`	${r} -> ${S.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${n}. These are the extension path mappings: 
${a}`),this._defaultApiImpl=this._apiFactory(T.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let v=class{constructor(s,n,m){this._extensionPaths=s,this.nodeModuleName="keytar",this._mainThreadTelemetry=n.getProxy(I.MainContext.MainThreadTelemetry);const{environment:a}=m,S=n.getProxy(I.MainContext.MainThreadKeytar);if(a.appRoot){let r=a.appRoot.fsPath;c.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,t)=>S.$getPassword(r,t),setPassword:(r,t,o)=>S.$setPassword(r,t,o),deletePassword:(r,t)=>S.$deletePassword(r,t),findPassword:r=>S.$findPassword(r),findCredentials(r){return S.$findCredentials(r)}}}load(s,n){const m=this._extensionPaths.findSubstr(n);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:m?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(s){const n=s.length;if(n<=7||!this.alternativeNames)return;const m=n-7;if((s.charAt(m)==="/"||s.charAt(m)==="\\")&&s.endsWith("keytar")&&(s=s.replace(/\\/g,"/"),this.alternativeNames.has(s)))return"keytar"}};v=je([ze(1,y.IExtHostRpcService),ze(2,A.IExtHostInitDataService)],v);let R=class{constructor(s,n,m){this._extensionPaths=s,this._appUriScheme=n,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=m.getProxy(I.MainContext.MainThreadTelemetry);const a=m.getProxy(I.MainContext.MainThreadWindow);this._impl=(S,r)=>{const t=i.URI.parse(S);return r?this.callOriginal(S,r):t.scheme==="http"||t.scheme==="https"?a.$openUri(t,S,{allowTunneling:!0}):t.scheme==="mailto"||t.scheme===this._appUriScheme?a.$openUri(t,S,{}):this.callOriginal(S,r)}}load(s,n,m){const a=this._extensionPaths.findSubstr(n);return a&&(this._extensionId=a.identifier.value,this.sendShimmingTelemetry()),this._original=m(s),this._impl}callOriginal(s,n){return this.sendNoForwardTelemetry(),this._original(s,n)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};R=je([ze(2,y.IExtHostRpcService)],R)}),define(pe[269],ve([0,1,170,12,7,209,35,39,45,36,34,14,55,195,18,210,54]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDebugService=void 0;let R=class extends c.ExtHostDebugServiceBase{constructor(n,m,a,S,r,t,o){super(n,m,a,S,r,o);this._terminalService=t,this._integratedTerminalInstances=new _}createDebugAdapter(n,m){switch(n.type){case"server":return new C.SocketDebugAdapter(n);case"pipeServer":return new C.NamedPipeDebugAdapter(n);case"executable":return new C.ExecutableDebugAdapter(n,m.type)}return super.createDebugAdapter(n,m)}daExecutableFromPackage(n,m){const a=C.ExecutableDebugAdapter.platformAdapterExecutable(m.getAllExtensionDescriptions(),n.type);if(a)return new I.DebugAdapterExecutable(a.command,a.args,a.options)}createSignService(){return new E.SignService}async $runInTerminal(n,m){if(n.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(k=>{this._integratedTerminalInstances.onTerminalClosed(k)}));const a=await this._configurationService.getConfigProvider(),S=this._terminalService.getDefaultShell(!0),r=this._terminalService.getDefaultShellArgs(!0),t=n.title||f.localize(0,null),o=JSON.stringify({shell:S,shellArgs:r});let d=await this._integratedTerminalInstances.checkout(o,t),l,u=!1;if(d)l=n.cwd;else{const k={shellPath:S,shellArgs:r,cwd:n.cwd,name:t,iconPath:new I.ThemeIcon("debug")};u=!0,d=this._terminalService.createTerminalFromOptions(k,{isFeatureTerminal:!0,useShellEnvironment:!0}),this._integratedTerminalInstances.insert(d,o)}d.show(!0);const h=await d.processId;u?await new Promise(k=>setTimeout(k,1e3)):a.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(S.indexOf("powershell")>=0||S.indexOf("pwsh")>=0||S.indexOf("cmd.exe")>=0?d.sendText("cls"):S.indexOf("bash")>=0?d.sendText("clear"):i.isWindows?d.sendText("cls"):d.sendText("clear"));const b=(0,w.prepareCommand)(S,n.args,l,n.env);d.sendText(b);const p=this.onDidTerminateDebugSession(k=>{k.id===m&&(this._integratedTerminalInstances.free(d),p.dispose())});return h}else if(n.kind==="external")return(0,w.runInExternalTerminal)(n,await this._configurationService.getConfigProvider());return super.$runInTerminal(n,m)}createVariableResolver(n,m,a){return new c.ExtHostVariableResolverService(n,m,a,this._editorTabs,this._workspaceService)}};R=je([ze(0,D.IExtHostRpcService),ze(1,T.IExtHostWorkspace),ze(2,P.IExtHostExtensionService),ze(3,y.IExtHostDocumentsAndEditors),ze(4,A.IExtHostConfiguration),ze(5,L.IExtHostTerminalService),ze(6,v.IExtHostEditorTabs)],R),e.ExtHostDebugService=R;class _{constructor(){this._terminalInstances=new Map}async checkout(n,m){const S=[...this._terminalInstances.entries()].map(([r,t])=>(0,g.createCancelablePromise)(async o=>{if(r.name!==m||t.lastUsedAt!==-1&&await(0,w.hasChildProcesses)(await r.processId))return null;const d=Date.now();return t.lastUsedAt+_.minUseDelay>d||o.isCancellationRequested||t.config!==n?null:(t.lastUsedAt=d,r)}));return await(0,g.firstParallel)(S,r=>!!r)}insert(n,m){this._terminalInstances.set(n,{lastUsedAt:Date.now(),config:m})}free(n){const m=this._terminalInstances.get(n);m&&(m.lastUsedAt=-1)}onTerminalClosed(n){this._terminalInstances.delete(n)}}_.minUseDelay=1e3}),define(pe[270],ve([0,1,8,2,113,35,55,45,36,43,34,14,26,71,10,11,66,54,23,82]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let n=class extends E.ExtHostTaskBase{constructor(a,S,r,t,o,d,l,u,h){super(a,S,r,t,o,d,l,u);this.workspaceService=r,this.editorTabs=h,S.remote.isRemote&&S.remote.authority?this.registerTaskSystem(g.Schemas.vscodeRemote,{scheme:g.Schemas.vscodeRemote,authority:S.remote.authority,platform:process.platform}):this.registerTaskSystem(g.Schemas.file,{scheme:g.Schemas.file,authority:"",platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(a,S){const r=S;if(!S.execution&&r._id===void 0)throw new Error("Tasks to execute must include an execution");if(r._id!==void 0){const t=E.TaskHandleDTO.from(r,this.workspaceService),o=await this._proxy.$getTaskExecution(t);if(o.task===void 0)throw new Error("Task from execution DTO is undefined");const d=await this.getTaskExecution(o,S);return this._proxy.$executeTask(t).catch(()=>{}),d}else{const t=E.TaskDTO.from(S,a);if(t===void 0)return Promise.reject(new Error("Task is not valid"));E.CustomExecutionDTO.is(t.execution)&&await this.addCustomExecution(t,S,!1);const o=await this.getTaskExecution(await this._proxy.$getTaskExecution(t),S);return this._proxy.$executeTask(t).catch(()=>{}),o}}provideTasksInternal(a,S,r,t){const o=[];if(t)for(let d of t){this.checkDeprecation(d,r),(!d.definition||!a[d.definition.type])&&this._logService.warn(`The task [${d.source}, ${d.name}] uses an undefined task type. The task will be ignored in the future.`);const l=E.TaskDTO.from(d,r.extension);l&&(o.push(l),E.CustomExecutionDTO.is(l.execution)&&S.push(this.addCustomExecution(l,d,!0)))}return{tasks:o,extension:r.extension}}async resolveTaskInternal(a){return a}async getVariableResolver(a){if(this._variableResolver===void 0){const S=await this._configurationService.getConfigProvider();this._variableResolver=new T.ExtHostVariableResolverService(a,this._editorService,S,this.editorTabs,this.workspaceService)}return this._variableResolver}async getAFolder(a){let S=a&&a.length>0?a[0]:void 0;if(!S){const r=i.URI.file((0,s.homedir)());S=new A.WorkspaceFolder({uri:r,name:_.basename(r),index:0})}return{uri:S.uri,name:S.name,index:S.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(a,S){const r=i.URI.revive(a),t={process:void 0,variables:Object.create(null)},o=await this._workspaceProvider.resolveWorkspaceFolder(r),d=await this._workspaceProvider.getWorkspaceFolders2()??[],l=await this.getVariableResolver(d),u=o?{uri:o.uri,name:o.name,index:o.index,toResource:()=>{throw new Error("Not implemented")}}:await this.getAFolder(d);for(let h of S.variables)t.variables[h]=await l.resolveAsync(u,h);if(S.process!==void 0){let h;if(S.process.path!==void 0){h=S.process.path.split(f.delimiter);for(let b=0;b<h.length;b++)h[b]=await l.resolveAsync(u,h[b])}t.process=await I.win32.findExecutable(await l.resolveAsync(u,S.process.name),S.process.cwd!==void 0?await l.resolveAsync(u,S.process.cwd):void 0,h)}return t}async $jsonTasksSupported(){return!0}async $findExecutable(a,S,r){return I.win32.findExecutable(a,S,r)}};n=je([ze(0,D.IExtHostRpcService),ze(1,c.IExtHostInitDataService),ze(2,C.IExtHostWorkspace),ze(3,P.IExtHostDocumentsAndEditors),ze(4,y.IExtHostConfiguration),ze(5,L.IExtHostTerminalService),ze(6,w.ILogService),ze(7,v.IExtHostApiDeprecationService),ze(8,R.IExtHostEditorTabs)],n),e.ExtHostTask=n}),define(pe[271],ve([0,1,18,15,72,6,2,5,263,11,61,85,26,187,14,65,39,34]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class _{constructor(n,m,a,S,r){this._disposables=new C.DisposableStore,this._isTerminating=!1,this._hostUtils=a,this._rpcProtocol=new y.RPCProtocol(n,null,S),m=_._transform(m,this._rpcProtocol);const t=new D.ServiceCollection(...(0,L.getSingletonServiceDescriptors)());t.set(c.IExtHostInitDataService,{_serviceBrand:void 0,...m,messagePorts:r}),t.set(g.IExtHostRpcService,new g.ExtHostRpcService(this._rpcProtocol)),t.set(w.IURITransformerService,new w.URITransformerService(S)),t.set(v.IHostUtils,a);const o=new E.InstantiationService(t,!0);this._disposables.add(o.invokeFunction(h=>h.get(R.IExtHostTerminalService))),this._disposables.add(o.invokeFunction(h=>h.get(v.IExtHostExtensionService))),this._logService=o.invokeFunction(h=>h.get(A.ILogService)),I.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",m),this._extensionService=o.invokeFunction(h=>h.get(v.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const d=new WeakMap;this._extensionService.getExtensionPathIndex().then(h=>{Error.prepareStackTrace=(b,p)=>{let k="",O,U;for(const F of p)k+=`
	at ${F.toString()}`,U=F.getFileName(),!O&&U&&(O=h.findSubstr(T.URI.file(U)));return d.set(b,O),`${b.name||"Error"}: ${b.message||""}${k}`}});const l=this._rpcProtocol.getProxy(P.MainContext.MainThreadExtensionService),u=this._rpcProtocol.getProxy(P.MainContext.MainThreadErrors);i.setUnexpectedErrorHandler(h=>{const b=i.transformErrorForSerialization(h),p=d.get(h);p?l.$onExtensionRuntimeError(p.identifier,b):u.$onUnexpectedError(b)})}terminate(n){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${n}`),this._logService.flush(),this._disposables.dispose(),i.setUnexpectedErrorHandler(a=>{this._logService.error(a)}),this._rpcProtocol.dispose();const m=this._extensionService.deactivateAll();Promise.race([(0,f.timeout)(5e3),m]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code 0`):this._logService.info("Extension host exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})}static _transform(n,m){n.extensions.forEach(S=>S.extensionLocation=T.URI.revive(m.transformIncomingURIs(S.extensionLocation))),n.environment.appRoot=T.URI.revive(m.transformIncomingURIs(n.environment.appRoot));const a=n.environment.extensionDevelopmentLocationURI;return a&&(n.environment.extensionDevelopmentLocationURI=a.map(S=>T.URI.revive(m.transformIncomingURIs(S)))),n.environment.extensionTestsLocationURI=T.URI.revive(m.transformIncomingURIs(n.environment.extensionTestsLocationURI)),n.environment.globalStorageHome=T.URI.revive(m.transformIncomingURIs(n.environment.globalStorageHome)),n.environment.workspaceStorageHome=T.URI.revive(m.transformIncomingURIs(n.environment.workspaceStorageHome)),n.logsLocation=T.URI.revive(m.transformIncomingURIs(n.logsLocation)),n.logFile=T.URI.revive(m.transformIncomingURIs(n.logFile)),n.workspace=m.transformIncomingURIs(n.workspace),n}}e.ExtensionHostMain=_}),define(pe[272],ve([0,1,8,21,50,32,23,46,31]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class A{constructor(c,E,g){this.config=c,this.provider=E,this.sessionToken=g,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=c.filePattern,this.includePattern=c.includePattern&&C.parse(c.includePattern),this.maxResults=c.maxResults||void 0,this.exists=c.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=c.excludePattern&&C.parse(c.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(c=>c.cancel()),this.activeCancellationTokens=new Set}search(c){const E=this.config.folderQueries||[];return new Promise((g,w)=>{const v=R=>{this.resultCount++,c(R)};if(this.isCanceled)return g({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(R=>{const _=R.toString(),s=f.basename(_);this.globalExcludePattern&&this.globalExcludePattern(_,s)||this.matchFile(v,{base:R,basename:s})}),Promise.all(E.map(R=>this.searchInFolder(R,v))).then(R=>{g({limitHit:this.isLimitHit,stats:R[0]||void 0})},R=>{w(new Error((0,I.toErrorMessage)(R)))})})}async searchInFolder(c,E){const g=new i.CancellationTokenSource,w=this.getSearchOptionsForFolder(c),v=this.initDirectoryTree(),R=new y.QueryGlobTester(this.config,c),_=!R.hasSiblingExcludeClauses();let s;try{this.activeCancellationTokens.add(g),s=P.StopWatch.create();const n=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},w,g.token),m=s.elapsed(),a=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(n&&n.forEach(S=>{const r=f.posix.relative(c.folder.path,S.path);if(_){const t=f.basename(S.path);this.matchFile(E,{base:c.folder,relativePath:r,basename:t});return}this.addDirectoryEntries(v,c.folder,r,E)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(v,R,E),{providerTime:m,postProcessTime:a.elapsed()})}finally{g.dispose(),this.activeCancellationTokens.delete(g)}}getSearchOptionsForFolder(c){const E=(0,y.resolvePatternsForProvider)(this.config.includePattern,c.includePattern),g=(0,y.resolvePatternsForProvider)(this.config.excludePattern,c.excludePattern);return{folder:c.folder,excludes:g,includes:E,useIgnoreFiles:!c.disregardIgnoreFiles,useGlobalIgnoreFiles:!c.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!c.disregardParentIgnoreFiles,followSymlinks:!c.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const c={rootEntries:[],pathToEntries:Object.create(null)};return c.pathToEntries["."]=c.rootEntries,c}addDirectoryEntries({pathToEntries:c},E,g,w){if(g===this.filePattern){const R=f.basename(this.filePattern);this.matchFile(w,{base:E,relativePath:this.filePattern,basename:R})}function v(R){const _=f.basename(R),s=f.dirname(R);let n=c[s];n||(n=c[s]=[],v(s)),n.push({base:E,relativePath:R,basename:_})}v(g)}matchDirectoryTree({rootEntries:c,pathToEntries:E},g,w){const v=this,R=this.filePattern;function _(s){const n=C.hasSiblingFn(()=>s.map(m=>m.basename));for(let m=0,a=s.length;m<a;m++){const S=s[m],{relativePath:r,basename:t}=S;if(g.matchesExcludesSync(r,t,R!==t?n:void 0))continue;const o=E[r];if(o)_(o);else{if(r===R)continue;v.matchFile(w,S)}if(v.isLimitHit)break}}_(c)}matchFile(c,E){(!this.includePattern||E.relativePath&&this.includePattern(E.relativePath,E.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||c(E))}}class L{constructor(){this.sessions=new Map}fileSearch(c,E,g,w){const v=this.getSessionTokenSource(c.cacheKey),R=new A(c,E,v&&v.token);let _=0;const s=n=>{_+=n.length,g(n.map(m=>this.rawMatchToSearchItem(m)))};return this.doSearch(R,L.BATCH_SIZE,s,w).then(n=>({limitHit:n.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:_,detailStats:n.stats}}))}clearCache(c){const E=this.getSessionTokenSource(c);E&&E.cancel()}getSessionTokenSource(c){if(!!c)return this.sessions.has(c)||this.sessions.set(c,new i.CancellationTokenSource),this.sessions.get(c)}rawMatchToSearchItem(c){return c.relativePath?{resource:T.joinPath(c.base,c.relativePath)}:{resource:c.base}}doSearch(c,E,g,w){w.onCancellationRequested(()=>{c.cancel()});const v=_=>{_&&(R.push(_),E>0&&R.length>=E&&(g(R),R=[]))};let R=[];return c.search(v).then(_=>(R.length&&g(R),_),_=>(R.length&&g(R),Promise.reject(_)))}}e.FileSearchManager=L,L.BATCH_SIZE=512}),define(pe[135],ve([0,1,16,21,50,32,10,8,23,13,2,31]),function(X,e,f,i,I,C,T,P,y,A,L,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class c{constructor(s,n,m,a){this.query=s,this.provider=n,this.fileUtils=m,this.processType=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(s,n){const m=this.query.folderQueries||[],a=new i.CancellationTokenSource;return n.onCancellationRequested(()=>a.cancel()),new Promise((S,r)=>{this.collector=new g(s);let t=!1;const o=(d,l)=>{if(!t&&!this.isLimitHit){const u=this.resultSize(d);v(d)&&typeof this.query.maxResults=="number"&&this.resultCount+u>this.query.maxResults&&(this.isLimitHit=!0,t=!0,a.cancel(),d=this.trimResultToSize(d,this.query.maxResults-this.resultCount));const h=this.resultSize(d);this.resultCount+=h,(h>0||!v(d))&&this.collector.add(d,l)}};Promise.all(m.map((d,l)=>this.searchInFolder(d,u=>o(u,l),a.token))).then(d=>{a.dispose(),this.collector.flush();const l=d.some(u=>!!u&&!!u.limitHit);S({limitHit:this.isLimitHit||l,messages:(0,f.flatten)(d.map(u=>u?.message?(0,A.isArray)(u.message)?u.message:[u.message]:[])),stats:{type:this.processType}})},d=>{a.dispose();const l=(0,I.toErrorMessage)(d);r(new Error(l))})})}resultSize(s){return v(s)?Array.isArray(s.ranges)?s.ranges.length:1:0}trimResultToSize(s,n){const m=Array.isArray(s.ranges)?s.ranges:[s.ranges],a=Array.isArray(s.preview.matches)?s.preview.matches:[s.preview.matches];return{ranges:m.slice(0,n),preview:{matches:a.slice(0,n),text:s.preview.text},uri:s.uri}}async searchInFolder(s,n,m){const a=new D.QueryGlobTester(this.query,s),S=[],r={report:d=>{if(!this.validateProviderResult(d))return;const l=s.folder.scheme===T.Schemas.file?C.hasSiblingPromiseFn(()=>this.fileUtils.readdir(y.dirname(d.uri))):void 0,u=y.relativePath(s.folder,d.uri);if(u){const h=a.includedInQuery(u,P.basename(u),l);(0,A.isPromise)(h)?S.push(h.then(b=>{b&&n(d)})):h&&n(d)}}},t=this.getSearchOptionsForFolder(s),o=await this.provider.provideTextSearchResults(E(this.query.contentPattern),t,r,m);return S.length&&await Promise.all(S),o}validateProviderResult(s){if(v(s)){if(Array.isArray(s.ranges)){if(!Array.isArray(s.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(s.preview.matches.length!==s.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(s.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(s){const n=(0,D.resolvePatternsForProvider)(this.query.includePattern,s.includePattern),m=(0,D.resolvePatternsForProvider)(this.query.excludePattern,s.excludePattern),a={folder:L.URI.from(s.folder),excludes:m,includes:n,useIgnoreFiles:!s.disregardIgnoreFiles,useGlobalIgnoreFiles:!s.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!s.disregardParentIgnoreFiles,followSymlinks:!s.ignoreSymlinks,encoding:s.fileEncoding&&this.fileUtils.toCanonicalName(s.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return a.usePCRE2=this.query.usePCRE2,a}}e.TextSearchManager=c;function E(_){return{isCaseSensitive:_.isCaseSensitive||!1,isRegExp:_.isRegExp||!1,isWordMatch:_.isWordMatch||!1,isMultiline:_.isMultiline||!1,pattern:_.pattern}}class g{constructor(s){this._onResult=s,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new R(512,n=>this.sendItems(n))}add(s,n){this._currentFileMatch&&(this._currentFolderIdx!==n||!y.isEqual(this._currentUri,s.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=n,this._currentFileMatch={resource:s.uri,results:[]}),this._currentFileMatch.results.push(w(s))}pushToCollector(){const s=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,s)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(s){this._onResult(s)}}e.TextSearchResultsCollector=g;function w(_){return v(_)?{preview:{matches:(0,f.mapArrayOrNot)(_.preview.matches,s=>({startLineNumber:s.start.line,startColumn:s.start.character,endLineNumber:s.end.line,endColumn:s.end.character})),text:_.preview.text},ranges:(0,f.mapArrayOrNot)(_.ranges,s=>({startLineNumber:s.start.line,startColumn:s.start.character,endLineNumber:s.end.line,endColumn:s.end.character}))}:{text:_.text,lineNumber:_.lineNumber}}function v(_){return!!_.preview}e.extensionResultIsMatch=v;class R{constructor(s,n){this.maxBatchSize=s,this.cb=n,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(s,n){!s||this.addItemToBatch(s,n)}addItems(s,n){!s||this.addItemsToBatch(s,n)}addItemToBatch(s,n){this.batch.push(s),this.batchSize+=n,this.onUpdate()}addItemsToBatch(s,n){this.batch=this.batch.concat(s),this.batchSize+=n,this.onUpdate()}onUpdate(){this.totalNumberCompleted<R.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},R.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=R,R.TIMEOUT=4e3,R.START_BATCH_AFTER_COUNT=50}),define(pe[73],ve([0,1,6,5,4,272,14,65,11,2,135]),function(X,e,f,i,I,C,T,P,y,A,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,I.createDecorator)("IExtHostSearch");let D=class{constructor(w,v,R){this.extHostRpc=w,this._uriTransformer=v,this._logService=R,this._proxy=this.extHostRpc.getProxy(i.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new C.FileSearchManager}_transformScheme(w){return this._uriTransformer.transformOutgoingScheme(w)}registerTextSearchProvider(w,v){if(this._textSearchUsedSchemes.has(w))throw new Error(`a text search provider for the scheme '${w}' is already registered`);this._textSearchUsedSchemes.add(w);const R=this._handlePool++;return this._textSearchProvider.set(R,v),this._proxy.$registerTextSearchProvider(R,this._transformScheme(w)),(0,f.toDisposable)(()=>{this._textSearchUsedSchemes.delete(w),this._textSearchProvider.delete(R),this._proxy.$unregisterProvider(R)})}registerFileSearchProvider(w,v){if(this._fileSearchUsedSchemes.has(w))throw new Error(`a file search provider for the scheme '${w}' is already registered`);this._fileSearchUsedSchemes.add(w);const R=this._handlePool++;return this._fileSearchProvider.set(R,v),this._proxy.$registerFileSearchProvider(R,this._transformScheme(w)),(0,f.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(w),this._fileSearchProvider.delete(R),this._proxy.$unregisterProvider(R)})}$provideFileSearchResults(w,v,R,_){const s=c(R),n=this._fileSearchProvider.get(w);if(n)return this._fileSearchManager.fileSearch(s,n,m=>{this._proxy.$handleFileMatch(w,v,m.map(a=>a.resource))},_);throw new Error("unknown provider: "+w)}$clearCache(w){return this._fileSearchManager.clearCache(w),Promise.resolve(void 0)}$provideTextSearchResults(w,v,R,_){const s=this._textSearchProvider.get(w);if(!s||!s.provideTextSearchResults)throw new Error(`Unknown provider ${w}`);const n=c(R);return this.createTextSearchManager(n,s).search(a=>this._proxy.$handleTextMatch(w,v,a),_)}$enableExtensionHostSearch(){}createTextSearchManager(w,v){return new L.TextSearchManager(w,v,{readdir:R=>Promise.resolve([]),toCanonicalName:R=>R},"textSearchProvider")}};D=je([ze(0,T.IExtHostRpcService),ze(1,P.IURITransformerService),ze(2,y.ILogService)],D),e.ExtHostSearch=D;function c(g){return{...g,folderQueries:g.folderQueries&&g.folderQueries.map(E),extraFileResources:g.extraFileResources&&g.extraFileResources.map(w=>A.URI.revive(w))}}e.reviveQuery=c;function E(g){return{...g,folder:A.URI.revive(g.folder)}}}),define(pe[273],ve([0,1,61,133,35,131,36,38,45,34,71,55,73,91,52,66,134,67,44,90,122,54,132,11,226]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s,n,m,a,S,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,f.registerSingleton)(S.ILoggerService,a.ExtHostLoggerService),(0,f.registerSingleton)(S.ILogService,r.ExtHostLogService),(0,f.registerSingleton)(w.IExtHostApiDeprecationService,w.ExtHostApiDeprecationService),(0,f.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,f.registerSingleton)(T.IExtHostConfiguration,T.ExtHostConfiguration),(0,f.registerSingleton)(R.IExtHostConsumerFileSystem,R.ExtHostConsumerFileSystem),(0,f.registerSingleton)(D.IExtHostDebugService,D.WorkerExtHostDebugService),(0,f.registerSingleton)(C.IExtHostDecorations,C.ExtHostDecorations),(0,f.registerSingleton)(y.IExtHostDocumentsAndEditors,y.ExtHostDocumentsAndEditors),(0,f.registerSingleton)(_.IExtHostFileSystemInfo,_.ExtHostFileSystemInfo),(0,f.registerSingleton)(i.IExtHostOutputService,i.ExtHostOutputService),(0,f.registerSingleton)(c.IExtHostSearch,c.ExtHostSearch),(0,f.registerSingleton)(E.IExtHostStorage,E.ExtHostStorage),(0,f.registerSingleton)(L.IExtHostTask,L.WorkerExtHostTask),(0,f.registerSingleton)(A.IExtHostTerminalService,A.WorkerExtHostTerminalService),(0,f.registerSingleton)(g.IExtHostTunnelService,g.ExtHostTunnelService),(0,f.registerSingleton)(v.IExtHostWindow,v.ExtHostWindow),(0,f.registerSingleton)(I.IExtHostWorkspace,I.ExtHostWorkspace),(0,f.registerSingleton)(s.IExtHostSecretState,s.ExtHostSecretState),(0,f.registerSingleton)(n.IExtHostTelemetry,n.ExtHostTelemetry),(0,f.registerSingleton)(m.IExtHostEditorTabs,m.ExtHostEditorTabs)}),define(pe[92],ve([0,1,16,11,31,70]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function T(D){return D.startsWith("**")||D.startsWith("/")?D:`/${D}`}e.anchorGlob=T;function P(D,c,E,g){const w=(0,f.mapArrayOrNot)(E,y),v=new I.TextSearchMatch(c,w,g),R=v.preview.matches;return{ranges:(0,f.mapArrayOrNot)(w,A),uri:D,preview:{text:v.preview.text,matches:(0,f.mapArrayOrNot)(R,A)}}}e.createTextSearchResult=P;function y(D){return new I.SearchRange(D.start.line,D.start.character,D.end.line,D.end.character)}function A(D){return new C.Range(D.startLineNumber,D.startColumn,D.endLineNumber,D.endColumn)}let L=class{constructor(c,E){this.prefix=c,this.logService=E}appendLine(c){this.logService.debug(`${this.prefix}#search`,c)}};L=je([ze(1,i.ILogService)],L),e.OutputChannel=L}),define(pe[274],ve([0,1,37,8,80,28,12,9,92,275]),function(X,e,f,i,I,C,T,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const L=A.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function D(s,n,m,a){const S=c(s,n,m,a),r=n.folder.fsPath;return{cmd:f.spawn(L,S.args,{cwd:r}),rgDiskPath:L,siblingClauses:S.siblingClauses,rgArgs:S,cwd:r}}e.spawnRipgrepCmd=D;function c(s,n,m,a){const S=["--files","--hidden","--case-sensitive"];g([n],m,!1).forEach(t=>{const o=(0,y.anchorGlob)(t);if(S.push("-g",o),T.isMacintosh){const d=(0,I.normalizeNFD)(o);d!==o&&S.push("-g",d)}});const r=E([n],a,void 0,!1);return r.globArgs.forEach(t=>{const o=`!${(0,y.anchorGlob)(t)}`;if(S.push("-g",o),T.isMacintosh){const d=(0,I.normalizeNFD)(o);d!==o&&S.push("-g",d)}}),n.disregardIgnoreFiles!==!1?S.push("--no-ignore"):n.disregardParentIgnoreFiles!==!1&&S.push("--no-ignore-parent"),n.ignoreSymlinks||S.push("--follow"),s.exists&&S.push("--quiet"),S.push("--no-config"),n.disregardGlobalIgnoreFiles&&S.push("--no-ignore-global"),{args:S,siblingClauses:r.siblingClauses}}function E(s,n,m,a=!0){const S=[];let r={};return s.forEach(t=>{const o=Object.assign({},t.excludePattern||{},n||{}),d=w(o,a?t.folder.fsPath:void 0,m);S.push(...d.globArgs),d.siblingClauses&&(r=Object.assign(r,d.siblingClauses))}),{globArgs:S,siblingClauses:r}}e.foldersToRgExcludeGlobs=E;function g(s,n,m=!0){const a=[];return s.forEach(S=>{const r=Object.assign({},n||{},S.includePattern||{}),t=w(r,m?S.folder.fsPath:void 0);a.push(...t.globArgs)}),a}e.foldersToIncludeGlobs=g;function w(s,n,m){const a=[],S={};return Object.keys(s).forEach(r=>{if(m&&m.has(r)||!r)return;const t=s[r];r=R(n?v(n,r):r),r.startsWith("\\\\")?r="\\\\"+r.substr(2).replace(/\\/g,"/"):r=r.replace(/\\/g,"/"),typeof t=="boolean"&&t?(r.startsWith("\\\\")&&(r+="**"),a.push(_(r))):t&&t.when&&(S[r]=t)}),{globArgs:a,siblingClauses:S}}function v(s,n){return i.isAbsolute(n)?n:i.join(s,n)}e.getAbsoluteGlob=v;function R(s){return s=P.rtrim(s,"\\"),P.rtrim(s,"/")}function _(s){return C.getRoot(s).toLowerCase()==="c:/"?s.replace(/^c:[/\\]/i,"/"):s}e.fixDriveC=_}),define(pe[276],ve([0,1,37,60,8,104,16,50,32,80,28,12,46,9,13,29,31,274,102]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const s=new Set;process.on("exit",()=>{s.forEach(r=>r())});class n{constructor(t){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=t,this.filePattern=t.filePattern||"",this.includePattern=t.includePattern&&y.parse(t.includePattern),this.maxResults=t.maxResults||null,this.exists=!!t.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,_.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=t.excludePattern&&y.parse(t.excludePattern),this.folderExcludePatterns=new Map,t.folderQueries.forEach(o=>{const d=Object.assign({},o.excludePattern||{},this.config.excludePattern||{}),l=o.folder.fsPath;t.folderQueries.map(u=>u.folder.fsPath).filter(u=>u!==l).forEach(u=>{(0,L.isEqualOrParent)(u,l)&&(d[I.relative(l,u)]=!0)}),this.folderExcludePatterns.set(l,new a(d,l))})}cancel(){this.isCanceled=!0,s.forEach(t=>t())}walk(t,o,d,l,u){if(this.fileWalkSW=c.StopWatch.create(!1),this.isCanceled)return u(null,this.isLimitHit);o.forEach(h=>{const b=I.basename(h.fsPath);this.globalExcludePattern&&this.globalExcludePattern(h.fsPath,b)||this.matchFile(d,{relativePath:h.fsPath,searchPath:void 0})}),this.cmdSW=c.StopWatch.create(!1),this.parallel(t,(h,b)=>{this.call(this.cmdTraversal,this,h,d,l,p=>{if(p){const k=(0,P.toErrorMessage)(p);console.error(k),this.errors.push(k),b(p,void 0)}else b(null,void 0)})},(h,b)=>{this.fileWalkSW.stop();const p=h?T.coalesce(h)[0]:null;u(p,this.isLimitHit)})}parallel(t,o,d){const l=new Array(t.length),u=new Array(t.length);let h=!1,b=0;if(t.length===0)return d(null,[]);t.forEach((p,k)=>{o(p,(O,U)=>{if(O?(h=!0,l[k]=null,u[k]=O):(l[k]=U,u[k]=null),++b===t.length)return d(h?u:null,l)})})}call(t,o,...d){try{t.apply(o,d)}catch(l){d[d.length-1](l)}}cmdTraversal(t,o,d,l){const u=t.folder.fsPath,h=D.isMacintosh;let b;const p=()=>b&&b.kill();s.add(p);let k=N=>{s.delete(p),k=()=>{},l(N)},O="";const U=this.initDirectoryTree();let F;const M=(0,R.spawnRipgrepCmd)(this.config,t,this.config.includePattern,this.folderExcludePatterns.get(t.folder.fsPath).expression);b=M.cmd,F=!Object.keys(M.siblingClauses).length;const V=M.rgArgs.args.map(N=>N.match(/^-/)?N:`'${N}'`).join(" ");let H=`${M.rgDiskPath} ${V}
 - cwd: ${M.cwd}`;M.rgArgs.siblingClauses&&(H+=`
 - Sibling clauses: ${JSON.stringify(M.rgArgs.siblingClauses)}`),d({message:H}),this.cmdResultCount=0,this.collectStdout(b,"utf8",d,(N,x,W)=>{if(N){k(N);return}if(this.isLimitHit){k();return}const j=(O+(h?A.normalizeNFC(x||""):x)).split(`
`);if(W){const Z=j.length;j[Z-1]=j[Z-1].trim(),j[Z-1]||j.pop()}else O=j.pop()||"";if(j.length&&j[0].indexOf(`
`)!==-1){k(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=j.length,F){for(const Z of j)if(this.matchFile(o,{base:u,relativePath:Z,searchPath:this.getSearchPath(t,Z)}),this.isLimitHit){p();break}(W||this.isLimitHit)&&k();return}this.addDirectoryEntries(t,U,u,j,o),W&&(this.matchDirectoryTree(U,u,o),k())})}spawnFindCmd(t){const o=this.folderExcludePatterns.get(t.folder.fsPath),d=o.getBasenameTerms(),l=o.getPathTerms(),u=["-L","."];if(d.length||l.length){u.push("-not","(","(");for(const h of d)u.push("-name",h),u.push("-o");for(const h of l)u.push("-path",h),u.push("-o");u.pop(),u.push(")","-prune",")")}return u.push("-type","f"),f.spawn("find",u,{cwd:t.folder.fsPath})}readStdout(t,o,d){let l="";this.collectStdout(t,o,()=>{},(u,h,b)=>{if(u){d(u);return}l+=h,b&&d(null,l)})}collectStdout(t,o,d,l){let u=(p,k,O)=>{(p||O)&&(u=()=>{},this.cmdSW&&this.cmdSW.stop()),l(p,k,O)},h=!1;t.stdout?(this.forwardData(t.stdout,o,u),t.stdout.once("data",()=>h=!0)):d({message:"stdout is null"});let b;t.stderr?b=this.collectData(t.stderr):d({message:"stderr is null"}),t.on("error",p=>{u(p)}),t.on("close",p=>{let k;!h&&(k=this.decodeData(b,o))&&S(k)?u(new Error(`command failed with error code ${p}: ${this.decodeData(b,o)}`)):(this.exists&&p===0&&(this.isLimitHit=!0),u(null,"",!0))})}forwardData(t,o,d){const l=new C.StringDecoder(o);return t.on("data",u=>{d(null,l.write(u))}),l}collectData(t){const o=[];return t.on("data",d=>{o.push(d)}),o}decodeData(t,o){const d=new C.StringDecoder(o);return t.map(l=>d.write(l)).join("")}initDirectoryTree(){const t={rootEntries:[],pathToEntries:Object.create(null)};return t.pathToEntries["."]=t.rootEntries,t}addDirectoryEntries(t,{pathToEntries:o},d,l,u){l.indexOf(this.filePattern)!==-1&&this.matchFile(u,{base:d,relativePath:this.filePattern,searchPath:this.getSearchPath(t,this.filePattern)});const h=b=>{const p=I.basename(b),k=I.dirname(b);let O=o[k];O||(O=o[k]=[],h(k)),O.push({base:d,relativePath:b,basename:p,searchPath:this.getSearchPath(t,b)})};l.forEach(h)}matchDirectoryTree({rootEntries:t,pathToEntries:o},d,l){const u=this,h=this.folderExcludePatterns.get(d),b=this.filePattern;function p(k){u.directoriesWalked++;const O=y.hasSiblingFn(()=>k.map(U=>U.basename));for(let U=0,F=k.length;U<F;U++){const M=k[U],{relativePath:V,basename:H}=M;if(h.test(V,H,b!==H?O:void 0))continue;const N=o[V];if(N)p(N);else{if(u.filesWalked++,V===b)continue;u.matchFile(l,M)}if(u.isLimitHit)break}}p(t)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(t,o,d,l,u){const h=t.folder,b=y.hasSiblingFn(()=>d);this.parallel(d,(p,k)=>{if(this.isCanceled||this.isLimitHit)return k(null);const O=o?[o,p].join(I.sep):p;if(this.folderExcludePatterns.get(t.folder.fsPath).test(O,p,this.config.filePattern!==p?b:void 0))return k(null);const U=[h.fsPath,O].join(I.sep);i.lstat(U,(F,M)=>{if(F||this.isCanceled||this.isLimitHit)return k(null);this.statLinkIfNeeded(U,M,(V,H)=>V||this.isCanceled||this.isLimitHit?k(null):H.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(U,M,(N,x)=>N||this.isCanceled||this.isLimitHit||(x=x||"",this.walkedPaths[x])?k(null):(this.walkedPaths[x]=!0,w.Promises.readdir(U).then(W=>{if(this.isCanceled||this.isLimitHit)return k(null);this.doWalk(t,O,W,l,B=>k(B||null))},W=>{k(null)})))):(this.filesWalked++,O===this.filePattern||this.maxFilesize&&g.isNumber(H.size)&&H.size>this.maxFilesize||this.matchFile(l,{base:h.fsPath,relativePath:O,searchPath:this.getSearchPath(t,O)}),k(null,void 0)))})},p=>{const k=p&&T.coalesce(p);return u(k&&k.length>0?k[0]:void 0)})}matchFile(t,o){this.isFileMatch(o)&&(!this.includePattern||this.includePattern(o.relativePath,I.basename(o.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||t(o))}isFileMatch(t){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,v.isFilePatternMatch)(t,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(t,o,d){return o.isSymbolicLink()?i.stat(t,d):d(null,o)}realPathIfNeeded(t,o,d){return o.isSymbolicLink()?i.realpath(t,(l,u)=>l?d(l):d(null,u)):d(null,t)}getSearchPath(t,o){return t.folderName?I.join(t.folderName,o):o}}e.FileWalker=n;class m{constructor(t){this.folderQueries=t.folderQueries,this.extraFiles=t.extraFileResources||[],this.walker=new n(t)}search(t,o,d){this.walker.walk(this.folderQueries,this.extraFiles,t,o,(l,u)=>{d(l,{limitHit:u,stats:this.walker.getStats(),messages:[]})})}cancel(){this.walker.cancel()}}e.Engine=m;class a{constructor(t,o){this.expression=t,this.root=o,this.init(t)}init(t){let o,d;Object.keys(t).filter(l=>t[l]).forEach(l=>{I.isAbsolute(l)?(o=o||y.getEmptyExpression(),o[l]=t[l]):(d=d||y.getEmptyExpression(),d[l]=t[l])}),this.absoluteParsedExpr=o&&y.parse(o,{trimForExclusions:!0}),this.relativeParsedExpr=d&&y.parse(d,{trimForExclusions:!0})}test(t,o,d){return this.relativeParsedExpr&&this.relativeParsedExpr(t,o,d)||this.absoluteParsedExpr&&this.absoluteParsedExpr(I.join(this.root,t),o,d)}getBasenameTerms(){const t=[];return this.absoluteParsedExpr&&t.push(...y.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&t.push(...y.getBasenameTerms(this.relativeParsedExpr)),t}getPathTerms(){const t=[];return this.absoluteParsedExpr&&t.push(...y.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&t.push(...y.getPathTerms(this.relativeParsedExpr)),t}}function S(r){const t=r.trim().split(`
`),o=t[0].trim();if(o.startsWith("Error parsing regex"))return o;if(o.startsWith("regex parse error"))return E.uppercaseFirstLetter(t[t.length-1].trim());if(o.startsWith("error parsing glob")||o.startsWith("unsupported encoding"))return o.charAt(0).toUpperCase()+o.substr(1);if(o==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(o.startsWith("Literal "))return o}e.rgErrorMsgForDisplay=S}),define(pe[277],ve([0,1,97,22]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.DecodeStreamError=e.DecodeStreamErrorKind=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function I(r){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(t=>t===r)}e.isUTFEncoding=I,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const C=512,T=512,P=512*8,y=512*128;var A;(function(r){r[r.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(A=e.DecodeStreamErrorKind||(e.DecodeStreamErrorKind={}));class L extends Error{constructor(t,o){super(t);this.decodeStreamErrorKind=o}}e.DecodeStreamError=L;class D{constructor(t){this.iconvLiteDecoder=t}static async create(t){let o;if(t!==e.UTF8)o=(await new Promise((l,u)=>{X(["iconv-lite-umd"],l,u)})).getDecoder(w(t));else{const d=new TextDecoder;o={write(l){return d.decode(l,{stream:!0})},end(){return d.decode()}}}return new D(o)}write(t){return this.iconvLiteDecoder.write(t)}end(){return this.iconvLiteDecoder.end()}}function c(r,t){const o=t.minBytesRequiredForDetection??t.guessEncoding?P:T;return new Promise((d,l)=>{const u=(0,f.newWriteableStream)(U=>U.join("")),h=[];let b=0,p,k;const O=async()=>{try{const U=await S({buffer:i.VSBuffer.concat(h),bytesRead:b},t.guessEncoding);if(U.seemsBinary&&t.acceptTextOnly)throw new L("Stream is binary but only text is accepted for decoding",1);U.encoding=await t.overwriteEncoding(U.encoding),p=await D.create(U.encoding);const F=p.write(i.VSBuffer.concat(h).buffer);u.write(F),h.length=0,b=0,d({stream:u,detected:U})}catch(U){k?.dispose(),u.destroy(),l(U)}};k=(0,f.listenStream)(r,{onData:async U=>{p?u.write(p.write(U.buffer)):(h.push(U),b+=U.byteLength,b>=o&&(r.pause(),await O(),setTimeout(()=>r.resume())))},onError:U=>u.error(U),onEnd:async()=>{p||await O(),u.end(p?.end())}})})}e.toDecodeStream=c;async function E(r,t,o){const l=(await new Promise((b,p)=>{X(["iconv-lite-umd"],b,p)})).getEncoder(w(t),o);let u=!1,h=!1;return{read(){if(h)return null;const b=r.read();if(typeof b!="string"){if(h=!0,!u&&o?.addBOM)switch(t){case e.UTF8:case e.UTF8_with_bom:return i.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return i.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return i.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const p=l.end();return p&&p.length>0?(u=!0,i.VSBuffer.wrap(p)):null}return u=!0,i.VSBuffer.wrap(l.write(b))}}}e.toEncodeReadable=E;async function g(r){return(await new Promise((o,d)=>{X(["iconv-lite-umd"],o,d)})).encodingExists(w(r))}e.encodingExists=g;function w(r){return r===e.UTF8_with_bom||r===null?e.UTF8:r}e.toNodeEncoding=w;function v(r,t){if(!r||t<e.UTF16be_BOM.length)return null;const o=r.readUInt8(0),d=r.readUInt8(1);if(o===e.UTF16be_BOM[0]&&d===e.UTF16be_BOM[1])return e.UTF16be;if(o===e.UTF16le_BOM[0]&&d===e.UTF16le_BOM[1])return e.UTF16le;if(t<e.UTF8_BOM.length)return null;const l=r.readUInt8(2);return o===e.UTF8_BOM[0]&&d===e.UTF8_BOM[1]&&l===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=v;const R=["ascii","utf-16","utf-32"];async function _(r){const t=await new Promise((h,b)=>{X(["jschardet"],h,b)}),o=r.slice(0,y),d=m(o.buffer),l=t.detect(d);if(!l||!l.encoding)return null;const u=l.encoding.toLowerCase();return 0<=R.indexOf(u)?null:n(l.encoding)}const s={ibm866:"cp866",big5:"cp950"};function n(r){const t=r.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return s[t]||t}function m(r){let t="";for(let o=0;o<r.length;o++)t+=String.fromCharCode(r[o]);return t}function a(r){switch(r){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const t=r.match(/windows(\d+)/);return t?"windows-"+t[1]:r}}}e.toCanonicalName=a;function S({buffer:r,bytesRead:t},o){let d=v(r,t),l=!1;if(d!==e.UTF16be&&d!==e.UTF16le&&r){let u=!0,h=!0,b=!1;for(let p=0;p<t&&p<C;p++){const k=p%2==1,O=r.readUInt8(p)===0;if(O&&(b=!0),u&&(k&&!O||!k&&O)&&(u=!1),h&&(k&&O||!k&&!O)&&(h=!1),O&&!u&&!h)break}b&&(u?d=e.UTF16le:h?d=e.UTF16be:l=!0)}return o&&!l&&!d&&r?_(r.slice(0,t)).then(u=>({seemsBinary:!1,encoding:u})):{seemsBinary:l,encoding:d}}e.detectEncodingFromBuffer=S,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(pe[136],ve([0,1,277,29,135]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class C extends I.TextSearchManager{constructor(P,y,A=i,L="searchProcess"){super(P,y,{readdir:D=>A.Promises.readdir(D.fsPath),toCanonicalName:D=>(0,f.toCanonicalName)(D)},L)}}e.NativeTextSearchManager=C}),define(pe[278],ve([0,1,61,4]),function(X,e,f,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeViewsDragAndDropService=e.ITreeViewsDragAndDropService=void 0,e.ITreeViewsDragAndDropService=(0,i.createDecorator)("treeViewsDragAndDropService");class I{constructor(){this._dragOperations=new Map}removeDragOperationTransfer(T){if(T&&this._dragOperations.has(T)){const P=this._dragOperations.get(T);return this._dragOperations.delete(T),P}}addDragOperationTransfer(T,P){this._dragOperations.set(T,P)}}e.TreeViewsDragAndDropService=I,(0,f.registerSingleton)(e.ITreeViewsDragAndDropService,I)}),define(pe[279],ve([0,1,168,23,2,3,6,18,7,13,16,17,21,205,278]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function w(_,s){if((0,A.isString)(_))return{label:_};if(_&&typeof _=="object"&&typeof _.label=="string"){let n;return Array.isArray(_.highlights)&&(n=_.highlights.filter(m=>m.length===2&&typeof m[0]=="number"&&typeof m[1]=="number"),n=n.length?n:void 0),{label:_.label,highlights:n}}}class v{constructor(s,n,m){this._proxy=s,this.commands=n,this.logService=m,this.treeViews=new Map,this.treeDragAndDropService=new g.TreeViewsDragAndDropService;function a(S){return S&&S.$treeViewId&&S.$treeItemHandle}n.registerArgumentProcessor({processArgument:S=>a(S)?this.convertArgument(S):Array.isArray(S)&&S.length>0?S.map(r=>a(r)?this.convertArgument(r):r):S})}registerTreeDataProvider(s,n,m){const a=this.createTreeView(s,{treeDataProvider:n},m);return{dispose:()=>a.dispose()}}createTreeView(s,n,m){if(!n||!n.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const a=n.dragAndDropController?.supportedMimeTypes,S=!!n.dragAndDropController?.onWillDrop,r=this._proxy.$registerTreeViewDataProvider(s,{showCollapseAll:!!n.showCollapseAll,canSelectMany:!!n.canSelectMany,dragAndDropMimeTypes:a,hasWillDrop:S}),t=this.createExtHostTreeView(s,n,m);return{get onDidCollapseElement(){return t.onDidCollapseElement},get onDidExpandElement(){return t.onDidExpandElement},get selection(){return t.selectedElements},get onDidChangeSelection(){return t.onDidChangeSelection},get visible(){return t.visible},get onDidChangeVisibility(){return t.onDidChangeVisibility},get message(){return t.message},set message(o){t.message=o},get title(){return t.title},set title(o){t.title=o},get description(){return t.description},set description(o){t.description=o},reveal:(o,d)=>t.reveal(o,d),dispose:async()=>{await r,this.treeViews.delete(s),t.dispose()}}}$getChildren(s,n){const m=this.treeViews.get(s);return m?m.getChildren(n):Promise.reject(new Error((0,f.localize)(0,null,s)))}async $onDrop(s,n,m,a,S,r){const t=this.treeViews.get(s);if(!t)return Promise.reject(new Error((0,f.localize)(1,null,s)));const o=E.TreeDataTransferConverter.toITreeDataTransfer(n);return S===s&&r&&await this.addAdditionalTransferItems(o,t,r,a),t.onDrop(o,m)}async addAdditionalTransferItems(s,n,m,a){const S=this.treeDragAndDropService.removeDragOperationTransfer(a);let r;if(S)r=await S;else if(a&&n.onWillDrop){const t=n.onWillDrop(m);this.treeDragAndDropService.addDragOperationTransfer(a,t),r=await t}return r&&r.forEach((t,o)=>{t&&s.set(o,t)}),s}async $onWillDrop(s,n,m){const a=this.treeViews.get(s);if(!a)return Promise.reject(new Error((0,f.localize)(2,null,s)));const S=await this.addAdditionalTransferItems(new Map,a,n,m);if(!!S)return E.TreeDataTransferConverter.toTreeDataTransferDTO(S)}async $hasResolve(s){const n=this.treeViews.get(s);if(!n)throw new Error((0,f.localize)(3,null,s));return n.hasResolve}$resolve(s,n,m){const a=this.treeViews.get(s);if(!a)throw new Error((0,f.localize)(4,null,s));return a.resolveTreeItem(n,m)}$setExpanded(s,n,m){const a=this.treeViews.get(s);if(!a)throw new Error((0,f.localize)(5,null,s));a.setExpanded(n,m)}$setSelection(s,n){const m=this.treeViews.get(s);if(!m)throw new Error((0,f.localize)(6,null,s));m.setSelection(n)}$setVisible(s,n){const m=this.treeViews.get(s);if(!m)throw new Error((0,f.localize)(7,null,s));m.setVisible(n)}createExtHostTreeView(s,n,m){const a=new R(s,n,this._proxy,this.commands.converter,this.logService,m);return this.treeViews.set(s,a),a}convertArgument(s){const n=this.treeViews.get(s.$treeViewId);return n?n.getExtensionElement(s.$treeItemHandle):null}}e.ExtHostTreeViews=v;class R extends T.Disposable{constructor(s,n,m,a,S,r){super();if(this.viewId=s,this.proxy=m,this.commands=a,this.logService=S,this.extension=r,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new C.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new C.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new C.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new C.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new C.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new c.CancellationTokenSource,r.contributes&&r.contributes.views)for(const d in r.contributes.views)for(const l of r.contributes.views[d])l.id===s&&(this._title=l.name);this.dataProvider=n.treeDataProvider,this.dndController=n.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(d=>this._onDidChangeData.fire({message:!1,element:d}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(d=>this._onDidChangeData.fire({message:!1,element:d})));let t,o;this._register(C.Event.debounce(this._onDidChangeData.event,(d,l)=>(d||(d={message:!1,elements:[]}),l.element!==!1&&(t||(t=new Promise(u=>o=u),this.refreshPromise=this.refreshPromise.then(()=>t)),Array.isArray(l.element)?d.elements.push(...l.element):d.elements.push(l.element)),l.message&&(d.message=!0),d),200,!0)(({message:d,elements:l})=>{l.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const u=o;return t=null,this.refresh(l).then(()=>u())})),d&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(s=>this.getExtensionElement(s)).filter(s=>!(0,A.isUndefinedOrNull)(s))}async getChildren(s){const n=s?this.getExtensionElement(s):void 0;if(s&&!n)return this.logService.error(`No tree item with id '${s}' found.`),Promise.resolve([]);let m=this.getChildrenNodes(s);return m||(m=await this.fetchChildrenNodes(n)),m?m.map(a=>a.item):void 0}getExtensionElement(s){return this.elements.get(s)}reveal(s,n){n=n||{select:!0,focus:!1};const m=(0,A.isUndefinedOrNull)(n.select)?!0:n.select,a=(0,A.isUndefinedOrNull)(n.focus)?!1:n.focus,S=(0,A.isUndefinedOrNull)(n.expand)?!1:n.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):s?this.refreshPromise.then(()=>this.resolveUnknownParentChain(s)).then(r=>this.resolveTreeNode(s,r[r.length-1]).then(t=>this.proxy.$reveal(this.viewId,{item:t.item,parentChain:r.map(o=>o.item)},{select:m,focus:a,expand:S})),r=>this.logService.error(r)):this.proxy.$reveal(this.viewId,void 0,{select:m,focus:a,expand:S})}get message(){return this._message}set message(s){this._message=s,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(s){this._title=s,this.proxy.$setTitle(this.viewId,s,this._description)}get description(){return this._description}set description(s){this._description=s,this.proxy.$setTitle(this.viewId,this._title,s)}setExpanded(s,n){const m=this.getExtensionElement(s);m&&(n?this._onDidExpandElement.fire(Object.freeze({element:m})):this._onDidCollapseElement.fire(Object.freeze({element:m})))}setSelection(s){(0,L.equals)(this._selectedHandles,s)||(this._selectedHandles=s,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(s){s!==this._visible&&(this._visible=s,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async onWillDrop(s){const n=[];for(const m of s){const a=this.getExtensionElement(m);a&&n.push(a)}if(!(!this.dndController?.onWillDrop||n.length===0))return this.dndController.onWillDrop(n)}get hasOnWillDrop(){return!!this.dndController?.onWillDrop}async onDrop(s,n){const m=this.getExtensionElement(n);if(!!m)return(0,P.asPromise)(()=>this.dndController?.onDrop(s,m))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(s,n){if(!this.dataProvider.resolveTreeItem)return;const m=this.elements.get(s);if(m){const a=this.nodes.get(m);if(a){const S=await this.dataProvider.resolveTreeItem(a.extensionItem,m,n)??a.extensionItem;return a.item.tooltip=this.getTooltip(S.tooltip),a.item.command=this.getCommand(a.disposableStore,S.command),a.item}}}resolveUnknownParentChain(s){return this.resolveParent(s).then(n=>n?this.resolveUnknownParentChain(n).then(m=>this.resolveTreeNode(n,m[m.length-1]).then(a=>(m.push(a),m))):Promise.resolve([]))}resolveParent(s){const n=this.nodes.get(s);return n?Promise.resolve(n.parent?this.elements.get(n.parent.item.handle):void 0):(0,P.asPromise)(()=>this.dataProvider.getParent(s))}resolveTreeNode(s,n){const m=this.nodes.get(s);return m?Promise.resolve(m):(0,P.asPromise)(()=>this.dataProvider.getTreeItem(s)).then(a=>this.createHandle(s,a,n,!0)).then(a=>this.getChildren(n?n.item.handle:void 0).then(()=>{const S=this.getExtensionElement(a);if(S){const r=this.nodes.get(S);if(r)return Promise.resolve(r)}throw new Error(`Cannot resolve tree item for element ${a}`)}))}getChildrenNodes(s){if(s){let n;if(typeof s=="string"){const m=this.getExtensionElement(s);n=m?this.nodes.get(m):void 0}else n=s;return n&&n.children||void 0}return this.roots}async fetchChildrenNodes(s){this.clearChildren(s);const n=new c.CancellationTokenSource(this._refreshCancellationSource.token);try{const m=s?this.nodes.get(s):void 0,a=await this.dataProvider.getChildren(s);if(n.token.isCancellationRequested)return;const S=await Promise.all((0,L.coalesce)(a||[]).map(async r=>{const t=await this.dataProvider.getTreeItem(r);return t&&!n.token.isCancellationRequested?this.createAndRegisterTreeNode(r,t,m):null}));return n.token.isCancellationRequested?void 0:(0,L.coalesce)(S)}finally{n.dispose()}}refresh(s){if(s.some(m=>!m))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new c.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const m=this.getHandlesToRefresh(s);if(m.length)return this.refreshHandles(m)}return Promise.resolve(void 0)}getHandlesToRefresh(s){const n=new Set,m=s.map(S=>this.nodes.get(S));for(const S of m)if(S&&!n.has(S.item.handle)){let r=S;for(;r&&r.parent&&m.findIndex(t=>r&&r.parent&&t&&t.item.handle===r.parent.item.handle)===-1;){const t=this.elements.get(r.parent.item.handle);r=t?this.nodes.get(t):void 0}r&&!r.parent&&n.add(S.item.handle)}const a=[];return n.forEach(S=>{const r=this.elements.get(S);if(r){const t=this.nodes.get(r);t&&(!t.parent||!n.has(t.parent.item.handle))&&a.push(S)}}),a}refreshHandles(s){const n={};return Promise.all(s.map(m=>this.refreshNode(m).then(a=>{a&&(n[m]=a.item)}))).then(()=>Object.keys(n).length?this.proxy.$refresh(this.viewId,n):void 0)}refreshNode(s){const n=this.getExtensionElement(s);if(n){const m=this.nodes.get(n);if(m)return this.clearChildren(n),(0,P.asPromise)(()=>this.dataProvider.getTreeItem(n)).then(a=>{if(a){const S=this.createTreeNode(n,a,m.parent);return this.updateNodeCache(n,S,m,m.parent),m.dispose(),S}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(s,n,m){const a=this.createTreeNode(s,n,m);if(n.id&&this.elements.has(a.item.handle))throw new Error((0,f.localize)(8,null,n.id));return this.addNodeToCache(s,a),this.addNodeToParentCache(a,m),a}getTooltip(s){return y.MarkdownString.isMarkdownString(s)?D.MarkdownString.from(s):s}getCommand(s,n){return n?this.commands.toInternal(n,s):void 0}createTreeNode(s,n,m){const a=new T.DisposableStore,S=this.createHandle(s,n,m),r=this.getLightIconPath(n);return{item:{handle:S,parentHandle:m?m.item.handle:void 0,label:w(n.label,this.extension),description:n.description,resourceUri:n.resourceUri,tooltip:this.getTooltip(n.tooltip),command:this.getCommand(a,n.command),contextValue:n.contextValue,icon:r,iconDark:this.getDarkIconPath(n)||r,themeIcon:this.getThemeIcon(n),collapsibleState:(0,A.isUndefinedOrNull)(n.collapsibleState)?y.TreeItemCollapsibleState.None:n.collapsibleState,accessibilityInformation:n.accessibilityInformation},extensionItem:n,parent:m,children:void 0,disposableStore:a,dispose(){a.dispose()}}}getThemeIcon(s){return s.iconPath instanceof y.ThemeIcon?s.iconPath:void 0}createHandle(s,{id:n,label:m,resourceUri:a},S,r){if(n)return`${R.ID_HANDLE_PREFIX}/${n}`;const t=w(m,this.extension),o=S?S.item.handle:R.LABEL_HANDLE_PREFIX;let d=t?t.label:a?(0,i.basename)(a):"";d=d.indexOf("/")!==-1?d.replace("/","//"):d;const l=this.nodes.has(s)?this.nodes.get(s).item.handle:void 0,u=this.getChildrenNodes(S)||[];let h,b=0;do{if(h=`${o}/${b}:${d}`,r||!this.elements.has(h)||l===h)break;b++}while(b<=u.length);return h}getLightIconPath(s){if(s.iconPath&&!(s.iconPath instanceof y.ThemeIcon))return typeof s.iconPath=="string"||I.URI.isUri(s.iconPath)?this.getIconPath(s.iconPath):this.getIconPath(s.iconPath.light)}getDarkIconPath(s){if(s.iconPath&&!(s.iconPath instanceof y.ThemeIcon)&&s.iconPath.dark)return this.getIconPath(s.iconPath.dark)}getIconPath(s){return I.URI.isUri(s)?s:I.URI.file(s)}addNodeToCache(s,n){this.elements.set(n.item.handle,s),this.nodes.set(s,n)}updateNodeCache(s,n,m,a){this.elements.delete(n.item.handle),this.nodes.delete(s),n.item.handle!==m.item.handle&&this.elements.delete(m.item.handle),this.addNodeToCache(s,n);const S=this.getChildrenNodes(a)||[],r=S.filter(t=>t.item.handle===m.item.handle)[0];r&&S.splice(S.indexOf(r),1,n)}addNodeToParentCache(s,n){n?(n.children||(n.children=[]),n.children.push(s)):(this.roots||(this.roots=[]),this.roots.push(s))}clearChildren(s){if(s){const n=this.nodes.get(s);if(n){if(n.children)for(const m of n.children){const a=this.elements.get(m.item.handle);a&&this.clear(a)}n.children=void 0}}else this.clearAll()}clear(s){const n=this.nodes.get(s);if(n){if(n.children)for(const m of n.children){const a=this.elements.get(m.item.handle);a&&this.clear(a)}this.nodes.delete(s),this.elements.delete(n.item.handle),n.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(s=>s.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}R.LABEL_HANDLE_PREFIX="0",R.ID_HANDLE_PREFIX="1"}),define(pe[280],ve([0,1,21,15,3,48,2,114,109,146,83,42,5,231,230,38,232,36,233,234,235,217,236,45,39,237,218,240,241,242,133,220,247,248,249,91,34,251,279,17,7,254,69,134,35,75,206,239,63,131,71,55,73,11,65,14,26,243,203,52,66,228,252,202,68,67,257,255,256,229,44,250,253,90,54,122,245,70,246,10,190,244,200,238,6,30]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_,s,n,m,a,S,r,t,o,d,l,u,h,b,p,k,O,U,F,M,V,H,N,x,W,B,j,Z,se,Q,z,te,he,ge,ke,Ue,Be,q,Y,re,le,J,oe,Se,Me,Ge,Ke,et,nt,ct,tt,rt,dt,pt,xe,Tt,ee,ie,Ee,ne,Ce,Fe,qe,Ve,lt,Re,Ae,De){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function ce(de){const we=de.get(Y.IExtHostInitDataService),ye=de.get(dt.IExtHostFileSystemInfo),Oe=de.get(et.IExtHostConsumerFileSystem),Qe=de.get(r.IExtHostExtensionService),$e=de.get(j.IExtHostWorkspace),Je=de.get(ie.IExtHostTelemetry),ot=de.get(R.IExtHostConfiguration),at=de.get(Be.IURITransformerService),He=de.get(q.IExtHostRpcService),be=de.get(U.IExtHostStorage),_e=de.get(Ke.IExtensionStoragePaths),fe=de.get(Ue.ILoggerService),K=de.get(Ue.ILogService),Ie=de.get(J.IExtHostTunnelService),Ne=de.get(oe.IExtHostApiDeprecationService),Ye=de.get(B.IExtHostWindow),Xe=de.get(Tt.IExtHostSecretState),gt=de.get(ee.IExtHostEditorTabs);He.set(c.ExtHostContext.ExtHostFileSystemInfo,ye),He.set(c.ExtHostContext.ExtHostLogLevelServiceShape,fe),He.set(c.ExtHostContext.ExtHostWorkspace,$e),He.set(c.ExtHostContext.ExtHostConfiguration,ot),He.set(c.ExtHostContext.ExtHostExtensionService,Qe),He.set(c.ExtHostContext.ExtHostStorage,be),He.set(c.ExtHostContext.ExtHostTunnelService,Ie),He.set(c.ExtHostContext.ExtHostWindow,Ye),He.set(c.ExtHostContext.ExtHostSecretState,Xe),He.set(c.ExtHostContext.ExtHostTelemetry,Je),He.set(c.ExtHostContext.ExtHostEditorTabs,gt);const St=He.set(c.ExtHostContext.ExtHostDecorations,de.get(te.IExtHostDecorations)),Ct=He.set(c.ExtHostContext.ExtHostDocumentsAndEditors,de.get(S.IExtHostDocumentsAndEditors)),ft=He.set(c.ExtHostContext.ExtHostCommands,de.get(w.IExtHostCommands)),wt=He.set(c.ExtHostContext.ExtHostTerminalService,de.get(F.IExtHostTerminalService)),bt=He.set(c.ExtHostContext.ExtHostDebugService,de.get(ge.IExtHostDebugService)),Ut=He.set(c.ExtHostContext.ExtHostSearch,de.get(ke.IExtHostSearch)),It=He.set(c.ExtHostContext.ExtHostTask,de.get(he.IExtHostTask)),Ft=He.set(c.ExtHostContext.ExtHostOutputService,de.get(h.IExtHostOutputService)),kt=He.set(c.ExtHostContext.ExtHostUrls,new x.ExtHostUrls(He)),yt=He.set(c.ExtHostContext.ExtHostDocuments,new a.ExtHostDocuments(He,Ct)),Qt=He.set(c.ExtHostContext.ExtHostDocumentContentProviders,new n.ExtHostDocumentContentProvider(He,Ct,K)),Vt=He.set(c.ExtHostContext.ExtHostDocumentSaveParticipant,new m.ExtHostDocumentSaveParticipant(K,yt,He.getProxy(c.MainContext.MainThreadBulkEdits))),Et=He.set(c.ExtHostContext.ExtHostNotebook,new re.ExtHostNotebookController(He,ft,Ct,yt,_e)),Xt=He.set(c.ExtHostContext.ExtHostNotebookDocuments,new lt.ExtHostNotebookDocuments(K,Et)),qt=He.set(c.ExtHostContext.ExtHostNotebookEditors,new Ve.ExtHostNotebookEditors(K,He,Et)),Yt=He.set(c.ExtHostContext.ExtHostNotebookKernels,new Ee.ExtHostNotebookKernels(He,we,Et,ft,K)),ai=He.set(c.ExtHostContext.ExtHostNotebookRenderers,new Ce.ExtHostNotebookRenderers(He,Et)),Rt=He.set(c.ExtHostContext.ExtHostEditors,new M.ExtHostEditors(He,Ct)),Jt=He.set(c.ExtHostContext.ExtHostTreeViews,new V.ExtHostTreeViews(He.getProxy(c.MainContext.MainThreadTreeViews),ft,K)),ci=He.set(c.ExtHostContext.ExtHostEditorInsets,new se.ExtHostEditorInsets(He.getProxy(c.MainContext.MainThreadEditorInsets),Rt,we)),jt=He.set(c.ExtHostContext.ExtHostDiagnostics,new _.ExtHostDiagnostics(He,K,ye)),Zt=He.set(c.ExtHostContext.ExtHostLanguages,new l.ExtHostLanguages(He,yt,ft.converter,at)),vt=He.set(c.ExtHostContext.ExtHostLanguageFeatures,new d.ExtHostLanguageFeatures(He,at,yt,ft,jt,K,Ne)),li=He.set(c.ExtHostContext.ExtHostFileSystem,new t.ExtHostFileSystem(He,vt)),Ot=He.set(c.ExtHostContext.ExtHostFileSystemEventService,new o.ExtHostFileSystemEventService(He,K,Ct)),Wt=He.set(c.ExtHostContext.ExtHostQuickOpen,(0,p.createExtHostQuickOpen)(He,$e,ft)),vi=He.set(c.ExtHostContext.ExtHostSCM,new k.ExtHostSCM(He,ft,K)),ui=He.set(c.ExtHostContext.ExtHostComments,(0,v.createExtHostComments)(He,ft,yt)),ei=He.set(c.ExtHostContext.ExtHostProgress,new b.ExtHostProgress(He.getProxy(c.MainContext.MainThreadProgress))),yi=He.set(c.ExtHostContext.ExtHosLabelService,new Q.ExtHostLabelService(He)),wi=He.set(c.ExtHostContext.ExtHostTheming,new le.ExtHostTheming(He)),ti=He.set(c.ExtHostContext.ExtHostAuthentication,new Se.ExtHostAuthentication(He)),Di=He.set(c.ExtHostContext.ExtHostTimeline,new Me.ExtHostTimeline(He,ft)),di=He.set(c.ExtHostContext.ExtHostWebviews,new W.ExtHostWebviews(He,{remote:we.remote},$e,K,Ne)),Gt=He.set(c.ExtHostContext.ExtHostWebviewPanels,new tt.ExtHostWebviewPanels(He,di,$e)),hi=He.set(c.ExtHostContext.ExtHostCustomEditors,new ct.ExtHostCustomEditors(He,yt,_e,di,Gt)),ki=He.set(c.ExtHostContext.ExtHostWebviewViews,new nt.ExtHostWebviewViews(He,di)),Kt=He.set(c.ExtHostContext.ExtHostTesting,new pt.ExtHostTesting(He,ft)),Ii=He.set(c.ExtHostContext.ExtHostUriOpeners,new xe.ExtHostUriOpeners(He));He.set(c.ExtHostContext.ExtHostInteractive,new Re.ExtHostInteractive(He,Et,Ct,ft));const Pi=(0,Z.values)(c.ExtHostContext);He.assertRegistered(Pi);const ii=new rt.ExtHostBulkEdits(He,Ct),Ai=new g.ExtHostClipboard(He),fi=new u.ExtHostMessageService(He,K),bi=new s.ExtHostDialogs(He),ni=new O.ExtHostStatusBar(He,ft.converter);return E.ExtHostApiCommands.register(ft),function(We,Ht,Bt){const _t=function(){let ae=!We.isUnderDevelopment;function me(){ae||(K.info(`Extension '${We.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),ae=!0)}return function Te(ht){if(Array.isArray(ht))ht.forEach(Te);else if(typeof ht=="string")me();else{const Dt=ht;typeof Dt.scheme=="undefined"&&me(),typeof Dt.exclusive=="boolean"&&(0,De.checkProposedApiEnabled)(We,"documentFiltersExclusive")}return ht}}(),Mt={getSession(ae,me,Te){return ti.getSession(We,ae,me,Te)},async hasSession(ae,me){return(0,De.checkProposedApiEnabled)(We,"authSession"),!!await ti.getSession(We,ae,me,{silent:!0})},get onDidChangeSessions(){return ti.onDidChangeSessions},registerAuthenticationProvider(ae,me,Te,ht){return ti.registerAuthenticationProvider(ae,me,Te,ht)}},ri={registerCommand(ae,me,Te){return ft.registerCommand(!0,ae,me,Te,void 0,We)},registerTextEditorCommand(ae,me,Te){return ft.registerCommand(!0,ae,(...ht)=>{const Dt=Rt.getActiveTextEditor();if(!Dt){K.warn("Cannot execute "+ae+" because there is no active text editor.");return}return Dt.edit(At=>{me.apply(Te,[Dt,At,...ht])}).then(At=>{At||K.warn("Edits from command "+ae+" were not applied.")},At=>{K.warn("An error occurred while running command "+ae,At)})},void 0,void 0,We)},registerDiffInformationCommand:(ae,me,Te)=>((0,De.checkProposedApiEnabled)(We,"diffCommand"),ft.registerCommand(!0,ae,async(...ht)=>{const Dt=Ct.activeEditor(!0);if(!Dt){K.warn("Cannot execute "+ae+" because there is no active text editor.");return}const At=await Rt.getDiffInformation(Dt.id);me.apply(Te,[At,...ht])},void 0,void 0,We)),executeCommand(ae,...me){return ft.executeCommand(ae,...me)},getCommands(ae=!1){return ft.getCommands(ae)}},Ei={get machineId(){return we.telemetryInfo.machineId},get sessionId(){return we.telemetryInfo.sessionId},get language(){return we.environment.appLanguage},get appName(){return we.environment.appName},get appRoot(){return we.environment.appRoot?.fsPath??""},get appHost(){return we.environment.appHost},get uriScheme(){return we.environment.appUriScheme},get clipboard(){return Ai.value},get shell(){return wt.getDefaultShell(!1)},get isTelemetryEnabled(){return Je.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return Je.onDidChangeTelemetryEnabled},get isNewAppInstall(){const ae=Date.now()-new Date(we.telemetryInfo.firstSessionDate).getTime();return isNaN(ae)?!1:ae<1e3*60*60*24},openExternal(ae,me){return Ye.openUri(ae,{allowTunneling:!!we.remote.authority,allowContributedOpeners:me?.allowContributedOpeners})},async asExternalUri(ae){if(ae.scheme===we.environment.appUriScheme)return kt.createAppUri(ae);try{return await Ye.asExternalUri(ae,{allowTunneling:!!we.remote.authority})}catch(me){if((0,qe.matchesScheme)(ae,Fe.Schemas.http)||(0,qe.matchesScheme)(ae,Fe.Schemas.https))return ae;throw me}},get remoteName(){return(0,z.getRemoteName)(we.remote.authority)},get remoteAuthority(){return(0,De.checkProposedApiEnabled)(We,"resolvers"),we.remote.authority},get uiKind(){return we.uiKind}};we.environment.extensionTestsLocationURI||Object.freeze(Ei);const Si=we.remote.isRemote?N.ExtensionKind.Workspace:N.ExtensionKind.UI,Ti={createTestController(ae,me,Te){return Te&&(0,De.checkProposedApiEnabled)(We,"testRefresh"),Kt.createTestController(ae,me,Te)},createTestObserver(){return(0,De.checkProposedApiEnabled)(We,"testObserver"),Kt.createTestObserver()},runTests(ae){return(0,De.checkProposedApiEnabled)(We,"testObserver"),Kt.runTests(ae)},get onDidChangeTestResults(){return(0,De.checkProposedApiEnabled)(We,"testObserver"),Kt.onResultsChanged},get testResults(){return(0,De.checkProposedApiEnabled)(We,"testObserver"),Kt.results}},Ri={getExtension(ae){const me=Ht.getExtensionDescription(ae);if(me)return new r.Extension(Qe,We.identifier,me,Si)},get all(){return Ht.getAllExtensionDescriptions().map(ae=>new r.Extension(Qe,We.identifier,ae,Si))},get onDidChange(){return Ht.onDidChange}},Li={createDiagnosticCollection(ae){return jt.createDiagnosticCollection(We.identifier,ae)},get onDidChangeDiagnostics(){return jt.onDidChangeDiagnostics},getDiagnostics:ae=>jt.getDiagnostics(ae),getLanguages(){return Zt.getLanguages()},setTextDocumentLanguage(ae,me){return Zt.changeLanguage(ae.uri,me)},match(ae,me){return(0,L.score)(H.LanguageSelector.from(ae),me.uri,me.languageId,!0)},registerCodeActionsProvider(ae,me,Te){return vt.registerCodeActionProvider(We,_t(ae),me,Te)},registerCodeLensProvider(ae,me){return vt.registerCodeLensProvider(We,_t(ae),me)},registerDefinitionProvider(ae,me){return vt.registerDefinitionProvider(We,_t(ae),me)},registerDeclarationProvider(ae,me){return vt.registerDeclarationProvider(We,_t(ae),me)},registerImplementationProvider(ae,me){return vt.registerImplementationProvider(We,_t(ae),me)},registerTypeDefinitionProvider(ae,me){return vt.registerTypeDefinitionProvider(We,_t(ae),me)},registerHoverProvider(ae,me){return vt.registerHoverProvider(We,_t(ae),me,We.identifier)},registerEvaluatableExpressionProvider(ae,me){return vt.registerEvaluatableExpressionProvider(We,_t(ae),me,We.identifier)},registerInlineValuesProvider(ae,me){return vt.registerInlineValuesProvider(We,_t(ae),me,We.identifier)},registerDocumentHighlightProvider(ae,me){return vt.registerDocumentHighlightProvider(We,_t(ae),me)},registerLinkedEditingRangeProvider(ae,me){return vt.registerLinkedEditingRangeProvider(We,_t(ae),me)},registerReferenceProvider(ae,me){return vt.registerReferenceProvider(We,_t(ae),me)},registerRenameProvider(ae,me){return vt.registerRenameProvider(We,_t(ae),me)},registerDocumentSymbolProvider(ae,me,Te){return vt.registerDocumentSymbolProvider(We,_t(ae),me,Te)},registerWorkspaceSymbolProvider(ae){return vt.registerWorkspaceSymbolProvider(We,ae)},registerDocumentFormattingEditProvider(ae,me){return vt.registerDocumentFormattingEditProvider(We,_t(ae),me)},registerDocumentRangeFormattingEditProvider(ae,me){return vt.registerDocumentRangeFormattingEditProvider(We,_t(ae),me)},registerOnTypeFormattingEditProvider(ae,me,Te,...ht){return vt.registerOnTypeFormattingEditProvider(We,_t(ae),me,[Te].concat(ht))},registerDocumentSemanticTokensProvider(ae,me,Te){return vt.registerDocumentSemanticTokensProvider(We,_t(ae),me,Te)},registerDocumentRangeSemanticTokensProvider(ae,me,Te){return vt.registerDocumentRangeSemanticTokensProvider(We,_t(ae),me,Te)},registerSignatureHelpProvider(ae,me,Te,...ht){return typeof Te=="object"?vt.registerSignatureHelpProvider(We,_t(ae),me,Te):vt.registerSignatureHelpProvider(We,_t(ae),me,typeof Te=="undefined"?[]:[Te,...ht])},registerCompletionItemProvider(ae,me,...Te){return vt.registerCompletionItemProvider(We,_t(ae),me,Te)},registerInlineCompletionItemProvider(ae,me){return(0,De.checkProposedApiEnabled)(We,"inlineCompletions"),vt.registerInlineCompletionsProvider(We,_t(ae),me)},registerDocumentLinkProvider(ae,me){return vt.registerDocumentLinkProvider(We,_t(ae),me)},registerColorProvider(ae,me){return vt.registerColorProvider(We,_t(ae),me)},registerFoldingRangeProvider(ae,me){return vt.registerFoldingRangeProvider(We,_t(ae),me)},registerSelectionRangeProvider(ae,me){return vt.registerSelectionRangeProvider(We,ae,me)},registerCallHierarchyProvider(ae,me){return vt.registerCallHierarchyProvider(We,ae,me)},registerTypeHierarchyProvider(ae,me){return vt.registerTypeHierarchyProvider(We,ae,me)},setLanguageConfiguration:(ae,me)=>vt.setLanguageConfiguration(We,ae,me),getTokenInformationAtPosition(ae,me){return(0,De.checkProposedApiEnabled)(We,"tokenInformation"),Zt.tokenAtPosition(ae,me)},registerInlayHintsProvider(ae,me){return(0,De.checkProposedApiEnabled)(We,"inlayHints"),vt.registerInlayHintsProvider(We,ae,me)},createLanguageStatusItem(ae,me){return(0,De.checkProposedApiEnabled)(We,"languageStatus"),Zt.createLanguageStatusItem(We,ae,me)}},Fi={get activeTextEditor(){return Rt.getActiveTextEditor()},get visibleTextEditors(){return Rt.getVisibleTextEditors()},get activeTerminal(){return wt.activeTerminal},get terminals(){return wt.terminals},async showTextDocument(ae,me,Te){const ht=await(T.URI.isUri(ae)?Promise.resolve(_i.openTextDocument(ae)):Promise.resolve(ae));return Rt.showTextDocument(ht,me,Te)},createTextEditorDecorationType(ae){return Rt.createTextEditorDecorationType(We,ae)},onDidChangeActiveTextEditor(ae,me,Te){return Rt.onDidChangeActiveTextEditor(ae,me,Te)},onDidChangeVisibleTextEditors(ae,me,Te){return Rt.onDidChangeVisibleTextEditors(ae,me,Te)},onDidChangeTextEditorSelection(ae,me,Te){return Rt.onDidChangeTextEditorSelection(ae,me,Te)},onDidChangeTextEditorOptions(ae,me,Te){return Rt.onDidChangeTextEditorOptions(ae,me,Te)},onDidChangeTextEditorVisibleRanges(ae,me,Te){return Rt.onDidChangeTextEditorVisibleRanges(ae,me,Te)},onDidChangeTextEditorViewColumn(ae,me,Te){return Rt.onDidChangeTextEditorViewColumn(ae,me,Te)},onDidCloseTerminal(ae,me,Te){return wt.onDidCloseTerminal(ae,me,Te)},onDidOpenTerminal(ae,me,Te){return wt.onDidOpenTerminal(ae,me,Te)},onDidChangeActiveTerminal(ae,me,Te){return wt.onDidChangeActiveTerminal(ae,me,Te)},onDidChangeTerminalDimensions(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"terminalDimensions"),wt.onDidChangeTerminalDimensions(ae,me,Te)},onDidChangeTerminalState(ae,me,Te){return wt.onDidChangeTerminalState(ae,me,Te)},onDidWriteTerminalData(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"terminalDataWriteEvent"),wt.onDidWriteTerminalData(ae,me,Te)},get state(){return Ye.state},onDidChangeWindowState(ae,me,Te){return Ye.onDidChangeWindowState(ae,me,Te)},showInformationMessage(ae,...me){return fi.showMessage(We,C.default.Info,ae,me[0],me.slice(1))},showWarningMessage(ae,...me){return fi.showMessage(We,C.default.Warning,ae,me[0],me.slice(1))},showErrorMessage(ae,...me){return fi.showMessage(We,C.default.Error,ae,me[0],me.slice(1))},showQuickPick(ae,me,Te){return Array.isArray(ae)&&ae.some(ht=>ht.kind===N.QuickPickItemKind.Separator)&&(0,De.checkProposedApiEnabled)(We,"quickPickSeparators"),Wt.showQuickPick(ae,me,Te)},showWorkspaceFolderPick(ae){return Wt.showWorkspaceFolderPick(ae)},showInputBox(ae,me){return Wt.showInput(ae,me)},showOpenDialog(ae){return bi.showOpenDialog(ae)},showSaveDialog(ae){return bi.showSaveDialog(ae)},createStatusBarItem(ae,me,Te){let ht,Dt,At;return typeof ae=="string"?(ht=ae,Dt=me,At=Te):(Dt=ae,At=me),ni.createStatusBarEntry(We,ht,Dt,At)},setStatusBarMessage(ae,me){return ni.setStatusBarMessage(ae,me)},withScmProgress(ae){return Ne.report("window.withScmProgress",We,"Use 'withProgress' instead."),ei.withProgress(We,{location:N.ProgressLocation.SourceControl},(me,Te)=>ae({report(ht){}}))},withProgress(ae,me){return ei.withProgress(We,ae,me)},createOutputChannel(ae){return Ft.createOutputChannel(ae,We)},createWebviewPanel(ae,me,Te,ht){return Gt.createWebviewPanel(We,ae,me,Te,ht)},createWebviewTextEditorInset(ae,me,Te,ht){return(0,De.checkProposedApiEnabled)(We,"editorInsets"),ci.createWebviewEditorInset(ae,me,Te,ht,We)},createTerminal(ae,me,Te){return typeof ae=="object"?"pty"in ae?wt.createExtensionTerminal(ae):wt.createTerminalFromOptions(ae):wt.createTerminal(ae,me,Te)},registerTerminalLinkProvider(ae){return wt.registerLinkProvider(ae)},registerTerminalProfileProvider(ae,me){return wt.registerProfileProvider(We,ae,me)},registerTreeDataProvider(ae,me){return Jt.registerTreeDataProvider(ae,me,We)},createTreeView(ae,me){return Jt.createTreeView(ae,me,We)},registerWebviewPanelSerializer:(ae,me)=>Gt.registerWebviewPanelSerializer(We,ae,me),registerCustomEditorProvider:(ae,me,Te={})=>hi.registerCustomEditorProvider(We,ae,me,Te),registerFileDecorationProvider(ae){return St.registerFileDecorationProvider(ae,We.identifier)},registerUriHandler(ae){return kt.registerUriHandler(We.identifier,ae)},createQuickPick(){return Wt.createQuickPick(We)},createInputBox(){return Wt.createInputBox(We.identifier)},get activeColorTheme(){return wi.activeColorTheme},onDidChangeActiveColorTheme(ae,me,Te){return wi.onDidChangeActiveColorTheme(ae,me,Te)},registerWebviewViewProvider(ae,me,Te){return ki.registerWebviewViewProvider(We,ae,me,Te?.webviewOptions)},get activeNotebookEditor(){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.activeNotebookEditor},onDidChangeActiveNotebookEditor(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.onDidChangeActiveNotebookEditor(ae,me,Te)},get visibleNotebookEditors(){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),qt.onDidChangeNotebookEditorSelection(ae,me,Te)},onDidChangeNotebookEditorVisibleRanges(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),qt.onDidChangeNotebookEditorVisibleRanges(ae,me,Te)},showNotebookDocument(ae,me){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.showNotebookDocument(ae,me)},registerExternalUriOpener(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"externalUriOpener"),Ii.registerExternalUriOpener(We.identifier,ae,me,Te)},get tabs(){return(0,De.checkProposedApiEnabled)(We,"tabs"),gt.tabs},get activeTab(){return(0,De.checkProposedApiEnabled)(We,"tabs"),gt.activeTab},get onDidChangeTabs(){return(0,De.checkProposedApiEnabled)(We,"tabs"),gt.onDidChangeTabs},get onDidChangeActiveTab(){return(0,De.checkProposedApiEnabled)(We,"tabs"),gt.onDidChangeActiveTab},getInlineCompletionItemController(ae){return(0,De.checkProposedApiEnabled)(We,"inlineCompletions"),d.InlineCompletionController.get(ae)}},_i={get rootPath(){return Ne.report("workspace.rootPath",We,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),$e.getPath()},set rootPath(ae){throw i.readonly()},getWorkspaceFolder(ae){return $e.getWorkspaceFolder(ae)},get workspaceFolders(){return $e.getWorkspaceFolders()},get name(){return $e.name},set name(ae){throw i.readonly()},get workspaceFile(){return $e.workspaceFile},set workspaceFile(ae){throw i.readonly()},updateWorkspaceFolders:(ae,me,...Te)=>$e.updateWorkspaceFolders(We,ae,me||0,...Te),onDidChangeWorkspaceFolders:function(ae,me,Te){return $e.onDidChangeWorkspace(ae,me,Te)},asRelativePath:(ae,me)=>$e.getRelativePath(ae,me),findFiles:(ae,me,Te,ht)=>$e.findFiles(H.GlobPattern.from(ae),H.GlobPattern.from(me),Te,We.identifier,ht),findTextInFiles:(ae,me,Te,ht)=>{(0,De.checkProposedApiEnabled)(We,"findTextInFiles");let Dt,At;return typeof me=="object"?(Dt=me,At=Te):(Dt={},At=me,ht=Te),$e.findTextInFiles(ae,Dt||{},At,We.identifier,ht)},saveAll:ae=>$e.saveAll(ae),applyEdit(ae){return ii.applyWorkspaceEdit(ae)},createFileSystemWatcher:(ae,me,Te,ht)=>Ot.createFileSystemWatcher(H.GlobPattern.from(ae),me,Te,ht),get textDocuments(){return yt.getAllDocumentData().map(ae=>ae.document)},set textDocuments(ae){throw i.readonly()},openTextDocument(ae){let me;const Te=ae;if(typeof ae=="string")me=Promise.resolve(T.URI.file(ae));else if(T.URI.isUri(ae))me=Promise.resolve(ae);else if(!Te||typeof Te=="object")me=yt.createDocumentData(Te);else throw new Error("illegal argument - uriOrFileNameOrOptions");return me.then(ht=>yt.ensureDocumentData(ht).then(Dt=>Dt.document))},onDidOpenTextDocument:(ae,me,Te)=>yt.onDidAddDocument(ae,me,Te),onDidCloseTextDocument:(ae,me,Te)=>yt.onDidRemoveDocument(ae,me,Te),onDidChangeTextDocument:(ae,me,Te)=>yt.onDidChangeDocument(ae,me,Te),onDidSaveTextDocument:(ae,me,Te)=>yt.onDidSaveDocument(ae,me,Te),onWillSaveTextDocument:(ae,me,Te)=>Vt.getOnWillSaveTextDocumentEvent(We)(ae,me,Te),get notebookDocuments(){return Et.notebookDocuments.map(ae=>ae.apiNotebook)},async openNotebookDocument(ae,me){let Te;if(T.URI.isUri(ae))Te=ae,await Et.openNotebookDocument(ae);else if(typeof ae=="string")Te=T.URI.revive(await Et.createNotebookDocument({viewType:ae,content:me}));else throw new Error("Invalid arguments");return Et.getNotebookDocument(Te).apiNotebook},get onDidOpenNotebookDocument(){return Et.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return Et.onDidCloseNotebookDocument},registerNotebookSerializer(ae,me,Te,ht){return Et.registerNotebookSerializer(We,ae,me,Te,(0,De.isProposedApiEnabled)(We,"notebookLiveShare")?ht:void 0)},registerNotebookContentProvider:(ae,me,Te,ht)=>((0,De.checkProposedApiEnabled)(We,"notebookContentProvider"),Et.registerNotebookContentProvider(We,ae,me,Te,(0,De.isProposedApiEnabled)(We,"notebookLiveShare")?ht:void 0)),onDidChangeConfiguration:(ae,me,Te)=>Bt.onDidChangeConfiguration(ae,me,Te),getConfiguration(ae,me){return me=arguments.length===1?void 0:me,Bt.getConfiguration(ae,me,We)},registerTextDocumentContentProvider(ae,me){return Qt.registerTextDocumentContentProvider(ae,me)},registerTaskProvider:(ae,me)=>(Ne.report("window.registerTaskProvider",We,"Use the corresponding function on the 'tasks' namespace instead"),It.registerTaskProvider(We,ae,me)),registerFileSystemProvider(ae,me,Te){return(0,Ae.combinedDisposable)(li.registerFileSystemProvider(We,ae,me,Te),Oe.addFileSystemProvider(ae,me))},get fs(){return Oe.value},registerFileSearchProvider:(ae,me)=>((0,De.checkProposedApiEnabled)(We,"fileSearchProvider"),Ut.registerFileSearchProvider(ae,me)),registerTextSearchProvider:(ae,me)=>((0,De.checkProposedApiEnabled)(We,"textSearchProvider"),Ut.registerTextSearchProvider(ae,me)),registerRemoteAuthorityResolver:(ae,me)=>((0,De.checkProposedApiEnabled)(We,"resolvers"),Qe.registerRemoteAuthorityResolver(ae,me)),registerResourceLabelFormatter:ae=>((0,De.checkProposedApiEnabled)(We,"resolvers"),yi.$registerResourceLabelFormatter(ae)),onDidCreateFiles:(ae,me,Te)=>Ot.onDidCreateFile(ae,me,Te),onDidDeleteFiles:(ae,me,Te)=>Ot.onDidDeleteFile(ae,me,Te),onDidRenameFiles:(ae,me,Te)=>Ot.onDidRenameFile(ae,me,Te),onWillCreateFiles:(ae,me,Te)=>Ot.getOnWillCreateFileEvent(We)(ae,me,Te),onWillDeleteFiles:(ae,me,Te)=>Ot.getOnWillDeleteFileEvent(We)(ae,me,Te),onWillRenameFiles:(ae,me,Te)=>Ot.getOnWillRenameFileEvent(We)(ae,me,Te),openTunnel:ae=>((0,De.checkProposedApiEnabled)(We,"resolvers"),Ie.openTunnel(We,ae).then(me=>{if(!me)throw new Error("cannot open tunnel");return me})),get tunnels(){return(0,De.checkProposedApiEnabled)(We,"resolvers"),Ie.getTunnels()},onDidChangeTunnels:(ae,me,Te)=>((0,De.checkProposedApiEnabled)(We,"resolvers"),Ie.onDidChangeTunnels(ae,me,Te)),registerPortAttributesProvider:(ae,me)=>((0,De.checkProposedApiEnabled)(We,"portsAttributes"),Ie.registerPortsAttributesProvider(ae,me)),registerTimelineProvider:(ae,me)=>((0,De.checkProposedApiEnabled)(We,"timeline"),Di.registerTimelineProvider(ae,me,We.identifier,ft.converter)),get isTrusted(){return $e.trusted},requestWorkspaceTrust:ae=>((0,De.checkProposedApiEnabled)(We,"workspaceTrust"),$e.requestWorkspaceTrust(ae)),onDidGrantWorkspaceTrust:(ae,me,Te)=>$e.onDidGrantWorkspaceTrust(ae,me,Te)},mi={get inputBox(){return Ne.report("scm.inputBox",We,"Use 'SourceControl.inputBox' instead"),vi.getLastInputBox(We)},createSourceControl(ae,me,Te){return vi.createSourceControl(We,ae,me,Te)}},Mi={createCommentController(ae,me){return ui.createCommentController(We,ae,me)}},Oi={get activeDebugSession(){return bt.activeDebugSession},get activeDebugConsole(){return bt.activeDebugConsole},get breakpoints(){return bt.breakpoints},onDidStartDebugSession(ae,me,Te){return bt.onDidStartDebugSession(ae,me,Te)},onDidTerminateDebugSession(ae,me,Te){return bt.onDidTerminateDebugSession(ae,me,Te)},onDidChangeActiveDebugSession(ae,me,Te){return bt.onDidChangeActiveDebugSession(ae,me,Te)},onDidReceiveDebugSessionCustomEvent(ae,me,Te){return bt.onDidReceiveDebugSessionCustomEvent(ae,me,Te)},onDidChangeBreakpoints(ae,me,Te){return bt.onDidChangeBreakpoints(ae,me,Te)},registerDebugConfigurationProvider(ae,me,Te){return bt.registerDebugConfigurationProvider(ae,me,Te||N.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(ae,me){return bt.registerDebugAdapterDescriptorFactory(We,ae,me)},registerDebugAdapterTrackerFactory(ae,me){return bt.registerDebugAdapterTrackerFactory(ae,me)},startDebugging(ae,me,Te){return!Te||typeof Te=="object"&&"configuration"in Te?bt.startDebugging(ae,me,{parentSession:Te}):bt.startDebugging(ae,me,Te||{})},stopDebugging(ae){return bt.stopDebugging(ae)},addBreakpoints(ae){return bt.addBreakpoints(ae)},removeBreakpoints(ae){return bt.removeBreakpoints(ae)},asDebugSourceUri(ae,me){return bt.asDebugSourceUri(ae,me)}},Ni={registerTaskProvider:(ae,me)=>It.registerTaskProvider(We,ae,me),fetchTasks:ae=>It.fetchTasks(ae),executeTask:ae=>It.executeTask(We,ae),get taskExecutions(){return It.taskExecutions},onDidStartTask:(ae,me,Te)=>It.onDidStartTask(ae,me,Te),onDidEndTask:(ae,me,Te)=>It.onDidEndTask(ae,me,Te),onDidStartTaskProcess:(ae,me,Te)=>It.onDidStartTaskProcess(ae,me,Te),onDidEndTaskProcess:(ae,me,Te)=>It.onDidEndTaskProcess(ae,me,Te)},Ui={createNotebookController(ae,me,Te,ht,Dt){return Yt.createNotebookController(We,ae,me,Te,ht,(0,De.isProposedApiEnabled)(We,"notebookMessaging")?Dt:void 0)},registerNotebookCellStatusBarItemProvider:(ae,me)=>Et.registerNotebookCellStatusBarItemProvider(We,ae,me),get onDidSaveNotebookDocument(){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Xt.onDidSaveNotebookDocument},createNotebookEditorDecorationType(ae){return(0,De.checkProposedApiEnabled)(We,"notebookEditorDecorationType"),qt.createNotebookEditorDecorationType(ae)},createRendererMessaging(ae){return ai.createRendererMessaging(We,ae)},onDidChangeNotebookDocumentMetadata(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Xt.onDidChangeNotebookDocumentMetadata(ae,me,Te)},onDidChangeNotebookCells(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.onDidChangeNotebookCells(ae,me,Te)},onDidChangeNotebookCellExecutionState(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookCellExecutionState"),Yt.onDidChangeNotebookCellExecutionState(ae,me,Te)},onDidChangeCellOutputs(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.onDidChangeCellOutputs(ae,me,Te)},onDidChangeCellMetadata(ae,me,Te){return(0,De.checkProposedApiEnabled)(We,"notebookEditor"),Et.onDidChangeCellMetadata(ae,me,Te)},createConcatTextDocument(ae,me){return(0,De.checkProposedApiEnabled)(We,"notebookConcatTextDocument"),new Ge.ExtHostNotebookConcatDocument(Et,yt,ae,me)}};return{version:we.version,authentication:Mt,commands:ri,comments:Mi,debug:Oi,env:Ei,extensions:Ri,languages:Li,notebooks:Ui,scm:mi,tasks:Ni,tests:Ti,window:Fi,workspace:_i,Breakpoint:N.Breakpoint,CallHierarchyIncomingCall:N.CallHierarchyIncomingCall,CallHierarchyItem:N.CallHierarchyItem,CallHierarchyOutgoingCall:N.CallHierarchyOutgoingCall,CancellationError:i.CancellationError,CancellationTokenSource:f.CancellationTokenSource,CandidatePortSource:c.CandidatePortSource,CodeAction:N.CodeAction,CodeActionKind:N.CodeActionKind,CodeActionTriggerKind:N.CodeActionTriggerKind,CodeLens:N.CodeLens,Color:N.Color,ColorInformation:N.ColorInformation,ColorPresentation:N.ColorPresentation,ColorThemeKind:N.ColorThemeKind,CommentMode:N.CommentMode,CommentThreadCollapsibleState:N.CommentThreadCollapsibleState,CompletionItem:N.CompletionItem,CompletionItemKind:N.CompletionItemKind,CompletionItemTag:N.CompletionItemTag,CompletionList:N.CompletionList,CompletionTriggerKind:N.CompletionTriggerKind,ConfigurationTarget:N.ConfigurationTarget,CustomExecution:N.CustomExecution,DebugAdapterExecutable:N.DebugAdapterExecutable,DebugAdapterInlineImplementation:N.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:N.DebugAdapterNamedPipeServer,DebugAdapterServer:N.DebugAdapterServer,DebugConfigurationProviderTriggerKind:N.DebugConfigurationProviderTriggerKind,DebugConsoleMode:N.DebugConsoleMode,DecorationRangeBehavior:N.DecorationRangeBehavior,Diagnostic:N.Diagnostic,DiagnosticRelatedInformation:N.DiagnosticRelatedInformation,DiagnosticSeverity:N.DiagnosticSeverity,DiagnosticTag:N.DiagnosticTag,Disposable:N.Disposable,DocumentHighlight:N.DocumentHighlight,DocumentHighlightKind:N.DocumentHighlightKind,DocumentLink:N.DocumentLink,DocumentSymbol:N.DocumentSymbol,EndOfLine:N.EndOfLine,EnvironmentVariableMutatorType:N.EnvironmentVariableMutatorType,EvaluatableExpression:N.EvaluatableExpression,InlineValueText:N.InlineValueText,InlineValueVariableLookup:N.InlineValueVariableLookup,InlineValueEvaluatableExpression:N.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:N.InlineCompletionTriggerKind,EventEmitter:I.Emitter,ExtensionKind:N.ExtensionKind,ExtensionMode:N.ExtensionMode,ExternalUriOpenerPriority:N.ExternalUriOpenerPriority,FileChangeType:N.FileChangeType,FileDecoration:N.FileDecoration,FileSystemError:N.FileSystemError,FileType:D.FileType,FilePermission:D.FilePermission,FoldingRange:N.FoldingRange,FoldingRangeKind:N.FoldingRangeKind,FunctionBreakpoint:N.FunctionBreakpoint,InlineCompletionItem:N.InlineSuggestion,InlineCompletionList:N.InlineSuggestions,Hover:N.Hover,IndentAction:A.IndentAction,Location:N.Location,MarkdownString:N.MarkdownString,OverviewRulerLane:y.OverviewRulerLane,ParameterInformation:N.ParameterInformation,PortAutoForwardAction:N.PortAutoForwardAction,Position:N.Position,ProcessExecution:N.ProcessExecution,ProgressLocation:N.ProgressLocation,QuickInputButtons:N.QuickInputButtons,Range:N.Range,RelativePattern:N.RelativePattern,Selection:N.Selection,SelectionRange:N.SelectionRange,SemanticTokens:N.SemanticTokens,SemanticTokensBuilder:N.SemanticTokensBuilder,SemanticTokensEdit:N.SemanticTokensEdit,SemanticTokensEdits:N.SemanticTokensEdits,SemanticTokensLegend:N.SemanticTokensLegend,ShellExecution:N.ShellExecution,ShellQuoting:N.ShellQuoting,SignatureHelp:N.SignatureHelp,SignatureHelpTriggerKind:N.SignatureHelpTriggerKind,SignatureInformation:N.SignatureInformation,SnippetString:N.SnippetString,SourceBreakpoint:N.SourceBreakpoint,StandardTokenType:N.StandardTokenType,StatusBarAlignment:N.StatusBarAlignment,SymbolInformation:N.SymbolInformation,SymbolKind:N.SymbolKind,SymbolTag:N.SymbolTag,Task:N.Task,TaskGroup:N.TaskGroup,TaskPanelKind:N.TaskPanelKind,TaskRevealKind:N.TaskRevealKind,TaskScope:N.TaskScope,TerminalLink:N.TerminalLink,TerminalLocation:N.TerminalLocation,TerminalProfile:N.TerminalProfile,TextDocumentSaveReason:N.TextDocumentSaveReason,TextEdit:N.TextEdit,TextEditorCursorStyle:P.TextEditorCursorStyle,TextEditorLineNumbersStyle:N.TextEditorLineNumbersStyle,TextEditorRevealType:N.TextEditorRevealType,TextEditorSelectionChangeKind:N.TextEditorSelectionChangeKind,TextDocumentChangeReason:N.TextDocumentChangeReason,ThemeColor:N.ThemeColor,ThemeIcon:N.ThemeIcon,TreeItem:N.TreeItem,TreeItemCollapsibleState:N.TreeItemCollapsibleState,TypeHierarchyItem:N.TypeHierarchyItem,UIKind:c.UIKind,Uri:T.URI,ViewColumn:N.ViewColumn,WorkspaceEdit:N.WorkspaceEdit,InlayHint:N.InlayHint,InlayHintLabelPart:N.InlayHintLabelPart,InlayHintKind:N.InlayHintKind,RemoteAuthorityResolverError:N.RemoteAuthorityResolverError,ResolvedAuthority:N.ResolvedAuthority,SourceControlInputBoxValidationType:N.SourceControlInputBoxValidationType,ExtensionRuntime:N.ExtensionRuntime,TimelineItem:N.TimelineItem,NotebookRange:N.NotebookRange,NotebookCellKind:N.NotebookCellKind,NotebookCellExecutionState:N.NotebookCellExecutionState,NotebookCellData:N.NotebookCellData,NotebookData:N.NotebookData,NotebookRendererScript:N.NotebookRendererScript,NotebookCellStatusBarAlignment:N.NotebookCellStatusBarAlignment,NotebookEditorRevealType:N.NotebookEditorRevealType,NotebookCellOutput:N.NotebookCellOutput,NotebookCellOutputItem:N.NotebookCellOutputItem,NotebookCellStatusBarItem:N.NotebookCellStatusBarItem,NotebookControllerAffinity:N.NotebookControllerAffinity,PortAttributes:N.PortAttributes,LinkedEditingRanges:N.LinkedEditingRanges,TestResultState:N.TestResultState,TestRunRequest:N.TestRunRequest,TestMessage:N.TestMessage,TestTag:N.TestTag,TestRunProfileKind:N.TestRunProfileKind,TextSearchCompleteMessageType:ne.TextSearchCompleteMessageType,TreeDataTransfer:N.TreeDataTransfer,TreeDataTransferItem:N.TreeDataTransferItem,CoveredCount:N.CoveredCount,FileCoverage:N.FileCoverage,StatementCoverage:N.StatementCoverage,BranchCoverage:N.BranchCoverage,FunctionCoverage:N.FunctionCoverage,WorkspaceTrustState:N.WorkspaceTrustState,LanguageStatusSeverity:N.LanguageStatusSeverity,QuickPickItemKind:N.QuickPickItemKind}}}e.createApiFactoryAndRegisterActors=ce}),define(pe[281],ve([0,1,282,293,294,2,295]),function(X,e,f,i,I,C,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function P(D,c,E,g,w,v){const R=v.environment.useHostProxy,_=typeof R=="boolean"?R:!v.remote.isRemote,s=(0,T.createProxyResolver)({resolveProxy:m=>D.resolveProxy(m),getHttpProxySetting:()=>c.getConfiguration("http").get("proxy"),log:(m,a,...S)=>{switch(m){case T.LogLevel.Trace:g.trace(a,...S);break;case T.LogLevel.Debug:g.debug(a,...S);break;case T.LogLevel.Info:g.info(a,...S);break;case T.LogLevel.Warning:g.warn(a,...S);break;case T.LogLevel.Error:g.error(a,...S);break;case T.LogLevel.Critical:g.critical(a,...S);break;case T.LogLevel.Off:break;default:r(m,a,S);break}function r(t,o,...d){g.error("Unknown log level",t),g.error(o,...d)}},getLogLevel:()=>g.getLevel(),proxyResolveTelemetry:m=>{w.$publicLog2("resolveProxy",m)},useHostProxy:_,env:process.env}),n=y(c,s);return L(E,n)}e.connectProxyResolver=P;function y(D,c){const E={config:D.getConfiguration("http").get("proxySupport")||"off"};D.onDidChangeConfiguration(w=>{E.config=D.getConfiguration("http").get("proxySupport")||"off"});const g={config:!!D.getConfiguration("http").get("systemCertificates")};return D.onDidChangeConfiguration(w=>{g.config=!!D.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},f,(0,T.createHttpPatch)(f,c,{config:"off"},g,!0)),on:Object.assign({},f,(0,T.createHttpPatch)(f,c,{config:"on"},g,!0)),override:Object.assign({},f,(0,T.createHttpPatch)(f,c,{config:"override"},g,!0)),onRequest:Object.assign({},f,(0,T.createHttpPatch)(f,c,E,g,!0)),default:Object.assign(f,(0,T.createHttpPatch)(f,c,E,g,!1))},https:{off:Object.assign({},i,(0,T.createHttpPatch)(i,c,{config:"off"},g,!0)),on:Object.assign({},i,(0,T.createHttpPatch)(i,c,{config:"on"},g,!0)),override:Object.assign({},i,(0,T.createHttpPatch)(i,c,{config:"override"},g,!0)),onRequest:Object.assign({},i,(0,T.createHttpPatch)(i,c,E,g,!0)),default:Object.assign(i,(0,T.createHttpPatch)(i,c,E,g,!1))},tls:Object.assign(I,(0,T.createTlsPatch)(I))}}const A=new Map;function L(D,c){return D.getExtensionPathIndex().then(E=>{const g=X.__$__nodeRequire("module"),w=g._load;g._load=function(R,_,s){if(R==="tls")return c.tls;if(R!=="http"&&R!=="https")return w.apply(this,arguments);const n=c[R],m=E.findSubstr(C.URI.file(_.filename));let a=A.get(m);if(a||A.set(m,a={}),!a[R]){let S=n.default;a[R]={...S}}return a[R]}})}}),define(pe[137],ve([0,1,37,296,104,16,75,32,8,9,2,31,70,297,275,92]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const v=g.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class R{constructor(h){this.outputChannel=h}provideTextSearchResults(h,b,p,k){return this.outputChannel.appendLine(`provideTextSearchResults ${h.pattern}, ${JSON.stringify({...b,folder:b.folder.toString()})}`),new Promise((O,U)=>{k.onCancellationRequested(()=>B());const F=S(h,b),M=b.folder.fsPath,V=F.map(z=>z.match(/^-/)?z:`'${z}'`).join(" ");this.outputChannel.appendLine(`${v} ${V}
 - cwd: ${M}`);let H=f.spawn(v,F,{cwd:M});H.on("error",z=>{console.error(z),this.outputChannel.appendLine("Error: "+(z&&z.message)),U((0,D.serializeSearchError)(new D.SearchError(z&&z.message,D.SearchErrorCode.rgProcessError)))});let N=!1;const x=new n(b.maxResults,M,b.previewOptions);x.on("result",z=>{N=!0,Z="",p.report(z)});let W=!1;const B=()=>{W=!0,H&&H.kill(),x&&x.cancel()};let j=!1;x.on("hitLimit",()=>{j=!0,B()});let Z="";H.stdout.on("data",z=>{x.handleData(z),N||(Z+=z)});let se=!1;H.stdout.once("data",()=>se=!0);let Q="";H.stderr.on("data",z=>{const te=z.toString();this.outputChannel.appendLine(te),Q+=te}),H.on("close",()=>{if(this.outputChannel.appendLine(se?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(N?"Got result from parser":"No result from parser"),Z&&this.outputChannel.appendLine(`Got data without result: ${Z}`),this.outputChannel.appendLine(""),W)O({limitHit:j});else{x.flush(),H=null;let z;Q&&!se&&(z=_(Q))?U((0,D.serializeSearchError)(new D.SearchError(z.message,z.code))):O({limitHit:j})}})})}}e.RipgrepTextSearchEngine=R;function _(u){const h=u.split(`
`),b=h[0].trim();if(h.some(k=>k.startsWith("regex parse error")))return new D.SearchError(s(h),D.SearchErrorCode.regexParseError);const p=b.match(/grep config error: unknown encoding: (.*)/);if(p)return new D.SearchError(`Unknown encoding: ${p[1]}`,D.SearchErrorCode.unknownEncoding);if(b.startsWith("error parsing glob"))return new D.SearchError(b.charAt(0).toUpperCase()+b.substr(1),D.SearchErrorCode.globParseError);if(b.startsWith("the literal"))return new D.SearchError(b.charAt(0).toUpperCase()+b.substr(1),D.SearchErrorCode.invalidLiteral);if(b.startsWith("PCRE2: error compiling pattern"))return new D.SearchError(b,D.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=_;function s(u){const h=["Regex parse error"],b=u.filter(p=>p.startsWith("PCRE2:"));if(b.length>=1){const p=b[0].replace("PCRE2:","");if(p.indexOf(":")!==-1&&p.split(":").length>=2){const k=p.split(":")[1];h.push(":"+k)}}return h.join("")}e.buildRegexParseError=s;class n extends i.EventEmitter{constructor(h,b,p){super();this.maxResults=h,this.rootFolder=b,this.previewOptions=p,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new I.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(h,b){return super.on(h,b),this}handleData(h){if(this.isDone)return;const b=typeof h=="string"?h:this.stringDecoder.write(h);this.handleDecodedData(b)}handleDecodedData(h){let b=h.indexOf(`
`);const p=this.remainder+h;if(b>=0)b+=this.remainder.length;else{this.remainder=p;return}let k=0;for(;b>=0;)this.handleLine(p.substring(k,b).trim()),k=b+1,b=p.indexOf(`
`,k);this.remainder=p.substring(k)}handleLine(h){if(this.isDone||!h)return;let b;try{b=JSON.parse(h)}catch{throw new Error(`malformed line from rg: ${h}`)}if(b.type==="match"){const p=m(b.data.path),k=L.URI.file(y.join(this.rootFolder,p)),O=this.createTextSearchMatch(b.data,k);this.onResult(O),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(b.type==="context"){const p=m(b.data.path),k=L.URI.file(y.join(this.rootFolder,p));this.createTextSearchContext(b.data,k).forEach(U=>this.onResult(U))}}createTextSearchMatch(h,b){const p=h.line_number-1,k=m(h.lines),O=Buffer.from(k);let U=0,F=0,M=p;h.submatches.length===0&&h.submatches.push(k.length?{start:0,end:1,match:{text:k[0]}}:{start:0,end:0,match:{text:""}});const V=(0,C.coalesce)(h.submatches.map((H,N)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);const x=m(H.match),W=O.slice(U,H.start).toString().length,B=F+W,j=a(x),Z=M,se=j.numLines+Z,Q=j.numLines>0?j.lastLineLength:j.lastLineLength+B;return U=H.end,F=Q,M=se,new c.Range(Z,B,se,Q)}));return(0,w.createTextSearchResult)(b,k,V,this.previewOptions)}createTextSearchContext(h,b){const p=m(h.lines),k=h.line_number;return p.replace(/\r?\n$/,"").split(`
`).map((O,U)=>({text:O,uri:b,lineNumber:k+U}))}onResult(h){this.emit("result",h)}}e.RipgrepParser=n;function m(u){return u.bytes?Buffer.from(u.bytes,"base64").toString():u.text}function a(u){const h=/\n/g;let b=0,p=-1,k;for(;k=h.exec(u);)b++,p=k.index;const O=p>=0?u.length-p-1:u.length;return{numLines:b,lastLineLength:O}}function S(u,h){const b=["--hidden"];b.push(u.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:p,otherIncludes:k}=(0,T.groupBy)(h.includes,U=>U.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(k&&k.length){const U=new Set;k.forEach(F=>{U.add(F)}),b.push("-g","!*"),U.forEach(F=>{r(F).map(w.anchorGlob).forEach(M=>{b.push("-g",M)})})}p&&p.length&&p.forEach(U=>{b.push("-g",U)}),h.excludes.map(w.anchorGlob).forEach(U=>b.push("-g",`!${U}`)),h.maxFileSize&&b.push("--max-filesize",h.maxFileSize+""),h.useIgnoreFiles?h.useParentIgnoreFiles||b.push("--no-ignore-parent"):b.push("--no-ignore"),h.followSymlinks&&b.push("--follow"),h.encoding&&h.encoding!=="utf8"&&b.push("--encoding",h.encoding),u.pattern==="--"&&(u.isRegExp=!0,u.pattern="\\-\\-"),u.isMultiline&&!u.isRegExp&&(u.pattern=(0,A.escapeRegExpCharacters)(u.pattern),u.isRegExp=!0),h.usePCRE2&&b.push("--pcre2"),b.push("--crlf"),u.isRegExp&&(u.pattern=t(u.pattern),b.push("--engine","auto"));let O;if(u.isWordMatch){const F=(0,A.createRegExp)(u.pattern,!!u.isRegExp,{wholeWord:u.isWordMatch}).source.replace(/\\\//g,"/");b.push("--regexp",F)}else if(u.isRegExp){let U=d(u.pattern);U=l(U),b.push("--regexp",U)}else O=u.pattern,b.push("--fixed-strings");return b.push("--no-config"),h.useGlobalIgnoreFiles||b.push("--no-ignore-global"),b.push("--json"),u.isMultiline&&b.push("--multiline"),h.beforeContext&&b.push("--before-context",h.beforeContext+""),h.afterContext&&b.push("--after-context",h.afterContext+""),b.push("--"),O&&b.push(O),b.push("."),b}function r(u){const h=(0,P.splitGlobAware)(u,"/");return h.map((b,p)=>h.slice(0,p+1).join("/"))}e.spreadGlobComponents=r;function t(u){const h=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;u.match(h);)u=u.replace(h,"$1\\x{$2}");const b=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;u.match(b);)u=u.replace(b,"$1\\x{$2}");return u}e.unicodeEscapesToPCRE2=t;const o=u=>u.type==="Assertion"&&u.kind==="lookbehind";function d(u){let h;try{h=new E.RegExpParser().parsePattern(u)}catch{return u}let b="",p=0;const k=(F,M,V)=>{b+=u.slice(p,F)+V,p=M},O=[];return new E.RegExpVisitor({onCharacterEnter(F){if(F.raw!=="\\n")return;const M=O[0];if(!M)k(F.start,F.end,"\\r?\\n");else if(!O.some(o))if(M.type==="CharacterClass")if(M.negate){const V=u.slice(M.start+2,F.start)+u.slice(F.end,M.end-1);if(M.parent?.type==="Quantifier"){const H=M.parent;k(H.start,H.end,(V?`[^${V}]`:".")+(H.greedy?"+":"*"))}else k(M.start,M.end,"(?!\\r?\\n"+(V?`|[${V}]`:"")+")")}else{const V=u.slice(M.start+1,F.start)+u.slice(F.end,M.end-1);k(M.start,M.end,V===""?"\\r?\\n":`(?:[${V}]|\\r?\\n)`)}else M.type==="Quantifier"&&k(F.start,F.end,"(?:\\r?\\n)")},onQuantifierEnter(F){O.unshift(F)},onQuantifierLeave(){O.shift()},onCharacterClassRangeEnter(F){O.unshift(F)},onCharacterClassRangeLeave(){O.shift()},onCharacterClassEnter(F){O.unshift(F)},onCharacterClassLeave(){O.shift()},onAssertionEnter(F){o(F)&&O.push(F)},onAssertionLeave(F){O[0]===F&&O.shift()}}).visit(h),b+=u.slice(p),b}e.fixRegexNewline=d;function l(u){return u.replace(/\n/g,"\\r?\\n")}e.fixNewline=l}),define(pe[283],ve([0,1,21,137,118,10]),function(X,e,f,i,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class T{constructor(A){this.outputChannel=A,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(A,L,D,c){const E=new i.RipgrepTextSearchEngine(this.outputChannel);if(L.folder.scheme===C.Schemas.userData){const g={...L,folder:L.folder.with({scheme:C.Schemas.file})},w=new I.Progress(v=>D.report({...v,uri:v.uri.with({scheme:L.folder.scheme})}));return this.withToken(c,v=>E.provideTextSearchResults(A,g,w,v))}else return this.withToken(c,g=>E.provideTextSearchResults(A,L,D,g))}async withToken(A,L){const D=P(A);this.inProgress.add(D);const c=await L(D.token);return this.inProgress.delete(D),c}dispose(){this.inProgress.forEach(A=>A.cancel())}}e.RipgrepSearchProvider=T;function P(y){const A=new f.CancellationTokenSource;return y.onCancellationRequested(()=>A.cancel()),A}}),define(pe[284],ve([0,1,29,137,136]),function(X,e,f,i,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class C{constructor(y){this.query=y}search(y,A,L){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const D={appendLine(E){L({message:E})}},c=new I.NativeTextSearchManager(this.query,new i.RipgrepTextSearchEngine(D),f);return new Promise((E,g)=>c.search(w=>{A(w.map(T))},y).then(w=>E({limitHit:w.limitHit,type:"success",stats:w.stats}),g))}}e.TextSearchEngineAdapter=C;function T(P){return{path:P.resource&&P.resource.fsPath,results:P.results,numMatches:(P.results||[]).reduce((y,A)=>{if(A.ranges){const L=A;return y+(Array.isArray(L.ranges)?L.ranges.length:1)}else return y+1},0)}}}),define(pe[285],ve([0,1,16,18,15,3,102,8,46,2,42,31,276,284]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0;class g{constructor(n="searchProcess"){this.processType=n,this.caches=Object.create(null)}fileSearch(n){let m;const a=R(n),S=new C.Emitter({onFirstListenerDidAdd:()=>{m=(0,i.createCancelablePromise)(r=>this.doFileSearchWithEngine(c.Engine,a,t=>S.fire(t),r)),m.then(r=>S.fire(r),r=>S.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return S.event}textSearch(n){let m;const a=R(n),S=new C.Emitter({onFirstListenerDidAdd:()=>{m=(0,i.createCancelablePromise)(r=>this.ripgrepTextSearch(a,t=>S.fire(t),r)),m.then(r=>S.fire(r),r=>S.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return S.event}ripgrepTextSearch(n,m,a){return n.maxFileSize=(0,L.getPlatformLimits)(process.arch==="ia32"?0:1).maxFileSize,new E.TextSearchEngineAdapter(n).search(a,m,m)}doFileSearch(n,m,a){return this.doFileSearchWithEngine(c.Engine,n,m,a)}doFileSearchWithEngine(n,m,a,S,r=g.BATCH_SIZE){let t=0;const o=l=>{Array.isArray(l)?(t+=l.length,a(l.map(u=>this.rawMatchToSearchItem(u)))):l.relativePath?(t++,a(this.rawMatchToSearchItem(l))):a(l)};if(m.sortByScore){let l=this.trySortedSearchFromCache(m,o,S);if(!l){const u=m.maxResults?Object.assign({},m,{maxResults:null}):m,h=new n(u);l=this.doSortedSearch(h,m,a,o,S)}return new Promise((u,h)=>{l.then(([b,p])=>{const k=p.map(O=>this.rawMatchToSearchItem(O));this.sendProgress(k,a,r),u(b)},h)})}const d=new n(m);return this.doSearch(d,o,r,S).then(l=>({limitHit:l.limitHit,type:"success",stats:{detailStats:l.stats,type:this.processType,fromCache:!1,resultCount:t,sortingTime:void 0}}))}rawMatchToSearchItem(n){return{path:n.base?(0,P.join)(n.base,n.relativePath):n.relativePath}}doSortedSearch(n,m,a,S,r){const t=new C.Emitter;let o=(0,i.createCancelablePromise)(l=>{let u=[];const h=b=>{Array.isArray(b)?u=b:(S(b),t.fire(b))};return this.doSearch(n,h,-1,l).then(b=>[b,u])}),d;if(m.cacheKey){d=this.getOrCreateCache(m.cacheKey);const l={promise:o,event:t.event,resolved:!1};d.resultsToSearchCache[m.filePattern||""]=l,o.then(()=>{l.resolved=!0},u=>{delete d.resultsToSearchCache[m.filePattern||""]}),o=this.preventCancellation(o)}return o.then(([l,u])=>{const h=d?d.scorerCache:Object.create(null),b=(typeof m.maxResults!="number"||m.maxResults>0)&&y.StopWatch.create(!1);return this.sortResults(m,u,h,r).then(p=>{const k=b?b.elapsed():-1;return[{type:"success",stats:{detailStats:l.stats,sortingTime:k,fromCache:!1,type:this.processType,workspaceFolderCount:m.folderQueries.length,resultCount:p.length},messages:l.messages,limitHit:l.limitHit||typeof m.maxResults=="number"&&u.length>m.maxResults},p]})})}getOrCreateCache(n){const m=this.caches[n];return m||(this.caches[n]=new w)}trySortedSearchFromCache(n,m,a){const S=n.cacheKey&&this.caches[n.cacheKey];if(!S)return;const r=this.getResultsFromCache(S,n.filePattern||"",m,a);if(r)return r.then(([t,o,d])=>{const l=y.StopWatch.create(!1);return this.sortResults(n,o,S.scorerCache,a).then(u=>{const h=l.elapsed(),b={fromCache:!0,detailStats:d,type:this.processType,resultCount:o.length,sortingTime:h};return[{type:"success",limitHit:t.limitHit||typeof n.maxResults=="number"&&o.length>n.maxResults,stats:b},u]})})}sortResults(n,m,a,S){const r=(0,T.prepareQuery)(n.filePattern||""),t=(d,l)=>(0,T.compareItemsByFuzzyScore)(d,l,r,!0,v,a),o=typeof n.maxResults=="number"?n.maxResults:Number.MAX_VALUE;return f.topAsync(m,t,o,1e4,S)}sendProgress(n,m,a){if(a&&a>0)for(let S=0;S<n.length;S+=a)m(n.slice(S,S+a));else m(n)}getResultsFromCache(n,m,a,S){const r=y.StopWatch.create(!1),t=m.indexOf(P.sep)>=0;let o;for(const h in n.resultsToSearchCache)if(m.startsWith(h)){if(t&&h.indexOf(P.sep)<0&&h!=="")continue;const b=n.resultsToSearchCache[h];o={promise:this.preventCancellation(b.promise),event:b.event,resolved:b.resolved};break}if(!o)return null;const d=r.elapsed(),l=y.StopWatch.create(!1),u=o.event(a);return S&&S.onCancellationRequested(()=>{u.dispose()}),o.promise.then(([h,b])=>{if(S&&S.isCancellationRequested)throw(0,I.canceled)();const p=[],k=(0,T.prepareQuery)(m).normalizedLowercase;for(const O of b)!(0,D.isFilePatternMatch)(O,k)||p.push(O);return[h,p,{cacheWasResolved:o.resolved,cacheLookupTime:d,cacheFilterTime:l.elapsed(),cacheEntryCount:b.length}]})}doSearch(n,m,a,S){return new Promise((r,t)=>{let o=[];S&&S.onCancellationRequested(()=>n.cancel()),n.search(d=>{d&&(a?(o.push(d),a>0&&o.length>=a&&(m(o),o=[])):m(d))},d=>{m(d)},(d,l)=>{o.length&&m(o),d?t(d):r(l)})})}clearCache(n){return delete this.caches[n],Promise.resolve(void 0)}preventCancellation(n){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(m,a){return n.then(m,a)}catch(m){return this.then(void 0,m)}finally(m){return n.finally(m)}}}}e.SearchService=g,g.BATCH_SIZE=512;class w{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const v=new class{getItemLabel(s){return(0,P.basename)(s.relativePath)}getItemDescription(s){return(0,P.dirname)(s.relativePath)}getItemPath(s){return s.relativePath}};function R(s){return{...s,folderQueries:s.folderQueries&&s.folderQueries.map(_),extraFileResources:s.extraFileResources&&s.extraFileResources.map(n=>A.URI.revive(n))}}function _(s){return{...s,folder:A.URI.revive(s.folder)}}}),define(pe[286],ve([0,1,6,10,2,29,11,26,14,73,65,31,285,283,92,136]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let v=class extends A.ExtHostSearch{constructor(_,s,n,m){super(_,n,m);this._pfs=C,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,this._registeredEHSearchProvider=!1;const a=new g.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(i.Schemas.userData,new E.RipgrepSearchProvider(a)),s.remote.isRemote&&s.remote.authority&&this._registerEHSearchProviders()}$enableExtensionHostSearch(){this._registerEHSearchProviders()}_registerEHSearchProviders(){if(this._registeredEHSearchProvider)return;this._registeredEHSearchProvider=!0;const _=new g.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(i.Schemas.file,new E.RipgrepSearchProvider(_)),this.registerInternalFileSearchProvider(i.Schemas.file,new c.SearchService("fileSearchProvider"))}registerInternalFileSearchProvider(_,s){const n=this._handlePool++;return this._internalFileSearchProvider=s,this._internalFileSearchHandle=n,this._proxy.$registerFileSearchProvider(n,this._transformScheme(_)),(0,f.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(n)})}$provideFileSearchResults(_,s,n,m){const a=(0,A.reviveQuery)(n);return _===this._internalFileSearchHandle?this.doInternalFileSearch(_,s,a,m):super.$provideFileSearchResults(_,s,n,m)}doInternalFileSearch(_,s,n,m){const a=S=>{if((0,D.isSerializedFileMatch)(S)&&(S=[S]),Array.isArray(S)){this._proxy.$handleFileMatch(_,s,S.map(r=>I.URI.file(r.path)));return}S.message&&this._logService.debug("ExtHostSearch",S.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(n,a,m)}$clearCache(_){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(_),super.$clearCache(_)}createTextSearchManager(_,s){return new w.NativeTextSearchManager(_,s,void 0,"textSearchProvider")}};v=je([ze(0,y.IExtHostRpcService),ze(1,P.IExtHostInitDataService),ze(2,L.IURITransformerService),ze(3,T.ILogService)],v),e.NativeExtHostSearch=v}),define(pe[138],ve([0,1,298,125,82,22,15,3,6,8,12,33,106,107,299]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class w{constructor(b,p=""){this.debugLabel=p,this.socket=b,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=k=>{if(this.traceSocketEvent("error",{code:k?.code,message:k?.message}),k){if(k.code==="EPIPE")return;(0,T.onUnexpectedError)(k)}},this.socket.on("error",this._errorListener)}traceSocketEvent(b,p){E.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,b,p)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(b){const p=k=>{this.traceSocketEvent("read",k),b(C.VSBuffer.wrap(k))};return this.socket.on("data",p),{dispose:()=>this.socket.off("data",p)}}onClose(b){const p=k=>{this.traceSocketEvent("close",{hadError:k}),b({type:0,hadError:k,error:void 0})};return this.socket.on("close",p),{dispose:()=>this.socket.off("close",p)}}onEnd(b){const p=()=>{this.traceSocketEvent("nodeEndReceived"),b()};return this.socket.on("end",p),{dispose:()=>this.socket.off("end",p)}}write(b){if(!this.socket.destroyed)try{this.traceSocketEvent("write",b),this.socket.write(b.buffer,p=>{if(p){if(p.code==="EPIPE")return;(0,T.onUnexpectedError)(p)}})}catch(p){if(p.code==="EPIPE")return;(0,T.onUnexpectedError)(p)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((b,p)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),b();return}const k=()=>{this.socket.off("close",k),this.socket.off("end",k),this.socket.off("error",k),this.socket.off("timeout",k),this.socket.off("drain",k),this.traceSocketEvent("nodeDrainEnd"),b()};this.socket.on("close",k),this.socket.on("end",k),this.socket.on("error",k),this.socket.on("timeout",k),this.socket.on("drain",k)})}}e.NodeSocket=w;var v;(function(h){h[h.MinHeaderByteSize=2]="MinHeaderByteSize"})(v||(v={}));var R;(function(h){h[h.PeekHeader=1]="PeekHeader",h[h.ReadHeader=2]="ReadHeader",h[h.ReadBody=3]="ReadBody",h[h.Fin=4]="Fin"})(R||(R={}));class _ extends y.Disposable{constructor(b,p,k,O){super();this._onData=this._register(new P.Emitter),this._onClose=this._register(new P.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=b,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:p,inflateBytesLength:k?.byteLength||0,recordInflateBytes:O}),this._flowManager=this._register(new s(this,p,k,O,this._onData,(U,F)=>this._write(U,F))),this._register(this._flowManager.onError(U=>{console.error(U),(0,T.onUnexpectedError)(U),this._onClose.fire({type:0,hadError:!0,error:U})})),this._incomingData=new E.ChunkStream,this._register(this.socket.onData(U=>this._acceptChunk(U))),this._register(this.socket.onClose(U=>this._onClose.fire(U)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(b,p){this.socket.traceSocketEvent(b,p)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(b){return this._onData.event(b)}onClose(b){return this._onClose.event(b)}onEnd(b){return this.socket.onEnd(b)}write(b){this._flowManager.writeMessage(b)}_write(b,p){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",b);let k=2;b.byteLength<126?k+=0:b.byteLength<2**16?k+=2:k+=8;const O=C.VSBuffer.alloc(k);if(p?O.writeUInt8(194,0):O.writeUInt8(130,0),b.byteLength<126)O.writeUInt8(b.byteLength,1);else if(b.byteLength<2**16){O.writeUInt8(126,1);let U=1;O.writeUInt8(b.byteLength>>>8&255,++U),O.writeUInt8(b.byteLength>>>0&255,++U)}else{O.writeUInt8(127,1);let U=1;O.writeUInt8(0,++U),O.writeUInt8(0,++U),O.writeUInt8(0,++U),O.writeUInt8(0,++U),O.writeUInt8(b.byteLength>>>24&255,++U),O.writeUInt8(b.byteLength>>>16&255,++U),O.writeUInt8(b.byteLength>>>8&255,++U),O.writeUInt8(b.byteLength>>>0&255,++U)}this.socket.write(C.VSBuffer.concat([O,b]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(b){if(b.byteLength!==0){for(this._incomingData.acceptChunk(b);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const p=this._incomingData.peek(this._state.readLen),k=p.readUInt8(0),O=(k&128)>>>7,U=(k&64)>>>6,F=p.readUInt8(1),M=(F&128)>>>7,V=F&127;this._state.state=2,this._state.readLen=2+(M?4:0)+(V===126?2:0)+(V===127?8:0),this._state.fin=O,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(U)),this._state.firstFrameOfMessage=Boolean(O),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const p=this._incomingData.read(this._state.readLen),k=p.readUInt8(1),O=(k&128)>>>7;let U=k&127,F=1;U===126?U=p.readUInt8(++F)*2**8+p.readUInt8(++F):U===127&&(U=p.readUInt8(++F)*0+p.readUInt8(++F)*0+p.readUInt8(++F)*0+p.readUInt8(++F)*0+p.readUInt8(++F)*2**24+p.readUInt8(++F)*2**16+p.readUInt8(++F)*2**8+p.readUInt8(++F));let M=0;O&&(M=p.readUInt8(++F)*2**24+p.readUInt8(++F)*2**16+p.readUInt8(++F)*2**8+p.readUInt8(++F)),this._state.state=3,this._state.readLen=U,this._state.mask=M,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const p=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",p),a(p,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",p),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(p,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await P.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=_;class s extends y.Disposable{constructor(b,p,k,O,U,F){super();this._tracer=b,this._onData=U,this._writeFn=F,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new P.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,p?(this._zlibInflateStream=this._register(new n(this._tracer,O,k,{windowBits:15})),this._zlibDeflateStream=this._register(new m(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(M=>this._onError.fire(M))),this._register(this._zlibDeflateStream.onError(M=>this._onError.fire(M)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:C.VSBuffer.alloc(0)}writeMessage(b){this._writeQueue.push(b),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const b=this._writeQueue.shift();if(this._zlibDeflateStream){const p=await this._deflateMessage(this._zlibDeflateStream,b);this._writeFn(p,!0)}else this._writeFn(b,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(b,p){return new Promise((k,O)=>{b.write(p),b.flush(U=>k(U))})}acceptFrame(b,p,k){this._readQueue.push({data:b,isCompressed:p,isLastFrameOfMessage:k}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const b=this._readQueue.shift();if(this._zlibInflateStream&&b.isCompressed){const p=await this._inflateFrame(this._zlibInflateStream,b.data,b.isLastFrameOfMessage);this._onData.fire(p)}else this._onData.fire(b.data)}this._isProcessingReadQueue=!1}}_inflateFrame(b,p,k){return new Promise((O,U)=>{b.write(p),k&&b.write(C.VSBuffer.fromByteArray([0,0,255,255])),b.flush(F=>O(F))})}}class n extends y.Disposable{constructor(b,p,k,O){super();this._tracer=b,this._recordInflateBytes=p,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=g.createInflateRaw(O),this._zlibInflate.on("error",U=>{this._tracer.traceSocketEvent("zlibInflateError",{message:U?.message,code:U?.code}),this._onError.fire(U)}),this._zlibInflate.on("data",U=>{this._tracer.traceSocketEvent("zlibInflateData",U),this._pendingInflateData.push(C.VSBuffer.wrap(U))}),k&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",k.buffer),this._zlibInflate.write(k.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?C.VSBuffer.concat(this._recordedInflateBytes):C.VSBuffer.alloc(0)}write(b){this._recordInflateBytes&&this._recordedInflateBytes.push(b.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",b),this._zlibInflate.write(b.buffer)}flush(b){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const p=C.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,b(p)})}}class m extends y.Disposable{constructor(b,p){super();this._tracer=b,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=g.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",k=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:k?.message,code:k?.code}),this._onError.fire(k)}),this._zlibDeflate.on("data",k=>{this._tracer.traceSocketEvent("zlibDeflateData",k),this._pendingDeflateData.push(C.VSBuffer.wrap(k))})}write(b){this._tracer.traceSocketEvent("zlibDeflateWrite",b.buffer),this._zlibDeflate.write(b.buffer)}flush(b){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let p=C.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,p=p.slice(0,p.byteLength-4),b(p)})}}function a(h,b){if(b===0)return;let p=h.byteLength>>>2;for(let V=0;V<p;V++){const H=h.readUInt32BE(V*4);h.writeUInt32BE(H^b,V*4)}let k=p*4,O=h.byteLength-k;const U=b>>>24&255,F=b>>>16&255,M=b>>>8&255;O>=1&&h.writeUInt8(h.readUInt8(k)^U,k),O>=2&&h.writeUInt8(h.readUInt8(k+1)^F,k+1),O>=3&&h.writeUInt8(h.readUInt8(k+2)^M,k+2)}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const S={[2]:107,[1]:103};function r(){const h=(0,D.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${h}-sock`;let b;return e.XDG_RUNTIME_DIR?b=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${h}.sock`):b=(0,A.join)((0,I.tmpdir)(),`vscode-ipc-${h}.sock`),o(b),b}e.createRandomIPCHandle=r;function t(h,b,p){const k=(0,f.createHash)("md5").update(h).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${k}-${p}-${b}-sock`;let O;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?O=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-${k.substr(0,8)}-${p}-${b}.sock`):O=(0,A.join)(h,`${p}-${b}.sock`),o(O),O}e.createStaticIPCHandle=t;function o(h){const b=S[L.platform];typeof b=="number"&&h.length>=b&&console.warn(`WARNING: IPC handle "${h}" is longer than ${b} chars, try a shorter --user-data-dir`)}class d extends c.IPCServer{constructor(b){super(d.toClientConnectionEvent(b));this.server=b}static toClientConnectionEvent(b){const p=P.Event.fromNodeEventEmitter(b,"connection");return P.Event.map(p,k=>({protocol:new E.Protocol(new w(k,"ipc-server-connection")),onDidClientDisconnect:P.Event.once(P.Event.fromNodeEventEmitter(k,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=d;function l(h){return new Promise((b,p)=>{const k=(0,i.createServer)();k.on("error",p),k.listen(h,()=>{k.removeListener("error",p),b(new d(k))})})}e.serve=l;function u(h,b){return new Promise((p,k)=>{const O=(0,i.createConnection)(h,()=>{O.removeListener("error",k),p(E.Client.fromSocket(new w(O,`ipc-client${b}`),b))});O.once("error",k)})}e.connect=u}),define(pe[287],ve([0,1,138,282,60,38,2,198,11]),function(X,e,f,i,I,C,T,P,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class A{constructor(c,E,g){this._commands=c,this.logService=E,this._ipcHandlePath=g,this._server=i.createServer((w,v)=>this.onRequest(w,v)),this.setup().catch(w=>(E.error(w),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",c=>this.logService.error(c))}catch{this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(c,E){const g=[];c.setEncoding("utf8"),c.on("data",w=>g.push(w)),c.on("end",()=>{const w=JSON.parse(g.join(""));switch(w.type){case"open":this.open(w,E);break;case"openExternal":this.openExternal(w,E);break;case"status":this.getStatus(w,E);break;case"extensionManagement":this.manageExtensions(w,E).catch(this.logService.error);break;default:E.writeHead(404),E.write(`Unknown message type: ${w.type}`,v=>{v&&this.logService.error(v)}),E.end();break}})}open(c,E){const{fileURIs:g,folderURIs:w,forceNewWindow:v,diffMode:R,addMode:_,forceReuseWindow:s,gotoLineMode:n,waitMarkerFilePath:m,remoteAuthority:a}=c,S=[];if(Array.isArray(w))for(const d of w)try{S.push({folderUri:T.URI.parse(d)})}catch{}if(Array.isArray(g))for(const d of g)try{(0,P.hasWorkspaceFileExtension)(d)?S.push({workspaceUri:T.URI.parse(d)}):S.push({fileUri:T.URI.parse(d)})}catch{}const r=m?T.URI.file(m):void 0,o={forceNewWindow:v,diffMode:R,addMode:_,gotoLineMode:n,forceReuseWindow:s,preferNewWindow:!s&&!r&&!_,waitMarkerFileURI:r,remoteAuthority:a};this._commands.executeCommand("_remoteCLI.windowOpen",S,o),E.writeHead(200),E.end()}async openExternal(c,E){for(const g of c.uris){const w=T.URI.parse(g),v=w.scheme==="file"?w:g;await this._commands.executeCommand("_remoteCLI.openExternal",v)}E.writeHead(200),E.end()}async manageExtensions(c,E){try{const g=R=>R?.map(_=>/\.vsix$/i.test(_)?T.URI.parse(_):_),w={list:c.list,install:g(c.install),uninstall:g(c.uninstall),force:c.force},v=await this._commands.executeCommand("_remoteCLI.manageExtensions",w);E.writeHead(200),E.write(v)}catch(g){E.writeHead(500),E.write(String(g),w=>{w&&this.logService.error(w)})}E.end()}async getStatus(c,E){try{const g=await this._commands.executeCommand("_remoteCLI.getSystemStatus");E.writeHead(200),E.write(g),E.end()}catch(g){E.writeHead(500),E.write(String(g),w=>{w&&this.logService.error(w)}),E.end()}}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&I.existsSync(this._ipcHandlePath)&&I.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=A;let L=class extends A{constructor(c,E){super(c,E,(0,f.createRandomIPCHandle)())}};L=je([ze(0,C.IExtHostCommands),ze(1,y.ILogService)],L),e.CLIServer=L}),define(pe[288],ve([0,1,72,280,268,5,281,39,258,2,10,7,287,105]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class g extends I.RequireInterceptor{_installInterceptor(){const R=this,_=X.__$__nodeRequire("module"),s=_._load;_._load=function(m,a,S){for(let r of R._alternatives){let t=r(m);if(t){m=t;break}}return R._factories.has(m)?R._factories.get(m).load(m,A.URI.file((0,E.realpathSync)(a.filename)),r=>s.apply(this,[r,a,S])):s.apply(this,arguments)}}}class w extends P.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=D.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const R=this._instaService.invokeFunction(i.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(y.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const a=this._instaService.createInstance(c.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=a.ipcHandlePath}await this._instaService.createInstance(g,R,this._registry).install(),f.mark("code/extHost/didInitAPI");const s=await this._extHostConfiguration.getConfigProvider();await(0,T.connectProxyResolver)(this._extHostWorkspace,s,this,this._logService,this._mainThreadTelemetryProxy,this._initData),f.mark("code/extHost/didInitProxyResolver");const n=process.send,m=this._extHostContext.getProxy(C.MainContext.MainThreadConsole);process.send=(...a)=>a.length===0||!a[0]||a[0].type!=="__$console"?n.apply(process,a):(m.$logExtensionHostMessage(a[0]),!1)}_getEntryPoint(R){return R.main}_loadCommonJSModule(R,_,s){if(_.scheme!==L.Schemas.file)throw new Error(`Cannot load URI: '${_}', must be of file-scheme`);let n=null;s.codeLoadingStart(),this._logService.trace(`ExtensionService#loadCommonJSModule ${_.toString(!0)}`),this._logService.flush();try{R&&f.mark(`code/extHost/willLoadExtensionCode/${R.value}`),n=X.__$__nodeRequire(_.fsPath)}catch(m){return Promise.reject(m)}finally{R&&f.mark(`code/extHost/didLoadExtensionCode/${R.value}`),s.codeLoadingStop()}return Promise.resolve(n)}async $setRemoteEnvironment(R){if(!!this._initData.remote.isRemote)for(const _ in R){const s=R[_];s===null?delete process.env[_]:process.env[_]=s}}}e.ExtHostExtensionService=w}),define(pe[289],ve([0,1,61,261,270,269,286,288,262,55,39,73,71,34,52,68,260,259,11]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v,R,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,f.registerSingleton)(L.IExtHostExtensionService,P.ExtHostExtensionService),(0,f.registerSingleton)(_.ILoggerService,R.ExtHostLoggerService),(0,f.registerSingleton)(w.IExtensionStoragePaths,v.ExtensionStoragePaths),(0,f.registerSingleton)(A.IExtHostDebugService,C.ExtHostDebugService),(0,f.registerSingleton)(D.IExtHostSearch,T.NativeExtHostSearch),(0,f.registerSingleton)(c.IExtHostTask,I.ExtHostTask),(0,f.registerSingleton)(E.IExtHostTerminalService,i.ExtHostTerminalService),(0,f.registerSingleton)(g.IExtHostTunnelService,y.ExtHostTunnelService)}),define(pe[290],ve([0,1,125,300,72,15,107,138,191,224,271,22,103,29,105,18,114,273,289]),function(X,e,f,i,I,C,T,P,y,A,L,D,c,E,g,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let o=0;o<process.execArgv.length;o++)process.execArgv[o]==="--inspect-port=0"&&(process.execArgv.splice(o,1),o--)}();const R=i(process.argv.slice(2),{string:["uriTransformerPath"],boolean:["skipWorkspaceStorageLock","useHostProxy"]});(function(){const t=X.__$__nodeRequire("module"),o=t._load;t._load=function(d){if(d==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return o.apply(this,arguments)}})();const _=process.exit.bind(process);function s(t){process.exit=function(o){if(t)_(o);else{const d=new Error("An extension called process.exit() and this was prevented.");console.warn(d.stack)}},process.crash=function(){const o=new Error("An extension called process.crash() and this was prevented.");console.warn(o.stack)}}let n=function(t){_()};function m(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((t,o)=>{let d=null,l=setTimeout(()=>{n("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4);const u=108e5,h=3e5,b=new w.ProcessTimeRunOnceScheduler(()=>n("renderer disconnected for too long (1)"),u),p=new w.ProcessTimeRunOnceScheduler(()=>n("renderer disconnected for too long (2)"),h);process.on("message",(O,U)=>{if(O&&O.type==="VSCODE_EXTHOST_IPC_SOCKET"){U.setNoDelay(!0);const F=D.VSBuffer.wrap(Buffer.from(O.initialDataChunk,"base64"));let M;if(O.skipWebSocketFrames)M=new P.NodeSocket(U,"extHost-socket");else{const V=D.VSBuffer.wrap(Buffer.from(O.inflateBytes,"base64"));M=new P.WebSocketNodeSocket(new P.NodeSocket(U,"extHost-socket"),O.permessageDeflate,V,!1)}d?(b.cancel(),p.cancel(),d.beginAcceptReconnection(M,F),d.endAcceptReconnection(),d.sendResume()):(clearTimeout(l),d=new T.PersistentProtocol(M,F),d.sendResume(),d.onDidDispose(()=>n("renderer disconnected")),t(d),d.onSocketClose(()=>{b.schedule()}))}if(O&&O.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(p.isScheduled())return;b.isScheduled()&&p.schedule()}});const k={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(k)});{const t=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((o,d)=>{const l=f.createConnection(t,()=>{l.removeListener("error",d),o(new T.PersistentProtocol(new P.NodeSocket(l,"extHost-renderer")))});l.once("error",d),l.on("close",()=>{n("renderer closed the socket")})})}}async function a(){const t=await m();return new class{constructor(){this._onMessage=new T.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,t.onMessage(o=>{(0,A.isMessageOfType)(o,2)?(this._terminating=!0,n("received terminate message from renderer")):this._onMessage.fire(o)})}send(o){this._terminating||t.send(o)}drain(){return t.drain()}}}function S(t){return new Promise(o=>{const d=t.onMessage(l=>{d.dispose();const u=JSON.parse(l.toString()),h=u.commit,b=y.default.commit;h&&b&&h!==b&&_(55);let p=0;setInterval(function(){try{process.kill(u.parentPid,0),p=0}catch(O){O&&O.code==="EPERM"?(p++,p>=3&&n(`parent process ${u.parentPid} does not exist anymore (3 x EPERM): ${O.message} (code: ${O.code}) (errno: ${O.errno})`)):n(`parent process ${u.parentPid} does not exist anymore: ${O.message} (code: ${O.code}) (errno: ${O.errno})`)}},1e3);let k;try{k=X.__$__nodeRequire("native-watchdog"),k.start(u.parentPid)}catch(O){(0,C.onUnexpectedError)(O)}t.send((0,A.createMessageOfType)(0)),o({protocol:t,initData:u})});t.send((0,A.createMessageOfType)(1))})}async function r(){const t=[];process.on("unhandledRejection",(p,k)=>{t.push(k),setTimeout(()=>{const O=t.indexOf(k);O>=0&&k.catch(U=>{t.splice(O,1),(0,C.isPromiseCanceledError)(U)||(console.warn(`rejected promise not handled within 1 second: ${U}`),U&&U.stack&&console.warn(`stack trace: ${U.stack}`),p&&(0,C.onUnexpectedError)(p))})},1e3)}),process.on("rejectionHandled",p=>{const k=t.indexOf(p);k>=0&&t.splice(k,1)}),process.on("uncaughtException",function(p){(0,C.onUnexpectedError)(p)}),I.mark("code/extHost/willConnectToRenderer");const o=await a();I.mark("code/extHost/didConnectToRenderer");const d=await S(o);I.mark("code/extHost/didWaitForInitData");const{initData:l}=d;s(!!l.environment.extensionTestsLocationURI),l.environment.useHostProxy=!!R.useHostProxy,l.environment.skipWorkspaceStorageLock=(0,v.boolean)(R.skipWorkspaceStorageLock,!1);const u=new class{constructor(){this.pid=process.pid}exit(k){_(k)}exists(k){return E.Promises.exists(k)}realpath(k){return(0,g.realpath)(k)}};let h=null;if(l.remote.authority&&R.uriTransformerPath)try{const k=X.__$__nodeRequire(R.uriTransformerPath)(l.remote.authority);h=new c.URITransformer(k)}catch(p){console.error(p)}const b=new L.ExtensionHostMain(d.protocol,l,u,h);n=p=>b.terminate(p)}e.startExtensionHostProcess=r}),define(pe[301],ve([0,1,290]),function(X,e,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,f.startExtensionHostProcess)().catch(i=>console.log(i))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/753319a08f8e74700b1dba3a29bf0a6af7c2953f/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
