/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var we=["require","exports","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/base/common/event","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/workbench/api/common/extHostTypeConverters","vs/base/common/strings","vs/base/common/types","vs/base/common/network","vs/platform/log/common/log","vs/workbench/api/common/extHostRpcService","vs/base/common/async","vs/base/common/errors","vs/base/common/arrays","vs/base/common/path","vs/nls","vs/nls!vs/workbench/services/extensions/worker/extensionHostWorker","vs/base/common/cancellation","vs/base/common/map","vs/base/common/buffer","vs/base/common/platform","vs/base/common/resources","vs/platform/extensions/common/extensions","vs/base/common/objects","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/base/common/glob","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/workbench/api/common/extHostExtensionService","vs/base/common/severity","vs/base/common/extpath","vs/base/common/uuid","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostTerminalService","vs/workbench/services/search/common/search","vs/base/common/assert","vs/base/common/errorMessage","vs/platform/instantiation/common/extensions","vs/platform/contextkey/common/contextkey","vs/platform/files/common/files","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostWebview","vs/base/common/codicons","vs/base/common/decorators","vs/base/common/idGenerator","vs/base/common/marshalling","vs/editor/common/languages/languageSelector","vs/base/common/hash","vs/editor/common/languages","vs/editor/common/core/range","vs/platform/instantiation/common/serviceCollection","vs/platform/remote/common/remoteHosts","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/shared/webview","vs/workbench/contrib/testing/common/testId","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/base/common/performance","vs/base/common/collections","vs/base/common/numbers","vs/base/common/mime","vs/base/common/htmlContent","vs/base/common/labels","vs/editor/common/services/semanticTokensDto","vs/platform/instantiation/common/descriptors","vs/platform/configuration/common/configuration","vs/platform/markers/common/markers","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/contrib/testing/common/testCollection","vs/base/common/process","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTextEditor","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/json","vs/base/common/stream","vs/base/common/filters","vs/base/common/iconLabels","vs/base/common/comparers","vs/base/common/uriIpc","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/tokenizationRegistry","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/editor/common/model/wordHelper","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/tasks/common/taskService","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/editor/common/services/model","vs/editor/common/languages/languageFeatureRegistry","vs/platform/environment/common/environment","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/remote/common/tunnel","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/common/shared/treeDataTransfer","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/editor","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/debug/common/debugUtils","vs/base/common/iterator","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/output/common/output","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostProgress","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/base/common/stopwatch","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/extensions/worker/polyfillNestedWorker","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/textSearchManager","vs/workbench/api/common/extHost.common.services","vs/workbench/services/views/common/treeViewsDragAndDropService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/worker/extHostExtensionService","vs/workbench/api/worker/extHost.worker.services","vs/editor/common/model/mirrorTextModel","vs/editor/common/viewModel/prefixSumComputer","vs/base/common/marked/marked","vs/base/common/linkedList","vs/editor/common/core/position","vs/base/common/lazy","vs/editor/common/languages/linkComputer","vs/editor/common/core/selection","vs/base/common/functional","vs/editor/common/model/textModelSearch","vs/editor/common/model","vs/workbench/services/extensions/worker/extensionHostWorker"],Ee=function(te){for(var e=[],s=0,t=te.length;s<t;s++)e[s]=we[te[s]];return e};define(we[42],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function s(t,y){if(!t)throw new Error(y?`Assertion failed (${y})`:"Assertion Failed")}e.ok=s}),define(we[52],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function s(I){return I?I.replace(/\$\((.*?)\)/g,(P,D)=>` ${D} `).trim():""}e.getCodiconAriaLabel=s;class t{constructor(P,D,A){this.id=P,this.definition=D,this.description=A,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.debugStackframeDot=new t("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function y(I,P){const D=["codicon","codicon-"+I];return P&&D.push("codicon-modifier-"+P),D}e.getClassNamesArray=y;var T;(function(I){I.iconNameSegment="[A-Za-z0-9]+",I.iconNameExpression="[A-Za-z0-9-]+",I.iconModifierExpression="~[A-Za-z]+",I.iconNameCharacter="[A-Za-z0-9~-]";const P=new RegExp(`^(${I.iconNameExpression})(${I.iconModifierExpression})?$`);function D(w){if(w instanceof t)return["codicon","codicon-"+w.id];const i=P.exec(w.id);if(!i)return D(t.error);let[,g,o]=i;const c=["codicon","codicon-"+g];return o&&c.push("codicon-modifier-"+o.substr(1)),c}I.asClassNameArray=D;function A(w){return D(w).join(" ")}I.asClassName=A;function R(w){return"."+D(w).join(".")}I.asCSSSelector=R})(T=e.CSSIcon||(e.CSSIcon={}))}),define(we[74],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const s=Object.prototype.hasOwnProperty;function t(R){const w=[];for(let i in R)s.call(R,i)&&w.push(R[i]);return w}e.values=t;function y(R,w){for(let i in R)if(s.call(R,i)&&w({key:i,value:R[i]},function(){delete R[i]})===!1)return}e.forEach=y;function T(R,w){const i=Object.create(null);for(const g of R){const o=w(g);let c=i[o];c||(c=i[o]=[]),c.push(g)}return i}e.groupBy=T;function I(R){const w=Object.create(null);return R&&R.forEach((i,g)=>{w[g]=i}),w}e.fromMap=I;function P(R,w){const i=[],g=[];for(let o of R)w.has(o)||i.push(o);for(let o of w)R.has(o)||g.push(o);return{removed:i,added:g}}e.diffSets=P;function D(R,w){const i=[],g=[];for(let[o,c]of R)w.has(o)||i.push(c);for(let[o,c]of w)R.has(o)||g.push(c);return{removed:i,added:g}}e.diffMaps=D;class A{constructor(){this.map=new Map}add(w,i){let g=this.map.get(w);g||(g=new Set,this.map.set(w,g)),g.add(i)}delete(w,i){const g=this.map.get(w);!g||(g.delete(i),g.size===0&&this.map.delete(w))}forEach(w,i){const g=this.map.get(w);!g||g.forEach(i)}}e.SetMap=A}),define(we[53],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function s(I){return(P,D,A)=>{let R=null,w=null;if(typeof A.value=="function"?(R="value",w=A.value):typeof A.get=="function"&&(R="get",w=A.get),!w)throw new Error("not supported");A[R]=I(w,D)}}e.createDecorator=s;function t(I,P,D){let A=null,R=null;if(typeof D.value=="function"?(A="value",R=D.value,R.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof D.get=="function"&&(A="get",R=D.get),!R)throw new Error("not supported");const w=`$memoize$${P}`;D[A]=function(...i){return this.hasOwnProperty(w)||Object.defineProperty(this,w,{configurable:!1,enumerable:!1,writable:!1,value:R.apply(this,i)}),this[w]}}e.memoize=t;function y(I,P,D){return s((A,R)=>{const w=`$debounce$${R}`,i=`$debounce$result$${R}`;return function(...g){this[i]||(this[i]=D?D():void 0),clearTimeout(this[w]),P&&(this[i]=P(this[i],...g),g=[this[i]]),this[w]=setTimeout(()=>{A.apply(this,g),this[i]=D?D():void 0},I)}})}e.debounce=y;function T(I,P,D){return s((A,R)=>{const w=`$throttle$timer$${R}`,i=`$throttle$result$${R}`,g=`$throttle$lastRun$${R}`,o=`$throttle$pending$${R}`;return function(...c){if(this[i]||(this[i]=D?D():void 0),(this[g]===null||this[g]===void 0)&&(this[g]=-Number.MAX_VALUE),P&&(this[i]=P(this[i],...c)),this[o])return;const u=this[g]+I;u<=Date.now()?(this[g]=Date.now(),A.apply(this,[this[i]]),this[i]=D?D():void 0):(this[o]=!0,this[w]=setTimeout(()=>{this[o]=!1,this[g]=Date.now(),A.apply(this,[this[i]]),this[i]=D?D():void 0},u-Date.now()))}})}e.throttle=T}),define(we[54],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class s{constructor(y){this._prefix=y,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=s,e.defaultGenerator=new s("id#")}),define(we[100],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var s;(function(a){a[a.None=0]="None",a[a.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=2]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",a[a.InvalidUnicode=4]="InvalidUnicode",a[a.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",a[a.InvalidCharacter=6]="InvalidCharacter"})(s=e.ScanError||(e.ScanError={}));var t;(function(a){a[a.OpenBraceToken=1]="OpenBraceToken",a[a.CloseBraceToken=2]="CloseBraceToken",a[a.OpenBracketToken=3]="OpenBracketToken",a[a.CloseBracketToken=4]="CloseBracketToken",a[a.CommaToken=5]="CommaToken",a[a.ColonToken=6]="ColonToken",a[a.NullKeyword=7]="NullKeyword",a[a.TrueKeyword=8]="TrueKeyword",a[a.FalseKeyword=9]="FalseKeyword",a[a.StringLiteral=10]="StringLiteral",a[a.NumericLiteral=11]="NumericLiteral",a[a.LineCommentTrivia=12]="LineCommentTrivia",a[a.BlockCommentTrivia=13]="BlockCommentTrivia",a[a.LineBreakTrivia=14]="LineBreakTrivia",a[a.Trivia=15]="Trivia",a[a.Unknown=16]="Unknown",a[a.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var y;(function(a){a[a.InvalidSymbol=1]="InvalidSymbol",a[a.InvalidNumberFormat=2]="InvalidNumberFormat",a[a.PropertyNameExpected=3]="PropertyNameExpected",a[a.ValueExpected=4]="ValueExpected",a[a.ColonExpected=5]="ColonExpected",a[a.CommaExpected=6]="CommaExpected",a[a.CloseBraceExpected=7]="CloseBraceExpected",a[a.CloseBracketExpected=8]="CloseBracketExpected",a[a.EndOfFileExpected=9]="EndOfFileExpected",a[a.InvalidCommentToken=10]="InvalidCommentToken",a[a.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=12]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",a[a.InvalidUnicode=14]="InvalidUnicode",a[a.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",a[a.InvalidCharacter=16]="InvalidCharacter"})(y=e.ParseErrorCode||(e.ParseErrorCode={}));var T;(function(a){a.DEFAULT={allowTrailingComma:!0}})(T=e.ParseOptions||(e.ParseOptions={}));function I(a,M=!1){let r=0,n=a.length,b="",p=0,l=16,h=0;function v(O){let W=0,U=0;for(;W<O;){const H=a.charCodeAt(r);if(H>=48&&H<=57)U=U*16+H-48;else if(H>=65&&H<=70)U=U*16+H-65+10;else if(H>=97&&H<=102)U=U*16+H-97+10;else break;r++,W++}return W<O&&(U=-1),U}function _(O){r=O,b="",p=0,l=16,h=0}function f(){const O=r;if(a.charCodeAt(r)===48)r++;else for(r++;r<a.length&&A(a.charCodeAt(r));)r++;if(r<a.length&&a.charCodeAt(r)===46)if(r++,r<a.length&&A(a.charCodeAt(r)))for(r++;r<a.length&&A(a.charCodeAt(r));)r++;else return h=3,a.substring(O,r);let W=r;if(r<a.length&&(a.charCodeAt(r)===69||a.charCodeAt(r)===101))if(r++,(r<a.length&&a.charCodeAt(r)===43||a.charCodeAt(r)===45)&&r++,r<a.length&&A(a.charCodeAt(r))){for(r++;r<a.length&&A(a.charCodeAt(r));)r++;W=r}else h=3;return a.substring(O,W)}function C(){let O="",W=r;for(;;){if(r>=n){O+=a.substring(W,r),h=2;break}const U=a.charCodeAt(r);if(U===34){O+=a.substring(W,r),r++;break}if(U===92){if(O+=a.substring(W,r),r++,r>=n){h=2;break}switch(a.charCodeAt(r++)){case 34:O+='"';break;case 92:O+="\\";break;case 47:O+="/";break;case 98:O+="\b";break;case 102:O+="\f";break;case 110:O+=`
`;break;case 114:O+="\r";break;case 116:O+="	";break;case 117:{const V=v(4);V>=0?O+=String.fromCharCode(V):h=4;break}default:h=5}W=r;continue}if(U>=0&&U<=31)if(D(U)){O+=a.substring(W,r),h=2;break}else h=6;r++}return O}function x(){if(b="",h=0,p=r,r>=n)return p=n,l=17;let O=a.charCodeAt(r);if(P(O)){do r++,b+=String.fromCharCode(O),O=a.charCodeAt(r);while(P(O));return l=15}if(D(O))return r++,b+=String.fromCharCode(O),O===13&&a.charCodeAt(r)===10&&(r++,b+=`
`),l=14;switch(O){case 123:return r++,l=1;case 125:return r++,l=2;case 91:return r++,l=3;case 93:return r++,l=4;case 58:return r++,l=6;case 44:return r++,l=5;case 34:return r++,b=C(),l=10;case 47:{const W=r-1;if(a.charCodeAt(r+1)===47){for(r+=2;r<n&&!D(a.charCodeAt(r));)r++;return b=a.substring(W,r),l=12}if(a.charCodeAt(r+1)===42){r+=2;const U=n-1;let H=!1;for(;r<U;){if(a.charCodeAt(r)===42&&a.charCodeAt(r+1)===47){r+=2,H=!0;break}r++}return H||(r++,h=1),b=a.substring(W,r),l=13}return b+=String.fromCharCode(O),r++,l=16}case 45:if(b+=String.fromCharCode(O),r++,r===n||!A(a.charCodeAt(r)))return l=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return b+=f(),l=11;default:for(;r<n&&N(O);)r++,O=a.charCodeAt(r);if(p!==r){switch(b=a.substring(p,r),b){case"true":return l=8;case"false":return l=9;case"null":return l=7}return l=16}return b+=String.fromCharCode(O),r++,l=16}}function N(O){if(P(O)||D(O))return!1;switch(O){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function E(){let O;do O=x();while(O>=12&&O<=15);return O}return{setPosition:_,getPosition:()=>r,scan:M?E:x,getToken:()=>l,getTokenValue:()=>b,getTokenOffset:()=>p,getTokenLength:()=>r-p,getTokenError:()=>h}}e.createScanner=I;function P(a){return a===32||a===9||a===11||a===12||a===160||a===5760||a>=8192&&a<=8203||a===8239||a===8287||a===12288||a===65279}function D(a){return a===10||a===13||a===8232||a===8233}function A(a){return a>=48&&a<=57}var R;(function(a){a[a.nullCharacter=0]="nullCharacter",a[a.maxAsciiCharacter=127]="maxAsciiCharacter",a[a.lineFeed=10]="lineFeed",a[a.carriageReturn=13]="carriageReturn",a[a.lineSeparator=8232]="lineSeparator",a[a.paragraphSeparator=8233]="paragraphSeparator",a[a.nextLine=133]="nextLine",a[a.space=32]="space",a[a.nonBreakingSpace=160]="nonBreakingSpace",a[a.enQuad=8192]="enQuad",a[a.emQuad=8193]="emQuad",a[a.enSpace=8194]="enSpace",a[a.emSpace=8195]="emSpace",a[a.threePerEmSpace=8196]="threePerEmSpace",a[a.fourPerEmSpace=8197]="fourPerEmSpace",a[a.sixPerEmSpace=8198]="sixPerEmSpace",a[a.figureSpace=8199]="figureSpace",a[a.punctuationSpace=8200]="punctuationSpace",a[a.thinSpace=8201]="thinSpace",a[a.hairSpace=8202]="hairSpace",a[a.zeroWidthSpace=8203]="zeroWidthSpace",a[a.narrowNoBreakSpace=8239]="narrowNoBreakSpace",a[a.ideographicSpace=12288]="ideographicSpace",a[a.mathematicalSpace=8287]="mathematicalSpace",a[a.ogham=5760]="ogham",a[a._=95]="_",a[a.$=36]="$",a[a._0=48]="_0",a[a._1=49]="_1",a[a._2=50]="_2",a[a._3=51]="_3",a[a._4=52]="_4",a[a._5=53]="_5",a[a._6=54]="_6",a[a._7=55]="_7",a[a._8=56]="_8",a[a._9=57]="_9",a[a.a=97]="a",a[a.b=98]="b",a[a.c=99]="c",a[a.d=100]="d",a[a.e=101]="e",a[a.f=102]="f",a[a.g=103]="g",a[a.h=104]="h",a[a.i=105]="i",a[a.j=106]="j",a[a.k=107]="k",a[a.l=108]="l",a[a.m=109]="m",a[a.n=110]="n",a[a.o=111]="o",a[a.p=112]="p",a[a.q=113]="q",a[a.r=114]="r",a[a.s=115]="s",a[a.t=116]="t",a[a.u=117]="u",a[a.v=118]="v",a[a.w=119]="w",a[a.x=120]="x",a[a.y=121]="y",a[a.z=122]="z",a[a.A=65]="A",a[a.B=66]="B",a[a.C=67]="C",a[a.D=68]="D",a[a.E=69]="E",a[a.F=70]="F",a[a.G=71]="G",a[a.H=72]="H",a[a.I=73]="I",a[a.J=74]="J",a[a.K=75]="K",a[a.L=76]="L",a[a.M=77]="M",a[a.N=78]="N",a[a.O=79]="O",a[a.P=80]="P",a[a.Q=81]="Q",a[a.R=82]="R",a[a.S=83]="S",a[a.T=84]="T",a[a.U=85]="U",a[a.V=86]="V",a[a.W=87]="W",a[a.X=88]="X",a[a.Y=89]="Y",a[a.Z=90]="Z",a[a.ampersand=38]="ampersand",a[a.asterisk=42]="asterisk",a[a.at=64]="at",a[a.backslash=92]="backslash",a[a.bar=124]="bar",a[a.caret=94]="caret",a[a.closeBrace=125]="closeBrace",a[a.closeBracket=93]="closeBracket",a[a.closeParen=41]="closeParen",a[a.colon=58]="colon",a[a.comma=44]="comma",a[a.dot=46]="dot",a[a.doubleQuote=34]="doubleQuote",a[a.equals=61]="equals",a[a.exclamation=33]="exclamation",a[a.greaterThan=62]="greaterThan",a[a.lessThan=60]="lessThan",a[a.minus=45]="minus",a[a.openBrace=123]="openBrace",a[a.openBracket=91]="openBracket",a[a.openParen=40]="openParen",a[a.percent=37]="percent",a[a.plus=43]="plus",a[a.question=63]="question",a[a.semicolon=59]="semicolon",a[a.singleQuote=39]="singleQuote",a[a.slash=47]="slash",a[a.tilde=126]="tilde",a[a.backspace=8]="backspace",a[a.formFeed=12]="formFeed",a[a.byteOrderMark=65279]="byteOrderMark",a[a.tab=9]="tab",a[a.verticalTab=11]="verticalTab"})(R||(R={}));function w(a,M){const r=[],n=new Object;let b;const p={value:{},offset:0,length:0,type:"object",parent:void 0};let l=!1;function h(v,_,f,C){p.value=v,p.offset=_,p.length=f,p.type=C,p.colonOffset=void 0,b=p}try{m(a,{onObjectBegin:(v,_)=>{if(M<=v)throw n;b=void 0,l=M>v,r.push("")},onObjectProperty:(v,_,f)=>{if(M<_||(h(v,_,f,"property"),r[r.length-1]=v,M<=_+f))throw n},onObjectEnd:(v,_)=>{if(M<=v)throw n;b=void 0,r.pop()},onArrayBegin:(v,_)=>{if(M<=v)throw n;b=void 0,r.push(0)},onArrayEnd:(v,_)=>{if(M<=v)throw n;b=void 0,r.pop()},onLiteralValue:(v,_,f)=>{if(M<_||(h(v,_,f,k(v)),M<=_+f))throw n},onSeparator:(v,_,f)=>{if(M<=_)throw n;if(v===":"&&b&&b.type==="property")b.colonOffset=_,l=!1,b=void 0;else if(v===","){const C=r[r.length-1];typeof C=="number"?r[r.length-1]=C+1:(l=!0,r[r.length-1]=""),b=void 0}}})}catch(v){if(v!==n)throw v}return{path:r,previousNode:b,isAtPropertyKey:l,matches:v=>{let _=0;for(let f=0;_<v.length&&f<r.length;f++)if(v[_]===r[f]||v[_]==="*")_++;else if(v[_]!=="**")return!1;return _===v.length}}}e.getLocation=w;function i(a,M=[],r=T.DEFAULT){let n=null,b=[];const p=[];function l(v){Array.isArray(b)?b.push(v):n!==null&&(b[n]=v)}return m(a,{onObjectBegin:()=>{const v={};l(v),p.push(b),b=v,n=null},onObjectProperty:v=>{n=v},onObjectEnd:()=>{b=p.pop()},onArrayBegin:()=>{const v=[];l(v),p.push(b),b=v,n=null},onArrayEnd:()=>{b=p.pop()},onLiteralValue:l,onError:(v,_,f)=>{M.push({error:v,offset:_,length:f})}},r),b[0]}e.parse=i;function g(a,M=[],r=T.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function b(v){n.type==="property"&&(n.length=v-n.offset,n=n.parent)}function p(v){return n.children.push(v),v}m(a,{onObjectBegin:v=>{n=p({type:"object",offset:v,length:-1,parent:n,children:[]})},onObjectProperty:(v,_,f)=>{n=p({type:"property",offset:_,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:v,offset:_,length:f,parent:n})},onObjectEnd:(v,_)=>{n.length=v+_-n.offset,n=n.parent,b(v+_)},onArrayBegin:(v,_)=>{n=p({type:"array",offset:v,length:-1,parent:n,children:[]})},onArrayEnd:(v,_)=>{n.length=v+_-n.offset,n=n.parent,b(v+_)},onLiteralValue:(v,_,f)=>{p({type:k(v),offset:_,length:f,parent:n,value:v}),b(_+f)},onSeparator:(v,_,f)=>{n.type==="property"&&(v===":"?n.colonOffset=_:v===","&&b(_))},onError:(v,_,f)=>{M.push({error:v,offset:_,length:f})}},r);const h=n.children[0];return h&&delete h.parent,h}e.parseTree=g;function o(a,M){if(!a)return;let r=a;for(let n of M)if(typeof n=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let b=!1;for(const p of r.children)if(Array.isArray(p.children)&&p.children[0].value===n){r=p.children[1],b=!0;break}if(!b)return}else{const b=n;if(r.type!=="array"||b<0||!Array.isArray(r.children)||b>=r.children.length)return;r=r.children[b]}return r}e.findNodeAtLocation=o;function c(a){if(!a.parent||!a.parent.children)return[];const M=c(a.parent);if(a.parent.type==="property"){const r=a.parent.children[0].value;M.push(r)}else if(a.parent.type==="array"){const r=a.parent.children.indexOf(a);r!==-1&&M.push(r)}return M}e.getNodePath=c;function u(a){switch(a.type){case"array":return a.children.map(u);case"object":{const M=Object.create(null);for(let r of a.children){const n=r.children[1];n&&(M[r.children[0].value]=u(n))}return M}case"null":case"string":case"number":case"boolean":return a.value;default:return}}e.getNodeValue=u;function F(a,M,r=!1){return M>=a.offset&&M<a.offset+a.length||r&&M===a.offset+a.length}e.contains=F;function S(a,M,r=!1){if(F(a,M,r)){const n=a.children;if(Array.isArray(n))for(let b=0;b<n.length&&n[b].offset<=M;b++){const p=S(n[b],M,r);if(p)return p}return a}}e.findNodeAtOffset=S;function m(a,M,r=T.DEFAULT){const n=I(a,!1);function b(le){return le?()=>le(n.getTokenOffset(),n.getTokenLength()):()=>!0}function p(le){return le?ne=>le(ne,n.getTokenOffset(),n.getTokenLength()):()=>!0}const l=b(M.onObjectBegin),h=p(M.onObjectProperty),v=b(M.onObjectEnd),_=b(M.onArrayBegin),f=b(M.onArrayEnd),C=p(M.onLiteralValue),x=p(M.onSeparator),N=b(M.onComment),E=p(M.onError),O=r&&r.disallowComments,W=r&&r.allowTrailingComma;function U(){for(;;){const le=n.scan();switch(n.getTokenError()){case 4:H(14);break;case 5:H(15);break;case 3:H(13);break;case 1:O||H(11);break;case 2:H(12);break;case 6:H(16);break}switch(le){case 12:case 13:O?H(10):N();break;case 16:H(1);break;case 15:case 14:break;default:return le}}}function H(le,ne=[],ve=[]){if(E(le),ne.length+ve.length>0){let Ie=n.getToken();for(;Ie!==17;){if(ne.indexOf(Ie)!==-1){U();break}else if(ve.indexOf(Ie)!==-1)break;Ie=U()}}}function V(le){const ne=n.getTokenValue();return le?C(ne):h(ne),U(),!0}function Z(){switch(n.getToken()){case 11:{let le=0;try{le=JSON.parse(n.getTokenValue()),typeof le!="number"&&(H(2),le=0)}catch{H(2)}C(le);break}case 7:C(null);break;case 8:C(!0);break;case 9:C(!1);break;default:return!1}return U(),!0}function G(){return n.getToken()!==10?(H(3,[],[2,5]),!1):(V(!1),n.getToken()===6?(x(":"),U(),Se()||H(4,[],[2,5])):H(5,[],[2,5]),!0)}function oe(){l(),U();let le=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(le||H(4,[],[]),x(","),U(),n.getToken()===2&&W)break}else le&&H(6,[],[]);G()||H(4,[],[2,5]),le=!0}return v(),n.getToken()!==2?H(7,[2],[]):U(),!0}function be(){_(),U();let le=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(le||H(4,[],[]),x(","),U(),n.getToken()===4&&W)break}else le&&H(6,[],[]);Se()||H(4,[],[4,5]),le=!0}return f(),n.getToken()!==4?H(8,[4],[]):U(),!0}function Se(){switch(n.getToken()){case 3:return be();case 1:return oe();case 10:return V(!0);default:return Z()}}return U(),n.getToken()===17?r.allowEmptyContent?!0:(H(4,[],[]),!1):Se()?(n.getToken()!==17&&H(9,[],[]),!0):(H(4,[],[]),!1)}e.visit=m;function d(a,M){let r=I(a),n=[],b,p=0,l;do switch(l=r.getPosition(),b=r.scan(),b){case 12:case 13:case 17:p!==l&&n.push(a.substring(p,l)),M!==void 0&&n.push(r.getTokenValue().replace(/[^\r\n]/g,M)),p=r.getPosition();break}while(b!==17);return n.join("")}e.stripComments=d;function k(a){switch(typeof a){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(a){if(Array.isArray(a))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=k}),function(te,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(te=typeof globalThis!="undefined"?globalThis:te||self,te.marked=e())}(this,function(){"use strict";function te(Re,Ce){for(var pe=0;pe<Ce.length;pe++){var ie=Ce[pe];ie.enumerable=ie.enumerable||!1,ie.configurable=!0,"value"in ie&&(ie.writable=!0),Object.defineProperty(Re,ie.key,ie)}}function e(Re,Ce,pe){return Ce&&te(Re.prototype,Ce),pe&&te(Re,pe),Re}function s(Re,Ce){if(!!Re){if(typeof Re=="string")return t(Re,Ce);var pe=Object.prototype.toString.call(Re).slice(8,-1);if(pe==="Object"&&Re.constructor&&(pe=Re.constructor.name),pe==="Map"||pe==="Set")return Array.from(Re);if(pe==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(pe))return t(Re,Ce)}}function t(Re,Ce){(Ce==null||Ce>Re.length)&&(Ce=Re.length);for(var pe=0,ie=new Array(Ce);pe<Ce;pe++)ie[pe]=Re[pe];return ie}function y(Re,Ce){var pe=typeof Symbol!="undefined"&&Re[Symbol.iterator]||Re["@@iterator"];if(pe)return(pe=pe.call(Re)).next.bind(pe);if(Array.isArray(Re)||(pe=s(Re))||Ce&&Re&&typeof Re.length=="number"){pe&&(Re=pe);var ie=0;return function(){return ie>=Re.length?{done:!0}:{done:!1,value:Re[ie++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}var T={exports:{}};function I(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function P(Re){T.exports.defaults=Re}T.exports={defaults:I(),getDefaults:I,changeDefaults:P};var D=/[&<>"']/,A=/[&<>"']/g,R=/[<>"']|&(?!#?\w+;)/,w=/[<>"']|&(?!#?\w+;)/g,i={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},g=function(Ce){return i[Ce]};function o(Re,Ce){if(Ce){if(D.test(Re))return Re.replace(A,g)}else if(R.test(Re))return Re.replace(w,g);return Re}var c=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function u(Re){return Re.replace(c,function(Ce,pe){return pe=pe.toLowerCase(),pe==="colon"?":":pe.charAt(0)==="#"?pe.charAt(1)==="x"?String.fromCharCode(parseInt(pe.substring(2),16)):String.fromCharCode(+pe.substring(1)):""})}var F=/(^|[^\[])\^/g;function S(Re,Ce){Re=Re.source||Re,Ce=Ce||"";var pe={replace:function(se,de){return de=de.source||de,de=de.replace(F,"$1"),Re=Re.replace(se,de),pe},getRegex:function(){return new RegExp(Re,Ce)}};return pe}var m=/[^\w:]/g,d=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function k(Re,Ce,pe){if(Re){var ie;try{ie=decodeURIComponent(u(pe)).replace(m,"").toLowerCase()}catch{return null}if(ie.indexOf("javascript:")===0||ie.indexOf("vbscript:")===0||ie.indexOf("data:")===0)return null}Ce&&!d.test(pe)&&(pe=b(Ce,pe));try{pe=encodeURI(pe).replace(/%25/g,"%")}catch{return null}return pe}var a={},M=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function b(Re,Ce){a[" "+Re]||(M.test(Re)?a[" "+Re]=Re+"/":a[" "+Re]=v(Re,"/",!0)),Re=a[" "+Re];var pe=Re.indexOf(":")===-1;return Ce.substring(0,2)==="//"?pe?Ce:Re.replace(r,"$1")+Ce:Ce.charAt(0)==="/"?pe?Ce:Re.replace(n,"$1")+Ce:Re+Ce}var p={exec:function(){}};function l(Re){for(var Ce=1,pe,ie;Ce<arguments.length;Ce++){pe=arguments[Ce];for(ie in pe)Object.prototype.hasOwnProperty.call(pe,ie)&&(Re[ie]=pe[ie])}return Re}function h(Re,Ce){var pe=Re.replace(/\|/g,function(de,ge,Te){for(var ze=!1,Ne=ge;--Ne>=0&&Te[Ne]==="\\";)ze=!ze;return ze?"|":" |"}),ie=pe.split(/ \|/),se=0;if(ie[0].trim()||ie.shift(),ie[ie.length-1].trim()||ie.pop(),ie.length>Ce)ie.splice(Ce);else for(;ie.length<Ce;)ie.push("");for(;se<ie.length;se++)ie[se]=ie[se].trim().replace(/\\\|/g,"|");return ie}function v(Re,Ce,pe){var ie=Re.length;if(ie===0)return"";for(var se=0;se<ie;){var de=Re.charAt(ie-se-1);if(de===Ce&&!pe)se++;else if(de!==Ce&&pe)se++;else break}return Re.substr(0,ie-se)}function _(Re,Ce){if(Re.indexOf(Ce[1])===-1)return-1;for(var pe=Re.length,ie=0,se=0;se<pe;se++)if(Re[se]==="\\")se++;else if(Re[se]===Ce[0])ie++;else if(Re[se]===Ce[1]&&(ie--,ie<0))return se;return-1}function f(Re){Re&&Re.sanitize&&!Re.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function C(Re,Ce){if(Ce<1)return"";for(var pe="";Ce>1;)Ce&1&&(pe+=Re),Ce>>=1,Re+=Re;return pe+Re}var x={escape:o,unescape:u,edit:S,cleanUrl:k,resolveUrl:b,noopTest:p,merge:l,splitCells:h,rtrim:v,findClosingBracket:_,checkSanitizeDeprecation:f,repeatString:C},N=T.exports.defaults,E=x.rtrim,O=x.splitCells,W=x.escape,U=x.findClosingBracket;function H(Re,Ce,pe,ie){var se=Ce.href,de=Ce.title?W(Ce.title):null,ge=Re[1].replace(/\\([\[\]])/g,"$1");if(Re[0].charAt(0)!=="!"){ie.state.inLink=!0;var Te={type:"link",raw:pe,href:se,title:de,text:ge,tokens:ie.inlineTokens(ge,[])};return ie.state.inLink=!1,Te}else return{type:"image",raw:pe,href:se,title:de,text:W(ge)}}function V(Re,Ce){var pe=Re.match(/^(\s+)(?:```)/);if(pe===null)return Ce;var ie=pe[1];return Ce.split(`
`).map(function(se){var de=se.match(/^\s+/);if(de===null)return se;var ge=de[0];return ge.length>=ie.length?se.slice(ie.length):se}).join(`
`)}var Z=function(){function Re(pe){this.options=pe||N}var Ce=Re.prototype;return Ce.space=function(ie){var se=this.rules.block.newline.exec(ie);if(se)return se[0].length>1?{type:"space",raw:se[0]}:{raw:`
`}},Ce.code=function(ie){var se=this.rules.block.code.exec(ie);if(se){var de=se[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:se[0],codeBlockStyle:"indented",text:this.options.pedantic?de:E(de,`
`)}}},Ce.fences=function(ie){var se=this.rules.block.fences.exec(ie);if(se){var de=se[0],ge=V(de,se[3]||"");return{type:"code",raw:de,lang:se[2]?se[2].trim():se[2],text:ge}}},Ce.heading=function(ie){var se=this.rules.block.heading.exec(ie);if(se){var de=se[2].trim();if(/#$/.test(de)){var ge=E(de,"#");(this.options.pedantic||!ge||/ $/.test(ge))&&(de=ge.trim())}var Te={type:"heading",raw:se[0],depth:se[1].length,text:de,tokens:[]};return this.lexer.inline(Te.text,Te.tokens),Te}},Ce.hr=function(ie){var se=this.rules.block.hr.exec(ie);if(se)return{type:"hr",raw:se[0]}},Ce.blockquote=function(ie){var se=this.rules.block.blockquote.exec(ie);if(se){var de=se[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:se[0],tokens:this.lexer.blockTokens(de,[]),text:de}}},Ce.list=function(ie){var se=this.rules.block.list.exec(ie);if(se){var de,ge,Te,ze,Ne,Ge,nt,ot,Le,ue,he=se[1].trim(),ae=he.length>1,z={type:"list",raw:"",ordered:ae,start:ae?+he.slice(0,-1):"",loose:!1,items:[]};he=ae?"\\d{1,9}\\"+he.slice(-1):"\\"+he,this.options.pedantic&&(he=ae?he:"[*+-]");for(var ye=new RegExp("^( {0,3}"+he+")((?: [^\\n]*| *)(?:\\n[^\\n]*)*(?:\\n|$))");ie&&!(this.rules.block.hr.test(ie)||!(se=ye.exec(ie)));){Le=se[2].split(`
`),this.options.pedantic?(ze=2,ue=Le[0].trimLeft()):(ze=se[2].search(/[^ ]/),ze=se[1].length+(ze>4?1:ze),ue=Le[0].slice(ze-se[1].length)),Ge=!1,de=se[0],!Le[0]&&/^ *$/.test(Le[1])&&(de=se[1]+Le.slice(0,2).join(`
`)+`
`,z.loose=!0,Le=[]);var Ae=new RegExp("^ {0,"+Math.min(3,ze-1)+"}(?:[*+-]|\\d{1,9}[.)])");for(Ne=1;Ne<Le.length;Ne++){if(ot=Le[Ne],this.options.pedantic&&(ot=ot.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),Ae.test(ot)){de=se[1]+Le.slice(0,Ne).join(`
`)+`
`;break}if(!Ge){ot.trim()||(Ge=!0),ot.search(/[^ ]/)>=ze?ue+=`
`+ot.slice(ze):ue+=`
`+ot;continue}if(ot.search(/[^ ]/)>=ze||!ot.trim()){ue+=`
`+ot.slice(ze);continue}else{de=se[1]+Le.slice(0,Ne).join(`
`)+`
`;break}}z.loose||(nt?z.loose=!0:/\n *\n *$/.test(de)&&(nt=!0)),this.options.gfm&&(ge=/^\[[ xX]\] /.exec(ue),ge&&(Te=ge[0]!=="[ ] ",ue=ue.replace(/^\[[ xX]\] +/,""))),z.items.push({type:"list_item",raw:de,task:!!ge,checked:Te,loose:!1,text:ue}),z.raw+=de,ie=ie.slice(de.length)}z.items[z.items.length-1].raw=de.trimRight(),z.items[z.items.length-1].text=ue.trimRight(),z.raw=z.raw.trimRight();var je=z.items.length;for(Ne=0;Ne<je;Ne++)this.lexer.state.top=!1,z.items[Ne].tokens=this.lexer.blockTokens(z.items[Ne].text,[]),z.items[Ne].tokens.some(function(We){return We.type==="space"})&&(z.loose=!0,z.items[Ne].loose=!0);return z}},Ce.html=function(ie){var se=this.rules.block.html.exec(ie);if(se){var de={type:"html",raw:se[0],pre:!this.options.sanitizer&&(se[1]==="pre"||se[1]==="script"||se[1]==="style"),text:se[0]};return this.options.sanitize&&(de.type="paragraph",de.text=this.options.sanitizer?this.options.sanitizer(se[0]):W(se[0]),de.tokens=[],this.lexer.inline(de.text,de.tokens)),de}},Ce.def=function(ie){var se=this.rules.block.def.exec(ie);if(se){se[3]&&(se[3]=se[3].substring(1,se[3].length-1));var de=se[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:de,raw:se[0],href:se[2],title:se[3]}}},Ce.table=function(ie){var se=this.rules.block.table.exec(ie);if(se){var de={type:"table",header:O(se[1]).map(function(nt){return{text:nt}}),align:se[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:se[3]?se[3].replace(/\n$/,"").split(`
`):[]};if(de.header.length===de.align.length){de.raw=se[0];var ge=de.align.length,Te,ze,Ne,Ge;for(Te=0;Te<ge;Te++)/^ *-+: *$/.test(de.align[Te])?de.align[Te]="right":/^ *:-+: *$/.test(de.align[Te])?de.align[Te]="center":/^ *:-+ *$/.test(de.align[Te])?de.align[Te]="left":de.align[Te]=null;for(ge=de.rows.length,Te=0;Te<ge;Te++)de.rows[Te]=O(de.rows[Te],de.header.length).map(function(nt){return{text:nt}});for(ge=de.header.length,ze=0;ze<ge;ze++)de.header[ze].tokens=[],this.lexer.inlineTokens(de.header[ze].text,de.header[ze].tokens);for(ge=de.rows.length,ze=0;ze<ge;ze++)for(Ge=de.rows[ze],Ne=0;Ne<Ge.length;Ne++)Ge[Ne].tokens=[],this.lexer.inlineTokens(Ge[Ne].text,Ge[Ne].tokens);return de}}},Ce.lheading=function(ie){var se=this.rules.block.lheading.exec(ie);if(se){var de={type:"heading",raw:se[0],depth:se[2].charAt(0)==="="?1:2,text:se[1],tokens:[]};return this.lexer.inline(de.text,de.tokens),de}},Ce.paragraph=function(ie){var se=this.rules.block.paragraph.exec(ie);if(se){var de={type:"paragraph",raw:se[0],text:se[1].charAt(se[1].length-1)===`
`?se[1].slice(0,-1):se[1],tokens:[]};return this.lexer.inline(de.text,de.tokens),de}},Ce.text=function(ie){var se=this.rules.block.text.exec(ie);if(se){var de={type:"text",raw:se[0],text:se[0],tokens:[]};return this.lexer.inline(de.text,de.tokens),de}},Ce.escape=function(ie){var se=this.rules.inline.escape.exec(ie);if(se)return{type:"escape",raw:se[0],text:W(se[1])}},Ce.tag=function(ie){var se=this.rules.inline.tag.exec(ie);if(se)return!this.lexer.state.inLink&&/^<a /i.test(se[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(se[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(se[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(se[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:se[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(se[0]):W(se[0]):se[0]}},Ce.link=function(ie){var se=this.rules.inline.link.exec(ie);if(se){var de=se[2].trim();if(!this.options.pedantic&&/^</.test(de)){if(!/>$/.test(de))return;var ge=E(de.slice(0,-1),"\\");if((de.length-ge.length)%2==0)return}else{var Te=U(se[2],"()");if(Te>-1){var ze=se[0].indexOf("!")===0?5:4,Ne=ze+se[1].length+Te;se[2]=se[2].substring(0,Te),se[0]=se[0].substring(0,Ne).trim(),se[3]=""}}var Ge=se[2],nt="";if(this.options.pedantic){var ot=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ge);ot&&(Ge=ot[1],nt=ot[3])}else nt=se[3]?se[3].slice(1,-1):"";return Ge=Ge.trim(),/^</.test(Ge)&&(this.options.pedantic&&!/>$/.test(de)?Ge=Ge.slice(1):Ge=Ge.slice(1,-1)),H(se,{href:Ge&&Ge.replace(this.rules.inline._escapes,"$1"),title:nt&&nt.replace(this.rules.inline._escapes,"$1")},se[0],this.lexer)}},Ce.reflink=function(ie,se){var de;if((de=this.rules.inline.reflink.exec(ie))||(de=this.rules.inline.nolink.exec(ie))){var ge=(de[2]||de[1]).replace(/\s+/g," ");if(ge=se[ge.toLowerCase()],!ge||!ge.href){var Te=de[0].charAt(0);return{type:"text",raw:Te,text:Te}}return H(de,ge,de[0],this.lexer)}},Ce.emStrong=function(ie,se,de){de===void 0&&(de="");var ge=this.rules.inline.emStrong.lDelim.exec(ie);if(!!ge&&!(ge[3]&&de.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Te=ge[1]||ge[2]||"";if(!Te||Te&&(de===""||this.rules.inline.punctuation.exec(de))){var ze=ge[0].length-1,Ne,Ge,nt=ze,ot=0,Le=ge[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(Le.lastIndex=0,se=se.slice(-1*ie.length+ze);(ge=Le.exec(se))!=null;)if(Ne=ge[1]||ge[2]||ge[3]||ge[4]||ge[5]||ge[6],!!Ne){if(Ge=Ne.length,ge[3]||ge[4]){nt+=Ge;continue}else if((ge[5]||ge[6])&&ze%3&&!((ze+Ge)%3)){ot+=Ge;continue}if(nt-=Ge,!(nt>0)){if(Ge=Math.min(Ge,Ge+nt+ot),Math.min(ze,Ge)%2){var ue=ie.slice(1,ze+ge.index+Ge);return{type:"em",raw:ie.slice(0,ze+ge.index+Ge+1),text:ue,tokens:this.lexer.inlineTokens(ue,[])}}var he=ie.slice(2,ze+ge.index+Ge-1);return{type:"strong",raw:ie.slice(0,ze+ge.index+Ge+1),text:he,tokens:this.lexer.inlineTokens(he,[])}}}}}},Ce.codespan=function(ie){var se=this.rules.inline.code.exec(ie);if(se){var de=se[2].replace(/\n/g," "),ge=/[^ ]/.test(de),Te=/^ /.test(de)&&/ $/.test(de);return ge&&Te&&(de=de.substring(1,de.length-1)),de=W(de,!0),{type:"codespan",raw:se[0],text:de}}},Ce.br=function(ie){var se=this.rules.inline.br.exec(ie);if(se)return{type:"br",raw:se[0]}},Ce.del=function(ie){var se=this.rules.inline.del.exec(ie);if(se)return{type:"del",raw:se[0],text:se[2],tokens:this.lexer.inlineTokens(se[2],[])}},Ce.autolink=function(ie,se){var de=this.rules.inline.autolink.exec(ie);if(de){var ge,Te;return de[2]==="@"?(ge=W(this.options.mangle?se(de[1]):de[1]),Te="mailto:"+ge):(ge=W(de[1]),Te=ge),{type:"link",raw:de[0],text:ge,href:Te,tokens:[{type:"text",raw:ge,text:ge}]}}},Ce.url=function(ie,se){var de;if(de=this.rules.inline.url.exec(ie)){var ge,Te;if(de[2]==="@")ge=W(this.options.mangle?se(de[0]):de[0]),Te="mailto:"+ge;else{var ze;do ze=de[0],de[0]=this.rules.inline._backpedal.exec(de[0])[0];while(ze!==de[0]);ge=W(de[0]),de[1]==="www."?Te="http://"+ge:Te=ge}return{type:"link",raw:de[0],text:ge,href:Te,tokens:[{type:"text",raw:ge,text:ge}]}}},Ce.inlineText=function(ie,se){var de=this.rules.inline.text.exec(ie);if(de){var ge;return this.lexer.state.inRawBlock?ge=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(de[0]):W(de[0]):de[0]:ge=W(this.options.smartypants?se(de[0]):de[0]),{type:"text",raw:de[0],text:ge}}},Re}(),G=x.noopTest,oe=x.edit,be=x.merge,Se={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)( [^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,table:G,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};Se._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,Se._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,Se.def=oe(Se.def).replace("label",Se._label).replace("title",Se._title).getRegex(),Se.bullet=/(?:[*+-]|\d{1,9}[.)])/,Se.listItemStart=oe(/^( *)(bull) */).replace("bull",Se.bullet).getRegex(),Se.list=oe(Se.list).replace(/bull/g,Se.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+Se.def.source+")").getRegex(),Se._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",Se._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,Se.html=oe(Se.html,"i").replace("comment",Se._comment).replace("tag",Se._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),Se.paragraph=oe(Se._paragraph).replace("hr",Se.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",Se._tag).getRegex(),Se.blockquote=oe(Se.blockquote).replace("paragraph",Se.paragraph).getRegex(),Se.normal=be({},Se),Se.gfm=be({},Se.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)\\|?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),Se.gfm.table=oe(Se.gfm.table).replace("hr",Se.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",Se._tag).getRegex(),Se.pedantic=be({},Se.normal,{html:oe(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",Se._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:G,paragraph:oe(Se.normal._paragraph).replace("hr",Se.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",Se.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var le={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:G,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_*]*?\*[^_*]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^_*]*?\_[^_*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:G,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};le._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",le.punctuation=oe(le.punctuation).replace(/punctuation/g,le._punctuation).getRegex(),le.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,le.escapedEmSt=/\\\*|\\_/g,le._comment=oe(Se._comment).replace("(?:-->|$)","-->").getRegex(),le.emStrong.lDelim=oe(le.emStrong.lDelim).replace(/punct/g,le._punctuation).getRegex(),le.emStrong.rDelimAst=oe(le.emStrong.rDelimAst,"g").replace(/punct/g,le._punctuation).getRegex(),le.emStrong.rDelimUnd=oe(le.emStrong.rDelimUnd,"g").replace(/punct/g,le._punctuation).getRegex(),le._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,le._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,le._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,le.autolink=oe(le.autolink).replace("scheme",le._scheme).replace("email",le._email).getRegex(),le._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,le.tag=oe(le.tag).replace("comment",le._comment).replace("attribute",le._attribute).getRegex(),le._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,le._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,le._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,le.link=oe(le.link).replace("label",le._label).replace("href",le._href).replace("title",le._title).getRegex(),le.reflink=oe(le.reflink).replace("label",le._label).getRegex(),le.reflinkSearch=oe(le.reflinkSearch,"g").replace("reflink",le.reflink).replace("nolink",le.nolink).getRegex(),le.normal=be({},le),le.pedantic=be({},le.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:oe(/^!?\[(label)\]\((.*?)\)/).replace("label",le._label).getRegex(),reflink:oe(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",le._label).getRegex()}),le.gfm=be({},le.normal,{escape:oe(le.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),le.gfm.url=oe(le.gfm.url,"i").replace("email",le.gfm._extended_email).getRegex(),le.breaks=be({},le.gfm,{br:oe(le.br).replace("{2,}","*").getRegex(),text:oe(le.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var ne={block:Se,inline:le},ve=Z,Ie=T.exports.defaults,Oe=ne.block,He=ne.inline,Xe=x.repeatString;function Ye(Re){return Re.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function $(Re){var Ce="",pe,ie,se=Re.length;for(pe=0;pe<se;pe++)ie=Re.charCodeAt(pe),Math.random()>.5&&(ie="x"+ie.toString(16)),Ce+="&#"+ie+";";return Ce}var K=function(){function Re(pe){this.tokens=[],this.tokens.links=Object.create(null),this.options=pe||Ie,this.options.tokenizer=this.options.tokenizer||new ve,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var ie={block:Oe.normal,inline:He.normal};this.options.pedantic?(ie.block=Oe.pedantic,ie.inline=He.pedantic):this.options.gfm&&(ie.block=Oe.gfm,this.options.breaks?ie.inline=He.breaks:ie.inline=He.gfm),this.tokenizer.rules=ie}Re.lex=function(ie,se){var de=new Re(se);return de.lex(ie)},Re.lexInline=function(ie,se){var de=new Re(se);return de.inlineTokens(ie)};var Ce=Re.prototype;return Ce.lex=function(ie){ie=ie.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(ie,this.tokens);for(var se;se=this.inlineQueue.shift();)this.inlineTokens(se.src,se.tokens);return this.tokens},Ce.blockTokens=function(ie,se){var de=this;se===void 0&&(se=[]),this.options.pedantic&&(ie=ie.replace(/^ +$/gm,""));for(var ge,Te,ze,Ne;ie;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(nt){return(ge=nt.call({lexer:de},ie,se))?(ie=ie.substring(ge.raw.length),se.push(ge),!0):!1}))){if(ge=this.tokenizer.space(ie)){ie=ie.substring(ge.raw.length),ge.type&&se.push(ge);continue}if(ge=this.tokenizer.code(ie)){ie=ie.substring(ge.raw.length),Te=se[se.length-1],Te&&(Te.type==="paragraph"||Te.type==="text")?(Te.raw+=`
`+ge.raw,Te.text+=`
`+ge.text,this.inlineQueue[this.inlineQueue.length-1].src=Te.text):se.push(ge);continue}if(ge=this.tokenizer.fences(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.heading(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.hr(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.blockquote(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.list(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.html(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.def(ie)){ie=ie.substring(ge.raw.length),Te=se[se.length-1],Te&&(Te.type==="paragraph"||Te.type==="text")?(Te.raw+=`
`+ge.raw,Te.text+=`
`+ge.raw,this.inlineQueue[this.inlineQueue.length-1].src=Te.text):this.tokens.links[ge.tag]||(this.tokens.links[ge.tag]={href:ge.href,title:ge.title});continue}if(ge=this.tokenizer.table(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.lheading(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ze=ie,this.options.extensions&&this.options.extensions.startBlock&&function(){var nt=1/0,ot=ie.slice(1),Le=void 0;de.options.extensions.startBlock.forEach(function(ue){Le=ue.call({lexer:this},ot),typeof Le=="number"&&Le>=0&&(nt=Math.min(nt,Le))}),nt<1/0&&nt>=0&&(ze=ie.substring(0,nt+1))}(),this.state.top&&(ge=this.tokenizer.paragraph(ze))){Te=se[se.length-1],Ne&&Te.type==="paragraph"?(Te.raw+=`
`+ge.raw,Te.text+=`
`+ge.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Te.text):se.push(ge),Ne=ze.length!==ie.length,ie=ie.substring(ge.raw.length);continue}if(ge=this.tokenizer.text(ie)){ie=ie.substring(ge.raw.length),Te=se[se.length-1],Te&&Te.type==="text"?(Te.raw+=`
`+ge.raw,Te.text+=`
`+ge.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Te.text):se.push(ge);continue}if(ie){var Ge="Infinite loop on byte: "+ie.charCodeAt(0);if(this.options.silent){console.error(Ge);break}else throw new Error(Ge)}}return this.state.top=!0,se},Ce.inline=function(ie,se){this.inlineQueue.push({src:ie,tokens:se})},Ce.inlineTokens=function(ie,se){var de=this;se===void 0&&(se=[]);var ge,Te,ze,Ne=ie,Ge,nt,ot;if(this.tokens.links){var Le=Object.keys(this.tokens.links);if(Le.length>0)for(;(Ge=this.tokenizer.rules.inline.reflinkSearch.exec(Ne))!=null;)Le.includes(Ge[0].slice(Ge[0].lastIndexOf("[")+1,-1))&&(Ne=Ne.slice(0,Ge.index)+"["+Xe("a",Ge[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ge=this.tokenizer.rules.inline.blockSkip.exec(Ne))!=null;)Ne=Ne.slice(0,Ge.index)+"["+Xe("a",Ge[0].length-2)+"]"+Ne.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ge=this.tokenizer.rules.inline.escapedEmSt.exec(Ne))!=null;)Ne=Ne.slice(0,Ge.index)+"++"+Ne.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;ie;)if(nt||(ot=""),nt=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(he){return(ge=he.call({lexer:de},ie,se))?(ie=ie.substring(ge.raw.length),se.push(ge),!0):!1}))){if(ge=this.tokenizer.escape(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.tag(ie)){ie=ie.substring(ge.raw.length),Te=se[se.length-1],Te&&ge.type==="text"&&Te.type==="text"?(Te.raw+=ge.raw,Te.text+=ge.text):se.push(ge);continue}if(ge=this.tokenizer.link(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.reflink(ie,this.tokens.links)){ie=ie.substring(ge.raw.length),Te=se[se.length-1],Te&&ge.type==="text"&&Te.type==="text"?(Te.raw+=ge.raw,Te.text+=ge.text):se.push(ge);continue}if(ge=this.tokenizer.emStrong(ie,Ne,ot)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.codespan(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.br(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.del(ie)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ge=this.tokenizer.autolink(ie,$)){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(!this.state.inLink&&(ge=this.tokenizer.url(ie,$))){ie=ie.substring(ge.raw.length),se.push(ge);continue}if(ze=ie,this.options.extensions&&this.options.extensions.startInline&&function(){var he=1/0,ae=ie.slice(1),z=void 0;de.options.extensions.startInline.forEach(function(ye){z=ye.call({lexer:this},ae),typeof z=="number"&&z>=0&&(he=Math.min(he,z))}),he<1/0&&he>=0&&(ze=ie.substring(0,he+1))}(),ge=this.tokenizer.inlineText(ze,Ye)){ie=ie.substring(ge.raw.length),ge.raw.slice(-1)!=="_"&&(ot=ge.raw.slice(-1)),nt=!0,Te=se[se.length-1],Te&&Te.type==="text"?(Te.raw+=ge.raw,Te.text+=ge.text):se.push(ge);continue}if(ie){var ue="Infinite loop on byte: "+ie.charCodeAt(0);if(this.options.silent){console.error(ue);break}else throw new Error(ue)}}return se},e(Re,null,[{key:"rules",get:function(){return{block:Oe,inline:He}}}]),Re}(),Y=T.exports.defaults,re=x.cleanUrl,q=x.escape,J=function(){function Re(pe){this.options=pe||Y}var Ce=Re.prototype;return Ce.code=function(ie,se,de){var ge=(se||"").match(/\S*/)[0];if(this.options.highlight){var Te=this.options.highlight(ie,ge);Te!=null&&Te!==ie&&(de=!0,ie=Te)}return ie=ie.replace(/\n$/,"")+`
`,ge?'<pre><code class="'+this.options.langPrefix+q(ge,!0)+'">'+(de?ie:q(ie,!0))+`</code></pre>
`:"<pre><code>"+(de?ie:q(ie,!0))+`</code></pre>
`},Ce.blockquote=function(ie){return`<blockquote>
`+ie+`</blockquote>
`},Ce.html=function(ie){return ie},Ce.heading=function(ie,se,de,ge){return this.options.headerIds?"<h"+se+' id="'+this.options.headerPrefix+ge.slug(de)+'">'+ie+"</h"+se+`>
`:"<h"+se+">"+ie+"</h"+se+`>
`},Ce.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},Ce.list=function(ie,se,de){var ge=se?"ol":"ul",Te=se&&de!==1?' start="'+de+'"':"";return"<"+ge+Te+`>
`+ie+"</"+ge+`>
`},Ce.listitem=function(ie){return"<li>"+ie+`</li>
`},Ce.checkbox=function(ie){return"<input "+(ie?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},Ce.paragraph=function(ie){return"<p>"+ie+`</p>
`},Ce.table=function(ie,se){return se&&(se="<tbody>"+se+"</tbody>"),`<table>
<thead>
`+ie+`</thead>
`+se+`</table>
`},Ce.tablerow=function(ie){return`<tr>
`+ie+`</tr>
`},Ce.tablecell=function(ie,se){var de=se.header?"th":"td",ge=se.align?"<"+de+' align="'+se.align+'">':"<"+de+">";return ge+ie+"</"+de+`>
`},Ce.strong=function(ie){return"<strong>"+ie+"</strong>"},Ce.em=function(ie){return"<em>"+ie+"</em>"},Ce.codespan=function(ie){return"<code>"+ie+"</code>"},Ce.br=function(){return this.options.xhtml?"<br/>":"<br>"},Ce.del=function(ie){return"<del>"+ie+"</del>"},Ce.link=function(ie,se,de){if(ie=re(this.options.sanitize,this.options.baseUrl,ie),ie===null)return de;var ge='<a href="'+q(ie)+'"';return se&&(ge+=' title="'+se+'"'),ge+=">"+de+"</a>",ge},Ce.image=function(ie,se,de){if(ie=re(this.options.sanitize,this.options.baseUrl,ie),ie===null)return de;var ge='<img src="'+ie+'" alt="'+de+'"';return se&&(ge+=' title="'+se+'"'),ge+=this.options.xhtml?"/>":">",ge},Ce.text=function(ie){return ie},Re}(),me=function(){function Re(){}var Ce=Re.prototype;return Ce.strong=function(ie){return ie},Ce.em=function(ie){return ie},Ce.codespan=function(ie){return ie},Ce.del=function(ie){return ie},Ce.html=function(ie){return ie},Ce.text=function(ie){return ie},Ce.link=function(ie,se,de){return""+de},Ce.image=function(ie,se,de){return""+de},Ce.br=function(){return""},Re}(),Pe=function(){function Re(){this.seen={}}var Ce=Re.prototype;return Ce.serialize=function(ie){return ie.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},Ce.getNextSafeSlug=function(ie,se){var de=ie,ge=0;if(this.seen.hasOwnProperty(de)){ge=this.seen[ie];do ge++,de=ie+"-"+ge;while(this.seen.hasOwnProperty(de))}return se||(this.seen[ie]=ge,this.seen[de]=0),de},Ce.slug=function(ie,se){se===void 0&&(se={});var de=this.serialize(ie);return this.getNextSafeSlug(de,se.dryrun)},Re}(),Be=J,Ve=me,Qe=Pe,tt=T.exports.defaults,at=x.unescape,Je=function(){function Re(pe){this.options=pe||tt,this.options.renderer=this.options.renderer||new Be,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new Ve,this.slugger=new Qe}Re.parse=function(ie,se){var de=new Re(se);return de.parse(ie)},Re.parseInline=function(ie,se){var de=new Re(se);return de.parseInline(ie)};var Ce=Re.prototype;return Ce.parse=function(ie,se){se===void 0&&(se=!0);var de="",ge,Te,ze,Ne,Ge,nt,ot,Le,ue,he,ae,z,ye,Ae,je,We,mt,Et,_t,dt=ie.length;for(ge=0;ge<dt;ge++){if(he=ie[ge],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[he.type]&&(_t=this.options.extensions.renderers[he.type].call({parser:this},he),_t!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(he.type))){de+=_t||"";continue}switch(he.type){case"space":continue;case"hr":{de+=this.renderer.hr();continue}case"heading":{de+=this.renderer.heading(this.parseInline(he.tokens),he.depth,at(this.parseInline(he.tokens,this.textRenderer)),this.slugger);continue}case"code":{de+=this.renderer.code(he.text,he.lang,he.escaped);continue}case"table":{for(Le="",ot="",Ne=he.header.length,Te=0;Te<Ne;Te++)ot+=this.renderer.tablecell(this.parseInline(he.header[Te].tokens),{header:!0,align:he.align[Te]});for(Le+=this.renderer.tablerow(ot),ue="",Ne=he.rows.length,Te=0;Te<Ne;Te++){for(nt=he.rows[Te],ot="",Ge=nt.length,ze=0;ze<Ge;ze++)ot+=this.renderer.tablecell(this.parseInline(nt[ze].tokens),{header:!1,align:he.align[ze]});ue+=this.renderer.tablerow(ot)}de+=this.renderer.table(Le,ue);continue}case"blockquote":{ue=this.parse(he.tokens),de+=this.renderer.blockquote(ue);continue}case"list":{for(ae=he.ordered,z=he.start,ye=he.loose,Ne=he.items.length,ue="",Te=0;Te<Ne;Te++)je=he.items[Te],We=je.checked,mt=je.task,Ae="",je.task&&(Et=this.renderer.checkbox(We),ye?je.tokens.length>0&&je.tokens[0].type==="paragraph"?(je.tokens[0].text=Et+" "+je.tokens[0].text,je.tokens[0].tokens&&je.tokens[0].tokens.length>0&&je.tokens[0].tokens[0].type==="text"&&(je.tokens[0].tokens[0].text=Et+" "+je.tokens[0].tokens[0].text)):je.tokens.unshift({type:"text",text:Et}):Ae+=Et),Ae+=this.parse(je.tokens,ye),ue+=this.renderer.listitem(Ae,mt,We);de+=this.renderer.list(ue,ae,z);continue}case"html":{de+=this.renderer.html(he.text);continue}case"paragraph":{de+=this.renderer.paragraph(this.parseInline(he.tokens));continue}case"text":{for(ue=he.tokens?this.parseInline(he.tokens):he.text;ge+1<dt&&ie[ge+1].type==="text";)he=ie[++ge],ue+=`
`+(he.tokens?this.parseInline(he.tokens):he.text);de+=se?this.renderer.paragraph(ue):ue;continue}default:{var vt='Token with "'+he.type+'" type was not found.';if(this.options.silent){console.error(vt);return}else throw new Error(vt)}}}return de},Ce.parseInline=function(ie,se){se=se||this.renderer;var de="",ge,Te,ze,Ne=ie.length;for(ge=0;ge<Ne;ge++){if(Te=ie[ge],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Te.type]&&(ze=this.options.extensions.renderers[Te.type].call({parser:this},Te),ze!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(Te.type))){de+=ze||"";continue}switch(Te.type){case"escape":{de+=se.text(Te.text);break}case"html":{de+=se.html(Te.text);break}case"link":{de+=se.link(Te.href,Te.title,this.parseInline(Te.tokens,se));break}case"image":{de+=se.image(Te.href,Te.title,Te.text);break}case"strong":{de+=se.strong(this.parseInline(Te.tokens,se));break}case"em":{de+=se.em(this.parseInline(Te.tokens,se));break}case"codespan":{de+=se.codespan(Te.text);break}case"br":{de+=se.br();break}case"del":{de+=se.del(this.parseInline(Te.tokens,se));break}case"text":{de+=se.text(Te.text);break}default:{var Ge='Token with "'+Te.type+'" type was not found.';if(this.options.silent){console.error(Ge);return}else throw new Error(Ge)}}}return de},Re}(),rt=K,ut=Je,pt=Z,Me=J,Rt=me,j=Pe,Q=x.merge,fe=x.checkSanitizeDeprecation,xe=x.escape,qe=T.exports.getDefaults,st=T.exports.changeDefaults,ht=T.exports.defaults;function Ze(Re,Ce,pe){if(typeof Re=="undefined"||Re===null)throw new Error("marked(): input parameter is undefined or null");if(typeof Re!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(Re)+", string expected");if(typeof Ce=="function"&&(pe=Ce,Ce=null),Ce=Q({},Ze.defaults,Ce||{}),fe(Ce),pe){var ie=Ce.highlight,se;try{se=rt.lex(Re,Ce)}catch(ze){return pe(ze)}var de=function(Ne){var Ge;if(!Ne)try{Ce.walkTokens&&Ze.walkTokens(se,Ce.walkTokens),Ge=ut.parse(se,Ce)}catch(nt){Ne=nt}return Ce.highlight=ie,Ne?pe(Ne):pe(null,Ge)};if(!ie||ie.length<3||(delete Ce.highlight,!se.length))return de();var ge=0;Ze.walkTokens(se,function(ze){ze.type==="code"&&(ge++,setTimeout(function(){ie(ze.text,ze.lang,function(Ne,Ge){if(Ne)return de(Ne);Ge!=null&&Ge!==ze.text&&(ze.text=Ge,ze.escaped=!0),ge--,ge===0&&de()})},0))}),ge===0&&de();return}try{var Te=rt.lex(Re,Ce);return Ce.walkTokens&&Ze.walkTokens(Te,Ce.walkTokens),ut.parse(Te,Ce)}catch(ze){if(ze.message+=`
Please report this to https://github.com/markedjs/marked.`,Ce.silent)return"<p>An error occurred:</p><pre>"+xe(ze.message+"",!0)+"</pre>";throw ze}}Ze.options=Ze.setOptions=function(Re){return Q(Ze.defaults,Re),st(Ze.defaults),Ze},Ze.getDefaults=qe,Ze.defaults=ht,Ze.use=function(){for(var Re=this,Ce=arguments.length,pe=new Array(Ce),ie=0;ie<Ce;ie++)pe[ie]=arguments[ie];var se=Q.apply(void 0,[{}].concat(pe)),de=Ze.defaults.extensions||{renderers:{},childTokens:{}},ge;pe.forEach(function(Te){if(Te.extensions&&(ge=!0,Te.extensions.forEach(function(Ne){if(!Ne.name)throw new Error("extension name required");if(Ne.renderer){var Ge=de.renderers?de.renderers[Ne.name]:null;Ge?de.renderers[Ne.name]=function(){for(var nt=arguments.length,ot=new Array(nt),Le=0;Le<nt;Le++)ot[Le]=arguments[Le];var ue=Ne.renderer.apply(this,ot);return ue===!1&&(ue=Ge.apply(this,ot)),ue}:de.renderers[Ne.name]=Ne.renderer}if(Ne.tokenizer){if(!Ne.level||Ne.level!=="block"&&Ne.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");de[Ne.level]?de[Ne.level].unshift(Ne.tokenizer):de[Ne.level]=[Ne.tokenizer],Ne.start&&(Ne.level==="block"?de.startBlock?de.startBlock.push(Ne.start):de.startBlock=[Ne.start]:Ne.level==="inline"&&(de.startInline?de.startInline.push(Ne.start):de.startInline=[Ne.start]))}Ne.childTokens&&(de.childTokens[Ne.name]=Ne.childTokens)})),Te.renderer&&function(){var Ne=Ze.defaults.renderer||new Me,Ge=function(Le){var ue=Ne[Le];Ne[Le]=function(){for(var he=arguments.length,ae=new Array(he),z=0;z<he;z++)ae[z]=arguments[z];var ye=Te.renderer[Le].apply(Ne,ae);return ye===!1&&(ye=ue.apply(Ne,ae)),ye}};for(var nt in Te.renderer)Ge(nt);se.renderer=Ne}(),Te.tokenizer&&function(){var Ne=Ze.defaults.tokenizer||new pt,Ge=function(Le){var ue=Ne[Le];Ne[Le]=function(){for(var he=arguments.length,ae=new Array(he),z=0;z<he;z++)ae[z]=arguments[z];var ye=Te.tokenizer[Le].apply(Ne,ae);return ye===!1&&(ye=ue.apply(Ne,ae)),ye}};for(var nt in Te.tokenizer)Ge(nt);se.tokenizer=Ne}(),Te.walkTokens){var ze=Ze.defaults.walkTokens;se.walkTokens=function(Ne){Te.walkTokens.call(Re,Ne),ze&&ze(Ne)}}ge&&(se.extensions=de),Ze.setOptions(se)})},Ze.walkTokens=function(Re,Ce){for(var pe=function(){var ge=se.value;switch(Ce(ge),ge.type){case"table":{for(var Te=y(ge.header),ze;!(ze=Te()).done;){var Ne=ze.value;Ze.walkTokens(Ne.tokens,Ce)}for(var Ge=y(ge.rows),nt;!(nt=Ge()).done;)for(var ot=nt.value,Le=y(ot),ue;!(ue=Le()).done;){var he=ue.value;Ze.walkTokens(he.tokens,Ce)}break}case"list":{Ze.walkTokens(ge.items,Ce);break}default:Ze.defaults.extensions&&Ze.defaults.extensions.childTokens&&Ze.defaults.extensions.childTokens[ge.type]?Ze.defaults.extensions.childTokens[ge.type].forEach(function(ae){Ze.walkTokens(ge[ae],Ce)}):ge.tokens&&Ze.walkTokens(ge.tokens,Ce)}},ie=y(Re),se;!(se=ie()).done;)pe()},Ze.parseInline=function(Re,Ce){if(typeof Re=="undefined"||Re===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof Re!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(Re)+", string expected");Ce=Q({},Ze.defaults,Ce||{}),fe(Ce);try{var pe=rt.lexInline(Re,Ce);return Ce.walkTokens&&Ze.walkTokens(pe,Ce.walkTokens),ut.parseInline(pe,Ce)}catch(ie){if(ie.message+=`
Please report this to https://github.com/markedjs/marked.`,Ce.silent)return"<p>An error occurred:</p><pre>"+xe(ie.message+"",!0)+"</pre>";throw ie}},Ze.Parser=ut,Ze.parser=ut.parse,Ze.Renderer=Me,Ze.TextRenderer=Rt,Ze.Lexer=rt,Ze.lexer=rt.lex,Ze.Tokenizer=pt,Ze.Slugger=j,Ze.parse=Ze;var kt=Ze;return kt}),define(we[75],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function s(I,P,D){return Math.min(Math.max(I,P),D)}e.clamp=s;function t(I,P){return(P+I%P)%P}e.rot=t;class y{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=y;class T{constructor(){this._n=1,this._val=0}update(P){return this._val=this._val+(P-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=T}),function(){function te(y){const T=[];typeof y=="number"&&T.push("code/timeOrigin",y);function I(D){T.push(D,Date.now())}function P(){const D=[];for(let A=0;A<T.length;A+=2)D.push({name:T[A],startTime:T[A+1]});return D}return{mark:I,getMarks:P}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?te():{mark(y){performance.mark(y)},getMarks(){let y=performance.timeOrigin;typeof y!="number"&&(y=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const T=[{name:"code/timeOrigin",startTime:Math.round(y)}];for(const I of performance.getEntriesByType("mark"))T.push({name:I.name,startTime:Math.round(y+I.startTime)});return T}};if(typeof process=="object"){const y=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return te(y)}else return console.trace("perf-util loaded in UNKNOWN environment"),te()}function s(y){return y.MonacoPerformanceMarks||(y.MonacoPerformanceMarks=e()),y.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return s(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=s(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=s(t))}(),define(we[76],Ee([0,1,17]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0;var t;(function(w){w.text="text/plain",w.binary="application/octet-stream",w.unknown="application/unknown",w.markdown="text/markdown",w.latex="text/latex"})(t=e.Mimes||(e.Mimes={}));const y={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},T={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function I(w){const i=(0,s.extname)(w),g=y[i.toLowerCase()];return g!==void 0?g:P(w)}e.getMediaOrTextMime=I;function P(w){const i=(0,s.extname)(w);return T[i.toLowerCase()]}e.getMediaMime=P;function D(w){for(const i in T)if(T[i]===w)return i}e.getExtensionForMimeType=D;const A=/^(.+)\/(.+?)(;.+)?$/;function R(w,i){const g=A.exec(w);return g?`${g[1].toLowerCase()}/${g[2].toLowerCase()}${g[3]??""}`:i?void 0:w}e.normalizeMimeType=R}),define(we[101],Ee([0,1,15,6]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function y(m){const d=m;return d?[d.on,d.pause,d.resume,d.destroy].every(k=>typeof k=="function"):!1}e.isReadableStream=y;function T(m){const d=m;return d?y(d.stream)&&Array.isArray(d.buffer)&&typeof d.ended=="boolean":!1}e.isReadableBufferedStream=T;function I(m,d){return new P(m,d)}e.newWriteableStream=I;class P{constructor(d,k){this.reducer=d,this.options=k,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(d){if(!this.state.destroyed){if(this.state.flowing)this.emitData(d);else if(this.buffer.data.push(d),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(k=>this.pendingWritePromises.push(k))}}error(d){this.state.destroyed||(this.state.flowing?this.emitError(d):this.buffer.error.push(d))}end(d){this.state.destroyed||(typeof d!="undefined"&&this.write(d),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(d){this.listeners.data.slice(0).forEach(k=>k(d))}emitError(d){this.listeners.error.length===0?(0,s.onUnexpectedError)(d):this.listeners.error.slice(0).forEach(k=>k(d))}emitEnd(){this.listeners.end.slice(0).forEach(d=>d())}on(d,k){if(!this.state.destroyed)switch(d){case"data":this.listeners.data.push(k),this.resume();break;case"end":this.listeners.end.push(k),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(k),this.state.flowing&&this.flowErrors();break}}removeListener(d,k){if(this.state.destroyed)return;let a;switch(d){case"data":a=this.listeners.data;break;case"end":a=this.listeners.end;break;case"error":a=this.listeners.error;break}if(a){const M=a.indexOf(k);M>=0&&a.splice(M,1)}}flowData(){if(this.buffer.data.length>0){const d=this.reducer(this.buffer.data);this.emitData(d),this.buffer.data.length=0;const k=[...this.pendingWritePromises];this.pendingWritePromises.length=0,k.forEach(a=>a())}}flowErrors(){if(this.listeners.error.length>0){for(const d of this.buffer.error)this.emitError(d);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function D(m,d){const k=[];let a;for(;(a=m.read())!==null;)k.push(a);return d(k)}e.consumeReadable=D;function A(m,d,k){const a=[];let M;for(;(M=m.read())!==null&&a.length<k;)a.push(M);return M===null&&a.length>0?d(a):{read:()=>{if(a.length>0)return a.shift();if(typeof M!="undefined"){const r=M;return M=void 0,r}return m.read()}}}e.peekReadable=A;function R(m,d){return new Promise((k,a)=>{const M=[];w(m,{onData:r=>{d&&M.push(r)},onError:r=>{d?a(r):k(void 0)},onEnd:()=>{k(d?d(M):void 0)}})})}e.consumeStream=R;function w(m,d){let k=!1;return m.on("error",a=>{k||d.onError(a)}),m.on("end",()=>{k||d.onEnd()}),m.on("data",a=>{k||d.onData(a)}),(0,t.toDisposable)(()=>k=!0)}e.listenStream=w;function i(m,d){return new Promise((k,a)=>{const M=new t.DisposableStore,r=[],n=l=>{if(r.push(l),r.length>d)return M.dispose(),m.pause(),k({stream:m,buffer:r,ended:!1})},b=l=>a(l),p=()=>k({stream:m,buffer:r,ended:!0});M.add((0,t.toDisposable)(()=>m.removeListener("error",b))),m.on("error",b),M.add((0,t.toDisposable)(()=>m.removeListener("end",p))),m.on("end",p),M.add((0,t.toDisposable)(()=>m.removeListener("data",n))),m.on("data",n)})}e.peekStream=i;function g(m,d){const k=I(d);return k.end(m),k}e.toStream=g;function o(){const m=I(()=>{throw new Error("not supported")});return m.end(),m}e.emptyStream=o;function c(m){let d=!1;return{read:()=>d?null:(d=!0,m)}}e.toReadable=c;function u(m,d,k){const a=I(k);return w(m,{onData:M=>a.write(d.data(M)),onError:M=>a.error(d.error?d.error(M):M),onEnd:()=>a.end()}),a}e.transform=u;function F(m,d,k){let a=!1;return{read:()=>{const M=d.read();return a?M:(a=!0,M!==null?k([m,M]):m)}}}e.prefixedReadable=F;function S(m,d,k){let a=!1;const M=I(k);return w(d,{onData:r=>a?M.write(r):(a=!0,M.write(k([m,r]))),onError:r=>M.error(r),onEnd:()=>{a||(a=!0,M.write(m)),M.end()}}),M}e.prefixedStream=S}),define(we[22],Ee([0,1,101]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let y,T;class I{constructor(h){this.buffer=h,this.byteLength=this.buffer.byteLength}static alloc(h){return t?new I(Buffer.allocUnsafe(h)):new I(new Uint8Array(h))}static wrap(h){return t&&!Buffer.isBuffer(h)&&(h=Buffer.from(h.buffer,h.byteOffset,h.byteLength)),new I(h)}static fromString(h,v){return!(v?.dontUseNodeBuffer||!1)&&t?new I(Buffer.from(h)):(y||(y=new TextEncoder),new I(y.encode(h)))}static fromByteArray(h){const v=I.alloc(h.length);for(let _=0,f=h.length;_<f;_++)v.buffer[_]=h[_];return v}static concat(h,v){if(typeof v=="undefined"){v=0;for(let C=0,x=h.length;C<x;C++)v+=h[C].byteLength}const _=I.alloc(v);let f=0;for(let C=0,x=h.length;C<x;C++){const N=h[C];_.set(N,f),f+=N.byteLength}return _}clone(){const h=I.alloc(this.byteLength);return h.set(this),h}toString(){return t?this.buffer.toString():(T||(T=new TextDecoder),T.decode(this.buffer))}slice(h,v){return new I(this.buffer.subarray(h,v))}set(h,v){if(h instanceof I)this.buffer.set(h.buffer,v);else if(h instanceof Uint8Array)this.buffer.set(h,v);else if(h instanceof ArrayBuffer)this.buffer.set(new Uint8Array(h),v);else if(ArrayBuffer.isView(h))this.buffer.set(new Uint8Array(h.buffer,h.byteOffset,h.byteLength),v);else throw new Error("Unkown argument 'array'")}readUInt32BE(h){return A(this.buffer,h)}writeUInt32BE(h,v){R(this.buffer,h,v)}readUInt32LE(h){return w(this.buffer,h)}writeUInt32LE(h,v){i(this.buffer,h,v)}readUInt8(h){return g(this.buffer,h)}writeUInt8(h,v){o(this.buffer,h,v)}}e.VSBuffer=I;function P(l,h){return l[h+0]<<0>>>0|l[h+1]<<8>>>0}e.readUInt16LE=P;function D(l,h,v){l[v+0]=h&255,h=h>>>8,l[v+1]=h&255}e.writeUInt16LE=D;function A(l,h){return l[h]*2**24+l[h+1]*2**16+l[h+2]*2**8+l[h+3]}e.readUInt32BE=A;function R(l,h,v){l[v+3]=h,h=h>>>8,l[v+2]=h,h=h>>>8,l[v+1]=h,h=h>>>8,l[v]=h}e.writeUInt32BE=R;function w(l,h){return l[h+0]<<0>>>0|l[h+1]<<8>>>0|l[h+2]<<16>>>0|l[h+3]<<24>>>0}e.readUInt32LE=w;function i(l,h,v){l[v+0]=h&255,h=h>>>8,l[v+1]=h&255,h=h>>>8,l[v+2]=h&255,h=h>>>8,l[v+3]=h&255}e.writeUInt32LE=i;function g(l,h){return l[h]}e.readUInt8=g;function o(l,h,v){l[v]=h}e.writeUInt8=o;function c(l){return s.consumeReadable(l,h=>I.concat(h))}e.readableToBuffer=c;function u(l){return s.toReadable(l)}e.bufferToReadable=u;function F(l){return s.consumeStream(l,h=>I.concat(h))}e.streamToBuffer=F;async function S(l){return l.ended?I.concat(l.buffer):I.concat([...l.buffer,await F(l.stream)])}e.bufferedStreamToBuffer=S;function m(l){return s.toStream(l,h=>I.concat(h))}e.bufferToStream=m;function d(l){return s.transform(l,{data:h=>typeof h=="string"?I.fromString(h):I.wrap(h)},h=>I.concat(h))}e.streamToBufferReadableStream=d;function k(l){return s.newWriteableStream(h=>I.concat(h),l)}e.newWriteableBufferStream=k;function a(l,h){return s.prefixedReadable(l,h,v=>I.concat(v))}e.prefixedBufferReadable=a;function M(l,h){return s.prefixedStream(l,h,v=>I.concat(v))}e.prefixedBufferStream=M;function r(l){let h=0,v=0,_=0;const f=new Uint8Array(Math.floor(l.length/4*3)),C=N=>{switch(v){case 3:f[_++]=h|N,v=0;break;case 2:f[_++]=h|N>>>2,h=N<<6,v=3;break;case 1:f[_++]=h|N>>>4,h=N<<4,v=2;break;default:h=N<<2,v=1}};for(let N=0;N<l.length;N++){const E=l.charCodeAt(N);if(E>=65&&E<=90)C(E-65);else if(E>=97&&E<=122)C(E-97+26);else if(E>=48&&E<=57)C(E-48+52);else if(E===43||E===45)C(62);else if(E===47||E===95)C(63);else{if(E===61)break;throw new SyntaxError(`Unexpected base64 character ${l[N]}`)}}const x=_;for(;v>0;)C(0);return I.wrap(f).slice(0,x)}e.decodeBase64=r;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",b="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function p({buffer:l},h=!0,v=!1){const _=v?b:n;let f="";const C=l.byteLength%3;let x=0;for(;x<l.byteLength-C;x+=3){const N=l[x+0],E=l[x+1],O=l[x+2];f+=_[N>>>2],f+=_[(N<<4|E>>>4)&63],f+=_[(E<<2|O>>>6)&63],f+=_[O&63]}if(C===1){const N=l[x+0];f+=_[N>>>2],f+=_[N<<4&63],h&&(f+="==")}else if(C===2){const N=l[x+0],E=l[x+1];f+=_[N>>>2],f+=_[(N<<4|E>>>4)&63],f+=_[E<<2&63],h&&(f+="=")}return f}e.encodeBase64=p});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[21],Ee([0,1,16,9]),function(te,e,s,t){"use strict";var y,T,I;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(r,n,b){let p=r.get(n);return p===void 0&&(p=b,r.set(n,p)),p}e.getOrSet=P;function D(r){const n=[];return r.forEach((b,p)=>{n.push(`${p} => ${b}`)}),`Map(${r.size}) {${n.join(", ")}}`}e.mapToString=D;function A(r){const n=[];return r.forEach(b=>{n.push(b)}),`Set(${r.size}) {${n.join(", ")}}`}e.setToString=A;class R{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const b=n.charCodeAt(0),p=this._value.charCodeAt(this._pos);return b-p}value(){return this._value[this._pos]}}e.StringIterator=R;class w{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=w;class i{constructor(n=!0,b=!0){this._splitOnBackslash=n,this._caseSensitive=b}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let b=n.length-1;b>=0;b--,this._valueLen--){const p=this._value.charCodeAt(b);if(!(p===47||this._splitOnBackslash&&p===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const b=this._value.charCodeAt(this._to);if(b===47||this._splitOnBackslash&&b===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=i;var g;(function(r){r[r.Scheme=1]="Scheme",r[r.Authority=2]="Authority",r[r.Path=3]="Path",r[r.Query=4]="Query",r[r.Fragment=5]="Fragment"})(g||(g={}));class o{constructor(n){this._ignorePathCasing=n,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new i(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,t.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=o;class c{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var u;(function(r){r[r.Left=-1]="Left",r[r.Mid=0]="Mid",r[r.Right=1]="Right"})(u||(u={}));class F{constructor(n){this._iter=n}static forUris(n=()=>!1){return new F(new o(n))}static forPaths(n=!1){return new F(new i(void 0,!n))}static forStrings(){return new F(new R)}static forConfigKeys(){return new F(new w)}clear(){this._root=void 0}fill(n,b){if(b){const p=b.slice(0);(0,s.shuffle)(p);for(let l of p)this.set(l,n)}else{const p=n.slice(0);(0,s.shuffle)(p);for(let l of p)this.set(l[0],l[1])}}set(n,b){const p=this._iter.reset(n);let l;this._root||(this._root=new c,this._root.segment=p.value());const h=[];for(l=this._root;;){const _=p.cmp(l.segment);if(_>0)l.left||(l.left=new c,l.left.segment=p.value()),h.push([-1,l]),l=l.left;else if(_<0)l.right||(l.right=new c,l.right.segment=p.value()),h.push([1,l]),l=l.right;else if(p.hasNext())p.next(),l.mid||(l.mid=new c,l.mid.segment=p.value()),h.push([0,l]),l=l.mid;else break}const v=l.value;l.value=b,l.key=n;for(let _=h.length-1;_>=0;_--){const f=h[_][1];f.updateHeight();const C=f.balanceFactor();if(C<-1||C>1){const x=h[_][0],N=h[_+1][0];if(x===1&&N===1)h[_][1]=f.rotateLeft();else if(x===-1&&N===-1)h[_][1]=f.rotateRight();else if(x===1&&N===-1)f.right=h[_+1][1]=h[_+1][1].rotateRight(),h[_][1]=f.rotateLeft();else if(x===-1&&N===1)f.left=h[_+1][1]=h[_+1][1].rotateLeft(),h[_][1]=f.rotateRight();else throw new Error;if(_>0)switch(h[_-1][0]){case-1:h[_-1][1].left=h[_][1];break;case 1:h[_-1][1].right=h[_][1];break;case 0:h[_-1][1].mid=h[_][1];break}else this._root=h[0][1]}}return v}get(n){return this._getNode(n)?.value}_getNode(n){const b=this._iter.reset(n);let p=this._root;for(;p;){const l=b.cmp(p.segment);if(l>0)p=p.left;else if(l<0)p=p.right;else if(b.hasNext())b.next(),p=p.mid;else break}return p}has(n){const b=this._getNode(n);return!(b?.value===void 0&&b?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,b){const p=this._iter.reset(n),l=[];let h=this._root;for(;h;){const v=p.cmp(h.segment);if(v>0)l.push([-1,h]),h=h.left;else if(v<0)l.push([1,h]),h=h.right;else if(p.hasNext())p.next(),l.push([0,h]),h=h.mid;else break}if(!!h){if(b?(h.left=void 0,h.mid=void 0,h.right=void 0,h.height=1):(h.key=void 0,h.value=void 0),!h.mid&&!h.value)if(h.left&&h.right){const v=this._min(h.right),{key:_,value:f,segment:C}=v;this._delete(v.key,!1),h.key=_,h.value=f,h.segment=C}else{const v=h.left??h.right;if(l.length>0){const[_,f]=l[l.length-1];switch(_){case-1:f.left=v;break;case 0:f.mid=v;break;case 1:f.right=v;break}}else this._root=v}for(let v=l.length-1;v>=0;v--){const _=l[v][1];_.updateHeight();const f=_.balanceFactor();if(f>1?(_.right.balanceFactor()>=0||(_.right=_.right.rotateRight()),l[v][1]=_.rotateLeft()):f<-1&&(_.left.balanceFactor()<=0||(_.left=_.left.rotateLeft()),l[v][1]=_.rotateRight()),v>0)switch(l[v-1][0]){case-1:l[v-1][1].left=l[v][1];break;case 1:l[v-1][1].right=l[v][1];break;case 0:l[v-1][1].mid=l[v][1];break}else this._root=l[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const b=this._iter.reset(n);let p=this._root,l;for(;p;){const h=b.cmp(p.segment);if(h>0)p=p.left;else if(h<0)p=p.right;else if(b.hasNext())b.next(),l=p.value||l,p=p.mid;else break}return p&&p.value||l}findSuperstr(n){const b=this._iter.reset(n);let p=this._root;for(;p;){const l=b.cmp(p.segment);if(l>0)p=p.left;else if(l<0)p=p.right;else if(b.hasNext())b.next(),p=p.mid;else return p.mid?this._entries(p.mid):void 0}}forEach(n){for(const[b,p]of this)n(p,b)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(n){!n||(n.left&&(yield*this._entries(n.left)),n.value&&(yield[n.key,n.value]),n.mid&&(yield*this._entries(n.mid)),n.right&&(yield*this._entries(n.right)))}_isBalanced(){const n=b=>{if(!b)return!0;const p=b.balanceFactor();return p<-1||p>1?!1:n(b.left)&&n(b.right)};return n(this._root)}}e.TernarySearchTree=F;class S{constructor(n,b){this.uri=n,this.value=b}}class m{constructor(n,b){this[y]="ResourceMap",n instanceof m?(this.map=new Map(n.map),this.toKey=b??m.defaultToKey):(this.map=new Map,this.toKey=n??m.defaultToKey)}set(n,b){return this.map.set(this.toKey(n),new S(n,b)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,b){typeof b!="undefined"&&(n=n.bind(b));for(let[p,l]of this.map)n(l.value,l.uri,this)}*values(){for(let n of this.map.values())yield n.value}*keys(){for(let n of this.map.values())yield n.uri}*entries(){for(let n of this.map.values())yield[n.uri,n.value]}*[(y=Symbol.toStringTag,Symbol.iterator)](){for(let[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=m,m.defaultToKey=r=>r.toString();var d;(function(r){r[r.None=0]="None",r[r.AsOld=1]="AsOld",r[r.AsNew=2]="AsNew"})(d=e.Touch||(e.Touch={}));class k{constructor(){this[T]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,b=0){const p=this._map.get(n);if(!!p)return b!==0&&this.touch(p,b),p.value}set(n,b,p=0){let l=this._map.get(n);if(l)l.value=b,p!==0&&this.touch(l,p);else{switch(l={key:n,value:b,next:void 0,previous:void 0},p){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(n,l),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const b=this._map.get(n);if(!!b)return this._map.delete(n),this.removeItem(b),this._size--,b.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,b){const p=this._state;let l=this._head;for(;l;){if(b?n.bind(b)(l.value,l.key,this):n(l.value,l.key,this),this._state!==p)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const n=this,b=this._state;let p=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==b)throw new Error("LinkedMap got modified during iteration.");if(p){const h={value:p.key,done:!1};return p=p.next,h}else return{value:void 0,done:!0}}};return l}values(){const n=this,b=this._state;let p=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==b)throw new Error("LinkedMap got modified during iteration.");if(p){const h={value:p.value,done:!1};return p=p.next,h}else return{value:void 0,done:!0}}};return l}entries(){const n=this,b=this._state;let p=this._head;const l={[Symbol.iterator](){return l},next(){if(n._state!==b)throw new Error("LinkedMap got modified during iteration.");if(p){const h={value:[p.key,p.value],done:!1};return p=p.next,h}else return{value:void 0,done:!0}}};return l}[(T=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let b=this._head,p=this.size;for(;b&&p>n;)this._map.delete(b.key),b=b.next,p--;this._head=b,this._size=p,b&&(b.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const b=n.next,p=n.previous;if(!b||!p)throw new Error("Invalid list");b.previous=p,p.next=b}n.next=void 0,n.previous=void 0,this._state++}touch(n,b){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(b!==1&&b!==2)){if(b===1){if(n===this._head)return;const p=n.next,l=n.previous;n===this._tail?(l.next=void 0,this._tail=l):(p.previous=l,l.next=p),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(b===2){if(n===this._tail)return;const p=n.next,l=n.previous;n===this._head?(p.previous=void 0,this._head=p):(p.previous=l,l.next=p),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((b,p)=>{n.push([p,b])}),n}fromJSON(n){this.clear();for(const[b,p]of n)this.set(b,p)}}e.LinkedMap=k;class a extends k{constructor(n,b=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,b),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,b=2){return super.get(n,b)}peek(n){return super.get(n,0)}set(n,b){return super.set(n,b,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=a;class M{constructor(n){I.set(this,void 0),et(this,I,n,"f")}get size(){return ke(this,I,"f").size}forEach(n,b){ke(this,I,"f").forEach(n,b)}get(n){return ke(this,I,"f").get(n)}has(n){return ke(this,I,"f").has(n)}entries(){return ke(this,I,"f").entries()}keys(){return ke(this,I,"f").keys()}values(){return ke(this,I,"f").values()}[(I=new WeakMap,Symbol.iterator)](){return ke(this,I,"f").entries()}}e.ReadonlyMapView=M}),define(we[102],Ee([0,1,21,9]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function y(...q){return function(J,me){for(let Pe=0,Be=q.length;Pe<Be;Pe++){const Ve=q[Pe](J,me);if(Ve)return Ve}return null}}e.or=y,e.matchesStrictPrefix=T.bind(void 0,!1),e.matchesPrefix=T.bind(void 0,!0);function T(q,J,me){if(!me||me.length<J.length)return null;let Pe;return q?Pe=t.startsWithIgnoreCase(me,J):Pe=me.indexOf(J)===0,Pe?J.length>0?[{start:0,end:J.length}]:[]:null}function I(q,J){const me=J.toLowerCase().indexOf(q.toLowerCase());return me===-1?null:[{start:me,end:me+q.length}]}e.matchesContiguousSubString=I;function P(q,J){return D(q.toLowerCase(),J.toLowerCase(),0,0)}e.matchesSubString=P;function D(q,J,me,Pe){if(me===q.length)return[];if(Pe===J.length)return null;if(q[me]===J[Pe]){let Be=null;return(Be=D(q,J,me+1,Pe+1))?F({start:Pe,end:Pe+1},Be):null}return D(q,J,me,Pe+1)}function A(q){return 97<=q&&q<=122}function R(q){return 65<=q&&q<=90}e.isUpper=R;function w(q){return 48<=q&&q<=57}function i(q){return q===32||q===9||q===10||q===13}const g=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(q=>g.add(q.charCodeAt(0)));function o(q){return i(q)||g.has(q)}function c(q,J){return q===J||o(q)&&o(J)}function u(q){return A(q)||R(q)||w(q)}function F(q,J){return J.length===0?J=[q]:q.end===J[0].start?J[0].start=q.start:J.unshift(q),J}function S(q,J){for(let me=J;me<q.length;me++){const Pe=q.charCodeAt(me);if(R(Pe)||w(Pe)||me>0&&!u(q.charCodeAt(me-1)))return me}return q.length}function m(q,J,me,Pe){if(me===q.length)return[];if(Pe===J.length)return null;if(q[me]!==J[Pe].toLowerCase())return null;{let Be=null,Ve=Pe+1;for(Be=m(q,J,me+1,Pe+1);!Be&&(Ve=S(J,Ve))<J.length;)Be=m(q,J,me+1,Ve),Ve++;return Be===null?null:F({start:Pe,end:Pe+1},Be)}}function d(q){let J=0,me=0,Pe=0,Be=0,Ve=0;for(let rt=0;rt<q.length;rt++)Ve=q.charCodeAt(rt),R(Ve)&&J++,A(Ve)&&me++,u(Ve)&&Pe++,w(Ve)&&Be++;const Qe=J/q.length,tt=me/q.length,at=Pe/q.length,Je=Be/q.length;return{upperPercent:Qe,lowerPercent:tt,alphaPercent:at,numericPercent:Je}}function k(q){const{upperPercent:J,lowerPercent:me}=q;return me===0&&J>.6}function a(q){const{upperPercent:J,lowerPercent:me,alphaPercent:Pe,numericPercent:Be}=q;return me>.2&&J<.8&&Pe>.6&&Be<.2}function M(q){let J=0,me=0,Pe=0,Be=0;for(let Ve=0;Ve<q.length;Ve++)Pe=q.charCodeAt(Ve),R(Pe)&&J++,A(Pe)&&me++,i(Pe)&&Be++;return(J===0||me===0)&&Be===0?q.length<=30:J<=5}function r(q,J){if(!J||(J=J.trim(),J.length===0)||!M(q)||J.length>60)return null;const me=d(J);if(!a(me)){if(!k(me))return null;J=J.toLowerCase()}let Pe=null,Be=0;for(q=q.toLowerCase();Be<J.length&&(Pe=m(q,J,0,Be))===null;)Be=S(J,Be+1);return Pe}e.matchesCamelCase=r;function n(q,J,me=!1){if(!J||J.length===0)return null;let Pe=null,Be=0;for(q=q.toLowerCase(),J=J.toLowerCase();Be<J.length&&(Pe=b(q,J,0,Be,me))===null;)Be=p(J,Be+1);return Pe}e.matchesWords=n;function b(q,J,me,Pe,Be){if(me===q.length)return[];if(Pe===J.length)return null;if(c(q.charCodeAt(me),J.charCodeAt(Pe))){let Ve=null,Qe=Pe+1;if(Ve=b(q,J,me+1,Pe+1,Be),!Be)for(;!Ve&&(Qe=p(J,Qe))<J.length;)Ve=b(q,J,me+1,Qe,Be),Qe++;return Ve===null?null:F({start:Pe,end:Pe+1},Ve)}else return null}function p(q,J){for(let me=J;me<q.length;me++)if(o(q.charCodeAt(me))||me>0&&o(q.charCodeAt(me-1)))return me;return q.length}const l=y(e.matchesPrefix,r,I),h=y(e.matchesPrefix,r,P),v=new s.LRUCache(1e4);function _(q,J,me=!1){if(typeof q!="string"||typeof J!="string")return null;let Pe=v.get(q);Pe||(Pe=new RegExp(t.convertSimple2RegExpPattern(q),"i"),v.set(q,Pe));const Be=Pe.exec(J);return Be?[{start:Be.index,end:Be.index+Be[0].length}]:me?h(q,J):l(q,J)}e.matchesFuzzy=_;function f(q,J){const me=He(q,q.toLowerCase(),0,J,J.toLowerCase(),0,!0);return me?x(me):null}e.matchesFuzzy2=f;function C(q,J,me,Pe,Be,Ve){const Qe=Math.min(13,q.length);for(;me<Qe;me++){const tt=He(q,J,me,Pe,Be,Ve,!1);if(tt)return tt}return[0,Ve]}e.anyScore=C;function x(q){if(typeof q=="undefined")return[];const J=[],me=q[1];for(let Pe=q.length-1;Pe>1;Pe--){const Be=q[Pe]+me,Ve=J[J.length-1];Ve&&Ve.end===Be?Ve.end=Be+1:J.push({start:Be,end:Be+1})}return J}e.createMatches=x;const N=128;function E(){const q=[],J=[];for(let me=0;me<=N;me++)J[me]=0;for(let me=0;me<=N;me++)q.push(J.slice(0));return q}function O(q){const J=[];for(let me=0;me<=q;me++)J[me]=0;return J}const W=O(2*N),U=O(2*N),H=E(),V=E(),Z=E(),G=!1;function oe(q,J,me,Pe,Be){function Ve(tt,at,Je=" "){for(;tt.length<at;)tt=Je+tt;return tt}let Qe=` |   |${Pe.split("").map(tt=>Ve(tt,3)).join("|")}
`;for(let tt=0;tt<=me;tt++)tt===0?Qe+=" |":Qe+=`${J[tt-1]}|`,Qe+=q[tt].slice(0,Be+1).map(at=>Ve(at.toString(),3)).join("|")+`
`;return Qe}function be(q,J,me,Pe){q=q.substr(J),me=me.substr(Pe),console.log(oe(V,q,q.length,me,me.length)),console.log(oe(Z,q,q.length,me,me.length)),console.log(oe(H,q,q.length,me,me.length))}function Se(q,J){if(J<0||J>=q.length)return!1;const me=q.codePointAt(J);switch(me){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!t.isEmojiImprecise(me)}}function le(q,J){if(J<0||J>=q.length)return!1;switch(q.charCodeAt(J)){case 32:case 9:return!0;default:return!1}}function ne(q,J,me){return J[q]!==me[q]}function ve(q,J,me,Pe,Be,Ve,Qe=!1){for(;J<me&&Be<Ve;)q[J]===Pe[Be]&&(Qe&&(W[J]=Be),J+=1),Be+=1;return J===me}e.isPatternInWord=ve;var Ie;(function(q){q[q.Diag=1]="Diag",q[q.Left=2]="Left",q[q.LeftLeft=3]="LeftLeft"})(Ie||(Ie={}));var Oe;(function(q){q.Default=[-100,0];function J(me){return!me||me.length===2&&me[0]===-100&&me[1]===0}q.isDefault=J})(Oe=e.FuzzyScore||(e.FuzzyScore={}));function He(q,J,me,Pe,Be,Ve,Qe){const tt=q.length>N?N:q.length,at=Pe.length>N?N:Pe.length;if(me>=tt||Ve>=at||tt-me>at-Ve||!ve(J,me,tt,Be,Ve,at,!0))return;Xe(tt,at,me,Ve,J,Be);let Je=1,rt=1,ut=me,pt=Ve;const Me=[!1];for(Je=1,ut=me;ut<tt;Je++,ut++){const xe=W[ut],qe=U[ut],st=ut+1<tt?U[ut+1]:at;for(rt=xe-Ve+1,pt=xe;pt<st;rt++,pt++){let ht=Number.MIN_SAFE_INTEGER,Ze=!1;pt<=qe&&(ht=Ye(q,J,ut,me,Pe,Be,pt,at,Ve,H[Je-1][rt-1]===0,Me));let kt=0;ht!==Number.MAX_SAFE_INTEGER&&(Ze=!0,kt=ht+V[Je-1][rt-1]);const Re=pt>xe,Ce=Re?V[Je][rt-1]+(H[Je][rt-1]>0?-5:0):0,pe=pt>xe+1&&H[Je][rt-1]>0,ie=pe?V[Je][rt-2]+(H[Je][rt-2]>0?-5:0):0;if(pe&&(!Re||ie>=Ce)&&(!Ze||ie>=kt))V[Je][rt]=ie,Z[Je][rt]=3,H[Je][rt]=0;else if(Re&&(!Ze||Ce>=kt))V[Je][rt]=Ce,Z[Je][rt]=2,H[Je][rt]=0;else if(Ze)V[Je][rt]=kt,Z[Je][rt]=1,H[Je][rt]=H[Je-1][rt-1]+1;else throw new Error("not possible")}}if(G&&be(q,me,Pe,Ve),!Me[0]&&!Qe)return;Je--,rt--;const Rt=[V[Je][rt],Ve];let j=0,Q=0;for(;Je>=1;){let xe=rt;do{const qe=Z[Je][xe];if(qe===3)xe=xe-2;else if(qe===2)xe=xe-1;else break}while(xe>=1);j>1&&J[me+Je-1]===Be[Ve+rt-1]&&!ne(xe+Ve-1,Pe,Be)&&j+1>H[Je][xe]&&(xe=rt),xe===rt?j++:j=1,Q||(Q=xe),Je--,rt=xe-1,Rt.push(rt)}at===tt&&(Rt[0]+=2);const fe=Q-tt;return Rt[0]-=fe,Rt}e.fuzzyScore=He;function Xe(q,J,me,Pe,Be,Ve){let Qe=q-1,tt=J-1;for(;Qe>=me&&tt>=Pe;)Be[Qe]===Ve[tt]&&(U[Qe]=tt,Qe--),tt--}function Ye(q,J,me,Pe,Be,Ve,Qe,tt,at,Je,rt){if(J[me]!==Ve[Qe])return Number.MIN_SAFE_INTEGER;let ut=1,pt=!1;return Qe===me-Pe?ut=q[me]===Be[Qe]?7:5:ne(Qe,Be,Ve)&&(Qe===0||!ne(Qe-1,Be,Ve))?(ut=q[me]===Be[Qe]?7:5,pt=!0):Se(Ve,Qe)&&(Qe===0||!Se(Ve,Qe-1))?ut=5:(Se(Ve,Qe-1)||le(Ve,Qe-1))&&(ut=5,pt=!0),ut>1&&me===Pe&&(rt[0]=!0),pt||(pt=ne(Qe,Be,Ve)||Se(Ve,Qe-1)||le(Ve,Qe-1)),me===Pe?Qe>at&&(ut-=pt?3:5):Je?ut+=pt?2:0:ut+=pt?0:1,Qe+1===tt&&(ut-=pt?3:5),ut}function $(q,J,me,Pe,Be,Ve,Qe){return Y(q,J,me,Pe,Be,Ve,!0,Qe)}e.fuzzyScoreGracefulAggressive=$;function K(q,J,me,Pe,Be,Ve,Qe){return Y(q,J,me,Pe,Be,Ve,!1,Qe)}e.fuzzyScoreGraceful=K;function Y(q,J,me,Pe,Be,Ve,Qe,tt){let at=He(q,J,me,Pe,Be,Ve,tt);if(at&&!Qe)return at;if(q.length>=3){const Je=Math.min(7,q.length-1);for(let rt=me+1;rt<Je;rt++){const ut=re(q,rt);if(ut){const pt=He(ut,ut.toLowerCase(),me,Pe,Be,Ve,tt);pt&&(pt[0]-=3,(!at||pt[0]>at[0])&&(at=pt))}}}return at}function re(q,J){if(J+1>=q.length)return;const me=q[J],Pe=q[J+1];if(me!==Pe)return q.slice(0,J)+Pe+me+q.slice(J+2)}}),define(we[103],Ee([0,1,52,102,9]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const T=new RegExp(`\\$\\(${s.CSSIcon.iconNameExpression}(?:${s.CSSIcon.iconModifierExpression})?\\)`,"g"),I=new RegExp(s.CSSIcon.iconNameCharacter),P=new RegExp(`(\\\\)?${T.source}`,"g");function D(u){return u.replace(P,(F,S)=>S?F:`\\${F}`)}e.escapeIcons=D;const A=new RegExp(`\\\\${T.source}`,"g");function R(u){return u.replace(A,F=>`\\${F}`)}e.markdownEscapeEscapedIcons=R;const w=new RegExp(`(\\s)?(\\\\)?${T.source}(\\s)?`,"g");function i(u){return u.indexOf(e.iconStartMarker)===-1?u:u.replace(w,(F,S,m,d)=>m?F:S||d||"")}e.stripIcons=i;function g(u){const F=u.indexOf(e.iconStartMarker);return F===-1?{text:u}:o(u,F)}e.parseLabelWithIcons=g;function o(u,F){const S=[];let m="";function d(l){if(l){m+=l;for(const h of l)S.push(M)}}let k=-1,a="",M=0,r,n,b=F;const p=u.length;for(d(u.substr(0,F));b<p;)r=u[b],n=u[b+1],r===e.iconStartMarker[0]&&n===e.iconStartMarker[1]?(k=b,d(a),a=e.iconStartMarker,b++):r===")"&&k!==-1?(M+=b-k+1,k=-1,a=""):k!==-1?I.test(r)?a+=r:(d(a),k=-1,a=""):d(r),b++;return d(a),{text:m,iconOffsets:S}}function c(u,F,S=!1){const{text:m,iconOffsets:d}=F;if(!d||d.length===0)return(0,t.matchesFuzzy)(u,m,S);const k=(0,y.ltrim)(m," "),a=m.length-k.length,M=(0,t.matchesFuzzy)(u,k,S);if(M)for(const r of M){const n=d[r.start+a]+a;r.start+=n,r.end+=n}return M}e.matchesFuzzyIconAware=c}),define(we[77],Ee([0,1,15,103]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var y;(function(i){i[i.Paragraph=0]="Paragraph",i[i.Break=1]="Break"})(y=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class T{constructor(g="",o=!1){if(this.value=g,typeof this.value!="string")throw(0,s.illegalArgument)("value");typeof o=="boolean"?(this.isTrusted=o,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=o.isTrusted??void 0,this.supportThemeIcons=o.supportThemeIcons??!1,this.supportHtml=o.supportHtml??!1)}appendText(g,o=0){return this.value+=A(this.supportThemeIcons?(0,t.escapeIcons)(g):g).replace(/([ \t]+)/g,(c,u)=>"&nbsp;".repeat(u.length)).replace(/\>/gm,"\\>").replace(/\n/g,o===1?`\\
`:`

`),this}appendMarkdown(g){return this.value+=g,this}appendCodeblock(g,o){return this.value+="\n```",this.value+=g,this.value+=`
`,this.value+=o,this.value+="\n```\n",this}}e.MarkdownString=T;function I(i){return P(i)?!i.value:Array.isArray(i)?i.every(I):!0}e.isEmptyMarkdownString=I;function P(i){return i instanceof T?!0:i&&typeof i=="object"?typeof i.value=="string"&&(typeof i.isTrusted=="boolean"||i.isTrusted===void 0)&&(typeof i.supportThemeIcons=="boolean"||i.supportThemeIcons===void 0):!1}e.isMarkdownString=P;function D(i,g){return i===g?!0:!i||!g?!1:i.value===g.value&&i.isTrusted===g.isTrusted&&i.supportThemeIcons===g.supportThemeIcons}e.markdownStringEqual=D;function A(i){return i.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=A;function R(i){return i&&i.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=R;function w(i){const g=[],o=i.split("|").map(u=>u.trim());i=o[0];const c=o[1];if(c){const u=/height=(\d+)/.exec(c),F=/width=(\d+)/.exec(c),S=u?u[1]:"",m=F?F[1]:"",d=isFinite(parseInt(m)),k=isFinite(parseInt(S));d&&g.push(`width="${m}"`),k&&g.push(`height="${S}"`)}return{href:i,dimensions:g}}e.parseHrefAndDimensions=w}),define(we[34],Ee([0,1,9]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(y){y[y.Ignore=0]="Ignore",y[y.Info=1]="Info",y[y.Warning=2]="Warning",y[y.Error=3]="Error"})(t||(t={})),function(y){const T="error",I="warning",P="warn",D="info",A="ignore";function R(i){return i?s.equalsIgnoreCase(T,i)?y.Error:s.equalsIgnoreCase(I,i)||s.equalsIgnoreCase(P,i)?y.Warning:s.equalsIgnoreCase(D,i)?y.Info:y.Ignore:y.Ignore}y.fromValue=R;function w(i){switch(i){case y.Error:return T;case y.Warning:return I;case y.Info:return D;default:return A}}y.toString=w}(t||(t={})),e.default=t}),define(we[35],Ee([0,1,17,23,9,10]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function I(b){return b===47||b===92}e.isPathSeparator=I;function P(b){return b.replace(/[\\/]/g,s.posix.sep)}e.toSlashes=P;function D(b){return b.indexOf("/")===-1&&(b=P(b)),/^[a-zA-Z]:(\/|$)/.test(b)&&(b="/"+b),b}e.toPosixPath=D;function A(b,p=s.posix.sep){if(!b)return"";const l=b.length,h=b.charCodeAt(0);if(I(h)){if(I(b.charCodeAt(1))&&!I(b.charCodeAt(2))){let _=3;const f=_;for(;_<l&&!I(b.charCodeAt(_));_++);if(f!==_&&!I(b.charCodeAt(_+1))){for(_+=1;_<l;_++)if(I(b.charCodeAt(_)))return b.slice(0,_+1).replace(/[\\/]/g,p)}}return p}else if(F(h)&&b.charCodeAt(1)===58)return I(b.charCodeAt(2))?b.slice(0,2)+p:b.slice(0,2);let v=b.indexOf("://");if(v!==-1){for(v+=3;v<l;v++)if(I(b.charCodeAt(v)))return b.slice(0,v+1)}return""}e.getRoot=A;function R(b){if(!t.isWindows||!b||b.length<5)return!1;let p=b.charCodeAt(0);if(p!==92||(p=b.charCodeAt(1),p!==92))return!1;let l=2;const h=l;for(;l<b.length&&(p=b.charCodeAt(l),p!==92);l++);return!(h===l||(p=b.charCodeAt(l+1),isNaN(p)||p===92))}e.isUNC=R;const w=/[\\/:\*\?"<>\|]/g,i=/[\\/]/g,g=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function o(b,p=t.isWindows){const l=p?w:i;return!(!b||b.length===0||/^\s+$/.test(b)||(l.lastIndex=0,l.test(b))||p&&g.test(b)||b==="."||b===".."||p&&b[b.length-1]==="."||p&&b.length!==b.trim().length||b.length>255)}e.isValidBasename=o;function c(b,p,l){const h=b===p;return!l||h?h:!b||!p?!1:(0,y.equalsIgnoreCase)(b,p)}e.isEqual=c;function u(b,p,l,h=s.sep){if(b===p)return!0;if(!b||!p||p.length>b.length)return!1;if(l){if(!(0,y.startsWithIgnoreCase)(b,p))return!1;if(p.length===b.length)return!0;let _=p.length;return p.charAt(p.length-1)===h&&_--,b.charAt(_)===h}return p.charAt(p.length-1)!==h&&(p+=h),b.indexOf(p)===0}e.isEqualOrParent=u;function F(b){return b>=65&&b<=90||b>=97&&b<=122}e.isWindowsDriveLetter=F;function S(b,p){return t.isWindows&&b.endsWith(":")&&(b+=s.sep),(0,s.isAbsolute)(b)||(b=(0,s.join)(p,b)),b=(0,s.normalize)(b),t.isWindows?(b=(0,y.rtrim)(b,s.sep),b.endsWith(":")&&(b+=s.sep)):(b=(0,y.rtrim)(b,s.sep),b||(b=s.sep)),b}e.sanitizeFilePath=S;function m(b){const p=(0,s.normalize)(b);return t.isWindows?b.length>3?!1:d(p)&&(b.length===2||p.charCodeAt(2)===92):p===s.posix.sep}e.isRootOrDriveLetter=m;function d(b,p){return(p!==void 0?p:t.isWindows)?F(b.charCodeAt(0))&&b.charCodeAt(1)===58:!1}e.hasDriveLetter=d;function k(b){return d(b)?b[0]:void 0}e.getDriveLetter=k;function a(b,p,l){return p.length>b.length?-1:b===p?0:(l&&(b=b.toLowerCase(),p=p.toLowerCase()),b.indexOf(p))}e.indexOfPath=a;function M(b){const p=b.split(":");let l,h,v;for(const _ of p){const f=Number(_);(0,T.isNumber)(f)?h===void 0?h=f:v===void 0&&(v=f):l=l?[l,_].join(":"):_}if(!l)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:l,line:h!==void 0?h:void 0,column:v!==void 0?v:h!==void 0?1:void 0}}e.parseLineAndColumnAware=M;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function n(b,p,l=8){let h="";for(let _=0;_<l;_++)h+=r.charAt(Math.floor(Math.random()*r.length));let v;return p?v=`${p}-${h}`:v=h,b?(0,s.join)(b,v):v}e.randomPath=n}),define(we[55],Ee([0,1,22,9,2]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.MarshalledId=e.parse=e.stringify=void 0;function T(R){return JSON.stringify(R,D)}e.stringify=T;function I(R){let w=JSON.parse(R);return w=A(w),w}e.parse=I;var P;(function(R){R[R.Uri=1]="Uri",R[R.Regexp=2]="Regexp",R[R.ScmResource=3]="ScmResource",R[R.ScmResourceGroup=4]="ScmResourceGroup",R[R.ScmProvider=5]="ScmProvider",R[R.CommentController=6]="CommentController",R[R.CommentThread=7]="CommentThread",R[R.CommentThreadReply=8]="CommentThreadReply",R[R.CommentNode=9]="CommentNode",R[R.CommentThreadNode=10]="CommentThreadNode",R[R.TimelineActionContext=11]="TimelineActionContext",R[R.NotebookCellActionContext=12]="NotebookCellActionContext",R[R.TestItemContext=13]="TestItemContext"})(P=e.MarshalledId||(e.MarshalledId={}));function D(R,w){return w instanceof RegExp?{$mid:2,source:w.source,flags:(0,t.regExpFlags)(w)}:w}function A(R,w=0){if(!R||w>200)return R;if(typeof R=="object"){switch(R.$mid){case 1:return y.URI.revive(R);case 2:return new RegExp(R.source,R.flags)}if(R instanceof s.VSBuffer||R instanceof Uint8Array)return R;if(Array.isArray(R))for(let i=0;i<R.length;++i)R[i]=A(R[i],w+1);else for(const i in R)Object.hasOwnProperty.call(R,i)&&(R[i]=A(R[i],w+1))}return R}e.revive=A}),define(we[11],Ee([0,1,23,2]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var y;(function(P){P.inMemory="inmemory",P.vscode="vscode",P.internal="private",P.walkThrough="walkThrough",P.walkThroughSnippet="walkThroughSnippet",P.http="http",P.https="https",P.file="file",P.mailto="mailto",P.untitled="untitled",P.data="data",P.command="command",P.vscodeRemote="vscode-remote",P.vscodeRemoteResource="vscode-remote-resource",P.userData="vscode-userdata",P.vscodeCustomEditor="vscode-custom-editor",P.vscodeNotebook="vscode-notebook",P.vscodeNotebookCell="vscode-notebook-cell",P.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",P.vscodeNotebookCellOutput="vscode-notebook-cell-output",P.vscodeInteractive="vscode-interactive",P.vscodeInteractiveInput="vscode-interactive-input",P.vscodeSettings="vscode-settings",P.vscodeWorkspaceTrust="vscode-workspace-trust",P.vscodeTerminal="vscode-terminal",P.webviewPanel="webview-panel",P.vscodeWebview="vscode-webview",P.extension="extension",P.vscodeFileResource="vscode-file",P.tmp="tmp",P.vsls="vsls"})(y=e.Schemas||(e.Schemas={}));class T{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(D){this._preferredWebSchema=D}setDelegate(D){this._delegate=D}set(D,A,R){this._hosts[D]=A,this._ports[D]=R}setConnectionToken(D,A){this._connectionTokens[D]=A}rewrite(D){if(this._delegate)return this._delegate(D);const A=D.authority;let R=this._hosts[A];R&&R.indexOf(":")!==-1&&(R=`[${R}]`);const w=this._ports[A],i=this._connectionTokens[A];let g=`path=${encodeURIComponent(D.path)}`;return typeof i=="string"&&(g+=`&tkn=${encodeURIComponent(i)}`),t.URI.from({scheme:s.isWeb?this._preferredWebSchema:y.vscodeRemoteResource,authority:`${R}:${w}`,path:"/vscode-remote-resource",query:g})}}e.RemoteAuthorities=new T;class I{asBrowserUri(D,A){const R=this.toUri(D,A);return R.scheme===y.vscodeRemote?e.RemoteAuthorities.rewrite(R):R.scheme===y.file&&(s.isNative||typeof s.globals.importScripts=="function"&&s.globals.origin===`${y.vscodeFileResource}://${I.FALLBACK_AUTHORITY}`)?R.with({scheme:y.vscodeFileResource,authority:R.authority||I.FALLBACK_AUTHORITY,query:null,fragment:null}):R}asFileUri(D,A){const R=this.toUri(D,A);return R.scheme===y.vscodeFileResource?R.with({scheme:y.file,authority:R.authority!==I.FALLBACK_AUTHORITY?R.authority:null,query:null,fragment:null}):R}toUri(D,A){return t.URI.isUri(D)?D:t.URI.parse(A.toUrl(D))}}I.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new I}),define(we[24],Ee([0,1,35,11,17,23,9,2]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function D(g){return(0,P.uriToFsPath)(g,!0)}e.originalFSPath=D;class A{constructor(o){this._ignorePathCasing=o}compare(o,c,u=!1){return o===c?0:(0,I.compare)(this.getComparisonKey(o,u),this.getComparisonKey(c,u))}isEqual(o,c,u=!1){return o===c?!0:!o||!c?!1:this.getComparisonKey(o,u)===this.getComparisonKey(c,u)}getComparisonKey(o,c=!1){return o.with({path:this._ignorePathCasing(o)?o.path.toLowerCase():void 0,fragment:c?null:void 0}).toString()}ignorePathCasing(o){return this._ignorePathCasing(o)}isEqualOrParent(o,c,u=!1){if(o.scheme===c.scheme){if(o.scheme===t.Schemas.file)return s.isEqualOrParent(D(o),D(c),this._ignorePathCasing(o))&&o.query===c.query&&(u||o.fragment===c.fragment);if((0,e.isEqualAuthority)(o.authority,c.authority))return s.isEqualOrParent(o.path,c.path,this._ignorePathCasing(o),"/")&&o.query===c.query&&(u||o.fragment===c.fragment)}return!1}joinPath(o,...c){return P.URI.joinPath(o,...c)}basenameOrAuthority(o){return(0,e.basename)(o)||o.authority}basename(o){return y.posix.basename(o.path)}extname(o){return y.posix.extname(o.path)}dirname(o){if(o.path.length===0)return o;let c;return o.scheme===t.Schemas.file?c=P.URI.file(y.dirname(D(o))).path:(c=y.posix.dirname(o.path),o.authority&&c.length&&c.charCodeAt(0)!==47&&(console.error(`dirname("${o.toString})) resulted in a relative path`),c="/")),o.with({path:c})}normalizePath(o){if(!o.path.length)return o;let c;return o.scheme===t.Schemas.file?c=P.URI.file(y.normalize(D(o))).path:c=y.posix.normalize(o.path),o.with({path:c})}relativePath(o,c){if(o.scheme!==c.scheme||!(0,e.isEqualAuthority)(o.authority,c.authority))return;if(o.scheme===t.Schemas.file){const S=y.relative(D(o),D(c));return T.isWindows?s.toSlashes(S):S}let u=o.path||"/",F=c.path||"/";if(this._ignorePathCasing(o)){let S=0;for(const m=Math.min(u.length,F.length);S<m&&!(u.charCodeAt(S)!==F.charCodeAt(S)&&u.charAt(S).toLowerCase()!==F.charAt(S).toLowerCase());S++);u=F.substr(0,S)+u.substr(S)}return y.posix.relative(u,F)}resolvePath(o,c){if(o.scheme===t.Schemas.file){const u=P.URI.file(y.resolve(D(o),c));return o.with({authority:u.authority,path:u.path})}return c=s.toPosixPath(c),o.with({path:y.posix.resolve(o.path,c)})}isAbsolutePath(o){return!!o.path&&o.path[0]==="/"}isEqualAuthority(o,c){return o===c||o!==void 0&&c!==void 0&&(0,I.equalsIgnoreCase)(o,c)}hasTrailingPathSeparator(o,c=y.sep){if(o.scheme===t.Schemas.file){const u=D(o);return u.length>s.getRoot(u).length&&u[u.length-1]===c}else{const u=o.path;return u.length>1&&u.charCodeAt(u.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(o.fsPath)}}removeTrailingPathSeparator(o,c=y.sep){return(0,e.hasTrailingPathSeparator)(o,c)?o.with({path:o.path.substr(0,o.path.length-1)}):o}addTrailingPathSeparator(o,c=y.sep){let u=!1;if(o.scheme===t.Schemas.file){const F=D(o);u=F!==void 0&&F.length===s.getRoot(F).length&&F[F.length-1]===c}else{c="/";const F=o.path;u=F.length===1&&F.charCodeAt(F.length-1)===47}return!u&&!(0,e.hasTrailingPathSeparator)(o,c)?o.with({path:o.path+"/"}):o}}e.ExtUri=A,e.extUri=new A(()=>!1),e.extUriBiasedIgnorePathCase=new A(g=>g.scheme===t.Schemas.file?!T.isLinux:!0),e.extUriIgnorePathCase=new A(g=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function R(g,o){const c=[];for(let u=0;u<g.length;u++){const F=o(g[u]);g.some((S,m)=>m===u?!1:(0,e.isEqualOrParent)(F,o(S)))||c.push(g[u])}return c}e.distinctParents=R;var w;(function(g){g.META_DATA_LABEL="label",g.META_DATA_DESCRIPTION="description",g.META_DATA_SIZE="size",g.META_DATA_MIME="mime";function o(c){const u=new Map;c.path.substring(c.path.indexOf(";")+1,c.path.lastIndexOf(";")).split(";").forEach(m=>{const[d,k]=m.split(":");d&&k&&u.set(d,k)});const S=c.path.substring(0,c.path.indexOf(";"));return S&&u.set(g.META_DATA_MIME,S),u}g.parseMetaData=o})(w=e.DataUri||(e.DataUri={}));function i(g,o,c){if(o){let u=g.path;return u&&u[0]!==y.posix.sep&&(u=y.posix.sep+u),g.with({scheme:c,authority:o,path:u})}return g.with({scheme:c})}e.toLocalResource=i}),define(we[14],Ee([0,1,20,15,4,6,24,23]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function D(le){return!!le&&typeof le.then=="function"}e.isThenable=D;function A(le){const ne=new s.CancellationTokenSource,ve=le(ne.token),Ie=new Promise((Oe,He)=>{const Xe=ne.token.onCancellationRequested(()=>{Xe.dispose(),ne.dispose(),He((0,t.canceled)())});Promise.resolve(ve).then(Ye=>{Xe.dispose(),ne.dispose(),Oe(Ye)},Ye=>{Xe.dispose(),ne.dispose(),He(Ye)})});return new class{cancel(){ne.cancel()}then(Oe,He){return Ie.then(Oe,He)}catch(Oe){return this.then(void 0,Oe)}finally(Oe){return Ie.finally(Oe)}}}e.createCancelablePromise=A;function R(le,ne,ve){return Promise.race([le,new Promise(Ie=>ne.onCancellationRequested(()=>Ie(ve)))])}e.raceCancellation=R;async function w(le){let ne=-1;const ve=le.map((Oe,He)=>Oe.then(Xe=>(ne=He,Xe))),Ie=await Promise.race(ve);return le.forEach((Oe,He)=>{He!==ne&&Oe.cancel()}),Ie}e.raceCancellablePromises=w;function i(le,ne,ve){let Ie;const Oe=setTimeout(()=>{Ie?.(void 0),ve?.()},ne);return Promise.race([le.finally(()=>clearTimeout(Oe)),new Promise(He=>Ie=He)])}e.raceTimeout=i;function g(le){return new Promise((ne,ve)=>{const Ie=le();D(Ie)?Ie.then(ne,ve):ne(Ie)})}e.asPromise=g;class o{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(ne){if(this.activePromise){if(this.queuedPromiseFactory=ne,!this.queuedPromise){const ve=()=>{this.queuedPromise=null;const Ie=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,Ie};this.queuedPromise=new Promise(Ie=>{this.activePromise.then(ve,ve).then(Ie)})}return new Promise((ve,Ie)=>{this.queuedPromise.then(ve,Ie)})}return this.activePromise=ne(),new Promise((ve,Ie)=>{this.activePromise.then(Oe=>{this.activePromise=null,ve(Oe)},Oe=>{this.activePromise=null,Ie(Oe)})})}}e.Throttler=o;class c{constructor(){this.current=Promise.resolve(null)}queue(ne){return this.current=this.current.then(()=>ne(),()=>ne())}}e.Sequencer=c;class u{constructor(){this.promiseMap=new Map}queue(ne,ve){const Oe=(this.promiseMap.get(ne)??Promise.resolve()).catch(()=>{}).then(ve).finally(()=>{this.promiseMap.get(ne)===Oe&&this.promiseMap.delete(ne)});return this.promiseMap.set(ne,Oe),Oe}}e.SequencerByKey=u;const F=(le,ne)=>{let ve=!0;const Ie=setTimeout(()=>{ve=!1,ne()},le);return{isTriggered:()=>ve,dispose:()=>{clearTimeout(Ie),ve=!1}}},S=le=>{let ne=!0;return queueMicrotask(()=>{ne&&(ne=!1,le())}),{isTriggered:()=>ne,dispose:()=>{ne=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class m{constructor(ne){this.defaultDelay=ne,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(ne,ve=this.defaultDelay){this.task=ne,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Oe,He)=>{this.doResolve=Oe,this.doReject=He}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Oe=this.task;return this.task=null,Oe()}}));const Ie=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=ve===e.MicrotaskDelay?S(Ie):F(ve,Ie),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject((0,t.canceled)()),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=m;class d{constructor(ne){this.delayer=new m(ne),this.throttler=new o}trigger(ne,ve){return this.delayer.trigger(()=>this.throttler.queue(ne),ve)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=d;class k{constructor(){this._isOpen=!1,this._promise=new Promise((ne,ve)=>{this._completePromise=ne})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=k;class a extends k{constructor(ne){super();this._timeout=setTimeout(()=>this.open(),ne)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=a;function M(le,ne){return ne?new Promise((ve,Ie)=>{const Oe=setTimeout(()=>{He.dispose(),ve()},le),He=ne.onCancellationRequested(()=>{clearTimeout(Oe),He.dispose(),Ie((0,t.canceled)())})}):A(ve=>M(le,ve))}e.timeout=M;function r(le,ne=0){const ve=setTimeout(le,ne);return(0,T.toDisposable)(()=>clearTimeout(ve))}e.disposableTimeout=r;function n(le){const ne=[];let ve=0;const Ie=le.length;function Oe(){return ve<Ie?le[ve++]():null}function He(Xe){Xe!=null&&ne.push(Xe);const Ye=Oe();return Ye?Ye.then(He):Promise.resolve(ne)}return Promise.resolve(null).then(He)}e.sequence=n;function b(le,ne=Ie=>!!Ie,ve=null){let Ie=0;const Oe=le.length,He=()=>{if(Ie>=Oe)return Promise.resolve(ve);const Xe=le[Ie++];return Promise.resolve(Xe()).then($=>ne($)?Promise.resolve($):He())};return He()}e.first=b;function p(le,ne=Ie=>!!Ie,ve=null){if(le.length===0)return Promise.resolve(ve);let Ie=le.length;const Oe=()=>{Ie=-1;for(const He of le)He.cancel?.()};return new Promise((He,Xe)=>{for(const Ye of le)Ye.then($=>{--Ie>=0&&ne($)?(Oe(),He($)):Ie===0&&He(ve)}).catch($=>{--Ie>=0&&(Oe(),Xe($))})})}e.firstParallel=p;class l{constructor(ne){this._size=0,this.maxDegreeOfParalellism=ne,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new y.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(ne){return this._size++,new Promise((ve,Ie)=>{this.outstandingPromises.push({factory:ne,c:ve,e:Ie}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const ne=this.outstandingPromises.shift();this.runningPromises++;const ve=ne.factory();ve.then(ne.c,ne.e),ve.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=l;class h extends l{constructor(){super(1)}}e.Queue=h;class v{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const ne=new V;return this.drainers.add(ne),ne.p}isDrained(){for(const[,ne]of this.queues)if(ne.size>0)return!1;return!0}queueFor(ne,ve=I.extUri){const Ie=ve.getComparisonKey(ne);let Oe=this.queues.get(Ie);return Oe||(Oe=new h,y.Event.once(Oe.onFinished)(()=>{Oe?.dispose(),this.queues.delete(Ie),this.onDidQueueFinish()}),this.queues.set(Ie,Oe)),Oe}onDidQueueFinish(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const ne of this.drainers)ne.complete();this.drainers.clear()}dispose(){for(const[,ne]of this.queues)ne.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=v;class _{constructor(ne,ve){this._token=-1,typeof ne=="function"&&typeof ve=="number"&&this.setIfNotSet(ne,ve)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(ne,ve){this.cancel(),this._token=setTimeout(()=>{this._token=-1,ne()},ve)}setIfNotSet(ne,ve){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,ne()},ve))}}e.TimeoutTimer=_;class f{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(ne,ve){this.cancel(),this._token=setInterval(()=>{ne()},ve)}}e.IntervalTimer=f;class C{constructor(ne,ve){this.timeoutToken=-1,this.runner=ne,this.timeout=ve,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(ne=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,ne)}get delay(){return this.timeout}set delay(ne){this.timeout=ne}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=C;class x{constructor(ne,ve){ve%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ve}ms is not a multiple of 1000ms.`),this.runner=ne,this.timeout=ve,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(ne=this.timeout){ne%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ne}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(ne/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner&&this.runner())}}e.ProcessTimeRunOnceScheduler=x;class N extends C{constructor(ne,ve){super(ne,ve);this.units=[]}work(ne){this.units.push(ne),this.isScheduled()||this.schedule()}doRun(){const ne=this.units;this.units=[],this.runner&&this.runner(ne)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=N;class E extends T.Disposable{constructor(ne,ve){super();this.options=ne,this.handler=ve,this.pendingWork=[],this.throttler=this._register(new T.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(ne){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+ne.length>this.options.maxBufferedWork)return!1}else if(this.pending+ne.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...ne),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new C(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=E,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=le=>{(0,P.setTimeout0)(()=>{if(ne)return;const ve=Date.now()+15;le(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ve-Date.now())}}))});let ne=!1;return{dispose(){ne||(ne=!0)}}}:e.runWhenIdle=(le,ne)=>{const ve=requestIdleCallback(le,typeof ne=="number"?{timeout:ne}:void 0);let Ie=!1;return{dispose(){Ie||(Ie=!0,cancelIdleCallback(ve))}}}}();class O{constructor(ne){this._didRun=!1,this._executor=()=>{try{this._value=ne()}catch(ve){this._error=ve}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=O;async function W(le,ne,ve){let Ie;for(let Oe=0;Oe<ve;Oe++)try{return await le()}catch(He){Ie=He,await M(ne)}throw Ie}e.retry=W;class U{hasPending(ne){return this._pending?typeof ne=="number"?this._pending.taskId===ne:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(ne,ve,Ie){return this._pending={taskId:ne,cancel:()=>Ie?.(),promise:ve},ve.then(()=>this.donePending(ne),()=>this.donePending(ne)),ve}donePending(ne){this._pending&&ne===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const ne=this._next;this._next=void 0,ne.run().then(ne.promiseResolve,ne.promiseReject)}}setNext(ne){if(this._next)this._next.run=ne;else{let ve,Ie;const Oe=new Promise((He,Xe)=>{ve=He,Ie=Xe});this._next={run:ne,promise:Oe,promiseResolve:ve,promiseReject:Ie}}return this._next.promise}}e.TaskSequentializer=U;class H{constructor(ne,ve=()=>Date.now()){this.interval=ne,this.nowFn=ve,this.lastIncrementTime=0,this.value=0}increment(){const ne=this.nowFn();return ne-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=ne,this.value=0),this.value++,this.value}}e.IntervalCounter=H;class V{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((ne,ve)=>{this.completeCallback=ne,this.errorCallback=ve})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(ne){return new Promise(ve=>{this.completeCallback(ne),this.resolved=!0,ve()})}error(ne){return new Promise(ve=>{this.errorCallback(ne),this.rejected=!0,ve()})}cancel(){new Promise(ne=>{this.errorCallback((0,t.canceled)()),this.rejected=!0,ne()})}}e.DeferredPromise=V;var Z;(function(le){async function ne(Ie){let Oe;const He=await Promise.all(Ie.map(Xe=>Xe.then(Ye=>Ye,Ye=>{Oe||(Oe=Ye)})));if(typeof Oe!="undefined")throw Oe;return He}le.settled=ne;function ve(Ie){return new Promise(async(Oe,He)=>{try{await Ie(Oe,He)}catch(Xe){He(Xe)}})}le.withAsyncBody=ve})(Z=e.Promises||(e.Promises={}));var G;(function(le){le[le.Initial=0]="Initial",le[le.DoneOK=1]="DoneOK",le[le.DoneError=2]="DoneError"})(G||(G={}));class oe{constructor(ne){this._state=0,this._results=[],this._error=null,this._onStateChanged=new y.Emitter,queueMicrotask(async()=>{const ve={emitOne:Ie=>this.emitOne(Ie),emitMany:Ie=>this.emitMany(Ie),reject:Ie=>this.reject(Ie)};try{await Promise.resolve(ne(ve)),this.resolve()}catch(Ie){this.reject(Ie)}finally{ve.emitOne=void 0,ve.emitMany=void 0,ve.reject=void 0}})}static fromArray(ne){return new oe(ve=>{ve.emitMany(ne)})}static fromPromise(ne){return new oe(async ve=>{ve.emitMany(await ne)})}static fromPromises(ne){return new oe(async ve=>{await Promise.all(ne.map(async Ie=>ve.emitOne(await Ie)))})}static merge(ne){return new oe(async ve=>{await Promise.all(ne.map(async Ie=>{for await(const Oe of Ie)ve.emitOne(Oe)}))})}[Symbol.asyncIterator](){let ne=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(ne<this._results.length)return{done:!1,value:this._results[ne++]};if(this._state===1)return{done:!0,value:void 0};await y.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(ne,ve){return new oe(async Ie=>{for await(const Oe of ne)Ie.emitOne(ve(Oe))})}map(ne){return oe.map(this,ne)}static filter(ne,ve){return new oe(async Ie=>{for await(const Oe of ne)ve(Oe)&&Ie.emitOne(Oe)})}filter(ne){return oe.filter(this,ne)}static coalesce(ne){return oe.filter(ne,ve=>!!ve)}coalesce(){return oe.coalesce(this)}static async toPromise(ne){const ve=[];for await(const Ie of ne)ve.push(Ie);return ve}toPromise(){return oe.toPromise(this)}emitOne(ne){this._state===0&&(this._results.push(ne),this._onStateChanged.fire())}emitMany(ne){this._state===0&&(this._results=this._results.concat(ne),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(ne){this._state===0&&(this._state=2,this._error=ne,this._onStateChanged.fire())}}e.AsyncIterableObject=oe,oe.EMPTY=oe.fromArray([]);class be extends oe{constructor(ne,ve){super(ve);this._source=ne}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=be;function Se(le){const ne=new s.CancellationTokenSource,ve=le(ne.token);return new be(ne,async Ie=>{const Oe=ne.token.onCancellationRequested(()=>{Oe.dispose(),ne.dispose(),Ie.reject((0,t.canceled)())});try{for await(const He of ve){if(ne.token.isCancellationRequested)return;Ie.emitOne(He)}Oe.dispose(),ne.dispose()}catch(He){Oe.dispose(),ne.dispose(),Ie.reject(He)}})}e.createCancelableAsyncIterable=Se}),define(we[104],Ee([0,1,14,17]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const y=new s.IdleValue(()=>{const v=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:v,collatorIsNumeric:v.resolvedOptions().numeric}}),T=new s.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),I=new s.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function P(v,_,f=!1){const C=v||"",x=_||"",N=y.value.collator.compare(C,x);return y.value.collatorIsNumeric&&N===0&&C!==x?C<x?-1:1:N}e.compareFileNames=P;function D(v,_){const f=T.value.collator;return v=v||"",_=_||"",k(f,v,_)}e.compareFileNamesDefault=D;function A(v,_){const f=T.value.collator;return v=v||"",_=_||"",n(v,_)||k(f,v,_)}e.compareFileNamesUpper=A;function R(v,_){const f=T.value.collator;return v=v||"",_=_||"",r(v,_)||k(f,v,_)}e.compareFileNamesLower=R;function w(v,_){return v=v||"",_=_||"",v===_?0:v<_?-1:1}e.compareFileNamesUnicode=w;function i(v,_,f=!1){f||(v=v&&v.toLowerCase(),_=_&&_.toLowerCase());const[C,x]=m(v),[N,E]=m(_);return C!==N?C<N?-1:1:x===E?0:x<E?-1:1}e.noIntlCompareFileNames=i;function g(v,_){const[f,C]=m(v),[x,N]=m(_);let E=y.value.collator.compare(C,N);if(E===0){if(y.value.collatorIsNumeric&&C!==N)return C<N?-1:1;if(E=y.value.collator.compare(f,x),y.value.collatorIsNumeric&&E===0&&f!==x)return f<x?-1:1}return E}e.compareFileExtensions=g;function o(v,_){v=v||"",_=_||"";const f=d(v),C=d(_),x=T.value.collator,N=I.value.collator;return k(N,f,C)||k(x,v,_)}e.compareFileExtensionsDefault=o;function c(v,_){v=v||"",_=_||"";const f=d(v),C=d(_),x=T.value.collator,N=I.value.collator;return k(N,f,C)||n(v,_)||k(x,v,_)}e.compareFileExtensionsUpper=c;function u(v,_){v=v||"",_=_||"";const f=d(v),C=d(_),x=T.value.collator,N=I.value.collator;return k(N,f,C)||r(v,_)||k(x,v,_)}e.compareFileExtensionsLower=u;function F(v,_){v=v||"",_=_||"";const f=d(v).toLowerCase(),C=d(_).toLowerCase();return f!==C?f<C?-1:1:v!==_?v<_?-1:1:0}e.compareFileExtensionsUnicode=F;const S=/^(.*?)(\.([^.]*))?$/;function m(v,_=!1){const f=v?S.exec(v):[];let C=[f&&f[1]||"",f&&f[3]||""];return _&&(!C[0]&&C[1]||C[0]&&C[0].charAt(0)===".")&&(C=[C[0]+"."+C[1],""]),C}function d(v){const _=v?S.exec(v):[];return _&&_[1]&&_[1].charAt(0)!=="."&&_[3]||""}function k(v,_,f){let C=v.compare(_,f);return C!==0?C:_.length!==f.length?_.length<f.length?-1:1:0}function a(v){const _=v.charAt(0);return _.toLocaleUpperCase()!==_}function M(v){const _=v.charAt(0);return _.toLocaleLowerCase()!==_}function r(v,_){return a(v)&&M(_)?-1:M(v)&&a(_)?1:0}function n(v,_){return M(v)&&a(_)?-1:a(v)&&M(_)?1:0}function b(v,_,f=!1){return f||(v=v&&v.toLowerCase(),_=_&&_.toLowerCase()),v===_?0:v<_?-1:1}function p(v,_,f=!1){const C=v.split(t.sep),x=_.split(t.sep),N=C.length-1,E=x.length-1;let O,W;for(let U=0;;U++){if(O=N===U,W=E===U,O&&W)return P(C[U],x[U],f);if(O)return-1;if(W)return 1;const H=b(C[U],x[U],f);if(H!==0)return H}}e.comparePaths=p;function l(v,_,f){const C=v.toLowerCase(),x=_.toLowerCase(),N=h(v,_,f);if(N)return N;const E=C.endsWith(f),O=x.endsWith(f);if(E!==O)return E?-1:1;const W=P(C,x);return W!==0?W:C.localeCompare(x)}e.compareAnything=l;function h(v,_,f){const C=v.toLowerCase(),x=_.toLowerCase(),N=C.startsWith(f),E=x.startsWith(f);if(N!==E)return N?-1:1;if(N&&E){if(C.length<x.length)return-1;if(C.length>x.length)return 1}return 0}e.compareByPrefix=h}),define(we[29],Ee([0,1,14,35,21,17,9]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function P(){return Object.create(null)}e.getEmptyExpression=P,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const D="[/\\\\]",A="[^/\\\\]",R=/\//g;function w(V){switch(V){case 0:return"";case 1:return`${A}*?`;default:return`(?:${D}|${A}+${D}|${D}${A}+)*?`}}function i(V,Z){if(!V)return[];const G=[];let oe=!1,be=!1,Se="";for(const le of V){switch(le){case Z:if(!oe&&!be){G.push(Se),Se="";continue}break;case"{":oe=!0;break;case"}":oe=!1;break;case"[":be=!0;break;case"]":be=!1;break}Se+=le}return Se&&G.push(Se),G}e.splitGlobAware=i;function g(V){if(!V)return"";let Z="";const G=i(V,e.GLOB_SPLIT);if(G.every(oe=>oe===e.GLOBSTAR))Z=".*";else{let oe=!1;G.forEach((be,Se)=>{if(be===e.GLOBSTAR){oe||(Z+=w(2),oe=!0);return}let le=!1,ne="",ve=!1,Ie="";for(const Oe of be){if(Oe!=="}"&&le){ne+=Oe;continue}if(ve&&(Oe!=="]"||!Ie)){let He;Oe==="-"?He=Oe:(Oe==="^"||Oe==="!")&&!Ie?He="^":Oe===e.GLOB_SPLIT?He="":He=I.escapeRegExpCharacters(Oe),Ie+=He;continue}switch(Oe){case"{":le=!0;continue;case"[":ve=!0;continue;case"}":{Z+=`(?:${i(ne,",").map(Ye=>g(Ye)).join("|")})`,le=!1,ne="";break}case"]":Z+="["+Ie+"]",ve=!1,Ie="";break;case"?":Z+=A;continue;case"*":Z+=w(1);continue;default:Z+=I.escapeRegExpCharacters(Oe)}}Se<G.length-1&&(G[Se+1]!==e.GLOBSTAR||Se+2<G.length)&&(Z+=D),oe=!1})}return Z}const o=/^\*\*\/\*\.[\w\.-]+$/,c=/^\*\*\/([\w\.-]+)\/?$/,u=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,F=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,S=/^\*\*((\/[\w\.-]+)+)\/?$/,m=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,d=new y.LRUCache(1e4),k=function(){return!1},a=function(){return null};function M(V,Z){if(!V)return a;let G;typeof V!="string"?G=V.pattern:G=V,G=G.trim();const oe=`${G}_${!!Z.trimForExclusions}`;let be=d.get(oe);if(be)return r(be,V);let Se;if(o.test(G)){const le=G.substr(4);be=function(ne,ve){return typeof ne=="string"&&ne.endsWith(le)?G:null}}else(Se=c.exec(n(G,Z)))?be=b(Se[1],G):(Z.trimForExclusions?F:u).test(G)?be=p(G,Z):(Se=S.exec(n(G,Z)))?be=l(Se[1].substr(1),G,!0):(Se=m.exec(n(G,Z)))?be=l(Se[1],G,!1):be=h(G);return d.set(oe,be),r(be,V)}function r(V,Z){return typeof Z=="string"?V:function(G,oe){return t.isEqualOrParent(G,Z.base)?V(T.relative(Z.base,G),oe):null}}function n(V,Z){return Z.trimForExclusions&&V.endsWith("/**")?V.substr(0,V.length-2):V}function b(V,Z){const G=`/${V}`,oe=`\\${V}`,be=function(le,ne){return typeof le!="string"?null:ne?ne===V?Z:null:le===V||le.endsWith(G)||le.endsWith(oe)?Z:null},Se=[V];return be.basenames=Se,be.patterns=[Z],be.allBasenames=Se,be}function p(V,Z){const G=H(V.slice(1,-1).split(",").map(ne=>M(ne,Z)).filter(ne=>ne!==a),V),oe=G.length;if(!oe)return a;if(oe===1)return G[0];const be=function(ne,ve){for(let Ie=0,Oe=G.length;Ie<Oe;Ie++)if(G[Ie](ne,ve))return V;return null},Se=G.find(ne=>!!ne.allBasenames);Se&&(be.allBasenames=Se.allBasenames);const le=G.reduce((ne,ve)=>ve.allPaths?ne.concat(ve.allPaths):ne,[]);return le.length&&(be.allPaths=le),be}function l(V,Z,G){const oe=T.sep===T.posix.sep,be=oe?V:V.replace(R,T.sep),Se=T.sep+be,le=T.posix.sep+V,ne=G?function(ve,Ie){return typeof ve=="string"&&(ve===be||ve.endsWith(Se)||!oe&&(ve===V||ve.endsWith(le)))?Z:null}:function(ve,Ie){return typeof ve=="string"&&(ve===be||!oe&&ve===V)?Z:null};return ne.allPaths=[(G?"*/":"./")+V],ne}function h(V){try{const Z=new RegExp(`^${g(V)}$`);return function(G){return Z.lastIndex=0,typeof G=="string"&&Z.test(G)?V:null}}catch{return a}}function v(V,Z,G){return!V||typeof Z!="string"?!1:_(V)(Z,void 0,G)}e.match=v;function _(V,Z={}){if(!V)return k;if(typeof V=="string"||N(V)){const G=M(V,Z);if(G===a)return k;const oe=function(be,Se){return!!G(be,Se)};return G.allBasenames&&(oe.allBasenames=G.allBasenames),G.allPaths&&(oe.allPaths=G.allPaths),oe}return W(V,Z)}e.parse=_;function f(V){if(!V)return;let Z;return G=>(Z||(Z=(V()||Promise.resolve([])).then(oe=>oe?x(oe):{})),Z.then(oe=>!!oe[G]))}e.hasSiblingPromiseFn=f;function C(V){if(!V)return;let Z;return G=>{if(!Z){const oe=V();Z=oe?x(oe):{}}return!!Z[G]}}e.hasSiblingFn=C;function x(V){const Z={};for(const G of V)Z[G]=!0;return Z}function N(V){const Z=V;return Z&&typeof Z.base=="string"&&typeof Z.pattern=="string"}e.isRelativePattern=N;function E(V){return V.allBasenames||[]}e.getBasenameTerms=E;function O(V){return V.allPaths||[]}e.getPathTerms=O;function W(V,Z){const G=H(Object.getOwnPropertyNames(V).map(ne=>U(ne,V[ne],Z)).filter(ne=>ne!==a)),oe=G.length;if(!oe)return a;if(!G.some(ne=>!!ne.requiresSiblings)){if(oe===1)return G[0];const ne=function(Oe,He){for(let Xe=0,Ye=G.length;Xe<Ye;Xe++){const $=G[Xe](Oe,He);if($)return $}return null},ve=G.find(Oe=>!!Oe.allBasenames);ve&&(ne.allBasenames=ve.allBasenames);const Ie=G.reduce((Oe,He)=>He.allPaths?Oe.concat(He.allPaths):Oe,[]);return Ie.length&&(ne.allPaths=Ie),ne}const be=function(ne,ve,Ie){let Oe;for(let He=0,Xe=G.length;He<Xe;He++){const Ye=G[He];Ye.requiresSiblings&&Ie&&(ve||(ve=T.basename(ne)),Oe||(Oe=ve.substr(0,ve.length-T.extname(ne).length)));const $=Ye(ne,ve,Oe,Ie);if($)return $}return null},Se=G.find(ne=>!!ne.allBasenames);Se&&(be.allBasenames=Se.allBasenames);const le=G.reduce((ne,ve)=>ve.allPaths?ne.concat(ve.allPaths):ne,[]);return le.length&&(be.allPaths=le),be}function U(V,Z,G){if(Z===!1)return a;const oe=M(V,G);if(oe===a)return a;if(typeof Z=="boolean")return oe;if(Z){const be=Z.when;if(typeof be=="string"){const Se=(le,ne,ve,Ie)=>{if(!Ie||!oe(le,ne))return null;const Oe=be.replace("$(basename)",ve),He=Ie(Oe);return(0,s.isThenable)(He)?He.then(Xe=>Xe?V:null):He?V:null};return Se.requiresSiblings=!0,Se}}return oe}function H(V,Z){const G=V.filter(ne=>!!ne.basenames);if(G.length<2)return V;const oe=G.reduce((ne,ve)=>{const Ie=ve.basenames;return Ie?ne.concat(Ie):ne},[]);let be;if(Z){be=[];for(let ne=0,ve=oe.length;ne<ve;ne++)be.push(Z)}else be=G.reduce((ne,ve)=>{const Ie=ve.patterns;return Ie?ne.concat(Ie):ne},[]);const Se=function(ne,ve){if(typeof ne!="string")return null;if(!ve){let Oe;for(Oe=ne.length;Oe>0;Oe--){const He=ne.charCodeAt(Oe-1);if(He===47||He===92)break}ve=ne.substr(Oe)}const Ie=oe.indexOf(ve);return Ie!==-1?be[Ie]:null};Se.basenames=oe,Se.patterns=be,Se.allBasenames=oe;const le=V.filter(ne=>!ne.basenames);return le.push(Se),le}}),define(we[78],Ee([0,1,35,11,17,23,24,9,2]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function A(n,b,p){if(typeof n=="string"&&(n=D.URI.file(n)),p){const h=p.getWorkspaceFolder(n);if(h){const v=p.getWorkspace().folders.length>1;let _;if((0,I.isEqual)(h.uri,n)?_="":_=(0,I.relativePath)(h.uri,n),v){const f=h.name?h.name:(0,I.basename)(h.uri);_=_?f+" \u2022 "+_:f}return _}}if(n.scheme!==t.Schemas.file&&n.scheme!==t.Schemas.untitled)return n.with({query:null,fragment:null}).toString(!0);if((0,s.hasDriveLetter)(n.fsPath))return(0,y.normalize)(w(n.fsPath));let l=(0,y.normalize)(n.fsPath);return!T.isWindows&&b?.userHome&&(l=g(l,b.userHome.fsPath)),l}e.getPathLabel=A;function R(n){if(!n)return;typeof n=="string"&&(n=D.URI.file(n));const b=(0,I.basename)(n)||(n.scheme===t.Schemas.file?n.fsPath:n.path);return T.isWindows&&(0,s.isRootOrDriveLetter)(b)?w(b):b}e.getBaseLabel=R;function w(n,b){return(0,s.hasDriveLetter)(n,b)?n.charAt(0).toUpperCase()+n.slice(1):n}e.normalizeDriveLetter=w;let i=Object.create(null);function g(n,b){if(T.isWindows||!n||!b)return n;let p=i.original===b?i.normalized:void 0;return p||(p=`${(0,P.rtrim)(b,y.posix.sep)}${y.posix.sep}`,i={original:b,normalized:p}),(T.isLinux?n.startsWith(p):(0,P.startsWithIgnoreCase)(n,p))&&(n=`~/${n.substr(p.length)}`),n}e.tildify=g;function o(n,b){return n.replace(/^~($|\/|\\)/,`${b}$1`)}e.untildify=o;const c="\u2026",u="\\\\",F="~";function S(n,b=y.sep){const p=new Array(n.length);let l=!1;for(let h=0;h<n.length;h++){let v=n[h];if(v===""){p[h]=`.${b}`;continue}if(!v){p[h]=v;continue}l=!0;let _="";v.indexOf(u)===0?(_=v.substr(0,v.indexOf(u)+u.length),v=v.substr(v.indexOf(u)+u.length)):v.indexOf(b)===0?(_=v.substr(0,v.indexOf(b)+b.length),v=v.substr(v.indexOf(b)+b.length)):v.indexOf(F)===0&&(_=v.substr(0,v.indexOf(F)+F.length),v=v.substr(v.indexOf(F)+F.length));const f=v.split(b);for(let C=1;l&&C<=f.length;C++)for(let x=f.length-C;l&&x>=0;x--){l=!1;let N=f.slice(x,x+C).join(b);for(let E=0;!l&&E<n.length;E++)if(E!==h&&n[E]&&n[E].indexOf(N)>-1){const O=x+C===f.length,W=x>0&&n[E].indexOf(b)>-1?b+N:N,U=n[E].endsWith(W);l=!O||U}if(!l){let E="";(f[0].endsWith(":")||_!=="")&&(x===1&&(x=0,C++,N=f[0]+b+N),x>0&&(E=f[0]+b),E=_+E),x>0&&(E=E+c+b),E=E+N,x+C<f.length&&(E=E+b+c),p[h]=E}}l&&(p[h]=v)}return p}e.shorten=S;var m;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(m||(m={}));function d(n,b=Object.create(null)){const p=[];let l=!1,h="";for(const v of n)if(v==="$"||l&&v==="{")h&&p.push({value:h,type:m.TEXT}),h="",l=!0;else if(v==="}"&&l){const _=b[h];if(typeof _=="string")_.length&&p.push({value:_,type:m.VARIABLE});else if(_){const f=p[p.length-1];(!f||f.type!==m.SEPARATOR)&&p.push({value:_.label,type:m.SEPARATOR})}h="",l=!1}else h+=v;return h&&!l&&p.push({value:h,type:m.TEXT}),p.filter((v,_)=>{if(v.type===m.SEPARATOR){const f=p[_-1],C=p[_+1];return[f,C].every(x=>x&&(x.type===m.VARIABLE||x.type===m.TEXT)&&x.value.length>0)}return!0}).map(v=>v.value).join("")}e.template=d;function k(n,b){return T.isMacintosh||b?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,T.isMacintosh?"&":"&&"):n.replace(/&&|&/g,p=>p==="&"?"&&":"&")}e.mnemonicMenuLabel=k;function a(n,b){return T.isMacintosh||b?n.replace(/\(&&\w\)|&&/g,""):T.isWindows?n.replace(/&&|&/g,p=>p==="&"?"&&":"&"):n.replace(/&&/g,"_")}e.mnemonicButtonLabel=a;function M(n){return n.replace(/&/g,"&&")}e.unmnemonicLabel=M;function r(n){const b=n.indexOf("/")!==-1?y.posix:y.win32,p=b.basename(n),l=b.dirname(n);return p.length?{name:p,parentPath:l}:{name:l,parentPath:""}}e.splitName=r}),define(we[105],Ee([0,1,2]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(R){return R.toJSON()}class y{constructor(w){this._uriTransformer=w}transformIncoming(w){const i=this._uriTransformer.transformIncoming(w);return i===w?w:t(s.URI.from(i))}transformOutgoing(w){const i=this._uriTransformer.transformOutgoing(w);return i===w?w:t(s.URI.from(i))}transformOutgoingURI(w){const i=this._uriTransformer.transformOutgoing(w);return i===w?w:s.URI.from(i)}transformOutgoingScheme(w){return this._uriTransformer.transformOutgoingScheme(w)}}e.URITransformer=y,e.DefaultURITransformer=new class{transformIncoming(R){return R}transformOutgoing(R){return R}transformOutgoingURI(R){return R}transformOutgoingScheme(R){return R}};function T(R,w,i){if(!R||i>200)return null;if(typeof R=="object"){if(R instanceof s.URI)return w.transformOutgoing(R);for(let g in R)if(Object.hasOwnProperty.call(R,g)){const o=T(R[g],w,i+1);o!==null&&(R[g]=o)}}return null}function I(R,w){const i=T(R,w,0);return i===null?R:i}e.transformOutgoingURIs=I;function P(R,w,i,g){if(!R||g>200)return null;if(typeof R=="object"){if(R.$mid===1)return i?s.URI.revive(w.transformIncoming(R)):w.transformIncoming(R);for(let o in R)if(Object.hasOwnProperty.call(R,o)){const c=P(R[o],w,i,g+1);c!==null&&(R[o]=c)}}return null}function D(R,w){const i=P(R,w,!1,0);return i===null?R:i}e.transformIncomingURIs=D;function A(R,w){const i=P(R,w,!0,0);return i===null?R:i}e.transformAndReviveIncomingURIs=A}),define(we[36],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const s=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(D){return s.test(D)}e.isUUID=t;const y=new Uint8Array(16),T=[];for(let D=0;D<256;D++)T.push(D.toString(16).padStart(2,"0"));let I;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?I=crypto.getRandomValues.bind(crypto):I=function(D){for(let A=0;A<D.length;A++)D[A]=Math.floor(Math.random()*256);return D};function P(){I(y),y[6]=y[6]&15|64,y[8]=y[8]&63|128;let D=0,A="";return A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A+="-",A+=T[y[D++]],A+=T[y[D++]],A+="-",A+=T[y[D++]],A+=T[y[D++]],A+="-",A+=T[y[D++]],A+=T[y[D++]],A+="-",A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A+=T[y[D++]],A}e.generateUuid=P}),define(we[106],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var s;(function(I){I[I.None=0]="None",I[I.Indent=1]="Indent",I[I.IndentOutdent=2]="IndentOutdent",I[I.Outdent=3]="Outdent"})(s=e.IndentAction||(e.IndentAction={}));class t{constructor(P){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=P.open,this.close=P.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(P.notIn))for(let D=0,A=P.notIn.length;D<A;D++)switch(P.notIn[D]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(P){switch(P){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(P,D){if(P.getTokenCount()===0)return!0;const A=P.findTokenIndexAtOffset(D-2),R=P.getStandardTokenType(A);return this.isOK(R)}_findNeutralCharacterInRange(P,D){for(let A=P;A<=D;A++){const R=String.fromCharCode(A);if(!this.open.includes(R)&&!this.close.includes(R))return R}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=t;class y{constructor(P){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const D of P)T(this.autoClosingPairsOpenByStart,D.open.charAt(0),D),T(this.autoClosingPairsOpenByEnd,D.open.charAt(D.open.length-1),D),T(this.autoClosingPairsCloseByStart,D.close.charAt(0),D),T(this.autoClosingPairsCloseByEnd,D.close.charAt(D.close.length-1),D),D.close.length===1&&D.open.length===1&&T(this.autoClosingPairsCloseSingleChar,D.close,D)}}e.AutoClosingPairs=y;function T(I,P,D){I.has(P)?I.get(P).push(D):I.set(P,[D])}}),define(we[56],Ee([0,1,29,17]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function y(T,I,P,D){if(Array.isArray(T)){let A=0;for(const R of T){const w=y(R,I,P,D);if(w===10)return w;w>A&&(A=w)}return A}else{if(typeof T=="string")return D?T==="*"?5:T===P?10:0:0;if(T){const{language:A,pattern:R,scheme:w,hasAccessToAllModels:i}=T;if(!D&&!i)return 0;let g=0;if(w)if(w===I.scheme)g=10;else if(w==="*")g=5;else return 0;if(A)if(A===P)g=10;else if(A==="*")g=Math.max(g,5);else return 0;if(R){let o;if(typeof R=="string"?o=R:o={...R,base:(0,t.normalize)(R.base)},o===I.fsPath||(0,s.match)(o,I.fsPath))g=10;else return 0}return g}else return 0}}e.score=y}),define(we[107],Ee([0,1,4,6]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class y{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new s.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(P){this._onDidChange.fire({changedLanguages:P,changedColorMap:!1})}register(P,D){return this._map.set(P,D),this.fire([P]),(0,t.toDisposable)(()=>{this._map.get(P)===D&&(this._map.delete(P),this.fire([P]))})}registerFactory(P,D){this._factories.get(P)?.dispose();const A=new T(this,P,D);return this._factories.set(P,A),(0,t.toDisposable)(()=>{const R=this._factories.get(P);!R||R!==A||(this._factories.delete(P),R.dispose())})}async getOrCreate(P){const D=this.get(P);if(D)return D;const A=this._factories.get(P);return!A||A.isResolved?null:(await A.resolve(),this.get(P))}get(P){return this._map.get(P)||null}isResolved(P){if(this.get(P))return!0;const A=this._factories.get(P);return!!(!A||A.isResolved)}setColorMap(P){this._colorMap=P,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=y;class T extends t.Disposable{constructor(P,D,A){super();this._registry=P,this._languageId=D,this._factory=A,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const P=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,P&&!this._isDisposed&&this._register(this._registry.register(this._languageId,P))}}}),define(we[79],Ee([0,1,22,23]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var y;(function(w){w[w.Full=1]="Full",w[w.Delta=2]="Delta"})(y||(y={}));function T(w){for(let i=0,g=w.length;i<g;i+=4){const o=w[i+0],c=w[i+1],u=w[i+2],F=w[i+3];w[i+0]=F,w[i+1]=u,w[i+2]=c,w[i+3]=o}}function I(w){const i=new Uint8Array(w.buffer,w.byteOffset,w.length*4);return t.isLittleEndian()||T(i),s.VSBuffer.wrap(i)}function P(w){const i=w.buffer;if(t.isLittleEndian()||T(i),i.byteOffset%4==0)return new Uint32Array(i.buffer,i.byteOffset,i.length/4);{const g=new Uint8Array(i.byteLength);return g.set(i),new Uint32Array(g.buffer,g.byteOffset,g.length/4)}}function D(w){const i=new Uint32Array(A(w));let g=0;if(i[g++]=w.id,w.type==="full")i[g++]=1,i[g++]=w.data.length,i.set(w.data,g),g+=w.data.length;else{i[g++]=2,i[g++]=w.deltas.length;for(const o of w.deltas)i[g++]=o.start,i[g++]=o.deleteCount,o.data?(i[g++]=o.data.length,i.set(o.data,g),g+=o.data.length):i[g++]=0}return I(i)}e.encodeSemanticTokensDto=D;function A(w){let i=0;if(i+=1+1,w.type==="full")i+=1+w.data.length;else{i+=1,i+=(1+1+1)*w.deltas.length;for(const g of w.deltas)g.data&&(i+=g.data.length)}return i}function R(w){const i=P(w);let g=0;const o=i[g++];if(i[g++]===1){const S=i[g++],m=i.subarray(g,g+S);return g+=S,{id:o,type:"full",data:m}}const u=i[g++],F=[];for(let S=0;S<u;S++){const m=i[g++],d=i[g++],k=i[g++];let a;k>0&&(a=i.subarray(g,g+k),g+=k),F[S]={start:m,deleteCount:d,data:a}}return{id:o,type:"delta",deltas:F}}e.decodeSemanticTokensDto=R}),define(we[108],Ee([18,19]),function(te,e){return te.create("vs/base/common/date",e)}),define(we[109],Ee([0,1,108]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,y=t*60,T=y*24,I=T*7,P=T*30,D=T*365;function A(w,i){typeof w!="number"&&(w=w.getTime());const g=Math.round((new Date().getTime()-w)/1e3);if(g<-30)return(0,s.localize)(0,null,A(new Date().getTime()+g*1e3,!1));if(g<30)return(0,s.localize)(1,null);let o;return g<t?(o=g,i?o===1?(0,s.localize)(2,null,o):(0,s.localize)(3,null,o):o===1?(0,s.localize)(4,null,o):(0,s.localize)(5,null,o)):g<y?(o=Math.floor(g/t),i?o===1?(0,s.localize)(6,null,o):(0,s.localize)(7,null,o):o===1?(0,s.localize)(8,null,o):(0,s.localize)(9,null,o)):g<T?(o=Math.floor(g/y),i?o===1?(0,s.localize)(10,null,o):(0,s.localize)(11,null,o):o===1?(0,s.localize)(12,null,o):(0,s.localize)(13,null,o)):g<I?(o=Math.floor(g/T),i?o===1?(0,s.localize)(14,null,o):(0,s.localize)(15,null,o):o===1?(0,s.localize)(16,null,o):(0,s.localize)(17,null,o)):g<P?(o=Math.floor(g/I),i?o===1?(0,s.localize)(18,null,o):(0,s.localize)(19,null,o):o===1?(0,s.localize)(20,null,o):(0,s.localize)(21,null,o)):g<D?(o=Math.floor(g/P),i?o===1?(0,s.localize)(22,null,o):(0,s.localize)(23,null,o):o===1?(0,s.localize)(24,null,o):(0,s.localize)(25,null,o)):(o=Math.floor(g/D),i?o===1?(0,s.localize)(26,null,o):(0,s.localize)(27,null,o):o===1?(0,s.localize)(28,null,o):(0,s.localize)(29,null,o))}e.fromNow=A;function R(w){return w.getFullYear()+"-"+String(w.getMonth()+1).padStart(2,"0")+"-"+String(w.getDate()).padStart(2,"0")+"T"+String(w.getHours()).padStart(2,"0")+":"+String(w.getMinutes()).padStart(2,"0")+":"+String(w.getSeconds()).padStart(2,"0")+"."+(w.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=R}),define(we[110],Ee([18,19]),function(te,e){return te.create("vs/base/common/errorMessage",e)}),define(we[43],Ee([0,1,16,10,110]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function T(A,R){return R&&(A.stack||A.stacktrace)?y.localize(0,null,P(A),I(A.stack)||I(A.stacktrace)):P(A)}function I(A){return Array.isArray(A)?A.join(`
`):A}function P(A){return typeof A.code=="string"&&typeof A.errno=="number"&&typeof A.syscall=="string"?y.localize(1,null,A.message):A.message||y.localize(2,null)}function D(A=null,R=!1){if(!A)return y.localize(3,null);if(Array.isArray(A)){const w=s.coalesce(A),i=D(w[0],R);return w.length>1?y.localize(4,null,i,w.length):i}if(t.isString(A))return A;if(A.detail){const w=A.detail;if(w.error)return T(w.error,R);if(w.exception)return T(w.exception,R)}return A.stack?T(A,R):A.message?A.message:y.localize(5,null)}e.toErrorMessage=D}),define(we[111],Ee([18,19]),function(te,e){return te.create("vs/editor/common/config/editorOptions",e)}),define(we[112],Ee([0,1,111,23,113,16,26]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var P;(function(j){j[j.None=0]="None",j[j.Keep=1]="Keep",j[j.Brackets=2]="Brackets",j[j.Advanced=3]="Advanced",j[j.Full=4]="Full"})(P=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class D{constructor(Q){this._values=Q}hasChanged(Q){return this._values[Q]}}e.ConfigurationChangedEvent=D;class A{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=A;class R{constructor(Q,fe,xe,qe){this.id=Q,this.name=fe,this.defaultValue=xe,this.schema=qe}applyUpdate(Q,fe){return i(Q,fe)}compute(Q,fe,xe){return xe}}class w{constructor(Q,fe){this.newValue=Q,this.didChange=fe}}e.ApplyUpdateResult=w;function i(j,Q){if(typeof j!="object"||typeof Q!="object"||!j||!Q)return new w(Q,j!==Q);if(Array.isArray(j)||Array.isArray(Q)){const xe=Array.isArray(j)&&Array.isArray(Q)&&T.equals(j,Q);return new w(Q,xe)}let fe=!1;for(const xe in Q)if(Q.hasOwnProperty(xe)){const qe=i(j[xe],Q[xe]);qe.didChange&&(j[xe]=qe.newValue,fe=!0)}return new w(j,fe)}class g{constructor(Q){this.schema=void 0,this.id=Q,this.name="_never_",this.defaultValue=void 0}applyUpdate(Q,fe){return i(Q,fe)}validate(Q){return this.defaultValue}}class o{constructor(Q,fe,xe,qe){this.id=Q,this.name=fe,this.defaultValue=xe,this.schema=qe}applyUpdate(Q,fe){return i(Q,fe)}validate(Q){return typeof Q=="undefined"?this.defaultValue:Q}compute(Q,fe,xe){return xe}}function c(j,Q){return typeof j=="undefined"?Q:j==="false"?!1:Boolean(j)}e.boolean=c;class u extends o{constructor(Q,fe,xe,qe=void 0){typeof qe!="undefined"&&(qe.type="boolean",qe.default=xe);super(Q,fe,xe,qe)}validate(Q){return c(Q,this.defaultValue)}}function F(j,Q,fe,xe){if(typeof j=="undefined")return Q;let qe=parseInt(j,10);return isNaN(qe)?Q:(qe=Math.max(fe,qe),qe=Math.min(xe,qe),qe|0)}e.clampedInt=F;class S extends o{constructor(Q,fe,xe,qe,st,ht=void 0){typeof ht!="undefined"&&(ht.type="integer",ht.default=xe,ht.minimum=qe,ht.maximum=st);super(Q,fe,xe,ht);this.minimum=qe,this.maximum=st}static clampedInt(Q,fe,xe,qe){return F(Q,fe,xe,qe)}validate(Q){return S.clampedInt(Q,this.defaultValue,this.minimum,this.maximum)}}class m extends o{constructor(Q,fe,xe,qe,st){typeof st!="undefined"&&(st.type="number",st.default=xe);super(Q,fe,xe,st);this.validationFn=qe}static clamp(Q,fe,xe){return Q<fe?fe:Q>xe?xe:Q}static float(Q,fe){if(typeof Q=="number")return Q;if(typeof Q=="undefined")return fe;const xe=parseFloat(Q);return isNaN(xe)?fe:xe}validate(Q){return this.validationFn(m.float(Q,this.defaultValue))}}class d extends o{static string(Q,fe){return typeof Q!="string"?fe:Q}constructor(Q,fe,xe,qe=void 0){typeof qe!="undefined"&&(qe.type="string",qe.default=xe);super(Q,fe,xe,qe)}validate(Q){return d.string(Q,this.defaultValue)}}function k(j,Q,fe){return typeof j!="string"||fe.indexOf(j)===-1?Q:j}e.stringSet=k;class a extends o{constructor(Q,fe,xe,qe,st=void 0){typeof st!="undefined"&&(st.type="string",st.enum=qe,st.default=xe);super(Q,fe,xe,st);this._allowedValues=qe}validate(Q){return k(Q,this.defaultValue,this._allowedValues)}}class M extends R{constructor(Q,fe,xe,qe,st,ht,Ze=void 0){typeof Ze!="undefined"&&(Ze.type="string",Ze.enum=st,Ze.default=qe);super(Q,fe,xe,Ze);this._allowedValues=st,this._convert=ht}validate(Q){return typeof Q!="string"?this.defaultValue:this._allowedValues.indexOf(Q)===-1?this.defaultValue:this._convert(Q)}}function r(j){switch(j){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class n extends R{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[s.localize(0,null),s.localize(1,null),s.localize(2,null)],default:"auto",description:s.localize(3,null)})}validate(Q){switch(Q){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(Q,fe,xe){return xe===0?Q.accessibilitySupport:xe}}class b extends R{constructor(){const Q={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",Q,{"editor.comments.insertSpace":{type:"boolean",default:Q.insertSpace,description:s.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:Q.ignoreEmptyLines,description:s.localize(5,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{insertSpace:c(fe.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:c(fe.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var p;(function(j){j[j.Hidden=0]="Hidden",j[j.Blink=1]="Blink",j[j.Smooth=2]="Smooth",j[j.Phase=3]="Phase",j[j.Expand=4]="Expand",j[j.Solid=5]="Solid"})(p=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function l(j){switch(j){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var h;(function(j){j[j.Line=1]="Line",j[j.Block=2]="Block",j[j.Underline=3]="Underline",j[j.LineThin=4]="LineThin",j[j.BlockOutline=5]="BlockOutline",j[j.UnderlineThin=6]="UnderlineThin"})(h=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function v(j){switch(j){case h.Line:return"line";case h.Block:return"block";case h.Underline:return"underline";case h.LineThin:return"line-thin";case h.BlockOutline:return"block-outline";case h.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=v;function _(j){switch(j){case"line":return h.Line;case"block":return h.Block;case"underline":return h.Underline;case"line-thin":return h.LineThin;case"block-outline":return h.BlockOutline;case"underline-thin":return h.UnderlineThin}}class f extends g{constructor(){super(128)}compute(Q,fe,xe){const qe=["monaco-editor"];return fe.get(33)&&qe.push(fe.get(33)),Q.extraEditorClassName&&qe.push(Q.extraEditorClassName),fe.get(66)==="default"?qe.push("mouse-default"):fe.get(66)==="copy"&&qe.push("mouse-copy"),fe.get(100)&&qe.push("showUnused"),fe.get(126)&&qe.push("showDeprecated"),qe.join(" ")}}class C extends u{constructor(){super(32,"emptySelectionClipboard",!0,{description:s.localize(6,null)})}compute(Q,fe,xe){return xe&&Q.emptySelectionClipboard}}class x extends R{constructor(){const Q={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(35,"find",Q,{"editor.find.cursorMoveOnType":{type:"boolean",default:Q.cursorMoveOnType,description:s.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:Q.seedSearchStringFromSelection,enumDescriptions:[s.localize(8,null),s.localize(9,null),s.localize(10,null)],description:s.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:Q.autoFindInSelection,enumDescriptions:[s.localize(12,null),s.localize(13,null),s.localize(14,null)],description:s.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:Q.globalFindClipboard,description:s.localize(16,null),included:t.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:Q.addExtraSpaceOnTop,description:s.localize(17,null)},"editor.find.loop":{type:"boolean",default:Q.loop,description:s.localize(18,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{cursorMoveOnType:c(fe.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof Q.seedSearchStringFromSelection=="boolean"?Q.seedSearchStringFromSelection?"always":"never":k(fe.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof Q.autoFindInSelection=="boolean"?Q.autoFindInSelection?"always":"never":k(fe.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:c(fe.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:c(fe.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:c(fe.loop,this.defaultValue.loop)}}}class N extends R{constructor(){super(45,"fontLigatures",N.OFF,{anyOf:[{type:"boolean",description:s.localize(19,null)},{type:"string",description:s.localize(20,null)}],description:s.localize(21,null),default:!1})}validate(Q){return typeof Q=="undefined"?this.defaultValue:typeof Q=="string"?Q==="false"?N.OFF:Q==="true"?N.ON:Q:Boolean(Q)?N.ON:N.OFF}}e.EditorFontLigatures=N,N.OFF='"liga" off, "calt" off',N.ON='"liga" on, "calt" on';class E extends g{constructor(){super(44)}compute(Q,fe,xe){return Q.fontInfo}}class O extends o{constructor(){super(46,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:s.localize(22,null)})}validate(Q){const fe=m.float(Q,this.defaultValue);return fe===0?e.EDITOR_FONT_DEFAULTS.fontSize:m.clamp(fe,6,100)}compute(Q,fe,xe){return Q.fontInfo.fontSize}}class W extends R{constructor(){super(47,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:W.MINIMUM_VALUE,maximum:W.MAXIMUM_VALUE,errorMessage:s.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:W.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:s.localize(24,null)})}validate(Q){return Q==="normal"||Q==="bold"?Q:String(S.clampedInt(Q,e.EDITOR_FONT_DEFAULTS.fontWeight,W.MINIMUM_VALUE,W.MAXIMUM_VALUE))}}W.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],W.MINIMUM_VALUE=1,W.MAXIMUM_VALUE=1e3;class U extends R{constructor(){const Q={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},fe={type:"string",enum:["peek","gotoAndPeek","goto"],default:Q.multiple,enumDescriptions:[s.localize(25,null),s.localize(26,null),s.localize(27,null)]},xe=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(51,"gotoLocation",Q,{"editor.gotoLocation.multiple":{deprecationMessage:s.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:s.localize(29,null),...fe},"editor.gotoLocation.multipleTypeDefinitions":{description:s.localize(30,null),...fe},"editor.gotoLocation.multipleDeclarations":{description:s.localize(31,null),...fe},"editor.gotoLocation.multipleImplementations":{description:s.localize(32,null),...fe},"editor.gotoLocation.multipleReferences":{description:s.localize(33,null),...fe},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:Q.alternativeDefinitionCommand,enum:xe,description:s.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:Q.alternativeTypeDefinitionCommand,enum:xe,description:s.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:Q.alternativeDeclarationCommand,enum:xe,description:s.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:Q.alternativeImplementationCommand,enum:xe,description:s.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:Q.alternativeReferenceCommand,enum:xe,description:s.localize(38,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{multiple:k(fe.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:fe.multipleDefinitions??k(fe.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:fe.multipleTypeDefinitions??k(fe.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:fe.multipleDeclarations??k(fe.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:fe.multipleImplementations??k(fe.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:fe.multipleReferences??k(fe.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:d.string(fe.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:d.string(fe.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:d.string(fe.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:d.string(fe.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:d.string(fe.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class H extends R{constructor(){const Q={enabled:!0,delay:300,sticky:!0,above:!0};super(53,"hover",Q,{"editor.hover.enabled":{type:"boolean",default:Q.enabled,description:s.localize(39,null)},"editor.hover.delay":{type:"number",default:Q.delay,minimum:0,maximum:1e4,description:s.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:Q.sticky,description:s.localize(41,null)},"editor.hover.above":{type:"boolean",default:Q.above,description:s.localize(42,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:c(fe.enabled,this.defaultValue.enabled),delay:S.clampedInt(fe.delay,this.defaultValue.delay,0,1e4),sticky:c(fe.sticky,this.defaultValue.sticky),above:c(fe.above,this.defaultValue.above)}}}var V;(function(j){j[j.None=0]="None",j[j.Text=1]="Text",j[j.Blocks=2]="Blocks"})(V=e.RenderMinimap||(e.RenderMinimap={}));class Z extends g{constructor(){super(131)}compute(Q,fe,xe){return Z.computeLayout(fe,{memory:Q.memory,outerWidth:Q.outerWidth,outerHeight:Q.outerHeight,isDominatedByLongLines:Q.isDominatedByLongLines,lineHeight:Q.fontInfo.lineHeight,viewLineCount:Q.viewLineCount,lineNumbersDigitCount:Q.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:Q.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:Q.fontInfo.maxDigitWidth,pixelRatio:Q.pixelRatio})}static computeContainedMinimapLineCount(Q){const fe=Q.height/Q.lineHeight,xe=Q.scrollBeyondLastLine?fe-1:0,qe=(Q.viewLineCount+xe)/(Q.pixelRatio*Q.height),st=Math.floor(Q.viewLineCount/qe);return{typicalViewportLineCount:fe,extraLinesBeyondLastLine:xe,desiredRatio:qe,minimapLineCount:st}}static _computeMinimapLayout(Q,fe){const xe=Q.outerWidth,qe=Q.outerHeight,st=Q.pixelRatio;if(!Q.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(st*qe),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:qe};const ht=fe.stableMinimapLayoutInput,Ze=ht&&Q.outerHeight===ht.outerHeight&&Q.lineHeight===ht.lineHeight&&Q.typicalHalfwidthCharacterWidth===ht.typicalHalfwidthCharacterWidth&&Q.pixelRatio===ht.pixelRatio&&Q.scrollBeyondLastLine===ht.scrollBeyondLastLine&&Q.minimap.enabled===ht.minimap.enabled&&Q.minimap.side===ht.minimap.side&&Q.minimap.size===ht.minimap.size&&Q.minimap.showSlider===ht.minimap.showSlider&&Q.minimap.renderCharacters===ht.minimap.renderCharacters&&Q.minimap.maxColumn===ht.minimap.maxColumn&&Q.minimap.scale===ht.minimap.scale&&Q.verticalScrollbarWidth===ht.verticalScrollbarWidth&&Q.isViewportWrapping===ht.isViewportWrapping,kt=Q.lineHeight,Re=Q.typicalHalfwidthCharacterWidth,Ce=Q.scrollBeyondLastLine,pe=Q.minimap.renderCharacters;let ie=st>=2?Math.round(Q.minimap.scale*2):Q.minimap.scale;const se=Q.minimap.maxColumn,de=Q.minimap.size,ge=Q.minimap.side,Te=Q.verticalScrollbarWidth,ze=Q.viewLineCount,Ne=Q.remainingWidth,Ge=Q.isViewportWrapping,nt=pe?2:3;let ot=Math.floor(st*qe);const Le=ot/st;let ue=!1,he=!1,ae=nt*ie,z=ie/st,ye=1;if(de==="fill"||de==="fit"){const{typicalViewportLineCount:dt,extraLinesBeyondLastLine:vt,desiredRatio:bt,minimapLineCount:xt}=Z.computeContainedMinimapLineCount({viewLineCount:ze,scrollBeyondLastLine:Ce,height:qe,lineHeight:kt,pixelRatio:st});if(ze/xt>1)ue=!0,he=!0,ie=1,ae=1,z=ie/st;else{let Mt=!1,Dt=ie+1;if(de==="fit"){const St=Math.ceil((ze+vt)*ae);Ge&&Ze&&Ne<=fe.stableFitRemainingWidth?(Mt=!0,Dt=fe.stableFitMaxMinimapScale):Mt=St>ot}if(de==="fill"||Mt){ue=!0;const St=ie;ae=Math.min(kt*st,Math.max(1,Math.floor(1/bt))),Ge&&Ze&&Ne<=fe.stableFitRemainingWidth&&(Dt=fe.stableFitMaxMinimapScale),ie=Math.min(Dt,Math.max(1,Math.floor(ae/nt))),ie>St&&(ye=Math.min(2,ie/St)),z=ie/st/ye,ot=Math.ceil(Math.max(dt,ze+vt)*ae),Ge?(fe.stableMinimapLayoutInput=Q,fe.stableFitRemainingWidth=Ne,fe.stableFitMaxMinimapScale=ie):(fe.stableMinimapLayoutInput=null,fe.stableFitRemainingWidth=0)}}}const Ae=Math.floor(se*z),je=Math.min(Ae,Math.max(0,Math.floor((Ne-Te-2)*z/(Re+z)))+e.MINIMAP_GUTTER_WIDTH);let We=Math.floor(st*je);const mt=We/st;We=Math.floor(We*ye);const Et=pe?1:2,_t=ge==="left"?0:xe-je-Te;return{renderMinimap:Et,minimapLeft:_t,minimapWidth:je,minimapHeightIsEditorHeight:ue,minimapIsSampling:he,minimapScale:ie,minimapLineHeight:ae,minimapCanvasInnerWidth:We,minimapCanvasInnerHeight:ot,minimapCanvasOuterWidth:mt,minimapCanvasOuterHeight:Le}}static computeLayout(Q,fe){const xe=fe.outerWidth|0,qe=fe.outerHeight|0,st=fe.lineHeight|0,ht=fe.lineNumbersDigitCount|0,Ze=fe.typicalHalfwidthCharacterWidth,kt=fe.maxDigitWidth,Re=fe.pixelRatio,Ce=fe.viewLineCount,pe=Q.get(123),ie=pe==="inherit"?Q.get(122):pe,se=ie==="inherit"?Q.get(118):ie,de=Q.get(121),ge=Q.get(2),Te=fe.isDominatedByLongLines,ze=Q.get(50),Ne=Q.get(60).renderType!==0,Ge=Q.get(61),nt=Q.get(94),ot=Q.get(65),Le=Q.get(92),ue=Le.verticalScrollbarSize,he=Le.verticalHasArrows,ae=Le.arrowSize,z=Le.horizontalScrollbarSize,ye=Q.get(58),Ae=Q.get(37);let je;if(typeof ye=="string"&&/^\d+(\.\d+)?ch$/.test(ye)){const wt=parseFloat(ye.substr(0,ye.length-2));je=S.clampedInt(wt*Ze,0,0,1e3)}else je=S.clampedInt(ye,0,0,1e3);Ae&&(je+=16);let We=0;if(Ne){const wt=Math.max(ht,Ge);We=Math.round(wt*kt)}let mt=0;ze&&(mt=st);let Et=0,_t=Et+mt,dt=_t+We,vt=dt+je;const bt=xe-mt-We-je;let xt=!1,It=!1,Mt=-1;ge!==2&&(ie==="inherit"&&Te?(xt=!0,It=!0):se==="on"||se==="bounded"?It=!0:se==="wordWrapColumn"&&(Mt=de));const Dt=Z._computeMinimapLayout({outerWidth:xe,outerHeight:qe,lineHeight:st,typicalHalfwidthCharacterWidth:Ze,pixelRatio:Re,scrollBeyondLastLine:nt,minimap:ot,verticalScrollbarWidth:ue,viewLineCount:Ce,remainingWidth:bt,isViewportWrapping:It},fe.memory||new A);Dt.renderMinimap!==0&&Dt.minimapLeft===0&&(Et+=Dt.minimapWidth,_t+=Dt.minimapWidth,dt+=Dt.minimapWidth,vt+=Dt.minimapWidth);const St=bt-Dt.minimapWidth,Qt=Math.max(1,Math.floor((St-ue-2)/Ze)),Vt=he?ae:0;return It&&(Mt=Math.max(1,Qt),se==="bounded"&&(Mt=Math.min(Mt,de))),{width:xe,height:qe,glyphMarginLeft:Et,glyphMarginWidth:mt,lineNumbersLeft:_t,lineNumbersWidth:We,decorationsLeft:dt,decorationsWidth:je,contentLeft:vt,contentWidth:St,minimap:Dt,viewportColumn:Qt,isWordWrapMinified:xt,isViewportWrapping:It,wrappingColumn:Mt,verticalScrollbarWidth:ue,horizontalScrollbarHeight:z,overviewRuler:{top:Vt,width:ue,height:qe-2*Vt,right:0}}}}e.EditorLayoutInfoComputer=Z;class G extends R{constructor(){const Q={enabled:!0};super(57,"lightbulb",Q,{"editor.lightbulb.enabled":{type:"boolean",default:Q.enabled,description:s.localize(43,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:c(Q.enabled,this.defaultValue.enabled)}}}class oe extends R{constructor(){const Q={enabled:!0,fontSize:0,fontFamily:""};super(127,"inlayHints",Q,{"editor.inlayHints.enabled":{type:"boolean",default:Q.enabled,description:s.localize(44,null)},"editor.inlayHints.fontSize":{type:"number",default:Q.fontSize,markdownDescription:s.localize(45,null)},"editor.inlayHints.fontFamily":{type:"string",default:Q.fontFamily,markdownDescription:s.localize(46,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:c(fe.enabled,this.defaultValue.enabled),fontSize:S.clampedInt(fe.fontSize,this.defaultValue.fontSize,0,100),fontFamily:d.string(fe.fontFamily,this.defaultValue.fontFamily)}}}class be extends m{constructor(){super(59,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,Q=>m.clamp(Q,0,150),{markdownDescription:s.localize(47,null)})}compute(Q,fe,xe){return Q.fontInfo.lineHeight}}class Se extends R{constructor(){const Q={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(65,"minimap",Q,{"editor.minimap.enabled":{type:"boolean",default:Q.enabled,description:s.localize(48,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[s.localize(49,null),s.localize(50,null),s.localize(51,null)],default:Q.size,description:s.localize(52,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:Q.side,description:s.localize(53,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:Q.showSlider,description:s.localize(54,null)},"editor.minimap.scale":{type:"number",default:Q.scale,minimum:1,maximum:3,enum:[1,2,3],description:s.localize(55,null)},"editor.minimap.renderCharacters":{type:"boolean",default:Q.renderCharacters,description:s.localize(56,null)},"editor.minimap.maxColumn":{type:"number",default:Q.maxColumn,description:s.localize(57,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:c(fe.enabled,this.defaultValue.enabled),size:k(fe.size,this.defaultValue.size,["proportional","fill","fit"]),side:k(fe.side,this.defaultValue.side,["right","left"]),showSlider:k(fe.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:c(fe.renderCharacters,this.defaultValue.renderCharacters),scale:S.clampedInt(fe.scale,1,1,3),maxColumn:S.clampedInt(fe.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function le(j){return j==="ctrlCmd"?t.isMacintosh?"metaKey":"ctrlKey":"altKey"}class ne extends R{constructor(){super(75,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:s.localize(58,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:s.localize(59,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{top:S.clampedInt(fe.top,0,0,1e3),bottom:S.clampedInt(fe.bottom,0,0,1e3)}}}class ve extends R{constructor(){const Q={enabled:!0,cycle:!1};super(76,"parameterHints",Q,{"editor.parameterHints.enabled":{type:"boolean",default:Q.enabled,description:s.localize(60,null)},"editor.parameterHints.cycle":{type:"boolean",default:Q.cycle,description:s.localize(61,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:c(fe.enabled,this.defaultValue.enabled),cycle:c(fe.cycle,this.defaultValue.cycle)}}}class Ie extends g{constructor(){super(129)}compute(Q,fe,xe){return Q.pixelRatio}}class Oe extends R{constructor(){const Q={other:!0,comments:!1,strings:!1};super(79,"quickSuggestions",Q,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:Q.strings,description:s.localize(62,null)},comments:{type:"boolean",default:Q.comments,description:s.localize(63,null)},other:{type:"boolean",default:Q.other,description:s.localize(64,null)}}}],default:Q,description:s.localize(65,null)});this.defaultValue=Q}validate(Q){if(typeof Q=="boolean")return Q;if(Q&&typeof Q=="object"){const fe=Q,xe={other:c(fe.other,this.defaultValue.other),comments:c(fe.comments,this.defaultValue.comments),strings:c(fe.strings,this.defaultValue.strings)};return xe.other&&xe.comments&&xe.strings?!0:!xe.other&&!xe.comments&&!xe.strings?!1:xe}return this.defaultValue}}var He;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative",j[j.Interval=3]="Interval",j[j.Custom=4]="Custom"})(He=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Xe extends R{constructor(){super(60,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[s.localize(66,null),s.localize(67,null),s.localize(68,null),s.localize(69,null)],default:"on",description:s.localize(70,null)})}validate(Q){let fe=this.defaultValue.renderType,xe=this.defaultValue.renderFn;return typeof Q!="undefined"&&(typeof Q=="function"?(fe=4,xe=Q):Q==="interval"?fe=3:Q==="relative"?fe=2:Q==="on"?fe=1:fe=0),{renderType:fe,renderFn:xe}}}function Ye(j){const Q=j.get(87);return Q==="editable"?j.get(81):Q!=="on"}e.filterValidationDecorations=Ye;class $ extends R{constructor(){const Q=[],fe={type:"number",description:s.localize(71,null)};super(91,"rulers",Q,{type:"array",items:{anyOf:[fe,{type:["object"],properties:{column:fe,color:{type:"string",description:s.localize(72,null),format:"color-hex"}}}]},default:Q,description:s.localize(73,null)})}validate(Q){if(Array.isArray(Q)){const fe=[];for(let xe of Q)if(typeof xe=="number")fe.push({column:S.clampedInt(xe,0,0,1e4),color:null});else if(xe&&typeof xe=="object"){const qe=xe;fe.push({column:S.clampedInt(qe.column,0,0,1e4),color:qe.color})}return fe.sort((xe,qe)=>xe.column-qe.column),fe}return this.defaultValue}}function K(j,Q){if(typeof j!="string")return Q;switch(j){case"hidden":return 2;case"visible":return 3;default:return 1}}class Y extends R{constructor(){const Q={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(92,"scrollbar",Q,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[s.localize(74,null),s.localize(75,null),s.localize(76,null)],default:"auto",description:s.localize(77,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[s.localize(78,null),s.localize(79,null),s.localize(80,null)],default:"auto",description:s.localize(81,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:Q.verticalScrollbarSize,description:s.localize(82,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:Q.horizontalScrollbarSize,description:s.localize(83,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:Q.scrollByPage,description:s.localize(84,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q,xe=S.clampedInt(fe.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),qe=S.clampedInt(fe.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:S.clampedInt(fe.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:K(fe.vertical,this.defaultValue.vertical),horizontal:K(fe.horizontal,this.defaultValue.horizontal),useShadows:c(fe.useShadows,this.defaultValue.useShadows),verticalHasArrows:c(fe.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:c(fe.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:c(fe.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:c(fe.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:xe,horizontalSliderSize:S.clampedInt(fe.horizontalSliderSize,xe,0,1e3),verticalScrollbarSize:qe,verticalSliderSize:S.clampedInt(fe.verticalSliderSize,qe,0,1e3),scrollByPage:c(fe.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class re extends R{constructor(){const Q={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(113,"unicodeHighlight",Q,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.nonBasicASCII,description:s.localize(85,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:Q.invisibleCharacters,description:s.localize(86,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:Q.ambiguousCharacters,description:s.localize(87,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeComments,description:s.localize(88,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:Q.includeStrings,description:s.localize(89,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:Q.allowedCharacters,description:s.localize(90,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:Q.allowedLocales,description:s.localize(91,null)}})}applyUpdate(Q,fe){let xe=!1;fe.allowedCharacters&&(I.equals(Q.allowedCharacters,fe.allowedCharacters)||(Q={...Q,allowedCharacters:fe.allowedCharacters},xe=!0)),fe.allowedLocales&&(I.equals(Q.allowedLocales,fe.allowedLocales)||(Q={...Q,allowedLocales:fe.allowedLocales},xe=!0));const qe=super.applyUpdate(Q,fe);return xe?new w(qe.newValue,!0):qe}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{nonBasicASCII:Pe(fe.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:c(fe.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:c(fe.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:Pe(fe.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:Pe(fe.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(Q.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(Q.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(Q,fe){if(typeof Q!="object"||!Q)return fe;const xe={};for(const[qe,st]of Object.entries(Q))st===!0&&(xe[qe]=!0);return xe}}class q extends R{constructor(){const Q={enabled:!0,mode:"subwordSmart"};super(55,"inlineSuggest",Q,{"editor.inlineSuggest.enabled":{type:"boolean",default:Q.enabled,description:s.localize(92,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{enabled:c(fe.enabled,this.defaultValue.enabled),mode:k(fe.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class J extends R{constructor(){const Q={enabled:e.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled};super(12,"bracketPairColorization",Q,{"editor.bracketPairColorization.enabled":{type:"boolean",default:Q.enabled,description:s.localize(93,null)}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{enabled:c(Q.enabled,this.defaultValue.enabled)}}}class me extends R{constructor(){const Q={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",Q,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[s.localize(94,null),s.localize(95,null),s.localize(96,null)],default:Q.bracketPairs,description:s.localize(97,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[s.localize(98,null),s.localize(99,null),s.localize(100,null)],default:Q.bracketPairsHorizontal,description:s.localize(101,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:Q.highlightActiveBracketPair,description:s.localize(102,null)},"editor.guides.indentation":{type:"boolean",default:Q.indentation,description:s.localize(103,null)},"editor.guides.highlightActiveIndentation":{type:"boolean",default:Q.highlightActiveIndentation,description:s.localize(104,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{bracketPairs:Pe(fe.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:Pe(fe.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:c(fe.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:c(fe.indentation,this.defaultValue.indentation),highlightActiveIndentation:c(fe.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation)}}}function Pe(j,Q,fe){const xe=fe.indexOf(j);return xe===-1?Q:fe[xe]}class Be extends R{constructor(){const Q={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(106,"suggest",Q,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[s.localize(105,null),s.localize(106,null)],default:Q.insertMode,description:s.localize(107,null)},"editor.suggest.filterGraceful":{type:"boolean",default:Q.filterGraceful,description:s.localize(108,null)},"editor.suggest.localityBonus":{type:"boolean",default:Q.localityBonus,description:s.localize(109,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:Q.shareSuggestSelections,markdownDescription:s.localize(110,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:Q.snippetsPreventQuickSuggestions,description:s.localize(111,null)},"editor.suggest.showIcons":{type:"boolean",default:Q.showIcons,description:s.localize(112,null)},"editor.suggest.showStatusBar":{type:"boolean",default:Q.showStatusBar,description:s.localize(113,null)},"editor.suggest.preview":{type:"boolean",default:Q.preview,description:s.localize(114,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:Q.showInlineDetails,description:s.localize(115,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:s.localize(116,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:s.localize(117,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:s.localize(118,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:s.localize(119,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:s.localize(120,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:s.localize(121,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:s.localize(122,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:s.localize(123,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:s.localize(124,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:s.localize(125,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:s.localize(126,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:s.localize(127,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:s.localize(128,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:s.localize(129,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:s.localize(130,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:s.localize(131,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:s.localize(132,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:s.localize(133,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:s.localize(134,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:s.localize(135,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:s.localize(136,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:s.localize(137,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:s.localize(138,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:s.localize(139,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:s.localize(140,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:s.localize(141,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:s.localize(142,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:s.localize(143,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:s.localize(144,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:s.localize(145,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:s.localize(146,null)}})}validate(Q){if(!Q||typeof Q!="object")return this.defaultValue;const fe=Q;return{insertMode:k(fe.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:c(fe.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:c(fe.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:c(fe.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:c(fe.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:c(fe.showIcons,this.defaultValue.showIcons),showStatusBar:c(fe.showStatusBar,this.defaultValue.showStatusBar),preview:c(fe.preview,this.defaultValue.preview),previewMode:k(fe.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:c(fe.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:c(fe.showMethods,this.defaultValue.showMethods),showFunctions:c(fe.showFunctions,this.defaultValue.showFunctions),showConstructors:c(fe.showConstructors,this.defaultValue.showConstructors),showDeprecated:c(fe.showDeprecated,this.defaultValue.showDeprecated),showFields:c(fe.showFields,this.defaultValue.showFields),showVariables:c(fe.showVariables,this.defaultValue.showVariables),showClasses:c(fe.showClasses,this.defaultValue.showClasses),showStructs:c(fe.showStructs,this.defaultValue.showStructs),showInterfaces:c(fe.showInterfaces,this.defaultValue.showInterfaces),showModules:c(fe.showModules,this.defaultValue.showModules),showProperties:c(fe.showProperties,this.defaultValue.showProperties),showEvents:c(fe.showEvents,this.defaultValue.showEvents),showOperators:c(fe.showOperators,this.defaultValue.showOperators),showUnits:c(fe.showUnits,this.defaultValue.showUnits),showValues:c(fe.showValues,this.defaultValue.showValues),showConstants:c(fe.showConstants,this.defaultValue.showConstants),showEnums:c(fe.showEnums,this.defaultValue.showEnums),showEnumMembers:c(fe.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:c(fe.showKeywords,this.defaultValue.showKeywords),showWords:c(fe.showWords,this.defaultValue.showWords),showColors:c(fe.showColors,this.defaultValue.showColors),showFiles:c(fe.showFiles,this.defaultValue.showFiles),showReferences:c(fe.showReferences,this.defaultValue.showReferences),showFolders:c(fe.showFolders,this.defaultValue.showFolders),showTypeParameters:c(fe.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:c(fe.showSnippets,this.defaultValue.showSnippets),showUsers:c(fe.showUsers,this.defaultValue.showUsers),showIssues:c(fe.showIssues,this.defaultValue.showIssues)}}}class Ve extends R{constructor(){super(102,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:s.localize(147,null),default:!0,type:"boolean"}})}validate(Q){return!Q||typeof Q!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:c(Q.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class Qe extends g{constructor(){super(130)}compute(Q,fe,xe){return fe.get(81)?!0:Q.tabFocusMode}}var tt;(function(j){j[j.None=0]="None",j[j.Same=1]="Same",j[j.Indent=2]="Indent",j[j.DeepIndent=3]="DeepIndent"})(tt=e.WrappingIndent||(e.WrappingIndent={}));function at(j){switch(j){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class Je extends g{constructor(){super(132)}compute(Q,fe,xe){const qe=fe.get(131);return{isDominatedByLongLines:Q.isDominatedByLongLines,isWordWrapMinified:qe.isWordWrapMinified,isViewportWrapping:qe.isViewportWrapping,wrappingColumn:qe.wrappingColumn}}}const rt="Consolas, 'Courier New', monospace",ut="Menlo, Monaco, 'Courier New', monospace",pt="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:t.isMacintosh?ut:t.isLinux?pt:rt,fontWeight:"normal",fontSize:t.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!1}},e.editorOptionsRegistry=[];function Me(j){return e.editorOptionsRegistry[j.id]=j,j}var Rt;(function(j){j[j.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",j[j.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",j[j.accessibilitySupport=2]="accessibilitySupport",j[j.accessibilityPageSize=3]="accessibilityPageSize",j[j.ariaLabel=4]="ariaLabel",j[j.autoClosingBrackets=5]="autoClosingBrackets",j[j.autoClosingDelete=6]="autoClosingDelete",j[j.autoClosingOvertype=7]="autoClosingOvertype",j[j.autoClosingQuotes=8]="autoClosingQuotes",j[j.autoIndent=9]="autoIndent",j[j.automaticLayout=10]="automaticLayout",j[j.autoSurround=11]="autoSurround",j[j.bracketPairColorization=12]="bracketPairColorization",j[j.guides=13]="guides",j[j.codeLens=14]="codeLens",j[j.codeLensFontFamily=15]="codeLensFontFamily",j[j.codeLensFontSize=16]="codeLensFontSize",j[j.colorDecorators=17]="colorDecorators",j[j.columnSelection=18]="columnSelection",j[j.comments=19]="comments",j[j.contextmenu=20]="contextmenu",j[j.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",j[j.cursorBlinking=22]="cursorBlinking",j[j.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",j[j.cursorStyle=24]="cursorStyle",j[j.cursorSurroundingLines=25]="cursorSurroundingLines",j[j.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",j[j.cursorWidth=27]="cursorWidth",j[j.disableLayerHinting=28]="disableLayerHinting",j[j.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",j[j.domReadOnly=30]="domReadOnly",j[j.dragAndDrop=31]="dragAndDrop",j[j.emptySelectionClipboard=32]="emptySelectionClipboard",j[j.extraEditorClassName=33]="extraEditorClassName",j[j.fastScrollSensitivity=34]="fastScrollSensitivity",j[j.find=35]="find",j[j.fixedOverflowWidgets=36]="fixedOverflowWidgets",j[j.folding=37]="folding",j[j.foldingStrategy=38]="foldingStrategy",j[j.foldingHighlight=39]="foldingHighlight",j[j.foldingImportsByDefault=40]="foldingImportsByDefault",j[j.foldingMaximumRegions=41]="foldingMaximumRegions",j[j.unfoldOnClickAfterEndOfLine=42]="unfoldOnClickAfterEndOfLine",j[j.fontFamily=43]="fontFamily",j[j.fontInfo=44]="fontInfo",j[j.fontLigatures=45]="fontLigatures",j[j.fontSize=46]="fontSize",j[j.fontWeight=47]="fontWeight",j[j.formatOnPaste=48]="formatOnPaste",j[j.formatOnType=49]="formatOnType",j[j.glyphMargin=50]="glyphMargin",j[j.gotoLocation=51]="gotoLocation",j[j.hideCursorInOverviewRuler=52]="hideCursorInOverviewRuler",j[j.hover=53]="hover",j[j.inDiffEditor=54]="inDiffEditor",j[j.inlineSuggest=55]="inlineSuggest",j[j.letterSpacing=56]="letterSpacing",j[j.lightbulb=57]="lightbulb",j[j.lineDecorationsWidth=58]="lineDecorationsWidth",j[j.lineHeight=59]="lineHeight",j[j.lineNumbers=60]="lineNumbers",j[j.lineNumbersMinChars=61]="lineNumbersMinChars",j[j.linkedEditing=62]="linkedEditing",j[j.links=63]="links",j[j.matchBrackets=64]="matchBrackets",j[j.minimap=65]="minimap",j[j.mouseStyle=66]="mouseStyle",j[j.mouseWheelScrollSensitivity=67]="mouseWheelScrollSensitivity",j[j.mouseWheelZoom=68]="mouseWheelZoom",j[j.multiCursorMergeOverlapping=69]="multiCursorMergeOverlapping",j[j.multiCursorModifier=70]="multiCursorModifier",j[j.multiCursorPaste=71]="multiCursorPaste",j[j.occurrencesHighlight=72]="occurrencesHighlight",j[j.overviewRulerBorder=73]="overviewRulerBorder",j[j.overviewRulerLanes=74]="overviewRulerLanes",j[j.padding=75]="padding",j[j.parameterHints=76]="parameterHints",j[j.peekWidgetDefaultFocus=77]="peekWidgetDefaultFocus",j[j.definitionLinkOpensInPeek=78]="definitionLinkOpensInPeek",j[j.quickSuggestions=79]="quickSuggestions",j[j.quickSuggestionsDelay=80]="quickSuggestionsDelay",j[j.readOnly=81]="readOnly",j[j.renameOnType=82]="renameOnType",j[j.renderControlCharacters=83]="renderControlCharacters",j[j.renderFinalNewline=84]="renderFinalNewline",j[j.renderLineHighlight=85]="renderLineHighlight",j[j.renderLineHighlightOnlyWhenFocus=86]="renderLineHighlightOnlyWhenFocus",j[j.renderValidationDecorations=87]="renderValidationDecorations",j[j.renderWhitespace=88]="renderWhitespace",j[j.revealHorizontalRightPadding=89]="revealHorizontalRightPadding",j[j.roundedSelection=90]="roundedSelection",j[j.rulers=91]="rulers",j[j.scrollbar=92]="scrollbar",j[j.scrollBeyondLastColumn=93]="scrollBeyondLastColumn",j[j.scrollBeyondLastLine=94]="scrollBeyondLastLine",j[j.scrollPredominantAxis=95]="scrollPredominantAxis",j[j.selectionClipboard=96]="selectionClipboard",j[j.selectionHighlight=97]="selectionHighlight",j[j.selectOnLineNumbers=98]="selectOnLineNumbers",j[j.showFoldingControls=99]="showFoldingControls",j[j.showUnused=100]="showUnused",j[j.snippetSuggestions=101]="snippetSuggestions",j[j.smartSelect=102]="smartSelect",j[j.smoothScrolling=103]="smoothScrolling",j[j.stickyTabStops=104]="stickyTabStops",j[j.stopRenderingLineAfter=105]="stopRenderingLineAfter",j[j.suggest=106]="suggest",j[j.suggestFontSize=107]="suggestFontSize",j[j.suggestLineHeight=108]="suggestLineHeight",j[j.suggestOnTriggerCharacters=109]="suggestOnTriggerCharacters",j[j.suggestSelection=110]="suggestSelection",j[j.tabCompletion=111]="tabCompletion",j[j.tabIndex=112]="tabIndex",j[j.unicodeHighlighting=113]="unicodeHighlighting",j[j.unusualLineTerminators=114]="unusualLineTerminators",j[j.useShadowDOM=115]="useShadowDOM",j[j.useTabStops=116]="useTabStops",j[j.wordSeparators=117]="wordSeparators",j[j.wordWrap=118]="wordWrap",j[j.wordWrapBreakAfterCharacters=119]="wordWrapBreakAfterCharacters",j[j.wordWrapBreakBeforeCharacters=120]="wordWrapBreakBeforeCharacters",j[j.wordWrapColumn=121]="wordWrapColumn",j[j.wordWrapOverride1=122]="wordWrapOverride1",j[j.wordWrapOverride2=123]="wordWrapOverride2",j[j.wrappingIndent=124]="wrappingIndent",j[j.wrappingStrategy=125]="wrappingStrategy",j[j.showDeprecated=126]="showDeprecated",j[j.inlayHints=127]="inlayHints",j[j.editorClassName=128]="editorClassName",j[j.pixelRatio=129]="pixelRatio",j[j.tabFocusMode=130]="tabFocusMode",j[j.layoutInfo=131]="layoutInfo",j[j.wrappingInfo=132]="wrappingInfo"})(Rt=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Me(new u(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:s.localize(148,null)})),acceptSuggestionOnEnter:Me(new a(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",s.localize(149,null),""],markdownDescription:s.localize(150,null)})),accessibilitySupport:Me(new n),accessibilityPageSize:Me(new S(3,"accessibilityPageSize",10,1,1073741824,{description:s.localize(151,null)})),ariaLabel:Me(new d(4,"ariaLabel",s.localize(152,null))),autoClosingBrackets:Me(new a(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",s.localize(153,null),s.localize(154,null),""],description:s.localize(155,null)})),autoClosingDelete:Me(new a(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",s.localize(156,null),""],description:s.localize(157,null)})),autoClosingOvertype:Me(new a(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",s.localize(158,null),""],description:s.localize(159,null)})),autoClosingQuotes:Me(new a(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",s.localize(160,null),s.localize(161,null),""],description:s.localize(162,null)})),autoIndent:Me(new M(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],r,{enumDescriptions:[s.localize(163,null),s.localize(164,null),s.localize(165,null),s.localize(166,null),s.localize(167,null)],description:s.localize(168,null)})),automaticLayout:Me(new u(10,"automaticLayout",!1)),autoSurround:Me(new a(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[s.localize(169,null),s.localize(170,null),s.localize(171,null),""],description:s.localize(172,null)})),bracketPairColorization:Me(new J),bracketPairGuides:Me(new me),stickyTabStops:Me(new u(104,"stickyTabStops",!1,{description:s.localize(173,null)})),codeLens:Me(new u(14,"codeLens",!0,{description:s.localize(174,null)})),codeLensFontFamily:Me(new d(15,"codeLensFontFamily","",{description:s.localize(175,null)})),codeLensFontSize:Me(new S(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:s.localize(176,null)})),colorDecorators:Me(new u(17,"colorDecorators",!0,{description:s.localize(177,null)})),columnSelection:Me(new u(18,"columnSelection",!1,{description:s.localize(178,null)})),comments:Me(new b),contextmenu:Me(new u(20,"contextmenu",!0)),copyWithSyntaxHighlighting:Me(new u(21,"copyWithSyntaxHighlighting",!0,{description:s.localize(179,null)})),cursorBlinking:Me(new M(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],l,{description:s.localize(180,null)})),cursorSmoothCaretAnimation:Me(new u(23,"cursorSmoothCaretAnimation",!1,{description:s.localize(181,null)})),cursorStyle:Me(new M(24,"cursorStyle",h.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],_,{description:s.localize(182,null)})),cursorSurroundingLines:Me(new S(25,"cursorSurroundingLines",0,0,1073741824,{description:s.localize(183,null)})),cursorSurroundingLinesStyle:Me(new a(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[s.localize(184,null),s.localize(185,null)],description:s.localize(186,null)})),cursorWidth:Me(new S(27,"cursorWidth",0,0,1073741824,{markdownDescription:s.localize(187,null)})),disableLayerHinting:Me(new u(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:Me(new u(29,"disableMonospaceOptimizations",!1)),domReadOnly:Me(new u(30,"domReadOnly",!1)),dragAndDrop:Me(new u(31,"dragAndDrop",!0,{description:s.localize(188,null)})),emptySelectionClipboard:Me(new C),extraEditorClassName:Me(new d(33,"extraEditorClassName","")),fastScrollSensitivity:Me(new m(34,"fastScrollSensitivity",5,j=>j<=0?5:j,{markdownDescription:s.localize(189,null)})),find:Me(new x),fixedOverflowWidgets:Me(new u(36,"fixedOverflowWidgets",!1)),folding:Me(new u(37,"folding",!0,{description:s.localize(190,null)})),foldingStrategy:Me(new a(38,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[s.localize(191,null),s.localize(192,null)],description:s.localize(193,null)})),foldingHighlight:Me(new u(39,"foldingHighlight",!0,{description:s.localize(194,null)})),foldingImportsByDefault:Me(new u(40,"foldingImportsByDefault",!1,{description:s.localize(195,null)})),foldingMaximumRegions:Me(new S(41,"foldingMaximumRegions",5e3,10,65e3,{description:s.localize(196,null)})),unfoldOnClickAfterEndOfLine:Me(new u(42,"unfoldOnClickAfterEndOfLine",!1,{description:s.localize(197,null)})),fontFamily:Me(new d(43,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:s.localize(198,null)})),fontInfo:Me(new E),fontLigatures2:Me(new N),fontSize:Me(new O),fontWeight:Me(new W),formatOnPaste:Me(new u(48,"formatOnPaste",!1,{description:s.localize(199,null)})),formatOnType:Me(new u(49,"formatOnType",!1,{description:s.localize(200,null)})),glyphMargin:Me(new u(50,"glyphMargin",!0,{description:s.localize(201,null)})),gotoLocation:Me(new U),hideCursorInOverviewRuler:Me(new u(52,"hideCursorInOverviewRuler",!1,{description:s.localize(202,null)})),hover:Me(new H),inDiffEditor:Me(new u(54,"inDiffEditor",!1)),letterSpacing:Me(new m(56,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,j=>m.clamp(j,-5,20),{description:s.localize(203,null)})),lightbulb:Me(new G),lineDecorationsWidth:Me(new o(58,"lineDecorationsWidth",10)),lineHeight:Me(new be),lineNumbers:Me(new Xe),lineNumbersMinChars:Me(new S(61,"lineNumbersMinChars",5,1,300)),linkedEditing:Me(new u(62,"linkedEditing",!1,{description:s.localize(204,null)})),links:Me(new u(63,"links",!0,{description:s.localize(205,null)})),matchBrackets:Me(new a(64,"matchBrackets","always",["always","near","never"],{description:s.localize(206,null)})),minimap:Me(new Se),mouseStyle:Me(new a(66,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Me(new m(67,"mouseWheelScrollSensitivity",1,j=>j===0?1:j,{markdownDescription:s.localize(207,null)})),mouseWheelZoom:Me(new u(68,"mouseWheelZoom",!1,{markdownDescription:s.localize(208,null)})),multiCursorMergeOverlapping:Me(new u(69,"multiCursorMergeOverlapping",!0,{description:s.localize(209,null)})),multiCursorModifier:Me(new M(70,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],le,{markdownEnumDescriptions:[s.localize(210,null),s.localize(211,null)],markdownDescription:s.localize(212,null)})),multiCursorPaste:Me(new a(71,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[s.localize(213,null),s.localize(214,null)],markdownDescription:s.localize(215,null)})),occurrencesHighlight:Me(new u(72,"occurrencesHighlight",!0,{description:s.localize(216,null)})),overviewRulerBorder:Me(new u(73,"overviewRulerBorder",!0,{description:s.localize(217,null)})),overviewRulerLanes:Me(new S(74,"overviewRulerLanes",3,0,3)),padding:Me(new ne),parameterHints:Me(new ve),peekWidgetDefaultFocus:Me(new a(77,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[s.localize(218,null),s.localize(219,null)],description:s.localize(220,null)})),definitionLinkOpensInPeek:Me(new u(78,"definitionLinkOpensInPeek",!1,{description:s.localize(221,null)})),quickSuggestions:Me(new Oe),quickSuggestionsDelay:Me(new S(80,"quickSuggestionsDelay",10,0,1073741824,{description:s.localize(222,null)})),readOnly:Me(new u(81,"readOnly",!1)),renameOnType:Me(new u(82,"renameOnType",!1,{description:s.localize(223,null),markdownDeprecationMessage:s.localize(224,null)})),renderControlCharacters:Me(new u(83,"renderControlCharacters",!0,{description:s.localize(225,null),restricted:!0})),renderFinalNewline:Me(new u(84,"renderFinalNewline",!0,{description:s.localize(226,null)})),renderLineHighlight:Me(new a(85,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",s.localize(227,null)],description:s.localize(228,null)})),renderLineHighlightOnlyWhenFocus:Me(new u(86,"renderLineHighlightOnlyWhenFocus",!1,{description:s.localize(229,null)})),renderValidationDecorations:Me(new a(87,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Me(new a(88,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",s.localize(230,null),s.localize(231,null),s.localize(232,null),""],description:s.localize(233,null)})),revealHorizontalRightPadding:Me(new S(89,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:Me(new u(90,"roundedSelection",!0,{description:s.localize(234,null)})),rulers:Me(new $),scrollbar:Me(new Y),scrollBeyondLastColumn:Me(new S(93,"scrollBeyondLastColumn",5,0,1073741824,{description:s.localize(235,null)})),scrollBeyondLastLine:Me(new u(94,"scrollBeyondLastLine",!0,{description:s.localize(236,null)})),scrollPredominantAxis:Me(new u(95,"scrollPredominantAxis",!0,{description:s.localize(237,null)})),selectionClipboard:Me(new u(96,"selectionClipboard",!0,{description:s.localize(238,null),included:t.isLinux})),selectionHighlight:Me(new u(97,"selectionHighlight",!0,{description:s.localize(239,null)})),selectOnLineNumbers:Me(new u(98,"selectOnLineNumbers",!0)),showFoldingControls:Me(new a(99,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[s.localize(240,null),s.localize(241,null)],description:s.localize(242,null)})),showUnused:Me(new u(100,"showUnused",!0,{description:s.localize(243,null)})),showDeprecated:Me(new u(126,"showDeprecated",!0,{description:s.localize(244,null)})),inlayHints:Me(new oe),snippetSuggestions:Me(new a(101,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[s.localize(245,null),s.localize(246,null),s.localize(247,null),s.localize(248,null)],description:s.localize(249,null)})),smartSelect:Me(new Ve),smoothScrolling:Me(new u(103,"smoothScrolling",!1,{description:s.localize(250,null)})),stopRenderingLineAfter:Me(new S(105,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Me(new Be),inlineSuggest:Me(new q),suggestFontSize:Me(new S(107,"suggestFontSize",0,0,1e3,{markdownDescription:s.localize(251,null)})),suggestLineHeight:Me(new S(108,"suggestLineHeight",0,0,1e3,{markdownDescription:s.localize(252,null)})),suggestOnTriggerCharacters:Me(new u(109,"suggestOnTriggerCharacters",!0,{description:s.localize(253,null)})),suggestSelection:Me(new a(110,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[s.localize(254,null),s.localize(255,null),s.localize(256,null)],description:s.localize(257,null)})),tabCompletion:Me(new a(111,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[s.localize(258,null),s.localize(259,null),s.localize(260,null)],description:s.localize(261,null)})),tabIndex:Me(new S(112,"tabIndex",0,-1,1073741824)),unicodeHighlight:Me(new re),unusualLineTerminators:Me(new a(114,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[s.localize(262,null),s.localize(263,null),s.localize(264,null)],description:s.localize(265,null)})),useShadowDOM:Me(new u(115,"useShadowDOM",!0)),useTabStops:Me(new u(116,"useTabStops",!0,{description:s.localize(266,null)})),wordSeparators:Me(new d(117,"wordSeparators",y.USUAL_WORD_SEPARATORS,{description:s.localize(267,null)})),wordWrap:Me(new a(118,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[s.localize(268,null),s.localize(269,null),s.localize(270,null),s.localize(271,null)],description:s.localize(272,null)})),wordWrapBreakAfterCharacters:Me(new d(119,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Me(new d(120,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Me(new S(121,"wordWrapColumn",80,1,1073741824,{markdownDescription:s.localize(273,null)})),wordWrapOverride1:Me(new a(122,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Me(new a(123,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Me(new M(124,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],at,{enumDescriptions:[s.localize(274,null),s.localize(275,null),s.localize(276,null),s.localize(277,null)],description:s.localize(278,null)})),wrappingStrategy:Me(new a(125,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[s.localize(279,null),s.localize(280,null)],description:s.localize(281,null)})),editorClassName:Me(new f),pixelRatio:Me(new Ie),tabFocusMode:Me(new Qe),layoutInfo:Me(new Z),wrappingInfo:Me(new Je)}}),define(we[114],Ee([18,19]),function(te,e){return te.create("vs/platform/configuration/common/configurationRegistry",e)}),define(we[115],Ee([18,19]),function(te,e){return te.create("vs/platform/extensions/common/extensionValidator",e)}),define(we[116],Ee([18,19]),function(te,e){return te.create("vs/platform/files/common/files",e)}),define(we[117],Ee([18,19]),function(te,e){return te.create("vs/platform/markers/common/markers",e)}),define(we[118],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(we[119],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostExtensionService",e)}),define(we[120],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostProgress",e)}),define(we[121],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostStatusBar",e)}),define(we[122],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostTerminalService",e)}),define(we[123],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostTreeViews",e)}),define(we[124],Ee([18,19]),function(te,e){return te.create("vs/workbench/api/common/extHostWorkspace",e)}),define(we[125],Ee([18,19]),function(te,e){return te.create("vs/workbench/common/editor",e)}),define(we[126],Ee([18,19]),function(te,e){return te.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(we[127],Ee([18,19]),function(te,e){return te.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(we[128],Ee([18,19]),function(te,e){return te.create("vs/workbench/contrib/tasks/common/taskService",e)}),define(we[129],Ee([18,19]),function(te,e){return te.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(we[130],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorResolution=e.EditorActivation=void 0;var s;(function(I){I[I.ACTIVATE=1]="ACTIVATE",I[I.RESTORE=2]="RESTORE",I[I.PRESERVE=3]="PRESERVE"})(s=e.EditorActivation||(e.EditorActivation={}));var t;(function(I){I[I.PICK=0]="PICK",I[I.DISABLED=1]="DISABLED",I[I.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(t=e.EditorResolution||(e.EditorResolution={}));var y;(function(I){I[I.API=0]="API",I[I.USER=1]="USER"})(y=e.EditorOpenContext||(e.EditorOpenContext={}));var T;(function(I){I[I.Center=0]="Center",I[I.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",I[I.NearTop=2]="NearTop",I[I.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(T=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(we[131],Ee([0,1,115]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const t=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,y=/^-(\d{4})(\d{2})(\d{2})$/;function T(i){return i=i.trim(),i==="*"||t.test(i)}e.isValidVersionStr=T;function I(i){if(!T(i))return null;if(i=i.trim(),i==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let g=i.match(t);return g?{hasCaret:g[1]==="^",hasGreaterEquals:g[1]===">=",majorBase:g[2]==="x"?0:parseInt(g[2],10),majorMustEqual:g[2]!=="x",minorBase:g[4]==="x"?0:parseInt(g[4],10),minorMustEqual:g[4]!=="x",patchBase:g[6]==="x"?0:parseInt(g[6],10),patchMustEqual:g[6]!=="x",preRelease:g[8]||null}:null}e.parseVersion=I;function P(i){if(!i)return null;let g=i.majorBase,o=i.majorMustEqual,c=i.minorBase,u=i.minorMustEqual,F=i.patchBase,S=i.patchMustEqual;i.hasCaret&&(g===0||(u=!1),S=!1);let m=0;if(i.preRelease){const d=y.exec(i.preRelease);if(d){const[,k,a,M]=d;m=Date.UTC(Number(k),Number(a)-1,Number(M))}}return{majorBase:g,majorMustEqual:o,minorBase:c,minorMustEqual:u,patchBase:F,patchMustEqual:S,isMinimum:i.hasGreaterEquals,notBefore:m}}e.normalizeVersion=P;function D(i,g,o){let c;typeof i=="string"?c=P(I(i)):c=i;let u;g instanceof Date?u=g.getTime():typeof g=="string"&&(u=new Date(g).getTime());let F;if(typeof o=="string"?F=P(I(o)):F=o,!c||!F)return!1;let S=c.majorBase,m=c.minorBase,d=c.patchBase,k=F.majorBase,a=F.minorBase,M=F.patchBase,r=F.notBefore,n=F.majorMustEqual,b=F.minorMustEqual,p=F.patchMustEqual;return F.isMinimum?S>k?!0:S<k?!1:m>a?!0:m<a||u&&u<r?!1:d>=M:(S===1&&k===0&&(!n||!b||!p)&&(k=1,a=0,M=0,n=!0,b=!1,p=!1),S<k?!1:S>k?!n:m<a?!1:m>a?!b:d<M?!1:d>M?!p:!(u&&u<r))}e.isValidVersion=D;function A(i,g,o,c){return o.isBuiltin||typeof o.main=="undefined"?!0:w(i,g,o.engines.vscode,c)}e.isValidExtensionVersion=A;function R(i,g,o){return i==="*"||w(g,o,i)}e.isEngineValid=R;function w(i,g,o,c=[]){let u=P(I(o));if(!u)return c.push(s.localize(0,null,o)),!1;if(u.majorBase===0){if(!u.majorMustEqual||!u.minorMustEqual)return c.push(s.localize(1,null,o)),!1}else if(!u.majorMustEqual)return c.push(s.localize(2,null,o)),!1;return D(i,g,u)?!0:(c.push(s.localize(3,null,i,o)),!1)}}),define(we[80],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class s{constructor(y,T=[],I=!1){this.ctor=y,this.staticArguments=T,this.supportsDelayedInstantiation=I}}e.SyncDescriptor=s}),define(we[44],Ee([0,1,80]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function y(I,P,D){P instanceof s.SyncDescriptor||(P=new s.SyncDescriptor(P,[],D)),t.push([I,P])}e.registerSingleton=y;function T(){return t}e.getSingletonServiceDescriptors=T}),define(we[132],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class s{constructor(T){this.incoming=new Map,this.outgoing=new Map,this.data=T}}e.Node=s;class t{constructor(T){this._hashFn=T,this._nodes=new Map}roots(){const T=[];for(let I of this._nodes.values())I.outgoing.size===0&&T.push(I);return T}insertEdge(T,I){const P=this.lookupOrInsertNode(T),D=this.lookupOrInsertNode(I);P.outgoing.set(this._hashFn(I),D),D.incoming.set(this._hashFn(T),P)}removeNode(T){const I=this._hashFn(T);this._nodes.delete(I);for(let P of this._nodes.values())P.outgoing.delete(I),P.incoming.delete(I)}lookupOrInsertNode(T){const I=this._hashFn(T);let P=this._nodes.get(I);return P||(P=new s(T),this._nodes.set(I,P)),P}lookup(T){return this._nodes.get(this._hashFn(T))}isEmpty(){return this._nodes.size===0}toString(){let T=[];for(let[I,P]of this._nodes)T.push(`${I}, (incoming)[${[...P.incoming.keys()].join(", ")}], (outgoing)[${[...P.outgoing.keys()].join(",")}]`);return T.join(`
`)}findCycleSlow(){for(let[T,I]of this._nodes){const P=new Set([T]),D=this._findCycle(I,P);if(D)return D}}_findCycle(T,I){for(let[P,D]of T.outgoing){if(I.has(P))return[...I,P].join(" -> ");I.add(P);const A=this._findCycle(D,I);if(A)return A;I.delete(P)}}}e.Graph=t}),define(we[3],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var s;(function(I){I.serviceIds=new Map,I.DI_TARGET="$di$target",I.DI_DEPENDENCIES="$di$dependencies";function P(D){return D[I.DI_DEPENDENCIES]||[]}I.getServiceDependencies=P})(s=e._util||(e._util={})),e.IInstantiationService=y("instantiationService");function t(I,P,D,A){P[s.DI_TARGET]===P?P[s.DI_DEPENDENCIES].push({id:I,index:D,optional:A}):(P[s.DI_DEPENDENCIES]=[{id:I,index:D,optional:A}],P[s.DI_TARGET]=P)}function y(I){if(s.serviceIds.has(I))return s.serviceIds.get(I);const P=function(D,A,R){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(P,D,R,!1)};return P.toString=()=>I,s.serviceIds.set(I,P),P}e.createDecorator=y;function T(I){return I}e.refineServiceDecorator=T}),define(we[133],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=(0,s.createDecorator)("modelService");function t(y){return!y.isTooLargeForSyncing()&&!y.isForSimpleWidget}e.shouldSynchronizeModel=t}),define(we[134],Ee([0,1,4,57,6,21,75,56,133]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function A(c){return typeof c=="string"?!1:Array.isArray(c)?c.every(A):!!c.exclusive}class R{constructor(){this._clock=0,this._entries=[],this._onDidChange=new s.Emitter}get onDidChange(){return this._onDidChange.event}register(u,F){let S={selector:u,provider:F,_score:-1,_time:this._clock++};return this._entries.push(S),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),(0,y.toDisposable)(()=>{if(S){const m=this._entries.indexOf(S);m>=0&&(this._entries.splice(m,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),S=void 0)}})}has(u){return this.all(u).length>0}all(u){if(!u)return[];this._updateScores(u);const F=[];for(let S of this._entries)S._score>0&&F.push(S.provider);return F}ordered(u){const F=[];return this._orderedForEach(u,S=>F.push(S.provider)),F}orderedGroups(u){const F=[];let S,m;return this._orderedForEach(u,d=>{S&&m===d._score?S.push(d.provider):(m=d._score,S=[d.provider],F.push(S))}),F}_orderedForEach(u,F){if(!!u){this._updateScores(u);for(const S of this._entries)S._score>0&&F(S)}}_updateScores(u){const F={uri:u.uri.toString(),language:u.getLanguageId()};if(!(this._lastCandidate&&this._lastCandidate.language===F.language&&this._lastCandidate.uri===F.uri)){this._lastCandidate=F;for(let S of this._entries)if(S._score=(0,P.score)(S.selector,u.uri,u.getLanguageId(),(0,D.shouldSynchronizeModel)(u)),A(S.selector)&&S._score>0){for(let m of this._entries)m._score=0;S._score=1e3;break}this._entries.sort(R._compareByScoreAndTime)}}static _compareByScoreAndTime(u,F){return u._score<F._score?1:u._score>F._score?-1:u._time<F._time?1:u._time>F._time?-1:0}}e.LanguageFeatureRegistry=R;const w=new WeakMap;let i=0;function g(c){let u=w.get(c);return u===void 0&&(u=++i,w.set(c,u)),u}class o{constructor(u,F,S=Number.MAX_SAFE_INTEGER){this._registry=u,this.min=F,this.max=S,this._cache=new T.LRUCache(50,.7)}_key(u){return u.id+this._registry.all(u).reduce((F,S)=>(0,t.doHash)(g(S),F),0)}_clamp(u){return u===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(u*1.3)))}get(u){const F=this._key(u),S=this._cache.get(F);return this._clamp(S?.value)}update(u,F){const S=this._key(u);let m=this._cache.get(S);return m||(m=new I.MovingAverage,this._cache.set(S,m)),m.update(F),this.get(u)}}e.LanguageFeatureRequestDelays=o}),define(we[58],Ee([0,1,2,59,134,107,52]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlayHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.InlineCompletionsProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageId=void 0;var P;(function(f){f[f.Null=0]="Null",f[f.PlainText=1]="PlainText"})(P=e.LanguageId||(e.LanguageId={}));var D;(function(f){f[f.NotSet=-1]="NotSet",f[f.None=0]="None",f[f.Italic=1]="Italic",f[f.Bold=2]="Bold",f[f.Underline=4]="Underline",f[f.Strikethrough=8]="Strikethrough"})(D=e.FontStyle||(e.FontStyle={}));var A;(function(f){f[f.None=0]="None",f[f.DefaultForeground=1]="DefaultForeground",f[f.DefaultBackground=2]="DefaultBackground"})(A=e.ColorId||(e.ColorId={}));var R;(function(f){f[f.Other=0]="Other",f[f.Comment=1]="Comment",f[f.String=2]="String",f[f.RegEx=3]="RegEx"})(R=e.StandardTokenType||(e.StandardTokenType={}));var w;(function(f){f[f.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",f[f.TOKEN_TYPE_MASK=768]="TOKEN_TYPE_MASK",f[f.FONT_STYLE_MASK=15360]="FONT_STYLE_MASK",f[f.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",f[f.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",f[f.ITALIC_MASK=1024]="ITALIC_MASK",f[f.BOLD_MASK=2048]="BOLD_MASK",f[f.UNDERLINE_MASK=4096]="UNDERLINE_MASK",f[f.STRIKETHROUGH_MASK=8192]="STRIKETHROUGH_MASK",f[f.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",f[f.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",f[f.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",f[f.SEMANTIC_USE_STRIKETHROUGH=8]="SEMANTIC_USE_STRIKETHROUGH",f[f.SEMANTIC_USE_FOREGROUND=16]="SEMANTIC_USE_FOREGROUND",f[f.SEMANTIC_USE_BACKGROUND=32]="SEMANTIC_USE_BACKGROUND",f[f.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",f[f.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",f[f.FONT_STYLE_OFFSET=10]="FONT_STYLE_OFFSET",f[f.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",f[f.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(w=e.MetadataConsts||(e.MetadataConsts={}));class i{static getLanguageId(C){return(C&255)>>>0}static getTokenType(C){return(C&768)>>>8}static getFontStyle(C){return(C&15360)>>>10}static getForeground(C){return(C&8372224)>>>14}static getBackground(C){return(C&4286578688)>>>23}static getClassNameFromMetadata(C){const x=this.getForeground(C);let N="mtk"+x;const E=this.getFontStyle(C);return E&1&&(N+=" mtki"),E&2&&(N+=" mtkb"),E&4&&(N+=" mtku"),E&8&&(N+=" mtks"),N}static getInlineStyleFromMetadata(C,x){const N=this.getForeground(C),E=this.getFontStyle(C);let O=`color: ${x[N]};`;E&1&&(O+="font-style: italic;"),E&2&&(O+="font-weight: bold;");let W="";return E&4&&(W+=" underline"),E&8&&(W+=" line-through"),W&&(O+=`text-decoration:${W};`),O}static getPresentationFromMetadata(C){const x=this.getForeground(C),N=this.getFontStyle(C);return{foreground:x,italic:Boolean(N&1),bold:Boolean(N&2),underline:Boolean(N&4),strikethrough:Boolean(N&8)}}}e.TokenMetadata=i;var g;(function(f){f[f.Method=0]="Method",f[f.Function=1]="Function",f[f.Constructor=2]="Constructor",f[f.Field=3]="Field",f[f.Variable=4]="Variable",f[f.Class=5]="Class",f[f.Struct=6]="Struct",f[f.Interface=7]="Interface",f[f.Module=8]="Module",f[f.Property=9]="Property",f[f.Event=10]="Event",f[f.Operator=11]="Operator",f[f.Unit=12]="Unit",f[f.Value=13]="Value",f[f.Constant=14]="Constant",f[f.Enum=15]="Enum",f[f.EnumMember=16]="EnumMember",f[f.Keyword=17]="Keyword",f[f.Text=18]="Text",f[f.Color=19]="Color",f[f.File=20]="File",f[f.Reference=21]="Reference",f[f.Customcolor=22]="Customcolor",f[f.Folder=23]="Folder",f[f.TypeParameter=24]="TypeParameter",f[f.User=25]="User",f[f.Issue=26]="Issue",f[f.Snippet=27]="Snippet"})(g=e.CompletionItemKind||(e.CompletionItemKind={}));var o;(function(f){const C=new Map;C.set(0,I.Codicon.symbolMethod),C.set(1,I.Codicon.symbolFunction),C.set(2,I.Codicon.symbolConstructor),C.set(3,I.Codicon.symbolField),C.set(4,I.Codicon.symbolVariable),C.set(5,I.Codicon.symbolClass),C.set(6,I.Codicon.symbolStruct),C.set(7,I.Codicon.symbolInterface),C.set(8,I.Codicon.symbolModule),C.set(9,I.Codicon.symbolProperty),C.set(10,I.Codicon.symbolEvent),C.set(11,I.Codicon.symbolOperator),C.set(12,I.Codicon.symbolUnit),C.set(13,I.Codicon.symbolValue),C.set(15,I.Codicon.symbolEnum),C.set(14,I.Codicon.symbolConstant),C.set(15,I.Codicon.symbolEnum),C.set(16,I.Codicon.symbolEnumMember),C.set(17,I.Codicon.symbolKeyword),C.set(27,I.Codicon.symbolSnippet),C.set(18,I.Codicon.symbolText),C.set(19,I.Codicon.symbolColor),C.set(20,I.Codicon.symbolFile),C.set(21,I.Codicon.symbolReference),C.set(22,I.Codicon.symbolCustomColor),C.set(23,I.Codicon.symbolFolder),C.set(24,I.Codicon.symbolTypeParameter),C.set(25,I.Codicon.account),C.set(26,I.Codicon.issues);function x(O){let W=C.get(O);return W||(console.info("No codicon found for CompletionItemKind "+O),W=I.Codicon.symbolProperty),W}f.toIcon=x;const N=new Map;N.set("method",0),N.set("function",1),N.set("constructor",2),N.set("field",3),N.set("variable",4),N.set("class",5),N.set("struct",6),N.set("interface",7),N.set("module",8),N.set("property",9),N.set("event",10),N.set("operator",11),N.set("unit",12),N.set("value",13),N.set("constant",14),N.set("enum",15),N.set("enum-member",16),N.set("enumMember",16),N.set("keyword",17),N.set("snippet",27),N.set("text",18),N.set("color",19),N.set("file",20),N.set("reference",21),N.set("customcolor",22),N.set("folder",23),N.set("type-parameter",24),N.set("typeParameter",24),N.set("account",25),N.set("issue",26);function E(O,W){let U=N.get(O);return typeof U=="undefined"&&!W&&(U=9),U}f.fromString=E})(o=e.CompletionItemKinds||(e.CompletionItemKinds={}));var c;(function(f){f[f.Deprecated=1]="Deprecated"})(c=e.CompletionItemTag||(e.CompletionItemTag={}));var u;(function(f){f[f.KeepWhitespace=1]="KeepWhitespace",f[f.InsertAsSnippet=4]="InsertAsSnippet"})(u=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var F;(function(f){f[f.Invoke=0]="Invoke",f[f.TriggerCharacter=1]="TriggerCharacter",f[f.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(F=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var S;(function(f){f[f.Automatic=0]="Automatic",f[f.Explicit=1]="Explicit"})(S=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var m;(function(f){f[f.Invoke=1]="Invoke",f[f.Auto=2]="Auto"})(m=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var d;(function(f){f[f.Invoke=1]="Invoke",f[f.TriggerCharacter=2]="TriggerCharacter",f[f.ContentChange=3]="ContentChange"})(d=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var k;(function(f){f[f.Text=0]="Text",f[f.Read=1]="Read",f[f.Write=2]="Write"})(k=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function a(f){return f&&s.URI.isUri(f.uri)&&t.Range.isIRange(f.range)&&(t.Range.isIRange(f.originSelectionRange)||t.Range.isIRange(f.targetSelectionRange))}e.isLocationLink=a;var M;(function(f){f[f.File=0]="File",f[f.Module=1]="Module",f[f.Namespace=2]="Namespace",f[f.Package=3]="Package",f[f.Class=4]="Class",f[f.Method=5]="Method",f[f.Property=6]="Property",f[f.Field=7]="Field",f[f.Constructor=8]="Constructor",f[f.Enum=9]="Enum",f[f.Interface=10]="Interface",f[f.Function=11]="Function",f[f.Variable=12]="Variable",f[f.Constant=13]="Constant",f[f.String=14]="String",f[f.Number=15]="Number",f[f.Boolean=16]="Boolean",f[f.Array=17]="Array",f[f.Object=18]="Object",f[f.Key=19]="Key",f[f.Null=20]="Null",f[f.EnumMember=21]="EnumMember",f[f.Struct=22]="Struct",f[f.Event=23]="Event",f[f.Operator=24]="Operator",f[f.TypeParameter=25]="TypeParameter"})(M=e.SymbolKind||(e.SymbolKind={}));var r;(function(f){f[f.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var n;(function(f){const C=new Map;C.set(0,I.Codicon.symbolFile),C.set(1,I.Codicon.symbolModule),C.set(2,I.Codicon.symbolNamespace),C.set(3,I.Codicon.symbolPackage),C.set(4,I.Codicon.symbolClass),C.set(5,I.Codicon.symbolMethod),C.set(6,I.Codicon.symbolProperty),C.set(7,I.Codicon.symbolField),C.set(8,I.Codicon.symbolConstructor),C.set(9,I.Codicon.symbolEnum),C.set(10,I.Codicon.symbolInterface),C.set(11,I.Codicon.symbolFunction),C.set(12,I.Codicon.symbolVariable),C.set(13,I.Codicon.symbolConstant),C.set(14,I.Codicon.symbolString),C.set(15,I.Codicon.symbolNumber),C.set(16,I.Codicon.symbolBoolean),C.set(17,I.Codicon.symbolArray),C.set(18,I.Codicon.symbolObject),C.set(19,I.Codicon.symbolKey),C.set(20,I.Codicon.symbolNull),C.set(21,I.Codicon.symbolEnumMember),C.set(22,I.Codicon.symbolStruct),C.set(23,I.Codicon.symbolEvent),C.set(24,I.Codicon.symbolOperator),C.set(25,I.Codicon.symbolTypeParameter);function x(N){let E=C.get(N);return E||(console.info("No codicon found for SymbolKind "+N),E=I.Codicon.symbolProperty),E}f.toIcon=x})(n=e.SymbolKinds||(e.SymbolKinds={}));class b{constructor(C){this.value=C}}e.FoldingRangeKind=b,b.Comment=new b("comment"),b.Imports=new b("imports"),b.Region=new b("region");var p;(function(f){function C(x){return!x||typeof x!="object"?!1:typeof x.id=="string"&&typeof x.title=="string"}f.is=C})(p=e.Command||(e.Command={}));var l;(function(f){f[f.Collapsed=0]="Collapsed",f[f.Expanded=1]="Expanded"})(l=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var h;(function(f){f[f.Editing=0]="Editing",f[f.Preview=1]="Preview"})(h=e.CommentMode||(e.CommentMode={}));var v;(function(f){f[f.Other=0]="Other",f[f.Type=1]="Type",f[f.Parameter=2]="Parameter"})(v=e.InlayHintKind||(e.InlayHintKind={})),e.ReferenceProviderRegistry=new y.LanguageFeatureRegistry,e.RenameProviderRegistry=new y.LanguageFeatureRegistry,e.CompletionProviderRegistry=new y.LanguageFeatureRegistry,e.InlineCompletionsProviderRegistry=new y.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new y.LanguageFeatureRegistry,e.HoverProviderRegistry=new y.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new y.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new y.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new y.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new y.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new y.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new y.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new y.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new y.LanguageFeatureRegistry,e.InlayHintsProviderRegistry=new y.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new y.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new y.LanguageFeatureRegistry,e.LinkProviderRegistry=new y.LanguageFeatureRegistry,e.ColorProviderRegistry=new y.LanguageFeatureRegistry,e.SelectionRangeRegistry=new y.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new y.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new y.LanguageFeatureRegistry,e.TokenizationRegistry=new T.TokenizationRegistry;var _;(function(f){f[f.None=0]="None",f[f.Option=1]="Option",f[f.Default=2]="Default",f[f.Preferred=3]="Preferred"})(_=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(we[81],Ee([0,1,10,2,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,y.createDecorator)("configurationService");function T(u){return u&&typeof u=="object"&&(!u.overrideIdentifier||typeof u.overrideIdentifier=="string")&&(!u.resource||u.resource instanceof t.URI)}e.isConfigurationOverrides=T;function I(u){return u&&typeof u=="object"&&(!u.overrideIdentifiers||s.isArray(u.overrideIdentifiers))&&!u.overrideIdentifier&&(!u.resource||u.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=I;var P;(function(u){u[u.USER=1]="USER",u[u.USER_LOCAL=2]="USER_LOCAL",u[u.USER_REMOTE=3]="USER_REMOTE",u[u.WORKSPACE=4]="WORKSPACE",u[u.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",u[u.DEFAULT=6]="DEFAULT",u[u.MEMORY=7]="MEMORY"})(P=e.ConfigurationTarget||(e.ConfigurationTarget={}));function D(u){switch(u){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=D;function A(u,F){const S=Object.create(null);for(let m in u)R(S,m,u[m],F);return S}e.toValuesTree=A;function R(u,F,S,m){const d=F.split("."),k=d.pop();let a=u;for(let M=0;M<d.length;M++){let r=d[M],n=a[r];switch(typeof n){case"undefined":n=a[r]=Object.create(null);break;case"object":break;default:m(`Ignoring ${F} as ${d.slice(0,M+1).join(".")} is ${JSON.stringify(n)}`);return}a=n}if(typeof a=="object"&&a!==null)try{a[k]=S}catch{m(`Ignoring ${F} as ${d.join(".")} is ${JSON.stringify(a)}`)}else m(`Ignoring ${F} as ${d.join(".")} is ${JSON.stringify(a)}`)}e.addToValueTree=R;function w(u,F){const S=F.split(".");i(u,S)}e.removeFromValueTree=w;function i(u,F){const S=F.shift();if(F.length===0){delete u[S];return}if(Object.keys(u).indexOf(S)!==-1){const m=u[S];typeof m=="object"&&!Array.isArray(m)&&(i(m,F),Object.keys(m).length===0&&delete u[S])}}function g(u,F,S){function m(a,M){let r=a;for(const n of M){if(typeof r!="object"||r===null)return;r=r[n]}return r}const d=F.split("."),k=m(u,d);return typeof k=="undefined"?S:k}e.getConfigurationValue=g;function o(u,F,S){Object.keys(F).forEach(m=>{m!=="__proto__"&&(m in u?s.isObject(u[m])&&s.isObject(F[m])?o(u[m],F[m],S):S&&(u[m]=F[m]):u[m]=F[m])})}e.merge=o;function c(u,F,S){const m=u.inspect(F),d=u.inspect(S);return typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:typeof d.userValue!="undefined"||typeof d.workspaceValue!="undefined"||typeof d.workspaceFolderValue!="undefined"?d.value:m.defaultValue}e.getMigratedSettingValue=c}),define(we[45],Ee([0,1,23,9,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let T=s.userAgent||"";const I=new Map;I.set("false",!1),I.set("true",!0),I.set("isMac",s.isMacintosh),I.set("isLinux",s.isLinux),I.set("isWindows",s.isWindows),I.set("isWeb",s.isWeb),I.set("isMacNative",s.isMacintosh&&!s.isWeb),I.set("isEdge",T.indexOf("Edg/")>=0),I.set("isFirefox",T.indexOf("Firefox")>=0),I.set("isChrome",T.indexOf("Chrome")>=0),I.set("isSafari",T.indexOf("Safari")>=0);const P=Object.prototype.hasOwnProperty;var D;(function(N){N[N.False=0]="False",N[N.True=1]="True",N[N.Defined=2]="Defined",N[N.Not=3]="Not",N[N.Equals=4]="Equals",N[N.NotEquals=5]="NotEquals",N[N.And=6]="And",N[N.Regex=7]="Regex",N[N.NotRegex=8]="NotRegex",N[N.Or=9]="Or",N[N.In=10]="In",N[N.NotIn=11]="NotIn",N[N.Greater=12]="Greater",N[N.GreaterEquals=13]="GreaterEquals",N[N.Smaller=14]="Smaller",N[N.SmallerEquals=15]="SmallerEquals"})(D=e.ContextKeyExprType||(e.ContextKeyExprType={}));class A{static false(){return i.INSTANCE}static true(){return g.INSTANCE}static has(E){return o.create(E)}static equals(E,O){return c.create(E,O)}static notEquals(E,O){return S.create(E,O)}static regex(E,O){return n.create(E,O)}static in(E,O){return u.create(E,O)}static not(E){return m.create(E)}static and(...E){return l.create(E,null)}static or(...E){return h.create(E,null,!0)}static greater(E,O){return k.create(E,O)}static greaterEquals(E,O){return a.create(E,O)}static smaller(E,O){return M.create(E,O)}static smallerEquals(E,O){return r.create(E,O)}static deserialize(E,O=!1){if(!!E)return this._deserializeOrExpression(E,O)}static _deserializeOrExpression(E,O){let W=E.split("||");return h.create(W.map(U=>this._deserializeAndExpression(U,O)),null,!0)}static _deserializeAndExpression(E,O){let W=E.split("&&");return l.create(W.map(U=>this._deserializeOne(U,O)),null)}static _deserializeOne(E,O){if(E=E.trim(),E.indexOf("!=")>=0){let W=E.split("!=");return S.create(W[0].trim(),this._deserializeValue(W[1],O))}if(E.indexOf("==")>=0){let W=E.split("==");return c.create(W[0].trim(),this._deserializeValue(W[1],O))}if(E.indexOf("=~")>=0){let W=E.split("=~");return n.create(W[0].trim(),this._deserializeRegexValue(W[1],O))}if(E.indexOf(" in ")>=0){let W=E.split(" in ");return u.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(E)){const W=E.split(">=");return a.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(E)){const W=E.split(">");return k.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(E)){const W=E.split("<=");return r.create(W[0].trim(),W[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(E)){const W=E.split("<");return M.create(W[0].trim(),W[1].trim())}return/^\!\s*/.test(E)?m.create(E.substr(1).trim()):o.create(E)}static _deserializeValue(E,O){if(E=E.trim(),E==="true")return!0;if(E==="false")return!1;let W=/^'([^']*)'$/.exec(E);return W?W[1].trim():E}static _deserializeRegexValue(E,O){if((0,t.isFalsyOrWhitespace)(E)){if(O)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let W=E.indexOf("/"),U=E.lastIndexOf("/");if(W===U||W<0){if(O)throw new Error(`bad regexp-value '${E}', missing /-enclosure`);return console.warn(`bad regexp-value '${E}', missing /-enclosure`),null}let H=E.slice(W+1,U),V=E[U+1]==="i"?"i":"";try{return new RegExp(H,V)}catch(Z){if(O)throw new Error(`bad regexp-value '${E}', parse error: ${Z}`);return console.warn(`bad regexp-value '${E}', parse error: ${Z}`),null}}}e.ContextKeyExpr=A;function R(N,E){const O=N?N.substituteConstants():void 0,W=E?E.substituteConstants():void 0;return!O&&!W?!0:!O||!W?!1:O.equals(W)}e.expressionsAreEqualWithConstantSubstitution=R;function w(N,E){return N.cmp(E)}class i{constructor(){this.type=0}cmp(E){return this.type-E.type}equals(E){return E.type===this.type}substituteConstants(){return this}evaluate(E){return!1}serialize(){return"false"}keys(){return[]}map(E){return this}negate(){return g.INSTANCE}}e.ContextKeyFalseExpr=i,i.INSTANCE=new i;class g{constructor(){this.type=1}cmp(E){return this.type-E.type}equals(E){return E.type===this.type}substituteConstants(){return this}evaluate(E){return!0}serialize(){return"true"}keys(){return[]}map(E){return this}negate(){return i.INSTANCE}}e.ContextKeyTrueExpr=g,g.INSTANCE=new g;class o{constructor(E,O){this.key=E,this.negated=O,this.type=2}static create(E,O=null){const W=I.get(E);return typeof W=="boolean"?W?g.INSTANCE:i.INSTANCE:new o(E,O)}cmp(E){return E.type!==this.type?this.type-E.type:_(this.key,E.key)}equals(E){return E.type===this.type?this.key===E.key:!1}substituteConstants(){const E=I.get(this.key);return typeof E=="boolean"?E?g.INSTANCE:i.INSTANCE:this}evaluate(E){return!!E.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(E){return E.mapDefined(this.key)}negate(){return this.negated||(this.negated=m.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=o;class c{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=4}static create(E,O,W=null){if(typeof O=="boolean")return O?o.create(E,W):m.create(E,W);const U=I.get(E);return typeof U=="boolean"?O===(U?"true":"false")?g.INSTANCE:i.INSTANCE:new c(E,O,W)}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){const E=I.get(this.key);if(typeof E=="boolean"){const O=E?"true":"false";return this.value===O?g.INSTANCE:i.INSTANCE}return this}evaluate(E){return E.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(E){return E.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=S.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=c;class u{constructor(E,O){this.key=E,this.valueKey=O,this.type=10,this.negated=null}static create(E,O){return new u(E,O)}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.valueKey,E.key,E.valueKey)}equals(E){return E.type===this.type?this.key===E.key&&this.valueKey===E.valueKey:!1}substituteConstants(){return this}evaluate(E){const O=E.getValue(this.valueKey),W=E.getValue(this.key);return Array.isArray(O)?O.indexOf(W)>=0:typeof W=="string"&&typeof O=="object"&&O!==null?P.call(O,W):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(E){return E.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=F.create(this)),this.negated}}e.ContextKeyInExpr=u;class F{constructor(E){this._actual=E,this.type=11}static create(E){return new F(E)}cmp(E){return E.type!==this.type?this.type-E.type:this._actual.cmp(E._actual)}equals(E){return E.type===this.type?this._actual.equals(E._actual):!1}substituteConstants(){return this}evaluate(E){return!this._actual.evaluate(E)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(E){return new F(this._actual.map(E))}negate(){return this._actual}}e.ContextKeyNotInExpr=F;class S{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=5}static create(E,O,W=null){if(typeof O=="boolean")return O?m.create(E,W):o.create(E,W);const U=I.get(E);return typeof U=="boolean"?O===(U?"true":"false")?i.INSTANCE:g.INSTANCE:new S(E,O,W)}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){const E=I.get(this.key);if(typeof E=="boolean"){const O=E?"true":"false";return this.value===O?i.INSTANCE:g.INSTANCE}return this}evaluate(E){return E.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(E){return E.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=S;class m{constructor(E,O){this.key=E,this.negated=O,this.type=3}static create(E,O=null){const W=I.get(E);return typeof W=="boolean"?W?i.INSTANCE:g.INSTANCE:new m(E,O)}cmp(E){return E.type!==this.type?this.type-E.type:_(this.key,E.key)}equals(E){return E.type===this.type?this.key===E.key:!1}substituteConstants(){const E=I.get(this.key);return typeof E=="boolean"?E?i.INSTANCE:g.INSTANCE:this}evaluate(E){return!E.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(E){return E.mapNot(this.key)}negate(){return this.negated||(this.negated=o.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=m;function d(N,E){if(typeof N=="string"){const O=parseFloat(N);isNaN(O)||(N=O)}return typeof N=="string"||typeof N=="number"?E(N):i.INSTANCE}class k{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=12}static create(E,O,W=null){return d(O,U=>new k(E,U,W))}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){return this}evaluate(E){return typeof this.value=="string"?!1:parseFloat(E.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(E){return E.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=k;class a{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=13}static create(E,O,W=null){return d(O,U=>new a(E,U,W))}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){return this}evaluate(E){return typeof this.value=="string"?!1:parseFloat(E.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(E){return E.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=M.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=a;class M{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=14}static create(E,O,W=null){return d(O,U=>new M(E,U,W))}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){return this}evaluate(E){return typeof this.value=="string"?!1:parseFloat(E.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(E){return E.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=a.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=M;class r{constructor(E,O,W){this.key=E,this.value=O,this.negated=W,this.type=15}static create(E,O,W=null){return d(O,U=>new r(E,U,W))}cmp(E){return E.type!==this.type?this.type-E.type:f(this.key,this.value,E.key,E.value)}equals(E){return E.type===this.type?this.key===E.key&&this.value===E.value:!1}substituteConstants(){return this}evaluate(E){return typeof this.value=="string"?!1:parseFloat(E.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(E){return E.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=k.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=r;class n{constructor(E,O){this.key=E,this.regexp=O,this.type=7,this.negated=null}static create(E,O){return new n(E,O)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.key<E.key)return-1;if(this.key>E.key)return 1;const O=this.regexp?this.regexp.source:"",W=E.regexp?E.regexp.source:"";return O<W?-1:O>W?1:0}equals(E){if(E.type===this.type){const O=this.regexp?this.regexp.source:"",W=E.regexp?E.regexp.source:"";return this.key===E.key&&O===W}return!1}substituteConstants(){return this}evaluate(E){let O=E.getValue(this.key);return this.regexp?this.regexp.test(O):!1}serialize(){const E=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${E}`}keys(){return[this.key]}map(E){return E.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=b.create(this)),this.negated}}e.ContextKeyRegexExpr=n;class b{constructor(E){this._actual=E,this.type=8}static create(E){return new b(E)}cmp(E){return E.type!==this.type?this.type-E.type:this._actual.cmp(E._actual)}equals(E){return E.type===this.type?this._actual.equals(E._actual):!1}substituteConstants(){return this}evaluate(E){return!this._actual.evaluate(E)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(E){return new b(this._actual.map(E))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=b;function p(N){let E=null;for(let O=0,W=N.length;O<W;O++){const U=N[O].substituteConstants();if(N[O]!==U&&E===null){E=[];for(let H=0;H<O;H++)E[H]=N[H]}E!==null&&(E[O]=U)}return E===null?N:E}class l{constructor(E,O){this.expr=E,this.negated=O,this.type=6}static create(E,O){return l._normalizeArr(E,O)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.expr.length<E.expr.length)return-1;if(this.expr.length>E.expr.length)return 1;for(let O=0,W=this.expr.length;O<W;O++){const U=w(this.expr[O],E.expr[O]);if(U!==0)return U}return 0}equals(E){if(E.type===this.type){if(this.expr.length!==E.expr.length)return!1;for(let O=0,W=this.expr.length;O<W;O++)if(!this.expr[O].equals(E.expr[O]))return!1;return!0}return!1}substituteConstants(){const E=p(this.expr);return E===this.expr?this:l.create(E,this.negated)}evaluate(E){for(let O=0,W=this.expr.length;O<W;O++)if(!this.expr[O].evaluate(E))return!1;return!0}static _normalizeArr(E,O){const W=[];let U=!1;for(const H of E)if(!!H){if(H.type===1){U=!0;continue}if(H.type===0)return i.INSTANCE;if(H.type===6){W.push(...H.expr);continue}W.push(H)}if(W.length===0&&U)return g.INSTANCE;if(W.length!==0){if(W.length===1)return W[0];W.sort(w);for(let H=1;H<W.length;H++)W[H-1].equals(W[H])&&(W.splice(H,1),H--);if(W.length===1)return W[0];for(;W.length>1;){const H=W[W.length-1];if(H.type!==9)break;W.pop();const V=W.pop(),Z=W.length===0,G=h.create(H.expr.map(oe=>l.create([oe,V],null)),null,Z);G&&(W.push(G),W.sort(w))}return W.length===1?W[0]:new l(W,O)}}serialize(){return this.expr.map(E=>E.serialize()).join(" && ")}keys(){const E=[];for(let O of this.expr)E.push(...O.keys());return E}map(E){return new l(this.expr.map(O=>O.map(E)),null)}negate(){if(!this.negated){const E=[];for(let O of this.expr)E.push(O.negate());this.negated=h.create(E,this,!0)}return this.negated}}class h{constructor(E,O){this.expr=E,this.negated=O,this.type=9}static create(E,O,W){return h._normalizeArr(E,O,W)}cmp(E){if(E.type!==this.type)return this.type-E.type;if(this.expr.length<E.expr.length)return-1;if(this.expr.length>E.expr.length)return 1;for(let O=0,W=this.expr.length;O<W;O++){const U=w(this.expr[O],E.expr[O]);if(U!==0)return U}return 0}equals(E){if(E.type===this.type){if(this.expr.length!==E.expr.length)return!1;for(let O=0,W=this.expr.length;O<W;O++)if(!this.expr[O].equals(E.expr[O]))return!1;return!0}return!1}substituteConstants(){const E=p(this.expr);return E===this.expr?this:h.create(E,this.negated,!1)}evaluate(E){for(let O=0,W=this.expr.length;O<W;O++)if(this.expr[O].evaluate(E))return!0;return!1}static _normalizeArr(E,O,W){let U=[],H=!1;if(E){for(let V=0,Z=E.length;V<Z;V++){const G=E[V];if(!!G){if(G.type===0){H=!0;continue}if(G.type===1)return g.INSTANCE;if(G.type===9){U=U.concat(G.expr);continue}U.push(G)}}if(U.length===0&&H)return i.INSTANCE;U.sort(w)}if(U.length!==0){if(U.length===1)return U[0];for(let V=1;V<U.length;V++)U[V-1].equals(U[V])&&(U.splice(V,1),V--);if(U.length===1)return U[0];if(W){for(let V=0;V<U.length;V++)for(let Z=V+1;Z<U.length;Z++)C(U[V],U[Z])&&(U.splice(Z,1),Z--);if(U.length===1)return U[0]}return new h(U,O)}}serialize(){return this.expr.map(E=>E.serialize()).join(" || ")}keys(){const E=[];for(let O of this.expr)E.push(...O.keys());return E}map(E){return new h(this.expr.map(O=>O.map(E)),null)}negate(){if(!this.negated){let E=[];for(let O of this.expr)E.push(O.negate());for(;E.length>1;){const O=E.shift(),W=E.shift(),U=[];for(const V of x(O))for(const Z of x(W))U.push(l.create([V,Z],null));const H=E.length===0;E.unshift(h.create(U,null,H))}this.negated=E[0]}return this.negated}}class v extends o{constructor(E,O,W){super(E,null);this._defaultValue=O,typeof W=="object"?v._info.push({...W,key:E}):W!==!0&&v._info.push({key:E,description:W,type:O!=null?typeof O:void 0})}static all(){return v._info.values()}bindTo(E){return E.createKey(this.key,this._defaultValue)}getValue(E){return E.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(E){return c.create(this.key,E)}notEqualsTo(E){return S.create(this.key,E)}}e.RawContextKey=v,v._info=[],e.IContextKeyService=(0,y.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function _(N,E){return N<E?-1:N>E?1:0}function f(N,E,O,W){return N<O?-1:N>O?1:E<W?-1:E>W?1:0}function C(N,E){if(E.type===6&&N.type!==9&&N.type!==6){for(const U of E.expr)if(N.equals(U))return!0}const O=N.negate(),W=x(O).concat(x(E));W.sort(w);for(let U=0;U<W.length;U++){const V=W[U].negate();for(let Z=U+1;Z<W.length;Z++){const G=W[Z];if(V.equals(G))return!0}}return!1}e.implies=C;function x(N){return N.type===9?N.expr:[N]}}),define(we[135],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,s.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,s.refineServiceDecorator)(e.IEnvironmentService)}),define(we[46],Ee([0,1,21,17,9,10,2,116,3]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,D.createDecorator)("fileService");function A(U){return U.create===!0}e.isFileOpenForWriteOptions=A;var R;(function(U){U[U.Unknown=0]="Unknown",U[U.File=1]="File",U[U.Directory=2]="Directory",U[U.SymbolicLink=64]="SymbolicLink"})(R=e.FileType||(e.FileType={}));var w;(function(U){U[U.Readonly=1]="Readonly"})(w=e.FilePermission||(e.FilePermission={}));var i;(function(U){U[U.FileReadWrite=2]="FileReadWrite",U[U.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",U[U.FileReadStream=16]="FileReadStream",U[U.FileFolderCopy=8]="FileFolderCopy",U[U.PathCaseSensitive=1024]="PathCaseSensitive",U[U.Readonly=2048]="Readonly",U[U.Trash=4096]="Trash",U[U.FileWriteUnlock=8192]="FileWriteUnlock",U[U.FileAtomicRead=16384]="FileAtomicRead"})(i=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function g(U){return!!(U.capabilities&2)}e.hasReadWriteCapability=g;function o(U){return!!(U.capabilities&8)}e.hasFileFolderCopyCapability=o;function c(U){return!!(U.capabilities&4)}e.hasOpenReadWriteCloseCapability=c;function u(U){return!!(U.capabilities&16)}e.hasFileReadStreamCapability=u;function F(U){return g(U)?!!(U.capabilities&16384):!1}e.hasFileAtomicReadCapability=F;var S;(function(U){U.FileExists="EntryExists",U.FileNotFound="EntryNotFound",U.FileNotADirectory="EntryNotADirectory",U.FileIsADirectory="EntryIsADirectory",U.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",U.FileTooLarge="EntryTooLarge",U.FileWriteLocked="EntryWriteLocked",U.NoPermissions="NoPermissions",U.Unavailable="Unavailable",U.Unknown="Unknown"})(S=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class m extends Error{constructor(H,V){super(H);this.code=V}}e.FileSystemProviderError=m;function d(U,H){const V=new m(U.toString(),H);return a(V,H),V}e.createFileSystemProviderError=d;function k(U){return U||d((0,P.localize)(0,null),S.Unknown)}e.ensureFileSystemProviderError=k;function a(U,H){return U.name=H?`${H} (FileSystemError)`:"FileSystemError",U}e.markAsFileSystemProviderError=a;function M(U){if(!U)return S.Unknown;if(U instanceof m)return U.code;const H=/^(.+) \(FileSystemError\)$/.exec(U.name);if(!H)return S.Unknown;switch(H[1]){case S.FileExists:return S.FileExists;case S.FileIsADirectory:return S.FileIsADirectory;case S.FileNotADirectory:return S.FileNotADirectory;case S.FileNotFound:return S.FileNotFound;case S.FileExceedsMemoryLimit:return S.FileExceedsMemoryLimit;case S.FileTooLarge:return S.FileTooLarge;case S.FileWriteLocked:return S.FileWriteLocked;case S.NoPermissions:return S.NoPermissions;case S.Unavailable:return S.Unavailable}return S.Unknown}e.toFileSystemProviderErrorCode=M;function r(U){if(U instanceof v)return U.fileOperationResult;switch(M(U)){case S.FileNotFound:return 1;case S.FileIsADirectory:return 0;case S.FileNotADirectory:return 10;case S.FileWriteLocked:return 5;case S.NoPermissions:return 6;case S.FileExists:return 4;case S.FileExceedsMemoryLimit:return 9;case S.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=r;var n;(function(U){U[U.CREATE=0]="CREATE",U[U.DELETE=1]="DELETE",U[U.MOVE=2]="MOVE",U[U.COPY=3]="COPY"})(n=e.FileOperation||(e.FileOperation={}));class b{constructor(H,V,Z){this.resource=H,this.operation=V,this.target=Z}isOperation(H){return this.operation===H}}e.FileOperationEvent=b;var p;(function(U){U[U.UPDATED=0]="UPDATED",U[U.ADDED=1]="ADDED",U[U.DELETED=2]="DELETED"})(p=e.FileChangeType||(e.FileChangeType={}));class l{constructor(H,V){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=H;const Z=new Map;for(const G of H){const oe=Z.get(G.type);switch(oe?oe.push([G.resource,G]):Z.set(G.type,[[G.resource,G]]),G.type){case 1:this.rawAdded.push(G.resource);break;case 0:this.rawUpdated.push(G.resource);break;case 2:this.rawDeleted.push(G.resource);break}}for(const[G,oe]of Z)switch(G){case 1:this.added=s.TernarySearchTree.forUris(()=>V),this.added.fill(oe);break;case 0:this.updated=s.TernarySearchTree.forUris(()=>V),this.updated.fill(oe);break;case 2:this.deleted=s.TernarySearchTree.forUris(()=>V),this.deleted.fill(oe);break}}contains(H,...V){return this.doContains(H,{includeChildren:!1},...V)}affects(H,...V){return this.doContains(H,{includeChildren:!0},...V)}doContains(H,V,...Z){if(!H)return!1;const G=Z.length>0;return!!((!G||Z.includes(1))&&(this.added?.get(H)||V.includeChildren&&this.added?.findSuperstr(H))||(!G||Z.includes(0))&&(this.updated?.get(H)||V.includeChildren&&this.updated?.findSuperstr(H))||(!G||Z.includes(2))&&(this.deleted?.findSubstr(H)||V.includeChildren&&this.deleted?.findSuperstr(H)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function h(U,H,V){return!U||!H||U===H||H.length>U.length?!1:(H.charAt(H.length-1)!==t.sep&&(H+=t.sep),V?(0,y.startsWithIgnoreCase)(U,H):U.indexOf(H)===0)}e.isParent=h;class v extends Error{constructor(H,V,Z){super(H);this.fileOperationResult=V,this.options=Z}}e.FileOperationError=v;class _ extends v{constructor(H,V,Z){super(H,2,Z);this.stat=V}}e.NotModifiedSinceFileOperationError=_;var f;(function(U){U[U.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",U[U.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",U[U.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",U[U.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",U[U.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",U[U.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",U[U.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",U[U.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",U[U.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",U[U.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",U[U.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",U[U.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(f=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var C;(function(U){U[U.FILE=0]="FILE",U[U.FOLDER=1]="FOLDER",U[U.ROOT_FOLDER=2]="ROOT_FOLDER"})(C=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function x(U){if(!(typeof U.size!="number"||typeof U.mtime!="number"))return U.mtime.toString(29)+U.size.toString(31)}e.etag=x;async function N(U,H){if(!H.hasProvider(I.URI.from({scheme:U.scheme})))return new Promise(V=>{const Z=H.onDidChangeFileSystemProviderRegistrations(G=>{G.scheme===U.scheme&&G.added&&(Z.dispose(),V())})})}e.whenProviderRegistered=N,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class E{static formatSize(H){return(0,T.isNumber)(H)||(H=0),H<E.KB?(0,P.localize)(1,null,H.toFixed(0)):H<E.MB?(0,P.localize)(2,null,(H/E.KB).toFixed(2)):H<E.GB?(0,P.localize)(3,null,(H/E.MB).toFixed(2)):H<E.TB?(0,P.localize)(4,null,(H/E.GB).toFixed(2)):(0,P.localize)(5,null,(H/E.TB).toFixed(2))}}e.ByteSize=E,E.KB=1024,E.MB=E.KB*E.KB,E.GB=E.MB*E.KB,E.TB=E.GB*E.KB;var O;(function(U){U[U.IA32=0]="IA32",U[U.OTHER=1]="OTHER"})(O=e.Arch||(e.Arch={}));function W(U){return{maxFileSize:U===0?300*E.MB:16*E.GB,maxHeapSize:U===0?700*E.MB:2*700*E.MB}}e.getPlatformLimits=W}),define(we[60],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class s{constructor(...y){this._entries=new Map;for(let[T,I]of y)this.set(T,I)}set(y,T){const I=this._entries.get(y);return this._entries.set(y,T),I}has(y){return this._entries.has(y)}get(y){return this._entries.get(y)}}e.ServiceCollection=s}),define(we[136],Ee([0,1,14,15,80,132,3,60]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const D=!1;class A extends Error{constructor(o){super("cyclic dependency between services");this.message=o.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${o.toString()}`}}class R{constructor(o=new P.ServiceCollection,c=!1,u){this._activeInstantiations=new Set,this._services=o,this._strict=c,this._parent=u,this._services.set(I.IInstantiationService,this)}createChild(o){return new R(o,this._strict,this)}invokeFunction(o,...c){let u=i.traceInvocation(o),F=!1;try{return o({get:m=>{if(F)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const d=this._getOrCreateServiceInstance(m,u);if(!d)throw new Error(`[invokeFunction] unknown service '${m}'`);return d}},...c)}finally{F=!0,u.stop()}}createInstance(o,...c){let u,F;return o instanceof y.SyncDescriptor?(u=i.traceCreation(o.ctor),F=this._createInstance(o.ctor,o.staticArguments.concat(c),u)):(u=i.traceCreation(o),F=this._createInstance(o,c,u)),u.stop(),F}_createInstance(o,c=[],u){let F=I._util.getServiceDependencies(o).sort((d,k)=>d.index-k.index),S=[];for(const d of F){let k=this._getOrCreateServiceInstance(d.id,u);if(!k&&this._strict&&!d.optional)throw new Error(`[createInstance] ${o.name} depends on UNKNOWN service ${d.id}.`);S.push(k)}let m=F.length>0?F[0].index:c.length;if(c.length!==m){console.warn(`[createInstance] First service dependency of ${o.name} at position ${m+1} conflicts with ${c.length} static arguments`);let d=m-c.length;d>0?c=c.concat(new Array(d)):c=c.slice(0,m)}return new o(...[...c,...S])}_setServiceInstance(o,c){if(this._services.get(o)instanceof y.SyncDescriptor)this._services.set(o,c);else if(this._parent)this._parent._setServiceInstance(o,c);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(o){let c=this._services.get(o);return!c&&this._parent?this._parent._getServiceInstanceOrDescriptor(o):c}_getOrCreateServiceInstance(o,c){let u=this._getServiceInstanceOrDescriptor(o);return u instanceof y.SyncDescriptor?this._safeCreateAndCacheServiceInstance(o,u,c.branch(o,!0)):(c.branch(o,!1),u)}_safeCreateAndCacheServiceInstance(o,c,u){if(this._activeInstantiations.has(o))throw new Error(`illegal state - RECURSIVELY instantiating service '${o}'`);this._activeInstantiations.add(o);try{return this._createAndCacheServiceInstance(o,c,u)}finally{this._activeInstantiations.delete(o)}}_createAndCacheServiceInstance(o,c,u){const F=new T.Graph(d=>d.id.toString());let S=0;const m=[{id:o,desc:c,_trace:u}];for(;m.length;){const d=m.pop();if(F.lookupOrInsertNode(d),S++>1e3)throw new A(F);for(let k of I._util.getServiceDependencies(d.desc.ctor)){let a=this._getServiceInstanceOrDescriptor(k.id);if(!a&&!k.optional&&console.warn(`[createInstance] ${o} depends on ${k.id} which is NOT registered.`),a instanceof y.SyncDescriptor){const M={id:k.id,desc:a,_trace:d._trace.branch(k.id,!0)};F.insertEdge(d,M),m.push(M)}}}for(;;){const d=F.roots();if(d.length===0){if(!F.isEmpty())throw new A(F);break}for(const{data:k}of d){if(this._getServiceInstanceOrDescriptor(k.id)instanceof y.SyncDescriptor){const M=this._createServiceInstanceWithOwner(k.id,k.desc.ctor,k.desc.staticArguments,k.desc.supportsDelayedInstantiation,k._trace);this._setServiceInstance(k.id,M)}F.removeNode(k)}}return this._getServiceInstanceOrDescriptor(o)}_createServiceInstanceWithOwner(o,c,u=[],F,S){if(this._services.get(o)instanceof y.SyncDescriptor)return this._createServiceInstance(c,u,F,S);if(this._parent)return this._parent._createServiceInstanceWithOwner(o,c,u,F,S);throw new Error(`illegalState - creating UNKNOWN service instance ${c.name}`)}_createServiceInstance(o,c=[],u,F){if(u){const S=new s.IdleValue(()=>this._createInstance(o,c,F));return new Proxy(Object.create(null),{get(m,d){if(d in m)return m[d];let k=S.value,a=k[d];return typeof a!="function"||(a=a.bind(k),m[d]=a),a},set(m,d,k){return S.value[d]=k,!0}})}else return this._createInstance(o,c,F)}}e.InstantiationService=R;var w;(function(g){g[g.Creation=0]="Creation",g[g.Invocation=1]="Invocation",g[g.Branch=2]="Branch"})(w||(w={}));class i{constructor(o,c){this.type=o,this.name=c,this._start=Date.now(),this._dep=[]}static traceInvocation(o){return D?new i(1,o.name||o.toString().substring(0,42).replace(/\n/g,"")):i._None}static traceCreation(o){return D?new i(0,o.name):i._None}branch(o,c){let u=new i(2,o.toString());return this._dep.push([o,c,u]),u}stop(){let o=Date.now()-this._start;i._totals+=o;let c=!1;function u(S,m){let d=[],k=new Array(S+1).join("	");for(const[a,M,r]of m._dep)if(M&&r){c=!0,d.push(`${k}CREATES -> ${a}`);let n=u(S+1,r);n&&d.push(n)}else d.push(`${k}uses -> ${a}`);return d.join(`
`)}let F=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${u(1,this)}`,`DONE, took ${o.toFixed(2)}ms (grand total ${i._totals.toFixed(2)}ms)`];(o>2||c)&&console.log(F.join(`
`))}}i._None=new class extends i{constructor(){super(-1,null)}stop(){}branch(){return this}},i._totals=0}),define(we[12],Ee([0,1,43,4,6,23,3]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,I.createDecorator)("logService"),e.ILoggerService=(0,I.createDecorator)("loggerService");function P(){return new Date().toISOString()}var D;(function(M){M[M.Trace=0]="Trace",M[M.Debug=1]="Debug",M[M.Info=2]="Info",M[M.Warning=3]="Warning",M[M.Error=4]="Error",M[M.Critical=5]="Critical",M[M.Off=6]="Off"})(D=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=D.Info;function A(M,r,n){switch(r){case D.Trace:M.trace(n);break;case D.Debug:M.debug(n);break;case D.Info:M.info(n);break;case D.Warning:M.warn(n);break;case D.Error:M.error(n);break;case D.Critical:M.critical(n);break;default:throw new Error("Invalid log level")}}e.log=A;function R(M){let r="";for(let n=0;n<M.length;n++){let b=M[n];if(typeof b=="object")try{b=JSON.stringify(b)}catch{}r+=(n>0?" ":"")+b}return r}e.format=R;class w extends y.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(r){this.level!==r&&(this.level=r,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=w;class i extends w{constructor(r){super();this.logAlways=r}checkLogLevel(r){return this.logAlways||this.getLevel()<=r}trace(r,...n){this.checkLogLevel(D.Trace)&&this.log(D.Trace,R([r,...n]))}debug(r,...n){this.checkLogLevel(D.Debug)&&this.log(D.Debug,R([r,...n]))}info(r,...n){this.checkLogLevel(D.Info)&&this.log(D.Info,R([r,...n]))}warn(r,...n){this.checkLogLevel(D.Warning)&&this.log(D.Warning,R([r,...n]))}error(r,...n){if(this.checkLogLevel(D.Error))if(r instanceof Error){const b=Array.prototype.slice.call(arguments);b[0]=r.stack,this.log(D.Error,R(b))}else this.log(D.Error,R([r,...n]))}critical(r,...n){this.checkLogLevel(D.Critical)&&this.log(D.Critical,R([r,...n]))}flush(){}}e.AbstractMessageLogger=i;class g extends w{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r),this.useColors=!T.isWindows}trace(r,...n){this.getLevel()<=D.Trace&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...n):console.log(`[main ${P()}]`,r,...n))}debug(r,...n){this.getLevel()<=D.Debug&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...n):console.log(`[main ${P()}]`,r,...n))}info(r,...n){this.getLevel()<=D.Info&&(this.useColors?console.log(`[90m[main ${P()}][0m`,r,...n):console.log(`[main ${P()}]`,r,...n))}warn(r,...n){this.getLevel()<=D.Warning&&(this.useColors?console.warn(`[93m[main ${P()}][0m`,r,...n):console.warn(`[main ${P()}]`,r,...n))}error(r,...n){this.getLevel()<=D.Error&&(this.useColors?console.error(`[91m[main ${P()}][0m`,r,...n):console.error(`[main ${P()}]`,r,...n))}critical(r,...n){this.getLevel()<=D.Critical&&(this.useColors?console.error(`[90m[main ${P()}][0m`,r,...n):console.error(`[main ${P()}]`,r,...n))}dispose(){}flush(){}}e.ConsoleMainLogger=g;class o extends w{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r)}trace(r,...n){this.getLevel()<=D.Trace&&console.log("%cTRACE","color: #888",r,...n)}debug(r,...n){this.getLevel()<=D.Debug&&console.log("%cDEBUG","background: #eee; color: #888",r,...n)}info(r,...n){this.getLevel()<=D.Info&&console.log("%c INFO","color: #33f",r,...n)}warn(r,...n){this.getLevel()<=D.Warning&&console.log("%c WARN","color: #993",r,...n)}error(r,...n){this.getLevel()<=D.Error&&console.log("%c  ERR","color: #f33",r,...n)}critical(r,...n){this.getLevel()<=D.Critical&&console.log("%cCRITI","background: #f33; color: white",r,...n)}dispose(){}flush(){}}e.ConsoleLogger=o;class c extends w{constructor(r,n=e.DEFAULT_LOG_LEVEL){super();this.adapter=r,this.setLevel(n)}trace(r,...n){this.getLevel()<=D.Trace&&this.adapter.log(D.Trace,[this.extractMessage(r),...n])}debug(r,...n){this.getLevel()<=D.Debug&&this.adapter.log(D.Debug,[this.extractMessage(r),...n])}info(r,...n){this.getLevel()<=D.Info&&this.adapter.log(D.Info,[this.extractMessage(r),...n])}warn(r,...n){this.getLevel()<=D.Warning&&this.adapter.log(D.Warning,[this.extractMessage(r),...n])}error(r,...n){this.getLevel()<=D.Error&&this.adapter.log(D.Error,[this.extractMessage(r),...n])}critical(r,...n){this.getLevel()<=D.Critical&&this.adapter.log(D.Critical,[this.extractMessage(r),...n])}extractMessage(r){return typeof r=="string"?r:(0,s.toErrorMessage)(r,this.getLevel()<=D.Trace)}dispose(){}flush(){}}e.AdapterLogger=c;class u extends w{constructor(r){super();this.logServices=r,r.length&&this.setLevel(r[0].getLevel())}setLevel(r){for(const n of this.logServices)n.setLevel(r);super.setLevel(r)}trace(r,...n){for(const b of this.logServices)b.trace(r,...n)}debug(r,...n){for(const b of this.logServices)b.debug(r,...n)}info(r,...n){for(const b of this.logServices)b.info(r,...n)}warn(r,...n){for(const b of this.logServices)b.warn(r,...n)}error(r,...n){for(const b of this.logServices)b.error(r,...n)}critical(r,...n){for(const b of this.logServices)b.critical(r,...n)}flush(){for(const r of this.logServices)r.flush()}dispose(){for(const r of this.logServices)r.dispose()}}e.MultiplexLogService=u;class F extends y.Disposable{constructor(r){super();this.logger=r,this._register(r)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(r){this.logger.setLevel(r)}getLevel(){return this.logger.getLevel()}trace(r,...n){this.logger.trace(r,...n)}debug(r,...n){this.logger.debug(r,...n)}info(r,...n){this.logger.info(r,...n)}warn(r,...n){this.logger.warn(r,...n)}error(r,...n){this.logger.error(r,...n)}critical(r,...n){this.logger.critical(r,...n)}flush(){this.logger.flush()}}e.LogService=F;class S extends y.Disposable{constructor(r,n){super();this.logLevel=r,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(n(b=>{this.logLevel=b,this.logLevelChangeableLoggers.forEach(p=>p.setLevel(b))}))}getLogger(r){return this.loggers.get(r.toString())}createLogger(r,n){let b=this.loggers.get(r.toString());return b||(b=this.doCreateLogger(r,n?.always?D.Trace:this.logLevel,n),this.loggers.set(r.toString(),b),n?.always||this.logLevelChangeableLoggers.push(b)),b}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(r=>r.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=S;class m{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(r){}getLevel(){return D.Info}trace(r,...n){}debug(r,...n){}info(r,...n){}warn(r,...n){}error(r,...n){}critical(r,...n){}dispose(){}flush(){}}e.NullLogService=m;function d(M){if(M.verbose)return D.Trace;if(typeof M.logLevel=="string"){const r=k(M.logLevel.toLowerCase());if(r!==void 0)return r}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=d;function k(M){switch(M){case"trace":return D.Trace;case"debug":return D.Debug;case"info":return D.Info;case"warn":return D.Warning;case"error":return D.Error;case"critical":return D.Critical;case"off":return D.Off}}e.parseLogLevel=k;function a(M){switch(M){case D.Trace:return"trace";case D.Debug:return"debug";case D.Info:return"info";case D.Warning:return"warn";case D.Error:return"error";case D.Critical:return"critical";case D.Off:return"off"}}e.LogLevelToString=a}),define(we[82],Ee([0,1,34,117,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var T;(function(D){D[D.Unnecessary=1]="Unnecessary",D[D.Deprecated=2]="Deprecated"})(T=e.MarkerTag||(e.MarkerTag={}));var I;(function(D){D[D.Hint=1]="Hint",D[D.Info=2]="Info",D[D.Warning=4]="Warning",D[D.Error=8]="Error"})(I=e.MarkerSeverity||(e.MarkerSeverity={})),function(D){function A(o,c){return c-o}D.compare=A;const R=Object.create(null);R[D.Error]=(0,t.localize)(0,null),R[D.Warning]=(0,t.localize)(1,null),R[D.Info]=(0,t.localize)(2,null);function w(o){return R[o]||""}D.toString=w;function i(o){switch(o){case s.default.Error:return D.Error;case s.default.Warning:return D.Warning;case s.default.Info:return D.Info;case s.default.Ignore:return D.Hint}}D.fromSeverity=i;function g(o){switch(o){case D.Error:return s.default.Error;case D.Warning:return s.default.Warning;case D.Info:return s.default.Info;case D.Hint:return s.default.Ignore}}D.toSeverity=g}(I=e.MarkerSeverity||(e.MarkerSeverity={}));var P;(function(D){const A="";function R(i){return w(i,!0)}D.makeKey=R;function w(i,g){let o=[A];return i.source?o.push(i.source.replace("\xA6","\\\xA6")):o.push(A),i.code?typeof i.code=="string"?o.push(i.code.replace("\xA6","\\\xA6")):o.push(i.code.value.replace("\xA6","\\\xA6")):o.push(A),i.severity!==void 0&&i.severity!==null?o.push(I.toString(i.severity)):o.push(A),i.message&&g?o.push(i.message.replace("\xA6","\\\xA6")):o.push(A),i.startLineNumber!==void 0&&i.startLineNumber!==null?o.push(i.startLineNumber.toString()):o.push(A),i.startColumn!==void 0&&i.startColumn!==null?o.push(i.startColumn.toString()):o.push(A),i.endLineNumber!==void 0&&i.endLineNumber!==null?o.push(i.endLineNumber.toString()):o.push(A),i.endColumn!==void 0&&i.endColumn!==null?o.push(i.endColumn.toString()):o.push(A),o.push(A),o.join("\xA6")}D.makeKeyOptionalMessage=w})(P=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,y.createDecorator)("markerService")}),define(we[137],Ee([0,1,4,34,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=t.default,e.INotificationService=(0,y.createDecorator)("notificationService");var T;(function(A){A[A.WORKSPACE=0]="WORKSPACE",A[A.GLOBAL=1]="GLOBAL"})(T=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var I;(function(A){A[A.OFF=0]="OFF",A[A.SILENT=1]="SILENT",A[A.ERROR=2]="ERROR"})(I=e.NotificationsFilter||(e.NotificationsFilter={}));class P{constructor(){this.progress=new D,this.onDidClose=s.Event.None,this.onDidChangeVisibility=s.Event.None}updateSeverity(R){}updateMessage(R){}updateActions(R){}close(){}}e.NoOpNotification=P;class D{infinite(){}done(){}total(R){}worked(R){}}e.NoOpProgress=D}),define(we[138],Ee([0,1,6,9,2,3]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,T.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return s.Disposable.None},registerValidator(){return s.Disposable.None},registerExternalUriResolver(){return s.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return s.Disposable.None},async open(){return!1},async resolveExternalUri(D){return{resolved:D,dispose(){}}}});function I(D,A){return y.URI.isUri(D)?(0,t.equalsIgnoreCase)(D.scheme,A):(0,t.startsWithIgnoreCase)(D,A+":")}e.matchesScheme=I;function P(D,...A){return A.some(R=>I(D,R))}e.matchesSomeScheme=P});var Ue=this&&this.__decorate||function(te,e,s,t){var y=arguments.length,T=y<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,s):t,I;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")T=Reflect.decorate(te,e,s,t);else for(var P=te.length-1;P>=0;P--)(I=te[P])&&(T=(y<3?I(T):y>3?I(e,s,T):I(e,s))||T);return y>3&&T&&Object.defineProperty(e,s,T),T},$e=this&&this.__param||function(te,e){return function(s,t){e(s,t,te)}};define(we[139],Ee([0,1,14,20,6,3]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,T.createDecorator)("progressService");var I;(function(R){R[R.Explorer=1]="Explorer",R[R.Scm=3]="Scm",R[R.Extensions=5]="Extensions",R[R.Window=10]="Window",R[R.Notification=15]="Notification",R[R.Dialog=20]="Dialog"})(I=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class P{constructor(w){this.callback=w}get value(){return this._value}report(w){this._value=w,this.callback(this._value)}}e.Progress=P,P.None=Object.freeze({report(){}});let D=class extends y.Disposable{constructor(w,i){super();this.deferred=new s.DeferredPromise,i.withProgress(w,g=>(this.reporter=g,this.lastStep&&g.report(this.lastStep),this.deferred.p)),this._register((0,y.toDisposable)(()=>this.deferred.complete()))}report(w){this.reporter?this.reporter.report(w):this.lastStep=w}};D=Ue([$e(1,e.IProgressService)],D),e.UnmanagedProgress=D;class A extends y.Disposable{constructor(w){super();this.progressIndicator=w,this.currentOperationId=0,this.currentOperationDisposables=this._register(new y.DisposableStore)}start(w){this.stop();const i=++this.currentOperationId,g=new t.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{i===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},w),this.currentOperationDisposables.add((0,y.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,y.toDisposable)(()=>g.cancel())),this.currentOperationDisposables.add((0,y.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:i,token:g.token,stop:()=>this.doStop(i),isCurrent:()=>this.currentOperationId===i}}stop(){this.doStop(this.currentOperationId)}doStop(w){this.currentOperationId===w&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=A,e.IEditorProgressService=(0,T.createDecorator)("editorProgressService")}),define(we[37],Ee([0,1,42,10]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class y{constructor(){this.data=new Map}add(I,P){s.ok(t.isString(I)),s.ok(t.isObject(P)),s.ok(!this.data.has(I),"There is already an extension with this id"),this.data.set(I,P)}knows(I){return this.data.has(I)}as(I){return this.data.get(I)||null}}e.Registry=new y}),define(we[140],Ee([0,1,4,37]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function y(P){return P.length>0&&P.charAt(P.length-1)==="#"?P.substring(0,P.length-1):P}class T{constructor(){this._onDidChangeSchema=new s.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(D,A){this.schemasById[y(D)]=A,this._onDidChangeSchema.fire(D)}notifySchemaChanged(D){this._onDidChangeSchema.fire(D)}getSchemaContributions(){return{schemas:this.schemasById}}}const I=new T;t.Registry.add(e.Extensions.JSONContribution,I)}),define(we[83],Ee([0,1,16,4,10,114,140,37]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var D;(function(d){d.Multiline="multilineText",d.Singleline="singlelineText"})(D=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var A;(function(d){d[d.APPLICATION=1]="APPLICATION",d[d.MACHINE=2]="MACHINE",d[d.WINDOW=3]="WINDOW",d[d.RESOURCE=4]="RESOURCE",d[d.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",d[d.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(A=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const R=P.Registry.as(I.Extensions.JSONContribution);class w{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:T.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},R.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(k,a=!0){this.registerConfigurations([k],a)}registerConfigurations(k,a=!0){const M=this.doRegisterConfigurations(k,a);R.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:M})}deregisterConfigurations(k){const a=this.doDeregisterConfigurations(k);R.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a})}updateConfigurations({add:k,remove:a}){const M=[];M.push(...this.doDeregisterConfigurations(a)),M.push(...this.doRegisterConfigurations(k,!1)),R.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,s.distinct)(M)})}registerDefaultConfigurations(k){const a=[],M=[];for(const{overrides:r,source:n}of k)for(const b in r)if(a.push(b),e.OVERRIDE_PROPERTY_REGEX.test(b)){const p={...this.configurationDefaultsOverrides.get(b)?.value||{},...r[b]};this.configurationDefaultsOverrides.set(b,{source:n,value:p});const l={type:"object",default:p,description:T.localize(1,null,b),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:p,source:y.isString(n)?void 0:n};M.push(...o(b)),this.configurationProperties[b]=l,this.defaultLanguageConfigurationOverridesNode.properties[b]=l}else{this.configurationDefaultsOverrides.set(b,{value:r[b],source:n});const p=this.configurationProperties[b];p&&(this.updatePropertyDefaultValue(b,p),this.updateSchema(b,p))}this.registerOverrideIdentifiers(M),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a,defaultsOverrides:!0})}deregisterDefaultConfigurations(k){const a=[];for(const{overrides:M,source:r}of k)for(const n in M){const b=this.configurationDefaultsOverrides.get(n),p=y.isString(r)?r:r?.id,l=y.isString(b?.source)?b?.source:b?.source?.id;if(p===l)if(a.push(n),this.configurationDefaultsOverrides.delete(n),e.OVERRIDE_PROPERTY_REGEX.test(n))delete this.configurationProperties[n],delete this.defaultLanguageConfigurationOverridesNode.properties[n];else{const h=this.configurationProperties[n];h&&(this.updatePropertyDefaultValue(n,h),this.updateSchema(n,h))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:a,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...k){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(k){for(const a of k)this.overrideIdentifiers.add(a);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(k,a){const M=[];return k.forEach(r=>{M.push(...this.validateAndRegisterProperties(r,a,r.extensionInfo,r.restrictedProperties)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),M}doDeregisterConfigurations(k){const a=[],M=r=>{if(r.properties)for(const n in r.properties)a.push(n),delete this.configurationProperties[n],this.removeFromSchema(n,r.properties[n]);r.allOf&&r.allOf.forEach(n=>M(n))};for(const r of k){M(r);const n=this.configurationContributors.indexOf(r);n!==-1&&this.configurationContributors.splice(n,1)}return a}validateAndRegisterProperties(k,a=!0,M,r,n=3){n=y.isUndefinedOrNull(k.scope)?n:k.scope;let b=[],p=k.properties;if(p)for(let h in p){if(a&&S(h)){delete p[h];continue}const v=p[h];if(v.source=M,v.defaultDefaultValue=p[h].default,this.updatePropertyDefaultValue(h,v),e.OVERRIDE_PROPERTY_REGEX.test(h)?v.scope=void 0:(v.scope=y.isUndefinedOrNull(v.scope)?n:v.scope,v.restricted=y.isUndefinedOrNull(v.restricted)?!!r?.includes(h):v.restricted),p[h].hasOwnProperty("included")&&!p[h].included){this.excludedConfigurationProperties[h]=p[h],delete p[h];continue}else this.configurationProperties[h]=p[h];!p[h].deprecationMessage&&p[h].markdownDeprecationMessage&&(p[h].deprecationMessage=p[h].markdownDeprecationMessage),b.push(h)}let l=k.allOf;if(l)for(let h of l)b.push(...this.validateAndRegisterProperties(h,a,M,r,n));return b}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(k){const a=M=>{let r=M.properties;if(r)for(const b in r)this.updateSchema(b,r[b]);let n=M.allOf;n&&n.forEach(a)};a(k)}updateSchema(k,a){switch(e.allSettings.properties[k]=a,a.scope){case 1:e.applicationSettings.properties[k]=a;break;case 2:e.machineSettings.properties[k]=a;break;case 6:e.machineOverridableSettings.properties[k]=a;break;case 3:e.windowSettings.properties[k]=a;break;case 4:e.resourceSettings.properties[k]=a;break;case 5:e.resourceSettings.properties[k]=a,this.resourceLanguageSettingsSchema.properties[k]=a;break}}removeFromSchema(k,a){switch(delete e.allSettings.properties[k],a.scope){case 1:delete e.applicationSettings.properties[k];break;case 2:delete e.machineSettings.properties[k];break;case 6:delete e.machineOverridableSettings.properties[k];break;case 3:delete e.windowSettings.properties[k];break;case 4:case 5:delete e.resourceSettings.properties[k],delete this.resourceLanguageSettingsSchema.properties[k];break}}updateOverridePropertyPatternKey(){for(const k of this.overrideIdentifiers.values()){const a=`[${k}]`,M={type:"object",description:T.localize(2,null),errorMessage:T.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(a,M),e.allSettings.properties[a]=M,e.applicationSettings.properties[a]=M,e.machineSettings.properties[a]=M,e.machineOverridableSettings.properties[a]=M,e.windowSettings.properties[a]=M,e.resourceSettings.properties[a]=M}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const k={type:"object",description:T.localize(4,null),errorMessage:T.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=k,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(k,a){const M=this.configurationDefaultsOverrides.get(k);let r=M?.value,n=M?.source;y.isUndefined(r)&&(r=a.defaultDefaultValue,n=void 0),y.isUndefined(r)&&(r=u(a.type)),a.default=r,a.defaultValueSource=n}}const i="\\[([^\\]]+)\\]",g=new RegExp(i,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${i})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function o(d){const k=[];if(e.OVERRIDE_PROPERTY_REGEX.test(d)){let a=g.exec(d);for(;a?.length;){const M=a[1].trim();M&&k.push(M),a=g.exec(d)}}return(0,s.distinct)(k)}e.overrideIdentifiersFromKey=o;function c(d){return d.reduce((k,a)=>`${k}[${a}]`,"")}e.keyFromOverrideIdentifiers=c;function u(d){switch(Array.isArray(d)?d[0]:d){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=u;const F=new w;P.Registry.add(e.Extensions.Configuration,F);function S(d){return d.trim()?e.OVERRIDE_PROPERTY_REGEX.test(d)?T.localize(7,null,d):F.getConfigurationProperties()[d]!==void 0?T.localize(8,null,d):null:T.localize(6,null)}e.validateProperty=S;function m(){const d=[],k=F.getConfigurationProperties();for(const a of Object.keys(k))d.push([a,k[a].scope]);return d.push(["launch",4]),d.push(["task",4]),d}e.getScopes=m}),define(we[141],Ee([0,1,16,4,100,6,21,26,10,2,81,83,37]),function(te,e,s,t,y,T,I,P,D,A,R,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class g{constructor(r={},n=[],b=[]){this._contents=r,this._keys=n,this._overrides=b,this.isFrozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(r){return r?(0,R.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,n){const b=this.getContentsForOverrideIdentifer(n);return b?r?(0,R.getConfigurationValue)(b,r):b:void 0}getKeysForOverrideIdentifier(r){const n=[];for(const b of this.overrides)b.identifiers.includes(r)&&n.push(...b.keys);return s.distinct(n)}getAllOverrideIdentifiers(){const r=[];for(const n of this.overrides)r.push(...n.identifiers);return s.distinct(r)}override(r){let n=this.overrideConfigurations.get(r);return n||(n=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,n)),n}merge(...r){const n=P.deepClone(this.contents),b=P.deepClone(this.overrides),p=[...this.keys];for(const l of r){this.mergeContents(n,l.contents);for(const h of l.overrides){const[v]=b.filter(_=>s.equals(_.identifiers,h.identifiers));v?(this.mergeContents(v.contents,h.contents),v.keys.push(...h.keys),v.keys=s.distinct(v.keys)):b.push(P.deepClone(h))}for(const h of l.keys)p.indexOf(h)===-1&&p.push(h)}return new g(n,p,b)}freeze(){return this.isFrozen=!0,this}createOverrideConfigurationModel(r){const n=this.getContentsForOverrideIdentifer(r);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let b={};for(const p of s.distinct([...Object.keys(this.contents),...Object.keys(n)])){let l=this.contents[p],h=n[p];h&&(typeof l=="object"&&typeof h=="object"?(l=P.deepClone(l),this.mergeContents(l,h)):l=h),b[p]=l}return new g(b,this.keys,this.overrides)}mergeContents(r,n){for(const b of Object.keys(n)){if(b in r&&D.isObject(r[b])&&D.isObject(n[b])){this.mergeContents(r[b],n[b]);continue}r[b]=P.deepClone(n[b])}}checkAndFreeze(r){return this.isFrozen&&!Object.isFrozen(r)?P.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let n=null,b=null;const p=l=>{l&&(b?this.mergeContents(b,l):b=P.deepClone(l))};for(const l of this.overrides)s.equals(l.identifiers,[r])?n=l.contents:l.identifiers.includes(r)&&p(l.contents);return p(n),b}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,n){this.addKey(r),(0,R.addToValueTree)(this.contents,r,n,b=>{throw new Error(b)})}removeValue(r){this.removeKey(r)&&(0,R.removeFromValueTree)(this.contents,r)}addKey(r){let n=this.keys.length;for(let b=0;b<n;b++)r.indexOf(this.keys[b])===0&&(n=b);this.keys.splice(n,1,r)}removeKey(r){let n=this.keys.indexOf(r);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=g;class o extends g{constructor(r={}){const n=i.Registry.as(w.Extensions.Configuration).getConfigurationProperties(),b=Object.keys(n),p=Object.create(null),l=[];for(const h in n){const v=r[h],_=v!==void 0?v:n[h].default;(0,R.addToValueTree)(p,h,_,f=>console.error(`Conflict in default settings: ${f}`))}for(const h of Object.keys(p))w.OVERRIDE_PROPERTY_REGEX.test(h)&&l.push({identifiers:(0,w.overrideIdentifiersFromKey)(h),keys:Object.keys(p[h]),contents:(0,R.toValuesTree)(p[h],v=>console.error(`Conflict in default settings file: ${v}`))});super(p,b,l)}}e.DefaultConfigurationModel=o;class c{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new g}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,n){if(!D.isUndefinedOrNull(r)){const b=this.doParseContent(r);this.parseRaw(b,n)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,n){this._raw=r;const{contents:b,keys:p,overrides:l,restricted:h}=this.doParseRaw(r,n);this._configurationModel=new g(b,p,l),this._restrictedConfigurations=h||[]}doParseContent(r){let n={},b=null,p=[],l=[],h=[];function v(f){Array.isArray(p)?p.push(f):b!==null&&(p[b]=f)}let _={onObjectBegin:()=>{let f={};v(f),l.push(p),p=f,b=null},onObjectProperty:f=>{b=f},onObjectEnd:()=>{p=l.pop()},onArrayBegin:()=>{let f=[];v(f),l.push(p),p=f,b=null},onArrayEnd:()=>{p=l.pop()},onLiteralValue:v,onError:(f,C,x)=>{h.push({error:f,offset:C,length:x})}};if(r)try{y.visit(r,_),n=p[0]||{}}catch(f){console.error(`Error while parsing settings file ${this._name}: ${f}`),this._parseErrors=[f]}return n}doParseRaw(r,n){const b=i.Registry.as(w.Extensions.Configuration).getConfigurationProperties(),p=this.filter(r,b,!0,n);r=p.raw;const l=(0,R.toValuesTree)(r,_=>console.error(`Conflict in settings file ${this._name}: ${_}`)),h=Object.keys(r),v=this.toOverrides(r,_=>console.error(`Conflict in settings file ${this._name}: ${_}`));return{contents:l,keys:h,overrides:v,restricted:p.restricted}}filter(r,n,b,p){if(!p?.scopes&&!p?.skipRestricted)return{raw:r,restricted:[]};const l={},h=[];for(let v in r)if(w.OVERRIDE_PROPERTY_REGEX.test(v)&&b){const _=this.filter(r[v],n,!1,p);l[v]=_.raw,h.push(..._.restricted)}else{const _=n[v],f=_?typeof _.scope!="undefined"?_.scope:3:void 0;_?.restricted&&h.push(v),(f===void 0||p.scopes===void 0||p.scopes.includes(f))&&(p.skipRestricted&&_?.restricted||(l[v]=r[v]))}return{raw:l,restricted:h}}toOverrides(r,n){const b=[];for(const p of Object.keys(r))if(w.OVERRIDE_PROPERTY_REGEX.test(p)){const l={};for(const h in r[p])l[h]=r[p][h];b.push({identifiers:(0,w.overrideIdentifiersFromKey)(p),keys:Object.keys(l),contents:(0,R.toValuesTree)(l,n)})}return b}}e.ConfigurationModelParser=c;class u extends T.Disposable{constructor(r,n,b,p){super();this.userSettingsResource=r,this.scopes=n,this.fileService=p,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new c(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(b.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.filter(this.fileService.onDidFilesChange,l=>l.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new g}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=u;class F{constructor(r,n,b=new g,p=new g,l=new I.ResourceMap,h=new g,v=new I.ResourceMap,_=!0){this._defaultConfiguration=r,this._localUserConfiguration=n,this._remoteUserConfiguration=b,this._workspaceConfiguration=p,this._folderConfigurations=l,this._memoryConfiguration=h,this._memoryConfigurationByResource=v,this._freeze=_,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new I.ResourceMap,this._userConfiguration=null}getValue(r,n,b){return this.getConsolidateConfigurationModel(n,b).getValue(r)}updateValue(r,n,b={}){let p;b.resource?(p=this._memoryConfigurationByResource.get(b.resource),p||(p=new g,this._memoryConfigurationByResource.set(b.resource,p))):p=this._memoryConfiguration,n===void 0?p.removeValue(r):p.setValue(r,n),b.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,n,b){const p=this.getConsolidateConfigurationModel(n,b),l=this.getFolderConfigurationModelForResource(n.resource,b),h=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,v=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),_=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),f=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),C=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),x=b?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,N=l?n.overrideIdentifier?l.freeze().override(n.overrideIdentifier).getValue(r):l.freeze().getValue(r):void 0,E=n.overrideIdentifier?h.override(n.overrideIdentifier).getValue(r):h.getValue(r),O=p.getValue(r),W=s.distinct(s.flatten(p.overrides.map(U=>U.identifiers))).filter(U=>p.getOverrideValue(r,U)!==void 0);return{defaultValue:v,userValue:_,userLocalValue:f,userRemoteValue:C,workspaceValue:x,workspaceFolderValue:N,memoryValue:E,value:O,default:v!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,user:_!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,userLocal:f!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,userRemote:C!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,workspace:x!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,workspaceFolder:N!==void 0?{value:l?.freeze().getValue(r),override:n.overrideIdentifier?l?.freeze().getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,memory:E!==void 0?{value:h.getValue(r),override:n.overrideIdentifier?h.getOverrideValue(r,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:W.length?W:void 0}}keys(r){const n=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,n){this._folderConfigurations.set(r,n),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,n){const b=[];if(!n){const{added:p,updated:l,removed:h}=k(this._defaultConfiguration,r);n=[...p,...l,...h]}for(const p of n)for(const l of(0,w.overrideIdentifiersFromKey)(p)){const h=this._defaultConfiguration.getKeysForOverrideIdentifier(l),v=r.getKeysForOverrideIdentifier(l),_=[...v.filter(f=>h.indexOf(f)===-1),...h.filter(f=>v.indexOf(f)===-1),...h.filter(f=>!P.equals(this._defaultConfiguration.override(l).getValue(f),r.override(l).getValue(f)))];b.push([l,_])}return this.updateDefaultConfiguration(r),{keys:n,overrides:b}}compareAndUpdateLocalUserConfiguration(r){const{added:n,updated:b,removed:p,overrides:l}=k(this.localUserConfiguration,r),h=[...n,...b,...p];return h.length&&this.updateLocalUserConfiguration(r),{keys:h,overrides:l}}compareAndUpdateRemoteUserConfiguration(r){const{added:n,updated:b,removed:p,overrides:l}=k(this.remoteUserConfiguration,r);let h=[...n,...b,...p];return h.length&&this.updateRemoteUserConfiguration(r),{keys:h,overrides:l}}compareAndUpdateWorkspaceConfiguration(r){const{added:n,updated:b,removed:p,overrides:l}=k(this.workspaceConfiguration,r);let h=[...n,...b,...p];return h.length&&this.updateWorkspaceConfiguration(r),{keys:h,overrides:l}}compareAndUpdateFolderConfiguration(r,n){const b=this.folderConfigurations.get(r),{added:p,updated:l,removed:h,overrides:v}=k(b,n);let _=[...p,...l,...h];return(_.length||!b)&&this.updateFolderConfiguration(r,n),{keys:_,overrides:v}}compareAndDeleteFolderConfiguration(r){const n=this.folderConfigurations.get(r);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:b,updated:p,removed:l,overrides:h}=k(n,void 0);return{keys:[...b,...p,...l],overrides:h}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(r,n){let b=this.getConsolidatedConfigurationModelForResource(r,n);return r.overrideIdentifier?b.override(r.overrideIdentifier):b}getConsolidatedConfigurationModelForResource({resource:r},n){let b=this.getWorkspaceConsolidatedConfiguration();if(n&&r){const p=n.getFolder(r);p&&(b=this.getFolderConsolidatedConfiguration(p.uri)||b);const l=this._memoryConfigurationByResource.get(r);l&&(b=b.merge(l))}return b}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let n=this._foldersConsolidatedConfigurations.get(r);if(!n){const b=this.getWorkspaceConsolidatedConfiguration(),p=this._folderConfigurations.get(r);p?(n=b.merge(p),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(r,n)):n=b}return n}getFolderConfigurationModelForResource(r,n){if(n&&r){const b=n.getFolder(r);if(b)return this._folderConfigurations.get(b.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,n)=>{const{contents:b,overrides:p,keys:l}=this._folderConfigurations.get(n);return r.push([n,{contents:b,overrides:p,keys:l}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>r.add(n)),this.userConfiguration.freeze().keys.forEach(n=>r.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>r.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(b=>r.add(b))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>r.add(n)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(n=>r.add(n)),this._folderConfigurations.forEach(n=>n.freeze().getAllOverrideIdentifiers().forEach(b=>r.add(b))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(b=>n.add(b)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(b=>n.add(b)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(b=>n.add(b)),this._folderConfigurations.forEach(b=>b.getKeysForOverrideIdentifier(r).forEach(p=>n.add(p))),[...n.values()]}static parse(r){const n=this.parseConfigurationModel(r.defaults),b=this.parseConfigurationModel(r.user),p=this.parseConfigurationModel(r.workspace),l=r.folders.reduce((h,v)=>(h.set(A.URI.revive(v[0]),this.parseConfigurationModel(v[1])),h),new I.ResourceMap);return new F(n,b,new g,p,l,new g,new I.ResourceMap,!1)}static parseConfigurationModel(r){return new g(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=F;function S(...M){if(M.length===0)return{keys:[],overrides:[]};if(M.length===1)return M[0];const r=new Set,n=new Map;for(const p of M)p.keys.forEach(l=>r.add(l)),p.overrides.forEach(([l,h])=>{const v=(0,I.getOrSet)(n,l,new Set);h.forEach(_=>v.add(_))});const b=[];return n.forEach((p,l)=>b.push([l,[...p.values()]])),{keys:[...r.values()],overrides:b}}e.mergeChanges=S;class m{constructor(r,n,b,p){this.change=r,this.previous=n,this.currentConfiguraiton=b,this.currentWorkspace=p,this._previousConfiguration=void 0;const l=new Set;r.keys.forEach(v=>l.add(v)),r.overrides.forEach(([,v])=>v.forEach(_=>l.add(_))),this.affectedKeys=[...l.values()];const h=new g;this.affectedKeys.forEach(v=>h.setValue(v,{})),this.affectedKeysTree=h.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=F.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,n){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(n){const b=this.previousConfiguration?this.previousConfiguration.getValue(r,n,this.previous?.workspace):void 0,p=this.currentConfiguraiton.getValue(r,n,this.currentWorkspace);return!P.equals(b,p)}return!0}return!1}doesAffectedKeysTreeContains(r,n){let b=(0,R.toValuesTree)({[n]:!0},()=>{}),p;for(;typeof b=="object"&&(p=Object.keys(b)[0]);){if(r=r[p],!r)return!1;b=b[p]}return!0}}e.ConfigurationChangeEvent=m;class d extends m{constructor(r,n,b,p){super({keys:r.allKeys(),overrides:[]},void 0,r,n);this.source=b,this.sourceConfig=p}}e.AllKeysConfigurationChangeEvent=d;function k(M,r){const{added:n,removed:b,updated:p}=a(r,M),l=[],h=M?.getAllOverrideIdentifiers()||[],v=r?.getAllOverrideIdentifiers()||[];if(r){const _=v.filter(f=>!h.includes(f));for(const f of _)l.push([f,r.getKeysForOverrideIdentifier(f)])}if(M){const _=h.filter(f=>!v.includes(f));for(const f of _)l.push([f,M.getKeysForOverrideIdentifier(f)])}if(r&&M){for(const _ of h)if(v.includes(_)){const f=a({contents:M.getOverrideValue(void 0,_)||{},keys:M.getKeysForOverrideIdentifier(_)},{contents:r.getOverrideValue(void 0,_)||{},keys:r.getKeysForOverrideIdentifier(_)});l.push([_,[...f.added,...f.removed,...f.updated]])}}return{added:n,removed:b,updated:p,overrides:l}}function a(M,r){const n=M?r?M.keys.filter(l=>r.keys.indexOf(l)===-1):[...M.keys]:[],b=r?M?r.keys.filter(l=>M.keys.indexOf(l)===-1):[...r.keys]:[],p=[];if(M&&r){for(const l of r.keys)if(M.keys.indexOf(l)!==-1){const h=(0,R.getConfigurationValue)(r.contents,l),v=(0,R.getConfigurationValue)(M.contents,l);P.equals(h,v)||p.push(l)}}return{added:n,removed:b,updated:p}}}),define(we[84],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,s.createDecorator)("remoteAuthorityResolverService");var t;(function(T){T.Unknown="Unknown",T.NotAvailable="NotAvailable",T.TemporarilyNotAvailable="TemporarilyNotAvailable",T.NoResolverFound="NoResolverFound"})(t=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class y extends Error{constructor(I,P=t.Unknown,D){super(I);this._message=I,this._code=P,this._detail=D,this.isHandled=P===t.NotAvailable&&D===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,y.prototype)}static isTemporarilyNotAvailable(I){return I instanceof y&&I._code===t.TemporarilyNotAvailable}static isNoResolverFound(I){return I instanceof y&&I._code===t.NoResolverFound}static isHandled(I){return I instanceof y&&I.isHandled}}e.RemoteAuthorityResolverError=y}),define(we[61],Ee([0,1,11]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=e.getRemoteName=e.getRemoteAuthority=void 0;function t(A){return A.scheme===s.Schemas.vscodeRemote?A.authority:void 0}e.getRemoteAuthority=t;function y(A){if(!A)return;const R=A.indexOf("+");return R<0?A:A.substr(0,R)}e.getRemoteName=y;function T(A){return A.scheme!==s.Schemas.file&&A.scheme!==s.Schemas.vscodeRemote}e.isVirtualResource=T;function I(A){if(A.folders.length)return A.folders.every(R=>T(R.uri))?A.folders[0].uri:void 0;if(A.configuration&&T(A.configuration))return A.configuration}e.getVirtualWorkspaceLocation=I;function P(A){return I(A)?.scheme}e.getVirtualWorkspaceScheme=P;function D(A){return I(A)!==void 0}e.isVirtualWorkspace=D}),define(we[25],Ee([0,1,9,3,61]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function T(i){if(typeof i=="object"&&i!==null&&i.supported!==!0)return i.description}e.getWorkspaceSupportTypeMessage=T;function I(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=I,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class D{constructor(g){this.value=g,this._lower=g.toLowerCase()}static equals(g,o){if(typeof g=="undefined"||g===null)return typeof o=="undefined"||o===null;if(typeof o=="undefined"||o===null)return!1;if(typeof g=="string"||typeof o=="string"){let c=typeof g=="string"?g:g.value,u=typeof o=="string"?o:o.value;return s.equalsIgnoreCase(c,u)}return g._lower===o._lower}static toKey(g){return typeof g=="string"?g.toLowerCase():g._lower}}e.ExtensionIdentifier=D;function A(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=A;function R(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=R;function w(i,g){if(g){const o=`onResolveRemoteAuthority:${(0,y.getRemoteName)(g)}`;return i.activationEvents?.indexOf(o)!==-1}return!1}e.isResolverExtension=w,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(we[142],Ee([0,1,9,25]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function y(o,c){return o.uuid&&c.uuid?o.uuid===c.uuid:o.id===c.id?!0:(0,s.compareIgnoreCase)(o.id,c.id)===0}e.areSameExtensions=y;class T{constructor(c,u){this.version=u,this.id=c.id,this.uuid=c.uuid}key(){return`${this.id}-${this.version}`}equals(c){return c instanceof T?y(this,c)&&this.version===c.version:!1}}e.ExtensionIdentifierWithVersion=T;function I(o,c){return`${o}.${c}`}e.getExtensionId=I;function P(o){return o.toLocaleLowerCase()}e.adoptToGalleryExtensionId=P;function D(o,c){return P(I(o,c))}e.getGalleryExtensionId=D;function A(o,c){const u=[],F=S=>{for(const m of u)if(m.some(d=>y(c(d),c(S))))return m;return null};for(const S of o){const m=F(S);m?m.push(S):u.push([S])}return u}e.groupByExtension=A;function R(o){return{id:o.identifier.id,name:o.manifest.name,galleryId:null,publisherId:o.publisherId,publisherName:o.manifest.publisher,publisherDisplayName:o.publisherDisplayName,dependencies:o.manifest.extensionDependencies&&o.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=R;function w(o){return{id:o.identifier.id,name:o.name,galleryId:o.identifier.uuid,publisherId:o.publisherId,publisherName:o.publisher,publisherDisplayName:o.publisherDisplayName,isPreReleaseVersion:o.properties.isPreReleaseVersion,dependencies:!!(o.properties.dependencies&&o.properties.dependencies.length>0),...o.telemetryData}}e.getGalleryExtensionTelemetryData=w,e.BetterMergeId=new t.ExtensionIdentifier("pprice.better-merge");function i(o){const c=new Set;if(o.malicious)for(const u of o.malicious)c.add(u.id);return c}e.getMaliciousExtensionsSet=i;function g(o,c){const u=[],F=c.manifest.extensionDependencies?.slice(0)??[];for(;F.length;){const S=F.shift();if(S&&u.every(m=>!y(m.identifier,{id:S}))){const m=o.filter(d=>y(d.identifier,{id:S}));m.length===1&&(u.push(m[0]),F.push(...m[0].manifest.extensionDependencies?.slice(0)??[]))}}return u}e.getExtensionDependencies=g}),define(we[143],Ee([0,1,4,23,3,12]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,y.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,y.createDecorator)("sharedTunnelsService");var I;(function(o){o.Http="http",o.Https="https"})(I=e.TunnelProtocol||(e.TunnelProtocol={}));var P;(function(o){o.ConstantPrivate="constantPrivate",o.Private="private",o.Public="public"})(P=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var D;(function(o){o[o.Notify=1]="Notify",o[o.OpenBrowser=2]="OpenBrowser",o[o.OpenPreview=3]="OpenPreview",o[o.Silent=4]="Silent",o[o.Ignore=5]="Ignore",o[o.OpenBrowserOnce=6]="OpenBrowserOnce"})(D=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function A(o){if(o.scheme!=="http"&&o.scheme!=="https")return;const c=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(o.authority);if(!!c)return{address:c[1],port:+c[2]}}e.extractLocalHostUriMetaDataForPortMapping=A,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function R(o){return e.LOCALHOST_ADDRESSES.indexOf(o)>=0}e.isLocalhost=R,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function w(o){return e.ALL_INTERFACES_ADDRESSES.indexOf(o)>=0}e.isAllInterfaces=w;function i(o,c){return c?c!==1&&o<1024:!t.isWindows&&o<1024}e.isPortPrivileged=i;let g=class{constructor(c){this.logService=c,this._onTunnelOpened=new s.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new s.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new s.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[]}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(c,u){return this._tunnelProvider=c,c?(this._canElevate=u.elevation,this._privacyOptions=u.privacyOptions,this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const c=[],u=Array.from(this._tunnels.values());for(let F of u){const S=Array.from(F.values());for(let m of S){const d=await m.value;d&&c.push(d)}}return c}async dispose(){for(const c of this._tunnels.values()){for(const{value:u}of c.values())await u.then(F=>F?.dispose());c.clear()}this._tunnels.clear()}openTunnel(c,u,F,S,m=!1,d=P.Private,k){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${u}:${F} on local port ${S}.`),!c)return;u||(u="localhost");const a=this.retainOrCreateTunnel(c,u,F,S,m,d,k);return a?a.then(M=>{if(!M){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(u,F);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const r=this.makeTunnel(M);return(M.tunnelRemoteHost!==u||M.tunnelRemotePort!==F)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(r),r}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),a)}makeTunnel(c){return{tunnelRemotePort:c.tunnelRemotePort,tunnelRemoteHost:c.tunnelRemoteHost,tunnelLocalPort:c.tunnelLocalPort,localAddress:c.localAddress,privacy:c.privacy,protocol:c.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${c.tunnelRemoteHost}:${c.tunnelRemotePort} `);const u=this._tunnels.get(c.tunnelRemoteHost);if(u){const F=u.get(c.tunnelRemotePort);F&&(F.refcount--,await this.tryDisposeTunnel(c.tunnelRemoteHost,c.tunnelRemotePort,F))}}}}async tryDisposeTunnel(c,u,F){if(F.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${c}:${u}.`);const S=F.value.then(async m=>{m&&(await m.dispose(!0),this._onTunnelClosed.fire({host:m.tunnelRemoteHost,port:m.tunnelRemotePort}))});return this._tunnels.has(c)&&this._tunnels.get(c).delete(u),S}}async closeTunnel(c,u){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${c}:${u} `);const F=this._tunnels.get(c);if(F&&F.has(u)){const S=F.get(u);S.refcount=0,await this.tryDisposeTunnel(c,u,S)}}addTunnelToMap(c,u,F){this._tunnels.has(c)||this._tunnels.set(c,new Map),this._tunnels.get(c).set(u,{refcount:1,value:F})}async removeEmptyTunnelFromMap(c,u){const F=this._tunnels.get(c);F&&(await F.get(u)||F.delete(u),F.size===0&&this._tunnels.delete(c))}getTunnelFromMap(c,u){let F=[c];R(c)?(F.push(...e.LOCALHOST_ADDRESSES),F.push(...e.ALL_INTERFACES_ADDRESSES)):w(c)&&F.push(...e.ALL_INTERFACES_ADDRESSES);const S=F.map(m=>this._tunnels.get(m));for(const m of S){const d=m?.get(u);if(d)return d}}canTunnel(c){return!!A(c)}createWithProvider(c,u,F,S,m,d,k){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${u}:${F} on local port ${S}.`);const M={elevationRequired:m?i(S===void 0?F:S):!1},r={remoteAddress:{host:u,port:F},localAddressPort:S,privacy:d,public:d!==P.Private,protocol:k},n=c.forwardPort(r,M);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),n&&this.addTunnelToMap(u,F,n),n}};g=Ue([$e(0,T.ILogService)],g),e.AbstractTunnelService=g}),define(we[144],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class s{constructor(y){this._callback=y,this._terminalBufferMap=new Map}dispose(){for(const y of this._terminalBufferMap.values())y.dispose()}startBuffering(y,T,I=5){let P;return P=T(D=>{const A=typeof D=="string"?D:D.data;let R=this._terminalBufferMap.get(y);if(R){R.data.push(A);return}const w=setTimeout(()=>this.flushBuffer(y),I);R={data:[A],timeoutId:w,dispose:()=>{clearTimeout(w),this.flushBuffer(y),P.dispose()}},this._terminalBufferMap.set(y,R)}),P}stopBuffering(y){const T=this._terminalBufferMap.get(y);T&&T.dispose()}flushBuffer(y){const T=this._terminalBufferMap.get(y);T&&(this._terminalBufferMap.delete(y),this._callback(y,T.data.join("")))}}e.TerminalDataBufferer=s}),define(we[145],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var s;(function(t){t.DARK="dark",t.LIGHT="light",t.HIGH_CONTRAST="hc"})(s=e.ColorScheme||(e.ColorScheme={}))}),define(we[62],Ee([0,1,52,4,6,3,37,145]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,T.createDecorator)("themeService");var D;(function(u){function F(S){return S&&typeof S=="object"&&typeof S.id=="string"}u.isThemeColor=F})(D=e.ThemeColor||(e.ThemeColor={}));function A(u){return{id:u}}e.themeColorFromId=A;var R;(function(u){function F(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(typeof n.color=="undefined"||D.isThemeColor(n.color))}u.isThemeIcon=F;const S=new RegExp(`^\\$\\((${s.CSSIcon.iconNameExpression}(?:${s.CSSIcon.iconModifierExpression})?)\\)$`);function m(n){const b=S.exec(n);if(!b)return;let[,p]=b;return{id:p}}u.fromString=m;function d(n){return{id:n}}u.fromId=d;function k(n,b){let p=n.id;const l=p.lastIndexOf("~");return l!==-1&&(p=p.substring(0,l)),b&&(p=`${p}~${b}`),{id:p}}u.modify=k;function a(n){const b=n.id.lastIndexOf("~");if(b!==-1)return n.id.substring(b+1)}u.getModifier=a;function M(n,b){return n.id===b.id&&n.color?.id===b.color?.id}u.isEqual=M;function r(n,b){return{id:n.id,color:b?A(b):void 0}}u.asThemeIcon=r,u.asClassNameArray=s.CSSIcon.asClassNameArray,u.asClassName=s.CSSIcon.asClassName,u.asCSSSelector=s.CSSIcon.asCSSSelector})(R=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=s.Codicon.file,e.FolderThemeIcon=s.Codicon.folder;function w(u){switch(u){case P.ColorScheme.DARK:return"vs-dark";case P.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=w,e.Extensions={ThemingContribution:"base.contributions.theming"};class i{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(F){return this.themingParticipants.push(F),this.onThemingParticipantAddedEmitter.fire(F),(0,y.toDisposable)(()=>{const S=this.themingParticipants.indexOf(F);this.themingParticipants.splice(S,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let g=new i;I.Registry.add(e.Extensions.ThemingContribution,g);function o(u){return g.onColorThemeChange(u)}e.registerThemingParticipant=o;class c extends y.Disposable{constructor(F){super();this.themeService=F,this.theme=F.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(S=>this.onThemeChange(S)))}onThemeChange(F){this.theme=F,this.updateStyles()}updateStyles(){}getColor(F,S){let m=this.theme.getColor(F);return m&&S&&(m=S(m,this.theme)),m?m.toString():null}}e.Themable=c}),define(we[47],Ee([0,1,21,24,2,3]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,T.createDecorator)("contextService");var I;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(I=e.WorkbenchState||(e.WorkbenchState={}));function P(i){const g=i;return!!(g&&typeof g=="object"&&typeof g.id=="string"&&Array.isArray(g.folders))}e.isWorkspace=P;function D(i){const g=i;return!!(g&&typeof g=="object"&&y.URI.isUri(g.uri)&&typeof g.name=="string"&&typeof g.toResource=="function")}e.isWorkspaceFolder=D;class A{constructor(g,o,c,u,F){this._id=g,this._transient=c,this._configuration=u,this._ignorePathCasing=F,this._foldersMap=s.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=o}update(g){this._id=g.id,this._configuration=g.configuration,this._transient=g.transient,this._ignorePathCasing=g._ignorePathCasing,this.folders=g.folders}get folders(){return this._folders}set folders(g){this._folders=g,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(g){this._configuration=g}getFolder(g){return g&&this._foldersMap.findSubstr(g.with({scheme:g.scheme,authority:g.authority,path:g.path}))||null}updateFoldersMap(){this._foldersMap=s.TernarySearchTree.forUris(this._ignorePathCasing);for(const g of this.folders)this._foldersMap.set(g.uri,g)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=A;class R{constructor(g,o){this.raw=o,this.uri=g.uri,this.index=g.index,this.name=g.name}toResource(g){return(0,t.joinPath)(this.uri,g)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=R;function w(i){return new R({uri:i,index:0,name:(0,t.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=w}),define(we[63],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class s{constructor(y){this.id=y,this._data=new Map,this._idPool=1}add(y){const T=this._idPool++;return this._data.set(T,y),this.logDebugInfo(),T}get(y,T){return this._data.has(y)?this._data.get(y)[T]:void 0}delete(y){this._data.delete(y),this.logDebugInfo()}logDebugInfo(){!s.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=s,s.enableDebugLogging=!1}),define(we[30],Ee([0,1,11,24,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class T{constructor(){this._systemSchemes=new Set(Object.keys(s.Schemas)),this._providerInfo=new Map,this.extUri=new t.ExtUri(P=>{const D=this._providerInfo.get(P.scheme);return!(D===void 0||D&1024)})}$acceptProviderInfos(P,D){D===null?this._providerInfo.delete(P.scheme):this._providerInfo.set(P.scheme,D)}isFreeScheme(P){return!this._providerInfo.has(P)&&!this._systemSchemes.has(P)}getCapabilities(P){return this._providerInfo.get(P)}}e.ExtHostFileSystemInfo=T,e.IExtHostFileSystemInfo=(0,y.createDecorator)("IExtHostFileSystemInfo")}),define(we[28],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,s.createDecorator)("IExtHostInitDataService")}),define(we[146],Ee([0,1,14]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class t{constructor(I,P,D){this._deferredPromises=new Map,this._id=I,this._shared=P,this._storage=D,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(A=>(this._value=A,this)),this._storageListener=this._storage.onDidChangeStorage(A=>{A.shared===this._shared&&A.key===this._id&&(this._value=A.value)}),this._scheduler=new s.RunOnceScheduler(()=>{const A=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const R of A.values())R.complete()}catch(R){for(const w of A.values())w.error(R)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,I])=>I!==void 0).map(([I])=>I)}get whenReady(){return this._init}get(I,P){let D=this._value[I];return typeof D=="undefined"&&(D=P),D}update(I,P){this._value[I]=P;let D=this._deferredPromises.get(I);if(D!==void 0)return D.p;const A=new s.DeferredPromise;return this._deferredPromises.set(I,A),this._scheduler.isScheduled()||this._scheduler.schedule(),A.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=t;class y extends t{constructor(I,P){super(I.identifier.value,!0,P);this._extension=I}setKeysForSync(I){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},I)}}e.ExtensionGlobalMemento=y}),define(we[147],Ee([0,1,4,2,12]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;let T=class{constructor(P,D){this._logService=P,this._notebooksAndEditors=D,this._onDidChangeNotebookDocumentMetadata=new s.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidSaveNotebookDocument=new s.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event}$acceptModelChanged(P,D,A){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(P)).acceptModelChanged(D.value,A)}$acceptDirtyStateChanged(P,D){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(P)).acceptDirty(D)}$acceptModelSaved(P){const D=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(P));this._onDidSaveNotebookDocument.fire(D.apiNotebook)}$acceptDocumentPropertiesChanged(P,D){this._logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",P.path,D);const A=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(P));A.acceptDocumentPropertiesChanged(D),D.metadata&&this._onDidChangeNotebookDocumentMetadata.fire({document:A.apiNotebook})}};T=Ue([$e(0,y.ILogService)],T),e.ExtHostNotebookDocuments=T}),define(we[13],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,s.createDecorator)("IExtHostRpcService");class t{constructor(T){this.getProxy=T.getProxy.bind(T),this.set=T.set.bind(T),this.assertRegistered=T.assertRegistered.bind(T),this.drain=T.drain.bind(T)}}e.ExtHostRpcService=t});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[148],Ee([0,1,25,4]),function(te,e,s,t){"use strict";var y;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class T{constructor(P,D){y.set(this,void 0),this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._id=s.ExtensionIdentifier.toKey(P.identifier),et(this,y,D,"f"),ke(this,y,"f").onDidChangePassword(A=>{A.extensionId===this._id&&this._onDidChange.fire({key:A.key})})}get(P){return ke(this,y,"f").get(this._id,P)}store(P,D){return ke(this,y,"f").store(this._id,P,D)}delete(P){return ke(this,y,"f").delete(this._id,P)}}e.ExtensionSecrets=T,y=new WeakMap}),define(we[85],Ee([0,1,3,4]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class y{constructor(){this._onDidChangeTelemetryEnabled=new t.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._enabled=!1}getTelemetryEnabled(){return this._enabled}$initializeTelemetryEnabled(I){this._enabled=I}$onDidChangeTelemetryEnabled(I){this._enabled=I,this._onDidChangeTelemetryEnabled.fire(I)}}e.ExtHostTelemetry=y,e.IExtHostTelemetry=(0,s.createDecorator)("IExtHostTelemetry")}),define(we[48],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestItemRootImpl=e.TestItemImpl=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.diffTestItems=e.getPrivateApiFor=e.createPrivateApiFor=e.ExtHostTestItemEventOp=void 0;var s;(function(S){S[S.Upsert=0]="Upsert",S[S.RemoveChild=1]="RemoveChild",S[S.Invalidated=2]="Invalidated",S[S.SetProp=3]="SetProp",S[S.Bulk=4]="Bulk"})(s=e.ExtHostTestItemEventOp||(e.ExtHostTestItemEventOp={}));const t=new WeakMap,y=(S,m)=>{const d={controllerId:m};return t.set(S,d),d};e.createPrivateApiFor=y;const T=S=>t.get(S);e.getPrivateApiFor=T;const I=(S,m,d,k)=>{let a=d;return{enumerable:!0,configurable:!1,get(){return a},set(M){if(!k(a,M)){const r=a;a=M,S.listener?.({op:3,key:m,value:M,previous:r})}}}},P=(S,m)=>S===m,D={range:(S,m)=>S===m?!0:!S||!m?!1:S.isEqual(m),label:P,description:P,busy:P,error:P,canResolveChildren:P,tags:(S,m)=>!(S.length!==m.length||S.some(d=>!m.find(k=>d.id===k.id)))},A=Object.keys(D),R=(S,m)=>({range:I(S,"range",void 0,D.range),label:I(S,"label",m,D.label),description:I(S,"description",void 0,D.description),canResolveChildren:I(S,"canResolveChildren",!1,D.canResolveChildren),busy:I(S,"busy",!1,D.busy),error:I(S,"error",void 0,D.error),tags:I(S,"tags",[],D.tags)}),w=(S,m)=>{const d=new Map;for(const k of A)D[k](S[k],m[k])||d.set(k,m[k]);return d};e.diffTestItems=w;class i extends Error{constructor(m){super(`Attempted to insert a duplicate test item ID ${m}`)}}e.DuplicateTestItemError=i;class g extends Error{constructor(m){super(`TestItem with ID "${m}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=g;class o extends Error{constructor(m,d,k){super(`TestItem with ID "${m}" is from controller "${d}" and cannot be added as a child of an item from controller "${k}".`)}}e.MixedTestItemController=o;const c=S=>{const m=(0,e.getPrivateApiFor)(S);let d=new Map;return{get size(){return d.size},forEach(k,a){for(const M of d.values())k.call(a,M,this)},replace(k){const a=new Map,M=new Set(d.keys()),r={op:4,ops:[]};for(const n of k){if(!(n instanceof u))throw new g(n.id);const b=(0,e.getPrivateApiFor)(n).controllerId;if(b!==m.controllerId)throw new o(n.id,b,m.controllerId);if(a.has(n.id))throw new i(n.id);a.set(n.id,n),M.delete(n.id),r.ops.push({op:0,item:n})}for(const n of M.keys())r.ops.push({op:1,id:n});m.listener?.(r),d=a},add(k){if(!(k instanceof u))throw new g(k.id);d.set(k.id,k),m.listener?.({op:0,item:k})},delete(k){d.delete(k)&&m.listener?.({op:1,id:k})},get(k){return d.get(k)},toJSON(){return Array.from(d.values())},[Symbol.iterator](){return d.values()}}};class u{constructor(m,d,k,a){if(d.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(d)} symbol`);const M=(0,e.createPrivateApiFor)(this,m);Object.defineProperties(this,{id:{value:d,enumerable:!0,writable:!1},uri:{value:a,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return M.parent instanceof F?void 0:M.parent}},children:{value:c(this),enumerable:!0,writable:!1},...R(M,k)})}invalidateResults(){(0,e.getPrivateApiFor)(this).listener?.({op:2})}}e.TestItemImpl=u;class F extends u{constructor(m,d){super(m,m,d,void 0)}}e.TestItemRootImpl=F}),define(we[64],Ee([0,1,3,143,4,13]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var I;(function(D){function A(w){return{remoteAddress:w.remoteAddress,localAddress:w.localAddress,public:!!w.public,privacy:w.privacy??(w.public?t.TunnelPrivacyId.Public:t.TunnelPrivacyId.Private),protocol:w.protocol}}D.fromApiTunnel=A;function R(w){return{remoteAddress:{host:w.tunnelRemoteHost,port:w.tunnelRemotePort},localAddress:w.localAddress,public:w.privacy!==t.TunnelPrivacyId.ConstantPrivate&&w.privacy!==t.TunnelPrivacyId.ConstantPrivate,privacy:w.privacy,protocol:w.protocol}}D.fromServiceTunnel=R})(I=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=(0,s.createDecorator)("IExtHostTunnelService");let P=class{constructor(A){this.onDidChangeTunnels=new y.Emitter().event}async $applyCandidateFilter(A){return A}async openTunnel(A,R){}async getTunnels(){return[]}async setTunnelExtensionFunctions(A){return{dispose:()=>{}}}registerPortsAttributesProvider(A,R){return{dispose:()=>{}}}async $providePortAttributes(A,R,w,i,g){return[]}async $forwardPort(A,R){}async $closeTunnel(A){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};P=Ue([$e(0,T.IExtHostRpcService)],P),e.ExtHostTunnelService=P});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[7],Ee([0,1,16,15,77,21,76,9,10,2,36,46,84]),function(te,e,s,t,y,T,I,P,D,A,R,w,i){"use strict";var g,o,c,u,F,S,m,d,k,a,M,r,n,b,p,l,h,v,_,f;Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeDataTransfer=e.TreeDataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestions=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function C(B){function L(){return Reflect.construct(B,arguments,this.constructor)}return Object.defineProperty(L,"name",Object.getOwnPropertyDescriptor(B,"name")),Object.setPrototypeOf(L,B),Object.setPrototypeOf(L.prototype,B.prototype),L}let x=F=class{constructor(L){g.set(this,void 0),et(this,g,L,"f")}static from(...L){let ee=L;return new F(function(){if(ee){for(const _e of ee)_e&&typeof _e.dispose=="function"&&_e.dispose();ee=void 0}})}dispose(){typeof ke(this,g,"f")=="function"&&(ke(this,g,"f").call(this),et(this,g,void 0,"f"))}};g=new WeakMap,x=F=Ue([C],x),e.Disposable=x;let N=S=class{constructor(L,ee){if(L<0)throw(0,t.illegalArgument)("line must be non-negative");if(ee<0)throw(0,t.illegalArgument)("character must be non-negative");this._line=L,this._character=ee}static Min(...L){if(L.length===0)throw new TypeError;let ee=L[0];for(let _e=1;_e<L.length;_e++){const Ke=L[_e];Ke.isBefore(ee)&&(ee=Ke)}return ee}static Max(...L){if(L.length===0)throw new TypeError;let ee=L[0];for(let _e=1;_e<L.length;_e++){const Ke=L[_e];Ke.isAfter(ee)&&(ee=Ke)}return ee}static isPosition(L){if(!L)return!1;if(L instanceof S)return!0;let{line:ee,character:_e}=L;return typeof ee=="number"&&typeof _e=="number"}get line(){return this._line}get character(){return this._character}isBefore(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<L._character}isBeforeOrEqual(L){return this._line<L._line?!0:L._line<this._line?!1:this._character<=L._character}isAfter(L){return!this.isBeforeOrEqual(L)}isAfterOrEqual(L){return!this.isBefore(L)}isEqual(L){return this._line===L._line&&this._character===L._character}compareTo(L){return this._line<L._line?-1:this._line>L.line?1:this._character<L._character?-1:this._character>L._character?1:0}translate(L,ee=0){if(L===null||ee===null)throw(0,t.illegalArgument)();let _e;return typeof L=="undefined"?_e=0:typeof L=="number"?_e=L:(_e=typeof L.lineDelta=="number"?L.lineDelta:0,ee=typeof L.characterDelta=="number"?L.characterDelta:0),_e===0&&ee===0?this:new S(this.line+_e,this.character+ee)}with(L,ee=this.character){if(L===null||ee===null)throw(0,t.illegalArgument)();let _e;return typeof L=="undefined"?_e=this.line:typeof L=="number"?_e=L:(_e=typeof L.line=="number"?L.line:this.line,ee=typeof L.character=="number"?L.character:this.character),_e===this.line&&ee===this.character?this:new S(_e,ee)}toJSON(){return{line:this.line,character:this.character}}};N=S=Ue([C],N),e.Position=N;let E=m=class{constructor(L,ee,_e,Ke){let it,lt;if(typeof L=="number"&&typeof ee=="number"&&typeof _e=="number"&&typeof Ke=="number"?(it=new N(L,ee),lt=new N(_e,Ke)):L instanceof N&&ee instanceof N&&(it=L,lt=ee),!it||!lt)throw new Error("Invalid arguments");it.isBefore(lt)?(this._start=it,this._end=lt):(this._start=lt,this._end=it)}static isRange(L){return L instanceof m?!0:L?N.isPosition(L.start)&&N.isPosition(L.end):!1}get start(){return this._start}get end(){return this._end}contains(L){return L instanceof m?this.contains(L._start)&&this.contains(L._end):L instanceof N?!(L.isBefore(this._start)||this._end.isBefore(L)):!1}isEqual(L){return this._start.isEqual(L._start)&&this._end.isEqual(L._end)}intersection(L){const ee=N.Max(L.start,this._start),_e=N.Min(L.end,this._end);if(!ee.isAfter(_e))return new m(ee,_e)}union(L){if(this.contains(L))return this;if(L.contains(this))return L;const ee=N.Min(L.start,this._start),_e=N.Max(L.end,this.end);return new m(ee,_e)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(L,ee=this.end){if(L===null||ee===null)throw(0,t.illegalArgument)();let _e;return L?N.isPosition(L)?_e=L:(_e=L.start||this.start,ee=L.end||this.end):_e=this.start,_e.isEqual(this._start)&&ee.isEqual(this.end)?this:new m(_e,ee)}toJSON(){return[this.start,this.end]}};E=m=Ue([C],E),e.Range=E;let O=d=class extends E{constructor(L,ee,_e,Ke){let it,lt;if(typeof L=="number"&&typeof ee=="number"&&typeof _e=="number"&&typeof Ke=="number"?(it=new N(L,ee),lt=new N(_e,Ke)):L instanceof N&&ee instanceof N&&(it=L,lt=ee),!it||!lt)throw new Error("Invalid arguments");super(it,lt);this._anchor=it,this._active=lt}static isSelection(L){return L instanceof d?!0:L?E.isRange(L)&&N.isPosition(L.anchor)&&N.isPosition(L.active)&&typeof L.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};O=d=Ue([C],O),e.Selection=O;class W{constructor(L,ee,_e){if(typeof L!="string"||L.length===0)throw(0,t.illegalArgument)("host");if(typeof ee!="number"||ee===0||Math.round(ee)!==ee)throw(0,t.illegalArgument)("port");if(typeof _e!="undefined"&&(typeof _e!="string"||_e.length===0||!/^[0-9A-Za-z\-]+$/.test(_e)))throw(0,t.illegalArgument)("connectionToken");this.host=L,this.port=Math.round(ee),this.connectionToken=_e}}e.ResolvedAuthority=W;class U extends Error{constructor(L,ee=i.RemoteAuthorityResolverErrorCode.Unknown,_e){super(L);this._message=L,this._code=ee,this._detail=_e,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,U.prototype)}static NotAvailable(L,ee){return new U(L,i.RemoteAuthorityResolverErrorCode.NotAvailable,ee)}static TemporarilyNotAvailable(L){return new U(L,i.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=U;var H;(function(B){B[B.LF=1]="LF",B[B.CRLF=2]="CRLF"})(H=e.EndOfLine||(e.EndOfLine={}));var V;(function(B){B[B.Replace=1]="Replace",B[B.Append=2]="Append",B[B.Prepend=3]="Prepend"})(V=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let Z=k=class{constructor(L,ee){this._range=L,this._newText=ee}static isTextEdit(L){return L instanceof k?!0:L?E.isRange(L)&&typeof L.newText=="string":!1}static replace(L,ee){return new k(L,ee)}static insert(L,ee){return k.replace(new E(L,L),ee)}static delete(L){return k.replace(L,"")}static setEndOfLine(L){const ee=new k(new E(new N(0,0),new N(0,0)),"");return ee.newEol=L,ee}get range(){return this._range}set range(L){if(L&&!E.isRange(L))throw(0,t.illegalArgument)("range");this._range=L}get newText(){return this._newText||""}set newText(L){if(L&&typeof L!="string")throw(0,t.illegalArgument)("newText");this._newText=L}get newEol(){return this._newEol}set newEol(L){if(L&&typeof L!="number")throw(0,t.illegalArgument)("newEol");this._newEol=L}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};Z=k=Ue([C],Z),e.TextEdit=Z;var G;(function(B){B[B.File=1]="File",B[B.Text=2]="Text",B[B.Cell=3]="Cell",B[B.CellReplace=5]="CellReplace"})(G=e.FileEditType||(e.FileEditType={}));let oe=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(L,ee,_e,Ke){this._edits.push({_type:1,from:L,to:ee,options:_e,metadata:Ke})}createFile(L,ee,_e){this._edits.push({_type:1,from:void 0,to:L,options:ee,metadata:_e})}deleteFile(L,ee,_e){this._edits.push({_type:1,from:L,to:void 0,options:ee,metadata:_e})}replaceNotebookMetadata(L,ee,_e){this._edits.push({_type:3,metadata:_e,uri:L,edit:{editType:5,metadata:ee},notebookMetadata:ee})}replaceNotebookCells(L,ee,_e,Ke,it){let lt,ft,Pt=[],Ft;if(Ht.isNotebookRange(ee)&&Ut.isNotebookCellDataArray(_e)&&!Ut.isNotebookCellDataArray(Ke)?(lt=ee.start,ft=ee.end,Pt=_e,Ft=Ke):typeof ee=="number"&&typeof _e=="number"&&Ut.isNotebookCellDataArray(Ke)&&(lt=ee,ft=_e,Pt=Ke,Ft=it),lt===void 0||ft===void 0)throw new Error("Invalid arguments");(lt!==ft||Pt.length>0)&&this._edits.push({_type:5,uri:L,index:lt,count:ft-lt,cells:Pt,metadata:Ft})}replaceNotebookCellMetadata(L,ee,_e,Ke){this._edits.push({_type:3,metadata:Ke,uri:L,edit:{editType:8,index:ee,metadata:_e}})}replace(L,ee,_e,Ke){this._edits.push({_type:2,uri:L,edit:new Z(ee,_e),metadata:Ke})}insert(L,ee,_e,Ke){this.replace(L,new E(ee,ee),_e,Ke)}delete(L,ee,_e){this.replace(L,ee,"",_e)}has(L){return this._edits.some(ee=>ee._type===2&&ee.uri.toString()===L.toString())}set(L,ee){if(ee)for(const _e of ee)_e&&this._edits.push({_type:2,uri:L,edit:_e});else{for(let _e=0;_e<this._edits.length;_e++){const Ke=this._edits[_e];Ke._type===2&&Ke.uri.toString()===L.toString()&&(this._edits[_e]=void 0)}(0,s.coalesceInPlace)(this._edits)}}get(L){const ee=[];for(let _e of this._edits)_e._type===2&&_e.uri.toString()===L.toString()&&ee.push(_e.edit);return ee}entries(){const L=new T.ResourceMap;for(let ee of this._edits)if(ee._type===2){let _e=L.get(ee.uri);_e||(_e=[ee.uri,[]],L.set(ee.uri,_e)),_e[1].push(ee.edit)}return[...L.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};oe=Ue([C],oe),e.WorkspaceEdit=oe;let be=a=class{constructor(L){this._tabstop=1,this.value=L||""}static isSnippetString(L){return L instanceof a?!0:L?typeof L.value=="string":!1}static _escape(L){return L.replace(/\$|}|\\/g,"\\$&")}appendText(L){return this.value+=a._escape(L),this}appendTabstop(L=this._tabstop++){return this.value+="$",this.value+=L,this}appendPlaceholder(L,ee=this._tabstop++){if(typeof L=="function"){const _e=new a;_e._tabstop=this._tabstop,L(_e),this._tabstop=_e._tabstop,L=_e.value}else L=a._escape(L);return this.value+="${",this.value+=ee,this.value+=":",this.value+=L,this.value+="}",this}appendChoice(L,ee=this._tabstop++){const _e=L.map(Ke=>Ke.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ee,this.value+="|",this.value+=_e,this.value+="|}",this}appendVariable(L,ee){if(typeof ee=="function"){const _e=new a;_e._tabstop=this._tabstop,ee(_e),this._tabstop=_e._tabstop,ee=_e.value}else typeof ee=="string"&&(ee=ee.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=L,ee&&(this.value+=":",this.value+=ee),this.value+="}",this}};be=a=Ue([C],be),e.SnippetString=be;var Se;(function(B){B[B.Unnecessary=1]="Unnecessary",B[B.Deprecated=2]="Deprecated"})(Se=e.DiagnosticTag||(e.DiagnosticTag={}));var le;(function(B){B[B.Hint=3]="Hint",B[B.Information=2]="Information",B[B.Warning=1]="Warning",B[B.Error=0]="Error"})(le=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let ne=M=class{constructor(L,ee){if(this.uri=L,ee)if(ee instanceof E)this.range=ee;else if(ee instanceof N)this.range=new E(ee,ee);else throw new Error("Illegal argument")}static isLocation(L){return L instanceof M?!0:L?E.isRange(L.range)&&A.URI.isUri(L.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};ne=M=Ue([C],ne),e.Location=ne;let ve=class{constructor(L,ee){this.location=L,this.message=ee}static is(L){return L?typeof L.message=="string"&&L.location&&E.isRange(L.location.range)&&A.URI.isUri(L.location.uri):!1}static isEqual(L,ee){return L===ee?!0:!L||!ee?!1:L.message===ee.message&&L.location.range.isEqual(ee.location.range)&&L.location.uri.toString()===ee.location.uri.toString()}};ve=Ue([C],ve),e.DiagnosticRelatedInformation=ve;let Ie=class{constructor(L,ee,_e=le.Error){if(!E.isRange(L))throw new TypeError("range must be set");if(!ee)throw new TypeError("message must be set");this.range=L,this.message=ee,this.severity=_e}toJSON(){return{severity:le[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(L,ee){return L===ee?!0:!L||!ee?!1:L.message===ee.message&&L.severity===ee.severity&&L.code===ee.code&&L.severity===ee.severity&&L.source===ee.source&&L.range.isEqual(ee.range)&&(0,s.equals)(L.tags,ee.tags)&&(0,s.equals)(L.relatedInformation,ee.relatedInformation,ve.isEqual)}};Ie=Ue([C],Ie),e.Diagnostic=Ie;let Oe=class{constructor(L,ee){if(!L)throw new Error("Illegal argument, contents must be defined");Array.isArray(L)?this.contents=L:this.contents=[L],this.range=ee}};Oe=Ue([C],Oe),e.Hover=Oe;var He;(function(B){B[B.Text=0]="Text",B[B.Read=1]="Read",B[B.Write=2]="Write"})(He=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let Xe=class{constructor(L,ee=He.Text){this.range=L,this.kind=ee}toJSON(){return{range:this.range,kind:He[this.kind]}}};Xe=Ue([C],Xe),e.DocumentHighlight=Xe;var Ye;(function(B){B[B.File=0]="File",B[B.Module=1]="Module",B[B.Namespace=2]="Namespace",B[B.Package=3]="Package",B[B.Class=4]="Class",B[B.Method=5]="Method",B[B.Property=6]="Property",B[B.Field=7]="Field",B[B.Constructor=8]="Constructor",B[B.Enum=9]="Enum",B[B.Interface=10]="Interface",B[B.Function=11]="Function",B[B.Variable=12]="Variable",B[B.Constant=13]="Constant",B[B.String=14]="String",B[B.Number=15]="Number",B[B.Boolean=16]="Boolean",B[B.Array=17]="Array",B[B.Object=18]="Object",B[B.Key=19]="Key",B[B.Null=20]="Null",B[B.EnumMember=21]="EnumMember",B[B.Struct=22]="Struct",B[B.Event=23]="Event",B[B.Operator=24]="Operator",B[B.TypeParameter=25]="TypeParameter"})(Ye=e.SymbolKind||(e.SymbolKind={}));var $;(function(B){B[B.Deprecated=1]="Deprecated"})($=e.SymbolTag||(e.SymbolTag={}));let K=r=class{constructor(L,ee,_e,Ke,it){this.name=L,this.kind=ee,this.containerName=it,typeof _e=="string"&&(this.containerName=_e),Ke instanceof ne?this.location=Ke:_e instanceof E&&(this.location=new ne(Ke,_e)),r.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Ye[this.kind],location:this.location,containerName:this.containerName}}};K=r=Ue([C],K),e.SymbolInformation=K;let Y=n=class{constructor(L,ee,_e,Ke,it){this.name=L,this.detail=ee,this.kind=_e,this.range=Ke,this.selectionRange=it,this.children=[],n.validate(this)}static validate(L){if(!L.name)throw new Error("name must not be falsy");if(!L.range.contains(L.selectionRange))throw new Error("selectionRange must be contained in fullRange");L.children&&L.children.forEach(n.validate)}};Y=n=Ue([C],Y),e.DocumentSymbol=Y;var re;(function(B){B[B.Invoke=1]="Invoke",B[B.Automatic=2]="Automatic"})(re=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));let q=class{constructor(L,ee){this.title=L,this.kind=ee}};q=Ue([C],q),e.CodeAction=q;let J=b=class{constructor(L){this.value=L}append(L){return new b(this.value?this.value+b.sep+L:L)}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+b.sep)}};J.sep=".",J=b=Ue([C],J),e.CodeActionKind=J,J.Empty=new J(""),J.QuickFix=J.Empty.append("quickfix"),J.Refactor=J.Empty.append("refactor"),J.RefactorExtract=J.Refactor.append("extract"),J.RefactorInline=J.Refactor.append("inline"),J.RefactorRewrite=J.Refactor.append("rewrite"),J.Source=J.Empty.append("source"),J.SourceOrganizeImports=J.Source.append("organizeImports"),J.SourceFixAll=J.Source.append("fixAll");let me=class{constructor(L,ee){if(this.range=L,this.parent=ee,ee&&!ee.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};me=Ue([C],me),e.SelectionRange=me;class Pe{constructor(L,ee,_e,Ke,it,lt){this.kind=L,this.name=ee,this.detail=_e,this.uri=Ke,this.range=it,this.selectionRange=lt}}e.CallHierarchyItem=Pe;class Be{constructor(L,ee){this.fromRanges=ee,this.from=L}}e.CallHierarchyIncomingCall=Be;class Ve{constructor(L,ee){this.fromRanges=ee,this.to=L}}e.CallHierarchyOutgoingCall=Ve;var Qe;(function(B){B[B.Information=0]="Information",B[B.Warning=1]="Warning",B[B.Error=2]="Error"})(Qe=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));let tt=class{constructor(L,ee){this.range=L,this.command=ee}get isResolved(){return!!this.command}};tt=Ue([C],tt),e.CodeLens=tt;let at=p=class{constructor(L,ee=!1){o.set(this,void 0),et(this,o,new y.MarkdownString(L,{supportThemeIcons:ee}),"f")}static isMarkdownString(L){return L instanceof p?!0:L&&L.appendCodeblock&&L.appendMarkdown&&L.appendText&&L.value!==void 0}get value(){return ke(this,o,"f").value}set value(L){ke(this,o,"f").value=L}get isTrusted(){return ke(this,o,"f").isTrusted}set isTrusted(L){ke(this,o,"f").isTrusted=L}get supportThemeIcons(){return ke(this,o,"f").supportThemeIcons}set supportThemeIcons(L){ke(this,o,"f").supportThemeIcons=L}get supportHtml(){return ke(this,o,"f").supportHtml}set supportHtml(L){ke(this,o,"f").supportHtml=L}appendText(L){return ke(this,o,"f").appendText(L),this}appendMarkdown(L){return ke(this,o,"f").appendMarkdown(L),this}appendCodeblock(L,ee){return ke(this,o,"f").appendCodeblock(ee??"",L),this}};o=new WeakMap,at=p=Ue([C],at),e.MarkdownString=at;let Je=class{constructor(L,ee){this.label=L,this.documentation=ee}};Je=Ue([C],Je),e.ParameterInformation=Je;let rt=class{constructor(L,ee){this.label=L,this.documentation=ee,this.parameters=[]}};rt=Ue([C],rt),e.SignatureInformation=rt;let ut=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};ut=Ue([C],ut),e.SignatureHelp=ut;var pt;(function(B){B[B.Invoke=1]="Invoke",B[B.TriggerCharacter=2]="TriggerCharacter",B[B.ContentChange=3]="ContentChange"})(pt=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var Me;(function(B){B[B.Other=0]="Other",B[B.Type=1]="Type",B[B.Parameter=2]="Parameter"})(Me=e.InlayHintKind||(e.InlayHintKind={}));let Rt=class{constructor(L){this.label=L}toString(){return this.label}};Rt=Ue([C],Rt),e.InlayHintLabelPart=Rt;let j=class{constructor(L,ee,_e){this.label=L,this.position=ee,this.kind=_e}};j=Ue([C],j),e.InlayHint=j;var Q;(function(B){B[B.Invoke=0]="Invoke",B[B.TriggerCharacter=1]="TriggerCharacter",B[B.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Q=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var fe;(function(B){B[B.Text=0]="Text",B[B.Method=1]="Method",B[B.Function=2]="Function",B[B.Constructor=3]="Constructor",B[B.Field=4]="Field",B[B.Variable=5]="Variable",B[B.Class=6]="Class",B[B.Interface=7]="Interface",B[B.Module=8]="Module",B[B.Property=9]="Property",B[B.Unit=10]="Unit",B[B.Value=11]="Value",B[B.Enum=12]="Enum",B[B.Keyword=13]="Keyword",B[B.Snippet=14]="Snippet",B[B.Color=15]="Color",B[B.File=16]="File",B[B.Reference=17]="Reference",B[B.Folder=18]="Folder",B[B.EnumMember=19]="EnumMember",B[B.Constant=20]="Constant",B[B.Struct=21]="Struct",B[B.Event=22]="Event",B[B.Operator=23]="Operator",B[B.TypeParameter=24]="TypeParameter",B[B.User=25]="User",B[B.Issue=26]="Issue"})(fe=e.CompletionItemKind||(e.CompletionItemKind={}));var xe;(function(B){B[B.Deprecated=1]="Deprecated"})(xe=e.CompletionItemTag||(e.CompletionItemTag={}));let qe=class{constructor(L,ee){this.label=L,this.kind=ee}toJSON(){return{label:this.label,kind:this.kind&&fe[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};qe=Ue([C],qe),e.CompletionItem=qe;let st=class{constructor(L=[],ee=!1){this.items=L,this.isIncomplete=ee}};st=Ue([C],st),e.CompletionList=st;let ht=class{constructor(L,ee,_e){this.text=L,this.range=ee,this.command=_e}};ht=Ue([C],ht),e.InlineSuggestion=ht;let Ze=class{constructor(L){this.items=L}};Ze=Ue([C],Ze),e.InlineSuggestions=Ze;var kt;(function(B){B[B.Active=-1]="Active",B[B.Beside=-2]="Beside",B[B.One=1]="One",B[B.Two=2]="Two",B[B.Three=3]="Three",B[B.Four=4]="Four",B[B.Five=5]="Five",B[B.Six=6]="Six",B[B.Seven=7]="Seven",B[B.Eight=8]="Eight",B[B.Nine=9]="Nine"})(kt=e.ViewColumn||(e.ViewColumn={}));var Re;(function(B){B[B.Left=1]="Left",B[B.Right=2]="Right"})(Re=e.StatusBarAlignment||(e.StatusBarAlignment={}));var Ce;(function(B){B[B.Off=0]="Off",B[B.On=1]="On",B[B.Relative=2]="Relative"})(Ce=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var pe;(function(B){B[B.Manual=1]="Manual",B[B.AfterDelay=2]="AfterDelay",B[B.FocusOut=3]="FocusOut"})(pe=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var ie;(function(B){B[B.Default=0]="Default",B[B.InCenter=1]="InCenter",B[B.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",B[B.AtTop=3]="AtTop"})(ie=e.TextEditorRevealType||(e.TextEditorRevealType={}));var se;(function(B){B[B.Keyboard=1]="Keyboard",B[B.Mouse=2]="Mouse",B[B.Command=3]="Command"})(se=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var de;(function(B){B[B.Undo=1]="Undo",B[B.Redo=2]="Redo"})(de=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var ge;(function(B){B[B.OpenOpen=0]="OpenOpen",B[B.ClosedClosed=1]="ClosedClosed",B[B.OpenClosed=2]="OpenClosed",B[B.ClosedOpen=3]="ClosedOpen"})(ge=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(B){function L(ee){switch(ee){case"keyboard":return B.Keyboard;case"mouse":return B.Mouse;case"api":return B.Command}}B.fromValue=L}(se=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let Te=class{constructor(L,ee){if(ee&&!A.URI.isUri(ee))throw(0,t.illegalArgument)("target");if(!E.isRange(L)||L.isEmpty)throw(0,t.illegalArgument)("range");this.range=L,this.target=ee}};Te=Ue([C],Te),e.DocumentLink=Te;let ze=class{constructor(L,ee,_e,Ke){this.red=L,this.green=ee,this.blue=_e,this.alpha=Ke}};ze=Ue([C],ze),e.Color=ze;let Ne=class{constructor(L,ee){if(ee&&!(ee instanceof ze))throw(0,t.illegalArgument)("color");if(!E.isRange(L)||L.isEmpty)throw(0,t.illegalArgument)("range");this.range=L,this.color=ee}};Ne=Ue([C],Ne),e.ColorInformation=Ne;let Ge=class{constructor(L){if(!L||typeof L!="string")throw(0,t.illegalArgument)("label");this.label=L}};Ge=Ue([C],Ge),e.ColorPresentation=Ge;var nt;(function(B){B[B.RGB=0]="RGB",B[B.HEX=1]="HEX",B[B.HSL=2]="HSL"})(nt=e.ColorFormat||(e.ColorFormat={}));var ot;(function(B){B[B.Error=0]="Error",B[B.Warning=1]="Warning",B[B.Information=2]="Information"})(ot=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class Le{constructor(L,ee,_e){if(this.startIndex=L,this.length=ee,this.tooltip=_e,typeof L!="number"||L<0)throw(0,t.illegalArgument)("startIndex");if(typeof ee!="number"||ee<1)throw(0,t.illegalArgument)("length");if(_e!==void 0&&typeof _e!="string")throw(0,t.illegalArgument)("tooltip")}}e.TerminalLink=Le;var ue;(function(B){B[B.Panel=1]="Panel",B[B.Editor=2]="Editor"})(ue=e.TerminalLocation||(e.TerminalLocation={}));class he{constructor(L){this.options=L,typeof L!="object"&&(0,t.illegalArgument)("options")}}e.TerminalProfile=he;var ae;(function(B){B[B.Always=1]="Always",B[B.Silent=2]="Silent",B[B.Never=3]="Never"})(ae=e.TaskRevealKind||(e.TaskRevealKind={}));var z;(function(B){B[B.Shared=1]="Shared",B[B.Dedicated=2]="Dedicated",B[B.New=3]="New"})(z=e.TaskPanelKind||(e.TaskPanelKind={}));let ye=l=class{constructor(L,ee){if(this.label=ee,typeof L!="string"||typeof ee!="string")throw(0,t.illegalArgument)("name");this._id=L}static from(L){switch(L){case"clean":return l.Clean;case"build":return l.Build;case"rebuild":return l.Rebuild;case"test":return l.Test;default:return}}get id(){return this._id}};ye.Clean=new l("clean","Clean"),ye.Build=new l("build","Build"),ye.Rebuild=new l("rebuild","Rebuild"),ye.Test=new l("test","Test"),ye=l=Ue([C],ye),e.TaskGroup=ye;function Ae(B){let L="";for(let ee=0;ee<B.length;ee++)L+=B[ee].replace(/,/g,",,")+",";return L}let je=class{constructor(L,ee,_e){if(typeof L!="string")throw(0,t.illegalArgument)("process");this._args=[],this._process=L,ee!==void 0&&(Array.isArray(ee)?(this._args=ee,this._options=_e):this._options=ee)}get process(){return this._process}set process(L){if(typeof L!="string")throw(0,t.illegalArgument)("process");this._process=L}get args(){return this._args}set args(L){Array.isArray(L)||(L=[]),this._args=L}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("process"),this._process!==void 0&&L.push(this._process),this._args&&this._args.length>0)for(let ee of this._args)L.push(ee);return Ae(L)}};je=Ue([C],je),e.ProcessExecution=je;let We=class{constructor(L,ee,_e){if(this._args=[],Array.isArray(ee)){if(!L)throw(0,t.illegalArgument)("command can't be undefined or null");if(typeof L!="string"&&typeof L.value!="string")throw(0,t.illegalArgument)("command");this._command=L,this._args=ee,this._options=_e}else{if(typeof L!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=L,this._options=ee}}get commandLine(){return this._commandLine}set commandLine(L){if(typeof L!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=L}get command(){return this._command?this._command:""}set command(L){if(typeof L!="string"&&typeof L.value!="string")throw(0,t.illegalArgument)("command");this._command=L}get args(){return this._args}set args(L){this._args=L||[]}get options(){return this._options}set options(L){this._options=L}computeId(){const L=[];if(L.push("shell"),this._commandLine!==void 0&&L.push(this._commandLine),this._command!==void 0&&L.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ee of this._args)L.push(typeof ee=="string"?ee:ee.value);return Ae(L)}};We=Ue([C],We),e.ShellExecution=We;var mt;(function(B){B[B.Escape=1]="Escape",B[B.Strong=2]="Strong",B[B.Weak=3]="Weak"})(mt=e.ShellQuoting||(e.ShellQuoting={}));var Et;(function(B){B[B.Global=1]="Global",B[B.Workspace=2]="Workspace"})(Et=e.TaskScope||(e.TaskScope={}));class _t{constructor(L){this._callback=L}computeId(){return"customExecution"+(0,R.generateUuid)()}set callback(L){this._callback=L}get callback(){return this._callback}}e.CustomExecution=_t;let dt=h=class{constructor(L,ee,_e,Ke,it,lt){this.__deprecated=!1,this._definition=this.definition=L;let ft;typeof ee=="string"?(this._name=this.name=ee,this._source=this.source=_e,this.execution=Ke,ft=it,this.__deprecated=!0):ee===Et.Global||ee===Et.Workspace?(this.target=ee,this._name=this.name=_e,this._source=this.source=Ke,this.execution=it,ft=lt):(this.target=ee,this._name=this.name=_e,this._source=this.source=Ke,this.execution=it,ft=lt),typeof ft=="string"?(this._problemMatchers=[ft],this._hasDefinedMatchers=!0):Array.isArray(ft)?(this._problemMatchers=ft,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(L){this.__id=L}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof je?this._definition={type:h.ProcessType,id:this._execution.computeId()}:this._execution instanceof We?this._definition={type:h.ShellType,id:this._execution.computeId()}:this._execution instanceof _t?this._definition={type:h.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:h.EmptyType,id:(0,R.generateUuid)()}}get definition(){return this._definition}set definition(L){if(L==null)throw(0,t.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=L}get scope(){return this._scope}set target(L){this.clear(),this._scope=L}get name(){return this._name}set name(L){if(typeof L!="string")throw(0,t.illegalArgument)("name");this.clear(),this._name=L}get execution(){return this._execution}set execution(L){L===null&&(L=void 0),this.clear(),this._execution=L;const ee=this._definition.type;(h.EmptyType===ee||h.ProcessType===ee||h.ShellType===ee||h.ExtensionCallbackType===ee)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(L){if(Array.isArray(L))this.clear(),this._problemMatchers=L,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(L){L!==!0&&L!==!1&&(L=!1),this.clear(),this._isBackground=L}get source(){return this._source}set source(L){if(typeof L!="string"||L.length===0)throw(0,t.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=L}get group(){return this._group}set group(L){L===null&&(L=void 0),this.clear(),this._group=L}get detail(){return this._detail}set detail(L){L===null&&(L=void 0),this._detail=L}get presentationOptions(){return this._presentationOptions}set presentationOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._presentationOptions=L}get runOptions(){return this._runOptions}set runOptions(L){L==null&&(L=Object.create(null)),this.clear(),this._runOptions=L}};dt.ExtensionCallbackType="customExecution",dt.ProcessType="process",dt.ShellType="shell",dt.EmptyType="$empty",dt=h=Ue([C],dt),e.Task=dt;var vt;(function(B){B[B.SourceControl=1]="SourceControl",B[B.Window=10]="Window",B[B.Notification=15]="Notification"})(vt=e.ProgressLocation||(e.ProgressLocation={}));let bt=class{constructor(L,ee=xt.None){this.collapsibleState=ee,A.URI.isUri(L)?this.resourceUri=L:this.label=L}};bt=Ue([C],bt),e.TreeItem=bt;var xt;(function(B){B[B.None=0]="None",B[B.Collapsed=1]="Collapsed",B[B.Expanded=2]="Expanded"})(xt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let It=class{constructor(L){this._value=L}async asString(){return JSON.stringify(this._value)}};It=Ue([C],It),e.TreeDataTransferItem=It;let Mt=class{constructor(){this._items=new Map}get(L){return this._items.get(L)}set(L,ee){this._items.set(L,ee)}forEach(L){this._items.forEach(L)}};Mt=Ue([C],Mt),e.TreeDataTransfer=Mt;let Dt=class{constructor(L,ee){this.id=L,this.color=ee}};Dt=Ue([C],Dt),e.ThemeIcon=Dt,Dt.File=new Dt("file"),Dt.Folder=new Dt("folder");let St=class{constructor(L){this.id=L}};St=Ue([C],St),e.ThemeColor=St;var Qt;(function(B){B[B.Global=1]="Global",B[B.Workspace=2]="Workspace",B[B.WorkspaceFolder=3]="WorkspaceFolder"})(Qt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let Vt=class{constructor(L,ee){if(typeof L!="string"&&(!L||!A.URI.isUri(L)&&!A.URI.isUri(L.uri)))throw(0,t.illegalArgument)("base");if(typeof ee!="string")throw(0,t.illegalArgument)("pattern");typeof L=="string"?(this.baseFolder=A.URI.file(L),this.base=L):A.URI.isUri(L)?(this.baseFolder=L,this.base=L.fsPath):(this.baseFolder=L.uri,this.base=L.uri.fsPath),this.pattern=ee}};Vt=Ue([C],Vt),e.RelativePattern=Vt;let wt=class{constructor(L,ee,_e,Ke){this.enabled=typeof L=="boolean"?L:!0,typeof ee=="string"&&(this.condition=ee),typeof _e=="string"&&(this.hitCondition=_e),typeof Ke=="string"&&(this.logMessage=Ke)}get id(){return this._id||(this._id=(0,R.generateUuid)()),this._id}};wt=Ue([C],wt),e.Breakpoint=wt;let Yt=class extends wt{constructor(L,ee,_e,Ke,it){super(ee,_e,Ke,it);if(L===null)throw(0,t.illegalArgument)("location");this.location=L}};Yt=Ue([C],Yt),e.SourceBreakpoint=Yt;let qt=class extends wt{constructor(L,ee,_e,Ke,it){super(ee,_e,Ke,it);this.functionName=L}};qt=Ue([C],qt),e.FunctionBreakpoint=qt;let Xt=class extends wt{constructor(L,ee,_e,Ke,it,lt,ft){super(Ke,it,lt,ft);if(!ee)throw(0,t.illegalArgument)("dataId");this.label=L,this.dataId=ee,this.canPersist=_e}};Xt=Ue([C],Xt),e.DataBreakpoint=Xt;let ai=class{constructor(L,ee,_e){this.command=L,this.args=ee||[],this.options=_e}};ai=Ue([C],ai),e.DebugAdapterExecutable=ai;let At=class{constructor(L,ee){this.port=L,this.host=ee}};At=Ue([C],At),e.DebugAdapterServer=At;let Jt=class{constructor(L){this.path=L}};Jt=Ue([C],Jt),e.DebugAdapterNamedPipeServer=Jt;let li=class{constructor(L){this.implementation=L}};li=Ue([C],li),e.DebugAdapterInlineImplementation=li;let jt=class{constructor(L,ee){this.range=L,this.expression=ee}};jt=Ue([C],jt),e.EvaluatableExpression=jt;var Zt;(function(B){B[B.Automatic=0]="Automatic",B[B.Explicit=1]="Explicit"})(Zt=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));let gt=class{constructor(L,ee){this.range=L,this.text=ee}};gt=Ue([C],gt),e.InlineValueText=gt;let ci=class{constructor(L,ee,_e=!0){this.range=L,this.variableName=ee,this.caseSensitiveLookup=_e}};ci=Ue([C],ci),e.InlineValueVariableLookup=ci;let Lt=class{constructor(L,ee){this.range=L,this.expression=ee}};Lt=Ue([C],Lt),e.InlineValueEvaluatableExpression=Lt;let $t=class{constructor(L,ee){this.frameId=L,this.stoppedLocation=ee}};$t=Ue([C],$t),e.InlineValueContext=$t;var vi;(function(B){B[B.Changed=1]="Changed",B[B.Created=2]="Created",B[B.Deleted=3]="Deleted"})(vi=e.FileChangeType||(e.FileChangeType={}));let ui=v=class extends Error{constructor(L,ee=w.FileSystemProviderErrorCode.Unknown,_e){super(A.URI.isUri(L)?L.toString(!0):L);this.code=_e?.name??"Unknown",(0,w.markAsFileSystemProviderError)(this,ee),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,v.prototype),typeof Error.captureStackTrace=="function"&&typeof _e=="function"&&Error.captureStackTrace(this,_e)}static FileExists(L){return new v(L,w.FileSystemProviderErrorCode.FileExists,v.FileExists)}static FileNotFound(L){return new v(L,w.FileSystemProviderErrorCode.FileNotFound,v.FileNotFound)}static FileNotADirectory(L){return new v(L,w.FileSystemProviderErrorCode.FileNotADirectory,v.FileNotADirectory)}static FileIsADirectory(L){return new v(L,w.FileSystemProviderErrorCode.FileIsADirectory,v.FileIsADirectory)}static NoPermissions(L){return new v(L,w.FileSystemProviderErrorCode.NoPermissions,v.NoPermissions)}static Unavailable(L){return new v(L,w.FileSystemProviderErrorCode.Unavailable,v.Unavailable)}};ui=v=Ue([C],ui),e.FileSystemError=ui;let ei=class{constructor(L,ee,_e){this.start=L,this.end=ee,this.kind=_e}};ei=Ue([C],ei),e.FoldingRange=ei;var Ci;(function(B){B[B.Comment=1]="Comment",B[B.Imports=2]="Imports",B[B.Region=3]="Region"})(Ci=e.FoldingRangeKind||(e.FoldingRangeKind={}));var bi;(function(B){B[B.Collapsed=0]="Collapsed",B[B.Expanded=1]="Expanded"})(bi=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var ti;(function(B){B[B.Editing=0]="Editing",B[B.Preview=1]="Preview"})(ti=e.CommentMode||(e.CommentMode={}));class Di{constructor(L,ee=[]){this.tokenTypes=L,this.tokenModifiers=ee}}e.SemanticTokensLegend=Di;function di(B){return typeof B=="undefined"||(0,D.isStringArray)(B)}class Gt{constructor(L){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,L){this._hasLegend=!0;for(let ee=0,_e=L.tokenTypes.length;ee<_e;ee++)this._tokenTypeStrToInt.set(L.tokenTypes[ee],ee);for(let ee=0,_e=L.tokenModifiers.length;ee<_e;ee++)this._tokenModifierStrToInt.set(L.tokenModifiers[ee],ee)}}push(L,ee,_e,Ke,it){if(typeof L=="number"&&typeof ee=="number"&&typeof _e=="number"&&typeof Ke=="number"&&(typeof it=="number"||typeof it=="undefined"))return typeof it=="undefined"&&(it=0),this._pushEncoded(L,ee,_e,Ke,it);if(E.isRange(L)&&typeof ee=="string"&&di(_e))return this._push(L,ee,_e);throw(0,t.illegalArgument)()}_push(L,ee,_e){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(L.start.line!==L.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ee))throw new Error("`tokenType` is not in the provided legend");const Ke=L.start.line,it=L.start.character,lt=L.end.character-L.start.character,ft=this._tokenTypeStrToInt.get(ee);let Pt=0;if(_e)for(const Ft of _e){if(!this._tokenModifierStrToInt.has(Ft))throw new Error("`tokenModifier` is not in the provided legend");const Nt=this._tokenModifierStrToInt.get(Ft);Pt|=1<<Nt>>>0}this._pushEncoded(Ke,it,lt,ft,Pt)}_pushEncoded(L,ee,_e,Ke,it){if(this._dataIsSortedAndDeltaEncoded&&(L<this._prevLine||L===this._prevLine&&ee<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const Pt=this._data.length/5|0;let Ft=0,Nt=0;for(let Bt=0;Bt<Pt;Bt++){let zt=this._data[5*Bt],gi=this._data[5*Bt+1];zt===0?(zt=Ft,gi+=Nt):zt+=Ft,this._data[5*Bt]=zt,this._data[5*Bt+1]=gi,Ft=zt,Nt=gi}}let lt=L,ft=ee;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(lt-=this._prevLine,lt===0&&(ft-=this._prevChar)),this._data[this._dataLen++]=lt,this._data[this._dataLen++]=ft,this._data[this._dataLen++]=_e,this._data[this._dataLen++]=Ke,this._data[this._dataLen++]=it,this._prevLine=L,this._prevChar=ee}static _sortAndDeltaEncode(L){let ee=[];const _e=L.length/5|0;for(let ft=0;ft<_e;ft++)ee[ft]=ft;ee.sort((ft,Pt)=>{const Ft=L[5*ft],Nt=L[5*Pt];if(Ft===Nt){const Bt=L[5*ft+1],zt=L[5*Pt+1];return Bt-zt}return Ft-Nt});const Ke=new Uint32Array(L.length);let it=0,lt=0;for(let ft=0;ft<_e;ft++){const Pt=5*ee[ft],Ft=L[Pt+0],Nt=L[Pt+1],Bt=L[Pt+2],zt=L[Pt+3],gi=L[Pt+4],zi=Ft-it,Xi=zi===0?Nt-lt:Nt,pi=5*ft;Ke[pi+0]=zi,Ke[pi+1]=Xi,Ke[pi+2]=Bt,Ke[pi+3]=zt,Ke[pi+4]=gi,it=Ft,lt=Nt}return Ke}build(L){return this._dataIsSortedAndDeltaEncoded?new hi(new Uint32Array(this._data),L):new hi(Gt._sortAndDeltaEncode(this._data),L)}}e.SemanticTokensBuilder=Gt;class hi{constructor(L,ee){this.resultId=ee,this.data=L}}e.SemanticTokens=hi;class ki{constructor(L,ee,_e){this.start=L,this.deleteCount=ee,this.data=_e}}e.SemanticTokensEdit=ki;class Kt{constructor(L,ee){this.resultId=ee,this.edits=L}}e.SemanticTokensEdits=Kt;var Ii;(function(B){B[B.Separate=0]="Separate",B[B.MergeWithParent=1]="MergeWithParent"})(Ii=e.DebugConsoleMode||(e.DebugConsoleMode={}));var Pi;(function(B){B[B.Initial=1]="Initial",B[B.Dynamic=2]="Dynamic"})(Pi=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let ii=class{constructor(){}};ii.Back={iconPath:new Dt("arrow-left")},ii=Ue([C],ii),e.QuickInputButtons=ii;var Ti;(function(B){B[B.Separator=-1]="Separator",B[B.Default=1]="Default"})(Ti=e.QuickPickItemKind||(e.QuickPickItemKind={}));var fi;(function(B){B[B.UI=1]="UI",B[B.Workspace=2]="Workspace"})(fi=e.ExtensionKind||(e.ExtensionKind={}));class wi{constructor(L,ee,_e){this.badge=L,this.tooltip=ee,this.color=_e}static validate(L){if(L.badge){let ee=(0,P.nextCharLength)(L.badge,0);if(ee<L.badge.length&&(ee+=(0,P.nextCharLength)(L.badge,ee)),L.badge.length>ee)throw new Error("The 'badge'-property must be undefined or a short character")}if(!L.color&&!L.badge&&!L.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=wi;let ni=class{constructor(L){this.kind=L}};ni=Ue([C],ni),e.ColorTheme=ni;var Fe;(function(B){B[B.Light=1]="Light",B[B.Dark=2]="Dark",B[B.HighContrast=3]="HighContrast"})(Fe=e.ColorThemeKind||(e.ColorThemeKind={}));class Ht{constructor(L,ee){if(L<0)throw(0,t.illegalArgument)("start must be positive");if(ee<0)throw(0,t.illegalArgument)("end must be positive");L<=ee?(this._start=L,this._end=ee):(this._start=ee,this._end=L)}static isNotebookRange(L){return L instanceof Ht?!0:L?typeof L.start=="number"&&typeof L.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(L){let ee=this._start,_e=this._end;return L.start!==void 0&&(ee=L.start),L.end!==void 0&&(_e=L.end),ee===this._start&&_e===this._end?this:new Ht(ee,_e)}}e.NotebookRange=Ht;class Ut{constructor(L,ee,_e,Ke,it,lt,ft){this.kind=L,this.value=ee,this.languageId=_e,this.mime=Ke,this.outputs=it??[],this.metadata=lt,this.executionSummary=ft,Ut.validate(this)}static validate(L){if(typeof L.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof L.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof L.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(L){return Array.isArray(L)&&L.every(ee=>Ut.isNotebookCellData(ee))}static isNotebookCellData(L){return!0}}e.NotebookCellData=Ut;class yt{constructor(L){this.cells=L}}e.NotebookData=yt;class Ot{constructor(L,ee){this.data=L,this.mime=ee;const _e=(0,I.normalizeMimeType)(ee,!0);if(!_e)throw new Error(`INVALID mime type: ${ee}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=_e}static isNotebookCellOutputItem(L){return L instanceof Ot?!0:L?typeof L.mime=="string"&&L.data instanceof Uint8Array:!1}static error(L){const ee={name:L.name,message:L.message,stack:L.stack};return Ot.json(ee,"application/vnd.code.notebook.error")}static stdout(L){return Ot.text(L,"application/vnd.code.notebook.stdout")}static stderr(L){return Ot.text(L,"application/vnd.code.notebook.stderr")}static bytes(L,ee="application/octet-stream"){return new Ot(L,ee)}static text(L,ee=I.Mimes.text){const _e=ke(Ot,c,"f",u).encode(String(L));return new Ot(_e,ee)}static json(L,ee="application/json"){const _e=JSON.stringify(L,void 0,"	");return Ot.text(_e,ee)}}e.NotebookCellOutputItem=Ot,c=Ot,u={value:new TextEncoder};class ri{constructor(L,ee,_e){this.items=ri.ensureUniqueMimeTypes(L,!0),typeof ee=="string"?(this.id=ee,this.metadata=_e):(this.id=(0,R.generateUuid)(),this.metadata=ee??_e)}static isNotebookCellOutput(L){return L instanceof ri?!0:!L||typeof L!="object"?!1:typeof L.id=="string"&&(0,D.isArray)(L.items)}static ensureUniqueMimeTypes(L,ee=!1){const _e=new Set,Ke=new Set;for(let it=0;it<L.length;it++){const lt=L[it],ft=(0,I.normalizeMimeType)(lt.mime);if(!_e.has(ft)){_e.add(ft);continue}Ke.add(it),ee&&console.warn(`DUPLICATED mime type '${lt.mime}' will be dropped`)}return Ke.size===0?L:L.filter((it,lt)=>!Ke.has(lt))}}e.NotebookCellOutput=ri;var Ei;(function(B){B[B.Markup=1]="Markup",B[B.Code=2]="Code"})(Ei=e.NotebookCellKind||(e.NotebookCellKind={}));var yi;(function(B){B[B.Idle=1]="Idle",B[B.Pending=2]="Pending",B[B.Executing=3]="Executing"})(yi=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Ai;(function(B){B[B.Left=1]="Left",B[B.Right=2]="Right"})(Ai=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var Ri;(function(B){B[B.Default=0]="Default",B[B.InCenter=1]="InCenter",B[B.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",B[B.AtTop=3]="AtTop"})(Ri=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class Fi{constructor(L,ee){this.text=L,this.alignment=ee}}e.NotebookCellStatusBarItem=Fi;var Mi;(function(B){B[B.Default=1]="Default",B[B.Preferred=2]="Preferred"})(Mi=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class _i{constructor(L,ee=[]){this.uri=L,this.provides=(0,s.asArray)(ee)}}e.NotebookRendererScript=_i;let mi=class{constructor(L,ee){this.label=L,this.timestamp=ee}};mi=Ue([C],mi),e.TimelineItem=mi;var Oi;(function(B){B[B.Production=1]="Production",B[B.Development=2]="Development",B[B.Test=3]="Test"})(Oi=e.ExtensionMode||(e.ExtensionMode={}));var Li;(function(B){B[B.Node=1]="Node",B[B.Webworker=2]="Webworker"})(Li=e.ExtensionRuntime||(e.ExtensionRuntime={}));var Ni;(function(B){B[B.Other=0]="Other",B[B.Comment=1]="Comment",B[B.String=2]="String",B[B.RegEx=3]="RegEx"})(Ni=e.StandardTokenType||(e.StandardTokenType={}));class xi{constructor(L,ee){this.ranges=L,this.wordPattern=ee}}e.LinkedEditingRanges=xi;class X{constructor(L,ee){this._port=L,this._autoForwardAction=ee}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=X;var ce;(function(B){B[B.Queued=1]="Queued",B[B.Running=2]="Running",B[B.Passed=3]="Passed",B[B.Failed=4]="Failed",B[B.Skipped=5]="Skipped",B[B.Errored=6]="Errored"})(ce=e.TestResultState||(e.TestResultState={}));var De;(function(B){B[B.Run=1]="Run",B[B.Debug=2]="Debug",B[B.Coverage=3]="Coverage"})(De=e.TestRunProfileKind||(e.TestRunProfileKind={}));let ct=class{constructor(L=void 0,ee=void 0,_e=void 0){this.include=L,this.exclude=ee,this.profile=_e}};ct=Ue([C],ct),e.TestRunRequest=ct;let Ct=_=class{constructor(L){this.message=L}static diff(L,ee,_e){const Ke=new _(L);return Ke.expectedOutput=ee,Ke.actualOutput=_e,Ke}};Ct=_=Ue([C],Ct),e.TestMessage=Ct;let Tt=class{constructor(L){this.id=L}};Tt=Ue([C],Tt),e.TestTag=Tt;let oi=class{constructor(L,ee){this.covered=L,this.total=ee}};oi=Ue([C],oi),e.CoveredCount=oi;let Ui=f=class{constructor(L,ee,_e,Ke){this.uri=L,this.statementCoverage=ee,this.branchCoverage=_e,this.functionCoverage=Ke}static fromDetails(L,ee){const _e=new oi(0,0),Ke=new oi(0,0),it=new oi(0,0);for(const ft of ee)if("branches"in ft){_e.total+=1,_e.covered+=ft.executionCount>0?1:0;for(const Pt of ft.branches)Ke.total+=1,Ke.covered+=Pt.executionCount>0?1:0}else it.total+=1,it.covered+=ft.executionCount>0?1:0;const lt=new f(L,_e,Ke.total>0?Ke:void 0,it.total>0?it:void 0);return lt.detailedCoverage=ee,lt}};Ui=f=Ue([C],Ui),e.FileCoverage=Ui;let Bi=class{constructor(L,ee,_e=[]){this.executionCount=L,this.location=ee,this.branches=_e}};Bi=Ue([C],Bi),e.StatementCoverage=Bi;let $i=class{constructor(L,ee){this.executionCount=L,this.location=ee}};$i=Ue([C],$i),e.BranchCoverage=$i;let Hi=class{constructor(L,ee){this.executionCount=L,this.location=ee}};Hi=Ue([C],Hi),e.FunctionCoverage=Hi;var Gi;(function(B){B[B.None=0]="None",B[B.Option=1]="Option",B[B.Default=2]="Default",B[B.Preferred=3]="Preferred"})(Gi=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Ki;(function(B){B[B.Untrusted=0]="Untrusted",B[B.Trusted=1]="Trusted",B[B.Unspecified=2]="Unspecified"})(Ki=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var Qi;(function(B){B[B.Notify=1]="Notify",B[B.OpenBrowser=2]="OpenBrowser",B[B.OpenPreview=3]="OpenPreview",B[B.Silent=4]="Silent",B[B.Ignore=5]="Ignore",B[B.OpenBrowserOnce=6]="OpenBrowserOnce"})(Qi=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class Yi{constructor(L,ee,_e,Ke,it,lt){this.kind=L,this.name=ee,this.detail=_e,this.uri=Ke,this.range=it,this.selectionRange=lt}}e.TypeHierarchyItem=Yi}),define(we[86],Ee([0,1,42,11,9,223,113,7,16]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const A=new Map;function R(o,c){c?A.set(o,c):A.delete(o)}e.setWordDefinitionFor=R;function w(o){return A.get(o)}e.getWordDefinitionFor=w;class i extends T.MirrorTextModel{constructor(c,u,F,S,m,d,k,a){super(u,F,S,m);this._proxy=c,this._languageId=d,this._isDirty=k,this._notebook=a,this._isDisposed=!1}dispose(){(0,s.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(c){return(0,D.equals)(this._lines,c)}get document(){if(!this._document){const c=this;this._document={get uri(){return c._uri},get fileName(){return c._uri.fsPath},get isUntitled(){return c._uri.scheme===t.Schemas.untitled},get languageId(){return c._languageId},get version(){return c._versionId},get isClosed(){return c._isDisposed},get isDirty(){return c._isDirty},get notebook(){return c._notebook},save(){return c._save()},getText(u){return u?c._getTextInRange(u):c.getText()},get eol(){return c._eol===`
`?P.EndOfLine.LF:P.EndOfLine.CRLF},get lineCount(){return c._lines.length},lineAt(u){return c._lineAt(u)},offsetAt(u){return c._offsetAt(u)},positionAt(u){return c._positionAt(u)},validateRange(u){return c._validateRange(u)},validatePosition(u){return c._validatePosition(u)},getWordRangeAtPosition(u,F){return c._getWordRangeAtPosition(u,F)}}}return Object.freeze(this._document)}_acceptLanguageId(c){(0,s.ok)(!this._isDisposed),this._languageId=c}_acceptIsDirty(c){(0,s.ok)(!this._isDisposed),this._isDirty=c}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(c){const u=this._validateRange(c);if(u.isEmpty)return"";if(u.isSingleLine)return this._lines[u.start.line].substring(u.start.character,u.end.character);const F=this._eol,S=u.start.line,m=u.end.line,d=[];d.push(this._lines[S].substring(u.start.character));for(let k=S+1;k<m;k++)d.push(this._lines[k]);return d.push(this._lines[m].substring(0,u.end.character)),d.join(F)}_lineAt(c){let u;if(c instanceof P.Position?u=c.line:typeof c=="number"&&(u=c),typeof u!="number"||u<0||u>=this._lines.length||Math.floor(u)!==u)throw new Error("Illegal value for `line`");return new g(u,this._lines[u],u===this._lines.length-1)}_offsetAt(c){return c=this._validatePosition(c),this._ensureLineStarts(),this._lineStarts.getPrefixSum(c.line-1)+c.character}_positionAt(c){c=Math.floor(c),c=Math.max(0,c),this._ensureLineStarts();const u=this._lineStarts.getIndexOf(c),F=this._lines[u.index].length;return new P.Position(u.index,Math.min(u.remainder,F))}_validateRange(c){if(!(c instanceof P.Range))throw new Error("Invalid argument");const u=this._validatePosition(c.start),F=this._validatePosition(c.end);return u===c.start&&F===c.end?c:new P.Range(u.line,u.character,F.line,F.character)}_validatePosition(c){if(!(c instanceof P.Position))throw new Error("Invalid argument");if(this._lines.length===0)return c.with(0,0);let{line:u,character:F}=c,S=!1;if(u<0)u=0,F=0,S=!0;else if(u>=this._lines.length)u=this._lines.length-1,F=this._lines[u].length,S=!0;else{const m=this._lines[u].length;F<0?(F=0,S=!0):F>m&&(F=m,S=!0)}return S?new P.Position(u,F):c}_getWordRangeAtPosition(c,u){const F=this._validatePosition(c);if(!u)u=w(this._languageId);else if((0,y.regExpLeadsToEndlessLoop)(u))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${u.source}' because it matches the empty string.`);const S=(0,I.getWordAtText)(F.character+1,(0,I.ensureValidWordDefinition)(u),this._lines[F.line],0);if(S)return new P.Range(F.line,S.startColumn-1,F.line,S.endColumn-1)}}e.ExtHostDocumentData=i;class g{constructor(c,u,F){this._line=c,this._text=u,this._isLastLine=F}get lineNumber(){return this._line}get text(){return this._text}get range(){return new P.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new P.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=g}),define(we[149],Ee([0,1,7,4,224,6,56,21,2,36]),function(te,e,s,t,y,T,I,P,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class R{constructor(i,g,o,c){this._notebook=o,this._selector=c,this._disposables=new T.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this.uri=D.URI.from({scheme:"vscode-concat-doc",path:(0,A.generateUuid)()}),this._init(),this._disposables.add(g.onDidChangeDocument(F=>{const S=this._cellUris.get(F.document.uri);S!==void 0&&(this._cellLengths.setValue(S,this._cells[S].document.getText().length+1),this._cellLines.setValue(S,this._cells[S].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const u=F=>{F===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(i.onDidChangeNotebookCells(F=>u(F.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new P.ResourceMap;const i=[],g=[];for(const o of this._notebook.getCells())o.kind===s.NotebookCellKind.Code&&(!this._selector||(0,I.score)(this._selector,o.document.uri,o.document.languageId,!0))&&(this._cellUris.set(o.document.uri,this._cells.length),this._cells.push(o),i.push(o.document.getText().length+1),g.push(o.document.lineCount));this._cellLengths=new y.PrefixSumComputer(new Uint32Array(i)),this._cellLines=new y.PrefixSumComputer(new Uint32Array(g))}get version(){return this._versionId}getText(i){if(!i){let S="";for(const m of this._cells)S+=m.document.getText()+`
`;return S=S.slice(0,-1),S}if(i.isEmpty)return"";const g=this.locationAt(i.start),o=this.locationAt(i.end),c=this._cellUris.get(g.uri),u=this._cellUris.get(o.uri);if(c===void 0||u===void 0)return"";if(c===u)return this._cells[c].document.getText(new s.Range(g.range.start,o.range.end));const F=[this._cells[c].document.getText(new s.Range(g.range.start,new s.Position(this._cells[c].document.lineCount,0)))];for(let S=c+1;S<u;S++)F.push(this._cells[S].document.getText());return F.push(this._cells[u].document.getText(new s.Range(new s.Position(0,0),o.range.end))),F.join(`
`)}offsetAt(i){const g=this._cellLines.getIndexOf(i.line),o=this._cellLengths.getPrefixSum(g.index-1),c=this._cells[g.index].document.offsetAt(i.with(g.remainder));return o+c}positionAt(i){if(typeof i=="number"){const o=this._cellLengths.getIndexOf(i),c=this._cellLines.getPrefixSum(o.index-1);return this._cells[o.index].document.positionAt(o.remainder).translate(c)}const g=this._cellUris.get(i.uri);if(g!==void 0){const o=this._cellLines.getPrefixSum(g-1);return new s.Position(o+i.range.start.line,i.range.start.character)}return new s.Position(0,0)}locationAt(i){s.Range.isRange(i)||(i=new s.Range(i,i));const g=this._cellLines.getIndexOf(i.start.line);let o=g;i.isEmpty||(o=this._cellLines.getIndexOf(i.end.line));const c=new s.Position(g.remainder,i.start.character),u=new s.Position(o.remainder,i.end.character),F=new s.Range(c,u),S=this._cells[g.index];return new s.Location(S.document.uri,S.document.validateRange(F))}contains(i){return this._cellUris.has(i)}validateRange(i){const g=this.validatePosition(i.start),o=this.validatePosition(i.end);return i.with(g,o)}validatePosition(i){const g=this._cellLines.getIndexOf(i.line),o=new s.Position(g.remainder,i.character),c=this._cells[g.index].document.validatePosition(o),u=this._cellLines.getPrefixSum(g.index-1);return new s.Position(u+c.line,c.character)}}e.ExtHostNotebookConcatDocument=R}),define(we[150],Ee([0,1,7,13,4]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let T=class{constructor(P){this._actual=new s.ColorTheme(s.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new y.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(P){let D=P==="light"?s.ColorThemeKind.Light:P==="dark"?s.ColorThemeKind.Dark:s.ColorThemeKind.HighContrast;this._actual=new s.ColorTheme(D),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};T=Ue([$e(0,t.IExtHostRpcService)],T),e.ExtHostTheming=T}),define(we[65],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,s.createDecorator)("IURITransformerService");class t{constructor(T){T?(this.transformIncoming=T.transformIncoming.bind(T),this.transformOutgoing=T.transformOutgoing.bind(T),this.transformOutgoingURI=T.transformOutgoingURI.bind(T),this.transformOutgoingScheme=T.transformOutgoingScheme.bind(T)):(this.transformIncoming=I=>I,this.transformOutgoing=I=>I,this.transformOutgoingURI=I=>I,this.transformOutgoingScheme=I=>I)}}e.URITransformerService=t}),define(we[151],Ee([0,1,22]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class t{constructor(){this.buffers=[]}add(D){let A=this.buffers.indexOf(D);return A<0&&(A=this.buffers.length,this.buffers.push(D)),A}}function y(P,D){if(D.serializeBuffersForPostMessage){const A=new t,R=(g,o)=>{if(o instanceof ArrayBuffer){const c=A.add(o);return{$$vscode_array_buffer_reference$$:!0,index:c}}else if(ArrayBuffer.isView(o)){const c=T(o);if(c){const u=A.add(o.buffer);return{$$vscode_array_buffer_reference$$:!0,index:u,view:{type:c,byteLength:o.byteLength,byteOffset:o.byteOffset}}}}return o},w=JSON.stringify(P,R),i=A.buffers.map(g=>{const o=new Uint8Array(g);return s.VSBuffer.wrap(o)});return{message:w,buffers:i}}else return{message:JSON.stringify(P),buffers:[]}}e.serializeWebviewMessage=y;function T(P){switch(P.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function I(P,D){const A=D.map(i=>{const g=new ArrayBuffer(i.byteLength);return new Uint8Array(g).set(i.buffer),g}),R=D.length?(i,g)=>{if(typeof g=="object"&&g.$$vscode_array_buffer_reference$$){const o=g,{index:c}=o,u=A[c];if(o.view)switch(o.view.type){case 1:return new Int8Array(u,o.view.byteOffset,o.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(u,o.view.byteOffset,o.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(u,o.view.byteOffset,o.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(u,o.view.byteOffset,o.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(u,o.view.byteOffset,o.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(u,o.view.byteOffset,o.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(u,o.view.byteOffset,o.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(u,o.view.byteOffset,o.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(u,o.view.byteOffset,o.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(u,o.view.byteOffset,o.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(u,o.view.byteOffset,o.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return u}return g}:void 0;return{message:JSON.parse(P,R),arrayBuffers:A}}e.deserializeWebviewMessage=I}),define(we[152],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeDataTransferConverter=void 0;var s;(function(t){function y(I){const P=new Map;return I.types.forEach((D,A)=>{P.set(D,{asString:async()=>I.items[A].asString})}),P}t.toITreeDataTransfer=y;async function T(I){const P={types:[],items:[]},D=Array.from(I.entries());for(const A of D)P.types.push(A[0]),P.items.push({asString:await A[1].asString()});return P}t.toTreeDataTransferDTO=T})(s=e.TreeDataTransferConverter||(e.TreeDataTransferConverter={}))}),define(we[66],Ee([0,1,11,2]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-webview.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`https://*.${e.webviewResourceBaseHost}`;function y(P,D){return P.scheme===s.Schemas.http||P.scheme===s.Schemas.https?P:(D&&D.authority&&D.isRemote&&P.scheme===s.Schemas.file&&(P=t.URI.from({scheme:s.Schemas.vscodeRemote,authority:D.authority,path:P.path})),t.URI.from({scheme:s.Schemas.https,authority:`${P.scheme}+${T(P.authority)}.${e.webviewRootResourceAuthority}`,path:P.path,fragment:P.fragment,query:P.query}))}e.asWebviewUri=y;function T(P){return P.replace(/./g,D=>{const A=D.charCodeAt(0);return A>=97&&A<=122||A>=65&&A<=90||A>=48&&A<=57?D:"-"+A.toString(16).padStart(4,"0")})}function I(P){return P.replace(/-([0-9a-f]{4})/g,(D,A)=>String.fromCharCode(parseInt(A,16)))}e.decodeAuthority=I}),define(we[153],Ee([0,1,4,6,66]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class T{constructor(P,D,A){this._proxy=P,this._editors=D,this._initData=A,this._handlePool=0,this._disposables=new t.DisposableStore,this._insets=new Map,this._disposables.add(D.onDidChangeVisibleTextEditors(()=>{const R=D.getVisibleTextEditors();for(const w of this._insets.values())R.indexOf(w.editor)<0&&w.inset.dispose()}))}dispose(){this._insets.forEach(P=>P.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(P,D,A,R,w){let i;for(const m of this._editors.getVisibleTextEditors(!0))if(m.value===P){i=m;break}if(!i)throw new Error("not a visible editor");const g=this,o=this._handlePool++,c=new s.Emitter,u=new s.Emitter,F=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(m){return(0,y.asWebviewUri)(m,g._initData.remote)}get cspSource(){return y.webviewGenericCspSource}set options(m){this._options=m,g._proxy.$setOptions(o,m)}get options(){return this._options}set html(m){this._html=m,g._proxy.$setHtml(o,m)}get html(){return this._html}get onDidReceiveMessage(){return c.event}postMessage(m){return g._proxy.$postMessage(o,m)}},S=new class{constructor(){this.editor=P,this.line=D,this.height=A,this.webview=F,this.onDidDispose=u.event}dispose(){g._insets.has(o)&&(g._insets.delete(o),g._proxy.$disposeEditorInset(o),u.fire(),u.dispose(),c.dispose())}};return this._proxy.$createEditorInset(o,i.id,i.value.document.uri,D+1,A,R||{},w.identifier,w.extensionLocation),this._insets.set(o,{editor:P,inset:S,onDidReceiveMessage:c}),S}$onDidDispose(P){const D=this._insets.get(P);D&&D.inset.dispose()}$onDidReceiveMessage(P,D){const A=this._insets.get(P);A&&A.onDidReceiveMessage.fire(D)}}e.ExtHostEditorInsets=T}),define(we[154],Ee([0,1,125,10,2,6,3,45,37,46,16,11]),function(te,e,s,t,y,T,I,P,D,A,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.EditorTabsVisibleContext=e.EditorAreaVisibleContext=e.SplitEditorsVertically=e.IsCenteredLayoutContext=e.InEditorZenModeContext=e.EditorsVisibleContext=e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext=e.ActiveEditorGroupLockedContext=e.ActiveEditorGroupLastContext=e.ActiveEditorGroupIndexContext=e.ActiveEditorGroupEmptyContext=e.EditorGroupEditorsCountContext=e.SideBySideEditorActiveContext=e.TextCompareEditorActiveContext=e.TextCompareEditorVisibleContext=e.ActiveEditorAvailableEditorIdsContext=e.ActiveEditorContext=e.ActiveEditorCanSplitInGroupContext=e.ActiveEditorCanRevertContext=e.ActiveEditorReadonlyContext=e.ActiveEditorStickyContext=e.ActiveEditorPinnedContext=e.ActiveEditorDirtyContext=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,s.localize)(0,null),providerDisplayName:(0,s.localize)(1,null)},e.ActiveEditorDirtyContext=new P.RawContextKey("activeEditorIsDirty",!1,(0,s.localize)(2,null)),e.ActiveEditorPinnedContext=new P.RawContextKey("activeEditorIsNotPreview",!1,(0,s.localize)(3,null)),e.ActiveEditorStickyContext=new P.RawContextKey("activeEditorIsPinned",!1,(0,s.localize)(4,null)),e.ActiveEditorReadonlyContext=new P.RawContextKey("activeEditorIsReadonly",!1,(0,s.localize)(5,null)),e.ActiveEditorCanRevertContext=new P.RawContextKey("activeEditorCanRevert",!1,(0,s.localize)(6,null)),e.ActiveEditorCanSplitInGroupContext=new P.RawContextKey("activeEditorCanSplitInGroup",!0),e.ActiveEditorContext=new P.RawContextKey("activeEditor",null,{type:"string",description:(0,s.localize)(7,null)}),e.ActiveEditorAvailableEditorIdsContext=new P.RawContextKey("activeEditorAvailableEditorIds","",(0,s.localize)(8,null)),e.TextCompareEditorVisibleContext=new P.RawContextKey("textCompareEditorVisible",!1,(0,s.localize)(9,null)),e.TextCompareEditorActiveContext=new P.RawContextKey("textCompareEditorActive",!1,(0,s.localize)(10,null)),e.SideBySideEditorActiveContext=new P.RawContextKey("sideBySideEditorActive",!1,(0,s.localize)(11,null)),e.EditorGroupEditorsCountContext=new P.RawContextKey("groupEditorsCount",0,(0,s.localize)(12,null)),e.ActiveEditorGroupEmptyContext=new P.RawContextKey("activeEditorGroupEmpty",!1,(0,s.localize)(13,null)),e.ActiveEditorGroupIndexContext=new P.RawContextKey("activeEditorGroupIndex",0,(0,s.localize)(14,null)),e.ActiveEditorGroupLastContext=new P.RawContextKey("activeEditorGroupLast",!1,(0,s.localize)(15,null)),e.ActiveEditorGroupLockedContext=new P.RawContextKey("activeEditorGroupLocked",!1,(0,s.localize)(16,null)),e.MultipleEditorGroupsContext=new P.RawContextKey("multipleEditorGroups",!1,(0,s.localize)(17,null)),e.SingleEditorGroupsContext=e.MultipleEditorGroupsContext.toNegated(),e.EditorsVisibleContext=new P.RawContextKey("editorIsOpen",!1,(0,s.localize)(18,null)),e.InEditorZenModeContext=new P.RawContextKey("inZenMode",!1,(0,s.localize)(19,null)),e.IsCenteredLayoutContext=new P.RawContextKey("isCenteredLayout",!1,(0,s.localize)(20,null)),e.SplitEditorsVertically=new P.RawContextKey("splitEditorsVertically",!1,(0,s.localize)(21,null)),e.EditorAreaVisibleContext=new P.RawContextKey("editorAreaVisible",!0,(0,s.localize)(22,null)),e.EditorTabsVisibleContext=new P.RawContextKey("editorTabsVisible",!0,(0,s.localize)(23,null)),e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";function i(E,O,W){for(const U of W.visibleEditorPanes)if(U.group.id===O&&E.matches(U.input))return U.getViewState()}e.findViewStateForEditor=i;function g(E){if(k(E))return!1;const O=E;return y.URI.isUri(O?.resource)}e.isResourceEditorInput=g;function o(E){if(k(E))return!1;const O=E;return O?.original!==void 0&&O.modified!==void 0}e.isResourceDiffEditorInput=o;function c(E){if(k(E)||o(E))return!1;const O=E;return O?.primary!==void 0&&O.secondary!==void 0}e.isResourceSideBySideEditorInput=c;function u(E){if(k(E))return!1;const O=E;return O?O.resource===void 0||O.resource.scheme===w.Schemas.untitled||O.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=u;var F;(function(E){E[E.SHORT=0]="SHORT",E[E.MEDIUM=1]="MEDIUM",E[E.LONG=2]="LONG"})(F=e.Verbosity||(e.Verbosity={}));var S;(function(E){E[E.EXPLICIT=1]="EXPLICIT",E[E.AUTO=2]="AUTO",E[E.FOCUS_CHANGE=3]="FOCUS_CHANGE",E[E.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(S=e.SaveReason||(e.SaveReason={}));var m;(function(E){E[E.None=0]="None",E[E.Readonly=2]="Readonly",E[E.Untitled=4]="Untitled",E[E.Singleton=8]="Singleton",E[E.RequiresTrust=16]="RequiresTrust",E[E.CanSplitInGroup=32]="CanSplitInGroup",E[E.ForceDescription=64]="ForceDescription"})(m=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class d extends T.Disposable{}e.AbstractEditorInput=d;function k(E){return E instanceof d}e.isEditorInput=k;function a(E){const O=E;return y.URI.isUri(O?.preferredResource)}function M(E){const O=E;return k(O?.primary)&&k(O?.secondary)}e.isSideBySideEditorInput=M;function r(E){const O=E;return k(O?.modified)&&k(O?.original)}e.isDiffEditorInput=r;function n(E){return k(E?.editor)}e.isEditorInputWithOptions=n;function b(E){const O=E;return n(E)&&O?.group!==void 0}e.isEditorInputWithOptionsAndGroup=b;function p(E){const O=E;return typeof O?.groupId=="number"&&k(O.editor)}e.isEditorIdentifier=p;var l;(function(E){E[E.UNKNOWN=0]="UNKNOWN",E[E.REPLACE=1]="REPLACE",E[E.MOVE=2]="MOVE",E[E.UNPIN=3]="UNPIN"})(l=e.EditorCloseContext||(e.EditorCloseContext={}));var h;(function(E){E[E.GROUP_ACTIVE=0]="GROUP_ACTIVE",E[E.GROUP_INDEX=1]="GROUP_INDEX",E[E.GROUP_LOCKED=2]="GROUP_LOCKED",E[E.EDITOR_OPEN=3]="EDITOR_OPEN",E[E.EDITOR_CLOSE=4]="EDITOR_CLOSE",E[E.EDITOR_MOVE=5]="EDITOR_MOVE",E[E.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",E[E.EDITOR_LABEL=7]="EDITOR_LABEL",E[E.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",E[E.EDITOR_PIN=9]="EDITOR_PIN",E[E.EDITOR_STICKY=10]="EDITOR_STICKY",E[E.EDITOR_DIRTY=11]="EDITOR_DIRTY",E[E.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(h=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var v;(function(E){E[E.PRIMARY=1]="PRIMARY",E[E.SECONDARY=2]="SECONDARY",E[E.BOTH=3]="BOTH",E[E.ANY=4]="ANY"})(v=e.SideBySideEditor||(e.SideBySideEditor={}));class _{getOriginalUri(O,W){if(!O)return;if(W?.supportSideBySide){const{primary:H,secondary:V}=this.getSideEditors(O);if(H&&V){if(W?.supportSideBySide===v.BOTH)return{primary:this.getOriginalUri(H,{filterByScheme:W.filterByScheme}),secondary:this.getOriginalUri(V,{filterByScheme:W.filterByScheme})};if(W?.supportSideBySide===v.ANY)return this.getOriginalUri(H,{filterByScheme:W.filterByScheme})??this.getOriginalUri(V,{filterByScheme:W.filterByScheme});O=W.supportSideBySide===v.PRIMARY?H:V}}if(o(O)||c(O))return;const U=a(O)?O.preferredResource:O.resource;return!U||!W||!W.filterByScheme?U:this.filterUri(U,W.filterByScheme)}getSideEditors(O){return M(O)||c(O)?{primary:O.primary,secondary:O.secondary}:r(O)||o(O)?{primary:O.modified,secondary:O.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(O,W){if(!O)return;if(W?.supportSideBySide){const{primary:H,secondary:V}=this.getSideEditors(O);if(H&&V){if(W?.supportSideBySide===v.BOTH)return{primary:this.getCanonicalUri(H,{filterByScheme:W.filterByScheme}),secondary:this.getCanonicalUri(V,{filterByScheme:W.filterByScheme})};if(W?.supportSideBySide===v.ANY)return this.getCanonicalUri(H,{filterByScheme:W.filterByScheme})??this.getCanonicalUri(V,{filterByScheme:W.filterByScheme});O=W.supportSideBySide===v.PRIMARY?H:V}}if(o(O)||c(O))return;const U=O.resource;return!U||!W||!W.filterByScheme?U:this.filterUri(U,W.filterByScheme)}filterUri(O,W){if(Array.isArray(W)){if(W.some(U=>O.scheme===U))return O}else if(W===O.scheme)return O}}e.EditorResourceAccessor=new _;var f;(function(E){E[E.LEFT=0]="LEFT",E[E.RIGHT=1]="RIGHT"})(f=e.CloseDirection||(e.CloseDirection={}));class C{constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(O){const W=this.instantiationService=O.get(I.IInstantiationService);for(const[U,H]of this.editorSerializerConstructors)this.createEditorSerializer(U,H,W);this.editorSerializerConstructors.clear()}createEditorSerializer(O,W,U){const H=U.createInstance(W);this.editorSerializerInstances.set(O,H)}registerFileEditorFactory(O){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=O}getFileEditorFactory(){return(0,t.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(O,W){if(this.editorSerializerConstructors.has(O)||this.editorSerializerInstances.has(O))throw new Error(`A editor serializer with type ID '${O}' was already registered.`);return this.instantiationService?this.createEditorSerializer(O,W,this.instantiationService):this.editorSerializerConstructors.set(O,W),(0,T.toDisposable)(()=>{this.editorSerializerConstructors.delete(O),this.editorSerializerInstances.delete(O)})}getEditorSerializer(O){return this.editorSerializerInstances.get(typeof O=="string"?O:O.typeId)}}D.Registry.add(e.EditorExtensions.EditorFactory,new C);async function x(E,O){if(!E||!E.length)return[];const W=await Promise.all(E.map(async U=>{const H=y.URI.revive(U.fileUri);if(!H||!await O.canHandleResource(H))return;let Z=U.exists,G=U.type;if(typeof Z!="boolean"||typeof G!="number")try{G=(await O.resolve(H)).isDirectory?A.FileType.Directory:A.FileType.Unknown,Z=!0}catch{Z=!1}if(!Z&&U.openOnlyIfExists||G===A.FileType.Directory)return;const oe={selection:Z?U.selection:void 0,pinned:!0,override:U.editorOverrideId};let be;return Z?be={resource:H,options:oe}:be={resource:H,options:oe,forceUntitled:!0},be}));return(0,R.coalesce)(W)}e.pathsToEditors=x;var N;(function(E){E[E.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",E[E.SEQUENTIAL=1]="SEQUENTIAL"})(N=e.EditorsOrder||(e.EditorsOrder={}))}),define(we[155],Ee([0,1,4,14,126]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class T{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new s.Emitter,this._onExit=new s.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(P){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=P}onEvent(P){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=P}onRequest(P){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=P}sendResponse(P){P.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${P.command}`)):this.internalSend("response",P)}sendRequest(P,D,A,R){const w={command:P};if(D&&Object.keys(D).length>0&&(w.arguments=D),this.internalSend("request",w),typeof R=="number"){const i=setTimeout(()=>{clearTimeout(i);const g=this.pendingRequests.get(w.seq);if(g){this.pendingRequests.delete(w.seq);const o={type:"response",seq:0,request_seq:w.seq,success:!1,command:P,message:(0,y.localize)(0,null,R,P)};g(o)}},R)}return A&&this.pendingRequests.set(w.seq,A),w.seq}acceptMessage(P){this.messageCallback?this.messageCallback(P):(this.queue.push(P),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(P,D){return P.type!=="event"||D.type!=="event"}async processQueue(){let P;for(;this.queue.length;){if((!P||this.needsTaskBoundaryBetween(this.queue[0],P))&&await(0,t.timeout)(0),P=this.queue.shift(),!P)return;switch(P.type){case"event":this.eventCallback&&this.eventCallback(P);break;case"request":this.requestCallback&&this.requestCallback(P);break;case"response":{const D=P,A=this.pendingRequests.get(D.request_seq);A&&(this.pendingRequests.delete(D.request_seq),A(D));break}}}}internalSend(P,D){D.type=P,D.seq=this.sequence++,this.sendMessage(D)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const P=new Map;this.pendingRequests.forEach((D,A)=>P.set(A,D)),await(0,t.timeout)(500),P.forEach((D,A)=>{D({type:"response",seq:0,request_seq:A,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(A)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=T}),define(we[156],Ee([0,1,9,2,17,26,11]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const P=/{([^}]+)}/g;function D(r,n,b){return r.replace(P,function(p,l){return n&&l.length>0&&l[0]!=="_"?p:b&&b.hasOwnProperty(l)?b[l]:p})}e.formatPII=D;function A(r){const n={};for(const b of Object.keys(r))b.startsWith("!")||(n[b]=r[b]);return n}e.filterExceptionsFromTelemetry=A;function R(r){return r.configuration.request==="attach"&&!w(r)&&(!r.parentSession||R(r.parentSession))}e.isSessionAttach=R;function w(r){let n=r.configuration.type;if(!!n)return n==="vslsShare"&&(n=r.configuration.adapterProxy.configuration.type),(0,s.equalsIgnoreCase)(n,"extensionhost")||(0,s.equalsIgnoreCase)(n,"pwa-extensionhost")?r:r.parentSession?w(r.parentSession):void 0}e.getExtensionHostDebugSession=w;function i(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=i;function g(r,n,b){let p,l=0;const h=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let v=null;for(;v=h.exec(r);){const _=v.index+1,f=_+v[0].length;if(_<=n&&f>=b){p=v[0],l=_;break}}if(p){const _=/\w+/g;let f=null;for(;(f=_.exec(p))&&!(f.index+1+l+f[0].length>=b););f&&(p=p.substring(0,_.lastIndex))}return p?{start:l,end:l+p.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=g;const o=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function c(r){return!!(r&&r.match(o))}e.isUri=c;function u(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(c(r.path))return t.URI.parse(r.path);if((0,y.isAbsolute)(r.path))return t.URI.file(r.path)}return r.path}function F(r){if(typeof r.path=="object"){const n=t.URI.revive(r.path);if(n)return n.scheme===I.Schemas.file?n.fsPath:n.toString()}return r.path}function S(r,n){const b=n?u:F,p=(0,T.deepClone)(r);return d(p,(l,h)=>{l&&h&&(h.path=b(h))}),p}e.convertToDAPaths=S;function m(r,n){const b=n?u:F,p=(0,T.deepClone)(r);return d(p,(l,h)=>{!l&&h&&(h.path=b(h))}),p}e.convertToVSCPaths=m;function d(r,n){switch(r.type){case"event":{const b=r;switch(b.event){case"output":n(!1,b.body.source);break;case"loadedSource":n(!1,b.body.source);break;case"breakpoint":n(!1,b.body.breakpoint.source);break;default:break}break}case"request":{const b=r;switch(b.command){case"setBreakpoints":n(!0,b.arguments.source);break;case"breakpointLocations":n(!0,b.arguments.source);break;case"source":n(!0,b.arguments.source);break;case"gotoTargets":n(!0,b.arguments.source);break;case"launchVSCode":b.arguments.args.forEach(p=>n(!1,p));break;default:break}break}case"response":{const b=r;if(b.success&&b.body)switch(b.command){case"stackTrace":b.body.stackFrames.forEach(p=>n(!1,p.source));break;case"loadedSources":b.body.sources.forEach(p=>n(!1,p));break;case"scopes":b.body.scopes.forEach(p=>n(!1,p.source));break;case"setFunctionBreakpoints":b.body.breakpoints.forEach(p=>n(!1,p.source));break;case"setBreakpoints":b.body.breakpoints.forEach(p=>n(!1,p.source));break;default:break}break}}}function k(r){return r.filter(n=>!n.presentation?.hidden).sort((n,b)=>n.presentation?b.presentation?n.presentation.group?b.presentation.group?n.presentation.group!==b.presentation.group?n.presentation.group.localeCompare(b.presentation.group):a(n.presentation.order,b.presentation.order):-1:b.presentation.group?1:a(n.presentation.order,b.presentation.order):-1:b.presentation?1:0)}e.getVisibleAndSorted=k;function a(r,n){return typeof r!="number"?typeof n!="number"?0:1:typeof n!="number"?-1:r-n}async function M(r,n){const b=r.getValue("debug.saveBeforeStart",{overrideIdentifier:n.activeTextEditorLanguageId});if(b!=="none"&&(await n.saveAll(),b==="allEditorsInActiveGroup")){const p=n.activeEditorPane;p&&p.input.resource?.scheme===I.Schemas.untitled&&await n.save({editor:p.input,groupId:p.group.id})}await r.reloadConfiguration()}e.saveAllBeforeDebugStart=M}),define(we[87],Ee([0,1,29,157,76,11,17,23,45]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.mimeTypeIsMergeable=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var A;(function(_){_[_.Markup=1]="Markup",_[_.Code=2]="Code"})(A=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",y.Mimes.latex,y.Mimes.markdown,"image/png","image/jpeg",y.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[y.Mimes.latex,y.Mimes.markdown,"application/json",y.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var R;(function(_){_[_.Running=1]="Running",_[_.Idle=2]="Idle"})(R=e.NotebookRunState||(e.NotebookRunState={}));var w;(function(_){_[_.Pending=2]="Pending",_[_.Executing=3]="Executing"})(w=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var i;(function(_){_[_.WithHardKernelDependency=0]="WithHardKernelDependency",_[_.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",_[_.Pure=2]="Pure",_[_.Never=3]="Never"})(i=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var g;(function(_){_.Always="always",_.Never="never",_.Optional="optional"})(g=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var o;(function(_){_[_.ModelChange=1]="ModelChange",_[_.Move=2]="Move",_[_.ChangeLanguage=5]="ChangeLanguage",_[_.Initialize=6]="Initialize",_[_.ChangeCellMetadata=7]="ChangeCellMetadata",_[_.Output=8]="Output",_[_.OutputItem=9]="OutputItem",_[_.ChangeCellContent=10]="ChangeCellContent",_[_.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",_[_.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",_[_.ChangeCellMime=13]="ChangeCellMime",_[_.Unknown=100]="Unknown"})(o=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var c;(function(_){_[_.Handle=0]="Handle",_[_.Index=1]="Index"})(c=e.SelectionStateType||(e.SelectionStateType={}));var u;(function(_){_[_.Replace=1]="Replace",_[_.Output=2]="Output",_[_.Metadata=3]="Metadata",_[_.CellLanguage=4]="CellLanguage",_[_.DocumentMetadata=5]="DocumentMetadata",_[_.Move=6]="Move",_[_.OutputItems=7]="OutputItems",_[_.PartialMetadata=8]="PartialMetadata",_[_.PartialInternalMetadata=9]="PartialInternalMetadata"})(u=e.CellEditType||(e.CellEditType={}));var F;(function(_){_.scheme=T.Schemas.vscodeNotebookCell;const f=/^ch(\d{7,})/;function C(U,H){return U.with({scheme:_.scheme,fragment:`ch${H.toString().padStart(7,"0")}${U.scheme!==T.Schemas.file?U.scheme:""}`})}_.generate=C;function x(U){if(U.scheme!==_.scheme)return;const H=f.exec(U.fragment);return H?{handle:Number(H[1]),notebook:U.with({scheme:U.fragment.substring(H[0].length)||T.Schemas.file,fragment:null})}:void 0}_.parse=x;function N(U,H,V){return U.with({scheme:T.Schemas.vscodeNotebookCellOutput,fragment:`ch${H.toString().padStart(7,"0")},${V??""},${U.scheme!==T.Schemas.file?U.scheme:""}`})}_.generateCellOutputUri=N;function E(U){if(U.scheme!==T.Schemas.vscodeNotebookCellOutput)return;const H=/^ch(\d{7,})\,([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(U.fragment);if(!H)return;const V=Number(H[1]),Z=H[2]&&H[2]!==""?H[2]:void 0,G=H[3];return{handle:V,outputId:Z,notebook:U.with({scheme:G||T.Schemas.file,fragment:null})}}_.parseCellOutputUri=E;function O(U,H,V){return U.with({scheme:V,fragment:`ch${H.toString().padStart(7,"0")}${U.scheme!==T.Schemas.file?U.scheme:""}`})}_.generateCellUri=O;function W(U,H){if(U.scheme!==H)return;const V=f.exec(U.fragment);return V?{handle:Number(V[1]),notebook:U.with({scheme:U.fragment.substring(V[0].length)||T.Schemas.file,fragment:null})}:void 0}_.parseCellUri=W})(F=e.CellUri||(e.CellUri={}));const S=new Map([["application/javascript",{supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["image/jpeg",{alwaysSecure:!0,supportedByCore:!0}],["image/git",{alwaysSecure:!0,supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["application/json",{alwaysSecure:!0,supportedByCore:!0}],[y.Mimes.latex,{alwaysSecure:!0,supportedByCore:!0}],[y.Mimes.text,{alwaysSecure:!0,supportedByCore:!0}],["text/html",{supportedByCore:!0}],["text/x-javascript",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.error",{alwaysSecure:!0,supportedByCore:!0}],["application/vnd.code.notebook.stdout",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}],["application/vnd.code.notebook.stderr",{alwaysSecure:!0,supportedByCore:!0,mergeable:!0}]]);function m(_){return S.get(_)?.alwaysSecure??!1}e.mimeTypeIsAlwaysSecure=m;function d(_){return S.get(_)?.supportedByCore??!1}e.mimeTypeSupportedByCore=d;function k(_){return S.get(_)?.mergeable??!1}e.mimeTypeIsMergeable=k;const a=_=>P.isWindows?_.replace(/\//g,"\\"):_;class M{constructor(f=[],C=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=C,this.order=[...new Set(f)].map(x=>({pattern:x,matches:s.parse(a(x))}))}sort(f){const C=new Map(t.Iterable.map(f,N=>[N,a(N)]));let x=[];for(const{matches:N}of this.order)for(const[E,O]of C)if(N(O)){x.push(E),C.delete(E);break}return C.size&&(x=x.concat([...C.keys()].sort((N,E)=>this.defaultOrder.indexOf(N)-this.defaultOrder.indexOf(E)))),x}prioritize(f,C){const x=this.findIndex(f);if(x===-1){this.order.unshift({pattern:f,matches:s.parse(a(f))});return}const N=new Set(C.map(O=>this.findIndex(O,x)));N.delete(-1);const E=Array.from(N).sort();this.order.splice(x+1,0,...E.map(O=>this.order[O]));for(let O=E.length-1;O>=0;O--)this.order.splice(E[O],1)}toArray(){return this.order.map(f=>f.pattern)}findIndex(f,C=this.order.length){const x=a(f);for(let N=0;N<C;N++)if(this.order[N].matches(x))return N;return-1}}e.MimeTypeDisplayOrder=M;function r(_,f,C,x=(N,E)=>N===E){const N=[];function E(U,H,V){if(H===0&&V.length===0)return;const Z=N[N.length-1];Z&&Z.start+Z.deleteCount===U?(Z.deleteCount+=H,Z.toInsert.push(...V)):N.push({start:U,deleteCount:H,toInsert:V})}let O=0,W=0;for(;;){if(O===_.length){E(O,0,f.slice(W));break}if(W===f.length){E(O,_.length-O,[]);break}const U=_[O],H=f[W];if(x(U,H)){O+=1,W+=1;continue}C(H)?(E(O,1,[]),O+=1):(E(O,0,[H]),W+=1)}return N}e.diff=r,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new D.RawContextKey("notebookEditorCursorAtBoundary","none");var n;(function(_){_.default="default",_.option="option"})(n=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function b(_){const f=_;return!!((typeof f.include=="string"||s.isRelativePattern(f.include))&&(typeof f.exclude=="string"||s.isRelativePattern(f.exclude)))}e.isDocumentExcludePattern=b;function p(_,f,C){if(Array.isArray(_.viewType)&&_.viewType.indexOf(f)>=0||_.viewType===f)return!0;if(_.filenamePattern){const x=b(_.filenamePattern)?_.filenamePattern.include:_.filenamePattern,N=b(_.filenamePattern)?_.filenamePattern.exclude:void 0;if(s.match(x,(0,I.basename)(C.fsPath).toLowerCase()))return!(N&&s.match(N,(0,I.basename)(C.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=p;class l{constructor(f){this.textModel=f}getElements(){const f=new Int32Array(this.textModel.cells.length);for(let C=0;C<this.textModel.cells.length;C++)f[C]=this.textModel.cells[C].getHashValue();return f}}e.CellSequence=l,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize"};var h;(function(_){_[_.Left=1]="Left",_[_.Right=2]="Right"})(h=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class v{static create(f){return`${v._prefix}${f}`}static parse(f){if(f.startsWith(v._prefix))return f.substring(v._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=v,v._prefix="notebook/"}),define(we[158],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var t;(function(y){y[y.Output=1]="Output",y[y.OutputItems=2]="OutputItems",y[y.ExecutionState=3]="ExecutionState"})(t=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,s.createDecorator)("INotebookExecutionService")}),define(we[159],Ee([0,1,3,45]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new t.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new t.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new t.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,s.createDecorator)(e.OUTPUT_SERVICE_ID);var y;(function(T){T[T.Append=1]="Append",T[T.Replace=2]="Replace",T[T.Clear=3]="Clear"})(y=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={}))}),define(we[160],Ee([0,1,128,3,45]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new y.RawContextKey("customExecutionSupported",!0,s.localize(0,null)),e.ShellExecutionSupportedContext=new y.RawContextKey("shellExecutionSupported",!1,s.localize(1,null)),e.ProcessExecutionSupportedContext=new y.RawContextKey("processExecutionSupported",!1,s.localize(2,null)),e.ITaskService=(0,t.createDecorator)("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(we[161],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function s(y){return[...y.entries()]}e.serializeEnvironmentVariableCollection=s;function t(y){return new Map(y)}e.deserializeEnvironmentVariableCollection=t}),define(we[88],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestDiffOpType=e.DetailType=e.applyTestItemUpdate=e.TestItemExpandState=e.TestMessageType=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var s;(function(w){w[w.Unset=0]="Unset",w[w.Queued=1]="Queued",w[w.Running=2]="Running",w[w.Passed=3]="Passed",w[w.Failed=4]="Failed",w[w.Skipped=5]="Skipped",w[w.Errored=6]="Errored"})(s=e.TestResultState||(e.TestResultState={}));var t;(function(w){w[w.Run=2]="Run",w[w.Debug=4]="Debug",w[w.Coverage=8]="Coverage",w[w.HasNonDefaultProfile=16]="HasNonDefaultProfile",w[w.HasConfigurable=32]="HasConfigurable"})(t=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var y;(function(w){w[w.Error=0]="Error",w[w.Info=1]="Info"})(y=e.TestMessageType||(e.TestMessageType={}));var T;(function(w){w[w.NotExpandable=0]="NotExpandable",w[w.Expandable=1]="Expandable",w[w.BusyExpanding=2]="BusyExpanding",w[w.Expanded=3]="Expanded"})(T=e.TestItemExpandState||(e.TestItemExpandState={}));const I=(w,i)=>{i.expand!==void 0&&(w.expand=i.expand),i.item!==void 0&&(w.item=w.item?Object.assign(w.item,i.item):i.item)};e.applyTestItemUpdate=I;var P;(function(w){w[w.Function=0]="Function",w[w.Statement=1]="Statement"})(P=e.DetailType||(e.DetailType={}));var D;(function(w){w[w.Add=0]="Add",w[w.Update=1]="Update",w[w.Remove=2]="Remove",w[w.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",w[w.Retire=4]="Retire",w[w.AddTag=5]="AddTag",w[w.RemoveTag=6]="RemoveTag"})(D=e.TestDiffOpType||(e.TestDiffOpType={}));class A{add(i){}update(i){}remove(i,g){}complete(){}}e.IncrementalChangeCollector=A;class R{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(i){const g=this.createChangeCollector();for(const o of i)switch(o[0]){case 0:{const c=o[1];if(c.parent){if(this.items.has(c.parent)){const u=this.items.get(c.parent);u.children.add(c.item.extId);const F=this.createItem(c,u);this.items.set(c.item.extId,F),g.add(F)}}else{const u=this.createItem(c);this.roots.add(u),this.items.set(c.item.extId,u),g.add(u)}c.expand===2&&this.busyControllerCount++;break}case 1:{const c=o[1],u=this.items.get(c.extId);if(!u)break;c.expand!==void 0&&(u.expand===2&&this.busyControllerCount--,c.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(u,c),g.update(u);break}case 2:{const c=this.items.get(o[1]);if(!c)break;c.parent?this.items.get(c.parent).children.delete(c.item.extId):this.roots.delete(c);const u=[[o[1]]];for(;u.length;)for(const F of u.pop()){const S=this.items.get(F);S&&(u.push(S.children),this.items.delete(F),g.remove(S,S!==c),S.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(o[1]);break;case 3:this.updatePendingRoots(o[1]);break;case 5:this._tags.set(o[1].id,o[1]);break;case 6:this._tags.delete(o[1]);break}g.complete()}retireTest(i){}updatePendingRoots(i){this.pendingRootCount+=i}createChangeCollector(){return new A}}e.AbstractIncrementalTestCollection=R}),define(we[67],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var s;(function(T){T.Delimiter="\0"})(s=e.TestIdPathParts||(e.TestIdPathParts={}));var t;(function(T){T[T.IsSame=0]="IsSame",T[T.Disconnected=1]="Disconnected",T[T.IsChild=2]="IsChild",T[T.IsParent=3]="IsParent"})(t=e.TestPosition||(e.TestPosition={}));class y{constructor(I,P=I.length){if(this.path=I,this.viewEnd=P,I.length===0||P<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(I,P,D=I.parent){if(I.id===P)return new y([P]);let A=[I.id];for(let R=D;R&&R.id!==P;R=R.parent)A.push(R.id);return A.push(P),new y(A.reverse())}static isRoot(I){return!I.includes("\0")}static root(I){const P=I.indexOf("\0");return P===-1?I:I.slice(0,P)}static fromString(I){return new y(I.split("\0"))}static join(I,P){return new y([...I.path,P])}static joinToString(I,P){return I.toString()+"\0"+P}static compare(I,P){return I===P?0:P.startsWith(I+"\0")?2:I.startsWith(P+"\0")?3:1}get parentId(){return this.viewEnd>1?new y(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let I=1;I<=this.viewEnd;I++)yield new y(this.path,I)}compare(I){if(typeof I=="string")return y.compare(this.toString(),I);for(let P=0;P<I.viewEnd&&P<this.viewEnd;P++)if(I.path[P]!==this.path[P])return 1;return I.viewEnd>this.viewEnd?2:I.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let I=1;I<this.viewEnd;I++)this.stringifed+="\0",this.stringifed+=this.path[I]}return this.stringifed}}e.TestId=y}),define(we[162],Ee([0,1,17,89,10,26,23,78,129]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class A{constructor(w,i,g){this._contributedVariables=new Map,this._context=w,this._labelService=i,g&&(this._envVariablesPromise=g.then(o=>this.prepareEnv(o)))}prepareEnv(w){if(I.isWindows){const i=Object.create(null);return Object.keys(w).forEach(g=>{i[g.toLowerCase()]=w[g]}),i}return w}resolveWithEnvironment(w,i,g){return this.recursiveResolve(this.prepareEnv(w),i?i.uri:void 0,g)}async resolveAsync(w,i){return this.recursiveResolve(await this._envVariablesPromise,w?w.uri:void 0,i)}async resolveAnyBase(w,i,g,o){const c=T.deepClone(i);return I.isWindows&&c.windows?Object.keys(c.windows).forEach(u=>c[u]=c.windows[u]):I.isMacintosh&&c.osx?Object.keys(c.osx).forEach(u=>c[u]=c.osx[u]):I.isLinux&&c.linux&&Object.keys(c.linux).forEach(u=>c[u]=c.linux[u]),delete c.windows,delete c.osx,delete c.linux,this.recursiveResolve(await this._envVariablesPromise,w?w.uri:void 0,c,g,o)}async resolveAnyAsync(w,i,g){return this.resolveAnyBase(w,i,g)}async resolveAnyMap(w,i,g){const o=new Map;return{newConfig:await this.resolveAnyBase(w,i,g,o),resolvedVariables:o}}resolveWithInteractionReplace(w,i,g,o){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(w,i,g,o){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(w,i){if(this._contributedVariables.has(w))throw new Error("Variable "+w+" is contributed twice.");this._contributedVariables.set(w,i)}recursiveResolve(w,i,g,o,c){if(y.isString(g))return this.resolveString(w,i,g,o,c);if(y.isArray(g))return g.map(u=>this.recursiveResolve(w,i,u,o,c));if(y.isObject(g)){let u=Object.create(null);return Object.keys(g).forEach(F=>{const S=this.resolveString(w,i,F,o,c);u[S]=this.recursiveResolve(w,i,g[F],o,c)}),u}return g}resolveString(w,i,g,o,c){return g.replace(A.VARIABLE_REGEXP,(F,S)=>{if(S.includes(A.VARIABLE_LHS))return F;let m=this.evaluateSingleVariable(w,F,S,i,o);return c&&c.set(S,m),m!==F&&y.isString(m)&&m.match(A.VARIABLE_REGEXP)&&(m=this.resolveString(w,i,m,o,c)),m})}fsPath(w){return this._labelService?this._labelService.getUriLabel(w,{noPrefix:!0}):w.fsPath}evaluateSingleVariable(w,i,g,o,c){let u;const F=g.split(":");F.length>1&&(g=F[0],u=F[1]);const S=()=>{const k=this._context.getFilePath();if(k)return k;throw new Error((0,D.localize)(0,null,i))},m=()=>{const k=S();if(this._context.getWorkspaceFolderPathForFile){const a=this._context.getWorkspaceFolderPathForFile();if(a)return a}throw new Error((0,D.localize)(1,null,i,s.basename(k)))},d=()=>{if(u){const k=this._context.getFolderUri(u);if(k)return k;throw new Error((0,D.localize)(2,null,i,u))}if(o)return o;throw this._context.getWorkspaceFolderCount()>1?new Error((0,D.localize)(3,null,i)):new Error((0,D.localize)(4,null,i))};switch(g){case"env":if(u){if(w){const k=w[I.isWindows?u.toLowerCase():u];if(y.isString(k))return k}return""}throw new Error((0,D.localize)(5,null,i));case"config":if(u){const k=this._context.getConfigurationValue(o,u);if(y.isUndefinedOrNull(k))throw new Error((0,D.localize)(6,null,i,u));if(y.isObject(k))throw new Error((0,D.localize)(7,null,i,u));return k}throw new Error((0,D.localize)(8,null,i));case"command":return this.resolveFromMap(i,u,c,"command");case"input":return this.resolveFromMap(i,u,c,"input");default:switch(g){case"workspaceRoot":case"workspaceFolder":return(0,P.normalizeDriveLetter)(this.fsPath(d()));case"cwd":return o||u?(0,P.normalizeDriveLetter)(this.fsPath(d())):t.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return s.basename(this.fsPath(d()));case"lineNumber":{const k=this._context.getLineNumber();if(k)return k;throw new Error((0,D.localize)(9,null,i))}case"selectedText":{const k=this._context.getSelectedText();if(k)return k;throw new Error((0,D.localize)(10,null,i))}case"file":return S();case"fileWorkspaceFolder":return m();case"relativeFile":return o||u?s.relative(this.fsPath(d()),S()):S();case"relativeFileDirname":{const k=s.dirname(S());if(o||u){const a=s.relative(this.fsPath(d()),k);return a.length===0?".":a}return k}case"fileDirname":return s.dirname(S());case"fileExtname":return s.extname(S());case"fileBasename":return s.basename(S());case"fileBasenameNoExtension":{const k=s.basename(S());return k.slice(0,k.length-s.extname(k).length)}case"fileDirnameBasename":return s.basename(s.dirname(S()));case"execPath":{const k=this._context.getExecPath();return k||i}case"execInstallFolder":{const k=this._context.getAppRoot();return k||i}case"pathSeparator":return s.sep;default:try{const k=u?`${g}:${u}`:g;return this.resolveFromMap(i,k,c,void 0)}catch{return i}}}}resolveFromMap(w,i,g,o){if(i&&g){const c=o===void 0?g[i]:g[o+":"+i];if(typeof c=="string")return c;throw new Error((0,D.localize)(11,null,w))}return w}}e.AbstractVariableResolverService=A,A.VARIABLE_LHS="${",A.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(we[90],Ee([0,1,3,154]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,s.createDecorator)("editorGroupsService");var y;(function(o){o[o.UP=0]="UP",o[o.DOWN=1]="DOWN",o[o.LEFT=2]="LEFT",o[o.RIGHT=3]="RIGHT"})(y=e.GroupDirection||(e.GroupDirection={}));var T;(function(o){o[o.HORIZONTAL=0]="HORIZONTAL",o[o.VERTICAL=1]="VERTICAL"})(T=e.GroupOrientation||(e.GroupOrientation={}));var I;(function(o){o[o.FIRST=0]="FIRST",o[o.LAST=1]="LAST",o[o.NEXT=2]="NEXT",o[o.PREVIOUS=3]="PREVIOUS"})(I=e.GroupLocation||(e.GroupLocation={}));var P;(function(o){o[o.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",o[o.EVEN=1]="EVEN",o[o.TOGGLE=2]="TOGGLE"})(P=e.GroupsArrangement||(e.GroupsArrangement={}));var D;(function(o){o[o.COPY_EDITORS=0]="COPY_EDITORS",o[o.MOVE_EDITORS=1]="MOVE_EDITORS"})(D=e.MergeGroupMode||(e.MergeGroupMode={}));function A(o){const c=o;return(0,t.isEditorInput)(c?.editor)&&(0,t.isEditorInput)(c?.replacement)}e.isEditorReplacement=A;var R;(function(o){o[o.CREATION_TIME=0]="CREATION_TIME",o[o.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",o[o.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(R=e.GroupsOrder||(e.GroupsOrder={}));var w;(function(o){o[o.NEW_EDITOR=1]="NEW_EDITOR",o[o.MOVE_EDITOR=2]="MOVE_EDITOR",o[o.COPY_EDITOR=3]="COPY_EDITOR"})(w=e.OpenEditorContext||(e.OpenEditorContext={}));function i(o){const c=o;return!!c&&typeof c.id=="number"&&Array.isArray(c.editors)}e.isEditorGroup=i;function g(o){return o.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=g}),define(we[163],Ee([0,1,3,90]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,s.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function y(T){const I=T;return typeof T=="number"||(0,t.isEditorGroup)(I)}e.isPreferredGroup=y}),define(we[8],Ee([0,1,16,22,77,225,55,26,10,2,59,58,130,82,48,87,67,163,7]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var m;(function(ue){function he(z){const{selectionStartLineNumber:ye,selectionStartColumn:Ae,positionLineNumber:je,positionColumn:We}=z,mt=new S.Position(ye-1,Ae-1),Et=new S.Position(je-1,We-1);return new S.Selection(mt,Et)}ue.to=he;function ae(z){const{anchor:ye,active:Ae}=z;return{selectionStartLineNumber:ye.line+1,selectionStartColumn:ye.character+1,positionLineNumber:Ae.line+1,positionColumn:Ae.character+1}}ue.from=ae})(m=e.Selection||(e.Selection={}));var d;(function(ue){function he(z){if(!z)return;const{start:ye,end:Ae}=z;return{startLineNumber:ye.line+1,startColumn:ye.character+1,endLineNumber:Ae.line+1,endColumn:Ae.character+1}}ue.from=he;function ae(z){if(!z)return;const{startLineNumber:ye,startColumn:Ae,endLineNumber:je,endColumn:We}=z;return new S.Range(ye-1,Ae-1,je-1,We-1)}ue.to=ae})(d=e.Range||(e.Range={}));var k;(function(ue){function he(ae){switch(ae){case 1:return S.StandardTokenType.Comment;case 0:return S.StandardTokenType.Other;case 3:return S.StandardTokenType.RegEx;case 2:return S.StandardTokenType.String}}ue.to=he})(k=e.TokenType||(e.TokenType={}));var a;(function(ue){function he(z){return new S.Position(z.lineNumber-1,z.column-1)}ue.to=he;function ae(z){return{lineNumber:z.line+1,column:z.character+1}}ue.from=ae})(a=e.Position||(e.Position={}));var M;(function(ue){function he(ye,Ae){return(0,s.coalesce)((0,s.asArray)(ye).map(je=>ae(je,Ae)))}ue.from=he;function ae(ye,Ae){if(typeof ye=="string")return{$serialized:!0,language:ye};if(ye)return{$serialized:!0,language:ye.language,scheme:z(ye.scheme,Ae),pattern:typeof ye.pattern=="undefined"?void 0:fe.from(ye.pattern),exclusive:ye.exclusive}}function z(ye,Ae){return Ae&&typeof ye=="string"?Ae.transformOutgoingScheme(ye):ye}})(M=e.DocumentSelector||(e.DocumentSelector={}));var r;(function(ue){function he(z){switch(z){case S.DiagnosticTag.Unnecessary:return 1;case S.DiagnosticTag.Deprecated:return 2}}ue.from=he;function ae(z){switch(z){case 1:return S.DiagnosticTag.Unnecessary;case 2:return S.DiagnosticTag.Deprecated;default:return}}ue.to=ae})(r=e.DiagnosticTag||(e.DiagnosticTag={}));var n;(function(ue){function he(z){let ye;return z.code&&((0,D.isString)(z.code)||(0,D.isNumber)(z.code)?ye=String(z.code):ye={value:String(z.code.value),target:z.code.target}),{...d.from(z.range),message:z.message,source:z.source,code:ye,severity:p.from(z.severity),relatedInformation:z.relatedInformation&&z.relatedInformation.map(b.from),tags:Array.isArray(z.tags)?(0,s.coalesce)(z.tags.map(r.from)):void 0}}ue.from=he;function ae(z){const ye=new S.Diagnostic(d.to(z),z.message,p.to(z.severity));return ye.source=z.source,ye.code=(0,D.isString)(z.code)?z.code:z.code?.value,ye.relatedInformation=z.relatedInformation&&z.relatedInformation.map(b.to),ye.tags=z.tags&&(0,s.coalesce)(z.tags.map(r.to)),ye}ue.to=ae})(n=e.Diagnostic||(e.Diagnostic={}));var b;(function(ue){function he(z){return{...d.from(z.location.range),message:z.message,resource:z.location.uri}}ue.from=he;function ae(z){return new S.DiagnosticRelatedInformation(new S.Location(z.resource,d.to(z)),z.message)}ue.to=ae})(b=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var p;(function(ue){function he(z){switch(z){case S.DiagnosticSeverity.Error:return g.MarkerSeverity.Error;case S.DiagnosticSeverity.Warning:return g.MarkerSeverity.Warning;case S.DiagnosticSeverity.Information:return g.MarkerSeverity.Info;case S.DiagnosticSeverity.Hint:return g.MarkerSeverity.Hint}return g.MarkerSeverity.Error}ue.from=he;function ae(z){switch(z){case g.MarkerSeverity.Info:return S.DiagnosticSeverity.Information;case g.MarkerSeverity.Warning:return S.DiagnosticSeverity.Warning;case g.MarkerSeverity.Error:return S.DiagnosticSeverity.Error;case g.MarkerSeverity.Hint:return S.DiagnosticSeverity.Hint;default:return S.DiagnosticSeverity.Error}}ue.to=ae})(p=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var l;(function(ue){function he(z){return typeof z=="number"&&z>=S.ViewColumn.One?z-1:z===S.ViewColumn.Beside?F.SIDE_GROUP:F.ACTIVE_GROUP}ue.from=he;function ae(z){if(typeof z=="number"&&z>=0)return z+1;throw new Error("invalid 'EditorGroupColumn'")}ue.to=ae})(l=e.ViewColumn||(e.ViewColumn={}));function h(ue){return typeof ue.range!="undefined"}function v(ue){return ue.length===0?!0:!!h(ue[0])}e.isDecorationOptionsArr=v;var _;(function(ue){function he(We){return We.map(ue.from)}ue.fromMany=he;function ae(We){return We&&typeof We=="object"&&typeof We.language=="string"&&typeof We.value=="string"}function z(We){let mt;if(ae(We)){const{language:vt,value:bt}=We;mt={value:"```"+vt+`
`+bt+"\n```\n"}}else S.MarkdownString.isMarkdownString(We)?mt={value:We.value,isTrusted:We.isTrusted,supportThemeIcons:We.supportThemeIcons,supportHtml:We.supportHtml}:typeof We=="string"?mt={value:We}:mt={value:""};const Et=Object.create(null);mt.uris=Et;const _t=vt=>{try{let bt=A.URI.parse(vt,!0);bt=bt.with({query:ye(bt.query,Et)}),Et[vt]=bt}catch{}return""},dt=new T.Renderer;return dt.link=_t,dt.image=vt=>_t(y.parseHrefAndDimensions(vt).href),T(mt.value,{renderer:dt}),mt}ue.from=z;function ye(We,mt){if(!We)return We;let Et;try{Et=(0,I.parse)(We)}catch{}if(!Et)return We;let _t=!1;return Et=(0,P.cloneAndChange)(Et,dt=>{if(A.URI.isUri(dt)){const vt=`__uri_${Math.random().toString(16).slice(2,8)}`;return mt[vt]=dt,_t=!0,vt}else return}),_t?JSON.stringify(Et):We}function Ae(We){const mt=new S.MarkdownString(We.value,We.supportThemeIcons);return mt.isTrusted=We.isTrusted,mt.supportHtml=We.supportHtml,mt}ue.to=Ae;function je(We){if(!!We)return typeof We=="string"?We:ue.from(We)}ue.fromStrict=je})(_=e.MarkdownString||(e.MarkdownString={}));function f(ue){return v(ue)?ue.map(he=>({range:d.from(he.range),hoverMessage:Array.isArray(he.hoverMessage)?_.fromMany(he.hoverMessage):he.hoverMessage?_.from(he.hoverMessage):void 0,renderOptions:he.renderOptions})):ue.map(he=>({range:d.from(he)}))}e.fromRangeOrRangeWithMessage=f;function C(ue){return typeof ue=="undefined"?ue:typeof ue=="string"?A.URI.file(ue):ue}e.pathOrURIToURI=C;var x;(function(ue){function he(ae){return typeof ae=="undefined"?ae:{contentText:ae.contentText,contentIconPath:ae.contentIconPath?C(ae.contentIconPath):void 0,border:ae.border,borderColor:ae.borderColor,fontStyle:ae.fontStyle,fontWeight:ae.fontWeight,textDecoration:ae.textDecoration,color:ae.color,backgroundColor:ae.backgroundColor,margin:ae.margin,width:ae.width,height:ae.height}}ue.from=he})(x=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var N;(function(ue){function he(ae){return typeof ae=="undefined"?ae:{backgroundColor:ae.backgroundColor,outline:ae.outline,outlineColor:ae.outlineColor,outlineStyle:ae.outlineStyle,outlineWidth:ae.outlineWidth,border:ae.border,borderColor:ae.borderColor,borderRadius:ae.borderRadius,borderSpacing:ae.borderSpacing,borderStyle:ae.borderStyle,borderWidth:ae.borderWidth,fontStyle:ae.fontStyle,fontWeight:ae.fontWeight,textDecoration:ae.textDecoration,cursor:ae.cursor,color:ae.color,opacity:ae.opacity,letterSpacing:ae.letterSpacing,gutterIconPath:ae.gutterIconPath?C(ae.gutterIconPath):void 0,gutterIconSize:ae.gutterIconSize,overviewRulerColor:ae.overviewRulerColor,before:ae.before?x.from(ae.before):void 0,after:ae.after?x.from(ae.after):void 0}}ue.from=he})(N=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var E;(function(ue){function he(ae){if(typeof ae=="undefined")return ae;switch(ae){case S.DecorationRangeBehavior.OpenOpen:return 0;case S.DecorationRangeBehavior.ClosedClosed:return 1;case S.DecorationRangeBehavior.OpenClosed:return 2;case S.DecorationRangeBehavior.ClosedOpen:return 3}}ue.from=he})(E=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var O;(function(ue){function he(ae){return{isWholeLine:ae.isWholeLine,rangeBehavior:ae.rangeBehavior?E.from(ae.rangeBehavior):void 0,overviewRulerLane:ae.overviewRulerLane,light:ae.light?N.from(ae.light):void 0,dark:ae.dark?N.from(ae.dark):void 0,backgroundColor:ae.backgroundColor,outline:ae.outline,outlineColor:ae.outlineColor,outlineStyle:ae.outlineStyle,outlineWidth:ae.outlineWidth,border:ae.border,borderColor:ae.borderColor,borderRadius:ae.borderRadius,borderSpacing:ae.borderSpacing,borderStyle:ae.borderStyle,borderWidth:ae.borderWidth,fontStyle:ae.fontStyle,fontWeight:ae.fontWeight,textDecoration:ae.textDecoration,cursor:ae.cursor,color:ae.color,opacity:ae.opacity,letterSpacing:ae.letterSpacing,gutterIconPath:ae.gutterIconPath?C(ae.gutterIconPath):void 0,gutterIconSize:ae.gutterIconSize,overviewRulerColor:ae.overviewRulerColor,before:ae.before?x.from(ae.before):void 0,after:ae.after?x.from(ae.after):void 0}}ue.from=he})(O=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var W;(function(ue){function he(z){return{text:z.newText,eol:z.newEol&&pt.from(z.newEol),range:d.from(z.range)}}ue.from=he;function ae(z){const ye=new S.TextEdit(d.to(z.range),z.text);return ye.newEol=typeof z.eol=="undefined"?void 0:pt.to(z.eol),ye}ue.to=ae})(W=e.TextEdit||(e.TextEdit={}));var U;(function(ue){function he(z,ye,Ae){const je={edits:[]};if(z instanceof S.WorkspaceEdit)for(let We of z._allEntries())if(We._type===1)je.edits.push({_type:1,oldUri:We.from,newUri:We.to,options:We.options,metadata:We.metadata});else if(We._type===2){const mt=ye?.getDocument(We.uri);je.edits.push({_type:2,resource:We.uri,edit:W.from(We.edit),modelVersionId:mt?.version,metadata:We.metadata})}else We._type===3?je.edits.push({_type:3,metadata:We.metadata,resource:We.uri,edit:We.edit,notebookMetadata:We.notebookMetadata,notebookVersionId:Ae?.getNotebookDocument(We.uri,!0)?.apiNotebook.version}):We._type===5&&je.edits.push({_type:3,metadata:We.metadata,resource:We.uri,notebookVersionId:Ae?.getNotebookDocument(We.uri,!0)?.apiNotebook.version,edit:{editType:1,index:We.index,count:We.count,cells:We.cells.map(kt.from)}});return je}ue.from=he;function ae(z){const ye=new S.WorkspaceEdit;for(const Ae of z.edits)Ae.edit?ye.replace(A.URI.revive(Ae.resource),d.to(Ae.edit.range),Ae.edit.text):ye.renameFile(A.URI.revive(Ae.oldUri),A.URI.revive(Ae.newUri),Ae.options);return ye}ue.to=ae})(U=e.WorkspaceEdit||(e.WorkspaceEdit={}));var H;(function(ue){const he=Object.create(null);he[S.SymbolKind.File]=0,he[S.SymbolKind.Module]=1,he[S.SymbolKind.Namespace]=2,he[S.SymbolKind.Package]=3,he[S.SymbolKind.Class]=4,he[S.SymbolKind.Method]=5,he[S.SymbolKind.Property]=6,he[S.SymbolKind.Field]=7,he[S.SymbolKind.Constructor]=8,he[S.SymbolKind.Enum]=9,he[S.SymbolKind.Interface]=10,he[S.SymbolKind.Function]=11,he[S.SymbolKind.Variable]=12,he[S.SymbolKind.Constant]=13,he[S.SymbolKind.String]=14,he[S.SymbolKind.Number]=15,he[S.SymbolKind.Boolean]=16,he[S.SymbolKind.Array]=17,he[S.SymbolKind.Object]=18,he[S.SymbolKind.Key]=19,he[S.SymbolKind.Null]=20,he[S.SymbolKind.EnumMember]=21,he[S.SymbolKind.Struct]=22,he[S.SymbolKind.Event]=23,he[S.SymbolKind.Operator]=24,he[S.SymbolKind.TypeParameter]=25;function ae(ye){return typeof he[ye]=="number"?he[ye]:6}ue.from=ae;function z(ye){for(const Ae in he)if(he[Ae]===ye)return Number(Ae);return S.SymbolKind.Property}ue.to=z})(H=e.SymbolKind||(e.SymbolKind={}));var V;(function(ue){function he(z){switch(z){case S.SymbolTag.Deprecated:return 1}}ue.from=he;function ae(z){switch(z){case 1:return S.SymbolTag.Deprecated}}ue.to=ae})(V=e.SymbolTag||(e.SymbolTag={}));var Z;(function(ue){function he(z){return{name:z.name,kind:H.from(z.kind),tags:z.tags&&z.tags.map(V.from),containerName:z.containerName,location:le.from(z.location)}}ue.from=he;function ae(z){const ye=new S.SymbolInformation(z.name,H.to(z.kind),z.containerName,le.to(z.location));return ye.tags=z.tags&&z.tags.map(V.to),ye}ue.to=ae})(Z=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var G;(function(ue){function he(z){const ye={name:z.name||"!!MISSING: name!!",detail:z.detail,range:d.from(z.range),selectionRange:d.from(z.selectionRange),kind:H.from(z.kind),tags:z.tags?.map(V.from)??[]};return z.children&&(ye.children=z.children.map(he)),ye}ue.from=he;function ae(z){const ye=new S.DocumentSymbol(z.name,z.detail,H.to(z.kind),d.to(z.range),d.to(z.selectionRange));return(0,s.isNonEmptyArray)(z.tags)&&(ye.tags=z.tags.map(V.to)),z.children&&(ye.children=z.children.map(ae)),ye}ue.to=ae})(G=e.DocumentSymbol||(e.DocumentSymbol={}));var oe;(function(ue){function he(z){const ye=new S.CallHierarchyItem(H.to(z.kind),z.name,z.detail||"",A.URI.revive(z.uri),d.to(z.range),d.to(z.selectionRange));return ye._sessionId=z._sessionId,ye._itemId=z._itemId,ye}ue.to=he;function ae(z,ye,Ae){if(ye=ye??z._sessionId,Ae=Ae??z._itemId,ye===void 0||Ae===void 0)throw new Error("invalid item");return{_sessionId:ye,_itemId:Ae,name:z.name,detail:z.detail,kind:H.from(z.kind),uri:z.uri,range:d.from(z.range),selectionRange:d.from(z.selectionRange),tags:z.tags?.map(V.from)}}ue.from=ae})(oe=e.CallHierarchyItem||(e.CallHierarchyItem={}));var be;(function(ue){function he(ae){return new S.CallHierarchyIncomingCall(oe.to(ae.from),ae.fromRanges.map(z=>d.to(z)))}ue.to=he})(be=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var Se;(function(ue){function he(ae){return new S.CallHierarchyOutgoingCall(oe.to(ae.to),ae.fromRanges.map(z=>d.to(z)))}ue.to=he})(Se=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var le;(function(ue){function he(z){return{range:z.range&&d.from(z.range),uri:z.uri}}ue.from=he;function ae(z){return new S.Location(A.URI.revive(z.uri),d.to(z.range))}ue.to=ae})(le=e.location||(e.location={}));var ne;(function(ue){function he(z){const ye=z,Ae=z;return{originSelectionRange:ye.originSelectionRange?d.from(ye.originSelectionRange):void 0,uri:ye.targetUri?ye.targetUri:Ae.uri,range:d.from(ye.targetRange?ye.targetRange:Ae.range),targetSelectionRange:ye.targetSelectionRange?d.from(ye.targetSelectionRange):void 0}}ue.from=he;function ae(z){return{targetUri:A.URI.revive(z.uri),targetRange:d.to(z.range),targetSelectionRange:z.targetSelectionRange?d.to(z.targetSelectionRange):void 0,originSelectionRange:z.originSelectionRange?d.to(z.originSelectionRange):void 0}}ue.to=ae})(ne=e.DefinitionLink||(e.DefinitionLink={}));var ve;(function(ue){function he(z){return{range:d.from(z.range),contents:_.fromMany(z.contents)}}ue.from=he;function ae(z){return new S.Hover(z.contents.map(_.to),d.to(z.range))}ue.to=ae})(ve=e.Hover||(e.Hover={}));var Ie;(function(ue){function he(z){return{range:d.from(z.range),expression:z.expression}}ue.from=he;function ae(z){return new S.EvaluatableExpression(d.to(z.range),z.expression)}ue.to=ae})(Ie=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Oe;(function(ue){function he(z){if(z instanceof S.InlineValueText)return{type:"text",range:d.from(z.range),text:z.text};if(z instanceof S.InlineValueVariableLookup)return{type:"variable",range:d.from(z.range),variableName:z.variableName,caseSensitiveLookup:z.caseSensitiveLookup};if(z instanceof S.InlineValueEvaluatableExpression)return{type:"expression",range:d.from(z.range),expression:z.expression};throw new Error("Unknown 'InlineValue' type")}ue.from=he;function ae(z){switch(z.type){case"text":return{range:d.to(z.range),text:z.text};case"variable":return{range:d.to(z.range),variableName:z.variableName,caseSensitiveLookup:z.caseSensitiveLookup};case"expression":return{range:d.to(z.range),expression:z.expression}}}ue.to=ae})(Oe=e.InlineValue||(e.InlineValue={}));var He;(function(ue){function he(z){return{frameId:z.frameId,stoppedLocation:d.from(z.stoppedLocation)}}ue.from=he;function ae(z){return new S.InlineValueContext(z.frameId,d.to(z.stoppedLocation))}ue.to=ae})(He=e.InlineValueContext||(e.InlineValueContext={}));var Xe;(function(ue){function he(z){return{range:d.from(z.range),kind:z.kind}}ue.from=he;function ae(z){return new S.DocumentHighlight(d.to(z.range),z.kind)}ue.to=ae})(Xe=e.DocumentHighlight||(e.DocumentHighlight={}));var Ye;(function(ue){function he(ae){switch(ae){case 1:return S.CompletionTriggerKind.TriggerCharacter;case 2:return S.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return S.CompletionTriggerKind.Invoke}}ue.to=he})(Ye=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var $;(function(ue){function he(ae){return{triggerKind:Ye.to(ae.triggerKind),triggerCharacter:ae.triggerCharacter}}ue.to=he})($=e.CompletionContext||(e.CompletionContext={}));var K;(function(ue){function he(z){switch(z){case S.CompletionItemTag.Deprecated:return 1}}ue.from=he;function ae(z){switch(z){case 1:return S.CompletionItemTag.Deprecated}}ue.to=ae})(K=e.CompletionItemTag||(e.CompletionItemTag={}));var Y;(function(ue){const he=new Map([[S.CompletionItemKind.Method,0],[S.CompletionItemKind.Function,1],[S.CompletionItemKind.Constructor,2],[S.CompletionItemKind.Field,3],[S.CompletionItemKind.Variable,4],[S.CompletionItemKind.Class,5],[S.CompletionItemKind.Interface,7],[S.CompletionItemKind.Struct,6],[S.CompletionItemKind.Module,8],[S.CompletionItemKind.Property,9],[S.CompletionItemKind.Unit,12],[S.CompletionItemKind.Value,13],[S.CompletionItemKind.Constant,14],[S.CompletionItemKind.Enum,15],[S.CompletionItemKind.EnumMember,16],[S.CompletionItemKind.Keyword,17],[S.CompletionItemKind.Snippet,27],[S.CompletionItemKind.Text,18],[S.CompletionItemKind.Color,19],[S.CompletionItemKind.File,20],[S.CompletionItemKind.Reference,21],[S.CompletionItemKind.Folder,23],[S.CompletionItemKind.Event,10],[S.CompletionItemKind.Operator,11],[S.CompletionItemKind.TypeParameter,24],[S.CompletionItemKind.Issue,26],[S.CompletionItemKind.User,25]]);function ae(Ae){return he.get(Ae)??9}ue.from=ae;const z=new Map([[0,S.CompletionItemKind.Method],[1,S.CompletionItemKind.Function],[2,S.CompletionItemKind.Constructor],[3,S.CompletionItemKind.Field],[4,S.CompletionItemKind.Variable],[5,S.CompletionItemKind.Class],[7,S.CompletionItemKind.Interface],[6,S.CompletionItemKind.Struct],[8,S.CompletionItemKind.Module],[9,S.CompletionItemKind.Property],[12,S.CompletionItemKind.Unit],[13,S.CompletionItemKind.Value],[14,S.CompletionItemKind.Constant],[15,S.CompletionItemKind.Enum],[16,S.CompletionItemKind.EnumMember],[17,S.CompletionItemKind.Keyword],[27,S.CompletionItemKind.Snippet],[18,S.CompletionItemKind.Text],[19,S.CompletionItemKind.Color],[20,S.CompletionItemKind.File],[21,S.CompletionItemKind.Reference],[23,S.CompletionItemKind.Folder],[10,S.CompletionItemKind.Event],[11,S.CompletionItemKind.Operator],[24,S.CompletionItemKind.TypeParameter],[25,S.CompletionItemKind.User],[26,S.CompletionItemKind.Issue]]);function ye(Ae){return z.get(Ae)??S.CompletionItemKind.Property}ue.to=ye})(Y=e.CompletionItemKind||(e.CompletionItemKind={}));var re;(function(ue){function he(ae,z){const ye=new S.CompletionItem(ae.label);return ye.insertText=ae.insertText,ye.kind=Y.to(ae.kind),ye.tags=ae.tags?.map(K.to),ye.detail=ae.detail,ye.documentation=y.isMarkdownString(ae.documentation)?_.to(ae.documentation):ae.documentation,ye.sortText=ae.sortText,ye.filterText=ae.filterText,ye.preselect=ae.preselect,ye.commitCharacters=ae.commitCharacters,R.Range.isIRange(ae.range)?ye.range=d.to(ae.range):typeof ae.range=="object"&&(ye.range={inserting:d.to(ae.range.insert),replacing:d.to(ae.range.replace)}),ye.keepWhitespace=typeof ae.insertTextRules=="undefined"?!1:Boolean(ae.insertTextRules&1),typeof ae.insertTextRules!="undefined"&&ae.insertTextRules&4?ye.insertText=new S.SnippetString(ae.insertText):(ye.insertText=ae.insertText,ye.textEdit=ye.range instanceof S.Range?new S.TextEdit(ye.range,ye.insertText):void 0),ae.additionalTextEdits&&ae.additionalTextEdits.length>0&&(ye.additionalTextEdits=ae.additionalTextEdits.map(Ae=>W.to(Ae))),ye.command=z&&ae.command?z.fromInternal(ae.command):void 0,ye}ue.to=he})(re=e.CompletionItem||(e.CompletionItem={}));var q;(function(ue){function he(z){return{label:z.label,documentation:z.documentation?_.fromStrict(z.documentation):void 0}}ue.from=he;function ae(z){return{label:z.label,documentation:y.isMarkdownString(z.documentation)?_.to(z.documentation):z.documentation}}ue.to=ae})(q=e.ParameterInformation||(e.ParameterInformation={}));var J;(function(ue){function he(z){return{label:z.label,documentation:z.documentation?_.fromStrict(z.documentation):void 0,parameters:Array.isArray(z.parameters)?z.parameters.map(q.from):[],activeParameter:z.activeParameter}}ue.from=he;function ae(z){return{label:z.label,documentation:y.isMarkdownString(z.documentation)?_.to(z.documentation):z.documentation,parameters:Array.isArray(z.parameters)?z.parameters.map(q.to):[],activeParameter:z.activeParameter}}ue.to=ae})(J=e.SignatureInformation||(e.SignatureInformation={}));var me;(function(ue){function he(z){return{activeSignature:z.activeSignature,activeParameter:z.activeParameter,signatures:Array.isArray(z.signatures)?z.signatures.map(J.from):[]}}ue.from=he;function ae(z){return{activeSignature:z.activeSignature,activeParameter:z.activeParameter,signatures:Array.isArray(z.signatures)?z.signatures.map(J.to):[]}}ue.to=ae})(me=e.SignatureHelp||(e.SignatureHelp={}));var Pe;(function(ue){function he(ae,z){const ye=new S.InlayHint(typeof z.label=="string"?z.label:z.label.map(Be.to.bind(void 0,ae)),a.to(z.position),Ve.to(z.kind));return ye.tooltip=y.isMarkdownString(z.tooltip)?_.to(z.tooltip):z.tooltip,ye.whitespaceAfter=z.whitespaceAfter,ye.whitespaceBefore=z.whitespaceBefore,ye}ue.to=he})(Pe=e.InlayHint||(e.InlayHint={}));var Be;(function(ue){function he(ae,z){const ye=new S.InlayHintLabelPart(z.label);return ye.collapsible=z.collapsible,w.Command.is(z.action)?ye.action=ae.fromInternal(z.action):z.action&&(ye.action=le.to(z.action)),ye}ue.to=he})(Be=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var Ve;(function(ue){function he(z){return z}ue.from=he;function ae(z){return z}ue.to=ae})(Ve=e.InlayHintKind||(e.InlayHintKind={}));var Qe;(function(ue){function he(z){return{range:d.from(z.range),url:z.target,tooltip:z.tooltip}}ue.from=he;function ae(z){let ye;if(z.url)try{ye=typeof z.url=="string"?A.URI.parse(z.url,!0):A.URI.revive(z.url)}catch{}return new S.DocumentLink(d.to(z.range),ye)}ue.to=ae})(Qe=e.DocumentLink||(e.DocumentLink={}));var tt;(function(ue){function he(z){const ye=new S.ColorPresentation(z.label);return z.textEdit&&(ye.textEdit=W.to(z.textEdit)),z.additionalTextEdits&&(ye.additionalTextEdits=z.additionalTextEdits.map(Ae=>W.to(Ae))),ye}ue.to=he;function ae(z){return{label:z.label,textEdit:z.textEdit?W.from(z.textEdit):void 0,additionalTextEdits:z.additionalTextEdits?z.additionalTextEdits.map(ye=>W.from(ye)):void 0}}ue.from=ae})(tt=e.ColorPresentation||(e.ColorPresentation={}));var at;(function(ue){function he(z){return new S.Color(z[0],z[1],z[2],z[3])}ue.to=he;function ae(z){return[z.red,z.green,z.blue,z.alpha]}ue.from=ae})(at=e.Color||(e.Color={}));var Je;(function(ue){function he(z){return{range:d.from(z.range)}}ue.from=he;function ae(z){return new S.SelectionRange(d.to(z.range))}ue.to=ae})(Je=e.SelectionRange||(e.SelectionRange={}));var rt;(function(ue){function he(ae){switch(ae){case 2:return S.TextDocumentSaveReason.AfterDelay;case 1:return S.TextDocumentSaveReason.Manual;case 3:case 4:return S.TextDocumentSaveReason.FocusOut}}ue.to=he})(rt=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var ut;(function(ue){function he(z){switch(z){case S.TextEditorLineNumbersStyle.Off:return 0;case S.TextEditorLineNumbersStyle.Relative:return 2;case S.TextEditorLineNumbersStyle.On:default:return 1}}ue.from=he;function ae(z){switch(z){case 0:return S.TextEditorLineNumbersStyle.Off;case 2:return S.TextEditorLineNumbersStyle.Relative;case 1:default:return S.TextEditorLineNumbersStyle.On}}ue.to=ae})(ut=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var pt;(function(ue){function he(z){if(z===S.EndOfLine.CRLF)return 1;if(z===S.EndOfLine.LF)return 0}ue.from=he;function ae(z){if(z===1)return S.EndOfLine.CRLF;if(z===0)return S.EndOfLine.LF}ue.to=ae})(pt=e.EndOfLine||(e.EndOfLine={}));var Me;(function(ue){function he(ae){if(typeof ae=="object")return ae.viewId;switch(ae){case S.ProgressLocation.SourceControl:return 3;case S.ProgressLocation.Window:return 10;case S.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}ue.from=he})(Me=e.ProgressLocation||(e.ProgressLocation={}));var Rt;(function(ue){function he(ae){const z={start:ae.start+1,end:ae.end+1};return ae.kind&&(z.kind=j.from(ae.kind)),z}ue.from=he})(Rt=e.FoldingRange||(e.FoldingRange={}));var j;(function(ue){function he(ae){if(ae)switch(ae){case S.FoldingRangeKind.Comment:return w.FoldingRangeKind.Comment;case S.FoldingRangeKind.Imports:return w.FoldingRangeKind.Imports;case S.FoldingRangeKind.Region:return w.FoldingRangeKind.Region}}ue.from=he})(j=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Q;(function(ue){function he(ae){if(ae)return{pinned:typeof ae.preview=="boolean"?!ae.preview:void 0,inactive:ae.background,preserveFocus:ae.preserveFocus,selection:typeof ae.selection=="object"?d.from(ae.selection):void 0,override:typeof ae.override=="boolean"?i.EditorResolution.DISABLED:void 0}}ue.from=he})(Q=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var fe;(function(ue){function he(z){return z instanceof S.RelativePattern||typeof z=="string"?z:ae(z)?new S.RelativePattern(z.base,z.pattern):z}ue.from=he;function ae(z){const ye=z;return ye&&typeof ye.base=="string"&&typeof ye.pattern=="string"}})(fe=e.GlobPattern||(e.GlobPattern={}));var xe;(function(ue){function he(ae){if(ae){if(Array.isArray(ae))return ae.map(he);if(typeof ae=="string")return ae;{const z=ae;return{language:z.language,scheme:z.scheme,pattern:typeof z.pattern=="undefined"?void 0:fe.from(z.pattern),exclusive:z.exclusive}}}else return}ue.from=he})(xe=e.LanguageSelector||(e.LanguageSelector={}));var qe;(function(ue){function he(z){return{start:z.start,end:z.end}}ue.from=he;function ae(z){return new S.NotebookRange(z.start,z.end)}ue.to=ae})(qe=e.NotebookRange||(e.NotebookRange={}));var st;(function(ue){function he(z){return{timing:typeof z.runStartTime=="number"&&typeof z.runEndTime=="number"?{startTime:z.runStartTime,endTime:z.runEndTime}:void 0,executionOrder:z.executionOrder,success:z.lastRunSuccess}}ue.to=he;function ae(z){return{lastRunSuccess:z.success,runStartTime:z.timing?.startTime,runEndTime:z.timing?.endTime,executionOrder:z.executionOrder}}ue.from=ae})(st=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var ht;(function(ue){function he(z){switch(z){case S.NotebookCellKind.Markup:return c.CellKind.Markup;case S.NotebookCellKind.Code:default:return c.CellKind.Code}}ue.from=he;function ae(z){switch(z){case c.CellKind.Markup:return S.NotebookCellKind.Markup;case c.CellKind.Code:default:return S.NotebookCellKind.Code}}ue.to=ae})(ht=e.NotebookCellKind||(e.NotebookCellKind={}));var Ze;(function(ue){function he(z){const ye={metadata:z.metadata??Object.create(null),cells:[]};for(let Ae of z.cells)S.NotebookCellData.validate(Ae),ye.cells.push(kt.from(Ae));return ye}ue.from=he;function ae(z){const ye=new S.NotebookData(z.cells.map(kt.to));return(0,D.isEmptyObject)(z.metadata)||(ye.metadata=z.metadata),ye}ue.to=ae})(Ze=e.NotebookData||(e.NotebookData={}));var kt;(function(ue){function he(z){return{cellKind:ht.from(z.kind),language:z.languageId,mime:z.mime,source:z.value,metadata:z.metadata,internalMetadata:st.from(z.executionSummary??{}),outputs:z.outputs?z.outputs.map(Ce.from):[]}}ue.from=he;function ae(z){return new S.NotebookCellData(ht.to(z.cellKind),z.source,z.language,z.mime,z.outputs?z.outputs.map(Ce.to):void 0,z.metadata,z.internalMetadata?st.to(z.internalMetadata):void 0)}ue.to=ae})(kt=e.NotebookCellData||(e.NotebookCellData={}));var Re;(function(ue){function he(z){return{mime:z.mime,valueBytes:t.VSBuffer.wrap(z.data)}}ue.from=he;function ae(z){return new S.NotebookCellOutputItem(z.valueBytes.buffer,z.mime)}ue.to=ae})(Re=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Ce;(function(ue){function he(z){return{outputId:z.id,items:z.items.map(Re.from),metadata:z.metadata}}ue.from=he;function ae(z){const ye=z.items.map(Re.to);return new S.NotebookCellOutput(ye,z.outputId,z.metadata)}ue.to=ae})(Ce=e.NotebookCellOutput||(e.NotebookCellOutput={}));var pe;(function(ue){function he(Ae){if(Ae!=null){if(Ae instanceof S.RelativePattern||typeof Ae=="string")return Ae;if(ye(Ae))return new S.RelativePattern(Ae.base,Ae.pattern);if(z(Ae))return{include:fe.from(Ae.include)||void 0,exclude:fe.from(Ae.exclude)||void 0}}}ue.from=he;function ae(Ae){return typeof Ae=="string"?Ae:ye(Ae)?{base:Ae.base,pattern:Ae.pattern}:{include:Ae.include,exclude:Ae.exclude}}ue.to=ae;function z(Ae){const je=Ae,We=fe.from(je.include);if(!(We&&We instanceof S.RelativePattern||typeof We=="string"))return!1;const mt=fe.from(je.exclude);return!!(mt&&mt instanceof S.RelativePattern||typeof mt=="string")}function ye(Ae){const je=Ae;return je&&typeof je.base=="string"&&typeof je.pattern=="string"}})(pe=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var ie;(function(ue){function he(ae){return{backgroundColor:ae.backgroundColor,borderColor:ae.borderColor,top:ae.top?x.from(ae.top):void 0}}ue.from=he})(ie=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var se;(function(ue){function he(ae,z,ye){const Ae=typeof ae.command=="string"?{title:"",command:ae.command}:ae.command;return{alignment:ae.alignment===S.NotebookCellStatusBarAlignment.Left?1:2,command:z.toInternal(Ae,ye),text:ae.text,tooltip:ae.tooltip,accessibilityInformation:ae.accessibilityInformation,priority:ae.priority}}ue.from=he})(se=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var de;(function(ue){function he(ae){return{transientOutputs:ae?.transientOutputs??!1,transientCellMetadata:ae?.transientCellMetadata??{},transientDocumentMetadata:ae?.transientDocumentMetadata??{}}}ue.from=he})(de=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var ge;(function(ue){function he(z){return{uri:z.uri,provides:z.provides}}ue.from=he;function ae(z){return new S.NotebookRendererScript(A.URI.revive(z.uri),z.provides)}ue.to=ae})(ge=e.NotebookRendererScript||(e.NotebookRendererScript={}));var Te;(function(ue){function he(z){return{message:_.fromStrict(z.message)||"",type:0,expected:z.expectedOutput,actual:z.actualOutput,location:z.location?le.from(z.location):void 0}}ue.from=he;function ae(z){const ye=new S.TestMessage(typeof z.message=="string"?z.message:_.to(z.message));return ye.actualOutput=z.actual,ye.expectedOutput=z.expected,ye.location=z.location?le.to(z.location):void 0,ye}ue.to=ae})(Te=e.TestMessage||(e.TestMessage={}));var ze;(function(ue){let he;(function(ae){ae.Delimiter="\0"})(he||(he={})),ue.namespace=(ae,z)=>ae+"\0"+z,ue.denamespace=ae=>{const z=ae.indexOf("\0");return{ctrlId:ae.slice(0,z),tagId:ae.slice(z+1)}}})(ze=e.TestTag||(e.TestTag={}));var Ne;(function(ue){function he(Ae){const je=(0,o.getPrivateApiFor)(Ae).controllerId;return{extId:u.TestId.fromExtHostTestItem(Ae,je).toString(),label:Ae.label,uri:Ae.uri,tags:Ae.tags.map(We=>ze.namespace(je,We.id)),range:d.from(Ae.range)||null,description:Ae.description||null,error:Ae.error&&_.fromStrict(Ae.error)||null}}ue.from=he;function ae(Ae){return{parent:void 0,error:void 0,id:u.TestId.fromString(Ae.extId).localId,label:Ae.label,uri:A.URI.revive(Ae.uri),tags:(Ae.tags||[]).map(je=>{const{tagId:We}=ze.denamespace(je);return new S.TestTag(We)}),range:d.to(Ae.range||void 0),invalidateResults:()=>{},canResolveChildren:!1,busy:!1,description:Ae.description||void 0}}ue.toPlain=ae;function z(Ae){const je=u.TestId.fromString(Ae.extId),We=new o.TestItemImpl(je.controllerId,je.localId,Ae.label,A.URI.revive(Ae.uri));return We.range=d.to(Ae.range||void 0),We.description=Ae.description||void 0,We}function ye(Ae){let je;for(const We of Ae.tests){const mt=z(We.item);(0,o.getPrivateApiFor)(mt).parent=je,je=mt}return je}ue.toItemFromContext=ye})(Ne=e.TestItem||(e.TestItem={})),function(ue){function he(z){return{id:z.id}}ue.from=he;function ae(z){return new S.TestTag(z.id)}ue.to=ae}(ze=e.TestTag||(e.TestTag={}));var Ge;(function(ue){const he=(z,ye)=>{const Ae={...Ne.toPlain(z.item),parent:void 0,taskStates:z.tasks.map(je=>({state:je.state,duration:je.duration,messages:je.messages.filter(We=>We.type===0).map(Te.to)})),children:z.children.map(je=>ye.get(je)).filter(D.isDefined).map(je=>he(je,ye))};for(const je of Ae.children)je.parent=Ae;return Ae};function ae(z){const ye=[],Ae=new Map;for(const je of z.items)Ae.set(je.item.extId,je),z.request.targets.some(We=>We.controllerId===je.controllerId&&We.testIds.includes(je.item.extId))&&ye.push(je);return{completedAt:z.completedAt,results:ye.map(je=>he(je,Ae))}}ue.to=ae})(Ge=e.TestResults||(e.TestResults={}));var nt;(function(ue){function he(Ae){return{covered:Ae.covered,total:Ae.covered}}function ae(Ae){return"line"in Ae?a.from(Ae):d.from(Ae)}function z(Ae){return"branches"in Ae?{count:Ae.executionCount,location:ae(Ae.location),type:1,branches:Ae.branches.length?Ae.branches.map(je=>({count:je.executionCount,location:je.location&&ae(je.location)})):void 0}:{type:0,count:Ae.executionCount,location:ae(Ae.location)}}ue.fromDetailed=z;function ye(Ae){return{uri:Ae.uri,statement:he(Ae.statementCoverage),branch:Ae.branchCoverage&&he(Ae.branchCoverage),function:Ae.functionCoverage&&he(Ae.functionCoverage),details:Ae.detailedCoverage?.map(z)}}ue.fromFile=ye})(nt=e.TestCoverage||(e.TestCoverage={}));var ot;(function(ue){function he(ae){switch(ae){case 1:return S.CodeActionTriggerKind.Invoke;case 2:return S.CodeActionTriggerKind.Automatic}}ue.to=he})(ot=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Le;(function(ue){function he(z){const ye=new S.TypeHierarchyItem(H.to(z.kind),z.name,z.detail||"",A.URI.revive(z.uri),d.to(z.range),d.to(z.selectionRange));return ye._sessionId=z._sessionId,ye._itemId=z._itemId,ye}ue.to=he;function ae(z,ye,Ae){if(ye=ye??z._sessionId,Ae=Ae??z._itemId,ye===void 0||Ae===void 0)throw new Error("invalid item");return{_sessionId:ye,_itemId:Ae,kind:H.from(z.kind),name:z.name,detail:z.detail??"",uri:z.uri,range:d.from(z.range),selectionRange:d.from(z.selectionRange),tags:z.tags?.map(V.from)}}ue.from=ae})(Le=e.TypeHierarchyItem||(e.TypeHierarchyItem={}))}),define(we[164],Ee([0,1,2,15,7,8,226]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class P{constructor(A,R,w,i={timeout:1500,errors:3}){this._logService=A,this._documents=R,this._mainThreadBulkEdits=w,this._thresholds=i,this._callbacks=new I.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(A){return(R,w,i)=>{const o={dispose:this._callbacks.push([R,w,A])};return Array.isArray(i)&&i.push(o),o}}async $participateInSave(A,R){const w=s.URI.revive(A);let i=!1;const g=setTimeout(()=>i=!0,this._thresholds.timeout),o=[];try{for(let c of[...this._callbacks]){if(i)break;const u=this._documents.getDocument(w),F=await this._deliverEventAsyncAndBlameBadListeners(c,{document:u,reason:T.TextDocumentSaveReason.to(R)});o.push(F)}}finally{clearTimeout(g)}return o}_deliverEventAsyncAndBlameBadListeners([A,R,w],i){const g=this._badListeners.get(A);return typeof g=="number"&&g>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(w,A,R,i).then(()=>!0,o=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${w.identifier.value}' threw ERROR`),this._logService.error(o),!(o instanceof Error)||o.message!=="concurrent_edits"){const c=this._badListeners.get(A);this._badListeners.set(A,c?c+1:1),typeof c=="number"&&c>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${w.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(A,R,w,i){const g=[],o=Date.now(),{document:c,reason:u}=i,{version:F}=c,S=Object.freeze({document:c,reason:u,waitUntil(m){if(Object.isFrozen(g))throw(0,t.illegalState)("waitUntil can not be called async");g.push(Promise.resolve(m))}});try{R.apply(w,[S])}catch(m){return Promise.reject(m)}return Object.freeze(g),new Promise((m,d)=>{const k=setTimeout(()=>d(new Error("timeout")),this._thresholds.timeout);return Promise.all(g).then(a=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${A.identifier.value}' finished after ${Date.now()-o}ms`),clearTimeout(k),m(a)}).catch(a=>{clearTimeout(k),d(a)})}).then(m=>{const d={edits:[]};for(const k of m)if(Array.isArray(k)&&k.every(a=>a instanceof y.TextEdit))for(const{newText:a,newEol:M,range:r}of k)d.edits.push({_type:2,resource:c.uri,edit:{range:r&&T.Range.from(r),text:a,eol:M&&T.EndOfLine.from(M)}});if(d.edits.length!==0)return F===c.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(d):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=P}),define(we[165],Ee([0,1,4,29,2,8,7]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class P{constructor(R,w,i,g,o){this._onDidCreate=new s.Emitter,this._onDidChange=new s.Emitter,this._onDidDelete=new s.Emitter,this._config=0,i&&(this._config+=1),g&&(this._config+=2),o&&(this._config+=4);const c=(0,t.parse)(w),u=R(F=>{if(!i)for(let S of F.created){const m=y.URI.revive(S);c(m.fsPath)&&this._onDidCreate.fire(m)}if(!g)for(let S of F.changed){const m=y.URI.revive(S);c(m.fsPath)&&this._onDidChange.fire(m)}if(!o)for(let S of F.deleted){const m=y.URI.revive(S);c(m.fsPath)&&this._onDidDelete.fire(m)}});this._disposable=I.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,u)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class D{constructor(R,w,i){this._logService=w,this._extHostDocumentsAndEditors=i,this._onFileSystemEvent=new s.Emitter,this._onDidRenameFile=new s.Emitter,this._onDidCreateFile=new s.Emitter,this._onDidDeleteFile=new s.Emitter,this._onWillRenameFile=new s.AsyncEmitter,this._onWillCreateFile=new s.AsyncEmitter,this._onWillDeleteFile=new s.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(R,w,i,g){return new P(this._onFileSystemEvent.event,R,w,i,g)}$onFileEvent(R){this._onFileSystemEvent.fire(R)}$onDidRunFileOperation(R,w){switch(R){case 2:this._onDidRenameFile.fire(Object.freeze({files:w.map(i=>({oldUri:y.URI.revive(i.source),newUri:y.URI.revive(i.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:w.map(i=>y.URI.revive(i.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:w.map(i=>y.URI.revive(i.target))}));break;default:}}getOnWillRenameFileEvent(R){return this._createWillExecuteEvent(R,this._onWillRenameFile)}getOnWillCreateFileEvent(R){return this._createWillExecuteEvent(R,this._onWillCreateFile)}getOnWillDeleteFileEvent(R){return this._createWillExecuteEvent(R,this._onWillDeleteFile)}_createWillExecuteEvent(R,w){return(i,g,o)=>{const c=function(F){i.call(g,F)};return c.extension=R,w.event(c,void 0,o)}}async $onWillRunFileOperation(R,w,i,g){switch(R){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:w.map(o=>({oldUri:y.URI.revive(o.source),newUri:y.URI.revive(o.target)}))},i,g);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:w.map(o=>y.URI.revive(o.target))},i,g);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:w.map(o=>y.URI.revive(o.target))},i,g)}}async _fireWillEvent(R,w,i,g){const o=new Set,c=[];if(await R.fireAsync(w,g,async(F,S)=>{const m=Date.now(),d=await Promise.resolve(F);d instanceof I.WorkspaceEdit&&(c.push(d),o.add(S.extension.displayName??S.extension.identifier.value)),Date.now()-m>i&&this._logService.warn("SLOW file-participant",S.extension.identifier)}),g.isCancellationRequested||c.length===0)return;const u={edits:[]};for(let F of c){let{edits:S}=T.WorkspaceEdit.from(F,this._extHostDocumentsAndEditors);u.edits=u.edits.concat(S)}return{edit:u,extensionNames:Array.from(o)}}}e.ExtHostFileSystemEventService=D}),define(we[166],Ee([0,1,11,26,2,8,87]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class P{constructor(w,i,g,o){this.start=w,this.deletedCount=i,this.deletedItems=g,this.items=o}static asApiEvents(w){return w.map(i=>({start:i.start,deletedCount:i.deletedCount,deletedItems:i.deletedItems,items:i.items.map(g=>g.apiCell)}))}}class D{constructor(w,i,g){this.notebook=w,this._extHostDocument=i,this._cellData=g,this.handle=g.handle,this.uri=y.URI.revive(g.uri),this.cellKind=g.cellKind,this._outputs=g.outputs.map(T.NotebookCellOutput.to),this._internalMetadata=g.internalMetadata??{},this._metadata=Object.freeze(g.metadata??{}),this._previousResult=Object.freeze(T.NotebookCellExecutionSummary.to(g.internalMetadata??{}))}static asModelAddData(w,i){return{EOL:i.eol,lines:i.source,languageId:i.language,uri:i.uri,isDirty:!1,versionId:1,notebook:w}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const w=this,i=this._extHostDocument.getDocument(this.uri);if(!i)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._apiCell=Object.freeze({get index(){return w.notebook.getCellIndex(w)},notebook:w.notebook.apiNotebook,kind:T.NotebookCellKind.to(this._cellData.cellKind),document:i.document,get mime(){return w._mime},set mime(g){w._mime=g},get outputs(){return w._outputs.slice(0)},get metadata(){return w._metadata},get executionSummary(){return w._previousResult}})}return this._apiCell}setOutputs(w){this._outputs=w.map(T.NotebookCellOutput.to)}setOutputItems(w,i,g){const o=g.map(T.NotebookCellOutputItem.to),c=this._outputs.find(u=>u.id===w);c&&(i||(c.items.length=0),c.items.push(...o))}setMetadata(w){this._metadata=Object.freeze(w)}setInternalMetadata(w){this._internalMetadata=w,this._previousResult=Object.freeze(T.NotebookCellExecutionSummary.to(w))}setMime(w){}}e.ExtHostCell=D;class A{constructor(w,i,g,o,c,u){this._proxy=w,this._textDocumentsAndEditors=i,this._textDocuments=g,this._emitter=o,this.uri=c,this.handle=A._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=u.viewType,this._metadata=Object.freeze(u.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,u.cells]],!0),this._versionId=u.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const w=this;this._notebook={get uri(){return w.uri},get version(){return w._versionId},get notebookType(){return w._notebookType},get isDirty(){return w._isDirty},get isUntitled(){return w.uri.scheme===s.Schemas.untitled},get isClosed(){return w._disposed},get metadata(){return w._metadata},get cellCount(){return w._cells.length},cellAt(i){return i=w._validateIndex(i),w._cells[i].apiCell},getCells(i){return(i?w._getCells(i):w._cells).map(o=>o.apiCell)},save(){return w._save()}}}return this._notebook}updateBackup(w){this._backup?.delete(),this._backup=w}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(w){w.metadata&&(this._metadata=Object.freeze({...this._metadata,...w.metadata}))}acceptDirty(w){this._isDirty=w}acceptModelChanged(w,i){this._versionId=w.versionId,this._isDirty=i;for(const g of w.rawEvents)g.kind===I.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(g.changes,!1):g.kind===I.NotebookCellsChangeType.Move?this._moveCell(g.index,g.newIdx):g.kind===I.NotebookCellsChangeType.Output?this._setCellOutputs(g.index,g.outputs):g.kind===I.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(g.index,g.outputId,g.append,g.outputItems):g.kind===I.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(g.index,g.language):g.kind===I.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(g.index,g.mime):g.kind===I.NotebookCellsChangeType.ChangeCellMetadata?this._changeCellMetadata(g.index,g.metadata):g.kind===I.NotebookCellsChangeType.ChangeCellInternalMetadata&&this._changeCellInternalMetadata(g.index,g.internalMetadata)}_validateIndex(w){return w=w|0,w<0?0:w>=this._cells.length?this._cells.length-1:w}_validateRange(w){let i=w.start|0,g=w.end|0;return i<0&&(i=0),g>this._cells.length&&(g=this._cells.length),w.with({start:i,end:g})}_getCells(w){w=this._validateRange(w);const i=[];for(let g=w.start;g<w.end;g++)i.push(this._cells[g]);return i}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(w,i){if(this._disposed)return;const g=[],o=[],c=[];w.reverse().forEach(u=>{const S=u[2].map(k=>{const a=new D(this,this._textDocumentsAndEditors,k);return i||o.push(D.asModelAddData(this.apiNotebook,k)),a}),m=new P(u[0],u[1],[],S),d=this._cells.splice(u[0],u[1],...S);for(const k of d)c.push(k.uri),m.deletedItems.push(k.apiCell);g.push(m)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:o,removedDocuments:c}),i||this._emitter.emitModelChange((0,t.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(g)}))}_moveCell(w,i){const g=this._cells.splice(w,1);this._cells.splice(i,0,...g);const o=[new P(w,1,g.map(c=>c.apiCell),[]),new P(i,0,[],g)];this._emitter.emitModelChange((0,t.deepFreeze)({document:this.apiNotebook,changes:P.asApiEvents(o)}))}_setCellOutputs(w,i){const g=this._cells[w];g.setOutputs(i),this._emitter.emitCellOutputsChange((0,t.deepFreeze)({document:this.apiNotebook,cells:[g.apiCell]}))}_setCellOutputItems(w,i,g,o){const c=this._cells[w];c.setOutputItems(i,g,o),this._emitter.emitCellOutputsChange((0,t.deepFreeze)({document:this.apiNotebook,cells:[c.apiCell]}))}_changeCellLanguage(w,i){const g=this._cells[w];g.apiCell.document.languageId!==i&&this._textDocuments.$acceptModelLanguageChanged(g.uri,i)}_changeCellMime(w,i){const g=this._cells[w];g.apiCell.mime=i}_changeCellMetadata(w,i){const g=this._cells[w],o=g.apiCell.metadata;g.setMetadata(i);const c=g.apiCell.metadata;(0,t.equals)(o,c)||this._emitter.emitCellMetadataChange((0,t.deepFreeze)({document:this.apiNotebook,cell:g.apiCell}))}_changeCellInternalMetadata(w,i){this._cells[w].setInternalMetadata(i)}getCellFromApiCell(w){return this._cells.find(i=>i.apiCell===w)}getCellFromIndex(w){return this._cells[w]}getCell(w){return this._cells.find(i=>i.handle===w)}getCellIndex(w){return this._cells.indexOf(w)}}e.ExtHostNotebookDocument=A,A._handlePool=0}),define(we[91],Ee([0,1,7,8,15]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class T{constructor(D){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=D}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(D){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:D})}replaceCellMetadata(D,A){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:D,metadata:A})}replaceCells(D,A,R){this._throwIfFinalized(),!(D===A&&R.length===0)&&this._collectedEdits.push({editType:1,index:D,count:A-D,cells:R.map(t.NotebookCellData.from)})}}class I{constructor(D,A,R,w,i,g){this.id=D,this._proxy=A,this.notebookData=R,this._selections=[],this._visibleRanges=[],this._visible=!1,this._hasDecorationsForKey=new Set,this._selections=i,this._visibleRanges=w,this._viewColumn=g}get apiEditor(){if(!this._editor){const D=this;this._editor={get document(){return D.notebookData.apiNotebook},get selections(){return D._selections},set selections(A){if(!Array.isArray(A)||!A.every(s.NotebookRange.isNotebookRange))throw(0,y.illegalArgument)("selections");D._selections=A,D._trySetSelections(A)},get visibleRanges(){return D._visibleRanges},revealRange(A,R){D._proxy.$tryRevealRange(D.id,t.NotebookRange.from(A),R??s.NotebookEditorRevealType.Default)},get viewColumn(){return D._viewColumn},edit(A){const R=new T(this.document.version);return A(R),D._applyEdit(R.finalize())},setDecorations(A,R){return D.setDecorations(A,R)}},I.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(D){this._visible=D}_acceptVisibleRanges(D){this._visibleRanges=D}_acceptSelections(D){this._selections=D}_trySetSelections(D){this._proxy.$trySetSelections(this.id,D.map(t.NotebookRange.from))}_acceptViewColumn(D){this._viewColumn=D}_applyEdit(D){if(D.cellEdits.length===0)return Promise.resolve(!0);const A=[];let R=-1;for(let w=0;w<D.cellEdits.length;w++){if(R<0){A.push(D.cellEdits[w]),R++;continue}const g=A[R],o=D.cellEdits[w];if(g.editType===1&&o.editType===1&&g.index===o.index){g.cells.push(...D.cellEdits[w].cells),g.count+=D.cellEdits[w].count;continue}A.push(D.cellEdits[w]),R++}return this._proxy.$tryApplyEdits(this.id,D.documentVersionId,A)}setDecorations(D,A){if(!(A.isEmpty&&!this._hasDecorationsForKey.has(D.key)))return A.isEmpty?this._hasDecorationsForKey.delete(D.key):this._hasDecorationsForKey.add(D.key),this._proxy.$trySetDecorations(this.id,t.NotebookRange.from(A),D.key)}}e.ExtHostNotebookEditor=I,I.apiEditorsToExtHost=new WeakMap}),define(we[167],Ee([0,1,8,139,120,20,53,15]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class D{constructor(i){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=i}async withProgress(i,g,o){const c=this._handles++,{title:u,location:F,cancellable:S}=g,m={label:(0,y.localize)(0,null,i.displayName||i.name),id:i.identifier.value};return this._proxy.$startProgress(c,{location:s.ProgressLocation.from(F),title:u,source:m,cancellable:S},i.isUnderDevelopment?void 0:i.identifier.value).catch(P.onUnexpectedExternalError),this._withProgress(c,o,!!S)}_withProgress(i,g,o){let c;o&&(c=new T.CancellationTokenSource,this._mapHandleToCancellationSource.set(i,c));const u=S=>{this._proxy.$progressEnd(S),this._mapHandleToCancellationSource.delete(S),c&&c.dispose()};let F;try{F=g(new R(this._proxy,i),o&&c?c.token:T.CancellationToken.None)}catch(S){throw u(i),S}return F.then(S=>u(i),S=>u(i)),F}$acceptProgressCanceled(i){const g=this._mapHandleToCancellationSource.get(i);g&&(g.cancel(),this._mapHandleToCancellationSource.delete(i))}}e.ExtHostProgress=D;function A(w,i){return w.message=i.message,typeof i.increment=="number"&&(typeof w.increment=="number"?w.increment+=i.increment:w.increment=i.increment),w}class R extends t.Progress{constructor(i,g){super(o=>this.throttledReport(o));this._proxy=i,this._handle=g}throttledReport(i){this._proxy.$progressReport(this._handle,i)}}Ue([(0,I.throttle)(100,(w,i)=>A(w,i),()=>Object.create(null))],R.prototype,"throttledReport",null)}),define(we[92],Ee([0,1,42,15,54,8,7]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class P{constructor(i,g,o){const c=P._Keys.nextId();i.$registerTextEditorDecorationType(g.identifier,c,T.DecorationRenderOptions.from(o)),this.value=Object.freeze({key:c,dispose(){i.$removeTextEditorDecorationType(c)}})}}e.TextEditorDecorationType=P,P._Keys=new y.IdGenerator("TextEditorDecorationType");class D{constructor(i,g){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=i,this._documentVersionId=i.version,this._undoStopBefore=g.undoStopBefore,this._undoStopAfter=g.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(i,g){this._throwIfFinalized();let o=null;if(i instanceof I.Position)o=new I.Range(i,i);else if(i instanceof I.Range)o=i;else throw new Error("Unrecognized location");this._pushEdit(o,g,!1)}insert(i,g){this._throwIfFinalized(),this._pushEdit(new I.Range(i,i),g,!0)}delete(i){this._throwIfFinalized();let g=null;if(i instanceof I.Range)g=i;else throw new Error("Unrecognized location");this._pushEdit(g,null,!0)}_pushEdit(i,g,o){const c=this._document.validateRange(i);this._collectedEdits.push({range:c,text:g,forceMoveMarkers:o})}setEndOfLine(i){if(this._throwIfFinalized(),i!==I.EndOfLine.LF&&i!==I.EndOfLine.CRLF)throw(0,t.illegalArgument)("endOfLine");this._setEndOfLine=i}}e.TextEditorEdit=D;class A{constructor(i,g,o,c){this._proxy=i,this._id=g,this._accept(o),this._logService=c;const u=this;this.value={get tabSize(){return u._tabSize},set tabSize(F){u._setTabSize(F)},get insertSpaces(){return u._insertSpaces},set insertSpaces(F){u._setInsertSpaces(F)},get cursorStyle(){return u._cursorStyle},set cursorStyle(F){u._setCursorStyle(F)},get lineNumbers(){return u._lineNumbers},set lineNumbers(F){u._setLineNumbers(F)}}}_accept(i){this._tabSize=i.tabSize,this._insertSpaces=i.insertSpaces,this._cursorStyle=i.cursorStyle,this._lineNumbers=T.TextEditorLineNumbersStyle.to(i.lineNumbers)}_validateTabSize(i){if(i==="auto")return"auto";if(typeof i=="number"){const g=Math.floor(i);return g>0?g:null}if(typeof i=="string"){const g=parseInt(i,10);return isNaN(g)?null:g>0?g:null}return null}_setTabSize(i){const g=this._validateTabSize(i);if(g!==null){if(typeof g=="number"){if(this._tabSize===g)return;this._tabSize=g}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:g}))}}_validateInsertSpaces(i){return i==="auto"?"auto":i==="false"?!1:Boolean(i)}_setInsertSpaces(i){const g=this._validateInsertSpaces(i);if(typeof g=="boolean"){if(this._insertSpaces===g)return;this._insertSpaces=g}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:g}))}_setCursorStyle(i){this._cursorStyle!==i&&(this._cursorStyle=i,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:i})))}_setLineNumbers(i){this._lineNumbers!==i&&(this._lineNumbers=i,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:T.TextEditorLineNumbersStyle.from(i)})))}assign(i){const g={};let o=!1;if(typeof i.tabSize!="undefined"){const c=this._validateTabSize(i.tabSize);c==="auto"?(o=!0,g.tabSize=c):typeof c=="number"&&this._tabSize!==c&&(this._tabSize=c,o=!0,g.tabSize=c)}if(typeof i.insertSpaces!="undefined"){const c=this._validateInsertSpaces(i.insertSpaces);c==="auto"?(o=!0,g.insertSpaces=c):this._insertSpaces!==c&&(this._insertSpaces=c,o=!0,g.insertSpaces=c)}typeof i.cursorStyle!="undefined"&&this._cursorStyle!==i.cursorStyle&&(this._cursorStyle=i.cursorStyle,o=!0,g.cursorStyle=i.cursorStyle),typeof i.lineNumbers!="undefined"&&this._lineNumbers!==i.lineNumbers&&(this._lineNumbers=i.lineNumbers,o=!0,g.lineNumbers=T.TextEditorLineNumbersStyle.from(i.lineNumbers)),o&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,g))}_warnOnError(i,g){g.catch(o=>{this._logService.warn(`ExtHostTextEditorOptions '${i}' failed:'`),this._logService.warn(o)})}}e.ExtHostTextEditorOptions=A;class R{constructor(i,g,o,c,u,F,S,m){this.id=i,this._proxy=g,this._logService=o,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=u,this._options=new A(this._proxy,this.id,F,o),this._visibleRanges=S,this._viewColumn=m;const d=this;this.value=Object.freeze({get document(){return c.getValue()},set document(k){throw(0,t.readonly)("document")},get selection(){return d._selections&&d._selections[0]},set selection(k){if(!(k instanceof I.Selection))throw(0,t.illegalArgument)("selection");d._selections=[k],d._trySetSelection()},get selections(){return d._selections},set selections(k){if(!Array.isArray(k)||k.some(a=>!(a instanceof I.Selection)))throw(0,t.illegalArgument)("selections");d._selections=k,d._trySetSelection()},get visibleRanges(){return d._visibleRanges},set visibleRanges(k){throw(0,t.readonly)("visibleRanges")},get options(){return d._options.value},set options(k){d._disposed||d._options.assign(k)},get viewColumn(){return d._viewColumn},set viewColumn(k){throw(0,t.readonly)("viewColumn")},edit(k,a={undoStopBefore:!0,undoStopAfter:!0}){if(d._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const M=new D(c.getValue(),a);return k(M),d._applyEdit(M)},insertSnippet(k,a,M={undoStopBefore:!0,undoStopAfter:!0}){if(d._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let r;if(!a||Array.isArray(a)&&a.length===0)r=d._selections.map(n=>T.Range.from(n));else if(a instanceof I.Position){const{lineNumber:n,column:b}=T.Position.from(a);r=[{startLineNumber:n,startColumn:b,endLineNumber:n,endColumn:b}]}else if(a instanceof I.Range)r=[T.Range.from(a)];else{r=[];for(const n of a)if(n instanceof I.Range)r.push(T.Range.from(n));else{const{lineNumber:b,column:p}=T.Position.from(n);r.push({startLineNumber:b,startColumn:p,endLineNumber:b,endColumn:p})}}return g.$tryInsertSnippet(i,k.value,r,M)},setDecorations(k,a){const M=a.length===0;M&&!d._hasDecorationsForKey.has(k.key)||(M?d._hasDecorationsForKey.delete(k.key):d._hasDecorationsForKey.add(k.key),d._runOnProxy(()=>{if(T.isDecorationOptionsArr(a))return g.$trySetDecorations(i,k.key,T.fromRangeOrRangeWithMessage(a));{const r=new Array(4*a.length);for(let n=0,b=a.length;n<b;n++){const p=a[n];r[4*n]=p.start.line+1,r[4*n+1]=p.start.character+1,r[4*n+2]=p.end.line+1,r[4*n+3]=p.end.character+1}return g.$trySetDecorationsFast(i,k.key,r)}}))},revealRange(k,a){d._runOnProxy(()=>g.$tryRevealRange(i,T.Range.from(k),a||I.TextEditorRevealType.Default))},show(k){g.$tryShowEditor(i,T.ViewColumn.from(k))},hide(){g.$tryHideEditor(i)}})}dispose(){(0,s.ok)(!this._disposed),this._disposed=!0}_acceptOptions(i){(0,s.ok)(!this._disposed),this._options._accept(i)}_acceptVisibleRanges(i){(0,s.ok)(!this._disposed),this._visibleRanges=i}_acceptViewColumn(i){(0,s.ok)(!this._disposed),this._viewColumn=i}_acceptSelections(i){(0,s.ok)(!this._disposed),this._selections=i}async _trySetSelection(){const i=this._selections.map(T.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,i)),this.value}_applyEdit(i){const g=i.finalize();if(g.edits.length===0&&!g.setEndOfLine)return Promise.resolve(!0);const o=g.edits.map(u=>u.range);o.sort((u,F)=>u.end.line===F.end.line?u.end.character===F.end.character?u.start.line===F.start.line?u.start.character-F.start.character:u.start.line-F.start.line:u.end.character-F.end.character:u.end.line-F.end.line);for(let u=0,F=o.length-1;u<F;u++){const S=o[u].end;if(o[u+1].start.isBefore(S))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const c=g.edits.map(u=>({range:T.Range.from(u.range),text:u.text,forceMoveMarkers:u.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,g.documentVersionId,c,{setEndOfLine:typeof g.setEndOfLine=="number"?T.EndOfLine.from(g.setEndOfLine):void 0,undoStopBefore:g.undoStopBefore,undoStopAfter:g.undoStopAfter})}_runOnProxy(i){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):i().then(()=>this,g=>(g instanceof Error&&g.name==="DISPOSED"||this._logService.warn(g),null))}}e.ExtHostTextEditor=R}),define(we[168],Ee([0,1,14,4,6,10,48,8,88,67]),function(te,e,s,t,y,T,I,P,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=void 0;class R extends y.Disposable{constructor(i){super();this.controllerId=i,this.debounceSendDiff=this._register(new s.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new t.Emitter),this.root=new I.TestItemRootImpl(this.controllerId,this.controllerId),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}set resolveHandler(i){this._resolveHandler=i;for(const g of this.tree.values())this.updateExpandability(g)}collectDiff(){const i=this.diff;return this.diff=[],i}pushDiff(i){const g=this.diff[this.diff.length-1];if(g&&i[0]===1){if(g[0]===1&&g[1].extId===i[1].extId){(0,D.applyTestItemUpdate)(g[1],i[1]);return}if(g[0]===0&&g[1].item.extId===i[1].extId){(0,D.applyTestItemUpdate)(g[1],i[1]);return}}this.diff.push(i),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(i,g){const o=this.tree.get(i);if(!!o){if((o.expandLevels===void 0||g>o.expandLevels)&&(o.expandLevels=g),o.expand===1){const c=this.resolveChildren(o);return c.isOpen()?this.expandChildren(o,g-1):c.wait().then(()=>this.expandChildren(o,g-1))}else if(o.expand===3)return o.resolveBarrier?.isOpen()===!1?o.resolveBarrier.wait().then(()=>this.expandChildren(o,g-1)):this.expandChildren(o,g-1)}}dispose(){for(const i of this.tree.values())(0,I.getPrivateApiFor)(i.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(i,g){switch(g.op){case 2:this.pushDiff([4,i.fullId.toString()]);break;case 1:this.removeItem(A.TestId.joinToString(i.fullId,g.id));break;case 0:this.upsertItem(g.item,i);break;case 4:for(const o of g.ops)this.onTestItemEvent(i,o);break;case 3:{const{key:o,value:c,previous:u}=g,F=i.fullId.toString();switch(o){case"canResolveChildren":this.updateExpandability(i);break;case"tags":this.diffTagRefs(c,u,F);break;case"range":this.pushDiff([1,{extId:F,item:{range:P.Range.from(c)}}]);break;case"error":this.pushDiff([1,{extId:F,item:{error:P.MarkdownString.fromStrict(c)||null}}]);break;default:this.pushDiff([1,{extId:F,item:{[o]:c??null}}]);break}break}default:(0,T.assertNever)(g)}}upsertItem(i,g){if(!(i instanceof I.TestItemImpl))throw new Error(`TestItems provided to the VS Code API must extend \`vscode.TestItem\`, but ${i.id} did not`);const o=A.TestId.fromExtHostTestItem(i,this.root.id,g?.actual),c=(0,I.getPrivateApiFor)(i);c.parent&&c.parent!==g?.actual&&c.parent.children.delete(i.id);let u=this.tree.get(o.toString());if(!u){u={fullId:o,actual:i,parent:g?o.parentId:null,expandLevels:g?.expandLevels?g.expandLevels-1:void 0,expand:0},i.tags.forEach(this.incrementTagRefs,this),this.tree.set(u.fullId.toString(),u),this.setItemParent(i,g),this.pushDiff([0,{parent:u.parent&&u.parent.toString(),controllerId:this.controllerId,expand:u.expand,item:P.TestItem.from(i)}]),this.connectItemAndChildren(i,u,g);return}if(u.actual===i){this.connectItem(i,u,g);return}const F=u.actual.children,S=u.actual,m=(0,I.diffTestItems)(S,i);(0,I.getPrivateApiFor)(S).listener=void 0,u.actual=i,u.expand=0;for(const[d,k]of m)this.onTestItemEvent(u,{op:3,key:d,value:k,previous:S[d]});this.connectItemAndChildren(i,u,g);for(const d of F)i.children.get(d.id)||this.removeItem(A.TestId.joinToString(o,d.id))}diffTagRefs(i,g,o){const c=new Set(g.map(u=>u.id));for(const u of i)c.delete(u.id)||this.incrementTagRefs(u);this.pushDiff([1,{extId:o,item:{tags:i.map(u=>P.TestTag.namespace(this.controllerId,u.id))}}]),c.forEach(this.decrementTagRefs,this)}incrementTagRefs(i){const g=this.tags.get(i.id);g?g.refCount++:(this.tags.set(i.id,{refCount:1}),this.pushDiff([5,{id:P.TestTag.namespace(this.controllerId,i.id),ctrlLabel:this.root.label}]))}decrementTagRefs(i){const g=this.tags.get(i);g&&!--g.refCount&&(this.tags.delete(i),this.pushDiff([6,P.TestTag.namespace(this.controllerId,i)]))}setItemParent(i,g){(0,I.getPrivateApiFor)(i).parent=g&&g.actual!==this.root?g.actual:void 0}connectItem(i,g,o){this.setItemParent(i,o);const c=(0,I.getPrivateApiFor)(i);c.parent=o?.actual,c.listener=u=>this.onTestItemEvent(g,u),this.updateExpandability(g)}connectItemAndChildren(i,g,o){this.connectItem(i,g,o);for(const c of i.children)this.upsertItem(c,g)}updateExpandability(i){let g;this._resolveHandler?i.resolveBarrier?g=i.resolveBarrier.isOpen()?3:2:g=i.actual.canResolveChildren?1:0:g=0,g!==i.expand&&(i.expand=g,this.pushDiff([1,{extId:i.fullId.toString(),expand:g}]),g===1&&i.expandLevels!==void 0&&this.resolveChildren(i))}expandChildren(i,g){if(g<0)return;const o=[];for(const c of i.actual.children){const u=this.expand(A.TestId.joinToString(i.fullId,c.id),g);(0,s.isThenable)(u)&&o.push(u)}if(o.length)return Promise.all(o).then(()=>{})}resolveChildren(i){if(i.resolveBarrier)return i.resolveBarrier;if(!this._resolveHandler){const u=new s.Barrier;return u.open(),u}i.expand=2,this.pushExpandStateUpdate(i);const g=i.resolveBarrier=new s.Barrier,o=u=>{console.error(`Unhandled error in resolveHandler of test controller "${this.controllerId}"`),i.actual!==this.root&&(i.actual.error=u.stack||u.message||String(u))};let c;try{c=this._resolveHandler(i.actual===this.root?void 0:i.actual)}catch(u){o(u)}return(0,s.isThenable)(c)?c.catch(o).then(()=>{g.open(),this.updateExpandability(i)}):(g.open(),this.updateExpandability(i)),i.resolveBarrier}pushExpandStateUpdate(i){this.pushDiff([1,{extId:i.fullId.toString(),expand:i.expand}])}removeItem(i){const g=this.tree.get(i);if(!g)throw new Error("attempting to remove non-existent child");this.pushDiff([2,i]);const o=[g];for(;o.length;){const c=o.pop();if(!!c){(0,I.getPrivateApiFor)(c.actual).listener=void 0;for(const u of c.actual.tags)this.decrementTagRefs(u.id);this.tree.delete(c.fullId.toString());for(const u of c.actual.children)o.push(this.tree.get(A.TestId.joinToString(c.fullId,u.id)))}}}flushDiff(){const i=this.collectDiff();i.length&&this.diffOpEmitter.fire(i)}}e.SingleUseTestCollection=R}),define(we[169],Ee([0,1,3,135]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,s.refineServiceDecorator)(t.IEnvironmentService)}),define(we[170],Ee([0,1,25,4,17]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class T{constructor(R){this.removedDueToLooping=R}}e.DeltaExtensionsResult=T;class I{constructor(R){this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=R,this._initialize()}_initialize(){this._extensionDescriptions.sort(D),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const R of this._extensionDescriptions){if(this._extensionsMap.has(s.ExtensionIdentifier.toKey(R.identifier))){console.error("Extension `"+R.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(s.ExtensionIdentifier.toKey(R.identifier),R),this._extensionsArr.push(R),Array.isArray(R.activationEvents))for(let w of R.activationEvents)w==="onUri"&&(w=`onUri:${s.ExtensionIdentifier.toKey(R.identifier)}`),this._activationMap.has(w)||this._activationMap.set(w,[]),this._activationMap.get(w).push(R)}}keepOnly(R){const w=new Set;R.forEach(i=>w.add(s.ExtensionIdentifier.toKey(i))),this._extensionDescriptions=this._extensionDescriptions.filter(i=>w.has(s.ExtensionIdentifier.toKey(i.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(R,w){R.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(R));const i=I._findLoopingExtensions(this._extensionDescriptions);if(w=w.concat(i.map(g=>g.identifier)),w.length>0){const g=new Set;w.forEach(o=>g.add(s.ExtensionIdentifier.toKey(o))),this._extensionDescriptions=this._extensionDescriptions.filter(o=>!g.has(s.ExtensionIdentifier.toKey(o.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new T(i)}static _findLoopingExtensions(R){const w=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(u){this._nodesSet.has(u)||(this._nodesSet.add(u),this._nodesArr.push(u))}addArc(u,F){this.addNode(u),this.addNode(F),this._arcs.has(u)?this._arcs.get(u).push(F):this._arcs.set(u,[F])}getArcs(u){return this._arcs.has(u)?this._arcs.get(u):[]}hasOnlyGoodArcs(u,F){const S=w.getArcs(u);for(let m=0;m<S.length;m++)if(!F.has(S[m]))return!1;return!0}getNodes(){return this._nodesArr}};let i=new Map;for(let u of R){const F=s.ExtensionIdentifier.toKey(u.identifier);if(i.set(F,u),u.extensionDependencies)for(let S of u.extensionDependencies){const m=s.ExtensionIdentifier.toKey(S);w.addArc(F,m)}}let g=new Set;w.getNodes().filter(u=>w.getArcs(u).length===0).forEach(u=>g.add(u));let o=w.getNodes().filter(u=>!g.has(u)),c;do{c=!1;for(let u=0;u<o.length;u++){const F=o[u];w.hasOnlyGoodArcs(F,g)&&(o.splice(u,1),u--,g.add(F),c=!0)}}while(c);return o.map(u=>i.get(u))}containsActivationEvent(R){return this._activationMap.has(R)}containsExtension(R){return this._extensionsMap.has(s.ExtensionIdentifier.toKey(R))}getExtensionDescriptionsForActivationEvent(R){const w=this._activationMap.get(R);return w?w.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(R){const w=this._extensionsMap.get(s.ExtensionIdentifier.toKey(R));return w||void 0}}e.ExtensionDescriptionRegistry=I;var P;(function(A){A[A.Builtin=0]="Builtin",A[A.User=1]="User",A[A.Dev=2]="Dev"})(P||(P={}));function D(A,R){const w=A.isBuiltin?0:A.isUnderDevelopment?2:1,i=R.isBuiltin?0:R.isUnderDevelopment?2:1;if(w!==i)return w-i;const g=y.posix.basename(A.extensionLocation.path),o=y.posix.basename(R.extensionLocation.path);return g<o?-1:g>o?1:0}}),define(we[171],Ee([0,1,22]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var t;(function(P){P[P.VersionMismatch=55]="VersionMismatch",P[P.UnexpectedError=81]="UnexpectedError"})(t=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var y;(function(P){P[P.Initialized=0]="Initialized",P[P.Ready=1]="Ready",P[P.Terminate=2]="Terminate"})(y=e.MessageType||(e.MessageType={}));function T(P){const D=s.VSBuffer.alloc(1);switch(P){case 0:D.writeUInt8(1,0);break;case 1:D.writeUInt8(2,0);break;case 2:D.writeUInt8(3,0);break}return D}e.createMessageOfType=T;function I(P,D){if(P.byteLength!==1)return!1;switch(P.readUInt8(0)){case 1:return D===0;case 2:return D===1;case 3:return D===2;default:return!1}}e.isMessageOfType=I}),define(we[27],Ee([0,1,4,2,3,25,142]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.extensionRunningLocationToString=e.ExtensionRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new T.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:t.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,y.createDecorator)("extensionService");var P;(function(d){d[d.None=0]="None",d[d.LocalProcess=1]="LocalProcess",d[d.LocalWebWorker=2]="LocalWebWorker",d[d.Remote=3]="Remote"})(P=e.ExtensionRunningLocation||(e.ExtensionRunningLocation={}));function D(d){switch(d){case 0:return"None";case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionRunningLocationToString=D;class A{constructor(k){this.dependency=k}}e.MissingExtensionDependency=A;var R;(function(d){d[d.LocalProcess=0]="LocalProcess",d[d.LocalWebWorker=1]="LocalWebWorker",d[d.Remote=2]="Remote"})(R=e.ExtensionHostKind||(e.ExtensionHostKind={}));function w(d){switch(d){case 0:return"LocalProcess";case 1:return"LocalWebWorker";case 2:return"Remote"}}e.extensionHostKindToString=w;function i(d,k){return d.enabledApiProposals?d.enabledApiProposals.includes(k):!1}e.isProposedApiEnabled=i;function g(d,k){if(!i(d,k))throw new Error(`Extension '${d.identifier.value}' CANNOT use API proposal: ${k}.
Its package.json#enabledApiProposals-property declares: ${d.enabledApiProposals?.join(", ")??"[]"} but NOT ${k}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${d.identifier.value}`)}e.checkProposedApiEnabled=g;class o{constructor(k,a,M,r){this.codeLoadingTime=k,this.activateCallTime=a,this.activateResolvedTime=M,this.activationReason=r}}e.ActivationTimes=o;class c{constructor(k,a){this.description=k,this.value=a}}e.ExtensionPointContribution=c,e.ExtensionHostLogFileName="exthost";var u;(function(d){d[d.Normal=0]="Normal",d[d.Immediate=1]="Immediate"})(u=e.ActivationKind||(e.ActivationKind={}));function F(d){return{type:d.isBuiltin?0:1,isBuiltin:d.isBuiltin||d.isUserBuiltin,identifier:{id:(0,I.getGalleryExtensionId)(d.publisher,d.name),uuid:d.uuid},manifest:d,location:d.extensionLocation}}e.toExtension=F;function S(d,k){return{identifier:new T.ExtensionIdentifier((0,I.getExtensionId)(d.manifest.publisher,d.manifest.name)),isBuiltin:d.type===0,isUserBuiltin:d.type===1&&d.isBuiltin,isUnderDevelopment:!!k,extensionLocation:d.location,...d.manifest,uuid:d.identifier.uuid}}e.toExtensionDescription=S;class m{constructor(){this.onDidRegisterExtensions=s.Event.None,this.onDidChangeExtensionsStatus=s.Event.None,this.onDidChangeExtensions=s.Event.None,this.onWillActivateByEvent=s.Event.None,this.onDidChangeResponsiveChange=s.Event.None}activateByEvent(k){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(k){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(k){return Promise.resolve(0)}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(k){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(k,a){return Promise.resolve()}_onWillActivateExtension(k){}_onDidActivateExtension(k,a,M,r,n){}_onDidActivateExtensionError(k,a){}_onExtensionRuntimeError(k,a){}_onExtensionHostExit(k){}}e.NullExtensionService=m}),define(we[172],Ee([0,1,15,25,27,12]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const I=Promise.resolve(void 0);class P{constructor(c,u,F,S){this.startup=c,this.codeLoadingTime=u,this.activateCallTime=F,this.activateResolvedTime=S}}e.ExtensionActivationTimes=P,P.NONE=new P(!1,-1,-1,-1);class D{constructor(c){this._startup=c,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(c,u){return c===-1||u===-1?-1:u-c}build(){return new P(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=D;class A{constructor(c,u,F,S,m,d){this.activationFailed=c,this.activationFailedError=u,this.activationTimes=F,this.module=S,this.exports=m,this.subscriptions=d}}e.ActivatedExtension=A;class R extends A{constructor(c){super(!1,null,c,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=R;class w extends A{constructor(){super(!1,null,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=w;class i extends A{constructor(c){super(!0,c,P.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=i;let g=class{constructor(c,u,F,S,m){this._logService=m,this._isDisposed=!1,this._registry=c,this._resolvedExtensionsSet=new Set,u.forEach(d=>this._resolvedExtensionsSet.add(t.ExtensionIdentifier.toKey(d))),this._hostExtensionsMap=new Map,F.forEach(d=>this._hostExtensionsMap.set(t.ExtensionIdentifier.toKey(d),d)),this._host=S,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){this._isDisposed=!0}isActivated(c){const u=t.ExtensionIdentifier.toKey(c);return this._activatedExtensions.has(u)}getActivatedExtension(c){const u=t.ExtensionIdentifier.toKey(c),F=this._activatedExtensions.get(u);if(!F)throw new Error("Extension `"+c.value+"` is not known or not activated");return F}activateByEvent(c,u){if(this._alreadyActivatedEvents[c])return I;const F=this._registry.getExtensionDescriptionsForActivationEvent(c);return this._activateExtensions(F.map(S=>({id:S.identifier,reason:{startup:u,extensionId:S.identifier,activationEvent:c}}))).then(()=>{this._alreadyActivatedEvents[c]=!0})}activateById(c,u){const F=this._registry.getExtensionDescription(c);if(!F)throw new Error("Extension `"+c+"` is not known");return this._activateExtensions([{id:F.identifier,reason:u}])}_handleActivateRequest(c,u,F){if(this._hostExtensionsMap.has(t.ExtensionIdentifier.toKey(c.id))){u[t.ExtensionIdentifier.toKey(c.id)]=c;return}const S=this._registry.getExtensionDescription(c.id);if(!S){const k=new Error(`Cannot activate unknown extension '${c.id.value}'`);this._host.onExtensionActivationError(c.id,k,new y.MissingExtensionDependency(c.id.value)),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(c.id),new i(k));return}const m=typeof S.extensionDependencies=="undefined"?[]:S.extensionDependencies;let d=!0;for(let k=0,a=m.length;k<a;k++){const M=m[k];if(this._resolvedExtensionsSet.has(t.ExtensionIdentifier.toKey(M)))continue;const r=this._activatedExtensions.get(t.ExtensionIdentifier.toKey(M));if(r&&!r.activationFailed)continue;if(r&&r.activationFailed){const l=S.displayName||S.identifier.value,h=this._registry.getExtensionDescription(M),v=h&&h.displayName||M,_=new Error(`Cannot activate the '${l}' extension because its dependency '${v}' failed to activate`);_.detail=r.activationFailedError,this._host.onExtensionActivationError(S.identifier,_,null),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(S.identifier),new i(_));return}if(this._hostExtensionsMap.has(t.ExtensionIdentifier.toKey(M))){d=!1,u[t.ExtensionIdentifier.toKey(M)]={id:this._hostExtensionsMap.get(t.ExtensionIdentifier.toKey(M)),reason:c.reason};continue}const n=this._registry.getExtensionDescription(M);if(n){if(!n.main&&!n.browser)continue;d=!1,u[t.ExtensionIdentifier.toKey(M)]={id:n.identifier,reason:c.reason};continue}const b=S.displayName||S.identifier.value,p=new Error(`Cannot activate the '${b}' extension because it depends on unknown extension '${M}'`);this._host.onExtensionActivationError(S.identifier,p,new y.MissingExtensionDependency(M)),this._activatedExtensions.set(t.ExtensionIdentifier.toKey(S.identifier),new i(p));return}d?u[t.ExtensionIdentifier.toKey(S.identifier)]=c:F.push(c)}_activateExtensions(c){if(c.length===0||(c=c.filter(m=>!this._activatedExtensions.has(t.ExtensionIdentifier.toKey(m.id))),c.length===0))return Promise.resolve(void 0);const u=Object.create(null),F=[];for(let m=0,d=c.length;m<d;m++)this._handleActivateRequest(c[m],u,F);for(let m=0,d=F.length;m<d;m++){const k=t.ExtensionIdentifier.toKey(F[m].id);u[k]&&delete u[k]}const S=Object.keys(u).map(m=>u[m]);return F.length===0?Promise.all(S.map(m=>this._activateExtension(m.id,m.reason))).then(m=>{}):this._activateExtensions(S).then(m=>this._activateExtensions(F))}_activateExtension(c,u){const F=t.ExtensionIdentifier.toKey(c);if(this._activatedExtensions.has(F))return Promise.resolve(void 0);const S=this._activatingExtensions.get(F);if(S)return S;const m=this._host.actualActivateExtension(c,u).then(void 0,d=>{const k=new Error;return d&&d.name&&(k.name=d.name),d&&d.message?k.message=`Activating extension '${c.value}' failed: ${d.message}.`:k.message=`Activating extension '${c.value}' failed: ${d}.`,d&&d.stack&&(k.stack=d.stack),this._isDisposed&&s.isPromiseCanceledError(d)?new i(d):(this._host.onExtensionActivationError(c,k,null),this._logService.error(`Activating extension ${c.value} failed due to an error:`),this._logService.error(d),new i(d))}).then(d=>{this._activatedExtensions.set(F,d),this._activatingExtensions.delete(F)});return this._activatingExtensions.set(F,m),m}};g=Ue([$e(4,T.ILogService)],g),e.ExtensionsActivator=g}),define(we[173],Ee([0,1,12,28,27]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let T=class extends s.LogService{constructor(P,D){super(P.createLogger(D.logFile,{name:y.ExtensionHostLogFileName}))}};T=Ue([$e(0,s.ILoggerService),$e(1,t.IExtHostInitDataService)],T),e.ExtHostLogService=T}),define(we[174],Ee([0,1,15]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class t{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((T,I)=>{this._actualOk=T,this._actualErr=I,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(T){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=T,this._actual&&this._actualOk(T))}resolveErr(T){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=T,this._actual?this._actualErr(T):(0,s.onUnexpectedError)(T))}then(T,I){return this._ensureActual().then(T,I)}catch(T){return this._ensureActual().then(void 0,T)}finally(T){return this._ensureActual().finally(T)}}e.LazyPromise=t}),define(we[38],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class s{constructor(A,R){this._proxyIdentifierBrand=void 0,this.isMain=A,this.sid=R,this.nid=++s.count}}e.ProxyIdentifier=s,s.count=0;const t=[];function y(D){const A=new s(!0,D);return t[A.nid]=A,A}e.createMainContextProxyIdentifier=y;function T(D){const A=new s(!1,D);return t[A.nid]=A,A}e.createExtHostContextProxyIdentifier=T;function I(D){return t[D].sid}e.getStringIdentifierForProxy=I;class P{constructor(A){this.value=A}}e.SerializableObjectWithBuffers=P}),define(we[5],Ee([0,1,55,2,38]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var T;(function(m){m[m.Desktop=1]="Desktop",m[m.Web=2]="Web"})(T=e.UIKind||(e.UIKind={}));var I;(function(m){m[m.Default=0]="Default",m[m.InCenter=1]="InCenter",m[m.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",m[m.AtTop=3]="AtTop"})(I=e.TextEditorRevealType||(e.TextEditorRevealType={}));var P;(function(m){m[m.Editable=0]="Editable",m[m.SupportsHotExit=1]="SupportsHotExit"})(P=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var D;(function(m){m[m.Int8Array=1]="Int8Array",m[m.Uint8Array=2]="Uint8Array",m[m.Uint8ClampedArray=3]="Uint8ClampedArray",m[m.Int16Array=4]="Int16Array",m[m.Uint16Array=5]="Uint16Array",m[m.Int32Array=6]="Int32Array",m[m.Uint32Array=7]="Uint32Array",m[m.Float32Array=8]="Float32Array",m[m.Float64Array=9]="Float64Array",m[m.BigInt64Array=10]="BigInt64Array",m[m.BigUint64Array=11]="BigUint64Array"})(D=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var A;(function(m){m[m.Text=1]="Text",m[m.Error=2]="Error",m[m.Rich=3]="Rich"})(A=e.CellOutputKind||(e.CellOutputKind={}));var R;(function(m){m[m.Default=0]="Default",m[m.InCenter=1]="InCenter",m[m.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",m[m.AtTop=3]="AtTop"})(R=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var w;(function(m){m[m.None=0]="None",m[m.Process=1]="Process",m[m.Output=2]="Output"})(w=e.CandidatePortSource||(e.CandidatePortSource={}));var i;(function(m){m.name="$ident";function d(a,M){return Object.defineProperty(a,m.name,{value:M,enumerable:!0}),a}m.mixin=d;function k(a){return a[m.name]}m.of=k})(i=e.ObjectIdentifier||(e.ObjectIdentifier={}));class g{static mixin(d){return d._id=g._n++,d}}e.IdObject=g,g._n=0;var o;(function(m){m.label="a",m.kind="b",m.detail="c",m.documentation="d",m.sortText="e",m.filterText="f",m.preselect="g",m.insertText="h",m.insertTextRules="i",m.range="j",m.commitCharacters="k",m.additionalTextEdits="l",m.command="m",m.kindModifier="n"})(o=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var c;(function(m){m.defaultRanges="a",m.completions="b",m.isIncomplete="c",m.duration="d"})(c=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var u;(function(m){m[m.File=1]="File",m[m.Text=2]="Text",m[m.Cell=3]="Cell"})(u=e.WorkspaceEditType||(e.WorkspaceEditType={}));function F(m){if(m&&m.edits)for(const d of m.edits)typeof d.resource=="object"?d.resource=t.URI.revive(d.resource):(d.newUri=t.URI.revive(d.newUri),d.oldUri=t.URI.revive(d.oldUri)),d.metadata&&d.metadata.iconPath&&(d.metadata=(0,s.revive)(d.metadata));return m}e.reviveWorkspaceEditDto=F;var S;(function(m){m[m.Workspace=0]="Workspace",m[m.TextDocument=1]="TextDocument"})(S=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,y.createMainContextProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,y.createMainContextProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,y.createMainContextProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,y.createMainContextProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,y.createMainContextProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,y.createMainContextProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,y.createMainContextProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,y.createMainContextProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,y.createMainContextProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,y.createMainContextProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,y.createMainContextProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,y.createMainContextProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,y.createMainContextProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,y.createMainContextProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,y.createMainContextProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,y.createMainContextProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,y.createMainContextProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,y.createMainContextProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,y.createMainContextProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,y.createMainContextProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,y.createMainContextProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,y.createMainContextProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,y.createMainContextProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,y.createMainContextProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,y.createMainContextProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,y.createMainContextProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,y.createMainContextProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,y.createMainContextProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,y.createMainContextProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,y.createMainContextProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,y.createMainContextProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,y.createMainContextProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,y.createMainContextProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,y.createMainContextProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,y.createMainContextProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,y.createMainContextProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,y.createMainContextProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,y.createMainContextProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,y.createMainContextProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,y.createMainContextProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,y.createMainContextProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,y.createMainContextProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,y.createMainContextProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,y.createMainContextProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,y.createMainContextProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,y.createMainContextProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,y.createMainContextProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,y.createMainContextProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,y.createMainContextProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,y.createMainContextProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,y.createMainContextProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,y.createMainContextProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,y.createMainContextProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,y.createMainContextProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,y.createExtHostContextProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,y.createExtHostContextProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,y.createExtHostContextProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,y.createExtHostContextProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,y.createExtHostContextProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,y.createExtHostContextProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,y.createExtHostContextProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,y.createExtHostContextProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,y.createExtHostContextProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,y.createExtHostContextProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,y.createExtHostContextProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,y.createExtHostContextProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,y.createExtHostContextProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,y.createExtHostContextProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,y.createExtHostContextProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,y.createExtHostContextProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,y.createExtHostContextProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,y.createExtHostContextProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,y.createExtHostContextProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,y.createExtHostContextProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,y.createExtHostContextProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,y.createMainContextProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,y.createMainContextProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,y.createMainContextProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,y.createMainContextProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,y.createExtHostContextProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,y.createExtHostContextProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,y.createMainContextProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,y.createMainContextProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,y.createMainContextProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,y.createMainContextProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,y.createMainContextProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,y.createMainContextProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,y.createMainContextProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,y.createMainContextProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,y.createMainContextProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,y.createMainContextProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,y.createMainContextProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,y.createMainContextProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,y.createMainContextProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,y.createMainContextProxyIdentifier)("ExtHostTelemetry")}}),define(we[68],Ee([0,1,5,4,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class T{constructor(P){this._onDidChangePassword=new t.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=P.getProxy(s.MainContext.MainThreadSecretState)}async $onDidChangePassword(P){this._onDidChangePassword.fire(P)}get(P,D){return this._proxy.$getPassword(P,D)}store(P,D,A){return this._proxy.$setPassword(P,D,A)}delete(P,D){return this._proxy.$deletePassword(P,D)}}e.ExtHostSecretState=T,e.IExtHostSecretState=(0,y.createDecorator)("IExtHostSecretState")}),define(we[69],Ee([0,1,3,12,5,13]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,s.createDecorator)("IExtHostApiDeprecationService");let I=class{constructor(D,A){this._extHostLogService=A,this._reportedUsages=new Set,this._telemetryShape=D.getProxy(y.MainContext.MainThreadTelemetry)}report(D,A,R){const w=this.getUsageKey(D,A);this._reportedUsages.has(w)||(this._reportedUsages.add(w),A.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${D}' is deprecated. ${R}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:A.identifier.value,apiId:D}))}getUsageKey(D,A){return`${D}-${A.identifier.value}`}};I=Ue([$e(0,T.IExtHostRpcService),$e(1,t.ILogService)],I),e.ExtHostApiDeprecationService=I,e.NullApiDeprecationService=Object.freeze(new class{report(P,D,A){}})}),define(we[175],Ee([0,1,4,5,7,25]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class I{constructor(D){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new s.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=D.getProxy(t.MainContext.MainThreadAuthentication)}$setProviders(D){return this._providers=D,Promise.resolve()}async getSession(D,A,R,w={}){const i=T.ExtensionIdentifier.toKey(D.identifier),g=this._inFlightRequests.get(i)||[],o=[...R].sort().join(" ");let c=g.find(u=>u.scopes===o);if(c)return c.result;{const u=this._getSession(D,i,A,R,w);c={scopes:o,result:u},g.push(c),this._inFlightRequests.set(i,g);try{await u}finally{const F=g.findIndex(S=>S.scopes===o);F>-1&&(g.splice(F),this._inFlightRequests.set(i,g))}return u}}async _getSession(D,A,R,w,i={}){await this._proxy.$ensureProvider(R);const g=D.displayName||D.name;return this._proxy.$getSession(R,w,A,g,i)}async removeSession(D,A){const R=this._authenticationProviders.get(D);return R?R.provider.removeSession(A):this._proxy.$removeSession(D,A)}registerAuthenticationProvider(D,A,R,w){if(this._authenticationProviders.get(D))throw new Error(`An authentication provider with id '${D}' is already registered.`);this._authenticationProviders.set(D,{label:A,provider:R,options:w??{supportsMultipleAccounts:!1}}),this._providers.find(g=>g.id===D)||this._providers.push({id:D,label:A});const i=R.onDidChangeSessions(g=>{this._proxy.$sendDidChangeSessions(D,{added:g.added??[],changed:g.changed??[],removed:g.removed??[]})});return this._proxy.$registerAuthenticationProvider(D,A,w?.supportsMultipleAccounts??!1),new y.Disposable(()=>{i.dispose(),this._authenticationProviders.delete(D);const g=this._providers.findIndex(o=>o.id===D);g>-1&&this._providers.splice(g),this._proxy.$unregisterAuthenticationProvider(D)})}$createSession(D,A){const R=this._authenticationProviders.get(D);if(R)return Promise.resolve(R.provider.createSession(A));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$removeSession(D,A){const R=this._authenticationProviders.get(D);if(R)return Promise.resolve(R.provider.removeSession(A));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$getSessions(D,A){const R=this._authenticationProviders.get(D);if(R)return Promise.resolve(R.provider.getSessions(A));throw new Error(`Unable to find authentication provider with handle: ${D}`)}$onDidChangeAuthenticationSessions(D,A){return this._onDidChangeSessions.fire({provider:{id:D,label:A}}),Promise.resolve()}}e.ExtHostAuthentication=I}),define(we[176],Ee([0,1,5,13,8]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let T=class{constructor(P,D){this._extHostDocumentsAndEditors=D,this._proxy=P.getProxy(s.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(P){const D=y.WorkspaceEdit.from(P,this._extHostDocumentsAndEditors);return this._proxy.$tryApplyWorkspaceEdit(D)}};T=Ue([$e(0,t.IExtHostRpcService)],T),e.ExtHostBulkEdits=T}),define(we[177],Ee([0,1,5]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class t{constructor(T){const I=T.getProxy(s.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return I.$readText()},writeText(P){return I.$writeText(P)}})}}e.ExtHostClipboard=t});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[39],Ee([0,1,10,7,8,26,5,16,12,55,59,227,2,6,3,13,48,22,38,43]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m){"use strict";var d;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let k=class{constructor(p,l){d.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,et(this,d,p.getProxy(I.MainContext.MainThreadCommands),"f"),this._logService=l,this.converter=new a(this,h=>{const v=this._apiCommands.get(h);return v?.result===r.Void?v:void 0},l),this._argumentProcessors=[{processArgument(h){return(0,A.revive)(h)}},{processArgument(h){return(0,T.cloneAndChange)(h,function(v){if(R.Range.isIRange(v))return y.Range.to(v);if(w.Position.isIPosition(v))return y.Position.to(v);if(R.Range.isIRange(v.range)&&i.URI.isUri(v.uri))return y.location.to(v);if(v instanceof F.VSBuffer)return v.buffer.buffer;if(!Array.isArray(v))return v})}}]}registerArgumentProcessor(p){this._argumentProcessors.push(p)}registerApiCommand(p){const l=this.registerCommand(!1,p.id,async(...h)=>{const v=p.args.map((f,C)=>{if(!f.validate(h[C]))throw new Error(`Invalid argument '${f.name}' when running '${p.id}', received: ${h[C]}`);return f.convert(h[C])}),_=await this.executeCommand(p.internalId,...v);return p.result.convert(_,h,this.converter)},void 0,{description:p.description,args:p.args,returns:p.result.description});return this._apiCommands.set(p.id,p),new t.Disposable(()=>{l.dispose(),this._apiCommands.delete(p.id)})}registerCommand(p,l,h,v,_,f){if(this._logService.trace("ExtHostCommands#registerCommand",l),!l.trim().length)throw new Error("invalid id");if(this._commands.has(l))throw new Error(`command '${l}' already exists`);return this._commands.set(l,{callback:h,thisArg:v,description:_,extension:f}),p&&ke(this,d,"f").$registerCommand(l),new t.Disposable(()=>{this._commands.delete(l)&&p&&ke(this,d,"f").$unregisterCommand(l)})}executeCommand(p,...l){return this._logService.trace("ExtHostCommands#executeCommand",p),this._doExecuteCommand(p,l,!0)}async _doExecuteCommand(p,l,h){if(this._commands.has(p))return this._executeContributedCommand(p,l,!1);{let v=!1;const _=(0,T.cloneAndChange)(l,function(f){if(f instanceof t.Position)return y.Position.from(f);if(f instanceof t.Range)return y.Range.from(f);if(f instanceof t.Location)return y.location.from(f);if(t.NotebookRange.isNotebookRange(f))return y.NotebookRange.from(f);if(f instanceof ArrayBuffer)return v=!0,F.VSBuffer.wrap(new Uint8Array(f));if(f instanceof Uint8Array)return v=!0,F.VSBuffer.wrap(f);if(!Array.isArray(f))return f});try{const f=await ke(this,d,"f").$executeCommand(p,v?new S.SerializableObjectWithBuffers(_):_,h);return(0,A.revive)(f)}catch(f){if(f instanceof Error&&f.message==="$executeCommand:retry")return this._doExecuteCommand(p,l,!1);throw f}}}async _executeContributedCommand(p,l,h){const v=this._commands.get(p);if(!v)throw new Error("Unknown command");let{callback:_,thisArg:f,description:C}=v;if(C)for(let x=0;x<C.args.length;x++)try{(0,s.validateConstraint)(l[x],C.args[x].constraint)}catch{throw new Error(`Running the contributed command: '${p}' failed. Illegal argument '${C.args[x].name}' - ${C.args[x].description}`)}try{return await _.apply(f,l)}catch(x){if(p===this.converter.delegatingCommandId){const N=this.converter.getActualCommand(...l);N&&(p=N.command)}throw this._logService.error(x,p,v.extension?.identifier),h?new class extends Error{constructor(){super((0,m.toErrorMessage)(x));this.id=p,this.source=v.extension?.displayName??v.extension?.name}}:x}}$executeContributedCommand(p,...l){return this._logService.trace("ExtHostCommands#$executeContributedCommand",p),this._commands.has(p)?(l=l.map(h=>this._argumentProcessors.reduce((v,_)=>_.processArgument(v),h)),this._executeContributedCommand(p,l,!0)):Promise.reject(new Error(`Contributed command '${p}' does not exist.`))}getCommands(p=!1){return this._logService.trace("ExtHostCommands#getCommands",p),ke(this,d,"f").$getCommands().then(l=>(p&&(l=l.filter(h=>h[0]!=="_")),l))}$getContributedCommandHandlerDescriptions(){const p=Object.create(null);for(let[l,h]of this._commands){let{description:v}=h;v&&(p[l]=v)}return Promise.resolve(p)}};d=new WeakMap,k=Ue([$e(0,c.IExtHostRpcService),$e(1,D.ILogService)],k),e.ExtHostCommands=k,e.IExtHostCommands=(0,o.createDecorator)("IExtHostCommands");class a{constructor(p,l,h){this._commands=p,this._lookupApiCommand=l,this._logService=h,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(p,l){if(!p)return;const h={$ident:void 0,id:p.command,title:p.title,tooltip:p.tooltip};if(!p.command)return h;const v=this._lookupApiCommand(p.command);if(v)h.id=v.internalId,h.arguments=v.args.map((_,f)=>_.convert(p.arguments&&p.arguments[f]));else if((0,P.isNonEmptyArray)(p.arguments)){const _=++this._cachIdPool;this._cache.set(_,p),l.add((0,g.toDisposable)(()=>{this._cache.delete(_),this._logService.trace("CommandsConverter#DISPOSE",_)})),h.$ident=_,h.id=this.delegatingCommandId,h.arguments=[_],this._logService.trace("CommandsConverter#CREATE",p.command,_)}return h}fromInternal(p){const l=I.ObjectIdentifier.of(p);return typeof l=="number"?this._cache.get(l):{command:p.id,title:p.title,arguments:p.arguments}}getActualCommand(...p){return this._cache.get(p[0])}_executeConvertedCommand(...p){const l=this.getActualCommand(...p);return this._logService.trace("CommandsConverter#EXECUTE",p[0],l?l.command:"MISSING"),l?this._commands.executeCommand(l.command,...l.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=a;class M{constructor(p,l,h,v){this.name=p,this.description=l,this.validate=h,this.convert=v}optional(){return new M(this.name,`(optional) ${this.description}`,p=>p==null||this.validate(p),p=>p===void 0?void 0:p===null?null:this.convert(p))}with(p,l){return new M(p??this.name,l??this.description,this.validate,this.convert)}}e.ApiCommandArgument=M,M.Uri=new M("uri","Uri of a text document",b=>i.URI.isUri(b),b=>b),M.Position=new M("position","A position in a text document",b=>t.Position.isPosition(b),y.Position.from),M.Range=new M("range","A range in a text document",b=>t.Range.isRange(b),y.Range.from),M.Selection=new M("selection","A selection in a text document",b=>t.Selection.isSelection(b),y.Selection.from),M.Number=new M("number","",b=>typeof b=="number",b=>b),M.String=new M("string","",b=>typeof b=="string",b=>b),M.CallHierarchyItem=new M("item","A call hierarchy item",b=>b instanceof t.CallHierarchyItem,y.CallHierarchyItem.from),M.TypeHierarchyItem=new M("item","A type hierarchy item",b=>b instanceof t.TypeHierarchyItem,y.TypeHierarchyItem.from),M.TestItem=new M("testItem","A VS Code TestItem",b=>b instanceof u.TestItemImpl,y.TestItem.from);class r{constructor(p,l){this.description=p,this.convert=l}}e.ApiCommandResult=r,r.Void=new r("no result",b=>b);class n{constructor(p,l,h,v,_){this.id=p,this.internalId=l,this.description=h,this.args=v,this.result=_}}e.ApiCommand=n}),define(we[178],Ee([0,1,8,7,58,39,16,79]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const D=[new T.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",R(s.DocumentHighlight.to))),new T.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[T.ApiCommandArgument.Uri],new T.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(i,g)=>{if((0,I.isFalsyOrEmpty)(i))return;class o extends t.SymbolInformation{static to(u){const F=new o(u.name,s.SymbolKind.to(u.kind),u.containerName||"",new t.Location(g[0],s.Range.to(u.range)));return F.detail=u.detail,F.range=F.location.range,F.selectionRange=s.Range.to(u.selectionRange),F.children=u.children?u.children.map(o.to):[],F}}return i.map(o.to)})),new T.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[T.ApiCommandArgument.Uri,new T.ApiCommandArgument("options","Formatting options",i=>!0,i=>i)],new T.ApiCommandResult("A promise that resolves to an array of TextEdits.",R(s.TextEdit.to))),new T.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Range,new T.ApiCommandArgument("options","Formatting options",i=>!0,i=>i)],new T.ApiCommandResult("A promise that resolves to an array of TextEdits.",R(s.TextEdit.to))),new T.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position,new T.ApiCommandArgument("ch","Trigger character",i=>typeof i=="string",i=>i),new T.ApiCommandArgument("options","Formatting options",i=>!0,i=>i)],new T.ApiCommandResult("A promise that resolves to an array of TextEdits.",R(s.TextEdit.to))),new T.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new T.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new T.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new T.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new T.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Location-instances.",R(s.location.to))),new T.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to an array of Hover-instances.",R(s.Hover.to))),new T.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[T.ApiCommandArgument.Uri,new T.ApiCommandArgument("position","A position in a text document",i=>Array.isArray(i)&&i.every(g=>t.Position.isPosition(g)),i=>i.map(s.Position.from))],new T.ApiCommandResult("A promise that resolves to an array of ranges.",i=>i.map(g=>{let o;for(const c of g.reverse())o=new t.SelectionRange(s.Range.to(c),o);return o}))),new T.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[T.ApiCommandArgument.String.with("query","Search string")],new T.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",i=>i.map(s.WorkspaceSymbol.to))),new T.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A CallHierarchyItem or undefined",i=>i.map(s.CallHierarchyItem.to))),new T.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[T.ApiCommandArgument.CallHierarchyItem],new T.ApiCommandResult("A CallHierarchyItem or undefined",i=>i.map(s.CallHierarchyIncomingCall.to))),new T.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[T.ApiCommandArgument.CallHierarchyItem],new T.ApiCommandResult("A CallHierarchyItem or undefined",i=>i.map(s.CallHierarchyOutgoingCall.to))),new T.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A promise that resolves to a range and placeholder text.",i=>{if(!!i)return{range:s.Range.to(i.range),placeholder:i.text}})),new T.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position,T.ApiCommandArgument.String.with("newName","The new symbol name")],new T.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",i=>{if(!!i){if(i.rejectReason)throw new Error(i.rejectReason);return s.WorkspaceEdit.to(i)}})),new T.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new T.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",i=>i.map(s.DocumentLink.to))),new T.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[T.ApiCommandArgument.Uri],new T.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",i=>{if(!!i)return new t.SemanticTokensLegend(i.tokenTypes,i.tokenModifiers)})),new T.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[T.ApiCommandArgument.Uri],new T.ApiCommandResult("A promise that resolves to SemanticTokens.",i=>{if(!i)return;const g=(0,P.decodeSemanticTokensDto)(i);if(g.type==="full")return new t.SemanticTokens(g.data,void 0)})),new T.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Range.optional()],new T.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",i=>{if(!!i)return new t.SemanticTokensLegend(i.tokenTypes,i.tokenModifiers)})),new T.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Range],new T.ApiCommandResult("A promise that resolves to SemanticTokens.",i=>{if(!i)return;const g=(0,P.decodeSemanticTokensDto)(i);if(g.type==="full")return new t.SemanticTokens(g.data,void 0)})),new T.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position,T.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),T.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new T.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(i,g,o)=>{if(!i)return new t.CompletionList([]);const c=i.suggestions.map(u=>s.CompletionItem.to(u,o));return new t.CompletionList(c,i.incomplete)})),new T.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position,T.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new T.ApiCommandResult("A promise that resolves to SignatureHelp.",i=>{if(i)return s.SignatureHelp.to(i)})),new T.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new T.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(i,g,o)=>R(c=>new t.CodeLens(s.Range.to(c.range),c.command&&o.fromInternal(c.command)))(i))),new T.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[T.ApiCommandArgument.Uri,new T.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",i=>t.Range.isRange(i),i=>t.Selection.isSelection(i)?s.Selection.from(i):s.Range.from(i)),T.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),T.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new T.ApiCommandResult("A promise that resolves to an array of Command-instances.",(i,g,o)=>R(c=>{if(c._isSynthetic){if(!c.command)throw new Error("Synthetic code actions must have a command");return o.fromInternal(c.command)}else{const u=new t.CodeAction(c.title,c.kind?new t.CodeActionKind(c.kind):void 0);return c.edit&&(u.edit=s.WorkspaceEdit.to(c.edit)),c.command&&(u.command=o.fromInternal(c.command)),u.isPreferred=c.isPreferred,u}})(i))),new T.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[T.ApiCommandArgument.Uri],new T.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",i=>i?i.map(g=>new t.ColorInformation(s.Range.to(g.range),s.Color.to(g.color))):[])),new T.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new T.ApiCommandArgument("color","The color to show and insert",i=>i instanceof t.Color,s.Color.from),new T.ApiCommandArgument("context","Context object with uri and range",i=>!0,i=>({uri:i.uri,range:s.Range.from(i.range)}))],new T.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",i=>i?i.map(s.ColorPresentation.to):[])),new T.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Range],new T.ApiCommandResult("A promise that resolves to an array of Inlay objects",(i,g,o)=>i.map(s.InlayHint.to.bind(void 0,o)))),new T.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new T.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",R(i=>({viewType:i.viewType,displayName:i.displayName,options:{transientOutputs:i.options.transientOutputs,transientCellMetadata:i.options.transientCellMetadata,transientDocumentMetadata:i.options.transientDocumentMetadata},filenamePattern:i.filenamePattern.map(g=>s.NotebookExclusiveDocumentPattern.to(g))})))),new T.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Range],new T.ApiCommandResult("A promise that resolves to an array of InlineValue objects",i=>i.map(s.InlineValue.to))),new T.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[T.ApiCommandArgument.Uri,new T.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="number"||typeof i=="object",i=>i&&(typeof i=="number"?[s.ViewColumn.from(i),void 0]:[s.ViewColumn.from(i.viewColumn),s.TextEditorOpenOptions.from(i)])).optional(),T.ApiCommandArgument.String.with("label","").optional()],T.ApiCommandResult.Void),new T.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[T.ApiCommandArgument.Uri.with("resource","Resource to open"),T.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new T.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="number"||typeof i=="object",i=>i&&(typeof i=="number"?[s.ViewColumn.from(i),void 0]:[s.ViewColumn.from(i.viewColumn),s.TextEditorOpenOptions.from(i)])).optional()],T.ApiCommandResult.Void),new T.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[T.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),T.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),T.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new T.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",i=>i===void 0||typeof i=="object",i=>i&&[s.ViewColumn.from(i.viewColumn),s.TextEditorOpenOptions.from(i)]).optional()],T.ApiCommandResult.Void),new T.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[T.ApiCommandArgument.Uri,T.ApiCommandArgument.Position],new T.ApiCommandResult("A TypeHierarchyItem or undefined",i=>i.map(s.TypeHierarchyItem.to))),new T.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[T.ApiCommandArgument.TypeHierarchyItem],new T.ApiCommandResult("A TypeHierarchyItem or undefined",i=>i.map(s.TypeHierarchyItem.to))),new T.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[T.ApiCommandArgument.TypeHierarchyItem],new T.ApiCommandResult("A TypeHierarchyItem or undefined",i=>i.map(s.TypeHierarchyItem.to))),new T.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[T.ApiCommandArgument.TestItem],T.ApiCommandResult.Void)];class A{static register(g){D.forEach(g.registerApiCommand,g)}}e.ExtHostApiCommands=A;function R(i){return g=>{if(Array.isArray(g))return g.map(i)}}function w(i){if(!Array.isArray(i))return;const g=[];for(const o of i)y.isLocationLink(o)?g.push(s.DefinitionLink.to(o)):g.push(s.location.to(o));return g}}),define(we[179],Ee([0,1,14,53,4,6,2,58,25,8,7,5]),function(te,e,s,t,y,T,I,P,D,A,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function i(g,o,c){const u=g.getProxy(w.MainContext.MainThreadComments);class F{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,o.registerArgumentProcessor({processArgument:n=>{if(n&&n.$mid===6){const b=this._commentControllers.get(n.handle);return b||n}else if(n&&n.$mid===7){const b=this._commentControllers.get(n.commentControlHandle);if(!b)return n;const p=b.getCommentThread(n.commentThreadHandle);return p||n}else if(n&&n.$mid===8){const b=this._commentControllers.get(n.thread.commentControlHandle);if(!b)return n;const p=b.getCommentThread(n.thread.commentThreadHandle);return p?{thread:p,text:n.text}:n}else if(n&&n.$mid===9){const b=this._commentControllers.get(n.thread.commentControlHandle);if(!b)return n;const p=b.getCommentThread(n.thread.commentThreadHandle);if(!p)return n;let l=n.commentUniqueId,h=p.getCommentByUniqueId(l);return h||n}else if(n&&n.$mid===10){const b=this._commentControllers.get(n.thread.commentControlHandle);if(!b)return n;const p=b.getCommentThread(n.thread.commentThreadHandle);if(!p)return n;let l=n.text,h=n.commentUniqueId,v=p.getCommentByUniqueId(h);return v?(v.body=l,v):n}return n}})}createCommentController(n,b,p){const l=F.handlePool++,h=new m(n,l,b,p);this._commentControllers.set(h.handle,h);const v=this._commentControllersByExtension.get(D.ExtensionIdentifier.toKey(n.identifier))||[];return v.push(h),this._commentControllersByExtension.set(D.ExtensionIdentifier.toKey(n.identifier),v),h.value}$createCommentThreadTemplate(n,b,p){const l=this._commentControllers.get(n);!l||l.$createCommentThreadTemplate(b,p)}async $updateCommentThreadTemplate(n,b,p){const l=this._commentControllers.get(n);!l||l.$updateCommentThreadTemplate(b,p)}$deleteCommentThread(n,b){const p=this._commentControllers.get(n);p&&p.$deleteCommentThread(b)}$provideCommentingRanges(n,b,p){const l=this._commentControllers.get(n);if(!l||!l.commentingRangeProvider)return Promise.resolve(void 0);const h=c.getDocument(I.URI.revive(b));return(0,s.asPromise)(()=>l.commentingRangeProvider.provideCommentingRanges(h,p)).then(v=>v?v.map(_=>A.Range.from(_)):void 0)}$toggleReaction(n,b,p,l,h){const v=this._commentControllers.get(n);return!v||!v.reactionHandler?Promise.resolve(void 0):(0,s.asPromise)(()=>{const _=v.getCommentThread(b);if(_){const f=_.getCommentByUniqueId(l.uniqueIdInThread);if(v!==void 0&&f&&v.reactionHandler)return v.reactionHandler(f,a(h))}return Promise.resolve(void 0)})}dispose(){}}F.handlePool=0;class S{constructor(n,b,p,l,h,v,_){this._commentControllerHandle=b,this._id=p,this._uri=l,this._range=h,this._comments=v,this.handle=S._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new y.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new T.MutableDisposable,this._acceptInputDisposables.value=new T.DisposableStore,this._id===void 0&&(this._id=`${n}.${this.handle}`),u.$createCommentThread(b,this.handle,this._id,this._uri,A.Range.from(this._range),_),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=v,this._localDisposables.push({dispose:()=>{u.$deleteCommentThread(b,this.handle)}});const f=this;this.value={get uri(){return f.uri},get range(){return f.range},set range(C){f.range=C},get comments(){return f.comments},set comments(C){f.comments=C},get collapsibleState(){return f.collapsibleState},set collapsibleState(C){f.collapsibleState=C},get canReply(){return f.canReply},set canReply(C){f.canReply=C},get contextValue(){return f.contextValue},set contextValue(C){f.contextValue=C},get label(){return f.label},set label(C){f.label=C},dispose:()=>{f.dispose()}}}set threadId(n){this._id=n}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(n){n.isEqual(this._range)||(this._range=n,this.modifications.range=n,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(n){this._canReply!==n&&(this._canReply=n,this.modifications.canReply=n,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(n){this._label=n,this.modifications.label=n,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(n){this._contextValue=n,this.modifications.contextValue=n,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(n){this._comments=n,this.modifications.comments=n,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(n){this._collapseState=n,this.modifications.collapsibleState=n,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new T.DisposableStore);const n=p=>Object.prototype.hasOwnProperty.call(this.modifications,p),b={};n("range")&&(b.range=A.Range.from(this._range)),n("label")&&(b.label=this.label),n("contextValue")&&(b.contextValue=this.contextValue??null),n("comments")&&(b.comments=this._comments.map(p=>d(this,p,this._commentsMap))),n("collapsibleState")&&(b.collapseState=M(this._collapseState)),n("canReply")&&(b.canReply=this.canReply),this.modifications={},u.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,b)}getCommentByUniqueId(n){for(let b of this._commentsMap){let p=b[0],l=b[1];if(n===l)return p}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(n=>n.dispose())}}S._handlePool=0,Ue([(0,t.debounce)(100)],S.prototype,"eventuallyUpdateCommentThread",null);class m{constructor(n,b,p,l){this._extension=n,this._handle=b,this._id=p,this._label=l,this._threads=new Map,u.$registerCommentController(this.handle,p,l);const h=this;this.value=Object.freeze({id:h.id,label:h.label,get options(){return h.options},set options(v){h.options=v},get commentingRangeProvider(){return h.commentingRangeProvider},set commentingRangeProvider(v){h.commentingRangeProvider=v},get reactionHandler(){return h.reactionHandler},set reactionHandler(v){h.reactionHandler=v},createCommentThread(v,_,f){return h.createCommentThread(v,_,f).value},dispose:()=>{h.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{u.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(n){this._commentingRangeProvider=n,u.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(n){this._reactionHandler=n,u.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!n})}get options(){return this._options}set options(n){this._options=n,u.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(n,b,p,l){if(typeof n=="string"){const h=new S(this.id,this.handle,n,b,p,l,this._extension.identifier);return this._threads.set(h.handle,h),h}else{const h=new S(this.id,this.handle,void 0,n,b,p,this._extension.identifier);return this._threads.set(h.handle,h),h}}$createCommentThreadTemplate(n,b){const p=new S(this.id,this.handle,void 0,I.URI.revive(n),A.Range.to(b),[],this._extension.identifier);return p.collapsibleState=P.CommentThreadCollapsibleState.Expanded,this._threads.set(p.handle,p),p}$updateCommentThreadTemplate(n,b){let p=this._threads.get(n);p&&(p.range=A.Range.to(b))}$deleteCommentThread(n){let b=this._threads.get(n);b&&b.dispose(),this._threads.delete(n)}getCommentThread(n){return this._threads.get(n)}dispose(){this._threads.forEach(n=>{n.dispose()}),this._localDisposables.forEach(n=>n.dispose())}}function d(r,n,b){let p=b.get(n);p||(p=++r.commentHandle,b.set(n,p));const l=n.author&&n.author.iconPath?n.author.iconPath.toString():void 0;return{mode:n.mode,contextValue:n.contextValue,uniqueIdInThread:p,body:A.MarkdownString.from(n.body),userName:n.author.name,userIconPath:l,label:n.label,commentReactions:n.reactions?n.reactions.map(h=>k(h)):void 0}}function k(r){return{label:r.label,iconPath:r.iconPath?A.pathOrURIToURI(r.iconPath):void 0,count:r.count,hasReacted:r.authorHasReacted}}function a(r){return{label:r.label||"",count:r.count||0,iconPath:r.iconPath?I.URI.revive(r.iconPath):"",authorHasReacted:r.hasReacted||!1}}function M(r){if(r!==void 0)switch(r){case R.CommentThreadCollapsibleState.Expanded:return P.CommentThreadCollapsibleState.Expanded;case R.CommentThreadCollapsibleState.Collapsed:return P.CommentThreadCollapsibleState.Collapsed}return P.CommentThreadCollapsibleState.Collapsed}return new F}e.createExtHostComments=i}),define(we[93],Ee([0,1,2,5,7,3,13,12,16,9,17]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let w=class Si{constructor(g,o){this._logService=o,this._provider=new Map,this._proxy=g.getProxy(t.MainContext.MainThreadDecorations)}registerFileDecorationProvider(g,o){const c=Si._handlePool++;this._provider.set(c,{provider:g,extensionId:o}),this._proxy.$registerDecorationProvider(c,o.value);const u=g.onDidChangeFileDecorations&&g.onDidChangeFileDecorations(F=>{if(!F){this._proxy.$onDidChange(c,null);return}let S=(0,D.asArray)(F);if(S.length<=Si._maxEventSize){this._proxy.$onDidChange(c,S);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",o.value,S.length);const m=S.map(a=>({uri:a,rank:(0,A.count)(a.path,"/")})),d=(0,D.groupBy)(m,(a,M)=>a.rank-M.rank||(0,A.compare)(a.uri.path,M.uri.path));let k=[];e:for(let a of d){let M;for(let r of a){let n=(0,R.dirname)(r.uri.path);if(M!==n&&(M=n,k.push(r.uri)>=Si._maxEventSize))break e}}this._proxy.$onDidChange(c,k)});return new y.Disposable(()=>{u?.dispose(),this._proxy.$unregisterDecorationProvider(c),this._provider.delete(c)})}async $provideDecorations(g,o,c){if(!this._provider.has(g))return Object.create(null);const u=Object.create(null),{provider:F,extensionId:S}=this._provider.get(g);return await Promise.all(o.map(async m=>{try{const{uri:d,id:k}=m,a=await Promise.resolve(F.provideFileDecoration(s.URI.revive(d),c));if(!a)return;try{y.FileDecoration.validate(a),u[k]=[a.propagate,a.tooltip,a.badge,a.color]}catch(M){this._logService.warn(`INVALID decoration from extension '${S.value}': ${M}`)}}catch(d){this._logService.error(d)}})),u}};w._handlePool=0,w._maxEventSize=250,w=Ue([$e(0,I.IExtHostRpcService),$e(1,P.ILogService)],w),e.ExtHostDecorations=w,e.IExtHostDecorations=(0,T.createDecorator)("IExtHostDecorations")});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[180],Ee([0,1,118,82,2,5,7,8,4,12,21,30]),function(te,e,s,t,y,T,I,P,D,A,R,w){"use strict";var i,g,o;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class c{constructor(S,m,d,k,a,M){this._name=S,this._owner=m,this._maxDiagnosticsPerFile=d,i.set(this,void 0),g.set(this,void 0),o.set(this,void 0),this._isDisposed=!1,et(this,o,new R.ResourceMap(r=>k.getComparisonKey(r)),"f"),et(this,i,a,"f"),et(this,g,M,"f")}dispose(){this._isDisposed||(ke(this,g,"f").fire([...ke(this,o,"f").keys()]),ke(this,i,"f")&&ke(this,i,"f").$clear(this._owner),ke(this,o,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(S,m){if(!S){this.clear();return}this._checkDisposed();let d=[];if(y.URI.isUri(S)){if(!m){this.delete(S);return}ke(this,o,"f").set(S,m.slice()),d=[S]}else if(Array.isArray(S)){d=[];let a;S=[...S].sort(c._compareIndexedTuplesByUri);for(const M of S){const[r,n]=M;if((!a||r.toString()!==a.toString())&&(a&&ke(this,o,"f").get(a).length===0&&ke(this,o,"f").delete(a),a=r,d.push(r),ke(this,o,"f").set(r,[])),n){const b=ke(this,o,"f").get(r);b&&b.push(...n)}else{const b=ke(this,o,"f").get(r);b&&(b.length=0)}}}if(ke(this,g,"f").fire(d),!ke(this,i,"f"))return;const k=[];for(let a of d){let M=[];const r=ke(this,o,"f").get(a);if(r)if(r.length>this._maxDiagnosticsPerFile){M=[];const n=[I.DiagnosticSeverity.Error,I.DiagnosticSeverity.Warning,I.DiagnosticSeverity.Information,I.DiagnosticSeverity.Hint];e:for(let b=0;b<4;b++)for(let p of r)if(p.severity===n[b]&&M.push(P.Diagnostic.from(p))===this._maxDiagnosticsPerFile)break e;M.push({severity:t.MarkerSeverity.Info,message:(0,s.localize)(0,null,r.length-this._maxDiagnosticsPerFile),startLineNumber:M[M.length-1].startLineNumber,startColumn:M[M.length-1].startColumn,endLineNumber:M[M.length-1].endLineNumber,endColumn:M[M.length-1].endColumn})}else M=r.map(n=>P.Diagnostic.from(n));k.push([a,M])}ke(this,i,"f").$changeMany(this._owner,k)}delete(S){this._checkDisposed(),ke(this,g,"f").fire([S]),ke(this,o,"f").delete(S),ke(this,i,"f")&&ke(this,i,"f").$changeMany(this._owner,[[S,void 0]])}clear(){this._checkDisposed(),ke(this,g,"f").fire([...ke(this,o,"f").keys()]),ke(this,o,"f").clear(),ke(this,i,"f")&&ke(this,i,"f").$clear(this._owner)}forEach(S,m){this._checkDisposed();for(let d of ke(this,o,"f").keys())S.apply(m,[d,this.get(d),this])}get(S){this._checkDisposed();const m=ke(this,o,"f").get(S);return Array.isArray(m)?Object.freeze(m.slice(0)):[]}has(S){return this._checkDisposed(),Array.isArray(ke(this,o,"f").get(S))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(S,m){return S[0].toString()<m[0].toString()?-1:S[0].toString()>m[0].toString()?1:0}}e.DiagnosticCollection=c,i=new WeakMap,g=new WeakMap,o=new WeakMap;let u=class si{constructor(S,m,d){this._logService=m,this._fileSystemInfoService=d,this._collections=new Map,this._onDidChangeDiagnostics=new D.DebounceEmitter({merge:k=>k.flat(),delay:50}),this.onDidChangeDiagnostics=D.Event.map(this._onDidChangeDiagnostics.event,si._mapper),this._proxy=S.getProxy(T.MainContext.MainThreadDiagnostics)}static _mapper(S){const m=new R.ResourceMap;for(const d of S)m.set(d,d);return{uris:Object.freeze(Array.from(m.values()))}}createDiagnosticCollection(S,m){const{_collections:d,_proxy:k,_onDidChangeDiagnostics:a,_logService:M,_fileSystemInfoService:r}=this,n=new class{$changeMany(l,h){k.$changeMany(l,h),M.trace("[DiagnosticCollection] change many (extension, owner, uris)",S.value,l,h.length===0?"CLEARING":h)}$clear(l){k.$clear(l),M.trace("[DiagnosticCollection] remove all (extension, owner)",S.value,l)}dispose(){k.dispose()}};let b;if(!m)m="_generated_diagnostic_collection_name_#"+si._idPool++,b=m;else if(!d.has(m))b=m;else{this._logService.warn(`DiagnosticCollection with name '${m}' does already exist.`);do b=m+si._idPool++;while(d.has(b))}return new class extends c{constructor(){super(m,b,si._maxDiagnosticsPerFile,r.extUri,n,a);d.set(b,this)}dispose(){super.dispose(),d.delete(b)}}}getDiagnostics(S){if(S)return this._getDiagnostics(S);{const m=new Map,d=[];for(const k of this._collections.values())k.forEach((a,M)=>{let r=m.get(a.toString());typeof r=="undefined"&&(r=d.length,m.set(a.toString(),r),d.push([a,[]])),d[r][1]=d[r][1].concat(...M)});return d}}_getDiagnostics(S){let m=[];for(let d of this._collections.values())d.has(S)&&(m=m.concat(d.get(S)));return m}$acceptMarkersChange(S){if(!this._mirrorCollection){const m="_generated_mirror",d=new c(m,m,si._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(m,d),this._mirrorCollection=d}for(const[m,d]of S)this._mirrorCollection.set(y.URI.revive(m),d.map(P.Diagnostic.to))}};u._idPool=0,u._maxDiagnosticsPerFile=1e3,u=Ue([$e(1,A.ILogService),$e(2,w.IExtHostFileSystemInfo)],u),e.ExtHostDiagnostics=u}),define(we[181],Ee([0,1,2,5]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class y{constructor(I){this._proxy=I.getProxy(t.MainContext.MainThreadDialogs)}showOpenDialog(I){return this._proxy.$showOpenDialog(I).then(P=>P?P.map(D=>s.URI.revive(D)):void 0)}showSaveDialog(I){return this._proxy.$showSaveDialog(I).then(P=>P?s.URI.revive(P):void 0)}}e.ExtHostDialogs=y}),define(we[182],Ee([0,1,15,2,7,5,11,20,9]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class A{constructor(w,i,g){this._documentsAndEditors=i,this._logService=g,this._documentContentProviders=new Map,this._proxy=w.getProxy(T.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(w,i){if(Object.keys(I.Schemas).indexOf(w)>=0)throw new Error(`scheme '${w}' already registered`);const g=A._handlePool++;this._documentContentProviders.set(g,i),this._proxy.$registerTextContentProvider(g,w);let o;return typeof i.onDidChange=="function"&&(o=i.onDidChange(c=>{if(c.scheme!==w){this._logService.warn(`Provider for scheme '${w}' is firing event for schema '${c.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(c)&&this.$provideTextDocumentContent(g,c).then(u=>{if(!u&&typeof u!="string")return;const F=this._documentsAndEditors.getDocument(c);if(!F)return;const S=(0,D.splitLines)(u);if(!F.equalLines(S))return this._proxy.$onVirtualDocumentChange(c,u)},s.onUnexpectedError)})),new y.Disposable(()=>{this._documentContentProviders.delete(g)&&this._proxy.$unregisterTextContentProvider(g),o&&(o.dispose(),o=void 0)})}$provideTextDocumentContent(w,i){const g=this._documentContentProviders.get(w);return g?Promise.resolve(g.provideTextDocumentContent(t.URI.revive(i),P.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${i.scheme}`))}}e.ExtHostDocumentContentProvider=A,A._handlePool=0}),define(we[183],Ee([0,1,4,6,2,5,86,8,10,26,7]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class w{constructor(g,o){this._onDidAddDocument=new s.Emitter,this._onDidRemoveDocument=new s.Emitter,this._onDidChangeDocument=new s.Emitter,this._onDidSaveDocument=new s.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new t.DisposableStore,this._documentLoader=new Map,this._proxy=g.getProxy(T.MainContext.MainThreadDocuments),this._documentsAndEditors=o,this._documentsAndEditors.onDidRemoveDocuments(c=>{for(const u of c)this._onDidRemoveDocument.fire(u.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(c=>{for(const u of c)this._onDidAddDocument.fire(u.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(g){if(!g)return;const o=this._documentsAndEditors.getDocument(g);if(o)return o}getDocument(g){const o=this.getDocumentData(g);if(!o?.document)throw new Error(`Unable to retrieve document from URI '${g}'`);return o.document}ensureDocumentData(g){const o=this._documentsAndEditors.getDocument(g);if(o)return Promise.resolve(o);let c=this._documentLoader.get(g.toString());return c||(c=this._proxy.$tryOpenDocument(g).then(u=>{this._documentLoader.delete(g.toString());const F=y.URI.revive(u);return(0,D.assertIsDefined)(this._documentsAndEditors.getDocument(F))},u=>(this._documentLoader.delete(g.toString()),Promise.reject(u))),this._documentLoader.set(g.toString(),c)),c}createDocumentData(g){return this._proxy.$tryCreateDocument(g).then(o=>y.URI.revive(o))}$acceptModelLanguageChanged(g,o){const c=y.URI.revive(g),u=this._documentsAndEditors.getDocument(c);if(!u)throw new Error("unknown document");this._onDidRemoveDocument.fire(u.document),u._acceptLanguageId(o),this._onDidAddDocument.fire(u.document)}$acceptModelSaved(g){const o=y.URI.revive(g),c=this._documentsAndEditors.getDocument(o);if(!c)throw new Error("unknown document");this.$acceptDirtyStateChanged(g,!1),this._onDidSaveDocument.fire(c.document)}$acceptDirtyStateChanged(g,o){const c=y.URI.revive(g),u=this._documentsAndEditors.getDocument(c);if(!u)throw new Error("unknown document");u._acceptIsDirty(o),this._onDidChangeDocument.fire({document:u.document,contentChanges:[],reason:void 0})}$acceptModelChanged(g,o,c){const u=y.URI.revive(g),F=this._documentsAndEditors.getDocument(u);if(!F)throw new Error("unknown document");F._acceptIsDirty(c),F.onEvents(o);let S;o.isUndoing?S=R.TextDocumentChangeReason.Undo:o.isRedoing&&(S=R.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,A.deepFreeze)({document:F.document,contentChanges:o.changes.map(m=>({range:P.Range.to(m.range),rangeOffset:m.rangeOffset,rangeLength:m.rangeLength,text:m.text})),reason:S}))}setWordDefinitionFor(g,o){(0,I.setWordDefinitionFor)(g,o)}}e.ExtHostDocuments=w}),define(we[49],Ee([0,1,42,4,6,2,3,5,86,13,92,8,12,21,11,157,228]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class F{constructor(d){this.value=d,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let S=class{constructor(d,k){this._extHostRpc=d,this._logService=k,this._activeEditorId=null,this._editors=new Map,this._documents=new g.ResourceMap,this._onDidAddDocuments=new t.Emitter,this._onDidRemoveDocuments=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(d){this.acceptDocumentsAndEditorsDelta(d)}acceptDocumentsAndEditorsDelta(d){const k=[],a=[],M=[];if(d.removedDocuments)for(const r of d.removedDocuments){const n=T.URI.revive(r),b=this._documents.get(n);b?.unref()&&(this._documents.delete(n),k.push(b.value))}if(d.addedDocuments)for(const r of d.addedDocuments){const n=T.URI.revive(r.uri);let b=this._documents.get(n);if(b&&n.scheme!==o.Schemas.vscodeNotebookCell&&n.scheme!==o.Schemas.vscodeInteractiveInput)throw new Error(`document '${n} already exists!'`);b||(b=new F(new D.ExtHostDocumentData(this._extHostRpc.getProxy(P.MainContext.MainThreadDocuments),n,r.lines,r.EOL,r.versionId,r.languageId,r.isDirty,r.notebook)),this._documents.set(n,b),a.push(b.value)),b.ref()}if(d.removedEditors)for(const r of d.removedEditors){const n=this._editors.get(r);this._editors.delete(r),n&&M.push(n)}if(d.addedEditors)for(const r of d.addedEditors){const n=T.URI.revive(r.documentUri);s.ok(this._documents.has(n),`document '${n}' does not exist`),s.ok(!this._editors.has(r.id),`editor '${r.id}' already exists!`);const b=this._documents.get(n).value,p=new R.ExtHostTextEditor(r.id,this._extHostRpc.getProxy(P.MainContext.MainThreadTextEditors),this._logService,new u.Lazy(()=>b.document),r.selections.map(w.Selection.to),r.options,r.visibleRanges.map(l=>w.Range.to(l)),typeof r.editorPosition=="number"?w.ViewColumn.to(r.editorPosition):void 0);this._editors.set(r.id,p)}d.newActiveEditor!==void 0&&(s.ok(d.newActiveEditor===null||this._editors.has(d.newActiveEditor),`active editor '${d.newActiveEditor}' does not exist`),this._activeEditorId=d.newActiveEditor),(0,y.dispose)(k),(0,y.dispose)(M),d.removedDocuments&&this._onDidRemoveDocuments.fire(k),d.addedDocuments&&this._onDidAddDocuments.fire(a),(d.removedEditors||d.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(r=>r.value)),d.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(d){return this._documents.get(d)?.value}allDocuments(){return c.Iterable.map(this._documents.values(),d=>d.value)}getEditor(d){return this._editors.get(d)}activeEditor(d){if(!this._activeEditorId)return;const k=this._editors.get(this._activeEditorId);return d?k:k?.value}allEditors(){return[...this._editors.values()]}};S=Ue([$e(0,A.IExtHostRpcService),$e(1,i.ILogService)],S),e.ExtHostDocumentsAndEditors=S,e.IExtHostDocumentsAndEditors=(0,I.createDecorator)("IExtHostDocumentsAndEditors")}),define(we[70],Ee([0,1,8,5,2,4,3,13,14]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,I.createDecorator)("IExtHostEditorTabs");let A=class{constructor(w){this._onDidChangeTabs=new T.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._onDidChangeActiveTab=new T.Emitter,this.onDidChangeActiveTab=this._onDidChangeActiveTab.event,this._tabs=[],this._proxy=w.getProxy(t.MainContext.MainThreadEditorTabs)}get tabs(){return this._tabs}get activeTab(){return this._activeTab}$acceptEditorTabs(w){let i=-1;this._tabs=w.map((o,c)=>(o.isActive&&(i=c),Object.freeze({label:o.label,viewColumn:s.ViewColumn.to(o.viewColumn),index:c,resource:y.URI.revive(o.resource),additionalResourcesAndViewIds:o.additionalResourcesAndViewIds.map(({resource:u,viewId:F})=>({resource:y.URI.revive(u),viewId:F})),viewId:o.editorId,isActive:o.isActive,move:async(u,F)=>{this._proxy.$moveTab(o,u,s.ViewColumn.from(F)),await(0,D.raceTimeout)(T.Event.toPromise(this._onDidChangeTabs.event),1e3)},close:async()=>{await this._proxy.$closeTab(o),await(0,D.raceTimeout)(T.Event.toPromise(this._onDidChangeTabs.event),1e3)}}))),this._tabs=this._tabs.sort((o,c)=>o.viewColumn===c.viewColumn?o.index-c.index:o.viewColumn-c.viewColumn);const g=this._activeTab;this._activeTab=i===-1?void 0:this._tabs[i],this._activeTab!==g&&this._onDidChangeActiveTab.fire(this._activeTab),this._onDidChangeTabs.fire(this._tabs)}};A=Ue([$e(0,P.IExtHostRpcService)],A),e.ExtHostEditorTabs=A}),define(we[184],Ee([0,1,2,5,6,7,8,229,9,22,27]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class w{constructor(){this._schemes=[]}add(o){this._stateMachine=void 0,this._schemes.push(o)}delete(o){const c=this._schemes.indexOf(o);c>=0&&(this._schemes.splice(c,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const o=this._schemes.sort(),c=[];let u,F,S=14,m=14;for(const d of o){let k=u?(0,D.commonPrefixLength)(u,d):0;for(k===0?F=1:F=m;k<d.length;k++)k+1===d.length?(S=m,m=9):m+=1,c.push([F,d.toUpperCase().charCodeAt(k),m]),c.push([F,d.toLowerCase().charCodeAt(k),m]),F=m;u=d,m=S}c.push([9,58,10]),c.push([10,47,12]),this._stateMachine=new P.StateMachine(c)}}provideDocumentLinks(o){this._initStateMachine();const c=[],u=P.LinkComputer.computeLinks({getLineContent(F){return o.lineAt(F-1).text},getLineCount(){return o.lineCount}},this._stateMachine);for(const F of u){const S=I.DocumentLink.to(F);S.target&&c.push(S)}return c}}class i{constructor(o,c){this._extHostLanguageFeatures=c,this._linkProvider=new w,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=o.getProxy(t.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(o,c,u,F={}){if(this._registeredSchemes.has(c))throw new Error(`a provider for the scheme '${c}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const S=this._handlePool++;this._linkProvider.add(c),this._registeredSchemes.add(c),this._fsProvider.set(S,u);let m=2;F.isCaseSensitive&&(m+=1024),F.isReadonly&&(m+=2048),typeof u.copy=="function"&&(m+=8),typeof u.open=="function"&&typeof u.close=="function"&&typeof u.read=="function"&&typeof u.write=="function"&&((0,R.checkProposedApiEnabled)(o,"fsChunks"),m+=4),this._proxy.$registerFileSystemProvider(S,c,m).catch(k=>{console.error(`FAILED to register filesystem provider of ${o.identifier.value}-extension for the scheme ${c}`),console.error(k)});const d=u.onDidChangeFile(k=>{const a=[];for(const M of k){let{uri:r,type:n}=M;if(r.scheme!==c)continue;let b;switch(n){case T.FileChangeType.Changed:b=0;break;case T.FileChangeType.Created:b=1;break;case T.FileChangeType.Deleted:b=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:r,type:b})}this._proxy.$onFileSystemChange(S,a)});return(0,y.toDisposable)(()=>{d.dispose(),this._linkProvider.delete(c),this._registeredSchemes.delete(c),this._fsProvider.delete(S),this._proxy.$unregisterProvider(S)})}static _asIStat(o){const{type:c,ctime:u,mtime:F,size:S,permissions:m}=o;return{type:c,ctime:u,mtime:F,size:S,permissions:m}}$stat(o,c){return Promise.resolve(this._getFsProvider(o).stat(s.URI.revive(c))).then(u=>i._asIStat(u))}$readdir(o,c){return Promise.resolve(this._getFsProvider(o).readDirectory(s.URI.revive(c)))}$readFile(o,c){return Promise.resolve(this._getFsProvider(o).readFile(s.URI.revive(c))).then(u=>A.VSBuffer.wrap(u))}$writeFile(o,c,u,F){return Promise.resolve(this._getFsProvider(o).writeFile(s.URI.revive(c),u.buffer,F))}$delete(o,c,u){return Promise.resolve(this._getFsProvider(o).delete(s.URI.revive(c),u))}$rename(o,c,u,F){return Promise.resolve(this._getFsProvider(o).rename(s.URI.revive(c),s.URI.revive(u),F))}$copy(o,c,u,F){const S=this._getFsProvider(o);if(!S.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(S.copy(s.URI.revive(c),s.URI.revive(u),F))}$mkdir(o,c){return Promise.resolve(this._getFsProvider(o).createDirectory(s.URI.revive(c)))}$watch(o,c,u,F){const S=this._getFsProvider(o).watch(s.URI.revive(u),F);this._watches.set(c,S)}$unwatch(o,c){const u=this._watches.get(c);u&&(u.dispose(),this._watches.delete(c))}$open(o,c,u){const F=this._getFsProvider(o);if(!F.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(F.open(s.URI.revive(c),u))}$close(o,c){const u=this._getFsProvider(o);if(!u.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(u.close(c))}$read(o,c,u,F){const S=this._getFsProvider(o);if(!S.read)throw new Error('FileSystemProvider does not implement "read"');const m=A.VSBuffer.alloc(F);return Promise.resolve(S.read(c,u,m.buffer,0,F)).then(d=>m.slice(0,d))}$write(o,c,u,F){const S=this._getFsProvider(o);if(!S.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(S.write(c,u,F.buffer,0,F.byteLength))}_getFsProvider(o){const c=this._fsProvider.get(o);if(!c){const u=new Error;throw u.name="ENOPRO",u.message="no provider",u}return c}}e.ExtHostFileSystem=i}),define(we[50],Ee([0,1,5,46,7,22,3,13,30,6]),function(te,e,s,t,y,T,I,P,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let R=class Wt{constructor(i,g){this._fileSystemProvider=new Map,this._proxy=i.getProxy(s.MainContext.MainThreadFileSystem);const o=this;this.value=Object.freeze({async stat(c){try{const u=o._fileSystemProvider.get(c.scheme);if(!u)return await o._proxy.$stat(c);await o._proxy.$ensureActivation(c.scheme);const F=await u.stat(c);return{type:F.type,ctime:F.ctime,mtime:F.mtime,size:F.size,permissions:F.permissions}}catch(u){Wt._handleError(u)}},async readDirectory(c){try{const u=o._fileSystemProvider.get(c.scheme);return u?(await o._proxy.$ensureActivation(c.scheme),(await u.readDirectory(c)).slice()):await o._proxy.$readdir(c)}catch(u){return Wt._handleError(u)}},async createDirectory(c){try{return await o._proxy.$mkdir(c)}catch(u){return Wt._handleError(u)}},async readFile(c){try{const u=o._fileSystemProvider.get(c.scheme);return u?(await o._proxy.$ensureActivation(c.scheme),(await u.readFile(c)).slice()):(await o._proxy.$readFile(c)).buffer}catch(u){return Wt._handleError(u)}},async writeFile(c,u){try{return await o._proxy.$writeFile(c,T.VSBuffer.wrap(u))}catch(F){return Wt._handleError(F)}},async delete(c,u){try{const F=o._fileSystemProvider.get(c.scheme);return F?(await o._proxy.$ensureActivation(c.scheme),await F.delete(c,{recursive:!1,...u})):await o._proxy.$delete(c,{recursive:!1,useTrash:!1,...u})}catch(F){return Wt._handleError(F)}},async rename(c,u,F){try{return await o._proxy.$rename(c,u,{overwrite:!1,...F})}catch(S){return Wt._handleError(S)}},async copy(c,u,F){try{return await o._proxy.$copy(c,u,{overwrite:!1,...F})}catch(S){return Wt._handleError(S)}},isWritableFileSystem(c){const u=g.getCapabilities(c);if(typeof u=="number")return!(u&2048)}})}static _handleError(i){if(i instanceof y.FileSystemError)throw i;if(!(i instanceof Error))throw new y.FileSystemError(String(i));if(i.name==="ENOPRO")throw y.FileSystemError.Unavailable(i.message);switch(i.name){case t.FileSystemProviderErrorCode.FileExists:throw y.FileSystemError.FileExists(i.message);case t.FileSystemProviderErrorCode.FileNotFound:throw y.FileSystemError.FileNotFound(i.message);case t.FileSystemProviderErrorCode.FileNotADirectory:throw y.FileSystemError.FileNotADirectory(i.message);case t.FileSystemProviderErrorCode.FileIsADirectory:throw y.FileSystemError.FileIsADirectory(i.message);case t.FileSystemProviderErrorCode.NoPermissions:throw y.FileSystemError.NoPermissions(i.message);case t.FileSystemProviderErrorCode.Unavailable:throw y.FileSystemError.Unavailable(i.message);default:throw new y.FileSystemError(i.message,i.name)}}addFileSystemProvider(i,g){return this._fileSystemProvider.set(i,g),(0,A.toDisposable)(()=>this._fileSystemProvider.delete(i))}};R=Ue([$e(0,P.IExtHostRpcService),$e(1,D.IExtHostFileSystemInfo)],R),e.ExtHostConsumerFileSystem=R,e.IExtHostConsumerFileSystem=(0,I.createDecorator)("IExtHostConsumerFileSystem")}),define(we[185],Ee([0,1,2,39]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class y{constructor(I,P,D,A){this._extHostNotebooks=P,this._textDocumentsAndEditors=D,this._commands=A;const R=new t.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new t.ApiCommandArgument("showOptions","Show Options",w=>!0,w=>w),new t.ApiCommandArgument("resource","Interactive resource Uri",w=>!0,w=>w),new t.ApiCommandArgument("controllerId","Notebook controller Id",w=>!0,w=>w),new t.ApiCommandArgument("title","Interactive editor title",w=>!0,w=>w)],new t.ApiCommandResult("Notebook and input URI",w=>{if(w.notebookEditorId!==void 0){const i=this._extHostNotebooks.getEditorById(w.notebookEditorId);return{notebookUri:s.URI.revive(w.notebookUri),inputUri:s.URI.revive(w.inputUri),notebookEditor:i.apiEditor}}return{notebookUri:s.URI.revive(w.notebookUri),inputUri:s.URI.revive(w.inputUri)}}));this._commands.registerApiCommand(R)}$willAddInteractiveDocument(I,P,D,A){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:P,lines:[""],languageId:D,uri:I,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(s.URI.revive(A))?.apiNotebook}]})}$willRemoveInteractiveDocument(I,P){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[I]})}}e.ExtHostInteractive=y}),define(we[186],Ee([0,1,6,5]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class y{constructor(I){this._handlePool=0,this._proxy=I.getProxy(t.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(I){const P=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(P,I),(0,s.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(P)})}}e.ExtHostLabelService=y}),define(we[187],Ee([0,1,2,26,8,7,5,9,59,16,10,230,6,79,54,63,188,15,4]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.InlineCompletionController=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class m{constructor($,K){this._documents=$,this._provider=K}async provideDocumentSymbols($,K){const Y=this._documents.getDocument($),re=await this._provider.provideDocumentSymbols(Y,K);if(!(0,A.isFalsyOrEmpty)(re))return re[0]instanceof T.DocumentSymbol?re.map(y.DocumentSymbol.from):m._asDocumentSymbolTree(re)}static _asDocumentSymbolTree($){$=$.slice(0).sort((re,q)=>{let J=re.location.range.start.compareTo(q.location.range.start);return J===0&&(J=q.location.range.end.compareTo(re.location.range.end)),J});const K=[],Y=[];for(const re of $){const q={name:re.name||"!!MISSING: name!!",kind:y.SymbolKind.from(re.kind),tags:re.tags?.map(y.SymbolTag.from)||[],detail:"",containerName:re.containerName,range:y.Range.from(re.location.range),selectionRange:y.Range.from(re.location.range),children:[]};for(;;){if(Y.length===0){Y.push(q),K.push(q);break}const J=Y[Y.length-1];if(D.Range.containsRange(J.range,q.range)&&!D.Range.equalsRange(J.range,q.range)){J.children&&J.children.push(q),Y.push(q);break}Y.pop()}}return K}}class d{constructor($,K,Y){this._documents=$,this._commands=K,this._provider=Y,this._cache=new c.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses($,K){const Y=this._documents.getDocument($),re=await this._provider.provideCodeLenses(Y,K);if(!re||K.isCancellationRequested)return;const q=this._cache.add(re),J=new i.DisposableStore;this._disposables.set(q,J);const me={cacheId:q,lenses:[]};for(let Pe=0;Pe<re.length;Pe++)me.lenses.push({cacheId:[q,Pe],range:y.Range.from(re[Pe].range),command:this._commands.toInternal(re[Pe].command,J)});return me}async resolveCodeLens($,K){const Y=$.cacheId&&this._cache.get(...$.cacheId);if(!Y)return;let re;if(typeof this._provider.resolveCodeLens!="function"||Y.isResolved?re=Y:re=await this._provider.resolveCodeLens(Y,K),re||(re=Y),K.isCancellationRequested)return;const q=$.cacheId&&this._disposables.get($.cacheId[0]);if(!!q)return $.command=this._commands.toInternal(re.command??d._badCmd,q),$}releaseCodeLenses($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}}d._badCmd={command:"missing",title:"!!MISSING: command!!"};function k(Ye){return Array.isArray(Ye)?Ye.map(y.DefinitionLink.from):Ye?[y.DefinitionLink.from(Ye)]:[]}class a{constructor($,K){this._documents=$,this._provider=K}async provideDefinition($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideDefinition(re,q,Y);return k(J)}}class M{constructor($,K){this._documents=$,this._provider=K}async provideDeclaration($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideDeclaration(re,q,Y);return k(J)}}class r{constructor($,K){this._documents=$,this._provider=K}async provideImplementation($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideImplementation(re,q,Y);return k(J)}}class n{constructor($,K){this._documents=$,this._provider=K}async provideTypeDefinition($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideTypeDefinition(re,q,Y);return k(J)}}class b{constructor($,K){this._documents=$,this._provider=K}async provideHover($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideHover(re,q,Y);if(!(!J||(0,A.isFalsyOrEmpty)(J.contents)))return J.range||(J.range=re.getWordRangeAtPosition(q)),J.range||(J.range=new T.Range(q,q)),y.Hover.from(J)}}class p{constructor($,K){this._documents=$,this._provider=K}async provideEvaluatableExpression($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideEvaluatableExpression(re,q,Y);if(J)return y.EvaluatableExpression.from(J)}}class l{constructor($,K){this._documents=$,this._provider=K}async provideInlineValues($,K,Y,re){const q=this._documents.getDocument($),J=await this._provider.provideInlineValues(q,y.Range.to(K),y.InlineValueContext.to(Y),re);if(Array.isArray(J))return J.map(me=>y.InlineValue.from(me))}}class h{constructor($,K){this._documents=$,this._provider=K}async provideDocumentHighlights($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideDocumentHighlights(re,q,Y);if(Array.isArray(J))return J.map(y.DocumentHighlight.from)}}class v{constructor($,K){this._documents=$,this._provider=K}async provideLinkedEditingRanges($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.provideLinkedEditingRanges(re,q,Y);if(J&&Array.isArray(J.ranges))return{ranges:(0,A.coalesce)(J.ranges.map(y.Range.from)),wordPattern:J.wordPattern}}}class _{constructor($,K){this._documents=$,this._provider=K}async provideReferences($,K,Y,re){const q=this._documents.getDocument($),J=y.Position.to(K),me=await this._provider.provideReferences(q,J,Y,re);if(Array.isArray(me))return me.map(y.location.from)}}class f{constructor($,K,Y,re,q,J,me){this._documents=$,this._commands=K,this._diagnostics=Y,this._provider=re,this._logService=q,this._extension=J,this._apiDeprecation=me,this._cache=new c.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions($,K,Y,re){const q=this._documents.getDocument($),J=w.Selection.isISelection(K)?y.Selection.to(K):y.Range.to(K),me=[];for(const at of this._diagnostics.getDiagnostics($))if(J.intersection(at.range)&&me.push(at)>f._maxCodeActionsPerFile)break;const Pe={diagnostics:me,only:Y.only?new T.CodeActionKind(Y.only):void 0,triggerKind:y.CodeActionTriggerKind.to(Y.trigger)},Be=await this._provider.provideCodeActions(q,J,Pe,re);if(!(0,A.isNonEmptyArray)(Be)||re.isCancellationRequested)return;const Ve=this._cache.add(Be),Qe=new i.DisposableStore;this._disposables.set(Ve,Qe);const tt=[];for(let at=0;at<Be.length;at++){const Je=Be[at];!Je||(f._isCommand(Je)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),tt.push({_isSynthetic:!0,title:Je.title,command:this._commands.toInternal(Je,Qe)})):(Pe.only&&(Je.kind?Pe.only.contains(Je.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Pe.only.value} 'requested but returned code action is of kind '${Je.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${Pe.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),tt.push({cacheId:[Ve,at],title:Je.title,command:Je.command&&this._commands.toInternal(Je.command,Qe),diagnostics:Je.diagnostics&&Je.diagnostics.map(y.Diagnostic.from),edit:Je.edit&&y.WorkspaceEdit.from(Je.edit),kind:Je.kind&&Je.kind.value,isPreferred:Je.isPreferred,disabled:Je.disabled?.reason})))}return{cacheId:Ve,actions:tt}}async resolveCodeAction($,K){const[Y,re]=$,q=this._cache.get(Y,re);if(!q||f._isCommand(q)||!this._provider.resolveCodeAction)return;const J=await this._provider.resolveCodeAction(q,K)??q;return J?.edit?y.WorkspaceEdit.from(J.edit):void 0}releaseCodeActions($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}static _isCommand($){return typeof $.command=="string"&&typeof $.title=="string"}}f._maxCodeActionsPerFile=1e3;class C{constructor($,K){this._documents=$,this._provider=K}async provideDocumentFormattingEdits($,K,Y){const re=this._documents.getDocument($),q=await this._provider.provideDocumentFormattingEdits(re,K,Y);if(Array.isArray(q))return q.map(y.TextEdit.from)}}class x{constructor($,K){this._documents=$,this._provider=K}async provideDocumentRangeFormattingEdits($,K,Y,re){const q=this._documents.getDocument($),J=y.Range.to(K),me=await this._provider.provideDocumentRangeFormattingEdits(q,J,Y,re);if(Array.isArray(me))return me.map(y.TextEdit.from)}}class N{constructor($,K){this._documents=$,this._provider=K,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits($,K,Y,re,q){const J=this._documents.getDocument($),me=y.Position.to(K),Pe=await this._provider.provideOnTypeFormattingEdits(J,me,Y,re,q);if(Array.isArray(Pe))return Pe.map(y.TextEdit.from)}}class E{constructor($,K){this._provider=$,this._logService=K,this._symbolCache=new Map,this._resultCache=new Map}async provideWorkspaceSymbols($,K){const Y=I.IdObject.mixin({symbols:[]}),re=await this._provider.provideWorkspaceSymbols($,K);if((0,A.isNonEmptyArray)(re))for(const q of re){if(!q)continue;if(!q.name){this._logService.warn("INVALID SymbolInformation, lacks name",q);continue}const J=I.IdObject.mixin(y.WorkspaceSymbol.from(q));this._symbolCache.set(J._id,q),Y.symbols.push(J)}return Y.symbols.length>0&&this._resultCache.set(Y._id,[Y.symbols[0]._id,Y.symbols[Y.symbols.length-1]._id]),Y}async resolveWorkspaceSymbol($,K){if(typeof this._provider.resolveWorkspaceSymbol!="function")return $;const Y=this._symbolCache.get($._id);if(Y){const re=await this._provider.resolveWorkspaceSymbol(Y,K);return re&&(0,t.mixin)($,y.WorkspaceSymbol.from(re),!0)}}releaseWorkspaceSymbols($){const K=this._resultCache.get($);if(K){for(let[Y,re]=K;Y<=re;Y++)this._symbolCache.delete(Y);this._resultCache.delete($)}}}class O{constructor($,K,Y){this._documents=$,this._provider=K,this._logService=Y}static supportsResolving($){return typeof $.prepareRename=="function"}async provideRenameEdits($,K,Y,re){const q=this._documents.getDocument($),J=y.Position.to(K);try{const me=await this._provider.provideRenameEdits(q,J,Y,re);return me?y.WorkspaceEdit.from(me):void 0}catch(me){const Pe=O._asMessage(me);return Pe?{rejectReason:Pe,edits:void 0}:Promise.reject(me)}}async resolveRenameLocation($,K,Y){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const re=this._documents.getDocument($),q=y.Position.to(K);try{const J=await this._provider.prepareRename(re,q,Y);let me,Pe;if(T.Range.isRange(J)?(me=J,Pe=re.getText(J)):(0,R.isObject)(J)&&(me=J.range,Pe=J.placeholder),!me||!Pe)return;if(me.start.line>q.line||me.end.line<q.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:y.Range.from(me),text:Pe}}catch(J){const me=O._asMessage(J);return me?{rejectReason:me,range:void 0,text:void 0}:Promise.reject(J)}}static _asMessage($){return typeof $=="string"?$:$ instanceof Error&&typeof $.message=="string"?$.message:void 0}}class W{constructor($,K){this.resultId=$,this.tokens=K}}class U{constructor($,K){this._documents=$,this._provider=K,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens($,K,Y){const re=this._documents.getDocument($),q=K!==0?this._previousResults.get(K):null;let J=typeof q?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(re,q.resultId,Y):await this._provider.provideDocumentSemanticTokens(re,Y);return q&&this._previousResults.delete(K),J?(J=U._fixProvidedSemanticTokens(J),this._send(U._convertToEdits(q,J),J)):null}async releaseDocumentSemanticColoring($){this._previousResults.delete($)}static _fixProvidedSemanticTokens($){return U._isSemanticTokens($)?U._isCorrectSemanticTokens($)?$:new T.SemanticTokens(new Uint32Array($.data),$.resultId):U._isSemanticTokensEdits($)?U._isCorrectSemanticTokensEdits($)?$:new T.SemanticTokensEdits($.edits.map(K=>new T.SemanticTokensEdit(K.start,K.deleteCount,K.data?new Uint32Array(K.data):K.data)),$.resultId):$}static _isSemanticTokens($){return $&&!!$.data}static _isCorrectSemanticTokens($){return $.data instanceof Uint32Array}static _isSemanticTokensEdits($){return $&&Array.isArray($.edits)}static _isCorrectSemanticTokensEdits($){for(const K of $.edits)if(!(K.data instanceof Uint32Array))return!1;return!0}static _convertToEdits($,K){if(!U._isSemanticTokens(K)||!$||!$.tokens)return K;const Y=$.tokens,re=Y.length,q=K.data,J=q.length;let me=0;const Pe=Math.min(re,J);for(;me<Pe&&Y[me]===q[me];)me++;if(me===re&&me===J)return new T.SemanticTokensEdits([],K.resultId);let Be=0;const Ve=Pe-me;for(;Be<Ve&&Y[re-Be-1]===q[J-Be-1];)Be++;return new T.SemanticTokensEdits([{start:me,deleteCount:re-me-Be,data:q.subarray(me,J-Be)}],K.resultId)}_send($,K){if(U._isSemanticTokens($)){const Y=this._nextResultId++;return this._previousResults.set(Y,new W($.resultId,$.data)),(0,g.encodeSemanticTokensDto)({id:Y,type:"full",data:$.data})}if(U._isSemanticTokensEdits($)){const Y=this._nextResultId++;return U._isSemanticTokens(K)?this._previousResults.set(Y,new W(K.resultId,K.data)):this._previousResults.set(Y,new W($.resultId)),(0,g.encodeSemanticTokensDto)({id:Y,type:"delta",deltas:($.edits||[]).map(re=>({start:re.start,deleteCount:re.deleteCount,data:re.data}))})}return null}}e.DocumentSemanticTokensAdapter=U;class H{constructor($,K){this._documents=$,this._provider=K}async provideDocumentRangeSemanticTokens($,K,Y){const re=this._documents.getDocument($),q=await this._provider.provideDocumentRangeSemanticTokens(re,y.Range.to(K),Y);return q?this._send(q):null}_send($){return(0,g.encodeSemanticTokensDto)({id:0,type:"full",data:$.data})}}e.DocumentRangeSemanticTokensAdapter=H;class V{constructor($,K,Y,re,q){this._documents=$,this._commands=K,this._provider=Y,this._apiDeprecation=re,this._extension=q,this._cache=new c.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving($){return typeof $.resolveCompletionItem=="function"}async provideCompletionItems($,K,Y,re){const q=this._documents.getDocument($),J=y.Position.to(K),me=q.getWordRangeAtPosition(J)||new T.Range(J,J),Pe=me.with({end:J}),Be=new u.StopWatch(!0),Ve=await this._provider.provideCompletionItems(q,J,re,y.CompletionContext.to(Y));if(!Ve||re.isCancellationRequested)return;const Qe=Array.isArray(Ve)?new T.CompletionList(Ve):Ve,tt=V.supportsResolving(this._provider)?this._cache.add(Qe.items):this._cache.add([]),at=new i.DisposableStore;this._disposables.set(tt,at);const Je=[],rt={x:tt,b:Je,a:{replace:y.Range.from(me),insert:y.Range.from(Pe)},c:Qe.isIncomplete||void 0,d:Be.elapsed()};for(let ut=0;ut<Qe.items.length;ut++){const pt=Qe.items[ut],Me=this._convertCompletionItem(pt,[tt,ut],Pe,me);Je.push(Me)}return rt}async resolveCompletionItem($,K){if(typeof this._provider.resolveCompletionItem!="function")return;const Y=this._cache.get(...$);if(!Y)return;const re=await this._provider.resolveCompletionItem(Y,K);if(!!re)return this._convertCompletionItem(re,$)}releaseCompletionItems($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}_convertCompletionItem($,K,Y,re){const q=this._disposables.get(K[0]);if(!q)throw Error("DisposableStore is missing...");const J={x:K,a:$.label,b:$.kind!==void 0?y.CompletionItemKind.from($.kind):void 0,n:$.tags&&$.tags.map(y.CompletionItemTag.from),c:$.detail,d:typeof $.documentation=="undefined"?void 0:y.MarkdownString.fromStrict($.documentation),e:$.sortText!==$.label?$.sortText:void 0,f:$.filterText!==$.label?$.filterText:void 0,g:$.preselect||void 0,i:$.keepWhitespace?1:0,k:$.commitCharacters,l:$.additionalTextEdits&&$.additionalTextEdits.map(y.TextEdit.from),m:this._commands.toInternal($.command,q)};$.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),J.h=$.textEdit.newText):typeof $.insertText=="string"?J.h=$.insertText:$.insertText instanceof T.SnippetString&&(J.h=$.insertText.value,J.i|=4);let me;return $.textEdit?me=$.textEdit.range:$.range&&(me=$.range),T.Range.isRange(me)?J.j=y.Range.from(me):me&&(!Y?.isEqual(me.inserting)||!re?.isEqual(me.replacing))&&(J.j={insert:y.Range.from(me.inserting),replace:y.Range.from(me.replacing)}),J}}class Z{constructor($,K,Y){this._documents=$,this._provider=K,this._commands=Y,this._cache=new c.Cache("InlineCompletionItem"),this._disposables=new Map}async provideInlineCompletions($,K,Y,re){const q=this._documents.getDocument($),J=y.Position.to(K),me=await this._provider.provideInlineCompletionItems(q,J,{selectedCompletionInfo:Y.selectedSuggestionInfo?{range:y.Range.to(Y.selectedSuggestionInfo.range),text:Y.selectedSuggestionInfo.text,isSnippetText:Y.selectedSuggestionInfo.isSnippetText,completionKind:y.CompletionItemKind.to(Y.selectedSuggestionInfo.completionKind)}:void 0,triggerKind:Y.triggerKind},re);if(!me||re.isCancellationRequested)return;const Pe=(0,R.isArray)(me)?{items:me}:me,Be=this._cache.add(Pe.items);let Ve;return{pid:Be,items:Pe.items.map((Qe,tt)=>{let at;return Qe.command&&(Ve||(Ve=new i.DisposableStore,this._disposables.set(Be,Ve)),at=this._commands.toInternal(Qe.command,Ve)),{text:Qe.text,range:Qe.range?y.Range.from(Qe.range):void 0,command:at,idx:tt}})}}disposeCompletions($){this._cache.delete($);const K=this._disposables.get($);K&&K.clear(),this._disposables.delete($)}handleDidShowCompletionItem($,K){const Y=this._cache.get($,K);Y&&G.get(this._provider).fireOnDidShowCompletionItem({completionItem:Y})}}class G{constructor(){this._onDidShowCompletionItemEmitter=new S.Emitter,this.onDidShowCompletionItem=this._onDidShowCompletionItemEmitter.event}static get($){let K=G.map.get($);return K||(K=new G,G.map.set($,K)),K}fireOnDidShowCompletionItem($){this._onDidShowCompletionItemEmitter.fire($)}}e.InlineCompletionController=G,G.map=new WeakMap;class oe{constructor($,K){this._documents=$,this._provider=K,this._cache=new c.Cache("SignatureHelp")}async provideSignatureHelp($,K,Y,re){const q=this._documents.getDocument($),J=y.Position.to(K),me=this.reviveContext(Y),Pe=await this._provider.provideSignatureHelp(q,J,re,me);if(Pe){const Be=this._cache.add([Pe]);return{...y.SignatureHelp.from(Pe),id:Be}}}reviveContext($){let K;if($.activeSignatureHelp){const Y=y.SignatureHelp.to($.activeSignatureHelp),re=this._cache.get($.activeSignatureHelp.id,0);re?(K=re,K.activeSignature=Y.activeSignature,K.activeParameter=Y.activeParameter):K=Y}return{...$,activeSignatureHelp:K}}releaseSignatureHelp($){this._cache.delete($)}}class be{constructor($,K,Y){this._documents=$,this._commands=K,this._provider=Y,this._cache=new c.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints($,K,Y){const re=this._documents.getDocument($),q=await this._provider.provideInlayHints(re,y.Range.to(K),Y);if(!Array.isArray(q)||q.length===0||Y.isCancellationRequested)return;const J=this._cache.add(q);this._disposables.set(J,new i.DisposableStore);const me={hints:[],cacheId:J};for(let Pe=0;Pe<q.length;Pe++)this._isValidInlayHint(q[Pe])&&me.hints.push(this._convertInlayHint(q[Pe],[J,Pe]));return me}async resolveInlayHint($,K){if(typeof this._provider.resolveInlayHint!="function")return;const Y=this._cache.get(...$);if(!Y)return;const re=await this._provider.resolveInlayHint(Y,K);if(!!re&&!K.isCancellationRequested&&!!this._isValidInlayHint(re))return this._convertInlayHint(re,$)}releaseHints($){this._disposables.get($)?.dispose(),this._disposables.delete($),this._cache.delete($)}_isValidInlayHint($){return $.label.length===0||Array.isArray($.label)&&$.label.every(K=>K.label.length===0)?(console.log("INVALID inlay hint, empty label",$),!1):!0}_convertInlayHint($,K){const Y=this._disposables.get(K[0]);if(!Y)throw Error("DisposableStore is missing...");const re={label:"",cacheId:K,tooltip:$.tooltip&&y.MarkdownString.from($.tooltip),position:y.Position.from($.position),kind:y.InlayHintKind.from($.kind??T.InlayHintKind.Other),whitespaceBefore:$.whitespaceBefore,whitespaceAfter:$.whitespaceAfter};return typeof $.label=="string"?re.label=$.label:re.label=$.label.map(q=>{let J={label:q.label};return J.collapsible=q.collapsible,T.Location.isLocation(q.action)?J.action=y.location.from(q.action):q.action&&(J.action=this._commands.toInternal(q.action,Y)),J}),re}}class Se{constructor($,K){this._documents=$,this._provider=K,this._cache=new c.Cache("DocumentLink")}async provideLinks($,K){const Y=this._documents.getDocument($),re=await this._provider.provideDocumentLinks(Y,K);if(!(!Array.isArray(re)||re.length===0)&&!K.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:re.filter(Se._validateLink).map(y.DocumentLink.from)};{const q=this._cache.add(re),J={links:[],id:q};for(let me=0;me<re.length;me++){if(!Se._validateLink(re[me]))continue;const Pe=y.DocumentLink.from(re[me]);Pe.cacheId=[q,me],J.links.push(Pe)}return J}}}static _validateLink($){return $.target&&$.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink($,K){if(typeof this._provider.resolveDocumentLink!="function")return;const Y=this._cache.get(...$);if(!Y)return;const re=await this._provider.resolveDocumentLink(Y,K);if(!(!re||!Se._validateLink(re)))return y.DocumentLink.from(re)}releaseLinks($){this._cache.delete($)}}class le{constructor($,K){this._documents=$,this._provider=K}async provideColors($,K){const Y=this._documents.getDocument($),re=await this._provider.provideDocumentColors(Y,K);return Array.isArray(re)?re.map(J=>({color:y.Color.from(J.color),range:y.Range.from(J.range)})):[]}async provideColorPresentations($,K,Y){const re=this._documents.getDocument($),q=y.Range.to(K.range),J=y.Color.to(K.color),me=await this._provider.provideColorPresentations(J,{document:re,range:q},Y);if(!!Array.isArray(me))return me.map(y.ColorPresentation.from)}}class ne{constructor($,K){this._documents=$,this._provider=K}async provideFoldingRanges($,K,Y){const re=this._documents.getDocument($),q=await this._provider.provideFoldingRanges(re,K,Y);if(!!Array.isArray(q))return q.map(y.FoldingRange.from)}}class ve{constructor($,K,Y){this._documents=$,this._provider=K,this._logService=Y}async provideSelectionRanges($,K,Y){const re=this._documents.getDocument($),q=K.map(y.Position.to),J=await this._provider.provideSelectionRanges(re,q,Y);if(!(0,A.isNonEmptyArray)(J))return[];if(J.length!==q.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const me=[];for(let Pe=0;Pe<q.length;Pe++){const Be=[];me.push(Be);let Ve=q[Pe],Qe=J[Pe];for(;;){if(!Qe.range.contains(Ve))throw new Error("INVALID selection range, must contain the previous range");if(Be.push(y.SelectionRange.from(Qe)),!Qe.parent)break;Ve=Qe.range,Qe=Qe.parent}}return me}}class Ie{constructor($,K){this._documents=$,this._provider=K,this._idPool=new o.IdGenerator(""),this._cache=new Map}async prepareSession($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.prepareCallHierarchy(re,q,Y);if(!J)return;const me=this._idPool.nextId();return this._cache.set(me,new Map),Array.isArray(J)?J.map(Pe=>this._cacheAndConvertItem(me,Pe)):[this._cacheAndConvertItem(me,J)]}async provideCallsTo($,K,Y){const re=this._itemFromCache($,K);if(!re)throw new Error("missing call hierarchy item");const q=await this._provider.provideCallHierarchyIncomingCalls(re,Y);if(!!q)return q.map(J=>({from:this._cacheAndConvertItem($,J.from),fromRanges:J.fromRanges.map(me=>y.Range.from(me))}))}async provideCallsFrom($,K,Y){const re=this._itemFromCache($,K);if(!re)throw new Error("missing call hierarchy item");const q=await this._provider.provideCallHierarchyOutgoingCalls(re,Y);if(!!q)return q.map(J=>({to:this._cacheAndConvertItem($,J.to),fromRanges:J.fromRanges.map(me=>y.Range.from(me))}))}releaseSession($){this._cache.delete($)}_cacheAndConvertItem($,K){const Y=this._cache.get($),re=y.CallHierarchyItem.from(K,$,Y.size.toString(36));return Y.set(re._itemId,K),re}_itemFromCache($,K){return this._cache.get($)?.get(K)}}class Oe{constructor($,K){this._documents=$,this._provider=K,this._idPool=new o.IdGenerator(""),this._cache=new Map}async prepareSession($,K,Y){const re=this._documents.getDocument($),q=y.Position.to(K),J=await this._provider.prepareTypeHierarchy(re,q,Y);if(!J)return;const me=this._idPool.nextId();return this._cache.set(me,new Map),Array.isArray(J)?J.map(Pe=>this._cacheAndConvertItem(me,Pe)):[this._cacheAndConvertItem(me,J)]}async provideSupertypes($,K,Y){const re=this._itemFromCache($,K);if(!re)throw new Error("missing type hierarchy item");const q=await this._provider.provideTypeHierarchySupertypes(re,Y);if(!!q)return q.map(J=>this._cacheAndConvertItem($,J))}async provideSubtypes($,K,Y){const re=this._itemFromCache($,K);if(!re)throw new Error("missing type hierarchy item");const q=await this._provider.provideTypeHierarchySubtypes(re,Y);if(!!q)return q.map(J=>this._cacheAndConvertItem($,J))}releaseSession($){this._cache.delete($)}_cacheAndConvertItem($,K){const Y=this._cache.get($),re=y.TypeHierarchyItem.from(K,$,Y.size.toString(36));return Y.set(re._itemId,K),re}_itemFromCache($,K){return this._cache.get($)?.get(K)}}class He{constructor($,K){this.adapter=$,this.extension=K}}class Xe{constructor($,K,Y,re,q,J,me){this._adapter=new Map,this._uriTransformer=K,this._proxy=$.getProxy(I.MainContext.MainThreadLanguageFeatures),this._documents=Y,this._commands=re,this._diagnostics=q,this._logService=J,this._apiDeprecation=me}_transformDocumentSelector($){return y.DocumentSelector.from($,this._uriTransformer)}_createDisposable($){return new T.Disposable(()=>{this._adapter.delete($),this._proxy.$unregister($)})}_nextHandle(){return Xe._handlePool++}_withAdapter($,K,Y,re,q=!1){const J=this._adapter.get($);if(!J)return Promise.resolve(re);if(J.adapter instanceof K){let me;J.extension&&(me=Date.now(),this._logService.trace(`[${J.extension.identifier.value}] INVOKE provider '${K.name}'`));const Pe=Y(J.adapter,J.extension),Be=J.extension;return Be&&Promise.resolve(Pe).then(()=>this._logService.trace(`[${Be.identifier.value}] provider DONE after ${Date.now()-me}ms`),Ve=>{q&&Ve instanceof F.CancellationError||(this._logService.error(`[${Be.identifier.value}] provider FAILED`),this._logService.error(Ve))}),Pe}return Promise.reject(new Error("no adapter found"))}_addNewAdapter($,K){const Y=this._nextHandle();return this._adapter.set(Y,new He($,K)),Y}static _extLabel($){return $.displayName||$.name}registerDocumentSymbolProvider($,K,Y,re){const q=this._addNewAdapter(new m(this._documents,Y),$),J=re&&re.label||Xe._extLabel($);return this._proxy.$registerDocumentSymbolProvider(q,this._transformDocumentSelector(K),J),this._createDisposable(q)}$provideDocumentSymbols($,K,Y){return this._withAdapter($,m,re=>re.provideDocumentSymbols(s.URI.revive(K),Y),void 0)}registerCodeLensProvider($,K,Y){const re=this._nextHandle(),q=typeof Y.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(re,new He(new d(this._documents,this._commands.converter,Y),$)),this._proxy.$registerCodeLensSupport(re,this._transformDocumentSelector(K),q);let J=this._createDisposable(re);if(q!==void 0){const me=Y.onDidChangeCodeLenses(Pe=>this._proxy.$emitCodeLensEvent(q));J=T.Disposable.from(J,me)}return J}$provideCodeLenses($,K,Y){return this._withAdapter($,d,re=>re.provideCodeLenses(s.URI.revive(K),Y),void 0)}$resolveCodeLens($,K,Y){return this._withAdapter($,d,re=>re.resolveCodeLens(K,Y),void 0)}$releaseCodeLenses($,K){this._withAdapter($,d,Y=>Promise.resolve(Y.releaseCodeLenses(K)),void 0)}registerDefinitionProvider($,K,Y){const re=this._addNewAdapter(new a(this._documents,Y),$);return this._proxy.$registerDefinitionSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideDefinition($,K,Y,re){return this._withAdapter($,a,q=>q.provideDefinition(s.URI.revive(K),Y,re),[])}registerDeclarationProvider($,K,Y){const re=this._addNewAdapter(new M(this._documents,Y),$);return this._proxy.$registerDeclarationSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideDeclaration($,K,Y,re){return this._withAdapter($,M,q=>q.provideDeclaration(s.URI.revive(K),Y,re),[])}registerImplementationProvider($,K,Y){const re=this._addNewAdapter(new r(this._documents,Y),$);return this._proxy.$registerImplementationSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideImplementation($,K,Y,re){return this._withAdapter($,r,q=>q.provideImplementation(s.URI.revive(K),Y,re),[])}registerTypeDefinitionProvider($,K,Y){const re=this._addNewAdapter(new n(this._documents,Y),$);return this._proxy.$registerTypeDefinitionSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideTypeDefinition($,K,Y,re){return this._withAdapter($,n,q=>q.provideTypeDefinition(s.URI.revive(K),Y,re),[])}registerHoverProvider($,K,Y,re){const q=this._addNewAdapter(new b(this._documents,Y),$);return this._proxy.$registerHoverProvider(q,this._transformDocumentSelector(K)),this._createDisposable(q)}$provideHover($,K,Y,re){return this._withAdapter($,b,q=>q.provideHover(s.URI.revive(K),Y,re),void 0)}registerEvaluatableExpressionProvider($,K,Y,re){const q=this._addNewAdapter(new p(this._documents,Y),$);return this._proxy.$registerEvaluatableExpressionProvider(q,this._transformDocumentSelector(K)),this._createDisposable(q)}$provideEvaluatableExpression($,K,Y,re){return this._withAdapter($,p,q=>q.provideEvaluatableExpression(s.URI.revive(K),Y,re),void 0)}registerInlineValuesProvider($,K,Y,re){const q=typeof Y.onDidChangeInlineValues=="function"?this._nextHandle():void 0,J=this._addNewAdapter(new l(this._documents,Y),$);this._proxy.$registerInlineValuesProvider(J,this._transformDocumentSelector(K),q);let me=this._createDisposable(J);if(q!==void 0){const Pe=Y.onDidChangeInlineValues(Be=>this._proxy.$emitInlineValuesEvent(q));me=T.Disposable.from(me,Pe)}return me}$provideInlineValues($,K,Y,re,q){return this._withAdapter($,l,J=>J.provideInlineValues(s.URI.revive(K),Y,re,q),void 0)}registerDocumentHighlightProvider($,K,Y){const re=this._addNewAdapter(new h(this._documents,Y),$);return this._proxy.$registerDocumentHighlightProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideDocumentHighlights($,K,Y,re){return this._withAdapter($,h,q=>q.provideDocumentHighlights(s.URI.revive(K),Y,re),void 0)}registerLinkedEditingRangeProvider($,K,Y){const re=this._addNewAdapter(new v(this._documents,Y),$);return this._proxy.$registerLinkedEditingRangeProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideLinkedEditingRanges($,K,Y,re){return this._withAdapter($,v,async q=>{const J=await q.provideLinkedEditingRanges(s.URI.revive(K),Y,re);if(J)return{ranges:J.ranges,wordPattern:J.wordPattern?Xe._serializeRegExp(J.wordPattern):void 0}},void 0)}registerReferenceProvider($,K,Y){const re=this._addNewAdapter(new _(this._documents,Y),$);return this._proxy.$registerReferenceSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideReferences($,K,Y,re,q){return this._withAdapter($,_,J=>J.provideReferences(s.URI.revive(K),Y,re,q),void 0)}registerCodeActionProvider($,K,Y,re){const q=new i.DisposableStore,J=this._addNewAdapter(new f(this._documents,this._commands.converter,this._diagnostics,Y,this._logService,$,this._apiDeprecation),$);return this._proxy.$registerQuickFixSupport(J,this._transformDocumentSelector(K),{providedKinds:re?.providedCodeActionKinds?.map(me=>me.value),documentation:re?.documentation?.map(me=>({kind:me.kind.value,command:this._commands.converter.toInternal(me.command,q)}))},Xe._extLabel($),Boolean(Y.resolveCodeAction)),q.add(this._createDisposable(J)),q}$provideCodeActions($,K,Y,re,q){return this._withAdapter($,f,J=>J.provideCodeActions(s.URI.revive(K),Y,re,q),void 0)}$resolveCodeAction($,K,Y){return this._withAdapter($,f,re=>re.resolveCodeAction(K,Y),void 0)}$releaseCodeActions($,K){this._withAdapter($,f,Y=>Promise.resolve(Y.releaseCodeActions(K)),void 0)}registerDocumentFormattingEditProvider($,K,Y){const re=this._addNewAdapter(new C(this._documents,Y),$);return this._proxy.$registerDocumentFormattingSupport(re,this._transformDocumentSelector(K),$.identifier,$.displayName||$.name),this._createDisposable(re)}$provideDocumentFormattingEdits($,K,Y,re){return this._withAdapter($,C,q=>q.provideDocumentFormattingEdits(s.URI.revive(K),Y,re),void 0)}registerDocumentRangeFormattingEditProvider($,K,Y){const re=this._addNewAdapter(new x(this._documents,Y),$);return this._proxy.$registerRangeFormattingSupport(re,this._transformDocumentSelector(K),$.identifier,$.displayName||$.name),this._createDisposable(re)}$provideDocumentRangeFormattingEdits($,K,Y,re,q){return this._withAdapter($,x,J=>J.provideDocumentRangeFormattingEdits(s.URI.revive(K),Y,re,q),void 0)}registerOnTypeFormattingEditProvider($,K,Y,re){const q=this._addNewAdapter(new N(this._documents,Y),$);return this._proxy.$registerOnTypeFormattingSupport(q,this._transformDocumentSelector(K),re,$.identifier),this._createDisposable(q)}$provideOnTypeFormattingEdits($,K,Y,re,q,J){return this._withAdapter($,N,me=>me.provideOnTypeFormattingEdits(s.URI.revive(K),Y,re,q,J),void 0)}registerWorkspaceSymbolProvider($,K){const Y=this._addNewAdapter(new E(K,this._logService),$);return this._proxy.$registerNavigateTypeSupport(Y,typeof K.resolveWorkspaceSymbol=="function"),this._createDisposable(Y)}$provideWorkspaceSymbols($,K,Y){return this._withAdapter($,E,re=>re.provideWorkspaceSymbols(K,Y),{symbols:[]})}$resolveWorkspaceSymbol($,K,Y){return this._withAdapter($,E,re=>re.resolveWorkspaceSymbol(K,Y),void 0)}$releaseWorkspaceSymbols($,K){this._withAdapter($,E,Y=>Y.releaseWorkspaceSymbols(K),void 0)}registerRenameProvider($,K,Y){const re=this._addNewAdapter(new O(this._documents,Y,this._logService),$);return this._proxy.$registerRenameSupport(re,this._transformDocumentSelector(K),O.supportsResolving(Y)),this._createDisposable(re)}$provideRenameEdits($,K,Y,re,q){return this._withAdapter($,O,J=>J.provideRenameEdits(s.URI.revive(K),Y,re,q),void 0)}$resolveRenameLocation($,K,Y,re){return this._withAdapter($,O,q=>q.resolveRenameLocation(s.URI.revive(K),Y,re),void 0)}registerDocumentSemanticTokensProvider($,K,Y,re){const q=this._nextHandle(),J=typeof Y.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(q,new He(new U(this._documents,Y),$)),this._proxy.$registerDocumentSemanticTokensProvider(q,this._transformDocumentSelector(K),re,J);let me=this._createDisposable(q);if(J){const Pe=Y.onDidChangeSemanticTokens(Be=>this._proxy.$emitDocumentSemanticTokensEvent(J));me=T.Disposable.from(me,Pe)}return me}$provideDocumentSemanticTokens($,K,Y,re){return this._withAdapter($,U,q=>q.provideDocumentSemanticTokens(s.URI.revive(K),Y,re),null,!0)}$releaseDocumentSemanticTokens($,K){this._withAdapter($,U,Y=>Y.releaseDocumentSemanticColoring(K),void 0)}registerDocumentRangeSemanticTokensProvider($,K,Y,re){const q=this._addNewAdapter(new H(this._documents,Y),$);return this._proxy.$registerDocumentRangeSemanticTokensProvider(q,this._transformDocumentSelector(K),re),this._createDisposable(q)}$provideDocumentRangeSemanticTokens($,K,Y,re){return this._withAdapter($,H,q=>q.provideDocumentRangeSemanticTokens(s.URI.revive(K),Y,re),null,!0)}registerCompletionItemProvider($,K,Y,re){const q=this._addNewAdapter(new V(this._documents,this._commands.converter,Y,this._apiDeprecation,$),$);return this._proxy.$registerSuggestSupport(q,this._transformDocumentSelector(K),re,V.supportsResolving(Y),`${$.identifier.value}(${re.join("")})`),this._createDisposable(q)}$provideCompletionItems($,K,Y,re,q){return this._withAdapter($,V,J=>J.provideCompletionItems(s.URI.revive(K),Y,re,q),void 0)}$resolveCompletionItem($,K,Y){return this._withAdapter($,V,re=>re.resolveCompletionItem(K,Y),void 0)}$releaseCompletionItems($,K){this._withAdapter($,V,Y=>Y.releaseCompletionItems(K),void 0)}registerInlineCompletionsProvider($,K,Y){const re=this._addNewAdapter(new Z(this._documents,Y,this._commands.converter),$);return this._proxy.$registerInlineCompletionsSupport(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideInlineCompletions($,K,Y,re,q){return this._withAdapter($,Z,J=>J.provideInlineCompletions(s.URI.revive(K),Y,re,q),void 0)}$handleInlineCompletionDidShow($,K,Y){this._withAdapter($,Z,async re=>{re.handleDidShowCompletionItem(K,Y)},void 0)}$freeInlineCompletionsList($,K){this._withAdapter($,Z,async Y=>{Y.disposeCompletions(K)},void 0)}registerSignatureHelpProvider($,K,Y,re){const q=Array.isArray(re)?{triggerCharacters:re,retriggerCharacters:[]}:re,J=this._addNewAdapter(new oe(this._documents,Y),$);return this._proxy.$registerSignatureHelpProvider(J,this._transformDocumentSelector(K),q),this._createDisposable(J)}$provideSignatureHelp($,K,Y,re,q){return this._withAdapter($,oe,J=>J.provideSignatureHelp(s.URI.revive(K),Y,re,q),void 0)}$releaseSignatureHelp($,K){this._withAdapter($,oe,Y=>Y.releaseSignatureHelp(K),void 0)}registerInlayHintsProvider($,K,Y){const re=typeof Y.onDidChangeInlayHints=="function"?this._nextHandle():void 0,q=this._addNewAdapter(new be(this._documents,this._commands.converter,Y),$);this._proxy.$registerInlayHintsProvider(q,this._transformDocumentSelector(K),typeof Y.resolveInlayHint=="function",re);let J=this._createDisposable(q);if(re!==void 0){const me=Y.onDidChangeInlayHints(Pe=>this._proxy.$emitInlayHintsEvent(re));J=T.Disposable.from(J,me)}return J}$provideInlayHints($,K,Y,re){return this._withAdapter($,be,q=>q.provideInlayHints(s.URI.revive(K),Y,re),void 0)}$resolveInlayHint($,K,Y){return this._withAdapter($,be,re=>re.resolveInlayHint(K,Y),void 0)}$releaseInlayHints($,K){this._withAdapter($,be,Y=>Y.releaseHints(K),void 0)}registerDocumentLinkProvider($,K,Y){const re=this._addNewAdapter(new Se(this._documents,Y),$);return this._proxy.$registerDocumentLinkProvider(re,this._transformDocumentSelector(K),typeof Y.resolveDocumentLink=="function"),this._createDisposable(re)}$provideDocumentLinks($,K,Y){return this._withAdapter($,Se,re=>re.provideLinks(s.URI.revive(K),Y),void 0)}$resolveDocumentLink($,K,Y){return this._withAdapter($,Se,re=>re.resolveLink(K,Y),void 0)}$releaseDocumentLinks($,K){this._withAdapter($,Se,Y=>Y.releaseLinks(K),void 0)}registerColorProvider($,K,Y){const re=this._addNewAdapter(new le(this._documents,Y),$);return this._proxy.$registerDocumentColorProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideDocumentColors($,K,Y){return this._withAdapter($,le,re=>re.provideColors(s.URI.revive(K),Y),[])}$provideColorPresentations($,K,Y,re){return this._withAdapter($,le,q=>q.provideColorPresentations(s.URI.revive(K),Y,re),void 0)}registerFoldingRangeProvider($,K,Y){const re=this._nextHandle(),q=typeof Y.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(re,new He(new ne(this._documents,Y),$)),this._proxy.$registerFoldingRangeProvider(re,this._transformDocumentSelector(K),q);let J=this._createDisposable(re);if(q!==void 0){const me=Y.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(q));J=T.Disposable.from(J,me)}return J}$provideFoldingRanges($,K,Y,re){return this._withAdapter($,ne,q=>q.provideFoldingRanges(s.URI.revive(K),Y,re),void 0)}registerSelectionRangeProvider($,K,Y){const re=this._addNewAdapter(new ve(this._documents,Y,this._logService),$);return this._proxy.$registerSelectionRangeProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$provideSelectionRanges($,K,Y,re){return this._withAdapter($,ve,q=>q.provideSelectionRanges(s.URI.revive(K),Y,re),[])}registerCallHierarchyProvider($,K,Y){const re=this._addNewAdapter(new Ie(this._documents,Y),$);return this._proxy.$registerCallHierarchyProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$prepareCallHierarchy($,K,Y,re){return this._withAdapter($,Ie,q=>Promise.resolve(q.prepareSession(s.URI.revive(K),Y,re)),void 0)}$provideCallHierarchyIncomingCalls($,K,Y,re){return this._withAdapter($,Ie,q=>q.provideCallsTo(K,Y,re),void 0)}$provideCallHierarchyOutgoingCalls($,K,Y,re){return this._withAdapter($,Ie,q=>q.provideCallsFrom(K,Y,re),void 0)}$releaseCallHierarchy($,K){this._withAdapter($,Ie,Y=>Promise.resolve(Y.releaseSession(K)),void 0)}registerTypeHierarchyProvider($,K,Y){const re=this._addNewAdapter(new Oe(this._documents,Y),$);return this._proxy.$registerTypeHierarchyProvider(re,this._transformDocumentSelector(K)),this._createDisposable(re)}$prepareTypeHierarchy($,K,Y,re){return this._withAdapter($,Oe,q=>Promise.resolve(q.prepareSession(s.URI.revive(K),Y,re)),void 0)}$provideTypeHierarchySupertypes($,K,Y,re){return this._withAdapter($,Oe,q=>q.provideSupertypes(K,Y,re),void 0)}$provideTypeHierarchySubtypes($,K,Y,re){return this._withAdapter($,Oe,q=>q.provideSubtypes(K,Y,re),void 0)}$releaseTypeHierarchy($,K){this._withAdapter($,Oe,Y=>Promise.resolve(Y.releaseSession(K)),void 0)}static _serializeRegExp($){return{pattern:$.source,flags:(0,P.regExpFlags)($)}}static _serializeIndentationRule($){return{decreaseIndentPattern:Xe._serializeRegExp($.decreaseIndentPattern),increaseIndentPattern:Xe._serializeRegExp($.increaseIndentPattern),indentNextLinePattern:$.indentNextLinePattern?Xe._serializeRegExp($.indentNextLinePattern):void 0,unIndentedLinePattern:$.unIndentedLinePattern?Xe._serializeRegExp($.unIndentedLinePattern):void 0}}static _serializeOnEnterRule($){return{beforeText:Xe._serializeRegExp($.beforeText),afterText:$.afterText?Xe._serializeRegExp($.afterText):void 0,previousLineText:$.previousLineText?Xe._serializeRegExp($.previousLineText):void 0,action:$.action}}static _serializeOnEnterRules($){return $.map(Xe._serializeOnEnterRule)}setLanguageConfiguration($,K,Y){let{wordPattern:re}=Y;if(re&&(0,P.regExpLeadsToEndlessLoop)(re))throw new Error(`Invalid language configuration: wordPattern '${re}' is not allowed to match the empty string.`);re?this._documents.setWordDefinitionFor(K,re):this._documents.setWordDefinitionFor(K,void 0),Y.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",$,"Do not use."),Y.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",$,"Do not use.");const q=this._nextHandle(),J={comments:Y.comments,brackets:Y.brackets,wordPattern:Y.wordPattern?Xe._serializeRegExp(Y.wordPattern):void 0,indentationRules:Y.indentationRules?Xe._serializeIndentationRule(Y.indentationRules):void 0,onEnterRules:Y.onEnterRules?Xe._serializeOnEnterRules(Y.onEnterRules):void 0,__electricCharacterSupport:Y.__electricCharacterSupport,__characterPairSupport:Y.__characterPairSupport};return this._proxy.$setLanguageConfiguration(q,K,J),this._createDisposable(q)}$setWordDefinitions($){for(const K of $)this._documents.setWordDefinitionFor(K.languageId,new RegExp(K.regexSource,K.regexFlags))}}e.ExtHostLanguageFeatures=Xe,Xe._handlePool=0}),define(we[189],Ee([0,1,5,8,7,34,14,6]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class D{constructor(R,w,i,g){this._documents=w,this._commands=i,this._uriTransformer=g,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=R.getProxy(s.MainContext.MainThreadLanguages)}$acceptLanguageIds(R){this._languageIds=R}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(R,w){await this._proxy.$changeLanguage(R,w);const i=this._documents.getDocumentData(R);if(!i)throw new Error(`document '${R.toString}' NOT found`);return i.document}async tokenAtPosition(R,w){const i=R.version,g=t.Position.from(w),o=await this._proxy.$tokensAtPosition(R.uri,g),c={type:y.StandardTokenType.Other,range:R.getWordRangeAtPosition(w)??new y.Range(w.line,w.character,w.line,w.character)};if(!o)return c;const u={range:t.Range.to(o.range),type:t.TokenType.to(o.type)};return!u.range.contains(w)||i!==R.version?c:u}createLanguageStatusItem(R,w,i){const g=this._handlePool++,o=this._proxy,c=this._ids,u=`${R.identifier.value}/${w}`;if(c.has(u))throw new Error(`LanguageStatusItem with id '${w}' ALREADY exists`);c.add(u);const F={selector:i,id:w,name:R.displayName??R.name,severity:y.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let S,m=new P.DisposableStore;const d=()=>{S?.dispose(),S=(0,I.disposableTimeout)(()=>{m.clear(),this._proxy.$setLanguageStatus(g,{id:u,name:F.name??R.displayName??R.name,source:R.displayName??R.name,selector:t.DocumentSelector.from(F.selector,this._uriTransformer),label:F.text,detail:F.detail??"",severity:F.severity===y.LanguageStatusSeverity.Error?T.default.Error:F.severity===y.LanguageStatusSeverity.Warning?T.default.Warning:T.default.Info,command:F.command&&this._commands.toInternal(F.command,m),accessibilityInfo:F.accessibilityInformation,busy:F.busy})},0)},k={dispose(){m.dispose(),S?.dispose(),o.$removeLanguageStatus(g),c.delete(u)},get id(){return F.id},get name(){return F.name},set name(a){F.name=a,d()},get selector(){return F.selector},set selector(a){F.selector=a,d()},get text(){return F.text},set text(a){F.text=a,d()},get detail(){return F.detail},set detail(a){F.detail=a,d()},get severity(){return F.severity},set severity(a){F.severity=a,d()},get accessibilityInformation(){return F.accessibilityInformation},set accessibilityInformation(a){F.accessibilityInformation=a,d()},get command(){return F.command},set command(a){F.command=a,d()},get busy(){return F.busy},set busy(a){F.busy=a,d()}};return d(),k}}e.ExtHostLanguages=D}),define(we[190],Ee([0,1,12,5,28,13,4]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let P=class extends s.AbstractLoggerService{constructor(R,w){const i=new I.Emitter;super(w.logLevel,i.event);this._proxy=R.getProxy(t.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(i)}$setLevel(R){this._onDidChangeLogLevel.fire(R)}doCreateLogger(R,w,i){return new D(this._proxy,R,w,i)}};P=Ue([$e(0,T.IExtHostRpcService),$e(1,y.IExtHostInitDataService)],P),e.ExtHostLoggerService=P;class D extends s.AbstractMessageLogger{constructor(R,w,i,g){super(g?.always);this.proxy=R,this.file=w,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(i),this.proxy.$createLogger(w,g).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(R,w){const i=[[R,w]];this.isLoggerCreated?this.doLog(i):this.buffer.push(...i)}doLog(R){this.proxy.$log(this.file,R)}}}),define(we[191],Ee([0,1,5,12,27]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function T(P){return P&&P.title}let I=class{constructor(D,A){this._logService=A,this._proxy=D.getProxy(s.MainContext.MainThreadMessageService)}showMessage(D,A,R,w,i){const g={source:{identifier:D.identifier,label:D.displayName||D.name}};let o;typeof w=="string"||T(w)?o=[w,...i]:(g.modal=w?.modal,g.useCustom=w?.useCustom,g.detail=w?.detail,o=i),g.useCustom&&(0,y.checkProposedApiEnabled)(D,"resolvers");const c=[];for(let u=0;u<o.length;u++){const F=o[u];if(typeof F=="string")c.push({title:F,handle:u,isCloseAffordance:!1});else if(typeof F=="object"){let{title:S,isCloseAffordance:m}=F;c.push({title:S,isCloseAffordance:!!m,handle:u})}else this._logService.warn("Invalid message item:",F)}return this._proxy.$showMessage(A,R,g,c).then(u=>{if(typeof u=="number")return o[u]})}};I=Ue([$e(1,t.ILogService)],I),e.ExtHostMessageService=I}),define(we[192],Ee([0,1,22,4,57,6,21,9,10,2,63,5,8,7,38,166,91]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class F{constructor(m,d,k,a,M){this._textDocumentsAndEditors=k,this._textDocuments=a,this._extensionStoragePaths=M,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new I.ResourceMap,this._editors=new Map,this._onDidChangeNotebookCells=new t.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new t.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellMetadata=new t.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new t.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new t.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new t.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new t.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new R.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=m.getProxy(w.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=m.getProxy(w.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=m.getProxy(w.MainContext.MainThreadNotebookEditors),this._commandsConverter=d.converter,d.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===12){const n=r.notebookEditor?.notebookUri,b=r.cell.handle,l=this._documents.get(n)?.getCell(b);if(l)return l.apiCell}return r}})}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(m=>m.apiEditor)}getEditorById(m){const d=this._editors.get(m);if(!d)throw new Error(`unknown text editor: ${m}. known editors: ${[...this._editors.keys()]} `);return d}getIdByEditor(m){for(const[d,k]of this._editors)if(k.apiEditor===m)return d}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(m,d){const k=this._documents.get(m);if(!k&&!d)throw new Error(`NO notebook document for '${m}'`);return k}_getProviderData(m){const d=this._notebookContentProviders.get(m);if(!d)throw new Error(`NO provider for '${m}'`);return d}registerNotebookContentProvider(m,d,k,a,M){if((0,P.isFalsyOrWhitespace)(d))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(d))throw new Error(`Notebook provider for '${d}' already registered`);this._notebookContentProviders.set(d,{extension:m,provider:k});let r;return k.onDidChangeNotebookContentOptions&&(r=k.onDidChangeNotebookContentOptions(()=>{const n=i.NotebookDocumentContentOptions.from(k.options);this._notebookProxy.$updateNotebookProviderOptions(d,n)})),this._notebookProxy.$registerNotebookProvider({id:m.identifier,location:m.extensionLocation},d,i.NotebookDocumentContentOptions.from(a),F._convertNotebookRegistrationData(m,M)),new g.Disposable(()=>{r?.dispose(),this._notebookContentProviders.delete(d),this._notebookProxy.$unregisterNotebookProvider(d)})}static _convertNotebookRegistrationData(m,d){if(!d)return;const k=d.filenamePattern.map(a=>i.NotebookExclusiveDocumentPattern.from(a)).filter(a=>a!==void 0);if(d.filenamePattern&&!k){console.warn(`Notebook content provider view options file name pattern is invalid ${d.filenamePattern}`);return}return{extension:m.identifier,providerDisplayName:m.displayName||m.name,displayName:d.displayName,filenamePattern:k,exclusive:d.exclusive||!1}}registerNotebookCellStatusBarItemProvider(m,d,k){const a=F._notebookStatusBarItemProviderHandlePool++,M=typeof k.onDidChangeCellStatusBarItems=="function"?F._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(a,k),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(a,M,d);let r;return M!==void 0&&(r=k.onDidChangeCellStatusBarItems(n=>this._notebookProxy.$emitCellStatusBarEvent(M))),new g.Disposable(()=>{this._notebookStatusBarItemProviders.delete(a),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(a,M),r&&r.dispose()})}async createNotebookDocument(m){const d=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:m.viewType,content:m.content&&i.NotebookData.from(m.content)});return A.URI.revive(d)}async openNotebookDocument(m){const d=this._documents.get(m);if(d)return d.apiNotebook;const k=await this._notebookDocumentsProxy.$tryOpenNotebook(m),a=this._documents.get(A.URI.revive(k));return(0,D.assertIsDefined)(a?.apiNotebook)}async showNotebookDocument(m,d){A.URI.isUri(m)&&(m=await this.openNotebookDocument(m));let k;typeof d=="object"?k={position:i.ViewColumn.from(d.viewColumn),preserveFocus:d.preserveFocus,selections:d.selections&&d.selections.map(i.NotebookRange.from),pinned:typeof d.preview=="boolean"?!d.preview:void 0}:k={preserveFocus:!1};const a=await this._notebookEditorsProxy.$tryShowNotebookDocument(m.uri,m.notebookType,k),M=a&&this._editors.get(a)?.apiEditor;if(M)return M;throw a?new Error(`Could NOT open editor for "${m.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${m.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(m,d,k,a){const M=this._notebookStatusBarItemProviders.get(m),r=A.URI.revive(d),n=this._documents.get(r);if(!n||!M)return;const b=n.getCellFromIndex(k);if(!b)return;const p=await M.provideCellStatusBarItems(b.apiCell,a);if(!p)return;const l=new T.DisposableStore,h=this._statusBarCache.add([l]),_=(Array.isArray(p)?p:[p]).map(f=>i.NotebookStatusBarItem.from(f,this._commandsConverter,l));return{cacheId:h,items:_}}$releaseNotebookCellStatusBarItems(m){this._statusBarCache.delete(m)}registerNotebookSerializer(m,d,k,a,M){if((0,P.isFalsyOrWhitespace)(d))throw new Error("viewType cannot be empty or just whitespace");const r=this._handlePool++;return this._notebookSerializer.set(r,k),this._notebookProxy.$registerNotebookSerializer(r,{id:m.identifier,location:m.extensionLocation},d,i.NotebookDocumentContentOptions.from(a),F._convertNotebookRegistrationData(m,M)),(0,T.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(r)})}async $dataToNotebook(m,d,k){const a=this._notebookSerializer.get(m);if(!a)throw new Error("NO serializer found");const M=await a.deserializeNotebook(d.buffer,k);return new o.SerializableObjectWithBuffers(i.NotebookData.from(M))}async $notebookToData(m,d,k){const a=this._notebookSerializer.get(m);if(!a)throw new Error("NO serializer found");const M=await a.serializeNotebook(i.NotebookData.to(d.value),k);return s.VSBuffer.wrap(M)}async $openNotebook(m,d,k,a,M){const{provider:r}=this._getProviderData(m),n=await r.openNotebook(A.URI.revive(d),{backupId:k,untitledDocumentData:a?.buffer},M);return new o.SerializableObjectWithBuffers({metadata:n.metadata??Object.create(null),cells:n.cells.map(i.NotebookCellData.from)})}async $saveNotebook(m,d,k){const a=this.getNotebookDocument(A.URI.revive(d)),{provider:M}=this._getProviderData(m);return await M.saveNotebook(a.apiNotebook,k),!0}async $saveNotebookAs(m,d,k,a){const M=this.getNotebookDocument(A.URI.revive(d)),{provider:r}=this._getProviderData(m);return await r.saveNotebookAs(A.URI.revive(k),M.apiNotebook,a),!0}async $backupNotebook(m,d,k){const a=this.getNotebookDocument(A.URI.revive(d)),M=this._getProviderData(m),r=this._extensionStoragePaths.workspaceValue(M.extension)??this._extensionStoragePaths.globalValue(M.extension),n=String((0,y.hash)([a.uri.toString(),this._backupIdPool++])),b=A.URI.joinPath(r,n),p=await M.provider.backupNotebook(a.apiNotebook,{destination:b},k);return a.updateBackup(p),p.id}_createExtHostEditor(m,d,k){if(this._editors.has(d))throw new Error(`editor with id ALREADY EXSIST: ${d}`);const a=new u.ExtHostNotebookEditor(d,this._notebookEditorsProxy,m,k.visibleRanges.map(i.NotebookRange.to),k.selections.map(i.NotebookRange.to),typeof k.viewColumn=="number"?i.ViewColumn.to(k.viewColumn):void 0);this._editors.set(d,a)}$acceptDocumentAndEditorsDelta(m){if(m.value.removedDocuments)for(const k of m.value.removedDocuments){const a=A.URI.revive(k),M=this._documents.get(a);M&&(M.dispose(),this._documents.delete(a),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:M.apiNotebook.getCells().map(r=>r.document.uri)}),this._onDidCloseNotebookDocument.fire(M.apiNotebook));for(const r of this._editors.values())r.notebookData.uri.toString()===a.toString()&&this._editors.delete(r.id)}if(m.value.addedDocuments){const k=[];for(const a of m.value.addedDocuments){const M=A.URI.revive(a.uri);if(this._documents.has(M))throw new Error(`adding EXISTING notebook ${M} `);const r=this,n=new c.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,{emitModelChange(b){r._onDidChangeNotebookCells.fire(b)},emitCellOutputsChange(b){r._onDidChangeCellOutputs.fire(b)},emitCellMetadataChange(b){r._onDidChangeCellMetadata.fire(b)}},M,a);k.push(...a.cells.map(b=>c.ExtHostCell.asModelAddData(n.apiNotebook,b))),this._documents.get(M)?.dispose(),this._documents.set(M,n),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:k}),this._onDidOpenNotebookDocument.fire(n.apiNotebook)}}if(m.value.addedEditors)for(const k of m.value.addedEditors){if(this._editors.has(k.id))return;const a=A.URI.revive(k.documentUri),M=this._documents.get(a);M&&this._createExtHostEditor(M,k.id,k)}const d=[];if(m.value.removedEditors)for(const k of m.value.removedEditors){const a=this._editors.get(k);a&&(this._editors.delete(k),this._activeNotebookEditor?.id===a.id&&(this._activeNotebookEditor=void 0),d.push(a))}if(m.value.visibleEditors){this._visibleNotebookEditors=m.value.visibleEditors.map(a=>this._editors.get(a)).filter(a=>!!a);const k=new Set;this._visibleNotebookEditors.forEach(a=>k.add(a.id));for(const a of this._editors.values()){const M=k.has(a.id);a._acceptVisibility(M)}this._visibleNotebookEditors=[...this._editors.values()].map(a=>a).filter(a=>a.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}m.value.newActiveEditor===null?this._activeNotebookEditor=void 0:m.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(m.value.newActiveEditor)),m.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}}e.ExtHostNotebookController=F,F._notebookStatusBarItemProviderHandlePool=0}),define(we[193],Ee([0,1,4,54,12,5,13,8]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;class D{constructor(w,i){const g=D._Keys.nextId();w.$registerNotebookEditorDecorationType(g,P.NotebookDecorationRenderOptions.from(i)),this.value={key:g,dispose(){w.$removeNotebookEditorDecorationType(g)}}}}D._Keys=new t.IdGenerator("NotebookEditorDecorationType");let A=class{constructor(w,i,g){this._logService=w,this._extHostRpc=i,this._notebooksAndEditors=g,this._onDidChangeNotebookEditorSelection=new s.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new s.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}createNotebookEditorDecorationType(w){return new D(this._extHostRpc.getProxy(T.MainContext.MainThreadNotebookEditors),w).value}$acceptEditorPropertiesChanged(w,i){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",w,i);const g=this._notebooksAndEditors.getEditorById(w);i.visibleRanges&&g._acceptVisibleRanges(i.visibleRanges.ranges.map(P.NotebookRange.to)),i.selections&&g._acceptSelections(i.selections.selections.map(P.NotebookRange.to)),i.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:g.apiEditor,visibleRanges:g.apiEditor.visibleRanges}),i.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:g.apiEditor,selections:g.apiEditor.selections}))}$acceptEditorViewColumns(w){for(const i in w)this._notebooksAndEditors.getEditorById(i)._acceptViewColumn(P.ViewColumn.to(w[i]))}};A=Ue([$e(0,y.ILogService),$e(1,I.IExtHostRpcService)],A),e.ExtHostNotebookEditors=A}),define(we[194],Ee([0,1,16,14,20,4,6,21,2,25,12,5,39,8,7,66,158,27,38]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookKernels=void 0;let m=class{constructor(r,n,b,p,l){this._initData=n,this._extHostNotebook=b,this._commands=p,this._logService=l,this._activeExecutions=new P.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new T.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=r.getProxy(w.MainContext.MainThreadNotebookKernels);const h=new i.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new i.ApiCommandArgument("options","Select kernel options",v=>!0,v=>{if(v&&"notebookEditor"in v&&"id"in v){const _=this._extHostNotebook.getIdByEditor(v.notebookEditor);return{id:v.id,extension:v.extension,notebookEditorId:_}}else if(v&&"notebookEditor"in v){const _=this._extHostNotebook.getIdByEditor(v.notebookEditor);if(_===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${v.notebookEditor.document.uri.toString()}`);return{notebookEditorId:_}}return v})],i.ApiCommandResult.Void);this._commands.registerApiCommand(h)}createNotebookController(r,n,b,p,l,h){for(const oe of this._kernelData.values())if(oe.controller.id===n&&A.ExtensionIdentifier.equals(r.identifier,oe.extensionId))throw new Error(`notebook controller with id '${n}' ALREADY exist`);const v=this._handlePool++,_=this;this._logService.trace(`NotebookController[${v}], CREATED by ${r.identifier.value}, ${n}`);const f=()=>console.warn(`NO execute handler from notebook controller '${O.id}' of extension: '${r.identifier}'`);let C=!1;const x=new I.DisposableStore,N=new T.Emitter,E=new T.Emitter,O={id:`${r.identifier.value}/${n}`,notebookType:b,extensionId:r.identifier,extensionLocation:r.extensionLocation,label:p||r.identifier.value,preloads:h?h.map(g.NotebookRendererScript.from):[]};let W=l??f,U;this._proxy.$addKernel(v,O).catch(oe=>{console.log(oe),C=!0});let H=0;const V=()=>{if(C)return;const oe=++H;Promise.resolve().then(()=>{oe===H&&this._proxy.$updateKernel(v,O)})},Z=new P.ResourceMap,G={get id(){return n},get notebookType(){return O.notebookType},onDidChangeSelectedNotebooks:N.event,get label(){return O.label},set label(oe){O.label=oe??r.displayName??r.name,V()},get detail(){return O.detail??""},set detail(oe){O.detail=oe,V()},get description(){return O.description??""},set description(oe){O.description=oe,V()},get kind(){return(0,F.checkProposedApiEnabled)(r,"notebookControllerKind"),O.kind??""},set kind(oe){(0,F.checkProposedApiEnabled)(r,"notebookControllerKind"),O.kind=oe,V()},get supportedLanguages(){return O.supportedLanguages},set supportedLanguages(oe){O.supportedLanguages=oe,V()},get supportsExecutionOrder(){return O.supportsExecutionOrder??!1},set supportsExecutionOrder(oe){O.supportsExecutionOrder=oe,V()},get rendererScripts(){return O.preloads?O.preloads.map(g.NotebookRendererScript.to):[]},get executeHandler(){return W},set executeHandler(oe){W=oe??f},get interruptHandler(){return U},set interruptHandler(oe){U=oe,O.supportsInterrupt=Boolean(oe),V()},createNotebookCellExecution(oe){if(C)throw new Error("notebook controller is DISPOSED");if(!Z.has(oe.notebook.uri))throw _._logService.trace(`NotebookController[${v}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(Z.keys()).map(be=>be.toString())),new Error(`notebook controller is NOT associated to notebook: ${oe.notebook.uri.toString()}`);return _._createNotebookCellExecution(oe)},dispose:()=>{C||(this._logService.trace(`NotebookController[${v}], DISPOSED`),C=!0,this._kernelData.delete(v),x.dispose(),N.dispose(),E.dispose(),this._proxy.$removeKernel(v))},updateNotebookAffinity(oe,be){_._proxy.$updateNotebookPriority(v,oe.uri,be)},onDidReceiveMessage:E.event,postMessage(oe,be){return(0,F.checkProposedApiEnabled)(r,"notebookMessaging"),_._proxy.$postMessage(v,be&&_._extHostNotebook.getIdByEditor(be),oe)},asWebviewUri(oe){return(0,F.checkProposedApiEnabled)(r,"notebookMessaging"),(0,c.asWebviewUri)(oe,_._initData.remote)}};return this._kernelData.set(v,{extensionId:r.identifier,controller:G,onDidReceiveMessage:E,onDidChangeSelection:N,associatedNotebooks:Z}),G}$acceptNotebookAssociation(r,n,b){const p=this._kernelData.get(r);if(p){const l=this._extHostNotebook.getNotebookDocument(D.URI.revive(n));b?p.associatedNotebooks.set(l.uri,!0):p.associatedNotebooks.delete(l.uri),this._logService.trace(`NotebookController[${r}] ASSOCIATE notebook`,l.uri.toString(),b),p.onDidChangeSelection.fire({selected:b,notebook:l.apiNotebook})}}async $executeCells(r,n,b){const p=this._kernelData.get(r);if(!p)return;const l=this._extHostNotebook.getNotebookDocument(D.URI.revive(n)),h=[];for(const v of b){const _=l.getCell(v);_&&h.push(_.apiCell)}try{this._logService.trace(`NotebookController[${r}] EXECUTE cells`,l.uri.toString(),h.length),await p.controller.executeHandler.call(p.controller,h,l.apiNotebook,p.controller)}catch(v){this._logService.error(`NotebookController[${r}] execute cells FAILED`,v),console.error(v)}}async $cancelCells(r,n,b){const p=this._kernelData.get(r);if(!p)return;const l=this._extHostNotebook.getNotebookDocument(D.URI.revive(n));if(p.controller.interruptHandler)await p.controller.interruptHandler.call(p.controller,l.apiNotebook);else for(const h of b){const v=l.getCell(h);v&&this._activeExecutions.get(v.uri)?.cancel()}}$acceptKernelMessageFromRenderer(r,n,b){const p=this._kernelData.get(r);if(!p)return;const l=this._extHostNotebook.getEditorById(n);p.onDidReceiveMessage.fire(Object.freeze({editor:l.apiEditor,message:b}))}$cellExecutionChanged(r,n,b){const l=this._extHostNotebook.getNotebookDocument(D.URI.revive(r)).getCell(n);l&&this._onDidChangeCellExecutionState.fire({cell:l.apiCell,state:b??o.NotebookCellExecutionState.Idle})}_createNotebookCellExecution(r){if(r.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const b=this._extHostNotebook.getNotebookDocument(r.notebook.uri).getCellFromApiCell(r);if(!b)throw new Error("invalid cell");if(this._activeExecutions.has(b.uri))throw new Error(`duplicate execution for ${b.uri}`);const p=new k(b.notebook,b,this._proxy);this._activeExecutions.set(b.uri,p);const l=p.onDidChangeState(()=>{p.state===d.Resolved&&(p.dispose(),l.dispose(),this._activeExecutions.delete(b.uri))});return p.asApiObject()}};m=Ue([$e(4,R.ILogService)],m),e.ExtHostNotebookKernels=m;var d;(function(M){M[M.Init=0]="Init",M[M.Started=1]="Started",M[M.Resolved=2]="Resolved"})(d||(d={}));class k extends I.Disposable{constructor(r,n,b){super();this._document=r,this._cell=n,this._proxy=b,this._onDidChangeState=new T.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=d.Init,this._tokenSource=this._register(new y.CancellationTokenSource),this._collector=new a(10,p=>this.update(p)),this._executionOrder=n.internalMetadata.executionOrder,this._proxy.$addExecution(this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(r){await this._collector.addItem(r)}async update(r){const n=Array.isArray(r)?r:[r];return this._proxy.$updateExecutions(new S.SerializableObjectWithBuffers(n))}verifyStateForOutput(){if(this._state===d.Init)throw new Error("Must call start before modifying cell output");if(this._state===d.Resolved)throw new Error("Cannot modify cell output after calling resolve")}cellIndexToHandle(r){let n=this._cell;if(r&&(n=this._document.getCellFromApiCell(r)),!n)throw new Error("INVALID cell");return n.handle}validateAndConvertOutputs(r){return r.map(n=>{const b=o.NotebookCellOutput.ensureUniqueMimeTypes(n.items,!0);return b===n.items?g.NotebookCellOutput.from(n):g.NotebookCellOutput.from({items:b,id:n.id,metadata:n.metadata})})}async updateOutputs(r,n,b){const p=this.cellIndexToHandle(n),l=this.validateAndConvertOutputs((0,s.asArray)(r));return this.updateSoon({editType:u.CellExecutionUpdateType.Output,uri:this._document.uri,cellHandle:p,append:b,outputs:l})}async updateOutputItems(r,n,b){return r=o.NotebookCellOutput.ensureUniqueMimeTypes((0,s.asArray)(r),!0),this.updateSoon({editType:u.CellExecutionUpdateType.OutputItems,uri:this._document.uri,cellHandle:this._cell.handle,items:r.map(g.NotebookCellOutputItem.from),outputId:n.id,append:b})}asApiObject(){const r=this;return Object.freeze({get token(){return r._tokenSource.token},get cell(){return r._cell.apiCell},get executionOrder(){return r._executionOrder},set executionOrder(b){r._executionOrder=b,r.update([{editType:u.CellExecutionUpdateType.ExecutionState,uri:r._document.uri,cellHandle:r._cell.handle,executionOrder:r._executionOrder}])},start(b){if(r._state===d.Resolved||r._state===d.Started)throw new Error("Cannot call start again");r._state=d.Started,r._onDidChangeState.fire(),r.update({editType:u.CellExecutionUpdateType.ExecutionState,uri:r._document.uri,cellHandle:r._cell.handle,runStartTime:b})},end(b,p){if(r._state===d.Resolved)throw new Error("Cannot call resolve twice");r._state=d.Resolved,r._onDidChangeState.fire(),r._collector.flush(),r._proxy.$completeExecution(r._document.uri,r._cell.handle,new S.SerializableObjectWithBuffers({uri:r._document.uri,cellHandle:r._cell.handle,runEndTime:p,lastRunSuccess:b}))},clearOutput(b){return r.verifyStateForOutput(),r.updateOutputs([],b,!1)},appendOutput(b,p){return r.verifyStateForOutput(),r.updateOutputs(b,p,!0)},replaceOutput(b,p){return r.verifyStateForOutput(),r.updateOutputs(b,p,!1)},appendOutputItems(b,p){return r.verifyStateForOutput(),r.updateOutputItems(b,p,!0)},replaceOutputItems(b,p){return r.verifyStateForOutput(),r.updateOutputItems(b,p,!1)}})}}class a{constructor(r,n){this.delay=r,this.callback=n,this.batch=[],this.startedTimer=Date.now()}addItem(r){return this.batch.push(r),this.currentDeferred||(this.currentDeferred=new t.DeferredPromise,this.startedTimer=Date.now(),(0,t.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const r=this.currentDeferred;this.currentDeferred=void 0;const n=this.batch;return this.batch=[],this.callback(n).finally(()=>r.complete())}}}),define(we[195],Ee([0,1,4,5,91,27]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class I{constructor(D,A){this._extHostNotebook=A,this._rendererMessageEmitters=new Map,this.proxy=D.getProxy(t.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(D,A,R){const w=this._extHostNotebook.getEditorById(D);this._rendererMessageEmitters.get(A)?.fire({editor:w.apiEditor,message:R})}createRendererMessaging(D,A){if(!D.contributes?.notebookRenderer?.some(g=>g.id===A))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${A})`);const R=(0,T.isProposedApiEnabled)(D,"notebookEditor"),w=new WeakMap;return{onDidReceiveMessage:(g,o,c)=>{const u=R?g:F=>{const S={};w.set(S,F.editor),g({editor:S,message:F.message})};return this.getOrCreateEmitterFor(A).event(u,o,c)},postMessage:(g,o)=>{y.ExtHostNotebookEditor.apiEditorsToExtHost.has(g)&&([g,o]=[o,g]);const c=R?o:w.get(o),u=c&&y.ExtHostNotebookEditor.apiEditorsToExtHost.get(c);return this.proxy.$postMessage(u?.id,A,g)}}}getOrCreateEmitterFor(D){let A=this._rendererMessageEmitters.get(D);return A||(A=new s.Emitter({onLastListenerRemove:()=>{A?.dispose(),this._rendererMessageEmitters.delete(D)}}),this._rendererMessageEmitters.set(D,A),A)}}e.ExtHostNotebookRenderers=I}),define(we[94],Ee([0,1,5,6,3,13,12,159,50,28,30,109,22]),function(te,e,s,t,y,T,I,P,D,A,R,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class g extends t.Disposable{constructor(u,F,S,m){super();this.id=u,this.name=F,this.logger=S,this.proxy=m,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(u){this.append(u+`
`)}append(u){this.write(u),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Append))}clear(){const u=this.offset;this.logger.flush(),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Clear,u)}replace(u){const F=this.offset;this.write(u),this.proxy.$update(this.id,P.OutputChannelUpdateMode.Replace,F),this.visible&&this.logger.flush()}show(u,F){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof u=="boolean"?u:F))}hide(){this.proxy.$close(this.id)}write(u){this.offset+=i.VSBuffer.fromString(u).byteLength,this.logger.info(u)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=g;let o=class{constructor(u,F,S,m,d){this.extHostFileSystem=S,this.extHostFileSystemInfo=m,this.loggerService=d,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=u.getProxy(s.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(F.logsLocation,`output_logging_${(0,w.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(u){this.visibleChannelId=u;for(const[F,S]of this.channels)S.visible=F===this.visibleChannelId}createOutputChannel(u,F){if(u=u.trim(),!u)throw new Error("illegal argument `name`. must not be falsy");const S=this.doCreateOutputChannel(u,F);return S.then(m=>{this.channels.set(m.id,m),m.visible=m.id===this.visibleChannelId}),this.createExtHostOutputChannel(u,S)}async doCreateOutputChannel(u,F){const S=await this.createOutputDirectory(),m=this.extHostFileSystemInfo.extUri.joinPath(S,`${this.namePool++}-${u.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),d=this.loggerService.createLogger(m,{always:!0,donotRotate:!0,donotUseFormatters:!0}),k=await this.proxy.$register(u,!1,m,F.identifier.value);return new g(k,u,d,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(u,F){let S=!1;const m=()=>{if(S)throw new Error("Channel has been closed")};return{get name(){return u},append(d){m(),F.then(k=>k.append(d))},appendLine(d){m(),F.then(k=>k.appendLine(d))},clear(){m(),F.then(d=>d.clear())},replace(d){m(),F.then(k=>k.replace(d))},show(d,k){m(),F.then(a=>a.show(d,k))},hide(){m(),F.then(d=>d.hide())},dispose(){S=!0,F.then(d=>d.dispose())}}}};o=Ue([$e(0,T.IExtHostRpcService),$e(1,A.IExtHostInitDataService),$e(2,D.IExtHostConsumerFileSystem),$e(3,R.IExtHostFileSystemInfo),$e(4,I.ILoggerService)],o),e.ExtHostOutputService=o,e.IExtHostOutputService=(0,y.createDecorator)("IExtHostOutputService")}),define(we[196],Ee([0,1,14,20,4,6,5,2,7,15,16,34,62,27]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function o(c,u,F){const S=c.getProxy(I.MainContext.MainThreadQuickOpen);class m{constructor(l,h){this._sessions=new Map,this._instances=0,this._workspace=l,this._commands=h}showQuickPick(l,h,v=t.CancellationToken.None){this._onDidSelectItem=void 0;const _=Promise.resolve(l),f=++this._instances,C=S.$show(f,{title:h?.title,placeHolder:h?.placeHolder,matchOnDescription:h?.matchOnDescription,matchOnDetail:h?.matchOnDetail,ignoreFocusLost:h?.ignoreFocusOut,canPickMany:h?.canPickMany},v),x={},N=C.then(()=>x);return Promise.race([N,_]).then(E=>{if(E!==x)return _.then(O=>{const W=[];for(let U=0;U<O.length;U++){const H=O[U];typeof H=="string"?W.push({label:H,handle:U}):H.kind===D.QuickPickItemKind.Separator?W.push({type:"separator",label:H.label}):W.push({label:H.label,description:H.description,detail:H.detail,picked:H.picked,alwaysShow:H.alwaysShow,handle:U})}return h&&typeof h.onDidSelectItem=="function"&&(this._onDidSelectItem=U=>{h.onDidSelectItem(O[U])}),S.$setItems(f,W),C.then(U=>{if(typeof U=="number")return O[U];if(Array.isArray(U))return U.map(H=>O[H])})})}).then(void 0,E=>{if(!(0,A.isPromiseCanceledError)(E))return S.$setError(f,E),Promise.reject(E)})}$onItemSelected(l){this._onDidSelectItem&&this._onDidSelectItem(l)}showInput(l,h=t.CancellationToken.None){return this._validateInput=l?l.validateInput:void 0,S.$input(l,typeof this._validateInput=="function",h).then(void 0,v=>{if(!(0,A.isPromiseCanceledError)(v))return Promise.reject(v)})}$validateInput(l){return this._validateInput?(0,s.asPromise)(()=>this._validateInput(l)):Promise.resolve(void 0)}async showWorkspaceFolderPick(l,h=t.CancellationToken.None){const v=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[l]);if(!v)return;const _=await this._workspace.getWorkspaceFolders2();if(!!_)return _.find(f=>f.uri.toString()===v.uri.toString())}createQuickPick(l){const h=new n(l,()=>this._sessions.delete(h._id));return this._sessions.set(h._id,h),h}createInputBox(l){const h=new b(l,()=>this._sessions.delete(h._id));return this._sessions.set(h._id,h),h}$onDidChangeValue(l,h){const v=this._sessions.get(l);v&&v._fireDidChangeValue(h)}$onDidAccept(l){const h=this._sessions.get(l);h&&h._fireDidAccept()}$onDidChangeActive(l,h){const v=this._sessions.get(l);v instanceof n&&v._fireDidChangeActive(h)}$onDidChangeSelection(l,h){const v=this._sessions.get(l);v instanceof n&&v._fireDidChangeSelection(h)}$onDidTriggerButton(l,h){const v=this._sessions.get(l);v&&v._fireDidTriggerButton(h)}$onDidTriggerItemButton(l,h,v){const _=this._sessions.get(l);_ instanceof n&&_._fireDidTriggerItemButton(h,v)}$onDidHide(l){const h=this._sessions.get(l);h&&h._fireDidHide()}}class d{constructor(l,h){this._extensionId=l,this._onDidDispose=h,this._id=n._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new y.Emitter,this._onDidChangeValueEmitter=new y.Emitter,this._onDidTriggerButtonEmitter=new y.Emitter,this._onDidHideEmitter=new y.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(l){this._title=l,this.update({title:l})}get step(){return this._steps}set step(l){this._steps=l,this.update({step:l})}get totalSteps(){return this._totalSteps}set totalSteps(l){this._totalSteps=l,this.update({totalSteps:l})}get enabled(){return this._enabled}set enabled(l){this._enabled=l,this.update({enabled:l})}get busy(){return this._busy}set busy(l){this._busy=l,this.update({busy:l})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(l){this._ignoreFocusOut=l,this.update({ignoreFocusOut:l})}get value(){return this._value}set value(l){this._value=l,this.update({value:l})}get placeholder(){return this._placeholder}set placeholder(l){this._placeholder=l,this.update({placeholder:l})}get buttons(){return this._buttons}set buttons(l){this._buttons=l.slice(),this._handlesToButtons.clear(),l.forEach((h,v)=>{const _=h===D.QuickInputButtons.Back?-1:v;this._handlesToButtons.set(_,h)}),this.update({buttons:l.map((h,v)=>({...r(h),tooltip:h.tooltip,handle:h===D.QuickInputButtons.Back?-1:v}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(l){this._value=l,this._onDidChangeValueEmitter.fire(l)}_fireDidTriggerButton(l){const h=this._handlesToButtons.get(l);h&&this._onDidTriggerButtonEmitter.fire(h)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,T.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),S.$dispose(this._id))}update(l){if(!this._disposed){for(const h of Object.keys(l)){const v=l[h];this._pendingUpdate[h]=v===void 0?null:v}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){S.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}d._nextId=1;function k(p){if(p instanceof D.ThemeIcon)return{id:p.id};const l=M(p),h=a(p);return{dark:typeof l=="string"?P.URI.file(l):l,light:typeof h=="string"?P.URI.file(h):h}}function a(p){return typeof p=="object"&&"light"in p?p.light:p}function M(p){return typeof p=="object"&&"dark"in p?p.dark:p}function r(p){const l=k(p.iconPath);let h,v;return"id"in l?v=i.ThemeIcon.asClassName(l):h=l,{iconPath:h,iconClass:v}}class n extends d{constructor(l,h){super(l.identifier,h);this.extension=l,this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new y.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new y.Emitter,this._onDidTriggerItemButtonEmitter=new y.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(l){l.some(v=>v.kind!==void 0)&&(0,g.checkProposedApiEnabled)(this.extension,"quickPickSeparators"),this._items=l.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),l.forEach((v,_)=>{this._handlesToItems.set(_,v),this._itemsToHandles.set(v,_)});const h=[];for(let v=0;v<l.length;v++){const _=l[v];_.kind===D.QuickPickItemKind.Separator?h.push({type:"separator",label:_.label}):h.push({handle:v,label:_.label,description:_.description,detail:_.detail,picked:_.picked,alwaysShow:_.alwaysShow,buttons:_.buttons?.map((f,C)=>({...r(f),tooltip:f.tooltip,handle:C}))})}this.update({items:h})}get canSelectMany(){return this._canSelectMany}set canSelectMany(l){this._canSelectMany=l,this.update({canSelectMany:l})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(l){this._matchOnDescription=l,this.update({matchOnDescription:l})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(l){this._matchOnDetail=l,this.update({matchOnDetail:l})}get sortByLabel(){return this._sortByLabel}set sortByLabel(l){this._sortByLabel=l,this.update({sortByLabel:l})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(l){this._keepScrollPosition=l,this.update({keepScrollPosition:l})}get activeItems(){return this._activeItems}set activeItems(l){this._activeItems=l.filter(h=>this._itemsToHandles.has(h)),this.update({activeItems:this._activeItems.map(h=>this._itemsToHandles.get(h))})}get selectedItems(){return this._selectedItems}set selectedItems(l){this._selectedItems=l.filter(h=>this._itemsToHandles.has(h)),this.update({selectedItems:this._selectedItems.map(h=>this._itemsToHandles.get(h))})}_fireDidChangeActive(l){const h=(0,R.coalesce)(l.map(v=>this._handlesToItems.get(v)));this._activeItems=h,this._onDidChangeActiveEmitter.fire(h)}_fireDidChangeSelection(l){const h=(0,R.coalesce)(l.map(v=>this._handlesToItems.get(v)));this._selectedItems=h,this._onDidChangeSelectionEmitter.fire(h)}_fireDidTriggerItemButton(l,h){const v=this._handlesToItems.get(l);if(!v||!v.buttons||!v.buttons.length)return;const _=v.buttons[h];_&&this._onDidTriggerItemButtonEmitter.fire({button:_,item:v})}}class b extends d{constructor(l,h){super(l,h);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(l){this._password=l,this.update({password:l})}get prompt(){return this._prompt}set prompt(l){this._prompt=l,this.update({prompt:l})}get validationMessage(){return this._validationMessage}set validationMessage(l){this._validationMessage=l,this.update({validationMessage:l,severity:l?w.default.Error:w.default.Ignore})}}return new m(u,F)}e.createExtHostQuickOpen=o});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[197],Ee([0,1,2,4,53,6,14,5,16,104,12,25,62,8,27]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o){"use strict";var c,u;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function F(h){if(h)return typeof h.iconPath=="string"?s.URI.file(h.iconPath):s.URI.isUri(h.iconPath)||i.ThemeIcon.isThemeIcon(h.iconPath)?h.iconPath:void 0}function S(h,v){if(!h.iconPath&&!v.iconPath)return 0;if(h.iconPath){if(!v.iconPath)return 1}else return-1;const _=typeof h.iconPath=="string"?h.iconPath:s.URI.isUri(h.iconPath)?h.iconPath.fsPath:h.iconPath.id,f=typeof v.iconPath=="string"?v.iconPath:s.URI.isUri(v.iconPath)?v.iconPath.fsPath:v.iconPath.id;return(0,A.comparePaths)(_,f)}function m(h,v){let _=0;if(h.strikeThrough!==v.strikeThrough)return h.strikeThrough?1:-1;if(h.faded!==v.faded)return h.faded?1:-1;if(h.tooltip!==v.tooltip)return(h.tooltip||"").localeCompare(v.tooltip||"");if(_=S(h,v),_!==0)return _;if(h.light&&v.light)_=S(h.light,v.light);else{if(h.light)return 1;if(v.light)return-1}if(_!==0)return _;if(h.dark&&v.dark)_=S(h.dark,v.dark);else{if(h.dark)return 1;if(v.dark)return-1}return _}function d(h,v){if(h.command!==v.command)return h.command<v.command?-1:1;if(h.title!==v.title)return h.title<v.title?-1:1;if(h.tooltip!==v.tooltip){if(h.tooltip!==void 0&&v.tooltip!==void 0)return h.tooltip<v.tooltip?-1:1;if(h.tooltip!==void 0)return 1;if(v.tooltip!==void 0)return-1}if(h.arguments===v.arguments)return 0;if(h.arguments)if(v.arguments){if(h.arguments.length!==v.arguments.length)return h.arguments.length-v.arguments.length}else return 1;else return-1;for(let _=0;_<h.arguments.length;_++){const f=h.arguments[_],C=v.arguments[_];if(f!==C)return f<C?-1:1}return 0}function k(h,v){let _=(0,A.comparePaths)(h.resourceUri.fsPath,v.resourceUri.fsPath,!0);if(_!==0)return _;if(h.command&&v.command)_=d(h.command,v.command);else{if(h.command)return 1;if(v.command)return-1}if(_!==0)return _;if(h.decorations&&v.decorations)_=m(h.decorations,v.decorations);else{if(h.decorations)return 1;if(v.decorations)return-1}return _}function a(h,v){for(let _=0;_<h.length;_++)if(h[_]!==v[_])return!1;return!0}function M(h,v){return h.command===v.command&&h.title===v.title&&h.tooltip===v.tooltip&&(h.arguments&&v.arguments?a(h.arguments,v.arguments):h.arguments===v.arguments)}function r(h,v){return(0,D.equals)(h,v,M)}class n{constructor(v,_,f){this._extension=v,this._sourceControlHandle=f,c.set(this,void 0),this._value="",this._onDidChange=new t.Emitter,this._placeholder="",this._visible=!0,et(this,c,_,"f")}get value(){return this._value}set value(v){v=v??"",ke(this,c,"f").$setInputBoxValue(this._sourceControlHandle,v),this.updateValue(v)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(v){ke(this,c,"f").$setInputBoxPlaceholder(this._sourceControlHandle,v),this._placeholder=v}get validateInput(){return(0,o.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(v){if((0,o.checkProposedApiEnabled)(this._extension,"scmValidation"),v&&typeof v!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=v,ke(this,c,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!v)}get visible(){return this._visible}set visible(v){v=!!v,this._visible!==v&&(this._visible=v,ke(this,c,"f").$setInputBoxVisibility(this._sourceControlHandle,v))}showValidationMessage(v,_){(0,o.checkProposedApiEnabled)(this._extension,"scmValidation"),ke(this,c,"f").$showValidationMessage(this._sourceControlHandle,v,_)}$onInputBoxValueChange(v){this.updateValue(v)}updateValue(v){this._value=v,this._onDidChange.fire(v)}}e.ExtHostSCMInputBox=n,c=new WeakMap;class b{constructor(v,_,f,C,x){this._proxy=v,this._commands=_,this._sourceControlHandle=f,this._id=C,this._label=x,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new t.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=b._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(v){this._label=v,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,v)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(v){this._hideWhenEmpty=v,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(v){this._resourceStates=[...v],this._onDidUpdateResourceStates.fire()}getResourceState(v){return this._resourceStatesMap.get(v)}$executeResourceCommand(v,_){const f=this._resourceStatesCommandsMap.get(v);return f?(0,I.asPromise)(()=>this._commands.executeCommand(f.command,...f.arguments||[],_)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const v=[...this._resourceStates].sort(k),f=(0,D.sortedDiff)(this._resourceSnapshot,v,k).map(N=>{const E=N.toInsert.map(O=>{const W=this._resourceHandlePool++;this._resourceStatesMap.set(W,O);const U=O.resourceUri;let H;if(O.command)if(O.command.command==="vscode.open"||O.command.command==="vscode.diff"){const Ie=new T.DisposableStore;H=this._commands.converter.toInternal(O.command,Ie),this._resourceStatesDisposablesMap.set(W,Ie)}else this._resourceStatesCommandsMap.set(W,O.command);const V=F(O.decorations),Z=O.decorations&&F(O.decorations.light)||V,G=O.decorations&&F(O.decorations.dark)||V,oe=[Z,G],be=O.decorations&&O.decorations.tooltip||"",Se=O.decorations&&!!O.decorations.strikeThrough,le=O.decorations&&!!O.decorations.faded,ne=O.contextValue||"";return{rawResource:[W,U,oe,be,Se,le,ne,H],handle:W}});return{start:N.start,deleteCount:N.deleteCount,toInsert:E}}),C=f.map(({start:N,deleteCount:E,toInsert:O})=>[N,E,O.map(W=>W.rawResource)]),x=f.reverse();for(const{start:N,deleteCount:E,toInsert:O}of x){const W=O.map(H=>H.handle),U=this._handlesSnapshot.splice(N,E,...W);for(const H of U)this._resourceStatesMap.delete(H),this._resourceStatesCommandsMap.delete(H),this._resourceStatesDisposablesMap.get(H)?.dispose(),this._resourceStatesDisposablesMap.delete(H)}return this._resourceSnapshot=v,C}dispose(){this._disposed=!0,this._onDidDispose.fire()}}b._handlePool=0;class p{constructor(v,_,f,C,x,N){this._extension=v,this._commands=f,this._id=C,this._label=x,this._rootUri=N,u.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new T.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new T.MutableDisposable,this._statusBarDisposables=new T.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new t.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=p._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,et(this,u,_,"f"),this._inputBox=new n(v,ke(this,u,"f"),this.handle),ke(this,u,"f").$registerSourceControl(this.handle,C,x,N)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(v){this._count!==v&&(this._count=v,ke(this,u,"f").$updateSourceControl(this.handle,{count:v}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(v){this._quickDiffProvider=v,ke(this,u,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!v})}get commitTemplate(){return this._commitTemplate}set commitTemplate(v){v!==this._commitTemplate&&(this._commitTemplate=v,ke(this,u,"f").$updateSourceControl(this.handle,{commitTemplate:v}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(v){this._acceptInputDisposables.value=new T.DisposableStore,this._acceptInputCommand=v;const _=this._commands.converter.toInternal(v,this._acceptInputDisposables.value);ke(this,u,"f").$updateSourceControl(this.handle,{acceptInputCommand:_})}get actionButton(){return(0,o.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(v){(0,o.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new T.DisposableStore,this._actionButton=v;const _=v!==void 0?this._commands.converter.toInternal(this._actionButton,this._actionButtonDisposables.value):void 0;ke(this,u,"f").$updateSourceControl(this.handle,{actionButton:_??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(v){if(this._statusBarCommands&&v&&r(this._statusBarCommands,v))return;this._statusBarDisposables.value=new T.DisposableStore,this._statusBarCommands=v;const _=(v||[]).map(f=>this._commands.converter.toInternal(f,this._statusBarDisposables.value));ke(this,u,"f").$updateSourceControl(this.handle,{statusBarCommands:_})}get selected(){return this._selected}createResourceGroup(v,_){const f=new b(ke(this,u,"f"),this._commands,this.handle,v,_),C=t.Event.once(f.onDidDispose)(()=>this.createdResourceGroups.delete(f));return this.createdResourceGroups.set(f,C),this.eventuallyAddResourceGroups(),f}eventuallyAddResourceGroups(){const v=[],_=[];for(const[f,C]of this.createdResourceGroups){C.dispose();const x=f.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(f),this.eventuallyUpdateResourceStates()});t.Event.once(f.onDidDispose)(()=>{this.updatedResourceGroups.delete(f),x.dispose(),this._groups.delete(f.handle),ke(this,u,"f").$unregisterGroup(this.handle,f.handle)}),v.push([f.handle,f.id,f.label,f.features]);const N=f._takeResourceStateSnapshot();N.length>0&&_.push([f.handle,N]),this._groups.set(f.handle,f)}ke(this,u,"f").$registerGroups(this.handle,v,_),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const v=[];this.updatedResourceGroups.forEach(_=>{const f=_._takeResourceStateSnapshot();f.length!==0&&v.push([_.handle,f])}),v.length>0&&ke(this,u,"f").$spliceResourceStates(this.handle,v),this.updatedResourceGroups.clear()}getResourceGroup(v){return this._groups.get(v)}setSelectionState(v){this._selected=v,this._onDidChangeSelection.fire(v)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(v=>v.dispose()),ke(this,u,"f").$unregisterSourceControl(this.handle)}}u=new WeakMap,p._handlePool=0,Ue([(0,y.debounce)(100)],p.prototype,"eventuallyAddResourceGroups",null),Ue([(0,y.debounce)(100)],p.prototype,"eventuallyUpdateResourceStates",null);let l=class Wi{constructor(v,_,f){this._commands=_,this.logService=f,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new t.Emitter,this._proxy=v.getProxy(P.MainContext.MainThreadSCM),this._telemetry=v.getProxy(P.MainContext.MainThreadTelemetry),_.registerArgumentProcessor({processArgument:C=>{if(C&&C.$mid===3){const x=this._sourceControls.get(C.sourceControlHandle);if(!x)return C;const N=x.getResourceGroup(C.groupHandle);return N?N.getResourceState(C.handle):C}else if(C&&C.$mid===4){const x=this._sourceControls.get(C.sourceControlHandle);return x?x.getResourceGroup(C.groupHandle):C}else if(C&&C.$mid===5){const x=this._sourceControls.get(C.handle);return x||C}return C}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(v,_,f,C){this.logService.trace("ExtHostSCM#createSourceControl",v.identifier.value,_,f,C),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:v.identifier.value});const x=Wi._handlePool++,N=new p(v,this._proxy,this._commands,_,f,C);this._sourceControls.set(x,N);const E=this._sourceControlsByExtension.get(w.ExtensionIdentifier.toKey(v.identifier))||[];return E.push(N),this._sourceControlsByExtension.set(w.ExtensionIdentifier.toKey(v.identifier),E),N}getLastInputBox(v){this.logService.trace("ExtHostSCM#getLastInputBox",v.identifier.value);const _=this._sourceControlsByExtension.get(w.ExtensionIdentifier.toKey(v.identifier)),f=_&&_[_.length-1];return f&&f.inputBox}$provideOriginalResource(v,_,f){const C=s.URI.revive(_);this.logService.trace("ExtHostSCM#$provideOriginalResource",v,C.toString());const x=this._sourceControls.get(v);return!x||!x.quickDiffProvider||!x.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,I.asPromise)(()=>x.quickDiffProvider.provideOriginalResource(C,f)).then(N=>N||null)}$onInputBoxValueChange(v,_){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",v);const f=this._sourceControls.get(v);return f&&f.inputBox.$onInputBoxValueChange(_),Promise.resolve(void 0)}$executeResourceCommand(v,_,f,C){this.logService.trace("ExtHostSCM#$executeResourceCommand",v,_,f);const x=this._sourceControls.get(v);if(!x)return Promise.resolve(void 0);const N=x.getResourceGroup(_);return N?N.$executeResourceCommand(f,C):Promise.resolve(void 0)}$validateInput(v,_,f){this.logService.trace("ExtHostSCM#$validateInput",v);const C=this._sourceControls.get(v);return!C||!C.inputBox.validateInput?Promise.resolve(void 0):(0,I.asPromise)(()=>C.inputBox.validateInput(_,f)).then(x=>{if(!x)return Promise.resolve(void 0);const N=g.MarkdownString.fromStrict(x.message);return N?Promise.resolve([N,x.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(v){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",v),v!==void 0&&this._sourceControls.get(v)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=v,Promise.resolve(void 0)}};l._handlePool=0,l=Ue([$e(2,R.ILogService)],l),e.ExtHostSCM=l});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[198],Ee([0,1,7,5,121,6,8,10]),function(te,e,s,t,y,T,I,P){"use strict";var D,A;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class R{constructor(o,c,u,F,S=s.StatusBarAlignment.Left,m){D.set(this,void 0),A.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new T.DisposableStore,et(this,D,o,"f"),et(this,A,c,"f"),this._entryId=R.ID_GEN++,this._extension=u,this._id=F,this._alignment=S,this._priority=this.validatePriority(m)}validatePriority(o){if(!!(0,P.isNumber)(o))return o===Number.POSITIVE_INFINITY?Number.MAX_VALUE:o===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:o}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(o){this._text=o,this.update()}set name(o){this._name=o,this.update()}set tooltip(o){this._tooltip=o,this.update()}set color(o){this._color=o,this.update()}set backgroundColor(o){o&&!R.ALLOWED_BACKGROUND_COLORS.has(o.id)&&(o=void 0),this._backgroundColor=o,this.update()}set command(o){this._command?.fromApi!==o&&(this._internalCommandRegistration.clear(),typeof o=="string"?this._command={fromApi:o,internal:ke(this,A,"f").toInternal({title:"",command:o},this._internalCommandRegistration)}:o?this._command={fromApi:o,internal:ke(this,A,"f").toInternal(o,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(o){this._accessibilityInformation=o,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,ke(this,D,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let o;this._extension?this._id?o=`${this._extension.identifier.value}.${this._id}`:o=this._extension.identifier.value:o=this._id;let c;this._name?c=this._name:c=(0,y.localize)(0,null,this._extension.displayName||this._extension.name);let u=this._color;this._backgroundColor&&(u=R.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const F=this._tooltip?I.MarkdownString.fromStrict(this._tooltip):void 0;ke(this,D,"f").$setEntry(this._entryId,o,c,this._text,F,this._command?.internal,u,this._backgroundColor,this._alignment===s.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=R,D=new WeakMap,A=new WeakMap,R.ID_GEN=0,R.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new s.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new s.ThemeColor("statusBarItem.warningForeground")]]);class w{constructor(o){this._messages=[],this._item=o.createStatusBarEntry(void 0,"status.extensionMessage",s.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,y.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(o){const c={message:o};return this._messages.unshift(c),this._update(),new s.Disposable(()=>{const u=this._messages.indexOf(c);u>=0&&(this._messages.splice(u,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class i{constructor(o,c){this._proxy=o.getProxy(t.MainContext.MainThreadStatusBar),this._commands=c,this._statusMessage=new w(this)}createStatusBarEntry(o,c,u,F){return new R(this._proxy,this._commands,o,c,u,F)}setStatusBarMessage(o,c){const u=this._statusMessage.setMessage(o);let F;return typeof c=="number"?F=setTimeout(()=>u.dispose(),c):typeof c!="undefined"&&c.then(()=>u.dispose(),()=>u.dispose()),new s.Disposable(()=>{u.dispose(),clearTimeout(F)})}}e.ExtHostStatusBar=i}),define(we[71],Ee([0,1,5,4,3]),function(te,e,s,t,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class T{constructor(P){this._onDidChangeStorage=new t.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=P.getProxy(s.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(P,D){this._proxy.$registerExtensionStorageKeysToSync(P,D)}initializeExtensionStorage(P,D,A){return this._proxy.$initializeExtensionStorage(P,D).then(R=>R||A)}setValue(P,D,A){return this._proxy.$setValue(P,D,A)}$acceptValue(P,D,A){this._onDidChangeStorage.fire({shared:P,key:D,value:A})}}e.ExtHostStorage=T,e.IExtHostStorage=(0,y.createDecorator)("IExtHostStorage")}),define(we[72],Ee([0,1,3,28,12,50,2]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,s.createDecorator)("IExtensionStoragePaths");let P=class{constructor(A,R,w){this._logService=R,this._extHostFileSystem=w,this._workspace=A.workspace??void 0,this._environment=A.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(i=>this._value=i)}async _getWorkspaceStorageURI(A){return I.URI.joinPath(this._environment.workspaceStorageHome,A)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const A=this._workspace.id,R=await this._getWorkspaceStorageURI(A);try{return await this._extHostFileSystem.value.stat(R),this._logService.trace("[ExtHostStorage] storage dir already exists",R),R}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",R),await this._extHostFileSystem.value.createDirectory(R),await this._extHostFileSystem.value.writeFile(I.URI.joinPath(R,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:I.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),R}catch(w){this._logService.error("[ExtHostStorage]",w);return}}workspaceValue(A){if(this._value)return I.URI.joinPath(this._value,A.identifier.value)}globalValue(A){return I.URI.joinPath(this._environment.globalStorageHome,A.identifier.value.toLowerCase())}onWillDeactivateAll(){}};P=Ue([$e(0,t.IExtHostInitDataService),$e(1,y.ILogService),$e(2,T.IExtHostConsumerFileSystem)],P),e.ExtensionStoragePaths=P}),define(we[40],Ee([0,1,4,5,3,2,13,6,7,122,15,161,20,36,144,62,10,14]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,y.createDecorator)("IExtHostTerminalService");class S{constructor(p,l,h,v){this._proxy=p,this._id=l,this._creationOptions=h,this._name=v,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(f=>this._pidPromiseComplete=f);const _=this;this.value={get name(){return _._name||""},get processId(){return _._pidPromise},get creationOptions(){return _._creationOptions},get exitStatus(){return _._exitStatus},get state(){return _._state},sendText(f,C=!0){_._checkDisposed(),_._proxy.$sendText(_._id,f,C)},show(f){_._checkDisposed(),_._proxy.$show(_._id,f)},hide(){_._checkDisposed(),_._proxy.$hide(_._id)},dispose(){_._disposed||(_._disposed=!0,_._proxy.$dispose(_._id))},get dimensions(){if(!(_._cols===void 0||_._rows===void 0))return{columns:_._cols,rows:_._rows}}}}async create(p,l){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:p.name,shellPath:(0,u.withNullAsUndefined)(p.shellPath),shellArgs:(0,u.withNullAsUndefined)(p.shellArgs),cwd:(0,u.withNullAsUndefined)(p.cwd),env:(0,u.withNullAsUndefined)(p.env),icon:(0,u.withNullAsUndefined)(r(p.iconPath)),color:c.ThemeColor.isThemeColor(p.color)?p.color.id:void 0,initialText:(0,u.withNullAsUndefined)(p.message),strictEnv:(0,u.withNullAsUndefined)(p.strictEnv),hideFromUser:(0,u.withNullAsUndefined)(p.hideFromUser),isFeatureTerminal:(0,u.withNullAsUndefined)(l?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,u.withNullAsUndefined)(l?.useShellEnvironment),location:l?.location||this._serializeParentTerminal(p.location,l?.resolvedExtHostIdentifier),disablePersistence:(0,u.withNullAsUndefined)(p.disablePersistence)})}async createExtensionTerminal(p,l,h,v){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:h,color:c.ThemeColor.isThemeColor(v)?v.id:void 0,location:this._serializeParentTerminal(p,l),disablePersistence:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(p,l){return typeof p=="object"?"parentTerminal"in p&&p.parentTerminal&&l?{parentTerminal:l}:"viewColumn"in p?{viewColumn:p.viewColumn,preserveFocus:p.preserveFocus}:void 0:p}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(p){this._name=p}setExitCode(p){this._exitStatus=Object.freeze({code:p})}setDimensions(p,l){return p===this._cols&&l===this._rows||p===0||l===0?!1:(this._cols=p,this._rows=l,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(p){this._pidPromiseComplete?(this._pidPromiseComplete(p),this._pidPromiseComplete=void 0):this._pidPromise.then(l=>{l!==p&&(this._pidPromise=Promise.resolve(p))})}}e.ExtHostTerminal=S;class m{constructor(p){this._pty=p,this.id=0,this.shouldPersist=!1,this._capabilities=[],this._onProcessData=new s.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new s.Emitter,this._onDidChangeProperty=new s.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new s.Emitter,this.onProcessExit=this._onProcessExit.event}get capabilities(){return this._capabilities}get onProcessReady(){return this._onProcessReady.event}refreshProperty(p){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${p}`)}updateProperty(p,l){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${p}, value: ${l}`)}async start(){}shutdown(){this._pty.close()}input(p){this._pty.handleInput?.(p)}resize(p,l){this._pty.setDimensions?.({columns:p,rows:l})}async processBinary(p){}acknowledgeDataEvent(p){}async setUnicodeVersion(p){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(p){this._pty.onDidWrite(l=>this._onProcessData.fire(l)),this._pty.onDidClose?.((l=void 0)=>{this._onProcessExit.fire(l===void 0?void 0:l)}),this._pty.onDidOverrideDimensions?.(l=>{l&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:l.columns,rows:l.rows}})}),this._pty.onDidChangeName?.(l=>{this._onDidChangeProperty.fire({type:"title",value:l})}),this._pty.open(p||void 0),p&&this._pty.setDimensions?.(p),this._onProcessReady.fire({pid:-1,cwd:"",capabilities:this._capabilities})}}e.ExtHostPseudoterminal=m;let d=1,k=class extends P.Disposable{constructor(p,l){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new s.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new s.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new s.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new s.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new s.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=l.getProxy(t.MainContext.MainThreadTerminalService),this._bufferer=new o.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new s.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(p),this._register({dispose:()=>{for(const[h,v]of this._terminalProcesses)v.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(p=>p.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(p){return(p?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(p){return(p?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(p,l){const h=new S(this._proxy,(0,g.generateUuid)(),p,p.name),v=new m(p.pty);return h.createExtensionTerminal(p.location,this._serializeParentTerminal(p,l).resolvedExtHostIdentifier,r(p.iconPath),n(p.color)).then(_=>{const f=this._setupExtHostProcessListeners(_,v);this._terminalProcessDisposables[_]=f}),this._terminals.push(h),h.value}_serializeParentTerminal(p,l){if(l=l||{},p.location&&typeof p.location=="object"&&"parentTerminal"in p.location){const h=p.location.parentTerminal;if(h){const v=this._terminals.find(_=>_.value===h);v&&(l.resolvedExtHostIdentifier=v._id)}}else p.location&&typeof p.location!="object"?l.location=p.location:l.location&&typeof l.location=="object"&&"splitActiveTerminal"in l.location&&(l.location={splitActiveTerminal:!0});return l}attachPtyToTerminal(p,l){if(!this._getTerminalById(p))throw new Error(`Cannot resolve terminal with id ${p} for virtual process`);const v=new m(l),_=this._setupExtHostProcessListeners(p,v);this._terminalProcessDisposables[p]=_}async $acceptActiveTerminalChanged(p){const l=this._activeTerminal;if(p===null){this._activeTerminal=void 0,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const h=this._getTerminalById(p);h&&(this._activeTerminal=h,l!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(p,l){const h=this._getTerminalById(p);h&&this._onDidWriteTerminalData.fire({terminal:h.value,data:l})}async $acceptTerminalDimensions(p,l,h){const v=this._getTerminalById(p);v&&v.setDimensions(l,h)&&this._onDidChangeTerminalDimensions.fire({terminal:v.value,dimensions:v.value.dimensions})}async $acceptTerminalMaximumDimensions(p,l,h){this._terminalProcesses.get(p)?.resize(l,h)}async $acceptTerminalTitleChange(p,l){const h=this._getTerminalById(p);h&&(h.name=l)}async $acceptTerminalClosed(p,l){const h=this._getTerminalObjectIndexById(this._terminals,p);if(h!==null){const v=this._terminals.splice(h,1)[0];v.setExitCode(l),this._onDidCloseTerminal.fire(v.value)}}$acceptTerminalOpened(p,l,h,v){if(l){const C=this._getTerminalObjectIndexById(this._terminals,l);if(C!==null){this._terminals[C]._id=p,this._onDidOpenTerminal.fire(this.terminals[C]),this._terminals[C].isOpen=!0;return}}const _={name:v.name,shellPath:v.executable,shellArgs:v.args,cwd:typeof v.cwd=="string"?v.cwd:T.URI.revive(v.cwd),env:v.env,hideFromUser:v.hideFromUser},f=new S(this._proxy,p,_,h);this._terminals.push(f),this._onDidOpenTerminal.fire(f.value),f.isOpen=!0}async $acceptTerminalProcessId(p,l){const h=this._getTerminalById(p);h&&h._setProcessId(l)}async $startExtensionTerminal(p,l){const h=this._getTerminalById(p);if(!h)return{message:(0,A.localize)(0,null,p)};h.isOpen||await new Promise(_=>{const f=this.onDidOpenTerminal(async C=>{C===h.value&&(f.dispose(),_())})});const v=this._terminalProcesses.get(p);v?v.startSendingEvents(l):this._extensionTerminalAwaitingStart[p]={initialDimensions:l}}_setupExtHostProcessListeners(p,l){const h=new P.DisposableStore;h.add(l.onProcessReady(_=>this._proxy.$sendProcessReady(p,_.pid,_.cwd))),h.add(l.onDidChangeProperty(_=>this._proxy.$sendProcessProperty(p,_))),this._bufferer.startBuffering(p,l.onProcessData),h.add(l.onProcessExit(_=>this._onProcessExit(p,_))),this._terminalProcesses.set(p,l);const v=this._extensionTerminalAwaitingStart[p];return v&&l instanceof m&&(l.startSendingEvents(v.initialDimensions),delete this._extensionTerminalAwaitingStart[p]),h}$acceptProcessAckDataEvent(p,l){this._terminalProcesses.get(p)?.acknowledgeDataEvent(l)}$acceptProcessInput(p,l){this._terminalProcesses.get(p)?.input(l)}$acceptTerminalInteraction(p){const l=this._getTerminalById(p);l?.setInteractedWith()&&this._onDidChangeTerminalState.fire(l.value)}$acceptProcessResize(p,l,h){try{this._terminalProcesses.get(p)?.resize(l,h)}catch(v){if(v.code!=="EPIPE"&&v.code!=="ERR_IPC_CHANNEL_CLOSED")throw v}}$acceptProcessShutdown(p,l){this._terminalProcesses.get(p)?.shutdown(l)}$acceptProcessRequestInitialCwd(p){this._terminalProcesses.get(p)?.getInitialCwd().then(l=>this._proxy.$sendProcessProperty(p,{type:"initialCwd",value:l}))}$acceptProcessRequestCwd(p){this._terminalProcesses.get(p)?.getCwd().then(l=>this._proxy.$sendProcessProperty(p,{type:"cwd",value:l}))}$acceptProcessRequestLatency(p){return p}registerLinkProvider(p){return this._linkProviders.add(p),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new D.Disposable(()=>{this._linkProviders.delete(p),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(p,l,h){if(this._profileProviders.has(l))throw new Error(`Terminal profile provider "${l}" already registered`);return this._profileProviders.set(l,h),this._proxy.$registerProfileProvider(l,p.identifier.value),new D.Disposable(()=>{this._profileProviders.delete(l),this._proxy.$unregisterProfileProvider(l)})}async $createContributedProfileTerminal(p,l){const h=new i.CancellationTokenSource().token;let v=await this._profileProviders.get(p)?.provideTerminalProfile(h);if(!h.isCancellationRequested){if(v&&!("options"in v)&&(v={options:v}),!v||!("options"in v))throw new Error(`No terminal profile options provided for id "${p}"`);if("pty"in v.options){this.createExtensionTerminal(v.options,l);return}this.createTerminalFromOptions(v.options,l)}}async $provideLinks(p,l){const h=this._getTerminalById(p);if(!h)return[];this._terminalLinkCache.delete(p);const v=this._terminalLinkCancellationSource.get(p);v&&v.dispose(!0);const _=new i.CancellationTokenSource;this._terminalLinkCancellationSource.set(p,_);const f=[],C={terminal:h.value,line:l},x=[];for(const O of this._linkProviders)x.push(F.Promises.withAsyncBody(async W=>{_.token.onCancellationRequested(()=>W({provider:O,links:[]}));const U=await O.provideTerminalLinks(C,_.token)||[];_.token.isCancellationRequested||W({provider:O,links:U})}));const N=await Promise.all(x);if(_.token.isCancellationRequested)return[];const E=new Map;for(const O of N)O&&O.links.length>0&&f.push(...O.links.map(W=>{const U={id:d++,startIndex:W.startIndex,length:W.length,label:W.tooltip};return E.set(U.id,{provider:O.provider,link:W}),U}));return this._terminalLinkCache.set(p,E),f}$activateLink(p,l){const h=this._terminalLinkCache.get(p)?.get(l);!h||h.provider.handleTerminalLink(h.link)}_onProcessExit(p,l){this._bufferer.stopBuffering(p),this._terminalProcesses.delete(p),delete this._extensionTerminalAwaitingStart[p];const h=this._terminalProcessDisposables[p];h&&(h.dispose(),delete this._terminalProcessDisposables[p]),this._proxy.$sendProcessExit(p,l)}_getTerminalById(p){return this._getTerminalObjectById(this._terminals,p)}_getTerminalObjectById(p,l){const h=this._getTerminalObjectIndexById(p,l);return h!==null?p[h]:null}_getTerminalObjectIndexById(p,l){let h=null;return p.some((v,_)=>v._id===l?(h=_,!0):!1),h}getEnvironmentVariableCollection(p){let l=this._environmentVariableCollections.get(p.identifier.value);return l||(l=new a,this._setEnvironmentVariableCollection(p.identifier.value,l)),l}_syncEnvironmentVariableCollection(p,l){const h=(0,w.serializeEnvironmentVariableCollection)(l.map);this._proxy.$setEnvironmentVariableCollection(p,l.persistent,h.length===0?void 0:h)}$initEnvironmentVariableCollections(p){p.forEach(l=>{const h=l[0],v=new a(l[1]);this._setEnvironmentVariableCollection(h,v)})}$acceptDefaultProfile(p,l){this._defaultProfile=p,this._defaultAutomationProfile=l}_setEnvironmentVariableCollection(p,l){this._environmentVariableCollections.set(p,l),l.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(p,l)})}};k=Ue([$e(1,I.IExtHostRpcService)],k),e.BaseExtHostTerminalService=k;class a{constructor(p){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new s.Emitter,this.map=new Map(p)}get persistent(){return this._persistent}set persistent(p){this._persistent=p,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(p,l){this._setIfDiffers(p,{value:l,type:D.EnvironmentVariableMutatorType.Replace})}append(p,l){this._setIfDiffers(p,{value:l,type:D.EnvironmentVariableMutatorType.Append})}prepend(p,l){this._setIfDiffers(p,{value:l,type:D.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(p,l){const h=this.map.get(p);(!h||h.value!==l.value||h.type!==l.type)&&(this.map.set(p,l),this._onDidChangeCollection.fire())}get(p){return this.map.get(p)}forEach(p,l){this.map.forEach((h,v)=>p.call(l,v,h,this))}delete(p){this.map.delete(p),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=a;let M=class extends k{constructor(p){super(!1,p)}createTerminal(p,l,h){throw new R.NotSupportedError}createTerminalFromOptions(p,l){throw new R.NotSupportedError}};M=Ue([$e(0,I.IExtHostRpcService)],M),e.WorkerExtHostTerminalService=M;function r(b){if(!(!b||typeof b=="string"))return"id"in b?{id:b.id,color:b.color}:b}function n(b){return c.ThemeColor.isThemeColor(b)?b:void 0}});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[199],Ee([0,1,16,22,20,4,231,57,6,26,10,36,5,13,48,8,7,168,88,67]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m){"use strict";var d;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let k=class{constructor(C,x){this.resultsChangedEmitter=new T.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=C.getProxy(i.MainContext.MainThreadTesting),this.observer=new h(this.proxy),this.runTracker=new M(this.proxy),x.registerArgumentProcessor({processArgument:N=>N?.$mid===13?c.TestItem.toItemFromContext(N):N})}createTestController(C,x,N){if(this.controllers.has(C))throw new Error(`Attempt to insert a duplicate controller with ID "${C}"`);const E=new D.DisposableStore,O=E.add(new F.SingleUseTestCollection(C));O.root.label=x;const W=new Map,U=this.proxy,H={items:O.root.children,get label(){return x},set label(Z){x=Z,O.root.label=Z,U.$updateController(C,{label:x})},get refreshHandler(){return N},set refreshHandler(Z){N=Z,U.$updateController(C,{canRefresh:!!Z})},get id(){return C},createRunProfile:(Z,G,oe,be,Se)=>{let le=(0,P.hash)(Z);for(;W.has(le);)le++;const ne=new v(this.proxy,C,le,Z,G,oe,be,Se);return W.set(le,ne),ne},createTestItem(Z,G,oe){return new o.TestItemImpl(C,Z,G,oe)},createTestRun:(Z,G,oe=!0)=>this.runTracker.createTestRun(C,O,Z,G,oe),set resolveHandler(Z){O.resolveHandler=Z},get resolveHandler(){return O.resolveHandler},dispose:()=>{E.dispose()}};U.$registerTestController(C,x,!!N),E.add((0,D.toDisposable)(()=>U.$unregisterTestController(C)));const V={controller:H,collection:O,profiles:W};return this.controllers.set(C,V),E.add((0,D.toDisposable)(()=>this.controllers.delete(C))),E.add(O.onDidGenerateDiff(Z=>U.$publishDiff(C,Z))),H}createTestObserver(){return this.observer.checkout()}async runTests(C,x=y.CancellationToken.None){const N=r(C);if(!N)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const E=this.controllers.get(N.controllerId);if(!E)throw new Error("Controller not found");await this.proxy.$runTests({targets:[{testIds:C.include?.map(O=>O.id)??[E.collection.root.id],profileGroup:_[N.kind],profileId:N.profileId,controllerId:N.controllerId}],exclude:C.exclude?.map(O=>O.id)},x)}$provideFileCoverage(C,x,N){return(0,s.mapFind)(this.runTracker.trackers,O=>O.id===C?O.getCoverage(x):void 0)?.provideFileCoverage(N)??Promise.resolve([])}$resolveFileCoverage(C,x,N,E){return(0,s.mapFind)(this.runTracker.trackers,W=>W.id===C?W.getCoverage(x):void 0)?.resolveFileCoverage(N,E)??Promise.resolve([])}$configureRunProfile(C,x){this.controllers.get(C)?.profiles.get(x)?.configureHandler?.()}async $refreshTests(C,x){await this.controllers.get(C)?.controller.refreshHandler?.(x)}$publishTestResults(C){this.results=Object.freeze(C.map(x=>(0,A.deepFreeze)(c.TestResults.to(x))).concat(this.results).sort((x,N)=>N.completedAt-x.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(C,x){const N=this.controllers.get(m.TestId.fromString(C).controllerId)?.collection;N&&(await N.expand(C,x<0?1/0:x),N.flushDiff())}$acceptDiff(C){this.observer.applyDiff(C)}async $runControllerTests(C,x){const N=this.controllers.get(C.controllerId);if(!N)return;const{collection:E,profiles:O}=N,W=O.get(C.profileId);if(!W)return;const U=C.testIds.map(G=>E.tree.get(G)).filter(R.isDefined),H=C.excludeExtIds.map(G=>N.collection.tree.get(G)).filter(R.isDefined).filter(G=>U.some(oe=>oe.fullId.compare(G.fullId)===2));if(!U.length)return;const V=new u.TestRunRequest(U.some(G=>G.actual instanceof o.TestItemRootImpl)?void 0:U.map(G=>G.actual),H.map(G=>G.actual),W),Z=this.runTracker.prepareForMainThreadTestRun(V,n.fromInternal(C,N.collection),x);try{await W.runHandler(V,x)}finally{Z.isRunning&&!x.isCancellationRequested&&await T.Event.toPromise(Z.onEnd),Z.dispose()}}$cancelExtensionTestRun(C){C===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(C)}};k=Ue([$e(0,g.IExtHostRpcService)],k),e.ExtHostTesting=k;class a extends D.Disposable{constructor(C,x,N){super();this.dto=C,this.proxy=x,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new T.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new y.CancellationTokenSource(N)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:E}of this.tasks.values())E.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(C){return this.tasks.get(C)?.coverage}createRun(C){const x=this.dto.id,N=this.dto.controllerId,E=(0,w.generateUuid)(),O=new b(this.proxy,x,E),W=Z=>(G,...oe)=>{if(H){console.warn(`Setting the state of test "${G.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(G)||(this.ensureTestIsKnown(G),Z(G,...oe))},U=(Z,G)=>{const oe=G instanceof Array?G.map(c.TestMessage.from):[c.TestMessage.from(G)];if(Z.uri&&Z.range){const be={range:c.Range.from(Z.range),uri:Z.uri};for(const Se of oe)Se.location=Se.location||be}this.proxy.$appendTestMessagesInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),oe)};let H=!1;const V={isPersisted:this.dto.isPersisted,token:this.cts.token,name:C,get coverageProvider(){return O.coverageProvider},set coverageProvider(Z){O.coverageProvider=Z},enqueued:W(Z=>{this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),1)}),skipped:W(Z=>{this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),5)}),started:W(Z=>{this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),2)}),errored:W((Z,G,oe)=>{U(Z,G),this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),6,oe)}),failed:W((Z,G,oe)=>{U(Z,G),this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,N).toString(),4,oe)}),passed:W((Z,G)=>{this.proxy.$updateTestStateInRun(x,E,m.TestId.fromExtHostTestItem(Z,this.dto.controllerId).toString(),3,G)}),appendOutput:(Z,G,oe)=>{H||(oe&&(this.dto.isIncluded(oe)?this.ensureTestIsKnown(oe):oe=void 0),this.proxy.$appendOutputToRun(x,E,t.VSBuffer.fromString(Z),G&&c.location.from(G),oe&&m.TestId.fromExtHostTestItem(oe,N).toString()))},end:()=>{H||(H=!0,this.proxy.$finishedTestRunTask(x,E),this.tasks.delete(E),this.isRunning||this.dispose())}};return this.tasks.set(E,{run:V,coverage:O}),this.proxy.$startedTestRunTask(x,{id:E,name:C,running:!0}),V}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(C){if(!(C instanceof o.TestItemImpl))throw new o.InvalidTestItemError(C.id);if(this.sharedTestIds.has(m.TestId.fromExtHostTestItem(C,this.dto.controllerId).toString()))return;const x=[],N=this.dto.colllection.root;for(;;){const E=c.TestItem.from(C);if(x.unshift(E),this.sharedTestIds.has(E.extId)||(this.sharedTestIds.add(E.extId),C===N))break;C=C.parent||N}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,x)}}class M{constructor(C){this.proxy=C,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(C,x,N){return this.getTracker(C,x,N)}cancelRunById(C){for(const x of this.tracked.values())if(x.id===C){x.dispose();return}}cancelAllRuns(){for(const C of this.tracked.values())C.dispose()}createTestRun(C,x,N,E,O){const W=this.tracked.get(N);if(W)return W.createRun(E);const U=n.fromPublic(C,x,N,O),H=r(N);this.proxy.$startedExtensionTestRun({controllerId:C,profile:H&&{group:_[H.kind],id:H.profileId},exclude:N.exclude?.map(Z=>Z.id)??[],id:U.id,include:N.include?.map(Z=>Z.id)??[x.root.id],persist:O});const V=this.getTracker(N,U);return V.onEnd(()=>this.proxy.$finishedExtensionTestRun(U.id)),V.createRun(E)}getTracker(C,x,N){const E=new a(x,this.proxy,N);return this.tracked.set(C,E),E.onEnd(()=>this.tracked.delete(C)),E}}e.TestRunCoordinator=M;const r=f=>{if(!!f.profile){if(!(f.profile instanceof v))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return f.profile}};class n{constructor(C,x,N,E,O,W){this.controllerId=C,this.id=x,this.isPersisted=O,this.colllection=W,this.includePrefix=N.map(U=>U+"\0"),this.excludePrefix=E.map(U=>U+"\0")}static fromPublic(C,x,N,E){return new n(C,(0,w.generateUuid)(),N.include?.map(O=>m.TestId.fromExtHostTestItem(O,C).toString())??[C],N.exclude?.map(O=>m.TestId.fromExtHostTestItem(O,C).toString())??[],E,x)}static fromInternal(C,x){return new n(C.controllerId,C.runId,C.testIds,C.excludeExtIds,!0,x)}isIncluded(C){const x=m.TestId.fromExtHostTestItem(C,this.controllerId).toString()+"\0";for(const N of this.excludePrefix)if(x===N||x.startsWith(N))return!1;for(const N of this.includePrefix)if(x===N||x.startsWith(N))return!0;return!1}}e.TestRunDto=n;class b{constructor(C,x,N){this.proxy=C,this.runId=x,this.taskId=N}set coverageProvider(C){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!C||(this._coverageProvider=C,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(C){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(C))());try{return(await this.fileCoverage)?.map(c.TestCoverage.fromFile)??[]}catch(x){throw this.fileCoverage=void 0,x}}async resolveFileCoverage(C,x){const N=await this.fileCoverage;let E=N?.[C];return!this._coverageProvider||!N||!E?[]:(E.detailedCoverage||(E=N[C]=await this._coverageProvider.resolveFileCoverage?.(E,x)??E),E.detailedCoverage?.map(c.TestCoverage.fromDetailed)??[])}}class p extends S.IncrementalChangeCollector{constructor(C){super();this.emitter=C,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(C){this.added.add(C)}update(C){Object.assign(C.revived,c.TestItem.toPlain(C.item)),this.added.has(C)||this.updated.add(C)}remove(C){if(this.added.has(C)){this.added.delete(C);return}if(this.updated.delete(C),C.parent&&this.alreadyRemoved.has(C.parent)){this.alreadyRemoved.add(C.item.extId);return}this.removed.add(C)}getChangeEvent(){const{added:C,updated:x,removed:N}=this;return{get added(){return[...C].map(E=>E.revived)},get updated(){return[...x].map(E=>E.revived)},get removed(){return[...N].map(E=>E.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class l extends S.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new T.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(C){return this.items.get(C)}getMirroredTestDataByReference(C){return this.items.get(C.id)}createItem(C,x){return{...C,revived:c.TestItem.toPlain(C.item),depth:x?x.depth+1:0,children:new Set}}createChangeCollector(){return new p(this.changeEmitter)}}e.MirroredTestCollection=l;class h{constructor(C){this.proxy=C}checkout(){this.current||(this.current=this.createObserverData());const C=this.current;return C.observers++,{onDidChangeTest:C.tests.onDidChangeTests,get tests(){return[...C.tests.rootTests].map(x=>x.revived)},dispose:(0,I.once)(()=>{--C.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(C){return this.current?.tests.getMirroredTestDataByReference(C)}applyDiff(C){this.current?.tests.apply(C)}createObserverData(){const C=new l;return this.proxy.$subscribeToDiffs(),{observers:0,tests:C}}}class v{constructor(C,x,N,E,O,W,U=!1,H=void 0){this.controllerId=x,this.profileId=N,this._label=E,this.kind=O,this.runHandler=W,this._isDefault=U,this._tag=H,d.set(this,void 0),et(this,d,C,"f");const V=_[O];if(typeof V!="number")throw new Error(`Unknown TestRunProfile.group ${O}`);ke(this,d,"f").$publishTestRunProfile({profileId:N,controllerId:x,tag:H?c.TestTag.namespace(this.controllerId,H.id):null,label:E,group:V,isDefault:U,hasConfigurationHandler:!1})}get label(){return this._label}set label(C){C!==this._label&&(this._label=C,ke(this,d,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:C}))}get isDefault(){return this._isDefault}set isDefault(C){C!==this._isDefault&&(this._isDefault=C,ke(this,d,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:C}))}get tag(){return this._tag}set tag(C){C?.id!==this._tag?.id&&(this._tag=C,ke(this,d,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:C?c.TestTag.namespace(this.controllerId,C.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(C){C!==this._configureHandler&&(this._configureHandler=C,ke(this,d,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!C}))}dispose(){ke(this,d,"f").$removeTestProfile(this.controllerId,this.profileId)}}e.TestRunProfileImpl=v,d=new WeakMap;const _={[u.TestRunProfileKind.Coverage]:8,[u.TestRunProfileKind.Debug]:4,[u.TestRunProfileKind.Run]:2}}),define(we[200],Ee([0,1,4,16,5,92,8,7]),function(te,e,s,t,y,T,I,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class D{constructor(R,w){this._extHostDocumentsAndEditors=w,this._onDidChangeTextEditorSelection=new s.Emitter,this._onDidChangeTextEditorOptions=new s.Emitter,this._onDidChangeTextEditorVisibleRanges=new s.Emitter,this._onDidChangeTextEditorViewColumn=new s.Emitter,this._onDidChangeActiveTextEditor=new s.Emitter,this._onDidChangeVisibleTextEditors=new s.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=R.getProxy(y.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(i=>this._onDidChangeVisibleTextEditors.fire(i)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(i=>this._onDidChangeActiveTextEditor.fire(i))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(R){const w=this._extHostDocumentsAndEditors.allEditors();return R?w:w.map(i=>i.value)}async showTextDocument(R,w,i){let g;typeof w=="number"?g={position:I.ViewColumn.from(w),preserveFocus:i}:typeof w=="object"?g={position:I.ViewColumn.from(w.viewColumn),preserveFocus:w.preserveFocus,selection:typeof w.selection=="object"?I.Range.from(w.selection):void 0,pinned:typeof w.preview=="boolean"?!w.preview:void 0}:g={preserveFocus:!1};const o=await this._proxy.$tryShowTextDocument(R.uri,g),c=o&&this._extHostDocumentsAndEditors.getEditor(o);if(c)return c.value;throw o?new Error(`Could NOT open editor for "${R.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${R.uri.toString()}".`)}createTextEditorDecorationType(R,w){return new T.TextEditorDecorationType(this._proxy,R,w).value}$acceptEditorPropertiesChanged(R,w){const i=this._extHostDocumentsAndEditors.getEditor(R);if(!i)throw new Error("unknown text editor");if(w.options&&i._acceptOptions(w.options),w.selections){const g=w.selections.selections.map(I.Selection.to);i._acceptSelections(g)}if(w.visibleRanges){const g=t.coalesce(w.visibleRanges.map(I.Range.to));i._acceptVisibleRanges(g)}if(w.options&&this._onDidChangeTextEditorOptions.fire({textEditor:i.value,options:{...w.options,lineNumbers:I.TextEditorLineNumbersStyle.to(w.options.lineNumbers)}}),w.selections){const g=P.TextEditorSelectionChangeKind.fromValue(w.selections.source),o=w.selections.selections.map(I.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:i.value,selections:o,kind:g})}if(w.visibleRanges){const g=t.coalesce(w.visibleRanges.map(I.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:i.value,visibleRanges:g})}}$acceptEditorPositionData(R){for(const w in R){const i=this._extHostDocumentsAndEditors.getEditor(w);if(!i)throw new Error("Unknown text editor");const g=I.ViewColumn.to(R[w]);i.value.viewColumn!==g&&(i._acceptViewColumn(g),this._onDidChangeTextEditorViewColumn.fire({textEditor:i.value,viewColumn:g}))}}getDiffInformation(R){return Promise.resolve(this._proxy.$getDiffInformation(R))}}e.ExtHostEditors=D}),define(we[201],Ee([0,1,2,3,5,6,7]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,t.createDecorator)("IExtHostTimeline");class P{constructor(R,w){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=R.getProxy(y.MainContext.MainThreadTimeline),w.registerArgumentProcessor({processArgument:i=>{if(i&&i.$mid===11){const g=i.uri===void 0?void 0:s.URI.revive(i.uri);return this._itemsBySourceAndUriMap.get(i.source)?.get(D(g))?.get(i.handle)}return i}})}async $getTimeline(R,w,i,g,o){return this._providers.get(R)?.provideTimeline(s.URI.revive(w),i,g,o)}registerTimelineProvider(R,w,i,g){const o=new T.DisposableStore,c=this.convertTimelineItem(w.id,g,o).bind(this);let u;w.onDidChange&&(u=w.onDidChange(S=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...S,id:w.id}),this));const F=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...w,scheme:R,onDidChange:void 0,async provideTimeline(S,m,d,k){k?.resetCache&&(o.clear(),F.get(w.id)?.clear());const a=await w.provideTimeline(S,m,d);if(a==null)return;const M=c(S,k);return{...a,source:w.id,items:a.items.map(M)}},dispose(){for(const S of F.values())S.get(w.id)?.clear();u?.dispose(),o.dispose()}})}convertTimelineItem(R,w,i){return(g,o)=>{let c;if(o?.cacheResults){let u=this._itemsBySourceAndUriMap.get(R);u===void 0&&(u=new Map,this._itemsBySourceAndUriMap.set(R,u));const F=D(g);c=u.get(F),c===void 0&&(c=new Map,u.set(F,c))}return u=>{const{iconPath:F,...S}=u,m=`${R}|${u.id??u.timestamp}`;c?.set(m,u);let d,k,a;return u.iconPath&&(F instanceof I.ThemeIcon?a={id:F.id,color:F.color}:s.URI.isUri(F)?(d=F,k=F):{light:d,dark:k}=F),{...S,id:S.id??void 0,handle:m,source:R,command:u.command?w.toInternal(u.command,i):void 0,icon:d,iconDark:k,themeIcon:a,accessibilityInformation:u.accessibilityInformation}}}}registerTimelineProviderCore(R){if(this._providers.get(R.id))throw new Error(`Timeline Provider ${R.id} already exists.`);return this._proxy.$registerTimelineProvider({id:R.id,label:R.label,scheme:R.scheme}),this._providers.set(R.id,R),(0,T.toDisposable)(()=>{for(const i of this._itemsBySourceAndUriMap.values())i.get(R.id)?.clear();this._providers.delete(R.id),this._proxy.$unregisterTimelineProvider(R.id),R.dispose()})}}e.ExtHostTimeline=P;function D(A){return A?.toString()}}),define(we[202],Ee([0,1,6,11,2,5]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class I{constructor(D){this._openers=new Map,this._proxy=D.getProxy(T.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(D,A,R,w){if(this._openers.has(A))throw new Error(`Opener with id '${A}' already registered`);const i=w.schemes.find(g=>!I.supportedSchemes.has(g));if(i)throw new Error(`Scheme '${i}' is not supported. Only http and https are currently supported.`);return this._openers.set(A,R),this._proxy.$registerUriOpener(A,w.schemes,D,w.label),(0,s.toDisposable)(()=>{this._openers.delete(A),this._proxy.$unregisterUriOpener(A)})}async $canOpenUri(D,A,R){const w=this._openers.get(D);if(!w)throw new Error(`Unknown opener with id: ${D}`);const i=y.URI.revive(A);return w.canOpenExternalUri(i,R)}async $openUri(D,A,R){const w=this._openers.get(D);if(!w)throw new Error(`Unknown opener id: '${D}'`);return w.openExternalUri(y.URI.revive(A.resolvedUri),{sourceUri:y.URI.revive(A.sourceUri)},R)}}e.ExtHostUriOpeners=I,I.supportedSchemes=new Set([t.Schemas.http,t.Schemas.https])}),define(we[203],Ee([0,1,5,2,6,15,25]),function(te,e,s,t,y,T,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class P{constructor(A){this.handles=new Set,this.handlers=new Map,this._proxy=A.getProxy(s.MainContext.MainThreadUrls)}registerUriHandler(A,R){if(this.handles.has(I.ExtensionIdentifier.toKey(A)))throw new Error(`Protocol handler already registered for extension ${A}`);const w=P.HandlePool++;return this.handles.add(I.ExtensionIdentifier.toKey(A)),this.handlers.set(w,R),this._proxy.$registerUriHandler(w,A),(0,y.toDisposable)(()=>{this.handles.delete(I.ExtensionIdentifier.toKey(A)),this.handlers.delete(w),this._proxy.$unregisterUriHandler(w)})}$handleExternalUri(A,R){const w=this.handlers.get(A);if(!w)return Promise.resolve(void 0);try{w.handleUri(t.URI.revive(R))}catch(i){(0,T.onUnexpectedError)(i)}return Promise.resolve(void 0)}async createAppUri(A){return t.URI.revive(await this._proxy.$createAppUri(A))}}e.ExtHostUrls=P,P.HandlePool=0});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[51],Ee([0,1,4,11,2,131,151,66,5]),function(te,e,s,t,y,T,I,P,D){"use strict";var A,R,w,i,g,o,c,u,F,S,m,d;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class k{constructor(h,v,_,f,C,x,N){A.set(this,void 0),R.set(this,void 0),w.set(this,void 0),i.set(this,void 0),g.set(this,void 0),o.set(this,void 0),c.set(this,""),u.set(this,void 0),F.set(this,!1),S.set(this,!1),m.set(this,!1),this._onMessageEmitter=new s.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,d.set(this,new s.Emitter),this._onDidDispose=ke(this,d,"f").event,et(this,A,h,"f"),et(this,R,v,"f"),et(this,u,_,"f"),et(this,i,f,"f"),et(this,g,C,"f"),et(this,o,x,"f"),et(this,m,a(x),"f"),et(this,w,N,"f")}dispose(){et(this,F,!0,"f"),ke(this,d,"f").fire(),ke(this,d,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(h){return et(this,S,!0,"f"),(0,P.asWebviewUri)(h,ke(this,i,"f").remote)}get cspSource(){const h=ke(this,o,"f").extensionLocation;if(h.scheme===t.Schemas.https||h.scheme===t.Schemas.http){let v=h.toString();return v.endsWith("/")||(v+="/"),v+" "+P.webviewGenericCspSource}return P.webviewGenericCspSource}get html(){return this.assertNotDisposed(),ke(this,c,"f")}set html(h){this.assertNotDisposed(),ke(this,c,"f")!==h&&(et(this,c,h,"f"),!ke(this,S,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(h)&&(et(this,S,!0,"f"),ke(this,w,"f").report("Webview vscode-resource: uris",ke(this,o,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),ke(this,R,"f").$setHtml(ke(this,A,"f"),h))}get options(){return this.assertNotDisposed(),ke(this,u,"f")}set options(h){this.assertNotDisposed(),ke(this,R,"f").$setOptions(ke(this,A,"f"),n(ke(this,o,"f"),ke(this,g,"f"),h)),et(this,u,h,"f")}async postMessage(h){if(ke(this,F,"f"))return!1;const v=(0,I.serializeWebviewMessage)(h,{serializeBuffersForPostMessage:ke(this,m,"f")});return ke(this,R,"f").$postMessage(ke(this,A,"f"),v.message,...v.buffers)}assertNotDisposed(){if(ke(this,F,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=k,A=new WeakMap,R=new WeakMap,w=new WeakMap,i=new WeakMap,g=new WeakMap,o=new WeakMap,c=new WeakMap,u=new WeakMap,F=new WeakMap,S=new WeakMap,m=new WeakMap,d=new WeakMap;function a(l){try{const h=(0,T.normalizeVersion)((0,T.parseVersion)(l.engines.vscode));return!!h&&h.majorBase>=1&&h.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=a;class M{constructor(h,v,_,f,C){this.initData=v,this.workspace=_,this._logService=f,this._deprecationService=C,this._webviews=new Map,this._webviewProxy=h.getProxy(D.MainContext.MainThreadWebviews)}$onMessage(h,v,_){const f=this.getWebview(h);if(f){const{message:C}=(0,I.deserializeWebviewMessage)(v,_.value);f._onMessageEmitter.fire(C)}}$onMissingCsp(h,v){this._logService.warn(`${v} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(h,v,_){const f=new k(h,this._webviewProxy,b(v),this.initData,this.workspace,_,this._deprecationService);return this._webviews.set(h,f),f._onDidDispose(()=>{this._webviews.delete(h)}),f}deleteWebview(h){this._webviews.delete(h)}getWebview(h){return this._webviews.get(h)}}e.ExtHostWebviews=M;function r(l){return{id:l.identifier,location:l.extensionLocation}}e.toExtensionData=r;function n(l,h,v){return{enableCommandUris:v.enableCommandUris,enableScripts:v.enableScripts,enableForms:v.enableForms,portMapping:v.portMapping,localResourceRoots:v.localResourceRoots||p(l,h)}}e.serializeWebviewOptions=n;function b(l){return{enableCommandUris:l.enableCommandUris,enableScripts:l.enableScripts,enableForms:l.enableForms,portMapping:l.portMapping,localResourceRoots:l.localResourceRoots?.map(h=>y.URI.from(h))}}e.reviveOptions=b;function p(l,h){return[...(h?.getWorkspaceFolders()||[]).map(v=>v.uri),l.extensionLocation]}}),define(we[204],Ee([0,1,20,57,6,11,24,2,8,51,63,5,7]),function(te,e,s,t,y,T,I,P,D,A,R,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class g{constructor(a,M){this.document=a,this._storagePath=M,this._backupCounter=1,this._edits=new R.Cache("custom documents")}addEdit(a){return this._edits.add([a])}async undo(a,M){await this.getEdit(a).undo(),M||this.disposeBackup()}async redo(a,M){await this.getEdit(a).redo(),M||this.disposeBackup()}disposeEdits(a){for(const M of a)this._edits.delete(M)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const a=d(this.document.uri)+this._backupCounter++;return(0,I.joinPath)(this._storagePath,a)}updateBackup(a){this._backup?.delete(),this._backup=a}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(a){const M=this._edits.get(a,0);if(!M)throw new Error("No edit found");return M}}class o{constructor(){this._documents=new Map}get(a,M){return this._documents.get(this.key(a,M))}add(a,M,r){const n=this.key(a,M.uri);if(this._documents.has(n))throw new Error(`Document already exists for viewType:${a} resource:${M.uri}`);const b=new g(M,r);return this._documents.set(n,b),b}delete(a,M){const r=this.key(a,M.uri);this._documents.delete(r)}key(a,M){return`${a}@@@${M}`}}var c;(function(k){k[k.Text=0]="Text",k[k.Custom=1]="Custom"})(c||(c={}));class u{constructor(){this._providers=new Map}addTextProvider(a,M,r){return this.add(0,a,M,r)}addCustomProvider(a,M,r){return this.add(1,a,M,r)}get(a){return this._providers.get(a)}add(a,M,r,n){if(this._providers.has(M))throw new Error(`Provider for viewType:${M} already registered`);return this._providers.set(M,{type:a,extension:r,provider:n}),new i.Disposable(()=>this._providers.delete(M))}}class F{constructor(a,M,r,n,b){this._extHostDocuments=M,this._extensionStoragePaths=r,this._extHostWebview=n,this._extHostWebviewPanels=b,this._editorProviders=new u,this._documents=new o,this._proxy=a.getProxy(w.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(a,M,r,n){const b=new y.DisposableStore;return S(r)?(b.add(this._editorProviders.addTextProvider(M,a,r)),this._proxy.$registerTextEditorProvider((0,A.toExtensionData)(a),M,n.webviewOptions||{},{supportsMove:!!r.moveCustomTextEditor},(0,A.shouldSerializeBuffersForPostMessage)(a))):(b.add(this._editorProviders.addCustomProvider(M,a,r)),this.supportEditing(r)&&b.add(r.onDidChangeCustomDocument(p=>{const l=this.getCustomDocumentEntry(M,p.document.uri);if(m(p)){const h=l.addEdit(p);this._proxy.$onDidEdit(p.document.uri,M,h,p.label)}else this._proxy.$onContentChange(p.document.uri,M)})),this._proxy.$registerCustomEditorProvider((0,A.toExtensionData)(a),M,n.webviewOptions||{},!!n.supportsMultipleEditorsPerDocument,(0,A.shouldSerializeBuffersForPostMessage)(a))),i.Disposable.from(b,new i.Disposable(()=>{this._proxy.$unregisterEditorProvider(M)}))}async $createCustomDocument(a,M,r,n,b){const p=this._editorProviders.get(M);if(!p)throw new Error(`No provider found for '${M}'`);if(p.type!==1)throw new Error(`Invalid provide type for '${M}'`);const l=P.URI.revive(a),h=await p.provider.openCustomDocument(l,{backupId:r,untitledDocumentData:n?.buffer},b);let v;return this.supportEditing(p.provider)&&this._extensionStoragePaths&&(v=this._extensionStoragePaths.workspaceValue(p.extension)??this._extensionStoragePaths.globalValue(p.extension)),this._documents.add(M,h,v),{editable:this.supportEditing(p.provider)}}async $disposeCustomDocument(a,M){const r=this._editorProviders.get(M);if(!r)throw new Error(`No provider found for '${M}'`);if(r.type!==1)throw new Error(`Invalid provider type for '${M}'`);const n=P.URI.revive(a),{document:b}=this.getCustomDocumentEntry(M,n);this._documents.delete(M,b),b.dispose()}async $resolveWebviewEditor(a,M,r,n,b,p){const l=this._editorProviders.get(r);if(!l)throw new Error(`No provider found for '${r}'`);const h=D.ViewColumn.to(b),v=this._extHostWebview.createNewWebview(M,n.webviewOptions,l.extension),_=this._extHostWebviewPanels.createNewWebviewPanel(M,r,n.title,h,n.panelOptions,v),f=P.URI.revive(a);switch(l.type){case 1:{const{document:C}=this.getCustomDocumentEntry(r,f);return l.provider.resolveCustomEditor(C,_,p)}case 0:{const C=this._extHostDocuments.getDocument(f);return l.provider.resolveCustomTextEditor(C,_,p)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(a,M,r){this.getCustomDocumentEntry(M,a).disposeEdits(r)}async $onMoveCustomEditor(a,M,r){const n=this._editorProviders.get(r);if(!n)throw new Error(`No provider found for '${r}'`);if(!n.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${r}'`);const b=this._extHostWebviewPanels.getWebviewPanel(a);if(!b)throw new Error("No webview found");const p=P.URI.revive(M),l=this._extHostDocuments.getDocument(p);await n.provider.moveCustomTextEditor(l,b,s.CancellationToken.None)}async $undo(a,M,r,n){return this.getCustomDocumentEntry(M,a).undo(r,n)}async $redo(a,M,r,n){return this.getCustomDocumentEntry(M,a).redo(r,n)}async $revert(a,M,r){const n=this.getCustomDocumentEntry(M,a);await this.getCustomEditorProvider(M).revertCustomDocument(n.document,r),n.disposeBackup()}async $onSave(a,M,r){const n=this.getCustomDocumentEntry(M,a);await this.getCustomEditorProvider(M).saveCustomDocument(n.document,r),n.disposeBackup()}async $onSaveAs(a,M,r,n){const b=this.getCustomDocumentEntry(M,a);return this.getCustomEditorProvider(M).saveCustomDocumentAs(b.document,P.URI.revive(r),n)}async $backup(a,M,r){const n=this.getCustomDocumentEntry(M,a),p=await this.getCustomEditorProvider(M).backupCustomDocument(n.document,{destination:n.getNewBackupUri()},r);return n.updateBackup(p),p.id}getCustomDocumentEntry(a,M){const r=this._documents.get(a,P.URI.revive(M));if(!r)throw new Error("No custom document found");return r}getCustomEditorProvider(a){const r=this._editorProviders.get(a)?.provider;if(!r||!this.supportEditing(r))throw new Error("Custom document is not editable");return r}supportEditing(a){return!!a.onDidChangeCustomDocument}}e.ExtHostCustomEditors=F;function S(k){return typeof k.resolveCustomTextEditor=="function"}function m(k){return typeof k.undo=="function"&&typeof k.redo=="function"}function d(k){const a=k.scheme===T.Schemas.file||k.scheme===T.Schemas.untitled?k.fsPath:k.toString();return(0,t.hash)(a)+""}});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[205],Ee([0,1,4,6,2,36,8,51,5,7]),function(te,e,s,t,y,T,I,P,D,A){"use strict";var R,w,i,g,o,c,u,F,S,m,d,k,a;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class M extends t.Disposable{constructor(p,l,h,v,_,f,C){super();R.set(this,void 0),w.set(this,void 0),i.set(this,void 0),g.set(this,void 0),o.set(this,void 0),c.set(this,void 0),u.set(this,void 0),F.set(this,void 0),S.set(this,!0),m.set(this,!0),d.set(this,!1),k.set(this,this._register(new s.Emitter)),this.onDidDispose=ke(this,k,"f").event,a.set(this,this._register(new s.Emitter)),this.onDidChangeViewState=ke(this,a,"f").event,et(this,R,p,"f"),et(this,w,l,"f"),et(this,i,h,"f"),et(this,o,f,"f"),et(this,F,_,"f"),et(this,c,v,"f"),et(this,g,C,"f")}dispose(){ke(this,d,"f")||(et(this,d,!0,"f"),ke(this,k,"f").fire(),ke(this,w,"f").$disposeWebview(ke(this,R,"f")),ke(this,g,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),ke(this,g,"f")}get viewType(){return this.assertNotDisposed(),ke(this,i,"f")}get title(){return this.assertNotDisposed(),ke(this,c,"f")}set title(p){this.assertNotDisposed(),ke(this,c,"f")!==p&&(et(this,c,p,"f"),ke(this,w,"f").$setTitle(ke(this,R,"f"),p))}get iconPath(){return this.assertNotDisposed(),ke(this,u,"f")}set iconPath(p){this.assertNotDisposed(),ke(this,u,"f")!==p&&(et(this,u,p,"f"),ke(this,w,"f").$setIconPath(ke(this,R,"f"),y.URI.isUri(p)?{light:p,dark:p}:p))}get options(){return ke(this,o,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof ke(this,F,"f")=="number"&&ke(this,F,"f")<0))return ke(this,F,"f")}get active(){return this.assertNotDisposed(),ke(this,m,"f")}get visible(){return this.assertNotDisposed(),ke(this,S,"f")}_updateViewState(p){ke(this,d,"f")||(this.active!==p.active||this.visible!==p.visible||this.viewColumn!==p.viewColumn)&&(et(this,m,p.active,"f"),et(this,S,p.visible,"f"),et(this,F,p.viewColumn,"f"),ke(this,a,"f").fire({webviewPanel:this}))}reveal(p,l){this.assertNotDisposed(),ke(this,w,"f").$reveal(ke(this,R,"f"),{viewColumn:p?I.ViewColumn.from(p):void 0,preserveFocus:!!l})}assertNotDisposed(){if(ke(this,d,"f"))throw new Error("Webview is disposed")}}R=new WeakMap,w=new WeakMap,i=new WeakMap,g=new WeakMap,o=new WeakMap,c=new WeakMap,u=new WeakMap,F=new WeakMap,S=new WeakMap,m=new WeakMap,d=new WeakMap,k=new WeakMap,a=new WeakMap;class r{constructor(p,l,h){this.webviews=l,this.workspace=h,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=p.getProxy(D.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,T.generateUuid)()}createWebviewPanel(p,l,h,v,_={}){const f=typeof v=="object"?v.viewColumn:v,C={viewColumn:I.ViewColumn.from(f),preserveFocus:typeof v=="object"&&!!v.preserveFocus},x=(0,P.shouldSerializeBuffersForPostMessage)(p),N=r.newHandle();this._proxy.$createWebviewPanel((0,P.toExtensionData)(p),N,l,{title:h,panelOptions:n(_),webviewOptions:(0,P.serializeWebviewOptions)(p,this.workspace,_),serializeBuffersForPostMessage:x},C);const E=this.webviews.createNewWebview(N,_,p);return this.createNewWebviewPanel(N,l,h,f,_,E)}$onDidChangeWebviewPanelViewStates(p){const l=Object.keys(p);l.sort((h,v)=>{const _=p[h],f=p[v];return _.active?1:f.active?-1:+_.visible-+f.visible});for(const h of l){const v=this.getWebviewPanel(h);if(!v)continue;const _=p[h];v._updateViewState({active:_.active,visible:_.visible,viewColumn:I.ViewColumn.to(_.position)})}}async $onDidDisposeWebviewPanel(p){this.getWebviewPanel(p)?.dispose(),this._webviewPanels.delete(p),this.webviews.deleteWebview(p)}registerWebviewPanelSerializer(p,l,h){if(this._serializers.has(l))throw new Error(`Serializer for '${l}' already registered`);return this._serializers.set(l,{serializer:h,extension:p}),this._proxy.$registerSerializer(l,{serializeBuffersForPostMessage:(0,P.shouldSerializeBuffersForPostMessage)(p)}),new A.Disposable(()=>{this._serializers.delete(l),this._proxy.$unregisterSerializer(l)})}async $deserializeWebviewPanel(p,l,h,v){const _=this._serializers.get(l);if(!_)throw new Error(`No serializer found for '${l}'`);const{serializer:f,extension:C}=_,x=this.webviews.createNewWebview(p,h.webviewOptions,C),N=this.createNewWebviewPanel(p,l,h.title,v,h.panelOptions,x);await f.deserializeWebviewPanel(N,h.state)}createNewWebviewPanel(p,l,h,v,_,f){const C=new M(p,this._proxy,l,h,v,_,f);return this._webviewPanels.set(p,C),C}getWebviewPanel(p){return this._webviewPanels.get(p)}}e.ExtHostWebviewPanels=r;function n(b){return{enableFindWidget:b.enableFindWidget,retainContextWhenHidden:b.retainContextWhenHidden}}});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[206],Ee([0,1,4,6,51,5,7]),function(te,e,s,t,y,T,I){"use strict";var P,D,A,R,w,i,g,o,c,u;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class F extends t.Disposable{constructor(d,k,a,M,r,n){super();P.set(this,void 0),D.set(this,void 0),A.set(this,void 0),R.set(this,void 0),w.set(this,!1),i.set(this,void 0),g.set(this,void 0),o.set(this,void 0),c.set(this,this._register(new s.Emitter)),this.onDidChangeVisibility=ke(this,c,"f").event,u.set(this,this._register(new s.Emitter)),this.onDidDispose=ke(this,u,"f").event,et(this,A,a,"f"),et(this,g,M,"f"),et(this,P,d,"f"),et(this,D,k,"f"),et(this,R,r,"f"),et(this,i,n,"f")}dispose(){ke(this,w,"f")||(et(this,w,!0,"f"),ke(this,u,"f").fire(),ke(this,R,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),ke(this,g,"f")}set title(d){this.assertNotDisposed(),ke(this,g,"f")!==d&&(et(this,g,d,"f"),ke(this,D,"f").$setWebviewViewTitle(ke(this,P,"f"),d))}get description(){return this.assertNotDisposed(),ke(this,o,"f")}set description(d){this.assertNotDisposed(),ke(this,o,"f")!==d&&(et(this,o,d,"f"),ke(this,D,"f").$setWebviewViewDescription(ke(this,P,"f"),d))}get visible(){return ke(this,i,"f")}get webview(){return ke(this,R,"f")}get viewType(){return ke(this,A,"f")}_setVisible(d){d===ke(this,i,"f")||ke(this,w,"f")||(et(this,i,d,"f"),ke(this,c,"f").fire())}show(d){this.assertNotDisposed(),ke(this,D,"f").$show(ke(this,P,"f"),!!d)}assertNotDisposed(){if(ke(this,w,"f"))throw new Error("Webview is disposed")}}P=new WeakMap,D=new WeakMap,A=new WeakMap,R=new WeakMap,w=new WeakMap,i=new WeakMap,g=new WeakMap,o=new WeakMap,c=new WeakMap,u=new WeakMap;class S{constructor(d,k){this._extHostWebview=k,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=d.getProxy(T.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(d,k,a,M){if(this._viewProviders.has(k))throw new Error(`View provider for '${k}' already registered`);return this._viewProviders.set(k,{provider:a,extension:d}),this._proxy.$registerWebviewViewProvider((0,y.toExtensionData)(d),k,{retainContextWhenHidden:M?.retainContextWhenHidden,serializeBuffersForPostMessage:!1}),new I.Disposable(()=>{this._viewProviders.delete(k),this._proxy.$unregisterWebviewViewProvider(k)})}async $resolveWebviewView(d,k,a,M,r){const n=this._viewProviders.get(k);if(!n)throw new Error(`No view provider found for '${k}'`);const{provider:b,extension:p}=n,l=this._extHostWebview.createNewWebview(d,{},p),h=new F(d,this._proxy,k,a,l,!0);this._webviewViews.set(d,h),await b.resolveWebviewView(h,{state:M},r)}async $onDidChangeWebviewViewVisibility(d,k){this.getWebviewView(d)._setVisible(k)}async $disposeWebviewView(d){const k=this.getWebviewView(d);this._webviewViews.delete(d),k.dispose(),this._extHostWebview.deleteWebview(d)}getWebviewView(d){const k=this._webviewViews.get(d);if(!k)throw new Error("No webview found");return k}}e.ExtHostWebviewViews=S}),define(we[95],Ee([0,1,4,5,2,11,9,3,13]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let A=class Vi{constructor(w){this._onDidChangeWindowState=new s.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Vi.InitialState,this._proxy=w.getProxy(t.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(i=>this.$onDidChangeWindowFocus(i))}get state(){return this._state}$onDidChangeWindowFocus(w){w!==this._state.focused&&(this._state={...this._state,focused:w},this._onDidChangeWindowState.fire(this._state))}openUri(w,i){let g;if(typeof w=="string"){g=w;try{w=y.URI.parse(w)}catch{return Promise.reject(`Invalid uri - '${w}'`)}}return(0,I.isFalsyOrWhitespace)(w.scheme)?Promise.reject("Invalid scheme - cannot be empty"):w.scheme===T.Schemas.command?Promise.reject(`Invalid scheme '${w.scheme}'`):this._proxy.$openUri(w,g,i)}async asExternalUri(w,i){if((0,I.isFalsyOrWhitespace)(w.scheme))return Promise.reject("Invalid scheme - cannot be empty");const g=await this._proxy.$asExternalUri(w,i);return y.URI.from(g)}};A.InitialState={focused:!0},A=Ue([$e(0,D.IExtHostRpcService)],A),e.ExtHostWindow=A,e.IExtHostWindow=(0,P.createDecorator)("IExtHostWindow")}),define(we[207],Ee([0,1,14,22,20,15,4,6,105,174,38]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";var w;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function i(_,f){try{return JSON.stringify(_,f)}catch{return"null"}}const g="$$ref$$",o={[g]:-1};class c{constructor(f,C){this.jsonString=f,this.referencedBuffers=C}}function u(_,f=null,C=!1){const x=[];return{jsonString:(C?i:JSON.stringify)(_,(E,O)=>{if(typeof O=="undefined")return o;if(typeof O=="object"){if(O instanceof t.VSBuffer){const W=x.push(O)-1;return{[g]:W}}if(f)return f(E,O)}return O}),referencedBuffers:x}}e.stringifyJsonWithBufferRefs=u;function F(_,f,C){return JSON.parse(_,(x,N)=>{if(N){const E=N[g];if(typeof E=="number")return f[E];if(C&&N.$mid===1)return C.transformIncoming(N)}return N})}e.parseJsonAndRestoreBufferRefs=F;function S(_,f){return JSON.stringify(_,f)}function m(_){return _?(f,C)=>C&&C.$mid===1?_.transformOutgoing(C):C:null}var d;(function(_){_[_.LocalSide=0]="LocalSide",_[_.OtherSide=1]="OtherSide"})(d=e.RequestInitiator||(e.RequestInitiator={}));var k;(function(_){_[_.Responsive=0]="Responsive",_[_.Unresponsive=1]="Unresponsive"})(k=e.ResponsiveState||(e.ResponsiveState={}));const a=()=>{},M=Symbol.for("rpcProtocol"),r=Symbol.for("rpcProxy");class n extends P.Disposable{constructor(f,C=null,x=null){super();this[w]=!0,this._onDidChangeResponsiveState=this._register(new I.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=f,this._logger=C,this._uriTransformer=x,this._uriReplacer=m(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let N=0,E=R.ProxyIdentifier.count;N<E;N++)this._locals[N]=null,this._proxies[N]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new s.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(N=>this._receiveOneMessage(N))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(f=>{this._pendingRPCReplies[f].resolveErr(T.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(f){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(f){this._unresponsiveTime=Date.now()+n.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(f){this._responsiveState!==f&&(this._responsiveState=f,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(f){return this._uriTransformer?(0,D.transformIncomingURIs)(f,this._uriTransformer):f}getProxy(f){const{nid:C,sid:x}=f;return this._proxies[C]||(this._proxies[C]=this._createProxy(C,x)),this._proxies[C]}_createProxy(f,C){let x={get:(N,E)=>(typeof E=="string"&&!N[E]&&E.charCodeAt(0)===36&&(N[E]=(...O)=>this._remoteCall(f,E,O)),E===r?C:N[E])};return new Proxy(Object.create(null),x)}set(f,C){return this._locals[f.nid]=C,C}assertRegistered(f){for(let C=0,x=f.length;C<x;C++){const N=f[C];if(!this._locals[N.nid])throw new Error(`Missing actor ${N.sid} (isMain: ${N.isMain})`)}}_receiveOneMessage(f){if(this._isDisposed)return;const C=f.byteLength,x=b.read(f,0),N=x.readUInt8(),E=x.readUInt32();switch(N){case 1:case 2:{let{rpcId:O,method:W,args:U}=l.deserializeRequestJSONArgs(x);this._uriTransformer&&(U=(0,D.transformIncomingURIs)(U,this._uriTransformer)),this._receiveRequest(C,E,O,W,U,N===2);break}case 3:case 4:{let{rpcId:O,method:W,args:U}=l.deserializeRequestMixedArgs(x);this._uriTransformer&&(U=(0,D.transformIncomingURIs)(U,this._uriTransformer)),this._receiveRequest(C,E,O,W,U,N===4);break}case 5:{this._logger&&this._logger.logIncoming(C,E,0,"ack"),this._onDidReceiveAcknowledge(E);break}case 6:{this._receiveCancel(C,E);break}case 7:{this._receiveReply(C,E,void 0);break}case 9:{let O=l.deserializeReplyOKJSON(x);this._uriTransformer&&(O=(0,D.transformIncomingURIs)(O,this._uriTransformer)),this._receiveReply(C,E,O);break}case 10:{const O=l.deserializeReplyOKJSONWithBuffers(x,this._uriTransformer);this._receiveReply(C,E,O);break}case 8:{let O=l.deserializeReplyOKVSBuffer(x);this._receiveReply(C,E,O);break}case 11:{let O=l.deserializeReplyErrError(x);this._uriTransformer&&(O=(0,D.transformIncomingURIs)(O,this._uriTransformer)),this._receiveReplyErr(C,E,O);break}case 12:{this._receiveReplyErr(C,E,void 0);break}default:console.error("received unexpected message"),console.error(f)}}_receiveRequest(f,C,x,N,E,O){this._logger&&this._logger.logIncoming(f,C,1,`receiveRequest ${(0,R.getStringIdentifierForProxy)(x)}.${N}(`,E);const W=String(C);let U,H;if(O){const Z=new y.CancellationTokenSource;E.push(Z.token),U=this._invokeHandler(x,N,E),H=()=>Z.cancel()}else U=this._invokeHandler(x,N,E),H=a;this._cancelInvokedHandlers[W]=H;const V=l.serializeAcknowledged(C);this._logger&&this._logger.logOutgoing(V.byteLength,C,1,"ack"),this._protocol.send(V),U.then(Z=>{delete this._cancelInvokedHandlers[W];const G=l.serializeReplyOK(C,Z,this._uriReplacer);this._logger&&this._logger.logOutgoing(G.byteLength,C,1,"reply:",Z),this._protocol.send(G)},Z=>{delete this._cancelInvokedHandlers[W];const G=l.serializeReplyErr(C,Z);this._logger&&this._logger.logOutgoing(G.byteLength,C,1,"replyErr:",Z),this._protocol.send(G)})}_receiveCancel(f,C){this._logger&&this._logger.logIncoming(f,C,1,"receiveCancel");const x=String(C);this._cancelInvokedHandlers[x]&&this._cancelInvokedHandlers[x]()}_receiveReply(f,C,x){this._logger&&this._logger.logIncoming(f,C,0,"receiveReply:",x);const N=String(C);if(!this._pendingRPCReplies.hasOwnProperty(N))return;const E=this._pendingRPCReplies[N];delete this._pendingRPCReplies[N],E.resolveOk(x)}_receiveReplyErr(f,C,x){this._logger&&this._logger.logIncoming(f,C,0,"receiveReplyErr:",x);const N=String(C);if(!this._pendingRPCReplies.hasOwnProperty(N))return;const E=this._pendingRPCReplies[N];delete this._pendingRPCReplies[N];let O;x&&(x.$isError?(O=new Error,O.name=x.name,O.message=x.message,O.stack=x.stack):O=x),E.resolveErr(O)}_invokeHandler(f,C,x){try{return Promise.resolve(this._doInvokeHandler(f,C,x))}catch(N){return Promise.reject(N)}}_doInvokeHandler(f,C,x){const N=this._locals[f];if(!N)throw new Error("Unknown actor "+(0,R.getStringIdentifierForProxy)(f));let E=N[C];if(typeof E!="function")throw new Error("Unknown method "+C+" on actor "+(0,R.getStringIdentifierForProxy)(f));return E.apply(N,x)}_remoteCall(f,C,x){if(this._isDisposed)return Promise.reject(T.canceled());let N=null;if(x.length>0&&y.CancellationToken.isCancellationToken(x[x.length-1])&&(N=x.pop()),N&&N.isCancellationRequested)return Promise.reject(T.canceled());const E=l.serializeRequestArguments(x,this._uriReplacer),O=++this._lastMessageId,W=String(O),U=new A.LazyPromise;N&&N.onCancellationRequested(()=>{const V=l.serializeCancel(O);this._logger&&this._logger.logOutgoing(V.byteLength,O,0,"cancel"),this._protocol.send(l.serializeCancel(O))}),this._pendingRPCReplies[W]=U,this._onWillSendRequest(O);const H=l.serializeRequest(O,f,C,E,!!N);return this._logger&&this._logger.logOutgoing(H.byteLength,O,0,`request: ${(0,R.getStringIdentifierForProxy)(f)}.${C}(`,x),this._protocol.send(H),U}}e.RPCProtocol=n,w=M,n.UNRESPONSIVE_TIME=3*1e3;class b{constructor(f,C){this._buff=f,this._offset=C}static alloc(f,C,x){let N=new b(t.VSBuffer.alloc(x+1+4),0);return N.writeUInt8(f),N.writeUInt32(C),N}static read(f,C){return new b(f,C)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(f){this._buff.writeUInt8(f,this._offset),this._offset+=1}readUInt8(){const f=this._buff.readUInt8(this._offset);return this._offset+=1,f}writeUInt32(f){this._buff.writeUInt32BE(f,this._offset),this._offset+=4}readUInt32(){const f=this._buff.readUInt32BE(this._offset);return this._offset+=4,f}static sizeShortString(f){return 1+f.byteLength}writeShortString(f){this._buff.writeUInt8(f.byteLength,this._offset),this._offset+=1,this._buff.set(f,this._offset),this._offset+=f.byteLength}readShortString(){const f=this._buff.readUInt8(this._offset);this._offset+=1;const x=this._buff.slice(this._offset,this._offset+f).toString();return this._offset+=f,x}static sizeLongString(f){return 4+f.byteLength}writeLongString(f){this._buff.writeUInt32BE(f.byteLength,this._offset),this._offset+=4,this._buff.set(f,this._offset),this._offset+=f.byteLength}readLongString(){const f=this._buff.readUInt32BE(this._offset);this._offset+=4;const x=this._buff.slice(this._offset,this._offset+f).toString();return this._offset+=f,x}writeBuffer(f){this._buff.writeUInt32BE(f.byteLength,this._offset),this._offset+=4,this._buff.set(f,this._offset),this._offset+=f.byteLength}static sizeVSBuffer(f){return 4+f.byteLength}writeVSBuffer(f){this._buff.writeUInt32BE(f.byteLength,this._offset),this._offset+=4,this._buff.set(f,this._offset),this._offset+=f.byteLength}readVSBuffer(){const f=this._buff.readUInt32BE(this._offset);this._offset+=4;const C=this._buff.slice(this._offset,this._offset+f);return this._offset+=f,C}static sizeMixedArray(f){let C=0;C+=1;for(let x=0,N=f.length;x<N;x++){const E=f[x];switch(C+=1,E.type){case 1:C+=this.sizeLongString(E.value);break;case 2:C+=this.sizeVSBuffer(E.value);break;case 3:C+=this.sizeUInt32,C+=this.sizeLongString(E.value);for(let O=0;O<E.buffers.length;++O)C+=this.sizeVSBuffer(E.buffers[O]);break;case 4:break}}return C}writeMixedArray(f){this._buff.writeUInt8(f.length,this._offset),this._offset+=1;for(let C=0,x=f.length;C<x;C++){const N=f[C];switch(N.type){case 1:this.writeUInt8(1),this.writeLongString(N.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(N.value);break;case 3:this.writeUInt8(3),this.writeUInt32(N.buffers.length),this.writeLongString(N.value);for(let E=0;E<N.buffers.length;++E)this.writeBuffer(N.buffers[E]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const f=this._buff.readUInt8(this._offset);this._offset+=1;let C=new Array(f);for(let x=0;x<f;x++)switch(this.readUInt8()){case 1:C[x]=this.readLongString();break;case 2:C[x]=this.readVSBuffer();break;case 3:{const E=this.readUInt32(),O=this.readLongString(),W=[];for(let U=0;U<E;++U)W.push(this.readVSBuffer());C[x]=new R.SerializableObjectWithBuffers(F(O,W,null));break}case 4:C[x]=void 0;break}return C}}b.sizeUInt32=4;var p;(function(_){_[_.Simple=0]="Simple",_[_.Mixed=1]="Mixed"})(p||(p={}));class l{static _useMixedArgSerialization(f){for(let C=0,x=f.length;C<x;C++)if(f[C]instanceof t.VSBuffer||f[C]instanceof R.SerializableObjectWithBuffers||typeof f[C]=="undefined")return!0;return!1}static serializeRequestArguments(f,C){if(this._useMixedArgSerialization(f)){const x=[];for(let N=0,E=f.length;N<E;N++){const O=f[N];if(O instanceof t.VSBuffer)x[N]={type:2,value:O};else if(typeof O=="undefined")x[N]={type:4};else if(O instanceof R.SerializableObjectWithBuffers){const{jsonString:W,referencedBuffers:U}=u(O.value,C);x[N]={type:3,value:t.VSBuffer.fromString(W),buffers:U}}else x[N]={type:1,value:t.VSBuffer.fromString(S(O,C))}}return{type:1,args:x}}return{type:0,args:S(f,C)}}static serializeRequest(f,C,x,N,E){switch(N.type){case 0:return this._requestJSONArgs(f,C,x,N.args,E);case 1:return this._requestMixedArgs(f,C,x,N.args,E)}}static _requestJSONArgs(f,C,x,N,E){const O=t.VSBuffer.fromString(x),W=t.VSBuffer.fromString(N);let U=0;U+=b.sizeUInt8(),U+=b.sizeShortString(O),U+=b.sizeLongString(W);let H=b.alloc(E?2:1,f,U);return H.writeUInt8(C),H.writeShortString(O),H.writeLongString(W),H.buffer}static deserializeRequestJSONArgs(f){const C=f.readUInt8(),x=f.readShortString(),N=f.readLongString();return{rpcId:C,method:x,args:JSON.parse(N)}}static _requestMixedArgs(f,C,x,N,E){const O=t.VSBuffer.fromString(x);let W=0;W+=b.sizeUInt8(),W+=b.sizeShortString(O),W+=b.sizeMixedArray(N);let U=b.alloc(E?4:3,f,W);return U.writeUInt8(C),U.writeShortString(O),U.writeMixedArray(N),U.buffer}static deserializeRequestMixedArgs(f){const C=f.readUInt8(),x=f.readShortString(),N=f.readMixedArray(),E=new Array(N.length);for(let O=0,W=N.length;O<W;O++){const U=N[O];typeof U=="string"?E[O]=JSON.parse(U):E[O]=U}return{rpcId:C,method:x,args:E}}static serializeAcknowledged(f){return b.alloc(5,f,0).buffer}static serializeCancel(f){return b.alloc(6,f,0).buffer}static serializeReplyOK(f,C,x){if(typeof C=="undefined")return this._serializeReplyOKEmpty(f);if(C instanceof t.VSBuffer)return this._serializeReplyOKVSBuffer(f,C);if(C instanceof R.SerializableObjectWithBuffers){const{jsonString:N,referencedBuffers:E}=u(C.value,x,!0);return this._serializeReplyOKJSONWithBuffers(f,N,E)}else return this._serializeReplyOKJSON(f,i(C,x))}static _serializeReplyOKEmpty(f){return b.alloc(7,f,0).buffer}static _serializeReplyOKVSBuffer(f,C){let x=0;x+=b.sizeVSBuffer(C);let N=b.alloc(8,f,x);return N.writeVSBuffer(C),N.buffer}static deserializeReplyOKVSBuffer(f){return f.readVSBuffer()}static _serializeReplyOKJSON(f,C){const x=t.VSBuffer.fromString(C);let N=0;N+=b.sizeLongString(x);let E=b.alloc(9,f,N);return E.writeLongString(x),E.buffer}static _serializeReplyOKJSONWithBuffers(f,C,x){const N=t.VSBuffer.fromString(C);let E=0;E+=b.sizeUInt32,E+=b.sizeLongString(N);for(const W of x)E+=b.sizeVSBuffer(W);let O=b.alloc(10,f,E);O.writeUInt32(x.length),O.writeLongString(N);for(const W of x)O.writeBuffer(W);return O.buffer}static deserializeReplyOKJSON(f){const C=f.readLongString();return JSON.parse(C)}static deserializeReplyOKJSONWithBuffers(f,C){const x=f.readUInt32(),N=f.readLongString(),E=[];for(let O=0;O<x;++O)E.push(f.readVSBuffer());return new R.SerializableObjectWithBuffers(F(N,E,C))}static serializeReplyErr(f,C){return C?this._serializeReplyErrEror(f,C):this._serializeReplyErrEmpty(f)}static _serializeReplyErrEror(f,C){const x=t.VSBuffer.fromString(i(T.transformErrorForSerialization(C),null));let N=0;N+=b.sizeLongString(x);let E=b.alloc(11,f,N);return E.writeLongString(x),E.buffer}static deserializeReplyErrError(f){const C=f.readLongString();return JSON.parse(C)}static _serializeReplyErrEmpty(f){return b.alloc(12,f,0).buffer}}var h;(function(_){_[_.RequestJSONArgs=1]="RequestJSONArgs",_[_.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",_[_.RequestMixedArgs=3]="RequestMixedArgs",_[_.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",_[_.Acknowledged=5]="Acknowledged",_[_.Cancel=6]="Cancel",_[_.ReplyOKEmpty=7]="ReplyOKEmpty",_[_.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",_[_.ReplyOKJSON=9]="ReplyOKJSON",_[_.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",_[_.ReplyErrError=11]="ReplyErrError",_[_.ReplyErrEmpty=12]="ReplyErrEmpty"})(h||(h={}));var v;(function(_){_[_.String=1]="String",_[_.VSBuffer=2]="VSBuffer",_[_.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",_[_.Undefined=4]="Undefined"})(v||(v={}))}),define(we[208],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NestedWorker=void 0;const s=function(T){const I=P=>{self.removeEventListener("message",I);const D=P.data;Object.defineProperties(self,{postMessage:{value(A,R){D.postMessage(A,R)}},onmessage:{get(){return D.onmessage},set(A){D.onmessage=A}}}),D.addEventListener("message",A=>{self.dispatchEvent(new MessageEvent("message",{data:A.data}))}),D.start(),self.Worker=class{constructor(){throw new TypeError("Nested workers from within nested worker are NOT supported.")}},importScripts(T)};self.addEventListener("message",I)}.toString();class t extends EventTarget{constructor(T,I,P){super();this.onmessage=null,this.onmessageerror=null,this.onerror=null;const D=`((${s})('${I}'))`,A=new Blob([D],{type:"application/javascript"}),R=URL.createObjectURL(A),w=new MessageChannel,i=R,g={type:"_newWorker",id:i,port:w.port2,url:R,options:P};T(g,[w.port2]),this.postMessage=w.port1.postMessage.bind(w.port1),this.terminate=()=>{const o={type:"_terminateWorker",id:i};w.port1.postMessage(o),URL.revokeObjectURL(R),w.port1.close(),w.port2.close()},Object.defineProperties(this,{onmessage:{get(){return w.port1.onmessage},set(o){w.port1.onmessage=o}},onmessageerror:{get(){return w.port1.onmessageerror},set(o){w.port1.onmessageerror=o}}}),w.port1.addEventListener("messageerror",o=>{const c=new MessageEvent("messageerror",{data:o.data});this.dispatchEvent(c)}),w.port1.addEventListener("message",o=>{const c=new MessageEvent("message",{data:o.data});this.dispatchEvent(c)}),w.port1.start()}}e.NestedWorker=t}),define(we[209],Ee([0,1,3]),function(te,e,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,s.createDecorator)("remoteAgentService")}),define(we[210],Ee([0,1,35,11,17,23,24,2,3,61,47,169,209]),function(te,e,s,t,y,T,I,P,D,A,R,w,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,D.createDecorator)("pathService");let g=class ji{constructor(c,u,F,S){this.localUserHome=c,this.remoteAgentService=u,this.environmentService=F,this.contextService=S,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||T.OS)(),this.resolveUserHome=(async()=>{const m=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=m?.userHome||c})()}hasValidBasename(c,u,F){return typeof u=="string"||typeof u=="undefined"?this.resolveOS.then(S=>this.doHasValidBasename(c,S,u)):this.doHasValidBasename(c,u,F)}doHasValidBasename(c,u,F){return c.scheme===t.Schemas.file||c.scheme===t.Schemas.vscodeRemote?(0,s.isValidBasename)(F??(0,I.basename)(c),u===1):!0}get defaultUriScheme(){return ji.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(c,u){if(c.remoteAuthority)return t.Schemas.vscodeRemote;const F=(0,A.getVirtualWorkspaceScheme)(u.getWorkspace());if(F)return F;const S=u.getWorkspace().folders[0];if(S)return S.uri.scheme;const m=u.getWorkspace().configuration;return m?m.scheme:t.Schemas.file}async userHome(c){return c?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(c=>c===1?y.win32:y.posix)}async fileURI(c){let u="";if(await this.resolveOS===1&&(c=c.replace(/\\/g,"/")),c[0]==="/"&&c[1]==="/"){const S=c.indexOf("/",2);S===-1?(u=c.substring(2),c="/"):(u=c.substring(2,S),c=c.substring(S)||"/")}return P.URI.from({scheme:t.Schemas.file,authority:u,path:c,query:"",fragment:""})}};g=Ue([$e(1,i.IRemoteAgentService),$e(2,w.IWorkbenchEnvironmentService),$e(3,R.IWorkspaceContextService)],g),e.AbstractPathService=g}),define(we[96],Ee([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class s{constructor(I,P){this.line=I,this.character=P}isBefore(I){return!1}isBeforeOrEqual(I){return!1}isAfter(I){return!1}isAfterOrEqual(I){return!1}isEqual(I){return!1}compareTo(I){return 0}translate(I,P){return new s(0,0)}with(I){return new s(0,0)}}e.Position=s;class t{constructor(I,P,D,A){this.isEmpty=!1,this.isSingleLine=!1,this.start=new s(I,P),this.end=new s(D,A)}contains(I){return!1}isEqual(I){return!1}intersection(I){}union(I){return new t(0,0,0,0)}with(I){return new t(0,0,0,0)}}e.Range=t;var y;(function(T){T[T.Information=1]="Information",T[T.Warning=2]="Warning"})(y=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(we[41],Ee([0,1,16,29,26,35,9,3,17,15,96,10]),function(te,e,s,t,y,T,I,P,D,A,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return R.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const i="\u27EA ",g=" characters skipped \u27EB",o=(i.length+g.length+5)*2;e.ISearchService=(0,P.createDecorator)("searchService");var c;(function(V){V[V.file=0]="file",V[V.text=1]="text"})(c=e.SearchProviderType||(e.SearchProviderType={}));var u;(function(V){V[V.File=1]="File",V[V.Text=2]="Text"})(u=e.QueryType||(e.QueryType={}));function F(V){return!!V.preview}e.resultIsMatch=F;function S(V){return!!V.resource}e.isFileMatch=S;function m(V){return!!V.message}e.isProgressMessage=m;var d;(function(V){V[V.Normal=0]="Normal",V[V.NewSearchStarted=1]="NewSearchStarted"})(d=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class k{constructor(Z){this.resource=Z,this.results=[]}}e.FileMatch=k;class a{constructor(Z,G,oe){this.ranges=G;const be=Array.isArray(G)?G:[G];if(oe&&oe.matchLines===1&&M(be)){Z=(0,I.getNLines)(Z,oe.matchLines);let Se="",le=0,ne=0;const ve=Math.floor(oe.charsPerLine/5),Ie=[];for(const Oe of be){const He=Math.max(Oe.startColumn-ve,0),Xe=Oe.startColumn+oe.charsPerLine;if(He>ne+ve+o){const Ye=i+(He-ne)+g;Se+=Ye+Z.slice(He,Xe),le+=He-(ne+Ye.length)}else Se+=Z.slice(ne,Xe);Ie.push(new n(0,Oe.startColumn-le,Oe.endColumn-le)),ne=Xe}this.preview={text:Se,matches:Array.isArray(this.ranges)?Ie:Ie[0]}}else{const Se=Array.isArray(G)?G[0].startLineNumber:G.startLineNumber;this.preview={text:Z,matches:(0,s.mapArrayOrNot)(G,le=>new r(le.startLineNumber-Se,le.startColumn,le.endLineNumber-Se,le.endColumn))}}}}e.TextSearchMatch=a;function M(V){const Z=V[0].startLineNumber;for(const G of V)if(G.startLineNumber!==Z||G.endLineNumber!==Z)return!1;return!0}class r{constructor(Z,G,oe,be){this.startLineNumber=Z,this.startColumn=G,this.endLineNumber=oe,this.endColumn=be}}e.SearchRange=r;class n extends r{constructor(Z,G,oe){super(Z,G,Z,oe)}}e.OneLineRange=n;var b;(function(V){V.Default="default",V.FileNames="fileNames",V.Type="type",V.Modified="modified",V.CountDescending="countDescending",V.CountAscending="countAscending"})(b=e.SearchSortOrder||(e.SearchSortOrder={}));function p(V,Z=!0){const G=V&&V.files&&V.files.exclude,oe=Z&&V&&V.search&&V.search.exclude;if(!G&&!oe)return;if(!G||!oe)return G||oe;let be=Object.create(null);return be=y.mixin(be,y.deepClone(G)),be=y.mixin(be,y.deepClone(oe),!0),be}e.getExcludes=p;function l(V,Z){return V.excludePattern&&t.match(V.excludePattern,Z)?!1:V.includePattern||V.usingSearchPaths?V.includePattern&&t.match(V.includePattern,Z)?!0:V.usingSearchPaths?!!V.folderQueries&&V.folderQueries.some(G=>{const oe=G.folder.fsPath;if(T.isEqualOrParent(Z,oe)){const be=D.relative(oe,Z);return!G.includePattern||!!t.match(G.includePattern,be)}else return!1}):!1:!0}e.pathIncludedInQuery=l;var h;(function(V){V[V.unknownEncoding=1]="unknownEncoding",V[V.regexParseError=2]="regexParseError",V[V.globParseError=3]="globParseError",V[V.invalidLiteral=4]="invalidLiteral",V[V.rgProcessError=5]="rgProcessError",V[V.other=6]="other",V[V.canceled=7]="canceled"})(h=e.SearchErrorCode||(e.SearchErrorCode={}));class v extends Error{constructor(Z,G){super(Z);this.code=G}}e.SearchError=v;function _(V){const Z=V.message;if((0,A.isPromiseCanceledError)(V))return new v(Z,h.canceled);try{const G=JSON.parse(Z);return new v(G.message,G.code)}catch{return new v(Z,h.other)}}e.deserializeSearchError=_;function f(V){const Z={message:V.message,code:V.code};return new Error(JSON.stringify(Z))}e.serializeSearchError=f;function C(V){return V.type==="error"?!0:V.type==="success"}e.isSerializedSearchComplete=C;function x(V){return V.type==="success"}e.isSerializedSearchSuccess=x;function N(V){return!!V.path}e.isSerializedFileMatch=N;function E(V,Z){const G=V.searchPath?V.searchPath:V.relativePath;return(0,I.fuzzyContains)(G,Z)}e.isFilePatternMatch=E;class O{constructor(Z){this.path=Z,this.results=[]}addMatch(Z){this.results.push(Z)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=O;function W(V,Z){const G={...V||{},...Z||{}};return Object.keys(G).filter(oe=>{const be=G[oe];return typeof be=="boolean"&&be})}e.resolvePatternsForProvider=W;class U{constructor(Z,G){this._parsedIncludeExpression=null,this._excludeExpression={...Z.excludePattern||{},...G.excludePattern||{}},this._parsedExcludeExpression=t.parse(this._excludeExpression);let oe=Z.includePattern;G.includePattern&&(oe?oe={...oe,...G.includePattern}:oe=G.includePattern),oe&&(this._parsedIncludeExpression=t.parse(oe))}matchesExcludesSync(Z,G,oe){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(Z,G,oe))}includedInQuerySync(Z,G,oe){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(Z,G,oe)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(Z,G,oe))}includedInQuery(Z,G,oe){const be=this._parsedExcludeExpression(Z,G,oe),Se=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(Z,G,oe):!0;return(0,w.isPromise)(be)?be.then(le=>le?!1:Se()):Se()}hasSiblingExcludeClauses(){return H(this._excludeExpression)}}e.QueryGlobTester=U;function H(V){for(const Z in V)if(typeof V[Z]!="boolean")return!0;return!1}}),define(we[31],Ee([0,1,16,14,20,4,21,11,75,24,9,10,2,124,3,12,137,47,30,28,13,7,41,5]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m,d,k,a,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function r(f,C,x){return new A.ExtUri(N=>l(N,x)).isEqual(f,C)}function n(f,C,x){return r(f.uri,C.uri,x)?0:(0,R.compare)(f.uri.toString(),C.uri.toString())}function b(f,C,x){return f.index!==C.index?f.index<C.index?-1:1:r(f.uri,C.uri,x)?(0,R.compare)(f.name,C.name):(0,R.compare)(f.uri.toString(),C.uri.toString())}function p(f,C,x,N){const E=f.slice(0).sort((W,U)=>x(W,U,N)),O=C.slice(0).sort((W,U)=>x(W,U,N));return(0,s.delta)(E,O,(W,U)=>x(W,U,N))}function l(f,C){const x=C.getCapabilities(f.scheme);return!(x&&x&1024)}class h extends F.Workspace{constructor(C,x,N,E,O,W,U){super(C,N.map(H=>new F.WorkspaceFolder(H)),E,O,U);this._name=x,this._isUntitled=W,this._workspaceFolders=[],this._structure=I.TernarySearchTree.forUris(U),N.forEach(H=>{this._workspaceFolders.push(H),this._structure.set(H.uri,H)})}static toExtHostWorkspace(C,x,N,E){if(!C)return{workspace:null,added:[],removed:[]};const{id:O,name:W,folders:U,configuration:H,transient:V,isUntitled:Z}=C,G=[],oe=x;x?U.forEach((ne,ve)=>{const Ie=i.URI.revive(ne.uri),Oe=h._findFolder(N||x,Ie,E);Oe?(Oe.name=ne.name,Oe.index=ne.index,G.push(Oe)):G.push({uri:Ie,name:ne.name,index:ve})}):G.push(...U.map(({uri:ne,name:ve,index:Ie})=>({uri:i.URI.revive(ne),name:ve,index:Ie}))),G.sort((ne,ve)=>ne.index<ve.index?-1:1);const be=new h(O,W,G,!!V,H?i.URI.revive(H):null,!!Z,ne=>l(ne,E)),{added:Se,removed:le}=p(oe?oe.workspaceFolders:[],be.workspaceFolders,n,E);return{workspace:be,added:Se,removed:le}}static _findFolder(C,x,N){for(let E=0;E<C.folders.length;E++){const O=C.workspaceFolders[E];if(r(O.uri,x,N))return O}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(C,x){return x&&this._structure.get(C)&&(C=(0,A.dirname)(C)),this._structure.findSubstr(C)}resolveWorkspaceFolder(C){return this._structure.get(C)}}let v=class{constructor(C,x,N,E){this._onDidChangeWorkspace=new T.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new T.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=E,this._extHostFileSystemInfo=N,this._requestIdProvider=new D.Counter,this._barrier=new t.Barrier,this._proxy=C.getProxy(M.MainContext.MainThreadWorkspace),this._messageService=C.getProxy(M.MainContext.MainThreadMessageService);const O=x.workspace;this._confirmedWorkspace=O?new h(O.id,O.name,[],!!O.transient,O.configuration?i.URI.revive(O.configuration):null,!!O.isUntitled,W=>l(W,N)):void 0}$initializeWorkspace(C,x){this._trusted=x,this.$acceptWorkspaceData(C),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?i.URI.from({scheme:P.Schemas.untitled,path:(0,A.basename)((0,A.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(C,x,N,...E){const O=[];if(Array.isArray(E)&&E.forEach(Z=>{i.URI.isUri(Z.uri)&&!O.some(G=>r(G.uri,Z.uri,this._extHostFileSystemInfo))&&O.push({uri:Z.uri,name:Z.name||(0,A.basenameOrAuthority)(Z.uri)})}),this._unconfirmedWorkspace||[x,N].some(Z=>typeof Z!="number"||Z<0)||N===0&&O.length===0)return!1;const W=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(x+N>W.length)return!1;const U=W.slice(0);U.splice(x,N,...O.map(Z=>({uri:Z.uri,name:Z.name||(0,A.basenameOrAuthority)(Z.uri),index:void 0})));for(let Z=0;Z<U.length;Z++){const G=U[Z];if(U.some((oe,be)=>be!==Z&&r(G.uri,oe.uri,this._extHostFileSystemInfo)))return!1}U.forEach((Z,G)=>Z.index=G);const{added:H,removed:V}=p(W,U,b,this._extHostFileSystemInfo);if(H.length===0&&V.length===0)return!1;if(this._proxy){const Z=C.displayName||C.name;this._proxy.$updateWorkspaceFolders(Z,x,N,O).then(void 0,G=>{this._unconfirmedWorkspace=void 0;const oe={source:{identifier:C.identifier,label:C.displayName||C.name}};this._messageService.$showMessage(u.Severity.Error,(0,g.localize)(0,null,Z,G.toString()),oe,[])})}return this.trySetWorkspaceFolders(U),!0}getWorkspaceFolder(C,x){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(C,x)}async getWorkspaceFolder2(C,x){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(C,x)}async resolveWorkspaceFolder(C){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(C)}getPath(){if(!this._actualWorkspace)return;const{folders:C}=this._actualWorkspace;if(C.length!==0)return C[0].uri.fsPath}getRelativePath(C,x){let N,E="";if(typeof C=="string"?(N=i.URI.file(C),E=C):typeof C!="undefined"&&(N=C,E=C.fsPath),!N)return E;const O=this.getWorkspaceFolder(N,!0);if(!O)return E;typeof x=="undefined"&&this._actualWorkspace&&(x=this._actualWorkspace.folders.length>1);let W=(0,A.relativePath)(O.uri,N);return x&&O.name&&(W=`${O.name}/${W}`),W}trySetWorkspaceFolders(C){this._actualWorkspace&&(this._unconfirmedWorkspace=h.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:C,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(C){const{workspace:x,added:N,removed:E}=h.toExtHostWorkspace(C,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=x||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:N,removed:E}))}findFiles(C,x,N,E,O=y.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${E.value}, entryPoint: findFiles`);let W;if(x===null?W=!1:x&&(typeof x=="string"?W=x:W=x.pattern),O&&O.isCancellationRequested)return Promise.resolve([]);const{includePattern:U,folder:H}=_(C);return this._proxy.$startFileSearch((0,w.withUndefinedAsNull)(U),(0,w.withUndefinedAsNull)(H),(0,w.withUndefinedAsNull)(W),(0,w.withUndefinedAsNull)(N),O).then(V=>Array.isArray(V)?V.map(Z=>i.URI.revive(Z)):[])}async findTextInFiles(C,x,N,E,O=y.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${E.value}, entryPoint: findTextInFiles`);const W=this._requestIdProvider.getNext(),U=typeof x.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:x.previewOptions,{includePattern:H,folder:V}=_(x.include),Z=typeof x.exclude=="string"?x.exclude:x.exclude?x.exclude.pattern:void 0,G={ignoreSymlinks:typeof x.followSymlinks=="boolean"?!x.followSymlinks:void 0,disregardIgnoreFiles:typeof x.useIgnoreFiles=="boolean"?!x.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof x.useGlobalIgnoreFiles=="boolean"?!x.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof x.useParentIgnoreFiles=="boolean"?!x.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof x.useDefaultExcludes=="boolean"?!x.useDefaultExcludes:!0,fileEncoding:x.encoding,maxResults:x.maxResults,previewOptions:U,afterContext:x.afterContext,beforeContext:x.beforeContext,includePattern:H,excludePattern:Z},oe=!1;if(this._activeSearchCallbacks[W]=be=>{if(oe)return;const Se=i.URI.revive(be.resource);be.results.forEach(le=>{(0,a.resultIsMatch)(le)?N({uri:Se,preview:{text:le.preview.text,matches:(0,s.mapArrayOrNot)(le.preview.matches,ne=>new k.Range(ne.startLineNumber,ne.startColumn,ne.endLineNumber,ne.endColumn))},ranges:(0,s.mapArrayOrNot)(le.ranges,ne=>new k.Range(ne.startLineNumber,ne.startColumn,ne.endLineNumber,ne.endColumn))}):N({uri:Se,text:le.text,lineNumber:le.lineNumber})})},O.isCancellationRequested)return{};try{const be=await this._proxy.$startTextSearch(C,(0,w.withUndefinedAsNull)(V),G,W,O);return delete this._activeSearchCallbacks[W],be||{}}catch(be){throw delete this._activeSearchCallbacks[W],be}}$handleTextSearchResult(C,x){this._activeSearchCallbacks[x]&&this._activeSearchCallbacks[x](C)}saveAll(C){return this._proxy.$saveAll(C)}resolveProxy(C){return this._proxy.$resolveProxy(C)}get trusted(){return this._trusted}requestWorkspaceTrust(C){return this._proxy.$requestWorkspaceTrust(C)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};v=Ue([$e(0,d.IExtHostRpcService),$e(1,m.IExtHostInitDataService),$e(2,S.IExtHostFileSystemInfo),$e(3,c.ILogService)],v),e.ExtHostWorkspace=v,e.IExtHostWorkspace=(0,o.createDecorator)("IExtHostWorkspace");function _(f){let C,x;return f&&(typeof f=="string"?C=f:(C=f.pattern,x=f.baseFolder||i.URI.file(f.base))),{includePattern:C,folder:x}}}),define(we[32],Ee([0,1,26,4,31,5,7,141,83,10,14,3,13,12,2]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function c(M,r){if(r){const n=r.split(".");let b=M;for(let p=0;b&&p<n.length;p++)b=b[n[p]];return b}}function u(M){return M instanceof o.URI}function F(M){return M&&M.uri instanceof o.URI&&M.languageId&&typeof M.languageId=="string"}function S(M){return M&&!M.uri&&M.languageId&&typeof M.languageId=="string"}function m(M){return M&&M.uri instanceof o.URI&&(!M.name||typeof M.name=="string")&&(!M.index||typeof M.index=="number")}function d(M){if(u(M))return{resource:M};if(F(M))return{resource:M.uri,overrideIdentifier:M.languageId};if(S(M))return{overrideIdentifier:M.languageId};if(m(M))return{resource:M.uri};if(M===null)return{resource:null}}let k=class{constructor(r,n,b){this._proxy=r.getProxy(T.MainContext.MainThreadConfiguration),this._extHostWorkspace=n,this._logService=b,this._barrier=new R.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(r=>this._actual)}$initializeConfiguration(r){this._actual=new a(this._proxy,this._extHostWorkspace,r,this._logService),this._barrier.open()}$acceptConfigurationChanged(r,n){this.getConfigProvider().then(b=>b.$acceptConfigurationChanged(r,n))}};k=Ue([$e(0,i.IExtHostRpcService),$e(1,y.IExtHostWorkspace),$e(2,g.ILogService)],k),e.ExtHostConfiguration=k;class a{constructor(r,n,b,p){this._onDidChangeConfiguration=new t.Emitter,this._proxy=r,this._logService=p,this._extHostWorkspace=n,this._configuration=P.Configuration.parse(b),this._configurationScopes=this._toMap(b.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(r,n){const b={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=P.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(n,b))}getConfiguration(r,n,b){const p=d(n)||{},l=this._toReadonlyValue(r?c(this._configuration.getValue(void 0,p,this._extHostWorkspace.workspace),r):this._configuration.getValue(void 0,p,this._extHostWorkspace.workspace));r&&this._validateConfigurationAccess(r,p,b?.identifier);function h(_){if(_==null)return null;if(typeof _=="boolean")return _?1:4;switch(_){case I.ConfigurationTarget.Global:return 1;case I.ConfigurationTarget.Workspace:return 4;case I.ConfigurationTarget.WorkspaceFolder:return 5}}const v={has(_){return typeof c(l,_)!="undefined"},get:(_,f)=>{this._validateConfigurationAccess(r?`${r}.${_}`:_,p,b?.identifier);let C=c(l,_);if(typeof C=="undefined")C=f;else{let x;const N=(E,O)=>{let W;const U=()=>{x=x||(0,s.deepClone)(l),W=W||c(x,O)};return(0,A.isObject)(E)?new Proxy(E,{get:(H,V)=>{if(typeof V=="string"&&V.toLowerCase()==="tojson")return U(),()=>W;if(x)return W=W||c(x,O),W[V];const Z=H[V];return typeof V=="string"?N(Z,`${O}.${V}`):Z},set:(H,V,Z)=>(U(),W&&(W[V]=Z),!0),deleteProperty:(H,V)=>(U(),W&&delete W[V],!0),defineProperty:(H,V,Z)=>(U(),W&&Object.defineProperty(W,V,Z),!0)}):E};C=N(C,_)}return C},update:(_,f,C,x)=>{_=r?`${r}.${_}`:_;const N=h(C);return f!==void 0?this._proxy.$updateConfigurationOption(N,_,f,p,x):this._proxy.$removeConfigurationOption(N,_,p,x)},inspect:_=>{_=r?`${r}.${_}`:_;const f=(0,s.deepClone)(this._configuration.inspect(_,p,this._extHostWorkspace.workspace));if(f)return{key:_,defaultValue:f.default?.value,globalValue:f.user?.value,workspaceValue:f.workspace?.value,workspaceFolderValue:f.workspaceFolder?.value,defaultLanguageValue:f.default?.override,globalLanguageValue:f.user?.override,workspaceLanguageValue:f.workspace?.override,workspaceFolderLanguageValue:f.workspaceFolder?.override,languageIds:f.overrideIdentifiers}}};return typeof l=="object"&&(0,s.mixin)(v,l,!1),Object.freeze(v)}_toReadonlyValue(r){const n=b=>(0,A.isObject)(b)?new Proxy(b,{get:(p,l)=>n(p[l]),set:(p,l,h)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(l)}' of object`)},deleteProperty:(p,l)=>{throw new Error(`TypeError: Cannot delete read only property '${String(l)}' of object`)},defineProperty:(p,l)=>{throw new Error(`TypeError: Cannot define property '${String(l)}' for a readonly object`)},setPrototypeOf:p=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):b;return n(r)}_validateConfigurationAccess(r,n,b){const p=D.OVERRIDE_PROPERTY_REGEX.test(r)?4:this._configurationScopes.get(r),l=b?`[${b.value}] `:"";if(p===4){typeof n?.resource=="undefined"&&this._logService.warn(`${l}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${r}', provide the URI of a resource or 'null' for any resource.`);return}if(p===3){n?.resource&&this._logService.warn(`${l}Accessing a window scoped configuration for a resource is not expected. To associate '${r}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(r,n){const b=new P.ConfigurationChangeEvent(r,n,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(p,l)=>b.affectsConfiguration(p,d(l))})}_toMap(r){return r.reduce((n,b)=>(n.set(b[0],b[1]),n),new Map)}}e.ExtHostConfigProvider=a,e.IExtHostConfiguration=(0,w.createDecorator)("IExtHostConfiguration")});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[97],Ee([0,1,2,14,4,5,7,31,49,32,20,40,13,28,3,11,23,12,69,160,15]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m,d){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var a;(function(O){function W(H){if(H!=null)return H}O.from=W;function U(H){if(H!=null)return H}O.to=U})(a=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var M;(function(O){function W(H){if(H!=null)return H}O.from=W;function U(H){if(H!=null)return H}O.to=U})(M=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var r;(function(O){function W(H){if(H!=null)return H}O.from=W;function U(H){if(H!=null)return H}O.to=U})(r=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var n;(function(O){function W(V){if(V){const Z=V;return Z&&!!Z.process}else return!1}O.is=W;function U(V){if(V==null)return;const Z={process:V.process,args:V.args};return V.options&&(Z.options=r.from(V.options)),Z}O.from=U;function H(V){if(V!=null)return new I.ProcessExecution(V.process,V.args,V.options)}O.to=H})(n=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var b;(function(O){function W(H){if(H!=null)return H}O.from=W;function U(H){if(H!=null)return H}O.to=U})(b=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var p;(function(O){function W(V){if(V){const Z=V;return Z&&(!!Z.commandLine||!!Z.command)}else return!1}O.is=W;function U(V){if(V==null)return;const Z={};return V.commandLine!==void 0?Z.commandLine=V.commandLine:(Z.command=V.command,Z.args=V.args),V.options&&(Z.options=b.from(V.options)),Z}O.from=U;function H(V){if(!(V==null||V.command===void 0&&V.commandLine===void 0))return V.commandLine?new I.ShellExecution(V.commandLine,V.options):new I.ShellExecution(V.command,V.args?V.args:[],V.options)}O.to=H})(p=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var l;(function(O){function W(V){if(V){let Z=V;return Z&&Z.customExecution==="customExecution"}else return!1}O.is=W;function U(V){return{customExecution:"customExecution"}}O.from=U;function H(V,Z){return Z.get(V)}O.to=H})(l=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var h;(function(O){function W(U,H){let V;return U.scope!==void 0&&typeof U.scope!="number"?V=U.scope.uri:U.scope!==void 0&&typeof U.scope=="number"&&(U.scope===I.TaskScope.Workspace&&H&&H.workspaceFile?V=H.workspaceFile:V=m.USER_TASKS_GROUP_KEY),{id:U._id,workspaceFolder:V}}O.from=W})(h=e.TaskHandleDTO||(e.TaskHandleDTO={}));var v;(function(O){function W(U){if(U!=null)return{_id:U.id,isDefault:U.isDefault}}O.from=W})(v=e.TaskGroupDTO||(e.TaskGroupDTO={}));var _;(function(O){function W(V,Z){if(V==null)return[];const G=[];for(let oe of V){const be=U(oe,Z);be&&G.push(be)}return G}O.fromMany=W;function U(V,Z){if(V==null)return;let G;V.execution instanceof I.ProcessExecution?G=n.from(V.execution):V.execution instanceof I.ShellExecution?G=p.from(V.execution):V.execution&&V.execution instanceof I.CustomExecution&&(G=l.from(V.execution));const oe=a.from(V.definition);let be;return V.scope?typeof V.scope=="number"?be=V.scope:be=V.scope.uri:be=I.TaskScope.Workspace,!oe||!be?void 0:{_id:V._id,definition:oe,name:V.name,source:{extensionId:Z.identifier.value,label:V.source,scope:be},execution:G,isBackground:V.isBackground,group:v.from(V.group),presentationOptions:M.from(V.presentationOptions),problemMatchers:V.problemMatchers,hasDefinedMatchers:V.hasDefinedMatchers,runOptions:V.runOptions?V.runOptions:{reevaluateOnRerun:!0},detail:V.detail}}O.from=U;async function H(V,Z,G){if(V==null)return;let oe;n.is(V.execution)?oe=n.to(V.execution):p.is(V.execution)?oe=p.to(V.execution):l.is(V.execution)&&(oe=l.to(V._id,G));const be=a.to(V.definition);let Se;if(V.source&&(V.source.scope!==void 0?typeof V.source.scope=="number"?Se=V.source.scope:Se=await Z.resolveWorkspaceFolder(s.URI.revive(V.source.scope)):Se=I.TaskScope.Workspace),!be||!Se)return;const le=new I.Task(be,Se,V.name,V.source.label,oe,V.problemMatchers);return V.isBackground!==void 0&&(le.isBackground=V.isBackground),V.group!==void 0&&(le.group=I.TaskGroup.from(V.group._id),le.group&&V.group.isDefault&&(le.group=new I.TaskGroup(le.group.id,le.group.label),V.group.isDefault&&(le.group.isDefault=V.group.isDefault))),V.presentationOptions&&(le.presentationOptions=M.to(V.presentationOptions)),V._id&&(le._id=V._id),V.detail&&(le.detail=V.detail),le}O.to=H})(_=e.TaskDTO||(e.TaskDTO={}));var f;(function(O){function W(H){return H}O.from=W;function U(H){if(!!H)return Object.assign(Object.create(null),H)}O.to=U})(f=e.TaskFilterDTO||(e.TaskFilterDTO={}));class C{constructor(W,U,H){this._id=U,this._task=H,k.set(this,void 0),et(this,k,W,"f")}get task(){return this._task}terminate(){ke(this,k,"f").terminateTask(this)}fireDidStartProcess(W){}fireDidEndProcess(W){}}k=new WeakMap;var x;(function(O){function W(U){return{id:U._id,task:void 0}}O.from=W})(x=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let N=class{constructor(W,U,H,V,Z,G,oe,be){this._onDidExecuteTask=new y.Emitter,this._onDidTerminateTask=new y.Emitter,this._onDidTaskProcessStarted=new y.Emitter,this._onDidTaskProcessEnded=new y.Emitter,this._proxy=W.getProxy(T.MainContext.MainThreadTask),this._workspaceProvider=H,this._editorService=V,this._configurationService=Z,this._terminalService=G,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=oe,this._deprecationService=be,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(W,U,H){if(!H)return new I.Disposable(()=>{});const V=this.nextHandle();return this._handlers.set(V,{type:U,provider:H,extension:W}),this._proxy.$registerTaskProvider(V,U),new I.Disposable(()=>{this._handlers.delete(V),this._proxy.$unregisterTaskProvider(V)})}registerTaskSystem(W,U){this._proxy.$registerTaskSystem(W,U)}fetchTasks(W){return this._proxy.$fetchTasks(f.from(W)).then(async U=>{const H=[];for(let V of U){const Z=await _.to(V,this._workspaceProvider,this._providedCustomExecutions2);Z&&H.push(Z)}return H})}get taskExecutions(){const W=[];return this._taskExecutions.forEach(U=>W.push(U)),W}terminateTask(W){if(!(W instanceof C))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(W._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(W,U,H){const V=this._providedCustomExecutions2.get(W.id);V&&(this._activeCustomExecutions2.set(W.id,V),this._terminalService.attachPtyToTerminal(U,await V.callback(H))),this._lastStartedTask=W.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(W)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(W){const U=await this.getTaskExecution(W);this._taskExecutionPromises.delete(W.id),this._taskExecutions.delete(W.id),this.customExecutionComplete(W),this._onDidTerminateTask.fire({execution:U})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(W){const U=await this.getTaskExecution(W.id);this._onDidTaskProcessStarted.fire({execution:U,processId:W.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(W){const U=await this.getTaskExecution(W.id);this._onDidTaskProcessEnded.fire({execution:U,exitCode:W.exitCode})}$provideTasks(W,U){const H=this._handlers.get(W);if(!H)return Promise.reject(new Error("no handler found"));const V=[],Z=(0,t.asPromise)(()=>H.provider.provideTasks(R.CancellationToken.None)).then(G=>this.provideTasksInternal(U,V,H,G));return new Promise(G=>{Z.then(oe=>{Promise.all(V).then(()=>{G(oe)})})})}async $resolveTask(W,U){const H=this._handlers.get(W);if(!H)return Promise.reject(new Error("no handler found"));if(U.definition.type!==H.type)throw new Error(`Unexpected: Task of type [${U.definition.type}] cannot be resolved by provider of type [${H.type}].`);const V=await _.to(U,this._workspaceProvider,this._providedCustomExecutions2);if(!V)throw new Error("Unexpected: Task cannot be resolved.");const Z=await H.provider.resolveTask(V,R.CancellationToken.None);if(!Z)return;this.checkDeprecation(Z,H);const G=_.from(Z,H.extension);if(!G)throw new Error("Unexpected: Task cannot be resolved.");if(Z.definition!==V.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return l.is(G.execution)&&await this.addCustomExecution(G,Z,!0),await this.resolveTaskInternal(G)}nextHandle(){return this._handleCounter++}async addCustomExecution(W,U,H){const V=await this._proxy.$createTaskId(W);!H&&!this._providedCustomExecutions2.has(V)&&(this._notProvidedCustomExecutions.add(V),this._activeCustomExecutions2.set(V,U.execution)),this._providedCustomExecutions2.set(V,U.execution)}async getTaskExecution(W,U){if(typeof W=="string"){const Z=this._taskExecutionPromises.get(W);if(!Z)throw new Error("Unexpected: The specified task is missing an execution");return Z}let H=this._taskExecutionPromises.get(W.id);if(H)return H;const V=new Promise((Z,G)=>{function oe(be,Se,le){le?Z(new C(be,Se.id,le)):G("Unexpected: Task does not exist.")}U?oe(this,W,U):_.to(W.task,this._workspaceProvider,this._providedCustomExecutions2).then(be=>oe(this,W,be))});return this._taskExecutionPromises.set(W.id,V),V.then(Z=>(this._taskExecutions.set(W.id,Z),Z),Z=>Promise.reject(Z))}checkDeprecation(W,U){W._deprecated&&this._deprecationService.report("Task.constructor",U.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(W){this._activeCustomExecutions2.get(W.id)&&this._activeCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.has(W.id)&&this._lastStartedTask!==W.id&&(this._providedCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.delete(W.id));let H=this._notProvidedCustomExecutions.values(),V=H.next();for(;!V.done;)!this._activeCustomExecutions2.has(V.value)&&this._lastStartedTask!==V.value&&(this._providedCustomExecutions2.delete(V.value),this._notProvidedCustomExecutions.delete(V.value)),V=H.next()}};N=Ue([$e(0,i.IExtHostRpcService),$e(1,g.IExtHostInitDataService),$e(2,P.IExtHostWorkspace),$e(3,D.IExtHostDocumentsAndEditors),$e(4,A.IExtHostConfiguration),$e(5,w.IExtHostTerminalService),$e(6,F.ILogService),$e(7,S.IExtHostApiDeprecationService)],N),e.ExtHostTaskBase=N;let E=class extends N{constructor(W,U,H,V,Z,G,oe,be){super(W,U,H,V,Z,G,oe,be);this.registerTaskSystem(c.Schemas.vscodeRemote,{scheme:c.Schemas.vscodeRemote,authority:"",platform:u.PlatformToString(0)})}async executeTask(W,U){if(!U.execution)throw new Error("Tasks to execute must include an execution");const H=_.from(U,W);if(H===void 0)throw new Error("Task is not valid");if(l.is(H.execution))await this.addCustomExecution(H,U,!1);else throw new d.NotSupportedError;const V=await this.getTaskExecution(await this._proxy.$getTaskExecution(H),U);return this._proxy.$executeTask(H).catch(Z=>{throw new Error(Z)}),V}provideTasksInternal(W,U,H,V){const Z=[];if(V)for(let G of V){this.checkDeprecation(G,H),(!G.definition||!W[G.definition.type])&&this._logService.warn(`The task [${G.source}, ${G.name}] uses an undefined task type. The task will be ignored in the future.`);const oe=_.from(G,H.extension);oe&&l.is(oe.execution)?(Z.push(oe),U.push(this.addCustomExecution(oe,G,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:Z,extension:H.extension}}async resolveTaskInternal(W){if(l.is(W.execution))return W;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(W,U){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(W,U,H){}};E=Ue([$e(0,i.IExtHostRpcService),$e(1,g.IExtHostInitDataService),$e(2,P.IExtHostWorkspace),$e(3,D.IExtHostDocumentsAndEditors),$e(4,A.IExtHostConfiguration),$e(5,w.IExtHostTerminalService),$e(6,F.ILogService),$e(7,S.IExtHostApiDeprecationService)],E),e.WorkerExtHostTask=E,e.IExtHostTask=(0,o.createDecorator)("IExtHostTask")}),define(we[211],Ee([0,1,16,74,29,78,21,11,17,24,9,10,2,232,127,81,47,90,210,41]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let d=class{constructor(h,v,_,f){this.configurationService=h,this.workspaceContextService=v,this.editorGroupsService=_,this.pathService=f}text(h,v,_={}){h=this.getContentPattern(h,_);const f=this.configurationService.getValue(),C=v&&v.some(N=>!this.configurationService.getValue({resource:N}).search.useRipgrep);return{...this.commonQuery(v?.map(u.toWorkspaceFolder),_),type:2,contentPattern:h,previewOptions:_.previewOptions,maxFileSize:_.maxFileSize,usePCRE2:f.search.usePCRE2||C||!1,beforeContext:_.beforeContext,afterContext:_.afterContext,userDisabledExcludesAndIgnoreFiles:_.disregardExcludeSettings&&_.disregardIgnoreFiles}}getContentPattern(h,v){const _=this.configurationService.getValue();h.isRegExp&&(h.pattern=h.pattern.replace(/\r?\n/g,"\\n"));const f={...h,wordSeparators:_.editor.wordSeparators};return this.isCaseSensitive(h,v)&&(f.isCaseSensitive=!0),this.isMultiline(h)&&(f.isMultiline=!0),f}file(h,v={}){return{...this.commonQuery(h,v),type:1,filePattern:v.filePattern?v.filePattern.trim():v.filePattern,exists:v.exists,sortByScore:v.sortByScore,cacheKey:v.cacheKey}}handleIncludeExclude(h,v){return h?(h=Array.isArray(h)?h.map(n):n(h),v?this.parseSearchPaths(h):{pattern:a(...Array.isArray(h)?h:[h])}):{}}commonQuery(h=[],v={}){const _=this.handleIncludeExclude(v.includePattern,v.expandPatterns),f=this.handleIncludeExclude(v.excludePattern,v.expandPatterns),C=h.length>1,x=(_.searchPaths&&_.searchPaths.length?_.searchPaths.map(O=>this.getFolderQueryForSearchPath(O,v,f)):h.map(O=>this.getFolderQueryForRoot(O,v,f,C))).filter(O=>!!O),N={_reason:v._reason,folderQueries:x,usingSearchPaths:!!(_.searchPaths&&_.searchPaths.length),extraFileResources:v.extraFileResources,excludePattern:f.pattern,includePattern:_.pattern,onlyOpenEditors:v.onlyOpenEditors,maxResults:v.maxResults};if(v.onlyOpenEditors){const W=s.coalesce(s.flatten(this.editorGroupsService.groups.map(H=>H.editors.map(V=>V.resource)))).filter(H=>(0,m.pathIncludedInQuery)(N,H.fsPath)),U=this.commonQueryFromFileList(W);return{...N,...U}}const E=v.extraFileResources&&v.extraFileResources.filter(O=>(0,m.pathIncludedInQuery)(N,O.fsPath));return N.extraFileResources=E&&E.length?E:void 0,N}commonQueryFromFileList(h){const v=[],_=new I.ResourceMap,f={};let C=!1;return h.forEach(x=>{if(x.scheme===P.Schemas.walkThrough)return;if((0,A.isAbsolutePath)(x)){const E=this.workspaceContextService.getWorkspaceFolder(x)?.uri??x.with({path:D.dirname(x.fsPath)});let O=_.get(E);O||(C=!0,O={folder:E,includePattern:{}},v.push(O),_.set(E,O));const W=D.relative(E.fsPath,x.fsPath);(0,w.assertIsDefined)(O.includePattern)[W.replace(/\\/g,"/")]=!0}else x.fsPath&&(C=!0,f[x.fsPath]=!0)}),{folderQueries:v,includePattern:f,usingSearchPaths:!0,excludePattern:C?void 0:{"**/*":!0}}}isCaseSensitive(h,v){if(v.isSmartCase){if(h.isRegExp){if(R.containsUppercaseCharacter(h.pattern,!0))return!0}else if(R.containsUppercaseCharacter(h.pattern))return!0}return!!h.isCaseSensitive}isMultiline(h){return h.isMultiline||h.isRegExp&&(0,g.isMultilineRegexSource)(h.pattern)||h.pattern.indexOf(`
`)>=0?!0:!!h.isMultiline}parseSearchPaths(h){const v=U=>D.isAbsolute(U)||/^\.\.?([\/\\]|$)/.test(U),f=(Array.isArray(h)?h:M(h)).map(U=>{const H=this.pathService.resolvedUserHome;return H?(0,T.untildify)(U,H.scheme===P.Schemas.file?H.fsPath:H.path):U}),C=t.groupBy(f,U=>v(U)?"searchPaths":"exprSegments"),x=(C.exprSegments||[]).map(U=>R.rtrim(U,"/")).map(U=>R.rtrim(U,"\\")).map(U=>(U[0]==="."&&(U="*"+U),r(U))),N={},E=this.expandSearchPathPatterns(C.searchPaths||[]);E&&E.length&&(N.searchPaths=E);const O=s.flatten(x),W=a(...O);return W&&(N.pattern=W),N}getExcludesForFolder(h,v){return v.disregardExcludeSettings?void 0:(0,m.getExcludes)(h,!v.disregardSearchExcludeSettings)}expandSearchPathPatterns(h){if(!h||!h.length)return[];const v=s.flatten(h.map(f=>{let{pathPortion:C,globPortion:x}=k(f);x&&(x=b(x));const N=this.expandOneSearchPath(C);return s.flatten(N.map(E=>this.resolveOneSearchPathPattern(E,x)))})),_=new Map;return v.forEach(f=>{const C=f.searchPath.toString(),x=_.get(C);x?f.pattern&&(x.pattern=x.pattern||{},x.pattern[f.pattern]=!0):_.set(C,{searchPath:f.searchPath,pattern:f.pattern?a(f.pattern):void 0})}),Array.from(_.values())}expandOneSearchPath(h){if(D.isAbsolute(h)){const v=this.workspaceContextService.getWorkspace().folders;return v[0]&&v[0].uri.scheme!==P.Schemas.file?[{searchPath:v[0].uri.with({path:h})}]:[{searchPath:i.URI.file(D.normalize(h))}]}if(this.workspaceContextService.getWorkbenchState()===2){const v=this.workspaceContextService.getWorkspace().folders[0].uri;if(h=n(h),h.startsWith("../")||h===".."){const f=D.posix.resolve(v.path,h);return[{searchPath:v.with({path:f})}]}const _=b(h);return[{searchPath:v,pattern:_}]}else{if(h==="./"||h===".\\")return[];{const v=h.replace(/^\.[\/\\]/,""),f=this.workspaceContextService.getWorkspace().folders.map(C=>{const x=v.match(new RegExp(`^${R.escapeRegExpCharacters(C.name)}(?:/(.*)|$)`));return x?{match:x,folder:C}:null}).filter(w.isDefined);if(f.length)return f.map(C=>{const x=C.match[1];return{searchPath:C.folder.uri,pattern:x&&b(x)}});{const C=h.match(/\.[\/\\](.+)[\/\\]?/),x=C?C[1]:h,N=o.localize(0,null,x);throw new Error(N)}}}}resolveOneSearchPathPattern(h,v){const _=h.pattern&&v?`${h.pattern}/${v}`:h.pattern||v,f=[{searchPath:h.searchPath,pattern:_}];return _&&!_.endsWith("**")&&f.push({searchPath:h.searchPath,pattern:_+"/**"}),f}getFolderQueryForSearchPath(h,v,_){const f=this.getFolderQueryForRoot((0,u.toWorkspaceFolder)(h.searchPath),v,_,!1);return f?{...f,includePattern:h.pattern}:null}getFolderQueryForRoot(h,v,_,f){let C;const x=i.URI.isUri(h)?h:h.uri;if(_.searchPaths){const U=_.searchPaths.filter(H=>(0,A.isEqual)(H.searchPath,x))[0];if(U&&!U.pattern)return null;U&&(C=U.pattern)}const N=this.configurationService.getValue({resource:x}),O={...this.getExcludesForFolder(N,v)||{},...C||{}},W=i.URI.isUri(h)?(0,A.basename)(h):h.name;return{folder:x,folderName:f?W:void 0,excludePattern:Object.keys(O).length>0?O:void 0,fileEncoding:N.files&&N.files.encoding,disregardIgnoreFiles:typeof v.disregardIgnoreFiles=="boolean"?v.disregardIgnoreFiles:!N.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof v.disregardGlobalIgnoreFiles=="boolean"?v.disregardGlobalIgnoreFiles:!N.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof v.disregardParentIgnoreFiles=="boolean"?v.disregardParentIgnoreFiles:!N.search.useParentIgnoreFiles,ignoreSymlinks:typeof v.ignoreSymlinks=="boolean"?v.ignoreSymlinks:!N.search.followSymlinks}}};d=Ue([$e(0,c.IConfigurationService),$e(1,u.IWorkspaceContextService),$e(2,F.IEditorGroupsService),$e(3,S.IPathService)],d),e.QueryBuilder=d;function k(l){const h=l.match(/[\*\{\}\(\)\[\]\?]/);if(h){const v=h.index,_=l.substr(0,v).match(/[/|\\][^/\\]*$/);if(_){let f=l.substr(0,_.index);return f.match(/[/\\]/)||(f+="/"),{pathPortion:f,globPortion:l.substr((_.index||0)+1)}}}return{pathPortion:l}}function a(...l){return l.length?l.reduce((h,v)=>(h[v]=!0,h),Object.create(null)):void 0}function M(l){return y.splitGlobAware(l,",").map(h=>h.trim()).filter(h=>!!h.length)}function r(l){return[`**/${l}/**`,`**/${l}`].map(v=>v.replace(/\*\*\/\*\*/g,"**"))}function n(l){return l.replace(/\\/g,"/")}function b(l){return n(l).replace(/^\.\//,"").replace(/\/+$/g,"")}function p(l,h){l=s.distinct(l,f=>f.toString());const v=[],_=h.getWorkspace();return l&&l.forEach(f=>{let C;if(h.getWorkbenchState()===2)C=(0,A.relativePath)(_.folders[0].uri,f),C&&C!=="."&&(C="./"+C);else{const x=h.getWorkspaceFolder(f);if(x){const N=x.name;if(_.folders.filter(O=>O.name===N).length===1){const O=(0,A.relativePath)(x.uri,f);O===""?C=`./${x.name}`:C=`./${x.name}/${O}`}else C=f.fsPath}}C&&v.push(C)}),v}e.resolveResourcesForSearchIncludes=p}),define(we[212],Ee([0,1,24,2,20,15,3,211,41,47]),function(te,e,s,t,y,T,I,P,D,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const R=7e3;function w(c,u){const F=u.activationEvents;if(!F)return Promise.resolve(void 0);const S=[],m=[];for(const n of F)if(/^workspaceContains:/.test(n)){const b=n.substr("workspaceContains:".length);b.indexOf("*")>=0||b.indexOf("?")>=0||c.forceUsingSearch?m.push(b):S.push(b)}if(S.length===0&&m.length===0)return Promise.resolve(void 0);let d;const k=new Promise((n,b)=>{d=n}),a=n=>d({activationEvent:n}),M=Promise.all(S.map(n=>i(c,n,a))).then(()=>{}),r=g(c,u.identifier,m,a);return Promise.all([M,r]).then(()=>{d(void 0)}),k}e.checkActivateWorkspaceContainsExtension=w;async function i(c,u,F){for(const S of c.folders)if(await c.exists(s.joinPath(t.URI.revive(S),u))){F(`workspaceContains:${u}`);return}}async function g(c,u,F,S){if(F.length===0)return Promise.resolve(void 0);const m=new y.CancellationTokenSource,d=c.checkExists(c.folders,F,m.token),k=setTimeout(async()=>{m.cancel(),c.logService.info(`Not activating extension '${u.value}': Timed out while searching for 'workspaceContains' pattern ${F.join(",")}`)},R);let a=!1;try{a=await d}catch(M){T.isPromiseCanceledError(M)||T.onUnexpectedError(M)}m.dispose(),clearTimeout(k),a&&S(`workspaceContains:${F.join(",")}`)}function o(c,u,F,S){const m=c.get(I.IInstantiationService),d=c.get(D.ISearchService),a=m.createInstance(P.QueryBuilder).file(u.map(M=>(0,A.toWorkspaceFolder)(t.URI.revive(M))),{_reason:"checkExists",includePattern:F,exists:!0});return d.fileSearch(a,S).then(M=>!!M.limitHit,M=>T.isPromiseCanceledError(M)?!1:Promise.reject(M))}e.checkGlobFileExists=o});var et=this&&this.__classPrivateFieldSet||function(te,e,s,t,y){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!y)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?te!==e||!y:!e.has(te))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?y.call(te,s):y?y.value=s:e.set(te,s),s},ke=this&&this.__classPrivateFieldGet||function(te,e,s,t){if(s==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?te!==e||!t:!e.has(te))throw new TypeError("Cannot read private member from an object whose class did not declare it");return s==="m"?t:s==="a"?t.call(te):t?t.value:e.get(te)};define(we[33],Ee([0,1,119,17,73,24,14,6,21,2,12,5,32,172,71,31,27,170,15,25,22,146,7,84,3,28,72,13,60,64,40,4,212,68,148,11]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m,d,k,a,M,r,n,b,p,l,h,v,_,f,C,x,N){"use strict";var E,O,W;Object.defineProperty(e,"__esModule",{value:!0}),e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,r.createDecorator)("IHostUtils");let U=class qi extends P.Disposable{constructor(G,oe,be,Se,le,ne,ve,Ie,Oe,He){super();this._onDidChangeRemoteConnectionData=this._register(new _.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=oe,this._extHostContext=be,this._initData=ve,this._extHostWorkspace=Se,this._extHostConfiguration=le,this._logService=ne,this._extHostTunnelService=Oe,this._extHostTerminalService=He,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(w.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(w.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(w.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new I.Barrier,this._readyToStartExtensionHost=new I.Barrier,this._readyToRunExtensions=new I.Barrier,this._eagerExtensionsActivated=new I.Barrier,this._registry=new F.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new o.ExtHostStorage(this._extHostContext),this._secretState=new C.ExtHostSecretState(this._extHostContext),this._storagePath=Ie,this._instaService=G.createChild(new l.ServiceCollection([o.IExtHostStorage,this._storage],[C.IExtHostSecretState,this._secretState]));const Xe=new Set;this._initData.hostExtensions.forEach(Ye=>Xe.add(m.ExtensionIdentifier.toKey(Ye))),this._activator=this._register(new g.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Ye,$,K)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Ye,S.transformErrorForSerialization($),K)},actualActivateExtension:async(Ye,$)=>{if(Xe.has(m.ExtensionIdentifier.toKey(Ye)))return await this._mainThreadExtensionsProxy.$activateExtension(Ye,$),new g.HostExtension;const K=this._registry.getExtensionDescription(Ye);return this._activateExtension(K,$)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),y.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(G){S.onUnexpectedError(G)}}async deactivateAll(){this._storagePath.onWillDeactivateAll();let G=[];try{G=this._registry.getAllExtensionDescriptions().map(le=>le.identifier).filter(le=>this.isActivated(le)).map(le=>this._deactivate(le))}catch{}await Promise.all(G)}isActivated(G){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(G):!1}_activateByEvent(G,oe){return this._activator.activateByEvent(G,oe)}_activateById(G,oe){return this._activator.activateById(G,oe)}activateByIdWithErrors(G,oe){return this._activateById(G,oe).then(()=>{const be=this._activator.getActivatedExtension(G);if(be.activationFailed)return Promise.reject(be.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(G=>this._registry)}getExtensionExports(G){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(G).exports:null}async _realPathExtensionUri(G){if(G.scheme!==N.Schemas.file)return G;const oe=await this._hostUtils.realpath(G.fsPath);return A.URI.file(oe)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=(async()=>{const G=D.TernarySearchTree.forUris(oe=>T.extUriBiasedIgnorePathCase.ignorePathCasing(oe));for(const oe of this._registry.getAllExtensionDescriptions())if(this._getEntryPoint(oe)){const be=await this._realPathExtensionUri(oe.extensionLocation);G.set(be,oe)}return G})()),this._extensionPathIndex}_deactivate(G){let oe=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(G))return oe;const be=this._activator.getActivatedExtension(G);if(!be)return oe;try{typeof be.module.deactivate=="function"&&(oe=Promise.resolve(be.module.deactivate()).then(void 0,Se=>(this._logService.error(Se),Promise.resolve(void 0))))}catch(Se){this._logService.error(`An error occurred when deactivating the extension '${G.value}':`),this._logService.error(Se)}try{(0,P.dispose)(be.subscriptions)}catch(Se){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${G.value}':`),this._logService.error(Se)}return oe}async _activateExtension(G,oe){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(G.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(G.identifier),this._doActivateExtension(G,oe).then(be=>{const Se=be.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(G.identifier,Se.codeLoadingTime,Se.activateCallTime,Se.activateResolvedTime,oe),this._logExtensionActivationTimes(G,oe,"success",Se),be},be=>{throw this._logExtensionActivationTimes(G,oe,"failure"),be})}_logExtensionActivationTimes(G,oe,be,Se){const le=H(G,oe);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...le,...Se||{},outcome:be})}_doActivateExtension(G,oe){const be=H(G,oe);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",be);const Se=this._getEntryPoint(G);if(!Se)return Promise.resolve(new g.EmptyExtension(g.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${G.identifier.value}, startup: ${oe.startup}, activationEvent: '${oe.activationEvent}'${G.identifier.value!==oe.extensionId.value?`, root cause: ${oe.extensionId.value}`:""}`),this._logService.flush();const le=new g.ExtensionActivationTimesBuilder(oe.startup);return Promise.all([this._loadCommonJSModule(G.identifier,(0,T.joinPath)(G.extensionLocation,Se),le),this._loadExtensionContext(G)]).then(ne=>(y.mark(`code/extHost/willActivateExtension/${G.identifier.value}`),qi._callActivate(this._logService,G.identifier,ne[0],ne[1],le))).then(ne=>(y.mark(`code/extHost/didActivateExtension/${G.identifier.value}`),ne))}_loadExtensionContext(G){const oe=new k.ExtensionGlobalMemento(G,this._storage),be=new k.ExtensionMemento(G.identifier.value,!1,this._storage),Se=new x.ExtensionSecrets(G,this._secretState),le=G.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?a.ExtensionMode.Test:a.ExtensionMode.Development:a.ExtensionMode.Production,ne=this._initData.remote.isRemote?a.ExtensionKind.Workspace:a.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${G.identifier.value}`),Promise.all([oe.whenReady,be.whenReady,this._storagePath.whenReady]).then(()=>{const ve=this;let Ie;const Oe=(0,u.isProposedApiEnabled)(G,"ipc")?this._initData.messagePorts?.get(m.ExtensionIdentifier.toKey(G.identifier)):void 0;return Object.freeze({globalState:oe,workspaceState:be,secrets:Se,subscriptions:[],get extensionUri(){return G.extensionLocation},get extensionPath(){return G.extensionLocation.fsPath},asAbsolutePath(He){return t.join(G.extensionLocation.fsPath,He)},get storagePath(){return ve._storagePath.workspaceValue(G)?.fsPath},get globalStoragePath(){return ve._storagePath.globalValue(G).fsPath},get logPath(){return t.join(ve._initData.logsLocation.fsPath,G.identifier.value)},get logUri(){return A.URI.joinPath(ve._initData.logsLocation,G.identifier.value)},get storageUri(){return ve._storagePath.workspaceValue(G)},get globalStorageUri(){return ve._storagePath.globalValue(G)},get extensionMode(){return le},get extension(){return Ie===void 0&&(Ie=new V(ve,G.identifier,G,ne)),Ie},get extensionRuntime(){return(0,u.checkProposedApiEnabled)(G,"extensionRuntime"),ve.extensionRuntime},get environmentVariableCollection(){return ve._extHostTerminalService.getEnvironmentVariableCollection(G)},messagePassingProtocol:Oe&&{onDidReceiveMessage:_.Event.fromDOMEventEmitter(Oe,"message",He=>He.data),postMessage:Oe.postMessage.bind(Oe)}})})}static _callActivate(G,oe,be,Se,le){return be=be||{activate:void 0,deactivate:void 0},this._callActivateOptional(G,oe,be,Se,le).then(ne=>new g.ActivatedExtension(!1,null,le.build(),be,ne,Se.subscriptions))}static _callActivateOptional(G,oe,be,Se,le){if(typeof be.activate=="function")try{le.activateCallStart(),G.trace(`ExtensionService#_callActivateOptional ${oe.value}`);const ne=typeof global=="object"?global:self,ve=be.activate.apply(ne,[Se]);return le.activateCallStop(),le.activateResolveStart(),Promise.resolve(ve).then(Ie=>(le.activateResolveStop(),Ie))}catch(ne){return Promise.reject(ne)}else return Promise.resolve(be)}_activateOneStartupFinished(G,oe){this._activateById(G.identifier,{startup:!1,extensionId:G.identifier,activationEvent:oe}).then(void 0,be=>{this._logService.error(be)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(y.getMarks());for(const G of this._registry.getAllExtensionDescriptions())if(G.activationEvents)for(const oe of G.activationEvents)oe==="onStartupFinished"&&this._activateOneStartupFinished(G,oe)}_handleEagerExtensions(){const G=this._activateByEvent("*",!0).then(void 0,le=>{this._logService.error(le)});this._register(this._extHostWorkspace.onDidChangeWorkspace(le=>this._handleWorkspaceContainsEagerExtensions(le.added)));const oe=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],be=this._handleWorkspaceContainsEagerExtensions(oe),Se=Promise.all([G,be]).then(()=>{});return Promise.race([Se,(0,I.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),Se}_handleWorkspaceContainsEagerExtensions(G){return G.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(oe=>this._handleWorkspaceContainsEagerExtension(G,oe))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(G,oe){if(this.isActivated(oe.identifier))return;const be=!this._initData.remote.isRemote&&!!this._initData.remote.authority,Se={logService:this._logService,folders:G.map(ne=>ne.uri),forceUsingSearch:be,exists:ne=>this._hostUtils.exists(ne.fsPath),checkExists:(ne,ve,Ie)=>this._mainThreadWorkspaceProxy.$checkExists(ne,ve,Ie)},le=await(0,f.checkActivateWorkspaceContainsExtension)(Se,oe);if(!!le)return this._activateById(oe.identifier,{startup:!0,extensionId:oe.identifier,activationEvent:le.activationEvent}).then(void 0,ne=>this._logService.error(ne))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(G){throw console.error(G),G}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:G,extensionTestsLocationURI:oe}=this._initData.environment;if(!G||!oe)throw new Error(s.localize(0,null));const be=await this._loadCommonJSModule(null,oe,new g.ExtensionActivationTimesBuilder(!1));if(!be||typeof be.run!="function")throw new Error(s.localize(1,null,oe.toString()));return new Promise((Se,le)=>{const ne=(Oe,He)=>{Oe?le(Oe):Se(typeof He=="number"&&He>0?1:0)},ve=(0,T.originalFSPath)(oe),Ie=be.run(ve,ne);Ie&&Ie.then&&Ie.then(()=>{Se(0)}).catch(Oe=>{le(Oe instanceof Error&&Oe.stack?Oe.stack:String(Oe))})})}async $extensionTestsExit(G){this._logService.info(`Extension host terminating: test runner requested exit with code ${G}`),this._hostUtils.pid&&this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${G}`),this._logService.flush(),this._hostUtils.exit(G)}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(G,oe){return this._resolvers[G]=oe,(0,P.toDisposable)(()=>{delete this._resolvers[G]})}async _activateAndGetResolver(G){const oe=G.indexOf("+");if(oe===-1)throw new Error("Not an authority that can be resolved!");const be=G.substr(0,oe);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${be}`,!1),{authorityPrefix:be,resolver:this._resolvers[be]}}async $resolveAuthority(G,oe){const{authorityPrefix:be,resolver:Se}=await this._activateAndGetResolver(G);if(!Se)return{type:"error",error:{code:M.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${be}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelExtensionFunctions(Se)),y.mark(`code/extHost/willResolveAuthority/${be}`);const le=await Se.resolve(G,{resolveAttempt:oe});y.mark(`code/extHost/didResolveAuthorityOK/${be}`);const ne={authority:G,host:le.host,port:le.port,connectionToken:le.connectionToken},ve={extensionHostEnv:le.extensionHostEnv,isTrusted:le.isTrusted,authenticationSession:le.authenticationSessionForInitializingExtensions?{id:le.authenticationSessionForInitializingExtensions.id,providerId:le.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:ne,options:ve,tunnelInformation:{environmentTunnels:le.environmentTunnels}}}}catch(le){if(y.mark(`code/extHost/didResolveAuthorityError/${be}`),le instanceof a.RemoteAuthorityResolverError)return{type:"error",error:{code:le._code,message:le._message,detail:le._detail}};throw le}}async $getCanonicalURI(G,oe){const{authorityPrefix:be,resolver:Se}=await this._activateAndGetResolver(G);if(!Se)throw new Error(`Cannot get canonical URI because no remote extension is installed to resolve ${be}`);const le=A.URI.revive(oe);if(typeof Se.getCanonicalURI=="undefined")return le;const ne=await(0,I.asPromise)(()=>Se.getCanonicalURI(le));return ne||le}$startExtensionHost(G){return this._registry.keepOnly(G),this._startExtensionHost()}$activateByEvent(G,oe){return oe===1?this._activateByEvent(G,!1):this._readyToRunExtensions.wait().then(be=>this._activateByEvent(G,!1))}async $activate(G,oe){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(G)?(await this._activateById(G,oe),!0):!1}async $deltaExtensions(G,oe){G.forEach(Se=>Se.extensionLocation=A.URI.revive(Se.extensionLocation));const be=await this.getExtensionPathIndex();return await Promise.all(oe.map(async Se=>{const le=this._registry.getExtensionDescription(Se);le&&be.delete(await this._realPathExtensionUri(le.extensionLocation))})),await Promise.all(G.map(async Se=>{const le=await this._realPathExtensionUri(Se.extensionLocation);be.set(le,Se)})),this._registry.deltaExtensions(G,oe),Promise.resolve(void 0)}async $test_latency(G){return G}async $test_up(G){return G.byteLength}async $test_down(G){let oe=d.VSBuffer.alloc(G),be=Math.random()%256;for(let Se=0;Se<G;Se++)oe.writeUInt8(be,Se);return oe}async $updateRemoteConnectionData(G){this._remoteConnectionData=G,this._onDidChangeRemoteConnectionData.fire()}};U=Ue([$e(0,r.IInstantiationService),$e(1,e.IHostUtils),$e(2,p.IExtHostRpcService),$e(3,c.IExtHostWorkspace),$e(4,i.IExtHostConfiguration),$e(5,R.ILogService),$e(6,n.IExtHostInitDataService),$e(7,b.IExtensionStoragePaths),$e(8,h.IExtHostTunnelService),$e(9,v.IExtHostTerminalService)],U),e.AbstractExtHostExtensionService=U;function H(Z,G){return{id:Z.identifier.value,name:Z.name,extensionVersion:Z.version,publisherDisplayName:Z.publisher,activationEvents:Z.activationEvents?Z.activationEvents.join(","):null,isBuiltin:Z.isBuiltin,reason:G.activationEvent,reasonId:G.extensionId.value}}e.IExtHostExtensionService=(0,r.createDecorator)("IExtHostExtensionService");class V{constructor(G,oe,be,Se){E.set(this,void 0),O.set(this,void 0),W.set(this,void 0),et(this,E,G,"f"),et(this,O,oe,"f"),et(this,W,be.identifier,"f"),this.id=be.identifier.value,this.extensionUri=be.extensionLocation,this.extensionPath=t.normalize((0,T.originalFSPath)(be.extensionLocation)),this.packageJSON=be,this.extensionKind=Se}get isActive(){return ke(this,E,"f").isActivated(ke(this,W,"f"))}get exports(){if(this.packageJSON.api!=="none")return ke(this,E,"f").getExtensionExports(ke(this,W,"f"))}activate(){return ke(this,E,"f").activateByIdWithErrors(ke(this,W,"f"),{startup:!1,extensionId:ke(this,O,"f"),activationEvent:"api"}).then(()=>this.exports)}}e.Extension=V,E=new WeakMap,O=new WeakMap,W=new WeakMap}),define(we[98],Ee([0,1,17,2,4,14,5,7,155,31,33,49,162,32,156,13,3,10,89,70]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,u.createDecorator)("IExtHostDebugService");let d=class{constructor(l,h,v,_,f,C){this._workspaceService=h,this._extensionService=v,this._editorsService=_,this._configurationService=f,this._editorTabs=C,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new y.Emitter,this._onDidTerminateDebugSession=new y.Emitter,this._onDidChangeActiveDebugSession=new y.Emitter,this._onDidReceiveDebugSessionCustomEvent=new y.Emitter,this._debugServiceProxy=l.getProxy(I.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new y.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new a(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(x=>{x.onDidChange(N=>{this.registerAllDebugTypes(x)}),this.registerAllDebugTypes(x)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(l,h){const v=l;if(typeof v.sourceReference=="number"&&v.sourceReference>0){let _=`debug:${encodeURIComponent(v.path||"")}`,f="?";return h&&(_+=`${f}session=${encodeURIComponent(h.id)}`,f="&"),_+=`${f}ref=${v.sourceReference}`,t.URI.parse(_)}else{if(v.path)return t.URI.file(v.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(l){const h=[];for(const v of l.getAllExtensionDescriptions())if(v.contributes){const _=v.contributes.debuggers;if(_&&_.length>0)for(const f of _)(0,o.isDebuggerMainContribution)(f)&&h.push(f.type)}this._debugServiceProxy.$registerDebugTypes(h)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const l=[];return this._breakpoints.forEach(h=>l.push(h)),l}addBreakpoints(l){this.startBreakpoints();const h=l.filter(f=>{const C=f.id;return this._breakpoints.has(C)?!1:(this._breakpoints.set(C,f),!0)});this.fireBreakpointChanges(h,[],[]);const v=[],_=new Map;for(const f of h)if(f instanceof P.SourceBreakpoint){let C=_.get(f.location.uri.toString());C||(C={type:"sourceMulti",uri:f.location.uri,lines:[]},_.set(f.location.uri.toString(),C),v.push(C)),C.lines.push({id:f.id,enabled:f.enabled,condition:f.condition,hitCondition:f.hitCondition,logMessage:f.logMessage,line:f.location.range.start.line,character:f.location.range.start.character})}else f instanceof P.FunctionBreakpoint&&v.push({type:"function",id:f.id,enabled:f.enabled,hitCondition:f.hitCondition,logMessage:f.logMessage,condition:f.condition,functionName:f.functionName});return this._debugServiceProxy.$registerBreakpoints(v)}removeBreakpoints(l){this.startBreakpoints();const h=l.filter(C=>this._breakpoints.delete(C.id));this.fireBreakpointChanges([],h,[]);const v=h.filter(C=>C instanceof P.SourceBreakpoint).map(C=>C.id),_=h.filter(C=>C instanceof P.FunctionBreakpoint).map(C=>C.id),f=h.filter(C=>C instanceof P.DataBreakpoint).map(C=>C.id);return this._debugServiceProxy.$unregisterBreakpoints(v,_,f)}startDebugging(l,h,v){return this._debugServiceProxy.$startDebugging(l?l.uri:void 0,h,{parentSessionID:v.parentSession?v.parentSession.id:void 0,lifecycleManagedByParent:v.lifecycleManagedByParent,repl:v.consoleMode===P.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:v.noDebug,compact:v.compact,debugUI:v.debugUI,suppressSaveBeforeStart:v.suppressSaveBeforeStart})}stopDebugging(l){return this._debugServiceProxy.$stopDebugging(l?l.id:void 0)}registerDebugConfigurationProvider(l,h,v){if(!h)return new P.Disposable(()=>{});const _=this._configProviderHandleCounter++;return this._configProviders.push({type:l,handle:_,provider:h}),this._debugServiceProxy.$registerDebugConfigurationProvider(l,v,!!h.provideDebugConfigurations,!!h.resolveDebugConfiguration,!!h.resolveDebugConfigurationWithSubstitutedVariables,_),new P.Disposable(()=>{this._configProviders=this._configProviders.filter(f=>f.provider!==h),this._debugServiceProxy.$unregisterDebugConfigurationProvider(_)})}registerDebugAdapterDescriptorFactory(l,h,v){if(!v)return new P.Disposable(()=>{});if(!this.definesDebugType(l,h))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${h}' debugger.`);if(this.getAdapterDescriptorFactoryByType(h))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const _=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:h,handle:_,factory:v}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(h,_),new P.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(f=>f.factory!==v),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(_)})}registerDebugAdapterTrackerFactory(l,h){if(!h)return new P.Disposable(()=>{});const v=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:l,handle:v,factory:h}),new P.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(_=>_.factory!==h)})}async $runInTerminal(l,h){return Promise.resolve(void 0)}async $substituteVariables(l,h){if(!this._variableResolver){const[f,C]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(f||[],this._editorsService,C)}let v;const _=await this.getFolder(l);return _&&(v={uri:_.uri,name:_.name,index:_.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAnyAsync(v,h)}createDebugAdapter(l,h){if(l.type==="implementation")return new n(l.implementation)}createSignService(){}async $startDASession(l,h){const v=this,_=await this.getSession(h);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(_.type),_).then(f=>{if(!f)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${_.type}' (extension might have failed to activate)`);const C=this.convertToDto(f),x=this.createDebugAdapter(C,_);if(!x)throw new Error(`Couldn't create a debug adapter for type '${_.type}'.`);const N=x;return this._debugAdapters.set(l,N),this.getDebugAdapterTrackers(_).then(E=>(E&&this._debugAdaptersTrackers.set(l,E),N.onMessage(async O=>{if(O.type==="request"&&O.command==="handshake"){const W=O,U={type:"response",seq:0,command:W.command,request_seq:W.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const H=await this._signService.sign(W.arguments.value);U.body={signature:H},N.sendResponse(U)}else throw new Error("no signer")}catch(H){U.success=!1,U.message=H.message,N.sendResponse(U)}}else E&&E.onDidSendMessage&&E.onDidSendMessage(O),O=(0,o.convertToVSCPaths)(O,!0),v._debugServiceProxy.$acceptDAMessage(l,O)}),N.onError(O=>{E&&E.onError&&E.onError(O),this._debugServiceProxy.$acceptDAError(l,O.name,O.message,O.stack)}),N.onExit(O=>{E&&E.onExit&&E.onExit((0,F.withNullAsUndefined)(O),void 0),this._debugServiceProxy.$acceptDAExit(l,(0,F.withNullAsUndefined)(O),void 0)}),E&&E.onWillStartSession&&E.onWillStartSession(),N.startSession()))})}$sendDAMessage(l,h){h=(0,o.convertToDAPaths)(h,!1);const v=this._debugAdaptersTrackers.get(l);v&&v.onWillReceiveMessage&&v.onWillReceiveMessage(h);const _=this._debugAdapters.get(l);_&&_.sendMessage(h)}$stopDASession(l){const h=this._debugAdaptersTrackers.get(l);this._debugAdaptersTrackers.delete(l),h&&h.onWillStopSession&&h.onWillStopSession();const v=this._debugAdapters.get(l);return this._debugAdapters.delete(l),v?v.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(l){const h=[],v=[],_=[];if(l.added)for(const f of l.added){const C=f.id;if(C&&!this._breakpoints.has(C)){let x;if(f.type==="function")x=new P.FunctionBreakpoint(f.functionName,f.enabled,f.condition,f.hitCondition,f.logMessage);else if(f.type==="data")x=new P.DataBreakpoint(f.label,f.dataId,f.canPersist,f.enabled,f.hitCondition,f.condition,f.logMessage);else{const N=t.URI.revive(f.uri);x=new P.SourceBreakpoint(new P.Location(N,new P.Position(f.line,f.character)),f.enabled,f.condition,f.hitCondition,f.logMessage)}x._id=C,this._breakpoints.set(C,x),h.push(x)}}if(l.removed)for(const f of l.removed){const C=this._breakpoints.get(f);C&&(this._breakpoints.delete(f),v.push(C))}if(l.changed){for(const f of l.changed)if(f.id){const C=this._breakpoints.get(f.id);if(C){if(C instanceof P.FunctionBreakpoint&&f.type==="function"){const x=C;x.enabled=f.enabled,x.condition=f.condition,x.hitCondition=f.hitCondition,x.logMessage=f.logMessage,x.functionName=f.functionName}else if(C instanceof P.SourceBreakpoint&&f.type==="source"){const x=C;x.enabled=f.enabled,x.condition=f.condition,x.hitCondition=f.hitCondition,x.logMessage=f.logMessage,x.location=new P.Location(t.URI.revive(f.uri),new P.Position(f.line,f.character))}_.push(C)}}}this.fireBreakpointChanges(h,v,_)}$provideDebugConfigurations(l,h,v){return(0,T.asPromise)(async()=>{const _=this.getConfigProviderByHandle(l);if(!_)throw new Error("no DebugConfigurationProvider found");if(!_.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const f=await this.getFolder(h);return _.provideDebugConfigurations(f,v)}).then(_=>{if(!_)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return _})}$resolveDebugConfiguration(l,h,v,_){return(0,T.asPromise)(async()=>{const f=this.getConfigProviderByHandle(l);if(!f)throw new Error("no DebugConfigurationProvider found");if(!f.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const C=await this.getFolder(h);return f.resolveDebugConfiguration(C,v,_)})}$resolveDebugConfigurationWithSubstitutedVariables(l,h,v,_){return(0,T.asPromise)(async()=>{const f=this.getConfigProviderByHandle(l);if(!f)throw new Error("no DebugConfigurationProvider found");if(!f.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const C=await this.getFolder(h);return f.resolveDebugConfigurationWithSubstitutedVariables(C,v,_)})}async $provideDebugAdapter(l,h){const v=this.getAdapterDescriptorFactoryByHandle(l);if(!v)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const _=await this.getSession(h);return this.getAdapterDescriptor(v,_).then(f=>{if(!f)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${_.type}'`);return this.convertToDto(f)})}async $acceptDebugSessionStarted(l){const h=await this.getSession(l);this._onDidStartDebugSession.fire(h)}async $acceptDebugSessionTerminated(l){const h=await this.getSession(l);h&&(this._onDidTerminateDebugSession.fire(h),this._debugSessions.delete(h.id))}async $acceptDebugSessionActiveChanged(l){this._activeDebugSession=l?await this.getSession(l):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(l,h){const v=await this.getSession(l);v&&v._acceptNameChanged(h)}async $acceptDebugSessionCustomEvent(l,h){const _={session:await this.getSession(l),event:h.event,body:h.body};this._onDidReceiveDebugSessionCustomEvent.fire(_)}convertToDto(l){if(l instanceof P.DebugAdapterExecutable)return{type:"executable",command:l.command,args:l.args,options:l.options};if(l instanceof P.DebugAdapterServer)return{type:"server",port:l.port,host:l.host};if(l instanceof P.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:l.path};if(l instanceof P.DebugAdapterInlineImplementation)return{type:"implementation",implementation:l.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(l){const h=this._adapterFactories.filter(v=>v.type===l);if(h.length>0)return h[0].factory}getAdapterDescriptorFactoryByHandle(l){const h=this._adapterFactories.filter(v=>v.handle===l);if(h.length>0)return h[0].factory}getConfigProviderByHandle(l){const h=this._configProviders.filter(v=>v.handle===l);if(h.length>0)return h[0].provider}definesDebugType(l,h){if(l.contributes){const v=l.contributes.debuggers;if(v&&v.length>0){for(const _ of v)if(_.label&&_.type&&_.type===h)return!0}}return!1}getDebugAdapterTrackers(l){const v=l.configuration.type,_=this._trackerFactories.filter(f=>f.type===v||f.type==="*").map(f=>(0,T.asPromise)(()=>f.factory.createDebugAdapterTracker(l)).then(C=>C,C=>null));return Promise.race([Promise.all(_).then(f=>{const C=f.filter(x=>!!x);if(C.length>0)return new r(C)}),new Promise((f,C)=>{const x=setTimeout(()=>{clearTimeout(x),C(new Error("timeout"))},1e3)})]).catch(f=>{})}async getAdapterDescriptor(l,h){const v=h.configuration.debugServer;if(typeof v=="number")return Promise.resolve(new P.DebugAdapterServer(v));if(l){const f=await this._extensionService.getExtensionRegistry();return(0,T.asPromise)(()=>l.createDebugAdapterDescriptor(h,this.daExecutableFromPackage(h,f))).then(C=>{if(C)return C})}const _=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(h,_))}daExecutableFromPackage(l,h){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(l,h,v){(l.length>0||h.length>0||v.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:l,removed:h,changed:v}))}async getSession(l){if(l)if(typeof l=="string"){const h=this._debugSessions.get(l);if(h)return h}else{let h=this._debugSessions.get(l.id);if(!h){const v=await this.getFolder(l.folderUri),_=l.parent?this._debugSessions.get(l.parent):void 0;h=new k(this._debugServiceProxy,l.id,l.type,l.name,v,l.configuration,_),this._debugSessions.set(h.id,h),this._debugServiceProxy.$sessionCached(h.id)}return h}throw new Error("cannot find session")}getFolder(l){if(l){const h=t.URI.revive(l);return this._workspaceService.resolveWorkspaceFolder(h)}return Promise.resolve(void 0)}};d=Ue([$e(0,c.IExtHostRpcService),$e(1,A.IExtHostWorkspace),$e(2,R.IExtHostExtensionService),$e(3,w.IExtHostDocumentsAndEditors),$e(4,g.IExtHostConfiguration),$e(5,m.IExtHostEditorTabs)],d),e.ExtHostDebugServiceBase=d;class k{constructor(l,h,v,_,f,C,x){this._debugServiceProxy=l,this._id=h,this._type=v,this._name=_,this._workspaceFolder=f,this._configuration=C,this._parentSession=x}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(l){this._name=l,this._debugServiceProxy.$setDebugSessionName(this._id,l)}get parentSession(){return this._parentSession}_acceptNameChanged(l){this._name=l}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(l,h){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,l,h)}getDebugProtocolBreakpoint(l){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,l.id)}}e.ExtHostDebugSession=k;class a{constructor(l){this.value=Object.freeze({append(h){l.$appendDebugConsole(h)},appendLine(h){this.append(h+`
`)}})}}e.ExtHostDebugConsole=a;class M extends i.AbstractVariableResolverService{constructor(l,h,v,_,f){function C(){if(h){const x=h.activeEditor();if(x)return x.document.uri;const N=_.tabs.filter(E=>E.isActive);if(N.length>0){const E=N[0].resource;return E&&(E.primary||E.secondary)?E.primary??E.secondary:N[0].resource}}}super({getFolderUri:x=>{const N=l.filter(E=>E.name===x);if(N&&N.length>0)return N[0].uri},getWorkspaceFolderCount:()=>l.length,getConfigurationValue:(x,N)=>v.getConfiguration(void 0,x).get(N),getAppRoot:()=>S.cwd(),getExecPath:()=>S.env.VSCODE_EXEC_PATH,getFilePath:()=>{const x=C();if(x)return s.normalize(x.fsPath)},getWorkspaceFolderPathForFile:()=>{if(f){const x=C();if(x){const N=f.getWorkspaceFolder(x);if(N)return s.normalize(N.uri.fsPath)}}},getSelectedText:()=>{if(h){const x=h.activeEditor();if(x&&!x.selection.isEmpty)return x.document.getText(x.selection)}},getLineNumber:()=>{if(h){const x=h.activeEditor();if(x)return String(x.selection.end.line+1)}}},void 0,Promise.resolve(S.env))}}e.ExtHostVariableResolverService=M;class r{constructor(l){this.trackers=l}onWillStartSession(){this.trackers.forEach(l=>l.onWillStartSession?l.onWillStartSession():void 0)}onWillReceiveMessage(l){this.trackers.forEach(h=>h.onWillReceiveMessage?h.onWillReceiveMessage(l):void 0)}onDidSendMessage(l){this.trackers.forEach(h=>h.onDidSendMessage?h.onDidSendMessage(l):void 0)}onWillStopSession(){this.trackers.forEach(l=>l.onWillStopSession?l.onWillStopSession():void 0)}onError(l){this.trackers.forEach(h=>h.onError?h.onError(l):void 0)}onExit(l,h){this.trackers.forEach(v=>v.onExit?v.onExit(l,h):void 0)}}class n extends D.AbstractDebugAdapter{constructor(l){super();this.implementation=l,l.onDidSendMessage(h=>{this.acceptMessage(h)})}startSession(){return Promise.resolve(void 0)}sendMessage(l){this.implementation.handleMessage(l)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let b=class extends d{constructor(l,h,v,_,f,C){super(l,h,v,_,f,C)}createVariableResolver(l,h,v){return new M(l,h,v,this._editorTabs)}};b=Ue([$e(0,c.IExtHostRpcService),$e(1,A.IExtHostWorkspace),$e(2,R.IExtHostExtensionService),$e(3,w.IExtHostDocumentsAndEditors),$e(4,g.IExtHostConfiguration),$e(5,m.IExtHostEditorTabs)],b),e.WorkerExtHostDebugService=b}),define(we[213],Ee([0,1,73,2,5,32,27,25,13,28,3,33,89,12]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let o=class{constructor(m,d,k,a,M,r,n){this._apiFactory=m,this._extensionRegistry=d,this._instaService=k,this._extHostConfiguration=a,this._extHostExtensionService=M,this._initData=r,this._logService=n,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),s.mark("code/extHost/willWaitForConfig");const m=await this._extHostConfiguration.getConfigProvider();s.mark("code/extHost/didWaitForConfig");const d=await this._extHostExtensionService.getExtensionPathIndex();this.register(new c(this._apiFactory,d,this._extensionRegistry,m,this._logService)),this.register(this._instaService.createInstance(u,d)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(F,d,this._initData.environment.appUriScheme))}register(m){if(Array.isArray(m.nodeModuleName))for(let d of m.nodeModuleName)this._factories.set(d,m);else this._factories.set(m.nodeModuleName,m);typeof m.alternativeModuleName=="function"&&this._alternatives.push(d=>m.alternativeModuleName(d))}};o=Ue([$e(2,R.IInstantiationService),$e(3,T.IExtHostConfiguration),$e(4,w.IExtHostExtensionService),$e(5,A.IExtHostInitDataService),$e(6,g.ILogService)],o),e.RequireInterceptor=o;class c{constructor(m,d,k,a,M){this._apiFactory=m,this._extensionPaths=d,this._extensionRegistry=k,this._configProvider=a,this._logService=M,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(m,d){const k=this._extensionPaths.findSubstr(d);if(k){let a=this._extApiImpl.get(P.ExtensionIdentifier.toKey(k.identifier));return a||(a=this._apiFactory(k,this._extensionRegistry,this._configProvider),this._extApiImpl.set(P.ExtensionIdentifier.toKey(k.identifier),a)),a}if(!this._defaultApiImpl){let a="";this._extensionPaths.forEach((M,r)=>a+=`	${r} -> ${M.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${d}. These are the extension path mappings: 
${a}`),this._defaultApiImpl=this._apiFactory(I.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let u=class{constructor(m,d,k){this._extensionPaths=m,this.nodeModuleName="keytar",this._mainThreadTelemetry=d.getProxy(y.MainContext.MainThreadTelemetry);const{environment:a}=k,M=d.getProxy(y.MainContext.MainThreadKeytar);if(a.appRoot){let r=a.appRoot.fsPath;i.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,n)=>M.$getPassword(r,n),setPassword:(r,n,b)=>M.$setPassword(r,n,b),deletePassword:(r,n)=>M.$deletePassword(r,n),findPassword:r=>M.$findPassword(r),findCredentials(r){return M.$findCredentials(r)}}}load(m,d){const k=this._extensionPaths.findSubstr(d);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:k?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(m){const d=m.length;if(d<=7||!this.alternativeNames)return;const k=d-7;if((m.charAt(k)==="/"||m.charAt(k)==="\\")&&m.endsWith("keytar")&&(m=m.replace(/\\/g,"/"),this.alternativeNames.has(m)))return"keytar"}};u=Ue([$e(1,D.IExtHostRpcService),$e(2,A.IExtHostInitDataService)],u);let F=class{constructor(m,d,k){this._extensionPaths=m,this._appUriScheme=d,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=k.getProxy(y.MainContext.MainThreadTelemetry);const a=k.getProxy(y.MainContext.MainThreadWindow);this._impl=(M,r)=>{const n=t.URI.parse(M);return r?this.callOriginal(M,r):n.scheme==="http"||n.scheme==="https"?a.$openUri(n,M,{allowTunneling:!0}):n.scheme==="mailto"||n.scheme===this._appUriScheme?a.$openUri(n,M,{}):this.callOriginal(M,r)}}load(m,d,k){const a=this._extensionPaths.findSubstr(d);return a&&(this._extensionId=a.identifier.value,this.sendShimmingTelemetry()),this._original=k(m),this._impl}callOriginal(m,d){return this.sendNoForwardTelemetry(),this._original(m,d)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};F=Ue([$e(2,D.IExtHostRpcService)],F)}),define(we[214],Ee([0,1,14,15,73,6,2,5,207,12,44,60,28,136,13,65,33,40]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class S{constructor(d,k,a,M,r){this._disposables=new T.DisposableStore,this._isTerminating=!1,this._hostUtils=a,this._rpcProtocol=new D.RPCProtocol(d,null,M),k=S._transform(k,this._rpcProtocol);const n=new w.ServiceCollection(...(0,R.getSingletonServiceDescriptors)());n.set(i.IExtHostInitDataService,{_serviceBrand:void 0,...k,messagePorts:r}),n.set(o.IExtHostRpcService,new o.ExtHostRpcService(this._rpcProtocol)),n.set(c.IURITransformerService,new c.URITransformerService(M)),n.set(u.IHostUtils,a);const b=new g.InstantiationService(n,!0);this._disposables.add(b.invokeFunction(v=>v.get(F.IExtHostTerminalService))),this._disposables.add(b.invokeFunction(v=>v.get(u.IExtHostExtensionService))),this._logService=b.invokeFunction(v=>v.get(A.ILogService)),y.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",k),this._extensionService=b.invokeFunction(v=>v.get(u.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const p=new WeakMap;this._extensionService.getExtensionPathIndex().then(v=>{Error.prepareStackTrace=(_,f)=>{let C="",x,N;for(const E of f)C+=`
	at ${E.toString()}`,N=E.getFileName(),!x&&N&&(x=v.findSubstr(I.URI.file(N)));return p.set(_,x),`${_.name||"Error"}: ${_.message||""}${C}`}});const l=this._rpcProtocol.getProxy(P.MainContext.MainThreadExtensionService),h=this._rpcProtocol.getProxy(P.MainContext.MainThreadErrors);t.setUnexpectedErrorHandler(v=>{const _=t.transformErrorForSerialization(v),f=p.get(v);f?l.$onExtensionRuntimeError(f.identifier,_):h.$onUnexpectedError(_)})}terminate(d){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`extension host terminating: ${d}`),this._logService.flush(),this._disposables.dispose(),t.setUnexpectedErrorHandler(a=>{this._logService.error(a)}),this._rpcProtocol.dispose();const k=this._extensionService.deactivateAll();Promise.race([(0,s.timeout)(5e3),k]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code 0`):this._logService.info("Extension host exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})}static _transform(d,k){d.extensions.forEach(M=>M.extensionLocation=I.URI.revive(k.transformIncomingURIs(M.extensionLocation))),d.environment.appRoot=I.URI.revive(k.transformIncomingURIs(d.environment.appRoot));const a=d.environment.extensionDevelopmentLocationURI;return a&&(d.environment.extensionDevelopmentLocationURI=a.map(M=>I.URI.revive(k.transformIncomingURIs(M)))),d.environment.extensionTestsLocationURI=I.URI.revive(k.transformIncomingURIs(d.environment.extensionTestsLocationURI)),d.environment.globalStorageHome=I.URI.revive(k.transformIncomingURIs(d.environment.globalStorageHome)),d.environment.workspaceStorageHome=I.URI.revive(k.transformIncomingURIs(d.environment.workspaceStorageHome)),d.logsLocation=I.URI.revive(k.transformIncomingURIs(d.logsLocation)),d.logFile=I.URI.revive(k.transformIncomingURIs(d.logFile)),d.workspace=k.transformIncomingURIs(d.workspace),d}}e.ExtensionHostMain=S}),define(we[215],Ee([0,1,17,20,43,29,24,188,41]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class A{constructor(i,g,o){this.config=i,this.provider=g,this.sessionToken=o,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=i.filePattern,this.includePattern=i.includePattern&&T.parse(i.includePattern),this.maxResults=i.maxResults||void 0,this.exists=i.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=i.excludePattern&&T.parse(i.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(i=>i.cancel()),this.activeCancellationTokens=new Set}search(i){const g=this.config.folderQueries||[];return new Promise((o,c)=>{const u=F=>{this.resultCount++,i(F)};if(this.isCanceled)return o({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(F=>{const S=F.toString(),m=s.basename(S);this.globalExcludePattern&&this.globalExcludePattern(S,m)||this.matchFile(u,{base:F,basename:m})}),Promise.all(g.map(F=>this.searchInFolder(F,u))).then(F=>{o({limitHit:this.isLimitHit,stats:F[0]||void 0})},F=>{c(new Error((0,y.toErrorMessage)(F)))})})}async searchInFolder(i,g){const o=new t.CancellationTokenSource,c=this.getSearchOptionsForFolder(i),u=this.initDirectoryTree(),F=new D.QueryGlobTester(this.config,i),S=!F.hasSiblingExcludeClauses();let m;try{this.activeCancellationTokens.add(o),m=P.StopWatch.create();const d=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},c,o.token),k=m.elapsed(),a=P.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(d&&d.forEach(M=>{const r=s.posix.relative(i.folder.path,M.path);if(S){const n=s.basename(M.path);this.matchFile(g,{base:i.folder,relativePath:r,basename:n});return}this.addDirectoryEntries(u,i.folder,r,g)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(u,F,g),{providerTime:k,postProcessTime:a.elapsed()})}finally{o.dispose(),this.activeCancellationTokens.delete(o)}}getSearchOptionsForFolder(i){const g=(0,D.resolvePatternsForProvider)(this.config.includePattern,i.includePattern),o=(0,D.resolvePatternsForProvider)(this.config.excludePattern,i.excludePattern);return{folder:i.folder,excludes:o,includes:g,useIgnoreFiles:!i.disregardIgnoreFiles,useGlobalIgnoreFiles:!i.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!i.disregardParentIgnoreFiles,followSymlinks:!i.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const i={rootEntries:[],pathToEntries:Object.create(null)};return i.pathToEntries["."]=i.rootEntries,i}addDirectoryEntries({pathToEntries:i},g,o,c){if(o===this.filePattern){const F=s.basename(this.filePattern);this.matchFile(c,{base:g,relativePath:this.filePattern,basename:F})}function u(F){const S=s.basename(F),m=s.dirname(F);let d=i[m];d||(d=i[m]=[],u(m)),d.push({base:g,relativePath:F,basename:S})}u(o)}matchDirectoryTree({rootEntries:i,pathToEntries:g},o,c){const u=this,F=this.filePattern;function S(m){const d=T.hasSiblingFn(()=>m.map(k=>k.basename));for(let k=0,a=m.length;k<a;k++){const M=m[k],{relativePath:r,basename:n}=M;if(o.matchesExcludesSync(r,n,F!==n?d:void 0))continue;const b=g[r];if(b)S(b);else{if(r===F)continue;u.matchFile(c,M)}if(u.isLimitHit)break}}S(i)}matchFile(i,g){(!this.includePattern||g.relativePath&&this.includePattern(g.relativePath,g.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||i(g))}}class R{constructor(){this.sessions=new Map}fileSearch(i,g,o,c){const u=this.getSessionTokenSource(i.cacheKey),F=new A(i,g,u&&u.token);let S=0;const m=d=>{S+=d.length,o(d.map(k=>this.rawMatchToSearchItem(k)))};return this.doSearch(F,R.BATCH_SIZE,m,c).then(d=>({limitHit:d.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:S,detailStats:d.stats}}))}clearCache(i){const g=this.getSessionTokenSource(i);g&&g.cancel()}getSessionTokenSource(i){if(!!i)return this.sessions.has(i)||this.sessions.set(i,new t.CancellationTokenSource),this.sessions.get(i)}rawMatchToSearchItem(i){return i.relativePath?{resource:I.joinPath(i.base,i.relativePath)}:{resource:i.base}}doSearch(i,g,o,c){c.onCancellationRequested(()=>{i.cancel()});const u=S=>{S&&(F.push(S),g>0&&F.length>=g&&(o(F),F=[]))};let F=[];return i.search(u).then(S=>(F.length&&o(F),S),S=>(F.length&&o(F),Promise.reject(S)))}}e.FileSearchManager=R,R.BATCH_SIZE=512}),define(we[216],Ee([0,1,16,20,43,29,11,17,24,10,2,41]),function(te,e,s,t,y,T,I,P,D,A,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class i{constructor(m,d,k,a){this.query=m,this.provider=d,this.fileUtils=k,this.processType=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(m,d){const k=this.query.folderQueries||[],a=new t.CancellationTokenSource;return d.onCancellationRequested(()=>a.cancel()),new Promise((M,r)=>{this.collector=new o(m);let n=!1;const b=(p,l)=>{if(!n&&!this.isLimitHit){const h=this.resultSize(p);u(p)&&typeof this.query.maxResults=="number"&&this.resultCount+h>this.query.maxResults&&(this.isLimitHit=!0,n=!0,a.cancel(),p=this.trimResultToSize(p,this.query.maxResults-this.resultCount));const v=this.resultSize(p);this.resultCount+=v,(v>0||!u(p))&&this.collector.add(p,l)}};Promise.all(k.map((p,l)=>this.searchInFolder(p,h=>b(h,l),a.token))).then(p=>{a.dispose(),this.collector.flush();const l=p.some(h=>!!h&&!!h.limitHit);M({limitHit:this.isLimitHit||l,messages:(0,s.flatten)(p.map(h=>h?.message?(0,A.isArray)(h.message)?h.message:[h.message]:[])),stats:{type:this.processType}})},p=>{a.dispose();const l=(0,y.toErrorMessage)(p);r(new Error(l))})})}resultSize(m){return u(m)?Array.isArray(m.ranges)?m.ranges.length:1:0}trimResultToSize(m,d){const k=Array.isArray(m.ranges)?m.ranges:[m.ranges],a=Array.isArray(m.preview.matches)?m.preview.matches:[m.preview.matches];return{ranges:k.slice(0,d),preview:{matches:a.slice(0,d),text:m.preview.text},uri:m.uri}}async searchInFolder(m,d,k){const a=new w.QueryGlobTester(this.query,m),M=[],r={report:p=>{if(!this.validateProviderResult(p))return;const l=m.folder.scheme===I.Schemas.file?T.hasSiblingPromiseFn(()=>this.fileUtils.readdir(D.dirname(p.uri))):void 0,h=D.relativePath(m.folder,p.uri);if(h){const v=a.includedInQuery(h,P.basename(h),l);(0,A.isPromise)(v)?M.push(v.then(_=>{_&&d(p)})):v&&d(p)}}},n=this.getSearchOptionsForFolder(m),b=await this.provider.provideTextSearchResults(g(this.query.contentPattern),n,r,k);return M.length&&await Promise.all(M),b}validateProviderResult(m){if(u(m)){if(Array.isArray(m.ranges)){if(!Array.isArray(m.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(m.preview.matches.length!==m.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(m.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(m){const d=(0,w.resolvePatternsForProvider)(this.query.includePattern,m.includePattern),k=(0,w.resolvePatternsForProvider)(this.query.excludePattern,m.excludePattern),a={folder:R.URI.from(m.folder),excludes:k,includes:d,useIgnoreFiles:!m.disregardIgnoreFiles,useGlobalIgnoreFiles:!m.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!m.disregardParentIgnoreFiles,followSymlinks:!m.ignoreSymlinks,encoding:m.fileEncoding&&this.fileUtils.toCanonicalName(m.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return a.usePCRE2=this.query.usePCRE2,a}}e.TextSearchManager=i;function g(S){return{isCaseSensitive:S.isCaseSensitive||!1,isRegExp:S.isRegExp||!1,isWordMatch:S.isWordMatch||!1,isMultiline:S.isMultiline||!1,pattern:S.pattern}}class o{constructor(m){this._onResult=m,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new F(512,d=>this.sendItems(d))}add(m,d){this._currentFileMatch&&(this._currentFolderIdx!==d||!D.isEqual(this._currentUri,m.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=d,this._currentFileMatch={resource:m.uri,results:[]}),this._currentFileMatch.results.push(c(m))}pushToCollector(){const m=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,m)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(m){this._onResult(m)}}e.TextSearchResultsCollector=o;function c(S){return u(S)?{preview:{matches:(0,s.mapArrayOrNot)(S.preview.matches,m=>({startLineNumber:m.start.line,startColumn:m.start.character,endLineNumber:m.end.line,endColumn:m.end.character})),text:S.preview.text},ranges:(0,s.mapArrayOrNot)(S.ranges,m=>({startLineNumber:m.start.line,startColumn:m.start.character,endLineNumber:m.end.line,endColumn:m.end.character}))}:{text:S.text,lineNumber:S.lineNumber}}function u(S){return!!S.preview}e.extensionResultIsMatch=u;class F{constructor(m,d){this.maxBatchSize=m,this.cb=d,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(m,d){!m||this.addItemToBatch(m,d)}addItems(m,d){!m||this.addItemsToBatch(m,d)}addItemToBatch(m,d){this.batch.push(m),this.batchSize+=d,this.onUpdate()}addItemsToBatch(m,d){this.batch=this.batch.concat(m),this.batchSize+=d,this.onUpdate()}onUpdate(){this.totalNumberCompleted<F.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},F.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=F,F.TIMEOUT=4e3,F.START_BATCH_AFTER_COUNT=50}),define(we[99],Ee([0,1,6,5,3,215,13,65,12,2,216]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,y.createDecorator)("IExtHostSearch");let w=class{constructor(c,u,F){this.extHostRpc=c,this._uriTransformer=u,this._logService=F,this._proxy=this.extHostRpc.getProxy(t.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new T.FileSearchManager}_transformScheme(c){return this._uriTransformer.transformOutgoingScheme(c)}registerTextSearchProvider(c,u){if(this._textSearchUsedSchemes.has(c))throw new Error(`a text search provider for the scheme '${c}' is already registered`);this._textSearchUsedSchemes.add(c);const F=this._handlePool++;return this._textSearchProvider.set(F,u),this._proxy.$registerTextSearchProvider(F,this._transformScheme(c)),(0,s.toDisposable)(()=>{this._textSearchUsedSchemes.delete(c),this._textSearchProvider.delete(F),this._proxy.$unregisterProvider(F)})}registerFileSearchProvider(c,u){if(this._fileSearchUsedSchemes.has(c))throw new Error(`a file search provider for the scheme '${c}' is already registered`);this._fileSearchUsedSchemes.add(c);const F=this._handlePool++;return this._fileSearchProvider.set(F,u),this._proxy.$registerFileSearchProvider(F,this._transformScheme(c)),(0,s.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(c),this._fileSearchProvider.delete(F),this._proxy.$unregisterProvider(F)})}$provideFileSearchResults(c,u,F,S){const m=i(F),d=this._fileSearchProvider.get(c);if(d)return this._fileSearchManager.fileSearch(m,d,k=>{this._proxy.$handleFileMatch(c,u,k.map(a=>a.resource))},S);throw new Error("unknown provider: "+c)}$clearCache(c){return this._fileSearchManager.clearCache(c),Promise.resolve(void 0)}$provideTextSearchResults(c,u,F,S){const m=this._textSearchProvider.get(c);if(!m||!m.provideTextSearchResults)throw new Error(`Unknown provider ${c}`);const d=i(F);return this.createTextSearchManager(d,m).search(a=>this._proxy.$handleTextMatch(c,u,a),S)}$enableExtensionHostSearch(){}createTextSearchManager(c,u){return new R.TextSearchManager(c,u,{readdir:F=>Promise.resolve([]),toCanonicalName:F=>F},"textSearchProvider")}};w=Ue([$e(0,I.IExtHostRpcService),$e(1,P.IURITransformerService),$e(2,D.ILogService)],w),e.ExtHostSearch=w;function i(o){return{...o,folderQueries:o.folderQueries&&o.folderQueries.map(g),extraFileResources:o.extraFileResources&&o.extraFileResources.map(c=>A.URI.revive(c))}}e.reviveQuery=i;function g(o){return{...o,folder:A.URI.revive(o.folder)}}}),define(we[217],Ee([0,1,44,94,31,93,32,39,49,40,97,98,99,71,64,69,95,50,30,68,85,70,190,12,173]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m,d,k,a,M,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,s.registerSingleton)(M.ILoggerService,a.ExtHostLoggerService),(0,s.registerSingleton)(M.ILogService,r.ExtHostLogService),(0,s.registerSingleton)(c.IExtHostApiDeprecationService,c.ExtHostApiDeprecationService),(0,s.registerSingleton)(P.IExtHostCommands,P.ExtHostCommands),(0,s.registerSingleton)(I.IExtHostConfiguration,I.ExtHostConfiguration),(0,s.registerSingleton)(F.IExtHostConsumerFileSystem,F.ExtHostConsumerFileSystem),(0,s.registerSingleton)(w.IExtHostDebugService,w.WorkerExtHostDebugService),(0,s.registerSingleton)(T.IExtHostDecorations,T.ExtHostDecorations),(0,s.registerSingleton)(D.IExtHostDocumentsAndEditors,D.ExtHostDocumentsAndEditors),(0,s.registerSingleton)(S.IExtHostFileSystemInfo,S.ExtHostFileSystemInfo),(0,s.registerSingleton)(t.IExtHostOutputService,t.ExtHostOutputService),(0,s.registerSingleton)(i.IExtHostSearch,i.ExtHostSearch),(0,s.registerSingleton)(g.IExtHostStorage,g.ExtHostStorage),(0,s.registerSingleton)(R.IExtHostTask,R.WorkerExtHostTask),(0,s.registerSingleton)(A.IExtHostTerminalService,A.WorkerExtHostTerminalService),(0,s.registerSingleton)(o.IExtHostTunnelService,o.ExtHostTunnelService),(0,s.registerSingleton)(u.IExtHostWindow,u.ExtHostWindow),(0,s.registerSingleton)(y.IExtHostWorkspace,y.ExtHostWorkspace),(0,s.registerSingleton)(m.IExtHostSecretState,m.ExtHostSecretState),(0,s.registerSingleton)(d.IExtHostTelemetry,d.ExtHostTelemetry),(0,s.registerSingleton)(k.IExtHostEditorTabs,k.ExtHostEditorTabs)}),define(we[218],Ee([0,1,44,3]),function(te,e,s,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeViewsDragAndDropService=e.ITreeViewsDragAndDropService=void 0,e.ITreeViewsDragAndDropService=(0,t.createDecorator)("treeViewsDragAndDropService");class y{constructor(){this._dragOperations=new Map}removeDragOperationTransfer(I){if(I&&this._dragOperations.has(I)){const P=this._dragOperations.get(I);return this._dragOperations.delete(I),P}}addDragOperationTransfer(I,P){this._dragOperations.set(I,P)}}e.TreeViewsDragAndDropService=y,(0,s.registerSingleton)(e.ITreeViewsDragAndDropService,y)}),define(we[219],Ee([0,1,123,24,2,4,6,14,7,10,16,8,20,152,218]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function c(S,m){if((0,A.isString)(S))return{label:S};if(S&&typeof S=="object"&&typeof S.label=="string"){let d;return Array.isArray(S.highlights)&&(d=S.highlights.filter(k=>k.length===2&&typeof k[0]=="number"&&typeof k[1]=="number"),d=d.length?d:void 0),{label:S.label,highlights:d}}}class u{constructor(m,d,k){this._proxy=m,this.commands=d,this.logService=k,this.treeViews=new Map,this.treeDragAndDropService=new o.TreeViewsDragAndDropService;function a(M){return M&&M.$treeViewId&&M.$treeItemHandle}d.registerArgumentProcessor({processArgument:M=>a(M)?this.convertArgument(M):Array.isArray(M)&&M.length>0?M.map(r=>a(r)?this.convertArgument(r):r):M})}registerTreeDataProvider(m,d,k){const a=this.createTreeView(m,{treeDataProvider:d},k);return{dispose:()=>a.dispose()}}createTreeView(m,d,k){if(!d||!d.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const a=d.dragAndDropController?.supportedMimeTypes,M=!!d.dragAndDropController?.onWillDrop,r=this._proxy.$registerTreeViewDataProvider(m,{showCollapseAll:!!d.showCollapseAll,canSelectMany:!!d.canSelectMany,dragAndDropMimeTypes:a,hasWillDrop:M}),n=this.createExtHostTreeView(m,d,k);return{get onDidCollapseElement(){return n.onDidCollapseElement},get onDidExpandElement(){return n.onDidExpandElement},get selection(){return n.selectedElements},get onDidChangeSelection(){return n.onDidChangeSelection},get visible(){return n.visible},get onDidChangeVisibility(){return n.onDidChangeVisibility},get message(){return n.message},set message(b){n.message=b},get title(){return n.title},set title(b){n.title=b},get description(){return n.description},set description(b){n.description=b},reveal:(b,p)=>n.reveal(b,p),dispose:async()=>{await r,this.treeViews.delete(m),n.dispose()}}}$getChildren(m,d){const k=this.treeViews.get(m);return k?k.getChildren(d):Promise.reject(new Error((0,s.localize)(0,null,m)))}async $onDrop(m,d,k,a,M,r){const n=this.treeViews.get(m);if(!n)return Promise.reject(new Error((0,s.localize)(1,null,m)));const b=g.TreeDataTransferConverter.toITreeDataTransfer(d);return M===m&&r&&await this.addAdditionalTransferItems(b,n,r,a),n.onDrop(b,k)}async addAdditionalTransferItems(m,d,k,a){const M=this.treeDragAndDropService.removeDragOperationTransfer(a);let r;if(M)r=await M;else if(a&&d.onWillDrop){const n=d.onWillDrop(k);this.treeDragAndDropService.addDragOperationTransfer(a,n),r=await n}return r&&r.forEach((n,b)=>{n&&m.set(b,n)}),m}async $onWillDrop(m,d,k){const a=this.treeViews.get(m);if(!a)return Promise.reject(new Error((0,s.localize)(2,null,m)));const M=await this.addAdditionalTransferItems(new Map,a,d,k);if(!!M)return g.TreeDataTransferConverter.toTreeDataTransferDTO(M)}async $hasResolve(m){const d=this.treeViews.get(m);if(!d)throw new Error((0,s.localize)(3,null,m));return d.hasResolve}$resolve(m,d,k){const a=this.treeViews.get(m);if(!a)throw new Error((0,s.localize)(4,null,m));return a.resolveTreeItem(d,k)}$setExpanded(m,d,k){const a=this.treeViews.get(m);if(!a)throw new Error((0,s.localize)(5,null,m));a.setExpanded(d,k)}$setSelection(m,d){const k=this.treeViews.get(m);if(!k)throw new Error((0,s.localize)(6,null,m));k.setSelection(d)}$setVisible(m,d){const k=this.treeViews.get(m);if(!k)throw new Error((0,s.localize)(7,null,m));k.setVisible(d)}createExtHostTreeView(m,d,k){const a=new F(m,d,this._proxy,this.commands.converter,this.logService,k);return this.treeViews.set(m,a),a}convertArgument(m){const d=this.treeViews.get(m.$treeViewId);return d?d.getExtensionElement(m.$treeItemHandle):null}}e.ExtHostTreeViews=u;class F extends I.Disposable{constructor(m,d,k,a,M,r){super();if(this.viewId=m,this.proxy=k,this.commands=a,this.logService=M,this.extension=r,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new T.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new T.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new T.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new T.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new T.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new i.CancellationTokenSource,r.contributes&&r.contributes.views)for(const p in r.contributes.views)for(const l of r.contributes.views[p])l.id===m&&(this._title=l.name);this.dataProvider=d.treeDataProvider,this.dndController=d.dragAndDropController,this.dataProvider.onDidChangeTreeData2?this._register(this.dataProvider.onDidChangeTreeData2(p=>this._onDidChangeData.fire({message:!1,element:p}))):this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(p=>this._onDidChangeData.fire({message:!1,element:p})));let n,b;this._register(T.Event.debounce(this._onDidChangeData.event,(p,l)=>(p||(p={message:!1,elements:[]}),l.element!==!1&&(n||(n=new Promise(h=>b=h),this.refreshPromise=this.refreshPromise.then(()=>n)),Array.isArray(l.element)?p.elements.push(...l.element):p.elements.push(l.element)),l.message&&(p.message=!0),p),200,!0)(({message:p,elements:l})=>{l.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const h=b;return n=null,this.refresh(l).then(()=>h())})),p&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(m=>this.getExtensionElement(m)).filter(m=>!(0,A.isUndefinedOrNull)(m))}async getChildren(m){const d=m?this.getExtensionElement(m):void 0;if(m&&!d)return this.logService.error(`No tree item with id '${m}' found.`),Promise.resolve([]);let k=this.getChildrenNodes(m);return k||(k=await this.fetchChildrenNodes(d)),k?k.map(a=>a.item):void 0}getExtensionElement(m){return this.elements.get(m)}reveal(m,d){d=d||{select:!0,focus:!1};const k=(0,A.isUndefinedOrNull)(d.select)?!0:d.select,a=(0,A.isUndefinedOrNull)(d.focus)?!1:d.focus,M=(0,A.isUndefinedOrNull)(d.expand)?!1:d.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):m?this.refreshPromise.then(()=>this.resolveUnknownParentChain(m)).then(r=>this.resolveTreeNode(m,r[r.length-1]).then(n=>this.proxy.$reveal(this.viewId,{item:n.item,parentChain:r.map(b=>b.item)},{select:k,focus:a,expand:M})),r=>this.logService.error(r)):this.proxy.$reveal(this.viewId,void 0,{select:k,focus:a,expand:M})}get message(){return this._message}set message(m){this._message=m,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(m){this._title=m,this.proxy.$setTitle(this.viewId,m,this._description)}get description(){return this._description}set description(m){this._description=m,this.proxy.$setTitle(this.viewId,this._title,m)}setExpanded(m,d){const k=this.getExtensionElement(m);k&&(d?this._onDidExpandElement.fire(Object.freeze({element:k})):this._onDidCollapseElement.fire(Object.freeze({element:k})))}setSelection(m){(0,R.equals)(this._selectedHandles,m)||(this._selectedHandles=m,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(m){m!==this._visible&&(this._visible=m,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async onWillDrop(m){const d=[];for(const k of m){const a=this.getExtensionElement(k);a&&d.push(a)}if(!(!this.dndController?.onWillDrop||d.length===0))return this.dndController.onWillDrop(d)}get hasOnWillDrop(){return!!this.dndController?.onWillDrop}async onDrop(m,d){const k=this.getExtensionElement(d);if(!!k)return(0,P.asPromise)(()=>this.dndController?.onDrop(m,k))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(m,d){if(!this.dataProvider.resolveTreeItem)return;const k=this.elements.get(m);if(k){const a=this.nodes.get(k);if(a){const M=await this.dataProvider.resolveTreeItem(a.extensionItem,k,d)??a.extensionItem;return a.item.tooltip=this.getTooltip(M.tooltip),a.item.command=this.getCommand(a.disposableStore,M.command),a.item}}}resolveUnknownParentChain(m){return this.resolveParent(m).then(d=>d?this.resolveUnknownParentChain(d).then(k=>this.resolveTreeNode(d,k[k.length-1]).then(a=>(k.push(a),k))):Promise.resolve([]))}resolveParent(m){const d=this.nodes.get(m);return d?Promise.resolve(d.parent?this.elements.get(d.parent.item.handle):void 0):(0,P.asPromise)(()=>this.dataProvider.getParent(m))}resolveTreeNode(m,d){const k=this.nodes.get(m);return k?Promise.resolve(k):(0,P.asPromise)(()=>this.dataProvider.getTreeItem(m)).then(a=>this.createHandle(m,a,d,!0)).then(a=>this.getChildren(d?d.item.handle:void 0).then(()=>{const M=this.getExtensionElement(a);if(M){const r=this.nodes.get(M);if(r)return Promise.resolve(r)}throw new Error(`Cannot resolve tree item for element ${a}`)}))}getChildrenNodes(m){if(m){let d;if(typeof m=="string"){const k=this.getExtensionElement(m);d=k?this.nodes.get(k):void 0}else d=m;return d&&d.children||void 0}return this.roots}async fetchChildrenNodes(m){this.clearChildren(m);const d=new i.CancellationTokenSource(this._refreshCancellationSource.token);try{const k=m?this.nodes.get(m):void 0,a=await this.dataProvider.getChildren(m);if(d.token.isCancellationRequested)return;const M=await Promise.all((0,R.coalesce)(a||[]).map(async r=>{const n=await this.dataProvider.getTreeItem(r);return n&&!d.token.isCancellationRequested?this.createAndRegisterTreeNode(r,n,k):null}));return d.token.isCancellationRequested?void 0:(0,R.coalesce)(M)}finally{d.dispose()}}refresh(m){if(m.some(k=>!k))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new i.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const k=this.getHandlesToRefresh(m);if(k.length)return this.refreshHandles(k)}return Promise.resolve(void 0)}getHandlesToRefresh(m){const d=new Set,k=m.map(M=>this.nodes.get(M));for(const M of k)if(M&&!d.has(M.item.handle)){let r=M;for(;r&&r.parent&&k.findIndex(n=>r&&r.parent&&n&&n.item.handle===r.parent.item.handle)===-1;){const n=this.elements.get(r.parent.item.handle);r=n?this.nodes.get(n):void 0}r&&!r.parent&&d.add(M.item.handle)}const a=[];return d.forEach(M=>{const r=this.elements.get(M);if(r){const n=this.nodes.get(r);n&&(!n.parent||!d.has(n.parent.item.handle))&&a.push(M)}}),a}refreshHandles(m){const d={};return Promise.all(m.map(k=>this.refreshNode(k).then(a=>{a&&(d[k]=a.item)}))).then(()=>Object.keys(d).length?this.proxy.$refresh(this.viewId,d):void 0)}refreshNode(m){const d=this.getExtensionElement(m);if(d){const k=this.nodes.get(d);if(k)return this.clearChildren(d),(0,P.asPromise)(()=>this.dataProvider.getTreeItem(d)).then(a=>{if(a){const M=this.createTreeNode(d,a,k.parent);return this.updateNodeCache(d,M,k,k.parent),k.dispose(),M}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(m,d,k){const a=this.createTreeNode(m,d,k);if(d.id&&this.elements.has(a.item.handle))throw new Error((0,s.localize)(8,null,d.id));return this.addNodeToCache(m,a),this.addNodeToParentCache(a,k),a}getTooltip(m){return D.MarkdownString.isMarkdownString(m)?w.MarkdownString.from(m):m}getCommand(m,d){return d?this.commands.toInternal(d,m):void 0}createTreeNode(m,d,k){const a=new I.DisposableStore,M=this.createHandle(m,d,k),r=this.getLightIconPath(d);return{item:{handle:M,parentHandle:k?k.item.handle:void 0,label:c(d.label,this.extension),description:d.description,resourceUri:d.resourceUri,tooltip:this.getTooltip(d.tooltip),command:this.getCommand(a,d.command),contextValue:d.contextValue,icon:r,iconDark:this.getDarkIconPath(d)||r,themeIcon:this.getThemeIcon(d),collapsibleState:(0,A.isUndefinedOrNull)(d.collapsibleState)?D.TreeItemCollapsibleState.None:d.collapsibleState,accessibilityInformation:d.accessibilityInformation},extensionItem:d,parent:k,children:void 0,disposableStore:a,dispose(){a.dispose()}}}getThemeIcon(m){return m.iconPath instanceof D.ThemeIcon?m.iconPath:void 0}createHandle(m,{id:d,label:k,resourceUri:a},M,r){if(d)return`${F.ID_HANDLE_PREFIX}/${d}`;const n=c(k,this.extension),b=M?M.item.handle:F.LABEL_HANDLE_PREFIX;let p=n?n.label:a?(0,t.basename)(a):"";p=p.indexOf("/")!==-1?p.replace("/","//"):p;const l=this.nodes.has(m)?this.nodes.get(m).item.handle:void 0,h=this.getChildrenNodes(M)||[];let v,_=0;do{if(v=`${b}/${_}:${p}`,r||!this.elements.has(v)||l===v)break;_++}while(_<=h.length);return v}getLightIconPath(m){if(m.iconPath&&!(m.iconPath instanceof D.ThemeIcon))return typeof m.iconPath=="string"||y.URI.isUri(m.iconPath)?this.getIconPath(m.iconPath):this.getIconPath(m.iconPath.light)}getDarkIconPath(m){if(m.iconPath&&!(m.iconPath instanceof D.ThemeIcon)&&m.iconPath.dark)return this.getIconPath(m.iconPath.dark)}getIconPath(m){return y.URI.isUri(m)?m:y.URI.file(m)}addNodeToCache(m,d){this.elements.set(d.item.handle,m),this.nodes.set(m,d)}updateNodeCache(m,d,k,a){this.elements.delete(d.item.handle),this.nodes.delete(m),d.item.handle!==k.item.handle&&this.elements.delete(k.item.handle),this.addNodeToCache(m,d);const M=this.getChildrenNodes(a)||[],r=M.filter(n=>n.item.handle===k.item.handle)[0];r&&M.splice(M.indexOf(r),1,d)}addNodeToParentCache(m,d){d?(d.children||(d.children=[]),d.children.push(m)):(this.roots||(this.roots=[]),this.roots.push(m))}clearChildren(m){if(m){const d=this.nodes.get(m);if(d){if(d.children)for(const k of d.children){const a=this.elements.get(k.item.handle);a&&this.clear(a)}d.children=void 0}}else this.clearAll()}clear(m){const d=this.nodes.get(m);if(d){if(d.children)for(const k of d.children){const a=this.elements.get(k.item.handle);a&&this.clear(a)}this.nodes.delete(m),this.elements.delete(d.item.handle),d.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(m=>m.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}F.LABEL_HANDLE_PREFIX="0",F.ID_HANDLE_PREFIX="1"}),define(we[220],Ee([0,1,20,15,4,34,2,112,233,106,56,46,5,178,177,39,179,32,180,181,182,164,183,49,33,184,165,187,189,191,94,167,196,197,198,71,40,200,219,8,7,203,51,95,31,74,153,186,61,93,97,98,99,12,65,13,28,192,150,64,69,175,201,149,72,50,206,204,205,176,30,199,202,68,70,85,194,96,195,11,138,193,147,185,6,27]),function(te,e,s,t,y,T,I,P,D,A,R,w,i,g,o,c,u,F,S,m,d,k,a,M,r,n,b,p,l,h,v,_,f,C,x,N,E,O,W,U,H,V,Z,G,oe,be,Se,le,ne,ve,Ie,Oe,He,Xe,Ye,$,K,Y,re,q,J,me,Pe,Be,Ve,Qe,tt,at,Je,rt,ut,pt,Me,Rt,j,Q,fe,xe,qe,st,ht,Ze,kt,Re,Ce,pe){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function ie(se){const de=se.get(K.IExtHostInitDataService),ge=se.get(ut.IExtHostFileSystemInfo),Te=se.get(Qe.IExtHostConsumerFileSystem),ze=se.get(r.IExtHostExtensionService),Ne=se.get(oe.IExtHostWorkspace),Ge=se.get(Q.IExtHostTelemetry),nt=se.get(F.IExtHostConfiguration),ot=se.get(Ye.IURITransformerService),Le=se.get($.IExtHostRpcService),ue=se.get(N.IExtHostStorage),he=se.get(Ve.IExtensionStoragePaths),ae=se.get(Xe.ILoggerService),z=se.get(Xe.ILogService),ye=se.get(q.IExtHostTunnelService),Ae=se.get(J.IExtHostApiDeprecationService),je=se.get(G.IExtHostWindow),We=se.get(Rt.IExtHostSecretState),mt=se.get(j.IExtHostEditorTabs);Le.set(i.ExtHostContext.ExtHostFileSystemInfo,ge),Le.set(i.ExtHostContext.ExtHostLogLevelServiceShape,ae),Le.set(i.ExtHostContext.ExtHostWorkspace,Ne),Le.set(i.ExtHostContext.ExtHostConfiguration,nt),Le.set(i.ExtHostContext.ExtHostExtensionService,ze),Le.set(i.ExtHostContext.ExtHostStorage,ue),Le.set(i.ExtHostContext.ExtHostTunnelService,ye),Le.set(i.ExtHostContext.ExtHostWindow,je),Le.set(i.ExtHostContext.ExtHostSecretState,We),Le.set(i.ExtHostContext.ExtHostTelemetry,Ge),Le.set(i.ExtHostContext.ExtHostEditorTabs,mt);const Et=Le.set(i.ExtHostContext.ExtHostDecorations,se.get(ve.IExtHostDecorations)),_t=Le.set(i.ExtHostContext.ExtHostDocumentsAndEditors,se.get(M.IExtHostDocumentsAndEditors)),dt=Le.set(i.ExtHostContext.ExtHostCommands,se.get(c.IExtHostCommands)),vt=Le.set(i.ExtHostContext.ExtHostTerminalService,se.get(E.IExtHostTerminalService)),bt=Le.set(i.ExtHostContext.ExtHostDebugService,se.get(Oe.IExtHostDebugService)),xt=Le.set(i.ExtHostContext.ExtHostSearch,se.get(He.IExtHostSearch)),It=Le.set(i.ExtHostContext.ExtHostTask,se.get(Ie.IExtHostTask)),Mt=Le.set(i.ExtHostContext.ExtHostOutputService,se.get(v.IExtHostOutputService)),Dt=Le.set(i.ExtHostContext.ExtHostUrls,new V.ExtHostUrls(Le)),St=Le.set(i.ExtHostContext.ExtHostDocuments,new a.ExtHostDocuments(Le,_t)),Qt=Le.set(i.ExtHostContext.ExtHostDocumentContentProviders,new d.ExtHostDocumentContentProvider(Le,_t,z)),Vt=Le.set(i.ExtHostContext.ExtHostDocumentSaveParticipant,new k.ExtHostDocumentSaveParticipant(z,St,Le.getProxy(i.MainContext.MainThreadBulkEdits))),wt=Le.set(i.ExtHostContext.ExtHostNotebook,new Y.ExtHostNotebookController(Le,dt,_t,St,he)),Yt=Le.set(i.ExtHostContext.ExtHostNotebookDocuments,new kt.ExtHostNotebookDocuments(z,wt)),qt=Le.set(i.ExtHostContext.ExtHostNotebookEditors,new Ze.ExtHostNotebookEditors(z,Le,wt)),Xt=Le.set(i.ExtHostContext.ExtHostNotebookKernels,new fe.ExtHostNotebookKernels(Le,de,wt,dt,z)),ai=Le.set(i.ExtHostContext.ExtHostNotebookRenderers,new qe.ExtHostNotebookRenderers(Le,wt)),At=Le.set(i.ExtHostContext.ExtHostEditors,new O.ExtHostEditors(Le,_t)),Jt=Le.set(i.ExtHostContext.ExtHostTreeViews,new W.ExtHostTreeViews(Le.getProxy(i.MainContext.MainThreadTreeViews),dt,z)),li=Le.set(i.ExtHostContext.ExtHostEditorInsets,new Se.ExtHostEditorInsets(Le.getProxy(i.MainContext.MainThreadEditorInsets),At,de)),jt=Le.set(i.ExtHostContext.ExtHostDiagnostics,new S.ExtHostDiagnostics(Le,z,ge)),Zt=Le.set(i.ExtHostContext.ExtHostLanguages,new l.ExtHostLanguages(Le,St,dt.converter,ot)),gt=Le.set(i.ExtHostContext.ExtHostLanguageFeatures,new p.ExtHostLanguageFeatures(Le,ot,St,dt,jt,z,Ae)),ci=Le.set(i.ExtHostContext.ExtHostFileSystem,new n.ExtHostFileSystem(Le,gt)),Lt=Le.set(i.ExtHostContext.ExtHostFileSystemEventService,new b.ExtHostFileSystemEventService(Le,z,_t)),$t=Le.set(i.ExtHostContext.ExtHostQuickOpen,(0,f.createExtHostQuickOpen)(Le,Ne,dt)),vi=Le.set(i.ExtHostContext.ExtHostSCM,new C.ExtHostSCM(Le,dt,z)),ui=Le.set(i.ExtHostContext.ExtHostComments,(0,u.createExtHostComments)(Le,dt,St)),ei=Le.set(i.ExtHostContext.ExtHostProgress,new _.ExtHostProgress(Le.getProxy(i.MainContext.MainThreadProgress))),Ci=Le.set(i.ExtHostContext.ExtHosLabelService,new le.ExtHostLabelService(Le)),bi=Le.set(i.ExtHostContext.ExtHostTheming,new re.ExtHostTheming(Le)),ti=Le.set(i.ExtHostContext.ExtHostAuthentication,new me.ExtHostAuthentication(Le)),Di=Le.set(i.ExtHostContext.ExtHostTimeline,new Pe.ExtHostTimeline(Le,dt)),di=Le.set(i.ExtHostContext.ExtHostWebviews,new Z.ExtHostWebviews(Le,{remote:de.remote},Ne,z,Ae)),Gt=Le.set(i.ExtHostContext.ExtHostWebviewPanels,new Je.ExtHostWebviewPanels(Le,di,Ne)),hi=Le.set(i.ExtHostContext.ExtHostCustomEditors,new at.ExtHostCustomEditors(Le,St,he,di,Gt)),ki=Le.set(i.ExtHostContext.ExtHostWebviewViews,new tt.ExtHostWebviewViews(Le,di)),Kt=Le.set(i.ExtHostContext.ExtHostTesting,new pt.ExtHostTesting(Le,dt)),Ii=Le.set(i.ExtHostContext.ExtHostUriOpeners,new Me.ExtHostUriOpeners(Le));Le.set(i.ExtHostContext.ExtHostInteractive,new Re.ExtHostInteractive(Le,wt,_t,dt));const Pi=(0,be.values)(i.ExtHostContext);Le.assertRegistered(Pi);const ii=new rt.ExtHostBulkEdits(Le,_t),Ti=new o.ExtHostClipboard(Le),fi=new h.ExtHostMessageService(Le,z),wi=new m.ExtHostDialogs(Le),ni=new x.ExtHostStatusBar(Le,dt.converter);return g.ExtHostApiCommands.register(dt),function(Fe,Ht,Ut){const yt=function(){let X=!Fe.isUnderDevelopment;function ce(){X||(z.info(`Extension '${Fe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),X=!0)}return function De(ct){if(Array.isArray(ct))ct.forEach(De);else if(typeof ct=="string")ce();else{const Ct=ct;typeof Ct.scheme=="undefined"&&ce(),typeof Ct.exclusive=="boolean"&&(0,pe.checkProposedApiEnabled)(Fe,"documentFiltersExclusive")}return ct}}(),Ot={getSession(X,ce,De){return ti.getSession(Fe,X,ce,De)},async hasSession(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"authSession"),!!await ti.getSession(Fe,X,ce,{silent:!0})},get onDidChangeSessions(){return ti.onDidChangeSessions},registerAuthenticationProvider(X,ce,De,ct){return ti.registerAuthenticationProvider(X,ce,De,ct)}},ri={registerCommand(X,ce,De){return dt.registerCommand(!0,X,ce,De,void 0,Fe)},registerTextEditorCommand(X,ce,De){return dt.registerCommand(!0,X,(...ct)=>{const Ct=At.getActiveTextEditor();if(!Ct){z.warn("Cannot execute "+X+" because there is no active text editor.");return}return Ct.edit(Tt=>{ce.apply(De,[Ct,Tt,...ct])}).then(Tt=>{Tt||z.warn("Edits from command "+X+" were not applied.")},Tt=>{z.warn("An error occurred while running command "+X,Tt)})},void 0,void 0,Fe)},registerDiffInformationCommand:(X,ce,De)=>((0,pe.checkProposedApiEnabled)(Fe,"diffCommand"),dt.registerCommand(!0,X,async(...ct)=>{const Ct=_t.activeEditor(!0);if(!Ct){z.warn("Cannot execute "+X+" because there is no active text editor.");return}const Tt=await At.getDiffInformation(Ct.id);ce.apply(De,[Tt,...ct])},void 0,void 0,Fe)),executeCommand(X,...ce){return dt.executeCommand(X,...ce)},getCommands(X=!1){return dt.getCommands(X)}},Ei={get machineId(){return de.telemetryInfo.machineId},get sessionId(){return de.telemetryInfo.sessionId},get language(){return de.environment.appLanguage},get appName(){return de.environment.appName},get appRoot(){return de.environment.appRoot?.fsPath??""},get appHost(){return de.environment.appHost},get uriScheme(){return de.environment.appUriScheme},get clipboard(){return Ti.value},get shell(){return vt.getDefaultShell(!1)},get isTelemetryEnabled(){return Ge.getTelemetryEnabled()},get onDidChangeTelemetryEnabled(){return Ge.onDidChangeTelemetryEnabled},get isNewAppInstall(){const X=Date.now()-new Date(de.telemetryInfo.firstSessionDate).getTime();return isNaN(X)?!1:X<1e3*60*60*24},openExternal(X,ce){return je.openUri(X,{allowTunneling:!!de.remote.authority,allowContributedOpeners:ce?.allowContributedOpeners})},async asExternalUri(X){if(X.scheme===de.environment.appUriScheme)return Dt.createAppUri(X);try{return await je.asExternalUri(X,{allowTunneling:!!de.remote.authority})}catch(ce){if((0,ht.matchesScheme)(X,st.Schemas.http)||(0,ht.matchesScheme)(X,st.Schemas.https))return X;throw ce}},get remoteName(){return(0,ne.getRemoteName)(de.remote.authority)},get remoteAuthority(){return(0,pe.checkProposedApiEnabled)(Fe,"resolvers"),de.remote.authority},get uiKind(){return de.uiKind}};de.environment.extensionTestsLocationURI||Object.freeze(Ei);const yi=de.remote.isRemote?H.ExtensionKind.Workspace:H.ExtensionKind.UI,Ai={createTestController(X,ce,De){return De&&(0,pe.checkProposedApiEnabled)(Fe,"testRefresh"),Kt.createTestController(X,ce,De)},createTestObserver(){return(0,pe.checkProposedApiEnabled)(Fe,"testObserver"),Kt.createTestObserver()},runTests(X){return(0,pe.checkProposedApiEnabled)(Fe,"testObserver"),Kt.runTests(X)},get onDidChangeTestResults(){return(0,pe.checkProposedApiEnabled)(Fe,"testObserver"),Kt.onResultsChanged},get testResults(){return(0,pe.checkProposedApiEnabled)(Fe,"testObserver"),Kt.results}},Ri={getExtension(X){const ce=Ht.getExtensionDescription(X);if(ce)return new r.Extension(ze,Fe.identifier,ce,yi)},get all(){return Ht.getAllExtensionDescriptions().map(X=>new r.Extension(ze,Fe.identifier,X,yi))},get onDidChange(){return Ht.onDidChange}},Fi={createDiagnosticCollection(X){return jt.createDiagnosticCollection(Fe.identifier,X)},get onDidChangeDiagnostics(){return jt.onDidChangeDiagnostics},getDiagnostics:X=>jt.getDiagnostics(X),getLanguages(){return Zt.getLanguages()},setTextDocumentLanguage(X,ce){return Zt.changeLanguage(X.uri,ce)},match(X,ce){return(0,R.score)(U.LanguageSelector.from(X),ce.uri,ce.languageId,!0)},registerCodeActionsProvider(X,ce,De){return gt.registerCodeActionProvider(Fe,yt(X),ce,De)},registerCodeLensProvider(X,ce){return gt.registerCodeLensProvider(Fe,yt(X),ce)},registerDefinitionProvider(X,ce){return gt.registerDefinitionProvider(Fe,yt(X),ce)},registerDeclarationProvider(X,ce){return gt.registerDeclarationProvider(Fe,yt(X),ce)},registerImplementationProvider(X,ce){return gt.registerImplementationProvider(Fe,yt(X),ce)},registerTypeDefinitionProvider(X,ce){return gt.registerTypeDefinitionProvider(Fe,yt(X),ce)},registerHoverProvider(X,ce){return gt.registerHoverProvider(Fe,yt(X),ce,Fe.identifier)},registerEvaluatableExpressionProvider(X,ce){return gt.registerEvaluatableExpressionProvider(Fe,yt(X),ce,Fe.identifier)},registerInlineValuesProvider(X,ce){return gt.registerInlineValuesProvider(Fe,yt(X),ce,Fe.identifier)},registerDocumentHighlightProvider(X,ce){return gt.registerDocumentHighlightProvider(Fe,yt(X),ce)},registerLinkedEditingRangeProvider(X,ce){return gt.registerLinkedEditingRangeProvider(Fe,yt(X),ce)},registerReferenceProvider(X,ce){return gt.registerReferenceProvider(Fe,yt(X),ce)},registerRenameProvider(X,ce){return gt.registerRenameProvider(Fe,yt(X),ce)},registerDocumentSymbolProvider(X,ce,De){return gt.registerDocumentSymbolProvider(Fe,yt(X),ce,De)},registerWorkspaceSymbolProvider(X){return gt.registerWorkspaceSymbolProvider(Fe,X)},registerDocumentFormattingEditProvider(X,ce){return gt.registerDocumentFormattingEditProvider(Fe,yt(X),ce)},registerDocumentRangeFormattingEditProvider(X,ce){return gt.registerDocumentRangeFormattingEditProvider(Fe,yt(X),ce)},registerOnTypeFormattingEditProvider(X,ce,De,...ct){return gt.registerOnTypeFormattingEditProvider(Fe,yt(X),ce,[De].concat(ct))},registerDocumentSemanticTokensProvider(X,ce,De){return gt.registerDocumentSemanticTokensProvider(Fe,yt(X),ce,De)},registerDocumentRangeSemanticTokensProvider(X,ce,De){return gt.registerDocumentRangeSemanticTokensProvider(Fe,yt(X),ce,De)},registerSignatureHelpProvider(X,ce,De,...ct){return typeof De=="object"?gt.registerSignatureHelpProvider(Fe,yt(X),ce,De):gt.registerSignatureHelpProvider(Fe,yt(X),ce,typeof De=="undefined"?[]:[De,...ct])},registerCompletionItemProvider(X,ce,...De){return gt.registerCompletionItemProvider(Fe,yt(X),ce,De)},registerInlineCompletionItemProvider(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"inlineCompletions"),gt.registerInlineCompletionsProvider(Fe,yt(X),ce)},registerDocumentLinkProvider(X,ce){return gt.registerDocumentLinkProvider(Fe,yt(X),ce)},registerColorProvider(X,ce){return gt.registerColorProvider(Fe,yt(X),ce)},registerFoldingRangeProvider(X,ce){return gt.registerFoldingRangeProvider(Fe,yt(X),ce)},registerSelectionRangeProvider(X,ce){return gt.registerSelectionRangeProvider(Fe,X,ce)},registerCallHierarchyProvider(X,ce){return gt.registerCallHierarchyProvider(Fe,X,ce)},registerTypeHierarchyProvider(X,ce){return gt.registerTypeHierarchyProvider(Fe,X,ce)},setLanguageConfiguration:(X,ce)=>gt.setLanguageConfiguration(Fe,X,ce),getTokenInformationAtPosition(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"tokenInformation"),Zt.tokenAtPosition(X,ce)},registerInlayHintsProvider(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"inlayHints"),gt.registerInlayHintsProvider(Fe,X,ce)},createLanguageStatusItem(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"languageStatus"),Zt.createLanguageStatusItem(Fe,X,ce)}},Mi={get activeTextEditor(){return At.getActiveTextEditor()},get visibleTextEditors(){return At.getVisibleTextEditors()},get activeTerminal(){return vt.activeTerminal},get terminals(){return vt.terminals},async showTextDocument(X,ce,De){const ct=await(I.URI.isUri(X)?Promise.resolve(_i.openTextDocument(X)):Promise.resolve(X));return At.showTextDocument(ct,ce,De)},createTextEditorDecorationType(X){return At.createTextEditorDecorationType(Fe,X)},onDidChangeActiveTextEditor(X,ce,De){return At.onDidChangeActiveTextEditor(X,ce,De)},onDidChangeVisibleTextEditors(X,ce,De){return At.onDidChangeVisibleTextEditors(X,ce,De)},onDidChangeTextEditorSelection(X,ce,De){return At.onDidChangeTextEditorSelection(X,ce,De)},onDidChangeTextEditorOptions(X,ce,De){return At.onDidChangeTextEditorOptions(X,ce,De)},onDidChangeTextEditorVisibleRanges(X,ce,De){return At.onDidChangeTextEditorVisibleRanges(X,ce,De)},onDidChangeTextEditorViewColumn(X,ce,De){return At.onDidChangeTextEditorViewColumn(X,ce,De)},onDidCloseTerminal(X,ce,De){return vt.onDidCloseTerminal(X,ce,De)},onDidOpenTerminal(X,ce,De){return vt.onDidOpenTerminal(X,ce,De)},onDidChangeActiveTerminal(X,ce,De){return vt.onDidChangeActiveTerminal(X,ce,De)},onDidChangeTerminalDimensions(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"terminalDimensions"),vt.onDidChangeTerminalDimensions(X,ce,De)},onDidChangeTerminalState(X,ce,De){return vt.onDidChangeTerminalState(X,ce,De)},onDidWriteTerminalData(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"terminalDataWriteEvent"),vt.onDidWriteTerminalData(X,ce,De)},get state(){return je.state},onDidChangeWindowState(X,ce,De){return je.onDidChangeWindowState(X,ce,De)},showInformationMessage(X,...ce){return fi.showMessage(Fe,T.default.Info,X,ce[0],ce.slice(1))},showWarningMessage(X,...ce){return fi.showMessage(Fe,T.default.Warning,X,ce[0],ce.slice(1))},showErrorMessage(X,...ce){return fi.showMessage(Fe,T.default.Error,X,ce[0],ce.slice(1))},showQuickPick(X,ce,De){return Array.isArray(X)&&X.some(ct=>ct.kind===H.QuickPickItemKind.Separator)&&(0,pe.checkProposedApiEnabled)(Fe,"quickPickSeparators"),$t.showQuickPick(X,ce,De)},showWorkspaceFolderPick(X){return $t.showWorkspaceFolderPick(X)},showInputBox(X,ce){return $t.showInput(X,ce)},showOpenDialog(X){return wi.showOpenDialog(X)},showSaveDialog(X){return wi.showSaveDialog(X)},createStatusBarItem(X,ce,De){let ct,Ct,Tt;return typeof X=="string"?(ct=X,Ct=ce,Tt=De):(Ct=X,Tt=ce),ni.createStatusBarEntry(Fe,ct,Ct,Tt)},setStatusBarMessage(X,ce){return ni.setStatusBarMessage(X,ce)},withScmProgress(X){return Ae.report("window.withScmProgress",Fe,"Use 'withProgress' instead."),ei.withProgress(Fe,{location:H.ProgressLocation.SourceControl},(ce,De)=>X({report(ct){}}))},withProgress(X,ce){return ei.withProgress(Fe,X,ce)},createOutputChannel(X){return Mt.createOutputChannel(X,Fe)},createWebviewPanel(X,ce,De,ct){return Gt.createWebviewPanel(Fe,X,ce,De,ct)},createWebviewTextEditorInset(X,ce,De,ct){return(0,pe.checkProposedApiEnabled)(Fe,"editorInsets"),li.createWebviewEditorInset(X,ce,De,ct,Fe)},createTerminal(X,ce,De){return typeof X=="object"?"pty"in X?vt.createExtensionTerminal(X):vt.createTerminalFromOptions(X):vt.createTerminal(X,ce,De)},registerTerminalLinkProvider(X){return vt.registerLinkProvider(X)},registerTerminalProfileProvider(X,ce){return vt.registerProfileProvider(Fe,X,ce)},registerTreeDataProvider(X,ce){return Jt.registerTreeDataProvider(X,ce,Fe)},createTreeView(X,ce){return Jt.createTreeView(X,ce,Fe)},registerWebviewPanelSerializer:(X,ce)=>Gt.registerWebviewPanelSerializer(Fe,X,ce),registerCustomEditorProvider:(X,ce,De={})=>hi.registerCustomEditorProvider(Fe,X,ce,De),registerFileDecorationProvider(X){return Et.registerFileDecorationProvider(X,Fe.identifier)},registerUriHandler(X){return Dt.registerUriHandler(Fe.identifier,X)},createQuickPick(){return $t.createQuickPick(Fe)},createInputBox(){return $t.createInputBox(Fe.identifier)},get activeColorTheme(){return bi.activeColorTheme},onDidChangeActiveColorTheme(X,ce,De){return bi.onDidChangeActiveColorTheme(X,ce,De)},registerWebviewViewProvider(X,ce,De){return ki.registerWebviewViewProvider(Fe,X,ce,De?.webviewOptions)},get activeNotebookEditor(){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.activeNotebookEditor},onDidChangeActiveNotebookEditor(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.onDidChangeActiveNotebookEditor(X,ce,De)},get visibleNotebookEditors(){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),qt.onDidChangeNotebookEditorSelection(X,ce,De)},onDidChangeNotebookEditorVisibleRanges(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),qt.onDidChangeNotebookEditorVisibleRanges(X,ce,De)},showNotebookDocument(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.showNotebookDocument(X,ce)},registerExternalUriOpener(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"externalUriOpener"),Ii.registerExternalUriOpener(Fe.identifier,X,ce,De)},get tabs(){return(0,pe.checkProposedApiEnabled)(Fe,"tabs"),mt.tabs},get activeTab(){return(0,pe.checkProposedApiEnabled)(Fe,"tabs"),mt.activeTab},get onDidChangeTabs(){return(0,pe.checkProposedApiEnabled)(Fe,"tabs"),mt.onDidChangeTabs},get onDidChangeActiveTab(){return(0,pe.checkProposedApiEnabled)(Fe,"tabs"),mt.onDidChangeActiveTab},getInlineCompletionItemController(X){return(0,pe.checkProposedApiEnabled)(Fe,"inlineCompletions"),p.InlineCompletionController.get(X)}},_i={get rootPath(){return Ae.report("workspace.rootPath",Fe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Ne.getPath()},set rootPath(X){throw t.readonly()},getWorkspaceFolder(X){return Ne.getWorkspaceFolder(X)},get workspaceFolders(){return Ne.getWorkspaceFolders()},get name(){return Ne.name},set name(X){throw t.readonly()},get workspaceFile(){return Ne.workspaceFile},set workspaceFile(X){throw t.readonly()},updateWorkspaceFolders:(X,ce,...De)=>Ne.updateWorkspaceFolders(Fe,X,ce||0,...De),onDidChangeWorkspaceFolders:function(X,ce,De){return Ne.onDidChangeWorkspace(X,ce,De)},asRelativePath:(X,ce)=>Ne.getRelativePath(X,ce),findFiles:(X,ce,De,ct)=>Ne.findFiles(U.GlobPattern.from(X),U.GlobPattern.from(ce),De,Fe.identifier,ct),findTextInFiles:(X,ce,De,ct)=>{(0,pe.checkProposedApiEnabled)(Fe,"findTextInFiles");let Ct,Tt;return typeof ce=="object"?(Ct=ce,Tt=De):(Ct={},Tt=ce,ct=De),Ne.findTextInFiles(X,Ct||{},Tt,Fe.identifier,ct)},saveAll:X=>Ne.saveAll(X),applyEdit(X){return ii.applyWorkspaceEdit(X)},createFileSystemWatcher:(X,ce,De,ct)=>Lt.createFileSystemWatcher(U.GlobPattern.from(X),ce,De,ct),get textDocuments(){return St.getAllDocumentData().map(X=>X.document)},set textDocuments(X){throw t.readonly()},openTextDocument(X){let ce;const De=X;if(typeof X=="string")ce=Promise.resolve(I.URI.file(X));else if(I.URI.isUri(X))ce=Promise.resolve(X);else if(!De||typeof De=="object")ce=St.createDocumentData(De);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ce.then(ct=>St.ensureDocumentData(ct).then(Ct=>Ct.document))},onDidOpenTextDocument:(X,ce,De)=>St.onDidAddDocument(X,ce,De),onDidCloseTextDocument:(X,ce,De)=>St.onDidRemoveDocument(X,ce,De),onDidChangeTextDocument:(X,ce,De)=>St.onDidChangeDocument(X,ce,De),onDidSaveTextDocument:(X,ce,De)=>St.onDidSaveDocument(X,ce,De),onWillSaveTextDocument:(X,ce,De)=>Vt.getOnWillSaveTextDocumentEvent(Fe)(X,ce,De),get notebookDocuments(){return wt.notebookDocuments.map(X=>X.apiNotebook)},async openNotebookDocument(X,ce){let De;if(I.URI.isUri(X))De=X,await wt.openNotebookDocument(X);else if(typeof X=="string")De=I.URI.revive(await wt.createNotebookDocument({viewType:X,content:ce}));else throw new Error("Invalid arguments");return wt.getNotebookDocument(De).apiNotebook},get onDidOpenNotebookDocument(){return wt.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return wt.onDidCloseNotebookDocument},registerNotebookSerializer(X,ce,De,ct){return wt.registerNotebookSerializer(Fe,X,ce,De,(0,pe.isProposedApiEnabled)(Fe,"notebookLiveShare")?ct:void 0)},registerNotebookContentProvider:(X,ce,De,ct)=>((0,pe.checkProposedApiEnabled)(Fe,"notebookContentProvider"),wt.registerNotebookContentProvider(Fe,X,ce,De,(0,pe.isProposedApiEnabled)(Fe,"notebookLiveShare")?ct:void 0)),onDidChangeConfiguration:(X,ce,De)=>Ut.onDidChangeConfiguration(X,ce,De),getConfiguration(X,ce){return ce=arguments.length===1?void 0:ce,Ut.getConfiguration(X,ce,Fe)},registerTextDocumentContentProvider(X,ce){return Qt.registerTextDocumentContentProvider(X,ce)},registerTaskProvider:(X,ce)=>(Ae.report("window.registerTaskProvider",Fe,"Use the corresponding function on the 'tasks' namespace instead"),It.registerTaskProvider(Fe,X,ce)),registerFileSystemProvider(X,ce,De){return(0,Ce.combinedDisposable)(ci.registerFileSystemProvider(Fe,X,ce,De),Te.addFileSystemProvider(X,ce))},get fs(){return Te.value},registerFileSearchProvider:(X,ce)=>((0,pe.checkProposedApiEnabled)(Fe,"fileSearchProvider"),xt.registerFileSearchProvider(X,ce)),registerTextSearchProvider:(X,ce)=>((0,pe.checkProposedApiEnabled)(Fe,"textSearchProvider"),xt.registerTextSearchProvider(X,ce)),registerRemoteAuthorityResolver:(X,ce)=>((0,pe.checkProposedApiEnabled)(Fe,"resolvers"),ze.registerRemoteAuthorityResolver(X,ce)),registerResourceLabelFormatter:X=>((0,pe.checkProposedApiEnabled)(Fe,"resolvers"),Ci.$registerResourceLabelFormatter(X)),onDidCreateFiles:(X,ce,De)=>Lt.onDidCreateFile(X,ce,De),onDidDeleteFiles:(X,ce,De)=>Lt.onDidDeleteFile(X,ce,De),onDidRenameFiles:(X,ce,De)=>Lt.onDidRenameFile(X,ce,De),onWillCreateFiles:(X,ce,De)=>Lt.getOnWillCreateFileEvent(Fe)(X,ce,De),onWillDeleteFiles:(X,ce,De)=>Lt.getOnWillDeleteFileEvent(Fe)(X,ce,De),onWillRenameFiles:(X,ce,De)=>Lt.getOnWillRenameFileEvent(Fe)(X,ce,De),openTunnel:X=>((0,pe.checkProposedApiEnabled)(Fe,"resolvers"),ye.openTunnel(Fe,X).then(ce=>{if(!ce)throw new Error("cannot open tunnel");return ce})),get tunnels(){return(0,pe.checkProposedApiEnabled)(Fe,"resolvers"),ye.getTunnels()},onDidChangeTunnels:(X,ce,De)=>((0,pe.checkProposedApiEnabled)(Fe,"resolvers"),ye.onDidChangeTunnels(X,ce,De)),registerPortAttributesProvider:(X,ce)=>((0,pe.checkProposedApiEnabled)(Fe,"portsAttributes"),ye.registerPortsAttributesProvider(X,ce)),registerTimelineProvider:(X,ce)=>((0,pe.checkProposedApiEnabled)(Fe,"timeline"),Di.registerTimelineProvider(X,ce,Fe.identifier,dt.converter)),get isTrusted(){return Ne.trusted},requestWorkspaceTrust:X=>((0,pe.checkProposedApiEnabled)(Fe,"workspaceTrust"),Ne.requestWorkspaceTrust(X)),onDidGrantWorkspaceTrust:(X,ce,De)=>Ne.onDidGrantWorkspaceTrust(X,ce,De)},mi={get inputBox(){return Ae.report("scm.inputBox",Fe,"Use 'SourceControl.inputBox' instead"),vi.getLastInputBox(Fe)},createSourceControl(X,ce,De){return vi.createSourceControl(Fe,X,ce,De)}},Oi={createCommentController(X,ce){return ui.createCommentController(Fe,X,ce)}},Li={get activeDebugSession(){return bt.activeDebugSession},get activeDebugConsole(){return bt.activeDebugConsole},get breakpoints(){return bt.breakpoints},onDidStartDebugSession(X,ce,De){return bt.onDidStartDebugSession(X,ce,De)},onDidTerminateDebugSession(X,ce,De){return bt.onDidTerminateDebugSession(X,ce,De)},onDidChangeActiveDebugSession(X,ce,De){return bt.onDidChangeActiveDebugSession(X,ce,De)},onDidReceiveDebugSessionCustomEvent(X,ce,De){return bt.onDidReceiveDebugSessionCustomEvent(X,ce,De)},onDidChangeBreakpoints(X,ce,De){return bt.onDidChangeBreakpoints(X,ce,De)},registerDebugConfigurationProvider(X,ce,De){return bt.registerDebugConfigurationProvider(X,ce,De||H.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(X,ce){return bt.registerDebugAdapterDescriptorFactory(Fe,X,ce)},registerDebugAdapterTrackerFactory(X,ce){return bt.registerDebugAdapterTrackerFactory(X,ce)},startDebugging(X,ce,De){return!De||typeof De=="object"&&"configuration"in De?bt.startDebugging(X,ce,{parentSession:De}):bt.startDebugging(X,ce,De||{})},stopDebugging(X){return bt.stopDebugging(X)},addBreakpoints(X){return bt.addBreakpoints(X)},removeBreakpoints(X){return bt.removeBreakpoints(X)},asDebugSourceUri(X,ce){return bt.asDebugSourceUri(X,ce)}},Ni={registerTaskProvider:(X,ce)=>It.registerTaskProvider(Fe,X,ce),fetchTasks:X=>It.fetchTasks(X),executeTask:X=>It.executeTask(Fe,X),get taskExecutions(){return It.taskExecutions},onDidStartTask:(X,ce,De)=>It.onDidStartTask(X,ce,De),onDidEndTask:(X,ce,De)=>It.onDidEndTask(X,ce,De),onDidStartTaskProcess:(X,ce,De)=>It.onDidStartTaskProcess(X,ce,De),onDidEndTaskProcess:(X,ce,De)=>It.onDidEndTaskProcess(X,ce,De)},xi={createNotebookController(X,ce,De,ct,Ct){return Xt.createNotebookController(Fe,X,ce,De,ct,(0,pe.isProposedApiEnabled)(Fe,"notebookMessaging")?Ct:void 0)},registerNotebookCellStatusBarItemProvider:(X,ce)=>wt.registerNotebookCellStatusBarItemProvider(Fe,X,ce),get onDidSaveNotebookDocument(){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),Yt.onDidSaveNotebookDocument},createNotebookEditorDecorationType(X){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditorDecorationType"),qt.createNotebookEditorDecorationType(X)},createRendererMessaging(X){return ai.createRendererMessaging(Fe,X)},onDidChangeNotebookDocumentMetadata(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),Yt.onDidChangeNotebookDocumentMetadata(X,ce,De)},onDidChangeNotebookCells(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.onDidChangeNotebookCells(X,ce,De)},onDidChangeNotebookCellExecutionState(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookCellExecutionState"),Xt.onDidChangeNotebookCellExecutionState(X,ce,De)},onDidChangeCellOutputs(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.onDidChangeCellOutputs(X,ce,De)},onDidChangeCellMetadata(X,ce,De){return(0,pe.checkProposedApiEnabled)(Fe,"notebookEditor"),wt.onDidChangeCellMetadata(X,ce,De)},createConcatTextDocument(X,ce){return(0,pe.checkProposedApiEnabled)(Fe,"notebookConcatTextDocument"),new Be.ExtHostNotebookConcatDocument(wt,St,X,ce)}};return{version:de.version,authentication:Ot,commands:ri,comments:Oi,debug:Li,env:Ei,extensions:Ri,languages:Fi,notebooks:xi,scm:mi,tasks:Ni,tests:Ai,window:Mi,workspace:_i,Breakpoint:H.Breakpoint,CallHierarchyIncomingCall:H.CallHierarchyIncomingCall,CallHierarchyItem:H.CallHierarchyItem,CallHierarchyOutgoingCall:H.CallHierarchyOutgoingCall,CancellationError:t.CancellationError,CancellationTokenSource:s.CancellationTokenSource,CandidatePortSource:i.CandidatePortSource,CodeAction:H.CodeAction,CodeActionKind:H.CodeActionKind,CodeActionTriggerKind:H.CodeActionTriggerKind,CodeLens:H.CodeLens,Color:H.Color,ColorInformation:H.ColorInformation,ColorPresentation:H.ColorPresentation,ColorThemeKind:H.ColorThemeKind,CommentMode:H.CommentMode,CommentThreadCollapsibleState:H.CommentThreadCollapsibleState,CompletionItem:H.CompletionItem,CompletionItemKind:H.CompletionItemKind,CompletionItemTag:H.CompletionItemTag,CompletionList:H.CompletionList,CompletionTriggerKind:H.CompletionTriggerKind,ConfigurationTarget:H.ConfigurationTarget,CustomExecution:H.CustomExecution,DebugAdapterExecutable:H.DebugAdapterExecutable,DebugAdapterInlineImplementation:H.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:H.DebugAdapterNamedPipeServer,DebugAdapterServer:H.DebugAdapterServer,DebugConfigurationProviderTriggerKind:H.DebugConfigurationProviderTriggerKind,DebugConsoleMode:H.DebugConsoleMode,DecorationRangeBehavior:H.DecorationRangeBehavior,Diagnostic:H.Diagnostic,DiagnosticRelatedInformation:H.DiagnosticRelatedInformation,DiagnosticSeverity:H.DiagnosticSeverity,DiagnosticTag:H.DiagnosticTag,Disposable:H.Disposable,DocumentHighlight:H.DocumentHighlight,DocumentHighlightKind:H.DocumentHighlightKind,DocumentLink:H.DocumentLink,DocumentSymbol:H.DocumentSymbol,EndOfLine:H.EndOfLine,EnvironmentVariableMutatorType:H.EnvironmentVariableMutatorType,EvaluatableExpression:H.EvaluatableExpression,InlineValueText:H.InlineValueText,InlineValueVariableLookup:H.InlineValueVariableLookup,InlineValueEvaluatableExpression:H.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:H.InlineCompletionTriggerKind,EventEmitter:y.Emitter,ExtensionKind:H.ExtensionKind,ExtensionMode:H.ExtensionMode,ExternalUriOpenerPriority:H.ExternalUriOpenerPriority,FileChangeType:H.FileChangeType,FileDecoration:H.FileDecoration,FileSystemError:H.FileSystemError,FileType:w.FileType,FilePermission:w.FilePermission,FoldingRange:H.FoldingRange,FoldingRangeKind:H.FoldingRangeKind,FunctionBreakpoint:H.FunctionBreakpoint,InlineCompletionItem:H.InlineSuggestion,InlineCompletionList:H.InlineSuggestions,Hover:H.Hover,IndentAction:A.IndentAction,Location:H.Location,MarkdownString:H.MarkdownString,OverviewRulerLane:D.OverviewRulerLane,ParameterInformation:H.ParameterInformation,PortAutoForwardAction:H.PortAutoForwardAction,Position:H.Position,ProcessExecution:H.ProcessExecution,ProgressLocation:H.ProgressLocation,QuickInputButtons:H.QuickInputButtons,Range:H.Range,RelativePattern:H.RelativePattern,Selection:H.Selection,SelectionRange:H.SelectionRange,SemanticTokens:H.SemanticTokens,SemanticTokensBuilder:H.SemanticTokensBuilder,SemanticTokensEdit:H.SemanticTokensEdit,SemanticTokensEdits:H.SemanticTokensEdits,SemanticTokensLegend:H.SemanticTokensLegend,ShellExecution:H.ShellExecution,ShellQuoting:H.ShellQuoting,SignatureHelp:H.SignatureHelp,SignatureHelpTriggerKind:H.SignatureHelpTriggerKind,SignatureInformation:H.SignatureInformation,SnippetString:H.SnippetString,SourceBreakpoint:H.SourceBreakpoint,StandardTokenType:H.StandardTokenType,StatusBarAlignment:H.StatusBarAlignment,SymbolInformation:H.SymbolInformation,SymbolKind:H.SymbolKind,SymbolTag:H.SymbolTag,Task:H.Task,TaskGroup:H.TaskGroup,TaskPanelKind:H.TaskPanelKind,TaskRevealKind:H.TaskRevealKind,TaskScope:H.TaskScope,TerminalLink:H.TerminalLink,TerminalLocation:H.TerminalLocation,TerminalProfile:H.TerminalProfile,TextDocumentSaveReason:H.TextDocumentSaveReason,TextEdit:H.TextEdit,TextEditorCursorStyle:P.TextEditorCursorStyle,TextEditorLineNumbersStyle:H.TextEditorLineNumbersStyle,TextEditorRevealType:H.TextEditorRevealType,TextEditorSelectionChangeKind:H.TextEditorSelectionChangeKind,TextDocumentChangeReason:H.TextDocumentChangeReason,ThemeColor:H.ThemeColor,ThemeIcon:H.ThemeIcon,TreeItem:H.TreeItem,TreeItemCollapsibleState:H.TreeItemCollapsibleState,TypeHierarchyItem:H.TypeHierarchyItem,UIKind:i.UIKind,Uri:I.URI,ViewColumn:H.ViewColumn,WorkspaceEdit:H.WorkspaceEdit,InlayHint:H.InlayHint,InlayHintLabelPart:H.InlayHintLabelPart,InlayHintKind:H.InlayHintKind,RemoteAuthorityResolverError:H.RemoteAuthorityResolverError,ResolvedAuthority:H.ResolvedAuthority,SourceControlInputBoxValidationType:H.SourceControlInputBoxValidationType,ExtensionRuntime:H.ExtensionRuntime,TimelineItem:H.TimelineItem,NotebookRange:H.NotebookRange,NotebookCellKind:H.NotebookCellKind,NotebookCellExecutionState:H.NotebookCellExecutionState,NotebookCellData:H.NotebookCellData,NotebookData:H.NotebookData,NotebookRendererScript:H.NotebookRendererScript,NotebookCellStatusBarAlignment:H.NotebookCellStatusBarAlignment,NotebookEditorRevealType:H.NotebookEditorRevealType,NotebookCellOutput:H.NotebookCellOutput,NotebookCellOutputItem:H.NotebookCellOutputItem,NotebookCellStatusBarItem:H.NotebookCellStatusBarItem,NotebookControllerAffinity:H.NotebookControllerAffinity,PortAttributes:H.PortAttributes,LinkedEditingRanges:H.LinkedEditingRanges,TestResultState:H.TestResultState,TestRunRequest:H.TestRunRequest,TestMessage:H.TestMessage,TestTag:H.TestTag,TestRunProfileKind:H.TestRunProfileKind,TextSearchCompleteMessageType:xe.TextSearchCompleteMessageType,TreeDataTransfer:H.TreeDataTransfer,TreeDataTransferItem:H.TreeDataTransferItem,CoveredCount:H.CoveredCount,FileCoverage:H.FileCoverage,StatementCoverage:H.StatementCoverage,BranchCoverage:H.BranchCoverage,FunctionCoverage:H.FunctionCoverage,WorkspaceTrustState:H.WorkspaceTrustState,LanguageStatusSeverity:H.LanguageStatusSeverity,QuickPickItemKind:H.QuickPickItemKind}}}e.createApiFactoryAndRegisterActors=ie}),define(we[221],Ee([0,1,220,33,213,7,14,5,11]),function(te,e,s,t,y,T,I,P,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class A extends y.RequireInterceptor{_installInterceptor(){}getModule(o,c){for(let u of this._alternatives){let F=u(o);if(F){o=F;break}}if(this._factories.has(o))return this._factories.get(o).load(o,c,()=>{throw new Error("CANNOT LOAD MODULE from here.")})}}class R extends t.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=T.ExtensionRuntime.Webworker}async _beforeAlmostReadyToRunExtensions(){const o=this._extHostContext.getProxy(P.MainContext.MainThreadConsole);i(o,this._initData.environment.isExtensionDevelopmentDebug);const c=this._instaService.invokeFunction(s.createApiFactoryAndRegisterActors);this._fakeModules=this._instaService.createInstance(A,c,this._registry),await this._fakeModules.install(),performance.mark("code/extHost/didInitAPI"),await this._waitForDebuggerAttachment()}_getEntryPoint(o){return o.browser}async _loadCommonJSModule(o,c,u){c=c.with({path:w(c.path,".js")}),o&&performance.mark(`code/extHost/willFetchExtensionCode/${o.value}`);const F=await fetch(D.FileAccess.asBrowserUri(c).toString(!0));if(o&&performance.mark(`code/extHost/didFetchExtensionCode/${o.value}`),F.status!==200)throw new Error(F.statusText);const S=await F.text(),m=`${c.toString(!0)}#vscode-extension`,d=`${S}
//# sourceURL=${m}`;let k;try{k=new Function("module","exports","require",d)}catch(n){throw console.error(o?`Loading code for extension ${o.value} failed: ${n.message}`:`Loading code failed: ${n.message}`),console.error(`${c.toString(!0)}${typeof n.line=="number"?` line ${n.line}`:""}${typeof n.column=="number"?` column ${n.column}`:""}`),console.error(n),n}const a={},M={exports:a},r=n=>{const b=this._fakeModules.getModule(n,c);if(b===void 0)throw new Error(`Cannot load module '${n}'`);return b};try{return u.codeLoadingStart(),o&&performance.mark(`code/extHost/willLoadExtensionCode/${o.value}`),k(M,a,r),M.exports!==a?M.exports:a}finally{o&&performance.mark(`code/extHost/didLoadExtensionCode/${o.value}`),u.codeLoadingStop()}}async $setRemoteEnvironment(o){}async _waitForDebuggerAttachment(o=5e3){if(!this._initData.environment.isExtensionDevelopmentDebug)return;const c=Date.now()+o;for(;Date.now()<c&&!("__jsDebugIsReady"in globalThis);)await(0,I.timeout)(10)}}e.ExtHostExtensionService=R;function w(g,o){return g.endsWith(o)?g:g+o}function i(g,o){c("info","log"),c("log","log"),c("warn","warn"),c("error","error");function c(S,m){const d=console[S];console[S]=function(){g.$logExtensionHostMessage({type:"__$console",severity:m,arguments:F(arguments)}),o&&d.apply(console,arguments)}}const u=1e5;function F(S){const m=[],d=[];if(S.length)for(let k=0;k<S.length;k++){if(typeof S[k]=="undefined")S[k]="undefined";else if(S[k]instanceof Error){const a=S[k];a.stack?S[k]=a.stack:S[k]=a.toString()}d.push(S[k])}try{const k=JSON.stringify(d,function(a,M){if(M&&typeof M=="object"){if(m.indexOf(M)!==-1)return"[Circular]";m.push(M)}return M});return k.length>u?"Output omitted for a large object that exceeds the limits":k}catch(k){return`Output omitted for an object that cannot be inspected ('${k.toString()}')`}}}}),define(we[222],Ee([0,1,44,33,72,221]),function(te,e,s,t,y,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,s.registerSingleton)(t.IExtHostExtensionService,T.ExtHostExtensionService),(0,s.registerSingleton)(y.IExtensionStoragePaths,y.ExtensionStoragePaths)}),define(we[234],Ee([0,1,22,4,171,214,208,17,73,11,2,217,222]),function(te,e,s,t,y,T,I,P,D,A,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.create=void 0;const w=self.close.bind(self);self.close=()=>console.trace("'close' has been blocked");const i=postMessage.bind(self);self.postMessage=()=>console.trace("'postMessage' has been blocked");const g=fetch.bind(self);if(self.fetch=function(m,d){return m instanceof Request||/^file:/i.test(String(m))&&(m=A.FileAccess.asBrowserUri(R.URI.parse(String(m))).toString(!0)),g(m,d)},self.XMLHttpRequest=class extends XMLHttpRequest{open(m,d,k,a,M){return/^file:/i.test(d.toString())&&(d=A.FileAccess.asBrowserUri(R.URI.parse(d.toString())).toString(!0)),super.open(m,d,k??!0,a,M)}},self.importScripts=()=>{throw new Error("'importScripts' has been blocked")},self.addEventListener=()=>console.trace("'addEventListener' has been blocked"),self.AMDLoader=void 0,self.NLSLoaderPlugin=void 0,self.define=void 0,self.require=void 0,self.webkitRequestFileSystem=void 0,self.webkitRequestFileSystemSync=void 0,self.webkitResolveLocalFileSystemSyncURL=void 0,self.webkitResolveLocalFileSystemURL=void 0,self.Worker){const m=self.Worker;Worker=function(d,k){/^file:/i.test(d.toString())&&(d=A.FileAccess.asBrowserUri(R.URI.parse(d.toString())).toString(!0));const M=`(${function(p){function l(_){return typeof _=="string"||_ instanceof URL?String(_).replace(/^file:\/\//i,"vscode-file://vscode-app"):_}const h=fetch.bind(self);self.fetch=function(_,f){return _ instanceof Request?h(_,f):h(l(_),f)},self.XMLHttpRequest=class extends XMLHttpRequest{open(_,f,C,x,N){return super.open(_,l(f),C??!0,x,N)}};const v=importScripts.bind(self);self.importScripts=(..._)=>{v(..._.map(l))},v(p)}.toString()}('${d}'))`;k=k||{},k.name=k.name||P.basename(d.toString());const r=new Blob([M],{type:"application/javascript"}),n=URL.createObjectURL(r);return new m(n,k)}}else self.Worker=class extends I.NestedWorker{constructor(m,d){super(i,m,{name:P.basename(m.toString()),...d})}};const o=new class{constructor(){this.pid=void 0}exit(m){w()}async exists(m){return!0}async realpath(m){return m}};class c{constructor(){const d=new MessageChannel,k=new t.Emitter;let a=!1;i(d.port2,[d.port2]),d.port1.onmessage=M=>{const{data:r}=M;if(!(r instanceof ArrayBuffer)){console.warn("UNKNOWN data received",r);return}const n=s.VSBuffer.wrap(new Uint8Array(r,0,r.byteLength));if((0,y.isMessageOfType)(n,2)){a=!0,F("received terminate message from renderer");return}k.fire(n)},this.protocol={onMessage:k.event,send:M=>{if(!a){const r=M.buffer.buffer.slice(M.buffer.byteOffset,M.buffer.byteOffset+M.buffer.byteLength);d.port1.postMessage(r,[r])}}}}}function u(m){return new Promise(d=>{const k=m.onMessage(a=>{k.dispose();const M=JSON.parse(a.toString());m.send((0,y.createMessageOfType)(0)),d({protocol:m,initData:M})});m.send((0,y.createMessageOfType)(1))})}let F=m=>w();function S(){D.mark("code/extHost/willConnectToRenderer");const m=new c;return{onmessage(d){u(m.protocol).then(k=>{D.mark("code/extHost/didWaitForInitData");const a=new T.ExtensionHostMain(k.protocol,k.initData,o,null,d);F=M=>a.terminate(M)})}}}e.create=S})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/753319a08f8e74700b1dba3a29bf0a6af7c2953f/core/vs/workbench/services/extensions/worker/extensionHostWorker.js.map
